#!/bin/bash
printf "\n-------------------------\nStarting autofeed cronjob\n%s\n" $(date +'%Y-%m-%d_%H:%M:%S')
printf "\n-------------------------\nStarting autofeed cronjob\n%s\n" $(date +'%Y-%m-%d_%H:%M:%S') >> /var/www/html/admin/cronjobs/autofeed_execution.log

cd /var/www/html/

printf "\nChanging permissions"
sudo chown -Rf www-data:www-pub cache/
sudo chown -Rf www-data:www-pub upload/
sudo chown -Rf www-data:www-pub logs/

printf "\nExecuting Autofeed"
#php admin/autofeed_cronjob_ssh.php -uids:5 -force
php admin/autofeed_cronjob_ssh.php -force
sleep 10
printf "\nFinished Autofeed"

printf "\nChanging permissions"
sudo chown -Rf www-data:www-pub cache/
sudo chown -Rf www-data:www-pub upload/
sudo chown -Rf www-data:www-pub logs/

printf "\nSetup product images folder"
php admin/_tools/setup-product-images-path_ssh.php

printf "\nFinished autofeed cronjob\n%s\n-------------------------\n" $(date +'%Y-%m-%d_%H:%M:%S')
printf "\nFinished autofeed cronjob\n%s\n-------------------------\n" $(date +'%Y-%m-%d_%H:%M:%S') >> /var/www/html/admin/cronjobs/autofeed_execution.log
