<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		// Stop cache
		define('USE_CACHE_4_BREADCRUMB',	0);

//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php"); 
		require ("cronjob_include.php"); 

//*************************************************************************************************

		set_time_limit(0);

//*************************************************************************************************

		$evalProdCounts	= $prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_MYSQL;

//*************************************************************************************************

		// Empty Table
		if ( $_GET['doEmpty'] == '' )
			executeQuery("TRUNCATE TABLE ".PREFIX."CATEGORY_BREADCRUMB");
		
//*************************************************************************************************

		echo "<html><head><meta http-equiv='Content-Type' content='text/html; charset=".DEFAULT_CHARSET."'></head><body onLoad=\"reloadPage();\"><font face='verdana' size='2'>";

		saveLastLevelCategory(0, '', '');
		
		if ( $evalProdCounts )
		{
			echo "<br><br><font size=3>Now Calculating Product Counts</font><br><br>";

			saveCategoryProductCount(0);
		}
		
		echo "</font></body></html>";

//*************************************************************************************************

		function saveLastLevelCategory($parentId, $categoryText, $seoPath)
		{
			global $evalProdCounts;

			$storeCountSql	= '';
			if ( defined('DO_HIDE_PRODUCT_WITH_0_STORES') && DO_HIDE_PRODUCT_WITH_0_STORES == 1 )
				$storeCountSql	= " AND STORE_COUNT>0";

			$products	= 0;
			
			$res = executeQuery("SELECT ID, TITLE, FILENAME FROM ".PREFIX."CATEGORY WHERE PARENT_ID = '".$parentId."' AND ISVALID = 'Y' ORDER BY ID");

			if ( getTotalRows($res) > 0 )
			{
				// Save mid level categories too
				if ( $parentId > 0 )
				{
					$products		= 0;
					if ( $evalProdCounts )
					{
						$resX1		= executeQuery("SELECT COUNT(ID) AS C FROM ".PREFIX."PRODUCT WHERE CATEGORY_ID = ".$parentId." AND ISVALID='Y'".$storeCountSql);
						if ( ($rowX1 = getRow($resX1)) )
							$products = (int)$rowX1['C'];

						free($resX1);
					}

					$sql			= "INSERT INTO ".PREFIX."CATEGORY_BREADCRUMB(ID, BREADCRUMB, SEO_URL_PATH, PRODUCTS, ISLEAF) VALUES('".$parentId."', '".handleSingleQuote($categoryText)."', '".handleSingleQuote($seoPath)."', '".$products."', 0)";
					executeUpdate($sql);

					echo "<font color='green'>Saving Breadcrumb: ".$categoryText." [".$products."] - MID</font><br>";
				}

				while ( ($row = getRow($res)) )
				{
					if ( $row['ID'] == 0 )
						continue;

					$products += saveLastLevelCategory($row['ID'], $categoryText.' &raquo; '.$row['TITLE'], $seoPath.$row['FILENAME'].'/');
				}
				free($res);
			}
			
			elseif ( $parentId > 0 )
			{
				$categoryText	= str_replace("'", "''", $categoryText);

//				IS_VALID is not used
//				$products		= getColumn("PRODUCT", $parentId, "COUNT(ID)", "CATEGORY_ID");

				$products		= 0;
				if ( $evalProdCounts )
				{
					$resX1		= executeQuery("SELECT COUNT(ID) AS C FROM ".PREFIX."PRODUCT WHERE CATEGORY_ID = ".$parentId." AND ISVALID='Y'".$storeCountSql);
					if ( ($rowX1 = getRow($resX1)) )
						$products = (int)$rowX1['C'];

					free($resX1);
				}

				$sql			= "INSERT INTO ".PREFIX."CATEGORY_BREADCRUMB(ID, BREADCRUMB, SEO_URL_PATH, PRODUCTS, ISLEAF) VALUES('".$parentId."', '".$categoryText."', '".$seoPath."', '".$products."', 1)";
				executeUpdate($sql);

				echo "<font color='green'>Saving Breadcrumb: ".$categoryText." [".$products."] - LEAF</font><br>";
			}

			if ( $evalProdCounts )
				executeUpdate("UPDATE ".PREFIX."CATEGORY SET PRODUCTS='".$products."' WHERE ID='".$parentId."'");

			return $products;
		}

//*************************************************************************************************

		function saveCategoryProductCount($catId, $parentList='', $categoryText='')
		{
			if ( $catId > 0 )
			{
				$resX1		= executeQuery("SELECT SUM(PRODUCTS) AS C FROM ".PREFIX."CATEGORY_BREADCRUMB WHERE ID='".$catId."' OR BREADCRUMB LIKE '".str_replace("'", "''", $categoryText)." &raquo; %'");
				$rowX1		= getRow($resX1);
				$products	= (int)$rowX1['C'];
				executeUpdate("UPDATE ".PREFIX."CATEGORY SET PRODUCTS=".$products.", PARENTS_LIST='".$parentList."'	WHERE (ID='".$catId."' AND LINK_CAT_ID=0) OR LINK_CAT_ID='".$catId."'");
				echo " (".$products.")</font><br><br>\n";
			}

			$res = executeQuery("SELECT ID, TITLE FROM ".PREFIX."CATEGORY WHERE PARENT_ID = '".$catId."' AND ISVALID = 'Y' ORDER BY ID");
			while ( ($row = getRow($res)) )
			{
				echo "<font color='blue'>Calculating count for: ".$row['ID']." - ".$row['TITLE'];
				saveCategoryProductCount($row['ID'], $parentList.' '.$row['ID'], $categoryText." &raquo; ".$row['TITLE']."");
			}
			free($res);
		}

//*************************************************************************************************
