<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php"); 

//*************************************************************************************************

		set_time_limit(0);

//*************************************************************************************************

		// Empty Table
		if ( !isset($_GET['doEmpty']) )
			executeQuery("DELETE FROM ".PREFIX."CATEGORY_MERCHANT");
		
//*************************************************************************************************

		echo "<html><head><meta http-equiv='Content-Type' content='text/html; charset=".DEFAULT_CHARSET."'></head><body onLoad=\"reloadPage();\"><font face='verdana' size='2'><b>Merchant list started</b><br><br>\n";

//*************************************************************************************************

		$res = executeQuery("SELECT ID, TITLE FROM ".PREFIX."CATEGORY WHERE ISVALID='Y' ORDER BY TITLE");
		while ( ($row = getRow($res)) )
		{
			echo "<br>Writing merchants for category ".$row['TITLE']."...\n";
			flush();

			$childIds = getChildCategoryList($row['ID'],  $row['TITLE']);

			if ( !is_array($childIds) || count($childIds) == 0 )
			{
				echo "SKIPPING NO CHILD";
				continue;
			}

			$res2 = executeQuery("SELECT DISTINCT(UP.USERID) AS USERID FROM ".PREFIX."USER_PRODUCT UP, ".PREFIX."USER U WHERE UP.CATEGORY_ID IN (".implode(',', $childIds).") AND UP.ISVALID='Y' AND UP.USERID=U.USERID AND U.ISVALID='Y'");
			while ( ($row2 = getRow($res2)) )
			{
				$userId = handleSingleQuote($row2['USERID']);
				$name	= handleSingleQuote(getColumn("USERINFO", $userId, "NAME", "USERID"));

				if ( $name == '' )
					continue;

				executeUpdate("INSERT INTO ".PREFIX."CATEGORY_MERCHANT(ID, CATEGORY_ID, USERID, NAME) VALUES('".getNextId("CATEGORY_MERCHANT")."', '".$row['ID']."', '".$userId."', '".$name."')");
			}
		}

//*************************************************************************************************

		echo "<br><br><b>Merchant list ended</b><br></font></body></html>";

//*************************************************************************************************
?>