<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");
		require_once (PATH."include/include_geocoder.php");

//*************************************************************************************************

		set_time_limit(0);

//*************************************************************************************************

		$res1 = executeQuery("SELECT USERID, ADDRESS, ZIP, CITY, COUNTRY FROM ".PREFIX."USERINFO WHERE LATITUDE=0 AND LONGITUDE=0 ORDER BY ADDRESS, ZIP, CITY");
		$tot = getTotalRows($res1);

//*************************************************************************************************

		$res2 = executeQuery("SELECT USERID, ID, TITLE, STREET AS ADDRESS, ZIP, CITY, COUNTRY FROM ".PREFIX."USER_LOCATION WHERE LATITUDE=0 AND LONGITUDE=0 ORDER BY ADDRESS, ZIP, CITY");
		$tot += getTotalRows($res2);

//*************************************************************************************************

		echo "<html><head><meta http-equiv='Content-Type' content='text/html; charset=".DEFAULT_CHARSET."'></head><body><font face='verdana' size='2'><b>Processing to GeoCode ".$tot." Locations...</b><br><br>\n";

//*************************************************************************************************

		$dex = 0;

		while ( ($row = getRow($res1)) )
		{
			if ( ++$dex > MAX_DAILY_GEOCODE_LIMIT  )
			{
				echo '<br><br><font color="red">Applying limit to avoid Exceeding Quota['.$dec.']['.MAX_DAILY_GEOCODE_LIMIT.']</font>';
				break;
			}

			echo "<br><br>GeoCoding &quot;Address:".$row['ADDRESS']."|City:".$row['CITY']."|Zip:".$row['ZIP']."&quot; [Merchant:".$row['USERID']."]...\n";
			flush();

			$msg = '';
			if ( $row['ADDRESS'] == '' && $row['CITY'] == '' && $row['ZIP'] == '' )
				$msg = 'Address is empty. Cannot Geo-Code';
			else
				$ret = geocodeAddress($msg, $row['ADDRESS'], $row['CITY'], $row['ZIP'], $row['COUNTRY']);

			if ( !is_array($ret) )
			{
				echo "FAILED: [$ret][$msg]";
				continue;
			}

			$updt = executeUpdate("UPDATE ".PREFIX."USERINFO SET LATITUDE='".$ret[0]."', LONGITUDE='".$ret[1]."' WHERE USERID='".$row['USERID']."'");
			echo $updt>0?"DONE":"FAILED";
			echo "[MSG:$msg]";
			flush();
		}

//*************************************************************************************************

		while ( ($row = getRow($res2)) )
		{
			if ( ++$dex > MAX_DAILY_GEOCODE_LIMIT  )
			{
				echo '<br><br><font color="red">Applying limit to avoid Exceeding Quota['.$dec.']['.MAX_DAILY_GEOCODE_LIMIT.']</font>';
				break;
			}

			echo "<br><br>GeoCoding &quot;Address:".$row['ADDRESS']."|City:".$row['CITY']."|Zip:".$row['ZIP']."&quot; [Merchant:".$row['USERID']."] [Location:".$row['TITLE']."]...\n";
			flush();

			$msg = '';
			if ( $row['ADDRESS'] == '' && $row['CITY'] == '' && $row['ZIP'] == '' )
				$msg = 'Address is empty. Cannot Geo-Code';
			else
				$ret = geocodeAddress($msg, $row['ADDRESS'], $row['CITY'], $row['ZIP'], $row['COUNTRY']);

			if ( !is_array($ret) )
			{
				echo "FAILED: [$ret][$msg]";
				continue;
			}

			$updt = executeUpdate("UPDATE ".PREFIX."USER_LOCATION SET LATITUDE='".$ret[0]."', LONGITUDE='".$ret[1]."' WHERE ID='".$row['ID']."'");
			echo $updt>0?"DONE":"FAILED";
			echo "[MSG:$msg]";
			flush();
		}

//*************************************************************************************************

		echo "<br><br><b>Finished!</b><br></font></body></html>";

//*************************************************************************************************
?>