<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

include( "path.php" );
require( PATH . "include/include.php" );

require( "cronjob_include.php" );

//*************************************************************************************************

$today = getTimezoneTime();

//*************************************************************************************************
//		RUNS DAILY TO INACTIVATE MERCHANT PRODUCTS THAT ARE OUT OF MONTHLY BUDGET
//*************************************************************************************************
?>
<html>
<head>
	<title>Cronjob For Merchant Monthly Budget</title>
	<link rel='stylesheet' href='<?php echo SCRIPT_ROOT ?>/style/main.css' type='text/css'>
</head>

<body bgcolor='#FFFFFF' text='#000000' leftmargin='10' marginheight='10' marginwidth='10' topmargin='10'>

<font class='normal'>
	DateTime [<?php echo $today ?>]<br><br>
	<?php
	//*************************************************************************************************

	// Check if a payed merchant is still marked as defaulter
	$doRunProfiling = 0;
	$result         = executeQuery( "SELECT USERID, MONTHLY_BUDGET FROM " . PREFIX . "USER WHERE ISVALID = 'Y' AND MONTHLY_BUDGET > 0" );
	while ( ( $row = getRow( $result ) ) ) {
		$thisMonthSum = getMerchantMonthlyClicks( $row['USERID'], $today );
		echo "<br><br><font color='blue'>Merchant: " . $row['USERID'] . ", Monthly Budget: " . $row['MONTHLY_BUDGET'] . ", Availed: " . $thisMonthSum . "</font>";
		if ( $row['MONTHLY_BUDGET'] != 0 && $thisMonthSum > $row['MONTHLY_BUDGET'] ) // MONTHLY_BUDGET == 0 Unlimited
		{
			echo "<br> - <font color='red'>Monthly budget out. De-activating all merchant prices.</font>";
			executeUpdate( "UPDATE " . PREFIX . "USER_PRODUCT SET ISVALID = 'N' WHERE USERID = '" . $row['USERID'] . "'" );
			$doRunProfiling = 1;
		} else {
			echo "<br> - <font color='green'>Monthly budget ok. <!-- Activating all merchant prices. --></font>";
			executeUpdate( "UPDATE " . PREFIX . "USER_PRODUCT SET ISVALID = 'Y' WHERE USERID = '" . $row['USERID'] . "' AND ISVALID_MANUAL='Y'" );
			$doRunProfiling = 1;
		}
	}

	if ( $doRunProfiling == 1 ) {
		echo "<br><br><font color='blue'>Executing Price Re-Profile After Monthly Budget</font>";
		echo readFromFile( CRONJOB_ROOT . ADMIN_FOLDER_NAME . '/product_price_profiling_op.php?doAll=Y' );
		echo "<br><font color='green'>Done Price profiling</font><br><br>";
	}

	//*************************************************************************************************
	?>
</font>
</body>

</html>
