<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		include ("path.php");
		require (PATH."include/include.php");
		require ("cronjob_include.php"); 

//*************************************************************************************************
//		RUNS DAILY TO INACTIVATE MERCHANTS THAT ARE OUT OF PACKAGE AMOUNT
//*************************************************************************************************
?>
<html>
	<head>
		<title>Cronjob For Merchant Package Expiry</title>
		<link rel='stylesheet' href='<?php echo SCRIPT_ROOT?>/style/main.css' type='text/css'>
	</head>
	
	<body bgcolor='#FFFFFF' text='#000000' leftmargin='10' marginheight='10' marginwidth='10' topmargin='10'>
	
		<font class='normal'>
			DateTime [<?php echo date('Y-m-d H:i:s')?>]<br><br>
<?php
//*************************************************************************************************

		$result = executeQuery("SELECT USERID, PACKAGE_ID FROM ".PREFIX."USER WHERE ISVALID='Y'");

		while ( $row = getRow($result) )
		{
			echo "UserID : <b>".$row["USERID"]."</b> ";

			$res = executeQuery("SELECT P.TITLE AS PACKAGE_NAME, PP.*, DATE_ADD(PP.PAYMENT_DATETIME, INTERVAL (PP.DAYS) DAY) AS PAYMENT_EXPIRY, DATE_ADD(PP.PAYMENT_DATETIME, INTERVAL (PP.DAYS-".((int)MERCHANT_PACKAGE_EXPIRY_NOTIFY_DAYS).") DAY) AS PAYMENT_WARNING FROM ".PREFIX."PACKAGE P, ".PREFIX."PACKAGE_PAYMENT PP WHERE P.ID = PP.PACKAGE_ID AND PP.PACKAGE_ID = '".$row["PACKAGE_ID"]."' AND PP.MERCHANTID = '".$row["USERID"]."' AND PP.ISVALID = 'Y' AND PP.ISACTIVE = 'Y' ORDER BY PP.PAYMENT_DATETIME DESC");
			if ( ($r	= getRow($res)) )
			{
				if ( $r['PAYMENT_EXPIRY'] < date('Y-m-d') )
				{
					executeUpdate("UPDATE ".PREFIX."USER SET ISVALID='N' WHERE USERID='".$row["USERID"]."'");
					
					// Send expiry email
					sendPackageExpiryEmail($msg, $row["USERID"]);
					
					echo "<font color='red'><b>[EXPIRED]</b> <font size=1><a href='".SCRIPT_ROOT.ADMIN_FOLDER_NAME."/product_price_profiling_op.php?uId=".$row["USERID"]."' target='_blank'>click here to run product price profiling</a></font></font>";
				}
				elseif ( $r['PAYMENT_WARNING'] == date('Y-m-d') )
				{
					// Send expiry email
					sendPackageExpiryWarningEmail($msg, $row["USERID"]);
					
					echo "<font color='orange'><b>[EXPIRY WARNING]</b></font>";
				}
				else
				{
					echo "<font color='green'><b>[ACTIVE]</b></font> <font color=white>__________________________</font>";
				}
				echo "<font size=1> Package:<font color='lightgrey'>".$r['PACKAGE_NAME']."</font>, Expiry:<font color=blue>".formatFromMySQL($r['PAYMENT_EXPIRY'])."</font> </font>";
			}
			else
			{
				executeUpdate("UPDATE ".PREFIX."USER SET ISVALID='N' WHERE USERID='".$row["USERID"]."'");

				// Send expiry email
				// sendPackageExpiryEmail($msg, $row["USERID"]);
				// 5/6/2015: Mamda: do not send any email if package is not found for the merchant, its not package expiry, its package not found at all
				
				echo "<font color='red'><b>NO package found</b> <font size=1><a href='product_price_profiling_op.php?uId=".$row["USERID"]."' target='_blank'>click here to run product price profiling</a></font></font>";
			}
			echo "<br>\n";
		}
		free($result);

//*************************************************************************************************
?>
		</font>
	</body>

</html>
