<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");
		require ("cronjob_include.php"); 

//*************************************************************************************************

		set_time_limit(0);

//*************************************************************************************************

		echo "\n[".date('Y-m-d H:i:s')."] Starting product search index building process<br>\n\n";

//*************************************************************************************************

		$totProd	= 0;
		$prodDone	= 0;
		$startCatId = $_GET['startCatId'];

		$catArr		= array();
		$todoProd	= 0;

//*************************************************************************************************

		$resTot	= executeQuery("SELECT COUNT(*) AS TOTAL FROM ".PREFIX."PRODUCT");
		if ( ($rowTot = getRow($resTot)) )
			$totProd = $rowTot['TOTAL'];
		free($resTot);
		echo "Loaded Total Products ".number_format($totProd)."\n";

//*************************************************************************************************

		if ( $startCatId == 0 )
		{
			executeQuery("TRUNCATE TABLE ".PREFIX."PRODUCT_MYISAM");
			sleep(2);
		}
		else
		{
			$resTot	= executeQuery("SELECT COUNT(*) AS TOTAL FROM ".PREFIX."PRODUCT_MYISAM");
			if ( ($rowTot = getRow($resTot)) )
				$prodDone = $rowTot['TOTAL'];
			free($resTot);
		}

//*************************************************************************************************

		echo "\n[".date('Y-m-d H:i:s')."] Process started<br>\n\n";
		flush();

//*************************************************************************************************

		$res		= executeQuery("SELECT ID, BREADCRUMB, PRODUCTS FROM ".PREFIX."CATEGORY_BREADCRUMB " . (defined('SHOW_PRODUCTS_ON_MID_LEVEL_CATEGORIES') && SHOW_PRODUCTS_ON_MID_LEVEL_CATEGORIES==1 ? '' : "WHERE ISLEAF=1") . " ORDER BY ID");
		$totCat		= getTotalRows($res);
		$catDone	= 0;

		while ( ($row = getRow($res)) )
		{
			$catDone++;

			if ( $startCatId > 0 && $row['ID'] < $startCatId )
				continue;

			// Optimize it
			if ( sizeof($catArr) < 25 && $todoProd < 50000 )
			{
				$todoProd += $row['PRODUCTS'];
				$catArr[]  = $row['ID'];

				continue;
			}

			$prodDone += $todoProd;
			echo "CategoryID: ".$row['ID']." | ".$catDone." of ".$totCat." | ".number_format($prodDone)." of ".number_format($totProd)."\n";
			flush();

			executeUpdate("INSERT INTO ".PREFIX."PRODUCT_MYISAM SELECT ID, TITLE FROM ".PREFIX."PRODUCT WHERE CATEGORY_ID IN (".implode(',', $catArr).") AND ISVALID = 'Y'");
			

			// Reset values
			$todoProd = 0;
			$catArrNO = sizeof($catArr);
			for ( $x=0; $x<$catArrNO; $x++ )
				array_pop($catArr);
			
			// Reduce resources
			sleep(1);
		}

//*************************************************************************************************

		// Do remaining categories
		if ( sizeof($catArr) > 0 )
			executeUpdate("INSERT INTO ".PREFIX."PRODUCT_MYISAM SELECT ID, TITLE FROM ".PREFIX."PRODUCT WHERE CATEGORY_ID IN (".implode(',', $catArr).") AND ISVALID = 'Y'");

//*************************************************************************************************

		echo "\n\n[".date('Y-m-d H:i:s')."] Insert finished<br>\n\n";
		//executeUpdate("OPTIMIZE TABLE ".PREFIX."PRODUCT_MYISAM");

//*************************************************************************************************

		echo "\n\n[".date('Y-m-d H:i:s')."] Optimize/Process finished<br>\n\n";

//*************************************************************************************************
?>