#!/bin/bash

cd /path/to/public_html/

echo "

Executing AUTOFEED

"
php admin/autofeed_cronjob_ssh.php
sleep 30
echo "Finished AUTOFEED

"

echo "
Executing POST DATAFEED TASKS

"
php admin/_tools/post-datafeed-task_ssh.php 1
sleep 10
echo "
FINISHED...!!

"

echo "
Executing SPHINX CRONJOBS

"
/usr/bin/indexer --config /etc/sphinx/sphinx.conf --all --rotate
sleep 10
/usr/bin/searchd --stop
sleep 10
/usr/bin/searchd --config /etc/sphinx/sphinx.conf
sleep 10
echo "
FINISHED...!!

"

echo "
Executing LAST LEVEL CRONJOB

"
php admin/cronjobs/cronjob_category_lastlevel_ssh.php
sleep 10
echo "
FINISHED...!!

"

echo "
Executing DAILY CRONJOBS

"
php admin/cronjobs/cronjob_daily_ssh.php
sleep 10
echo "
FINISHED...!!

"

echo "
Executing PRICE PROFILING JOB

"
php admin/product_price_profiling_op_ssh.php
sleep 10
echo "
FINISHED...!!

"

echo "
Executing GOOGLE SITEMAP JOB

"
php admin/sitemap-google_ssh.php
sleep 10
echo "
FINISHED...!!

"

echo "
Executing PRODUCT IMAGES DOWNLOAD JOB

"
php admin/_tools/download-product-images_ssh.php 1
sleep 10
echo "
FINISHED...!!

"

