<?php
//*************************************************************************************************

function getSiteConstantsText( $webmaster = '', $domain = '', $root = '', $rootStatic = '', $rootSSL = '', $dollar = '', $dollarName = '', $timezone = '', $timezoneName = '', $userEmailVerification = '', $visitorEmailVerification = '', $databaseUrl = '', $databaseUser = '', $databasePass = '', $databaseName = '', $databasePrefix = '', $skipCurrency = false ) {
	$userEmailVerification    = (int) $userEmailVerification;
	$visitorEmailVerification = (int) $visitorEmailVerification;
	$timezone                 = (int) $timezone;

	$out = "<?" . "php
define('SCRIPT_WEBMASTER',				'" . $webmaster . "');
define('SCRIPT_DOMAIN',					'" . $domain . "');
define('SCRIPT_ROOT',					'" . $root . "');
define('SCRIPT_ROOT_STATIC',			'" . $rootStatic . "');
define('SCRIPT_ROOT_SSL',				'" . $rootSSL . "');
";

	if ( ! $skipCurrency ) {
		$out .= "
define( 'SCRIPT_DOLLAR', '" . $dollar . "' );
define( 'SCRIPT_DOLLAR_NAME', '" . $dollarName . "' );
";
	}

	$out .= "
define( 'SCRIPT_TIMEZONE', " . $timezone . " );
define( 'SCRIPT_TIMEZONE_NAME', '" . $timezoneName . "' );
define( 'USER_EMAIL_VERIFICATION', " . $userEmailVerification . " );
define( 'VISITOR_EMAIL_VERIFICATION', " . $visitorEmailVerification . " );
define( 'DATABASE_URL', '" . $databaseUrl . "' );
define( 'DATABASE_USERID', '" . $databaseUser . "' );
define( 'DATABASE_PASSWORD', '" . $databasePass . "' );
define( 'DATABASE_NAME', '" . $databaseName . "' );
define( 'PREFIX', '" . $databasePrefix . "' );
define( 'PATH_SUBD', PATH );
";

	return $out;
}

//*************************************************************************************************
