<?php
//*****************************************************************************

function getErrorForm( $arr, $return ) {
	$keys = array_keys( $arr );
	$out  = "
<html>
	<head>
		<title>Please wait...</title>
	</head>
	
	<body  onLoad='Javascript:document.frmError.submit();'>
	
		<center>
			<form name='frmError' action='$return' method='post'>";

	for ( $i = 0; $i < sizeof( $arr ); $i ++ ) {
		if ( $keys[ $i ] != "btnSubmit" ) {
			$out .= "
				<input type='hidden' name='" . $keys[ $i ] . "' value='" . ( $arr[ $keys[ $i ] ] ) . "'>";
		}
	}

	$out .= "
				<input type='submit' name='btnGetErrorForm' value=' Please click to continue... '>
			</form>
		</center>

	</body>
</html>";

	return $out;
}

//*************************************************************************************************

function readFromFile( $filename, $folder = "", $fileToSaveData = '', $isCritical = 1 ) {
	// Initialize Variables
	$filepath    = $folder . $filename;
	$data        = '';
	$filePointer = 0;

	// 8/23/2012: Only want sub-domain path to be used if we are reading from upload or cache
	$pathRF = strstr( $filepath, 'upload/' ) ? PATH_SUBD : PATH;

	///////////////////////////////////////////////
	// File To Save Data location is specified
	if ( $fileToSaveData != '' ) {
		// Make a blank file
		if ( isWritable( $pathRF . $fileToSaveData ) ) {
			writeToFile( $fileToSaveData, '' );
		} else {
			die( MSG_FILE_TO_SAVE_DATA_CANNOT_BE_WRITTEN . " [" . $fileToSaveData . "]" );
		}

		// Check if exists now
		if ( file_exists( $pathRF . $fileToSaveData ) ) {
			// Create File pointer
			$filePointer = fopen( $pathRF . $fileToSaveData, "w" );

			if ( ! $filePointer ) {
				die ( MSG_FILE_TO_SAVE_DATA_CANNOT_BE_OPENED_FOR_WRITING . " [" . $fileToSaveData . "]" );
			}
		} else {
			die ( MSG_FILE_TO_SAVE_DATA_CANNOT_BE_CREATED . " [" . $fileToSaveData . "]" );
		}
	}

	///////////////////////////////////////////////
	if ( substr( $filepath, 0, 5 ) == 'https' ) {
		$r    = new KSHTTPRequest( $filepath );
		$data = $r->DownloadToString();

		if ( $fileToSaveData != '' ) {
			if ( ! fputs( $filePointer, $data ) ) {
				if ( $isCritical == 1 ) {
					die( MSG_FILE_TO_SAVE_DATA_CANNOT_BE_WRITTEN . " [" . $fileToSaveData . "] --fput" );
				} else {
					return ( MSG_FILE_TO_SAVE_DATA_CANNOT_BE_WRITTEN . " [" . $fileToSaveData . "] --fput" );
				}
			}
		} else {
			return $data;
		}
	} ///////////////////////////////////////////////
	elseif ( substr( $filepath, 0, 4 ) == 'http' ) {
		// 11/4/2009: added so that &amp; is handled in query string
		$filepath = str_replace( '&amp;', '&', $filepath );

		if ( function_exists( 'curl_init' ) ) {
			$ch = curl_init( $filepath );

			// File To Save Data location is specified
			if ( $fileToSaveData != '' ) {
				curl_setopt( $ch, CURLOPT_FILE, $filePointer );
			} else {
				curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
			}

			// Set Other Headers
			curl_setopt( $ch, CURLOPT_HEADER, 0 );

			// 11/4/2009: uncommented so that for urls of images it follow to copy them
			if ( ! ini_get( 'safe_mode' ) && ini_get( 'open_basedir' ) == '' ) {
				curl_setopt( $ch, CURLOPT_FOLLOWLOCATION, true );
			} else {
				curl_setopt( $ch, CURLOPT_FOLLOWLOCATION, false );

				///////////////////////////////////////////////////////////////////////////////////
				// Now check if it is a redirect URL
				$newUrl = curl_getinfo( $ch, CURLINFO_EFFECTIVE_URL );    // Find out the header info
				$chCopy = curl_init( $newUrl );                            // Make a copy of cURL

				curl_setopt( $chCopy, CURLOPT_HEADER, true );
				curl_setopt( $chCopy, CURLOPT_NOBODY, true );
				curl_setopt( $chCopy, CURLOPT_FORBID_REUSE, false );
				curl_setopt( $chCopy, CURLOPT_RETURNTRANSFER, true );

				// Make it look like a browser
				curl_setopt( $chCopy, CURLOPT_REFERER, 'http://www.google.com/' );
				curl_setopt( $chCopy, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13' );

				// Set certificates for ssl if set
				if ( defined( 'SSL_CERTIFICATE_PATH' ) && SSL_CERTIFICATE_PATH != '' ) {
					curl_setopt( $chCopy, CURLOPT_SSL_VERIFYHOST, 0 );
					curl_setopt( $chCopy, CURLOPT_SSL_VERIFYPEER, 1 );
					curl_setopt( $chCopy, CURLOPT_CAINFO, SSL_CERTIFICATE_PATH );
					curl_setopt( $chCopy, CURLOPT_CAPATH, SSL_CERTIFICATE_PATH );
				}

				$header = curl_exec( $chCopy );

				if ( curl_errno( $chCopy ) == 0 )                            // No error in running this URL
				{
					$code = curl_getinfo( $chCopy, CURLINFO_HTTP_CODE );    // Get the header returned
					if ( $code == 301 || $code == 302 ) {
						preg_match( '/Location:(.*?)\n/i', $header, $matches );
						$newUrl = trim( array_pop( $matches ) );
						//echo "\n<font size=1 face=verdana color=gray>New URL: $newUrl</font><br><br>\n";

						curl_setopt( $ch, CURLOPT_URL, $newUrl );
					}
				}
				curl_close( $chCopy );

				///////////////////////////////////////////////////////////////////////////////////
			}

			// Make it look like a browser
			curl_setopt( $ch, CURLOPT_REFERER, 'http://www.google.com/' );
			curl_setopt( $ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13' );

			// Set certificates for ssl if set
			if ( defined( 'SSL_CERTIFICATE_PATH' ) && SSL_CERTIFICATE_PATH != '' ) {
				curl_setopt( $ch, CURLOPT_SSL_VERIFYHOST, 0 );
				curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, 1 );
				curl_setopt( $ch, CURLOPT_CAINFO, SSL_CERTIFICATE_PATH );
				curl_setopt( $ch, CURLOPT_CAPATH, SSL_CERTIFICATE_PATH );
			}

			// Execute Command
			if ( $fileToSaveData != '' ) {
				curl_exec( $ch );
			} else {
				$data .= curl_exec( $ch );
			}

			// Check for errors
			$data .= curl_error( $ch );

			// Close File and CURL
			curl_close( $ch );
		} else {
			if ( ini_get( 'allow_url_fopen' ) == 1 ) {
				// Open file for reading
				if ( ! ( $fp = @fopen( $filepath, "r" ) ) ) {
					if ( $isCritical == 1 ) {
						die ( MSG_COULD_NOT_OPEN_FILE_FOR_READING );
					} else {
						return ( MSG_COULD_NOT_OPEN_FILE_FOR_READING . " [" . $filepath . "]" );
					}
				}


				// Read From File
				while ( ! feof( $fp ) ) {
					if ( $fileToSaveData != '' ) {
						if ( ! fputs( $filePointer, fgets( $fp, 4096 ) ) ) {
							if ( $isCritical == 1 ) {
								die ( MSG_FILE_TO_SAVE_DATA_CANNOT_BE_WRITTEN . " [" . $fileToSaveData . "] --fput" );
							} else {
								return ( MSG_FILE_TO_SAVE_DATA_CANNOT_BE_WRITTEN . " [" . $fileToSaveData . "] --fput" );
							}
						}
					} else {
						$data .= fgets( $fp, 4096 );
					}
				}

				// Close File
				fclose( $fp );

			} else {
				if ( $isCritical == 1 ) {
					die ( MSG_COULD_NOT_OPEN_FILE_FOR_READING . " " . MSG_CURL_IS_NOT_INSTALLED_NOR_FOPEN_SUPPORTS_URL_OPENING );
				} else {
					return ( MSG_COULD_NOT_OPEN_FILE_FOR_READING . " " . MSG_CURL_IS_NOT_INSTALLED_NOR_FOPEN_SUPPORTS_URL_OPENING );
				}
			}

		} // if else of CURL ends here //

	} ///////////////////////////////////////////////
	else {
		$filepath = $pathRF . $folder . $filename;

		if ( strstr( $filepath, "../" ) || strstr( $filepath, "..\\" ) ) {
			return "Invalid file path, cannot use relative path for file reading.";
		}


		// Open File For Reading
		if ( ! ( $fp = fopen( $filepath, "r" ) ) ) {
			if ( $isCritical == 1 ) {
				die ( MSG_COULD_NOT_OPEN_FILE_FOR_READING . " Filepath : " . $filepath );
			} else {
				return ( MSG_COULD_NOT_OPEN_FILE_FOR_READING . " Filepath : " . $filepath );
			}
		}


		// Read From File
		$data = "";
		while ( ! feof( $fp ) ) {
			if ( $fileToSaveData != '' ) {
				if ( ! fputs( $filePointer, fgets( $fp, 4096 ) ) ) {
					if ( $isCritical == 1 ) {
						die( MSG_FILE_TO_SAVE_DATA_CANNOT_BE_WRITTEN . " [" . $fileToSaveData . "] --fput" );
					} else {
						return ( MSG_FILE_TO_SAVE_DATA_CANNOT_BE_WRITTEN . " [" . $fileToSaveData . "] --fput" );
					}
				}
			} else {
				$data .= fgets( $fp, 4096 );
			}
		}

		// Close File
		fclose( $fp );
	}

	///////////////////////////////////////////////
	// Close File
	if ( $fileToSaveData != '' ) {
		fclose( $filePointer );
	}


	///////////////////////////////////////////////
	// Return
	if ( $fileToSaveData != '' ) {
		if ( $data == '' )                // NO error occurred
		{
			return filesize( $pathRF . $fileToSaveData );
		} else {
			return $data;
		}
	} else {
		return $data;
	}
}

//*****************************************************************************

function writeToFile( $filename, $data, $folder = "" ) {
	$filepath = PATH . $folder . $filename;

	// GetSize
	$size = strlen( $data );


	// Write to the file
	$fa = fopen( $filepath, "w+" );
	fputs( $fa, $data, $size );
	fclose( $fa );
}

//*************************************************************************************************

require 'function-get-site-constants.php';

//*************************************************************************************************

function getPathText( $path = '' ) {
	$out = "<?php \n\n  if ( defined( 'PATH' ) ) {
	return;
}\n\n    define( 'PATH', '" . $path . "' ); \n\n?>";

	return $out;
}

//*************************************************************************************************

function getVar( $var, $type = '', $default = '' ) {
	return isset( $_GET[ $var ] ) ? $_GET[ $var ] : $default;
}

//*************************************************************************************************

function postVar( $var, $type = '', $default = '' ) {
	return isset( $_POST[ $var ] ) ? $_POST[ $var ] : $default;
}

//*************************************************************************************************

/**
 * Connect to mysql db via mysqli
 *
 * @param $msg
 * @param $dbServer
 * @param $dbUser
 * @param $dbPassword
 * @param $dbName
 * @param $dbConnCharset
 * @param $dbConnCollation
 *
 * @return bool
 */
function dbConnect( &$msg, $dbServer, $dbUser, $dbPassword ) {
// Create db object
	$kMySqli = new mysqli();
	if ( $kMySqli->connect_error ) {
		$msg = $kMySqli->connect_error;

		return false;
	}

// Initialize to allow setting of options
	$kMySqli->init();

// Make connection now
	if ( strstr( $dbServer, ':' ) ) {
		$arr = explode( ':', $dbServer );
		$dbu = $arr[0];
		$prt = count( $arr ) > 2 ? $arr[1] : 3306;
		$sck = count( $arr ) > 2 ? $arr[2] : $arr[1];

		if ( ! $kMySqli->real_connect( $dbu, $dbUser, $dbPassword, '', $prt, $sck ) ) {
			$msg = $kMySqli->connect_error;

			return false;
		}
	} else {
		if ( ! $kMySqli->real_connect( $dbServer, $dbUser, $dbPassword ) ) {
			$msg = $kMySqli->connect_error;

			return false;
		}
	}

	return $kMySqli;
}

//*************************************************************************************************

/**
 * Create database in mysql
 *
 * @param $msg
 * @param $dbLink
 * @param $dbName
 * @param $dbConnCharset
 * @param $dbConnCollation
 *
 * @return bool
 */
function dbCreate( &$msg, $dbLink, $dbName, $dbConnCharset, $dbConnCollation ) {
// Check the link
	if ( ! $dbLink ) {
		$msg = 'Invalid database link';

		return false;
	}

// Now create db
	if ( $dbLink->query( 'CREATE DATABASE ' . $dbName ) !== true ) {
		$msg = $dbLink->error;

		return false;
	}

	if ( $dbConnCharset != '' && $dbConnCollation != '' ) {
		$dbLink->query( "SET NAMES '" . $dbConnCharset . "' COLLATE '" . $dbConnCollation . "';" );
	} elseif ( $dbConnCharset != '' ) {
		$dbLink->query( "SET NAMES '" . $dbConnCharset . "';" );
	}

	return true;
}

//*************************************************************************************************

/**
 * Select database in mysql
 *
 * @param $msg
 * @param $dbLink
 * @param $dbName
 * @param $dbConnCharset
 * @param $dbConnCollation
 *
 * @return bool
 */
function dbSelect( &$msg, $dbLink, $dbName, $dbConnCharset, $dbConnCollation ) {
// Check the link
	if ( ! $dbLink ) {
		$msg = 'Invalid database link';

		return false;
	}

// Now select db
	if ( $dbLink->select_db( $dbName ) !== true ) {
		$msg = $dbLink->error;

		return false;
	}

	if ( $dbConnCharset != '' && $dbConnCollation != '' ) {
		$dbLink->query( "SET NAMES '" . $dbConnCharset . "' COLLATE '" . $dbConnCollation . "';" );
	} elseif ( $dbConnCharset != '' ) {
		$dbLink->query( "SET NAMES '" . $dbConnCharset . "';" );
	}

	return true;
}

//*************************************************************************************************
