<?php
//*************************************************************************************************

// Copy path.php from path.example.php if not found already
if (!file_exists('../../path.php')) {
    if (!file_exists('../../path.example.php')) {
        die('Required file /path.example.php does not exist.');
    }

    if (!copy('../../path.example.php', '../../path.php')) {
        die('Cannot copy /path.example.php to /path.php ');
    }
}

// Copy include/site_constants.php from include/site_constants.example.php if not found already
if (!file_exists('../../include/site_constants.php')) {
    if (!file_exists('../../include/site_constants.example.php')) {
        die('Required file /include/site_constants.example.php does not exist.');
    }

    if (!copy('../../include/site_constants.example.php', '../../include/site_constants.php')) {
        die('Cannot copy /include/site_constants.example.php to /include/site_constants.php ');
    }
}

//*************************************************************************************************

require 'functions.php';
require '../../path.php';
require '../../include/site_constants.php';

//*************************************************************************************************

if (PATH == '') {
    if ($_SERVER["SCRIPT_FILENAME"] != '') {
        $sitePath = dirname(dirname(dirname($_SERVER["SCRIPT_FILENAME"]))) . '/';
    }
    else
        $sitePath = "/home/user/public_html/price-comparison/";
}
else {
    $sitePath = PATH;
}

//*************************************************************************************************

if (!isset($ROOT) || $ROOT == '') {
    if ($_SERVER["PHP_SELF"] != '') {
        $siteRoot = $_SERVER["PHP_SELF"];
        $siteRoot = "http://" . $_SERVER["HTTP_HOST"] . substr($siteRoot, 0, strlen($siteRoot) - 25);
    }
    else
        $siteRoot = "http://www.kaonsoftwares.com/price-comparison/";
}
else {
    $siteRoot = $ROOT;
}

//*************************************************************************************************

$step = 1;
$stepHeading = 'Install Instructions';
$formAction = 'install-2.php';

//*************************************************************************************************

include("header.php");

//*************************************************************************************************
?>

    Before you execute this script, please set write (CHMOD 666) permissions to the following files:
    <br><br>
    <b>
        /path.php<br>
        /include/config/constants-preinstall.php<br>
        /include/site_constants.php<br>
        <br>
    </b>

<?php
//*************************************************************************************************

include("footer.php");

//*************************************************************************************************
