<?php
//*************************************************************************************************

	require 'functions.php';

//*************************************************************************************************

	$sitePath = $_SERVER["SCRIPT_FILENAME"];
	if ( $sitePath == '' )
		$sitePath = $_SERVER["PATH_TRANSLATED"];
	
	if ( $sitePath != '' )
		$sitePath = dirname(dirname(dirname($_SERVER["SCRIPT_FILENAME"]))).'/';
	else
		$sitePath = "/home/user/public_html/price-comparison/";

//*************************************************************************************************

	$siteRoot = $_SERVER["PHP_SELF"];
	if ( $siteRoot == '' )
		$siteRoot = $_SERVER["SCRIPT_NAME"];

	if ( $siteRoot != '' )
		$siteRoot = "http://".$_SERVER["HTTP_HOST"].substr($siteRoot, 0, strlen($siteRoot)-27);
	else
		$siteRoot = "http://www.kaonsoftwares.com/price-comparison/";

//*************************************************************************************************

	if ( getVar('doSubmit') != '' )
	{
		$path					= postVar('path');
		$root					= postVar('root');
		$domain					= postVar('root');
		$rootStatic				= postVar('rootStatic');
		$rootSSL				= postVar('rootSSL');
		$rootStatic				= $rootStatic == '' ? $root : $rootStatic;
		$rootSSL				= $rootSSL == '' ? $root : $rootSSL;

		if ( $path == '' || $root == '' )
		{
			echo getErrorForm($_POST, "install-2.php?info=".urlencode("Incomplete Form Submitted"));
			die;
		}

		// check if the path is valid
		if ( !file_exists($path."admin") )
		{
			echo getErrorForm($_POST, "install-2.php?info=".urlencode("Incorrect Physical PATH specified"));
			die;
		}

		$pathText		= getPathText($path);
		$constantsText  = getSiteConstantsText('', $root, $root, $rootStatic, $rootSSL);

		define("PATH", $path);

		// write path files
		writeToFile("path.php",				$pathText);

		// write site_constants
		writeToFile("include/site_constants.php", $constantsText);

		// redirect to next step
		header("Location: install-3.php");
		die;
	}

//*************************************************************************************************

	$step			= 2;
	$stepHeading	= 'Script Settings';
	$formAction		= 'install-2.php?doSubmit=1';

//*************************************************************************************************
	
	include("header.php");

//*************************************************************************************************
?>

		<table width="550" cellspacing="0" cellpadding="10" align="center">
			<tr valign="top">
				<td class="td" width="30%">Physical Path :</td>
				<td class="td"><input type="text" name="path" size="70" maxlength="255" value="<?php echo  postVar('path') == '' ? $sitePath : $_POST['path'] ?>" class="effect" alt="blank"><br><font color="gray">Eg: <?php echo  $sitePath ?></font></td>
			</tr>
			<tr valign="top">
				<td class="td">Website URL :</td>
				<td class="td"><input type="text" name="root" size="70" maxlength="255" value="<?php echo  postVar('root') == '' ? $siteRoot : $_POST['root'] ?>" class="effect" alt="blank"><br><font color="gray">Eg: <?php echo  $siteRoot ?></font></td>
			</tr>
			<tr valign="top">
				<td class="td">Static Content URL :</td>
				<td class="td"><input type="text" name="rootStatic" size="70" maxlength="255" value="<?php echo  postVar('rootStatic') == '' ? $siteRoot : $_POST['rootStatic'] ?>" class="effect" alt="blank"><br><font color="gray">Eg: <?php echo  $siteRoot ?></font></td>
			</tr>
			<tr valign="top">
				<td class="td">SSL URL :</td>
				<td class="td"><input type="text" name="rootSSL" size="70" maxlength="255" value="<?php echo  postVar('rootSSL') == '' ? $siteRoot : $_POST['rootSSL'] ?>" class="effect" alt="blank"><br><font color="gray">Eg: <?php echo  $siteRoot ?></font></td>
			</tr>
		</table>

<?php
//*************************************************************************************************

	include("footer.php");

//*************************************************************************************************
?>