<?php
//*************************************************************************************************
		
		require ("../../path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH.ADMIN_FOLDER_NAME."/js/js.php");

//*************************************************************************************************

		session_start();
		$adminLangId		= sessionVar('sessAdminLang');
		$adminLangFolder	= sessionVar('sessAdminLangFolder');
		$langLoadArray		= array('constants', 'constants-commons', 'constants-messages', 'constants-info', 'constants-js',
									'constants-admin', 'admin-product_import_feed_prompt2', 'admin-autofeed_user_urls_feed_parameters');
		loadLanguageForPage($adminLangId, $langLoadArray);

//*************************************************************************************************
?>
// <script>
//*************************************************************************************************
//		Price Comparison Script v6 copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//*************************************************************************************************

// Test if necessary columns are selected if it was the column mappings tab
		function checkNecessaryColumnMappings()
		{
			// If it is xml feed
			if ( isXMLFeed ) {
				if ( '' == $('SELECT[name=COL_PRODUCT]').val() ) {
					showPop('<?= handleSingleQuote4JS(FORGOT_COLUMN_MAPPING_PRODUCT_NAME) ?>',
						650, 220, 'error', 12, 'brown', true);
				}
				else if ( '' == $('SELECT[name=COL_PRICE]').val() ) {
					showPop('<?= handleSingleQuote4JS(FORGOT_COLUMN_MAPPING_PRODUCT_PRICE) ?>',
						650, 220, 'error', 12, 'brown', true);
				}
				else if ( '' == $('SELECT[name=COL_BUY_URL]').val() ) {
					showPop('<?= handleSingleQuote4JS(FORGOT_COLUMN_MAPPING_BUY_URL) ?>',
						650, 220, 'error', 12, 'brown', true);
				}
			}

			// If it is csv feed
			else {
				var isSelNm = false;
				var isSelPr = false;
				var isSelBu = false;
				$('SELECT[name^=nmDBFField]').each(function(){
					if ( 'colProduct' == $(this).val() )	isSelNm = true;
					if ( 'colPrice' == $(this).val() )		isSelPr = true;
					if ( 'colBuyURL' == $(this).val() )		isSelBu = true;
				});
				if (  !isSelNm ) {
					showPop('<?= handleSingleQuote4JS(FORGOT_COLUMN_MAPPING_PRODUCT_NAME) ?>',
						650, 220, 'error', 12, 'brown', true);
				}
				else if ( !isSelPr ) {
					showPop('<?= handleSingleQuote4JS(FORGOT_COLUMN_MAPPING_PRODUCT_PRICE) ?>',
						650, 220, 'error', 12, 'brown', true);
				}
				else if ( !isSelBu ) {
					showPop('<?= handleSingleQuote4JS(FORGOT_COLUMN_MAPPING_BUY_URL) ?>',
						650, 220, 'error', 12, 'brown', true);
				}
			}
		}

		function showHidePageSections(rel, id)
		{
			// Check for necessary column mappings after 1 second (so that move to top tabs does not disturb the placement of pop msg)
			window.setTimeout('checkNecessaryColumnMappings()', 500);

			// Do change the tab
			$("[rel="+rel+"]").hide();
			$("#"+id).show();
			$(".autofeedCmd").removeClass("autofeedCmdOver");
			$("#"+id+"Cmd").addClass("autofeedCmdOver");
			if ( id == 'idSectGenSetts' )
			{
				$("#idIconCont").hide();
				$("#idIconSave").show();
			}
			else
			{
				$("#idIconCont").show();
				$("#idIconSave").hide();
			}
		}

		function doContinue()
		{
			showHidePageSections('relSect', 'idSectGenSetts');
			location.href = '#topTabs';
		}

		function dbMapAdd()
		{
			if ( $("#idDBFFieldADD").val() == '' )
			{
				alert('<?=handleSingleQuote4JS(PLEASE_SELECT_A_FIELD_FIRST)?>');
				return;
			}

			nex = $("#idDBFRowCount").val() - 1 + 2;

			html = $("#idDBFRowCont_NEW").html();
			html = html.replace(/_NEW_/g, nex);

			$("#idDBFRows").append(html);
			$("#idDBFRowCount").val(nex);

			$("#idDBFField"+nex).val($("#idDBFFieldADD").val());

			dbMapUpdate(nex);

			$('SELECT[name^=nmDBFField]').change(function () { checkMerchantSetting(); });
		}

		function dbMapUpdate(dexDBF)
		{
			html = $("#idDBFSelectorCont").html();
			html = html.replace(/_COLUMN_NAME_/g, $("#idDBFField"+dexDBF+" option:selected").text());
			html = html.replace(/_DEXNO_/g, dexDBF);
			showPop(html, 850, 450, '', '', '', true);
			
			el = $('#idDBFSelectorContOuter'+dexDBF);
			$('[rel=relDBFSelectorContLeft]').mousemove(function(e) { diff = Math.ceil((40 - (e.pageX - this.offsetLeft))/8) + 1; diff = - Math.abs(diff); });
			$('[rel=relDBFSelectorContRite]').mousemove(function(e) { diff = Math.ceil((e.pageX - this.offsetLeft)/8) + 1; });
			$('[rel=relDBFSelectorContLeft]').mouseenter(function() {	scrolling = window.setInterval(function() { el.scrollLeft( el.scrollLeft() + scroll*diff ); }, speed); });
			$('[rel=relDBFSelectorContRite]').mouseenter(function() {	scrolling = window.setInterval(function() { el.scrollLeft( el.scrollLeft() + scroll*diff ); }, speed); });
			$('[rel=relDBFSelectorContLeft], [rel=relDBFSelectorContRite]').bind({ click: function(e) { e.preventDefault(); }, mouseleave: function() { if (scrolling) { window.clearInterval(scrolling); scrolling = false; } } });

			selCol = parseInt($('#idDBFRow_'+dexDBF+'_ColNo').html());

			if ( selCol >= 0 )
				$('#idDBFSelCol_'+dexDBF+'_'+selCol).addClass('onpageDBFSelBoxSel');

			checkMerchantSetting();
		}

		function dbMapRemove(dexDBF)
		{
			if ( getConfirmation() )
			{
				$("#idDBFRow_"+dexDBF).html('');
				checkMerchantSetting();
			}
		}

		function dbMapSetField(dexDBF, colNo)
		{
			$("#idDBFDex"+dexDBF).val(colNo);
			$("#idDBFRow_"+dexDBF+"_ColNo").html(colNo);
			$("#idDBFRow_"+dexDBF+"_Row1").html($("#idDataRow1Col"+colNo).html());
			$("#idDBFRow_"+dexDBF+"_Row2").html($("#idDataRow2Col"+colNo).html());
			$("#idDBFRow_"+dexDBF+"_Row3").html($("#idDataRow3Col"+colNo).html());
			hidePop();
			checkMerchantSetting();
		}


// </script>
