<?php
//*************************************************************************************************
		
		require ("../../path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH.ADMIN_FOLDER_NAME."/js/js.php");

//*************************************************************************************************

		session_start();
		$adminLangId		= sessionVar('sessAdminLang');
		$adminLangFolder	= sessionVar('sessAdminLangFolder');
		$langLoadArray		= array('constants', 'constants-commons', 'constants-messages', 'constants-info', 'constants-js', 'constants-admin', 'admin-autofeed_wizard');
		loadLanguageForPage($adminLangId, $langLoadArray);

//*************************************************************************************************

		$filename		= $_GET['filename'];
		if ( $filename != '' )
		{
			$filepath	= PATH.ADMIN_FOLDER_NAME.'/'.$filename.'.php';

			if ( file_exists($filepath) )
			{
				$donotCallEngine = 1;
				include $filepath;
				include PATH.ADMIN_FOLDER_NAME.'/manage_initialize.php';
			}
		}

		$selfPage		= $filename.'.php?';

//*************************************************************************************************
?>
// <script>
//*************************************************************************************************
//		Price Comparison Script v6 copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//*************************************************************************************************

		$(document).ready(function () {
			$(".TabOption").hover(
				function () {
					$(this).addClass('TabHighlighted');
				},
				function () {
					$(this).removeClass('TabHighlighted');
				}
			);

			$("#TabOption7").addClass("TabGrayed");

			loadWizardStep_0();
		});

//*************************************************************************************************
//
//		Local Data
//
//*************************************************************************************************

		var afw_userId			= '';
		var afw_urlId			= '';
		var afw_isXml			= '';
		var afw_outerTagName	= '';
		var afw_innerTagName	= '';
		var afw_delimiter		= '';
		var afw_totRecs			= '';
		var postData			= '';

		var timeoutSeconds		= 5000;

		// Step 2 - Download and Unzip
		var isReloadDLog		= false;
		var isAlreadyDload		= false;
		var isAlreadyUnzip		= false;
		var isAlreadyCustom		= false;
		var dlQryString			= '';

		// Step 7 - Category Mapping
		var isProgressBar		= false;
		var progressIndex		= 0;

		var intUnixTimestamp	= new Date().getTime();

//*************************************************************************************************
//
//		Step 0
//
//*************************************************************************************************

		function loadWizardStep_0()
		{
			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_load_step.php?stepNo=0", $("#formOption").get(0), 'GET', '', '');
		}

		function handleWizardStep_0()
		{
			afw_userId	= $("select[name=userId]").val();
			if ( afw_userId == '' )
			{
				alert("Please select a merchant.");
				$("select[name=userId]").focus();
				return false;
			}

			auuu_userId	= afw_userId;

			objFrm		= $("#idWizardForm").get(0);
			postData	= buildPOST(objFrm);

			loadWizardStep_1(postData);

			return false;
		}

//*************************************************************************************************
//
//		Step 1
//
//*************************************************************************************************

		function loadWizardStep_1(postData)
		{
			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_load_step.php?stepNo=1", $("#formOption").get(0), 'POST', postData, "urlFields();");

			showStepTabSelected(1);
		}

		function handleWizardStep_1()
		{
			if ( $("input[name=userId]").val() == '' )
			{
				alert("Please select a merchant.");
				return false;
			}
			
			if ( $("#isDownloadableY").attr('checked') )
			{
				if ( $("input[name=host]").val() == '' && $("input[name=fullUrl]").val() == '' )
				{
					alert("Please enter the hostname (server name) from where file will be downloaded.");
					$("input[name=host]").focus();
					return false;
				}
				
				if ( $("input[name=fileName]").val() == '' && $("input[name=fullUrl]").val() == '' )
				{
					alert("Please enter the filename to be downloaded.");
					$("input[name=fileName]").focus();
					return false;
				}
			}
			else
			{
				if ( $("#idIsDownloadableU").attr('checked') )
				{
					$("#isDownloadableN").attr('checked', 'checked');
					$("input[name=location]").val('upload/merchant/'+auuu_userId+'/');
					$("input[name=fileNamePushed]").val($("#idFileNameUploaded").val());
				}

				if ( $("input[name=fileNamePushed]").val() == '' )
				{
					alert("Please enter the filename that is on your server.");
					$("input[name=fileNamePushed]").focus();
					return false;
				}
			}

			// Form checking js comes here

			objFrm		= $("#idWizardForm").get(0);
			postData	= buildPOST(objFrm);

			if ( afw_urlId > 0 )
				postData = 'task=UserURL&action=Update&isAjax=1&id='+afw_urlId+'&' + postData;
			else
				postData = 'task=UserURL&action=Add&isAjax=1&' + postData;

			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_controller.php", $("#formReturnCont").get(0), 'POST', postData, "performWizardStep_1();");
			
			return false;
		}

		function performWizardStep_1()
		{
			retVal	= $("#formReturnCont").html();
			if ( retVal.indexOf('SUCCESS:') == 0 )
			{
				$("#formOption").html("Please wait...");
				afw_urlId = retVal.substring(retVal.indexOf(':')+1);
			}

			else
			{
				showWizardInlineMsg(retVal);
				return false;
			}

			loadWizardStep_2('userId='+afw_userId+'&urlId='+afw_urlId);
		}

		function urlFields()
		{
			if ( $("select[name=protocol]").val() == 'ftp' )
			{
				$("tr[alt=fullUrl]").hide();
				$("tr[alt=partsUrl]").show();
			}
			else
			{
				$("tr[alt=fullUrl]").show();
				$("tr[alt=partsUrl]").hide();
			}
		}

//*************************************************************************************************
//
//		Step 2
//
//*************************************************************************************************

		function loadWizardStep_2(postData)
		{
			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_load_step.php?stepNo=2", $("#formOption").get(0), 'POST', postData, "");

			showStepTabSelected(2);
		}

		function handleWizardStep_2(qryStringTmp)
		{
			if ( qryStringTmp != '' && qryStringTmp != null )
				dlQryString = qryStringTmp;

			//alert(qryStringTmp);
			//alert(dlQryString);
			
			performWizardStep_2();

			return false;
		}

		function performWizardStep_2()
		{
			loadWizardStep_3('userId='+afw_userId+'&urlId='+afw_urlId);
		}

		function loadWizardStep_2_Download(qryStringTmp)
		{
			isAlreadyDload = false;

			if ( isAlreadyDload == false )
			{
				if ( qryStringTmp != '' && qryStringTmp != null )
					dlQryString = qryStringTmp;
	
				//alert(qryStringTmp);
				//alert(dlQryString);

				showPop('Loading... Please wait...', 400, 150, "loading", "14", "#888888", true);
				
				window.open("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_2_download.php?"+dlQryString, 'hdnFrameStep');
		
				isReloadDLog   = true;
				isAlreadyDload = true;
				isAlreadyUnzip = false;
				isAlreadyCustom= false;

				timeoutId = window.setTimeout('loadWizardStep_2_DownloadLog();', timeoutSeconds);
			}
			else
			{
				alert('Already Downloading ['+isReloadDLog+']');
			}
		}


		function loadWizardStep_2_DownloadLog()
		{
			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_2_download_log.php?rand="+intUnixTimestamp, $("#formReturnCont").get(0), 'POST', '', "loadWizardStep_2_DownloadDisplay()");

			if ( isReloadDLog == true )
				window.setTimeout('loadWizardStep_2_DownloadLog();', timeoutSeconds);
		}

		function loadWizardStep_2_DownloadDisplay()
		{
			txtMsg = $("#formReturnCont").get(0).innerHTML;

			if ( txtMsg.indexOf('SUCCESS:') == 0 )
			{
				// Show last message
				if ( isReloadDLog == true )
				{
					showPop(txtMsg.substring(txtMsg.indexOf(':')+1), 400, 150, "info", "14", "#888888", true);
				
					// Call Unzip method
					window.setTimeout('loadWizardStep_2_Unzip();', timeoutSeconds);
				}

				// Stop Log update
				isReloadDLog = false;
			}
			else if ( txtMsg.indexOf('ERROR:') == 0 )
			{
				// Stop Log update
				isReloadDLog = false;
				
				// Show last message
				showPopError(txtMsg.substring(txtMsg.indexOf(':')+1));
			}
			else
				showPop(txtMsg, 400, 150, "loading", "14", "#888888", true);
		}

		function loadWizardStep_2_Unzip()
		{
			if ( isAlreadyUnzip == false )
			{
				showPop('Decompressing... Please wait...', 400, 150, "loading", "14", "#888888", true);
			
				window.open("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_2_unzip.php?"+dlQryString, 'hdnFrameStep');
	
				isAlreadyUnzip = true;
				//alert('Started Unzipping');
			}
			else
			{
				//alert('Unzipping already ['+isReloadDLog+']');
			}
			isReloadDLog   = true;
			window.setTimeout('loadWizardStep_2_UnzipLog();', timeoutSeconds);
		}

		function loadWizardStep_2_UnzipLog()
		{
			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_2_download_log.php?rand="+intUnixTimestamp, $("#formReturnCont").get(0), 'POST', '', "loadWizardStep_2_UnzipDisplay()");

			if ( isReloadDLog == true )
				window.setTimeout('loadWizardStep_2_UnzipLog();', timeoutSeconds);
		}

		function loadWizardStep_2_UnzipDisplay()
		{
			txtMsg = $("#formReturnCont").get(0).innerHTML;

			if ( txtMsg.indexOf('SUCCESS:') == 0 )
			{
				// Show last message
				if ( isReloadDLog == true )
				{
					showPop(txtMsg.substring(txtMsg.indexOf(':')+1), 400, 150, "info", "14", "#888888", true);

					// Call Next Method
					window.setTimeout('loadWizardStep_2_Finalize();', 2000);
				}

				// Stop Log update
				isReloadDLog = false;
			}
			else if ( txtMsg.indexOf('ERROR:') == 0 )
			{
				// Stop Log update
				isReloadDLog = false;
				
				// Show last message
				showPopError(txtMsg.substring(txtMsg.indexOf(':')+1));
			}
			else
				showPop(txtMsg, 400, 150, "loading", "14", "#888888", true);
		}

		function loadWizardStep_2_Finalize()
		{
			if ( $("#btnNext_Step2_1").get(0) ) {
				$("#btnNext_Step2_1").hide();
				$("#btnNext_Step2_2").show();
			}
		}

//*************************************************************************************************
//
//		Step 3
//
//*************************************************************************************************

		function loadWizardStep_3(postData)
		{
			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_load_step.php?stepNo=3", $("#formOption").get(0), 'POST', postData, "");

			showStepTabSelected(3);
		}

		function handleWizardStep_3()
		{
			performWizardStep_3();

			return false;
		}

		function performWizardStep_3()
		{
			loadWizardStep_4('userId='+afw_userId+'&urlId='+afw_urlId);
		}

//*************************************************************************************************
//
//		Step 4
//
//*************************************************************************************************

		function loadWizardStep_4(postData)
		{
			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_load_step.php?stepNo=4", $("#formOption").get(0), 'POST', postData, "");

			showStepTabSelected(4);
		}

		function handleWizardStep_4()
		{
			afw_isXML		= $("input[name=isXml]").val();
			if ( afw_isXML == 'Y' )
			{
				afw_outerTagName = $("select[name=outerTagName]").val();
				/*if ( afw_outerTagName == '' )
				{
					alert("Please select an outer tag name.");
					return false;
				}*/
			
				afw_innerTagName = $("select[name=innerTagName]").val();
				if ( afw_innerTagName == '' )
				{
					alert("Please select an inner tag name.");
					return false;
				}
			}
			else
			{
				afw_delimiter = $("select[name=delimiter]").val();
				if ( afw_delimiter == '' )
				{
					alert("Please select a field delimiter.");
					return false;
				}
			}

			objFrm		= $("#idWizardForm").get(0);
			postData	= buildPOST(objFrm);
			postData	= 'task=FeedParameters&action=Step1&' + postData;

			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_controller.php", $("#formReturnCont").get(0), 'POST', postData, "performWizardStep_4();");

			return false;
		}

		function performWizardStep_4()
		{
			responseText = $("#formReturnCont").html();
			//alert(dlQryString);

			// 10/10/2012: SALMAN: due to some browser addons, the returned HTML may not be == 'SUCCESS'
			if ( responseText.indexOf('SUCCESS') != 0 )
			{
				alert("Unable to update feed parameters - step 1 ["+responseText+"]");
				return;
			}

			// Call the row count process
			loadWizardStep_4_RowCount();
		}

		function loadWizardStep_4_RowCount()
		{
			showPop('Starting Row Count... <br>Please wait...', 400, 150, "loading", "14", "#888888", true);
			
			window.open("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_4_rowcount.php?userId="+afw_userId+"&urlId="+afw_urlId, 'hdnFrameStep');
	
			isReloadDLog = true;
			window.setTimeout('loadWizardStep_4_RowCountLog();', timeoutSeconds);
		}

		function loadWizardStep_4_RowCountLog()
		{
			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_2_download_log.php?rand="+intUnixTimestamp, $("#formReturnCont").get(0), 'POST', '', "loadWizardStep_4_RowCountDisplay()");

			if ( isReloadDLog == true )
				window.setTimeout('loadWizardStep_4_RowCountLog();', timeoutSeconds);
		}

		function loadWizardStep_4_RowCountDisplay()
		{
			txtMsg = $("#formReturnCont").get(0).innerHTML;

			if ( txtMsg.indexOf('SUCCESS:') == 0 )
			{
				// Show last message
				if ( isReloadDLog == true )
				{
					afw_totRecs = txtMsg.substring(txtMsg.indexOf(':')+1);
					showPop("Total records "+afw_totRecs+" <br>Please wait while next step is loaded.", 400, 150, "info", "14", "#888888", true);
					
					// Call Next Method
					window.setTimeout("loadWizardStep_5('userId="+afw_userId+"&urlId="+afw_urlId+"');", 100);
				}

				// Stop Log update
				isReloadDLog = false;
			}
			else if ( txtMsg.indexOf('ERROR:') == 0 )
			{
				// Stop Log update
				isReloadDLog = false;
				
				// Show last message
				showPopError(txtMsg.substring(txtMsg.indexOf(':')+1));
			}
			else
				showPop(txtMsg, 400, 150, "loading", "14", "#888888", true);
		}

//*************************************************************************************************
//
//		Step 5
//
//*************************************************************************************************

		function loadWizardStep_5(postData)
		{
			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_load_step.php?stepNo=5", $("#formOption").get(0), 'POST', postData, "loadedWizardStep_5();");

			showStepTabSelected(5);
		}

		function loadedWizardStep_5()
		{
			hidePop();
		}

		function addCustomTask(exit)
		{
			objFrm		= $("#idWizardForm").get(0);
			postData	= buildPOST(objFrm);
			postData	= 'task=CustomTasks&action=Add&isAjax=1&' + postData;

			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_controller.php", $("#formReturnCont").get(0), 'POST', postData, "performWizardStep_5("+exit+");");
		}

		function handleWizardStep_5()
		{
			loadWizardStep_5_CustomTask();

			return false;
		}

		function loadWizardStep_5_CustomTask()
		{
			isReloadDLog    = true;
			showPop('Custom Task... Please wait...', 400, 150, "loading", "14", "#888888", true);

			//alert(dlQryString);

			if ( isAlreadyCustom == false )
			{
				window.open("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_2_customtask.php?"+dlQryString, 'hdnFrameStep');
		
				isAlreadyCustom = true;

				//alert('Started Customtask');
			}

			window.setTimeout('loadWizardStep_5_CustomTaskLog();', timeoutSeconds);
		}

		function loadWizardStep_5_CustomTaskLog()
		{
			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_2_download_log.php?rand="+intUnixTimestamp, $("#formReturnCont").get(0), 'POST', '', "loadWizardStep_5_CustomTaskDisplay()");

			if ( isReloadDLog == true )
				window.setTimeout('loadWizardStep_5_CustomTaskLog();', timeoutSeconds);
		}

		function loadWizardStep_5_CustomTaskDisplay()
		{
			txtMsg = $("#formReturnCont").get(0).innerHTML;
			//alert("--loadWizardStep_5_CustomTaskDisplay--\n"+txtMsg);

			if ( txtMsg.indexOf('SUCCESS:') == 0 )
			{
				// Show last message
				if ( isReloadDLog == true )
				{
					// Next Method
					loadWizardStep_6('userId='+afw_userId+'&urlId='+afw_urlId);

					//showPop(, 400, 150, "info", "14", "#888888", true);
					alert("Loading next step\nPlease wait...!");
				}

				// Stop Log update
				isReloadDLog = false;
			}
			else if ( txtMsg.indexOf('ERROR:') == 0 )
			{
				// Stop Log update
				isReloadDLog = false;
				
				// Show last message
				showPopError(txtMsg.substring(txtMsg.indexOf(':')+1));
			}
			else
				showPop(txtMsg, 400, 150, "loading", "14", "#888888", true);
		}

		function performWizardStep_5(exit)
		{
			responseText = $("#formReturnCont").html();
			if ( responseText.indexOf('SUCCESS:') == 0 )
			{
				if ( !exit )
				{
					showWizardInlineMsg("Custom Task Added Successfully!");
					return;
				}

				handleWizardStep_5();
			}

			else
			{
				showWizardInlineMsg(responseText);
				return;
			}
		}

//*************************************************************************************************
//
//		Step 6
//
//*************************************************************************************************

		function loadWizardStep_6(postData)
		{
			//alert("--loadWizardStep_6--\n<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_load_step.php?stepNo=6&"+postData);
			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_load_step.php?stepNo=6&", $("#formOption").get(0), 'POST', postData, "loadedWizardStep_6();");

			// Select LEFT tab 
			showStepTabSelected(6);
		}

		function loadedWizardStep_6()
		{
			//alert( "--loadedWizardStep_6--\n" + $("#formOption").html() );
			hidePop();

			$("#useCategoryMappingY").click(function () {
				$("#TabOption7").removeClass("TabGrayed");
				$("#idCmdNext").val("Next");
			});

			$("#useCategoryMappingN").click(function () {
				$("#TabOption7").addClass("TabGrayed");
				$("#idCmdNext").val("Finish");
			});
		}

		function handleWizardStep_6()
		{
			objFrm		= $("#idWizardForm").get(0);
			postData	= buildPOST(objFrm);
			postData	= 'task=FeedParameters&action=Add&isAjax=1&' + postData;

			postData	= postData.replace(/http/g, '__h_t_t_p__');

			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_controller.php", $("#formReturnCont").get(0), 'POST', postData, "performWizardStep_6();");

			return false;
		}

		function performWizardStep_6()
		{
			responseText = $("#formReturnCont").html();

			if ( responseText.indexOf('SUCCESS:') == 0 )
			{
				showWizardInlineMsg("Column Mappings Saved Successfully!");
				
				loadWizardStep_7('userId='+afw_userId+'&urlId='+afw_urlId);
			}
			else
				showWizardInlineMsg(responseText);
		}

//*************************************************************************************************
//
//		Step 7
//
//*************************************************************************************************

		function loadWizardStep_7(postData)
		{
			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_load_step.php?stepNo=7", $("#formOption").get(0), 'POST', postData, 'loadedWizardStep_7()');

			showStepTabSelected(7);
		}

		function loadedWizardStep_7()
		{
			if ( $("#formOption").html() == '<?=handleSingleQuote4JS(SHOW_POPUP_FOR_REDIRECTING)?>' )
			{
				performWizardStep_7();
			}
		}

		function performWizardStep_7()
		{
			location.href = 'autofeed_user_urls.php?userId='+afw_userId+'&info='+escape("Autofeed wizard completed successfully");
			return false;
		}

		function loadWizardStep_7_ParseCat(qryVal)
		{			
			window.open("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_category_mappings_datafeed.php?"+qryVal, '_blank');

// if you uncomment below code, then also remove space from the < ? below
// had to add it because otherwise php-storm gives an error
/*			window.open("< ?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_7_catmapping.php?userId="+afw_userId+"&urlId="+afw_urlId, 'hdnFrameStep');
	
			isReloadDLog	= true;
			isProgressBar	= false;
			progressIndex	= 0;
			window.setTimeout('loadWizardStep_7_ParseCatLog();', timeoutSeconds);*/
		}

		function loadWizardStep_7_ParseCatLog()
		{
			getContentFromUrl("<?=SCRIPT_ROOT.ADMIN_FOLDER_NAME?>/autofeed_wizard_2_download_log.php?rand="+intUnixTimestamp, $("#formReturnCont").get(0), 'POST', '', "loadWizardStep_7_ParseCatDisplay()");

			if ( isReloadDLog == true )
				window.setTimeout('loadWizardStep_7_ParseCatLog();', timeoutSeconds);
		}

		function loadWizardStep_7_ParseCatDisplay()
		{
			txtMsg = $("#formReturnCont").get(0).innerHTML;
//			alert(txtMsg);

			if ( txtMsg.indexOf('SUCCESS:') == 0 )
			{
				// Show latest message
				if ( isReloadDLog == true )
				{
					showPop("Building category mapping process finished.<br>Please <a href='javascript:loadWizardStep_7_FinalTask(\""+txtMsg.substring(txtMsg.indexOf(':')+1)+"\")' class=link><b>click here</b></a> to load category mapping page in new window.", 400, 150, "info", "14", "#888888", true);
				}

				// Stop Log update
				isReloadDLog = false;
			}
			else if ( txtMsg.indexOf('ERROR:') == 0 )
			{
				// Stop Log update
				isReloadDLog = false;
				
				// Show last message
				showPopError(txtMsg.substring(txtMsg.indexOf(':')+1));
			}
			else if ( txtMsg.indexOf('PROGRESS:') == 0 )
			{				
				var progressNum = txtMsg.substring(txtMsg.indexOf(':')+1);
				progressNum		= progressNum.replace(/<br>/, "");

				showProgressBar(progressNum);
			}
			else
				showPop(txtMsg, 400, 150, "loading", "14", "#888888", true);
		}

		function loadWizardStep_7_FinalTask(url)
		{
			window.open('autofeed_category_mappings_datafeed_res.php?'+url, '_blank');
			window.setTimeout("location.href='autofeed_user_urls.php?userId="+afw_userId+"'", timeoutSeconds);
		}

		function showProgressBar(dex)
		{
			if ( isProgressBar == false )
			{
				showPop('Processing for category mapping. <br>Please wait...<br><br><center><span class="progressBar" id="spaceused1"></span></center><br>', 400, 150, "", "14", "#888888", true);
				$('#spaceused1').progressBar(1);
			}

			isProgressBar	= true;

			if ( progressIndex < dex )
			{
				progressIndex = dex;
				$('#spaceused1').progressBar(progressIndex);
			}
		}

//*************************************************************************************************

		function showStepTabSelected(dex)
		{
			$(".TabOption").removeClass("TabSelected");
			$("#TabOption"+dex).addClass("TabSelected");
		}

		function showWizardInlineMsg(msg)
		{
			$("#formMsgInline").html(msg);
			$("#formMsgInline").show();
		}

		function toggleDownloadable(type)
		{
			$("#tbl_fileAttribs").show();
			$("[rel=rel_isDownloadable]").hide();
			$("#tbl_isDownloadable"+type).show();
		}

//*************************************************************************************************

		function showSplitNotice(chk)
		{
			if ( chk == true )
				alert("<?=str_replace("\n", "\\n", handleSingleQuote4JS(WHEN_YOU_SPLIT_A_COLUMN_INTO_MULTIPLE_COLUMNS_THEN_THE_COLUMN))?>");
		}

//*************************************************************************************************

// </script>
