<?php
//*************************************************************************************************
		
		require ('../../path.php');
		require (PATH.'include/include.php');

//*************************************************************************************************

		$adminLangId		= sessionVar('sessAdminLang');
		if ( $adminLangId == '' )
			$adminLangId	= SCRIPT_DEFAULT_LANGUAGE;

		$langLoadArray		= array('constants', 'constants-commons', 'constants-messages', 'constants-info', 'constants-js', 'constants-admin');
		loadLanguageForPage($adminLangId, $langLoadArray);

//*************************************************************************************************

		include (PATH.ADMIN_FOLDER_NAME."/js/js.php");

//*************************************************************************************************
?>
// <script>
//*************************************************************************************************
//		Price Comparison Script v6 copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//*************************************************************************************************


//***********************************************
var lastClass = '';
//***********************************************
function mOver()
{
	lastClass = this.className;
	this.className = 'tr-Hover';
}
//***********************************************
function mOut()
{
	this.className = lastClass;
}
//***********************************************
function mOverDivs()
{
	lastClass = this.className;
	this.className = 'row tr-Hover';
}
//***********************************************
function mOutDivs()
{
	this.className = lastClass;
}
//***********************************************
function getConfirmation()
{ 
	var temp; 
	
	temp = confirm("Are you sure you want to continue ?");
	return temp;
}
//***********************************************
function getConfirmation2(msg)
{ 
	var temp; 
	
	temp = confirm(msg);
	return temp;
}
//***********************************************
var merchantSelectorUrl = '';
//***********************************************
function showMerchantSelector(url)
{
	merchantSelectorUrl = url;
	showPop('Select a merchant to continue: <?=str_replace("'", "\\'", getCombobox("userId", "USERINFO", "USERID", "REPLACE(NAME, '\"', '')", "", "", "REPLACE(NAME, '\"', '')", "Please select a merchant...", "onchange=loadMerchantSelectorUrl(this.value)"))?>', 500, 175, '', 12, '', true);
}
//***********************************************
function loadMerchantSelectorUrl(userId)
{
	location.href = merchantSelectorUrl + userId;
}
//***********************************************
function showAboutPCS()
{
	$('.PopWinBG').css('top','0px');
	$('.PopWinBG').css('left','0px');
	$('.PopWinBG').css('width',($(document).width())+'px');
	$('.PopWinBG').css('height',($(document).height())+'px');
	$('.PopWinBG').show();
	$('.PopWinBG').click(function(){ hideAboutPCS(); hidePop(); });

	html = '<div style="width:800px;padding:20px;"><img src="images/about-pcs-logo.png" width="260" height="260" border="0" alt="PCS" align="left" style="margin:20px"><h2 style="font:bold 18px/30px Verdana"><?=ABOUT_PRICE_COMPARISON_SCRIPT?></h2><h4 style="font:bold 14px/25px Verdana"><?=PCS_VERSION?></h4><p style="font:12px/20px Verdana"><?=PCS_ABOUT_POP_WRITEUP?></p><div style="clear:both;"></div><div style="margin:10px -20px -20px -20px;padding:25px 50px;background-color:#eee"><table width=100% cellspacing=0 cellpadding=0 border=0><tr><td width=35%><a href="http://www.kaonsoftwares.com/eng/price-comparison-script-faqs.html" target="_blank" class="linkBold"><?=FREQUENTLY_ASKED_QUESTIONS?></a></td><td width=30%><a href="http://forum.kaonsoftwares.com/viewforum.php?f=1" target="_blank" class="linkBold"><?=PCS_SUPPORT_FORUMS?></a></td><td width=25%><a href="http://forum.kaonsoftwares.com/bug/support-form.php" target="_blank" class="linkBold"><?=REQUEST_SUPPORT?></a></td><td width=10%><a class="adminModeOpt" href="javascript:hideAboutPCS();" style="width:100%"><?=_CLOSE?></a></td></tr></table></div></div>';

	etop = 100;
	eleft = Math.ceil($(window).width()/2) - 450;
	eleft = eleft < 10 ? 10 : eleft;

	$div = $('<div />').appendTo('body');
	$div.attr('id', 'idAboutPCSPop');
	$div.html(html);
	$div.addClass('HelpWizDiv');
	$div.css('top', etop+'px');
	$div.css('left', eleft+'px');
}
//***********************************************
function hideAboutPCS()
{
	$('.PopWinBG').hide();
	$('#idAboutPCSPop').remove();
}
//***********************************************
	var currHelpWiz = 0;
	var helpWizData = [
						{
							'itemSelector': '#idSwitchModeBtn',
							'heading': '<?=HELP_GS_STEP_1_HEADING?>',
							'detail': '<?=HELP_GS_STEP_1_DETAIL?>',
							'xoffset': -300,
							'yoffset': 75
						},
						{
							'itemSelector': '.HeaderNotice',
							'heading': '<?=HELP_GS_STEP_2_HEADING?>',
							'detail': '<?=HELP_GS_STEP_2_DETAIL?>',
							'xoffset': -200,
							'yoffset': 50
						},
						{
							'itemSelector': '#idForHelpWizStepB',
							'trigger1ClassId': '#idForHelpWizStepBTrig1',
							'trigger1ClassName': 'HelpWizDDRBarItem',
							'trigger2ClassId': '#idForHelpWizStepBTrig2',
							'trigger2ClassName': 'HelpWizDDRMenu',
							'heading': '<?=HELP_GS_STEP_3_HEADING?>',
							'detail': '<?=HELP_GS_STEP_3_DETAIL?>',
							'xoffset': 300,
							'yoffset': 80
						},
						{
							'itemSelector': '#idForHelpWizStepA',
							'heading': '<?=HELP_GS_STEP_4_HEADING?>',
							'detail': '<?=HELP_GS_STEP_4_DETAIL?>',
							'xoffset': 30,
							'yoffset': 160
						},
						{
							'itemSelector': '.StepTabCont',
							'heading': '<?=HELP_GS_STEP_5_HEADING?>',
							'detail': '<?=HELP_GS_STEP_5_DETAIL?>',
							'xoffset': 30,
							'yoffset': 60
						}
					];

	function startHelpWiz()
	{
		if ( location.pathname.indexOf('welcome.php') < 0 )
		{
			location.href = 'welcome.php#showGettingStarted'
			return;
		}

		currHelpWiz = 0;
		nextHelpWiz();
	}

	function nextHelpWiz()
	{
		currHelpWiz = currHelpWiz - 1 + 2;

		if ( currHelpWiz > helpWizData.length )
			closeHelpWiz();

		data = helpWizData[currHelpWiz-1];

		showHelpWizItem(currHelpWiz, data);
	}

	function prevHelpWiz()
	{
		if ( currHelpWiz < 2 )
			return;

		currHelpWiz = currHelpWiz - 1;

		data = helpWizData[currHelpWiz-1];

		showHelpWizItem(currHelpWiz, data);
	}

	function closeHelpWiz()
	{
		$('.PopWinBG').hide();
		$('[rel=relHelpWiz]').hide();
	}

	function showHelpWizItem(step, data)
	{
		var itemSel			= data.itemSelector;
		var tipHeading		= data.heading;
		var tipText			= data.detail;
		var xoffset			= data.xoffset;
		var yoffset			= data.yoffset;

		$('[rel=relHelpWiz]').hide();

		$('.PopWinBG').css('top','0px');
		$('.PopWinBG').css('left','0px');
		$('.PopWinBG').css('width',($(document).width())+'px');
		$('.PopWinBG').css('height',($(document).height())+'px');
		$('.PopWinBG').show();
		$('.PopWinBG').click(function(){ closeHelpWiz(); hidePop(); });

		pos = $(itemSel).offset();

		etop = parseInt(pos.top);
		eleft = parseInt(pos.left);

		html1 = $(itemSel).get(0).outerHTML;
		$div1 = $('<div />').appendTo('body');
		$div1.attr('rel', 'relHelpWiz');
		$div1.html(html1);
		$div1.addClass('HelpWizDiv');
		$div1.children().css('margin', '0px');
		$div1.css('top', etop+'px');
		$div1.css('left', eleft+'px');
		if ( data.trigger1ClassId !== undefined )	$div1.find(data.trigger1ClassId).addClass(data.trigger1ClassName);
		if ( data.trigger2ClassId !== undefined )	$div1.find(data.trigger2ClassId).addClass(data.trigger2ClassName);

		btop = etop + yoffset;
		bleft = eleft + xoffset;

		html2 = '<h2>'+tipHeading+'</h2>';
		html2 += '<div style="margin-top:8px;border-top:1px dotted gray;padding-top:8px;">'+tipText+'</div>';
		html2 += '<div style="margin-top:8px;border-top:1px dotted gray;padding-top:8px;text-align:right;">';
		if ( step > 1 )
			html2 += '<button onclick=prevHelpWiz()>Previous Tip</button> ';
		html2 += '<button onclick=closeHelpWiz()>Close This Help</button> ';
		if ( step < helpWizData.length )
			html2 += '<button onclick=nextHelpWiz()>Next Tip</button>';
		html2 += '</div>';

		$div2 = $('<div />').appendTo('body');
		$div2.html(html2);
		$div2.attr('rel', 'relHelpWiz');
		$div2.addClass('HelpWizTipBox');
		$div2.css('top', btop+'px');
		$div2.css('left', bleft+'px');
	}

	$(document).ready(function () {

		if ( window.location.hash == '#showGettingStarted' )
			startHelpWiz();

		// Use try/catch because the search bar may not exist on some pages
		try {
			$('#idSearchOpt input').focusout(function(){
				$('#idAdminSearchMenuOpt').css('visibility', '');
			});
		} catch (e) {}

	});

//***********************************************

function adminLinkSearch(query)
{
	$('#idAdminSearchMenuOpt').empty();

	if ( query.length < 2 )
		return;

	$('#idAdminSearchMenuOpt').css('visibility', 'visible');

	added2list = 0;

	$('#idForHelpWizStepB li:not(:has(>ul))').each(function () {
		if ( $(this).attr('id') == 'idSearchOpt' )
			return;

		if ( $(this).text().toLowerCase().indexOf(query) < 0 )
			return;

		$('#idAdminSearchMenuOpt').append('<li>'+($(this).html())+'</li>');

		added2list++;
	});

	if ( added2list > 0 )
		return;

	$('#idForHelpWizStepB li').each(function () {
		if ( $(this).attr('id') == 'idSearchOpt' )
			return;

		if ( $(this).text().toLowerCase().indexOf(query) < 0 )
			return;

		$('#idAdminSearchMenuOpt').append('<li>'+($(this).html())+'</li>');
	});
}

//***********************************************
function showDropdown(element) {
    var event = new MouseEvent('mousedown');
    element.dispatchEvent(event);
}
//***********************************************

// </script>
