<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . 'affiliates/aff_affiliate_session.php');

//*************************************************************************************************

$startDate = getVar('startDate');
$endDate = getVar('endDate');

//*************************************************************************************************

$args = array($affiliateRecId);
$subSql = '';

if ($startDate != '') {
    $subSql .= "AND CASHBACK_DATETIME >= ? ";
    $args[] = $startDate;
}

if ($endDate != '') {
    $subSql .= "AND CASHBACK_DATETIME <= ? ";
    $args[] = $endDate . ' 23:59:59';
}

$resCB = breakPages("SELECT * FROM " . PREFIX . "AFF_CASHBACK WHERE AFFILIATE_ID = ? AND ISVALID='Y' " . $subSql . " ORDER BY CASHBACK_DATETIME DESC", '', 0, $args);

//*************************************************************************************************

$pageHeading = CASHBACKS;

//*************************************************************************************************

$doCallCalendar = true;

//*************************************************************************************************

// Render template
renderTemplate('affiliates/cashbacks', [
    'startDate' => $startDate,
    'endDate' => $endDate,
    'resCB' => $resCB,
]);

//*************************************************************************************************
