<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");
		require_once (PATH."include/include_RSA.php"); 

//*************************************************************************************************

		include (PATH.'affiliates/aff_affiliate_session.php');

//*************************************************************************************************				

		$task	= postVar('task');
		$action = postVar('action');
		$return = postVar('return', 'urlpart');
		$isAjax = postVar('isAjax', 'int');

//*************************************************************************************************
//			VISITOR PASSWORD
//*************************************************************************************************
if ( $task == "ChangePassword" )
{
		
		$oldPassword		= postVar('oldPassword', PWD_ALLOWED_CHARS, '', array('maxlen'=>MAX_CHARS_PWD));
		$newPassword		= postVar('newPassword', PWD_ALLOWED_CHARS, '', array('maxlen'=>MAX_CHARS_PWD));
		$confirmPassword	= postVar('confirmPassword', PWD_ALLOWED_CHARS, '', array('maxlen'=>MAX_CHARS_PWD));

		
		if (  $oldPassword == '' || $newPassword == '' || $confirmPassword == '' )
			header("Location: ".$return."info=1");


		if ( $action == "Update" )
		{
			$res = updateAffAffiliatePassword($msg, $affiliateRecId, $newPassword, $confirmPassword, $oldPassword, 1);
			header("Location: ".$return."info=".urlencode($msg));
			die;
		}	
}


//*************************************************************************************************
//			AFFILIATE
//*************************************************************************************************
elseif ( $task == "Affiliate" )
{
		if ( $action == "Profile" )
		{
			$name				= postVar('name');
			$address1			= postVar('address1', '', '', array('maxlen'=>255));
			$address2			= postVar('address2', '', '', array('maxlen'=>255));
			$city				= postVar('city');
			$state				= postVar('state');
			$country			= postVar('country');
			$taxid_ssn			= postVar('taxid_ssn');
			$zip				= postVar('zip', '', '', array('maxlen'=>15));
			$phone				= postVar('phone');
			$email				= postVar('email');

			$res = updateAffAffiliateProfile($msg, $affiliateRecId, $name, $address1, $address2, $city, $state, $country, $zip, $phone, $email, '', '', '', '', '', $taxid_ssn, 1); // Set last value = 1 to tell that this is update from public pages and it should not effect admin settings for this affiliate
			header("Location: ".$return."info=".urlencode($msg));
			die;
		}

		elseif ( $action == "GiveOrTake" )
		{
			$cashbackType		= postVar('cashbackType');
			$charityId			= postVar('charityId', 'int');
			$minPayAmount		= postVar('minPayAmount', 'float');
			$paymentType		= postVar('paymentType');
			$chequePayableTo	= postVar('chequePayableTo');
			$paypalEmail		= postVar('paypalEmail');

			$res = updateAffAffiliateGiveOrTake($msg, $affiliateRecId, $cashbackType, $charityId, $minPayAmount, $paymentType, $chequePayableTo, $paypalEmail);
			header("Location: ".$return."info=".urlencode($msg));
			die;
		}
}

//*************************************************************************************************
//			NOTHING
//*************************************************************************************************
else	
	header("Location: ".SCRIPT_ROOT."?p=visitor_welcome&t=".$task."&a=".$action);

//*************************************************************************************************

exit(); // To make sure session is working //
?>