<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

$email = postVar('email');
$return = getVar('return', 'url');

//*************************************************************************************************

if ($email == '') {
    header("Location: affiliate_forgot_pwd_form.php?info=1&return=" . urlencode($return));
    die;
}

$res = preparedQuery("SELECT ID, PASSWORD, NAME, EMAIL FROM " . PREFIX . "AFF_AFFILIATE WHERE EMAIL = ?", array($email));
if (($row = getRow($res))) {
    $pwdChangeCode = getConfirmationCode();
    preparedUpdate("UPDATE " . PREFIX . "AFF_AFFILIATE SET PWD_CHANGE_CODE = ? WHERE ID = ?", array($pwdChangeCode, $row['ID']));

    sendMail($email, SCRIPT_WEBMASTER, CREATE_NEW_PASSWORD_REQUEST, DEAR . ' ' . $row['NAME'] . ",\n\n" . RECEIVED_LOST_PASSWORD_REQUEST . "\n\n" . USE_FOLLOWING_LINK_TO_CREATE_NEW_PWD . "\n" . SCRIPT_ROOT . 'affiliates/affiliate_forgot_pwd_create.php?i=' . $row['ID'] . '&c=' . $pwdChangeCode . "\n\n" . PLEASE_IGNORE_IF_NOT_YOU . "\n\n" . REGARDS . "\n" . SCRIPT_COMPANY_NAME, 0);

    header("Location: affiliate_forgot_pwd_form.php?pwdInfo=1&return=" . urlencode($return));
}
else {
    header("Location: affiliate_forgot_pwd_form.php?info=5&return=" . urlencode($return));
}

//*************************************************************************************************
