<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");
require_once(PATH . "include/include_RSA.php");

//*************************************************************************************************

$userId = postVar('userId', '', '', array('maxlen' => 12));
$password = postVar('password', PWD_ALLOWED_CHARS, '', array('maxlen' => MAX_CHARS_PWD));

//*************************************************************************************************

$return = postVar('return', 'url');
if ($return == '') {
    $return = getVar('return', 'url');
}

//*************************************************************************************************

if ($userId != '' && $password != '') {
    $res = preparedQuery("SELECT * FROM " . PREFIX . "AFF_AFFILIATE WHERE USERID = ?", array($userId));
    if (($rows = getRow($res))) {
        if ($rows['USERID'] == $userId) {
            if ($rows['ISVALID'] == 'Y') {
                if (passwordVerify($password, $rows['PASSWORD'])) {
                    $affiliateRecId = $rows['ID'];
                    $affiliateName = $rows['NAME'];
                    $lastLogin = $rows['LASTLOGIN'];
                    $affiliateId = $userId;

                    preparedUpdate("UPDATE " . PREFIX . "AFF_AFFILIATE SET LASTLOGIN = ? WHERE USERID = ?", array(getTimezoneTime(), $userId));

                    session_start();
                    $_SESSION['affiliateRecId'] = $affiliateRecId;
                    $_SESSION['affiliateId'] = $affiliateId;
                    $_SESSION['affiliateName'] = $affiliateName;
                    $_SESSION['affiliateLastLogin'] = $lastLogin;

                    if ($return != '')
                        header("Location: " . $return . "");

                    else
                        header("Location: affiliate_welcome.php?");
                } else
                    header("Location: index.php?info=14&return=" . urlencode($return));
            } else
                header("Location: index.php?info=15&return=" . urlencode($return));
        } else
            header("Location: index.php?info=295&return=" . urlencode($return));
    } else
        header("Location: index.php?info=7&return=" . urlencode($return));
} else
    header("Location: index.php?info=1&return=" . urlencode($return));

//*************************************************************************************************
