<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		if ( defined('IS_IN_DEMO_MODE') && IS_IN_DEMO_MODE == 1 )
		{
			header("Location: http://www.kaonsoftwares.com/contact-us.html");
			die;
		}

//*************************************************************************************************

		$langFilename = 'contactus.php';
		include (PATH."session.php");

//*************************************************************************************************

		$return = getSeoUrl('contactus', '?');

//*************************************************************************************************				

		require (PATH."include/security_check.php");

//*************************************************************************************************				

		if ( is_array($_POST) )
		{
			$Name			= postVar('Name', 'a-zA-Z0-9,\-\. ', '', array('maxlen'=>100));
			$Address		= postVar('Address', 'a-zA-Z0-9,\-\. ', '', array('maxlen'=>100));
			$City			= postVar('City', 'a-zA-Z0-9,\-\. ', '', array('maxlen'=>50));
			$Country		= postVar('country', 'a-zA-Z0-9,\-\. ', '', array('maxlen'=>100));
			$Phone			= postVar('Phone', '0-9\- ', '', array('maxlen'=>50));
			$Subject		= postVar('Subject', 'a-zA-Z0-9,\-\. ', '', array('maxlen'=>100));
			$Email			= postVar('Email', 'a-zA-Z0-9@_\-\.', '', array('maxlen'=>100));
			$Query			= postVar('Query', 'a-zA-Z0-9,\-\. ', '', array('maxlen'=>255));

            $msg = '';
            if ( !verifyCaptcha($msg) ) {
                echo getErrorForm($_POST, $return."info=".urlencode($msg));
                die;
            }

			if ( $Name == '' )
			{
				echo getErrorForm($_POST, $return."info=112");
				die;
			}
			elseif ( $Query == '' )
			{
				echo getErrorForm($_POST, $return."info=212");
				die;
			}
			elseif ( $Email == '' )
			{
				echo getErrorForm($_POST, $return."info=113");
				die;
			}
			else
			{
				$info = '';
				if ( !validateEmailAddress($info, $Email) )
				{
					echo getErrorForm($_POST, $return."info=".$info);
					die;
				}

				$text  = ONLINE_FORM_SUBMITTED_ON." ".date("d F Y, g:i A")."\n\n";
				$text .= "--------------------------------\n";
				$text .= NAME." : $Name\n".ADDRESS." : $Address\n".CITY." : $City\n".COUNTRY." : $Country\n".PHONE." : $Phone\n".EMAIL." : $Email\n\n";
				$text .= QUERY." : $Query\n";
				$text .= "--------------------------------\n\n";

				// Send Mail (To, From, Subject, Message)
				$ret = sendMail(SCRIPT_WEBMASTER, $Email, ONLINE_FORM." [".$Subject."]", $text, 0);
				if ( $ret )
					$info = 213;
				else
					$info = 214;

			} // else ends here //
		}
		else
			$info = 214;

		header("Location:".$return."info=".$info);

//*************************************************************************************************
?>