<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

$langFilename = 'redirect.php';
include(PATH . "session.php");

//***********************************************************************************************************

$couponId = (int)getVar('couponId');

//***********************************************************************************************************

if ($couponId == 0) {
    header("Location: " . getSeoUrl('coupons_category') . "?info=1");
    die;
}

//***********************************************************************************************************

$sql = "SELECT USERID, URL FROM " . PREFIX . "COUPON WHERE ID = " . $couponId;

$res = executeQuery($sql);
if (($row = getRow($res))) {
    // Spiders dont have referer
    if ($_SERVER['HTTP_REFERER'] != '') {
        $id = (int)getNextId('COUPON_CLICKTHROUGHS');
        executeUpdate("INSERT INTO " . PREFIX . "COUPON_CLICKTHROUGHS (ID, COUPON_ID, REDIRECT_TIME, IP_ADDRESS, BROWSER) VALUES (" . $id . ", " . $couponId . ", '" . getTimezoneTime() . "', '" . handleSingleQuote(getClientIP()) . "', '" . handleSingleQuote(substr($_ENV['HTTP_USER_AGENT'], 0, 100)) . "')");

        ///////////////////////////////////////////////////////////////////////////////
        // ROI Module
        if (IS_PPS_INSTALLED == 1 || ENABLE_ROI_MODULE == 1) {
            if ($id != '') {
                setcookie('clickthroughId', $id, time() + 60 * 60 * 24 * 30);
                setcookie('couponClickthroughId', $id, time() + 60 * 60 * 24 * 30);
            }
        }
        ///////////////////////////////////////////////////////////////////////////////
    }

    if ($row['URL'] != '') {
        $location = $row['URL'];

        $userRec = getRecord('USER', $row['USERID'], 'USERID');

        $userNameImg = '';
        if (file_exists(PATH . "upload/merchant/" . $row['USERID'] . ".jpg")) {
            $userNameImg = "<img src=\"" . SCRIPT_ROOT . "thumbnail.php?w=120&h=50&f=" . urlencode('upload/merchant/' . $row['USERID'] . '.jpg') . "\" border='0' alt='" . $row['USERID'] . "' title='" . $row['USERID'] . "'>";
        } else {
            $useriRec = getRecord('USERINFO', $row['USERID'], 'USERID');
            $userNameImg = "<b>" . $useriRec['NAME'] . "</b>";
        }

        // Render template
        renderTemplate('redirect', [
            'userNameImg' => $userNameImg,
            'location' => $location,
        ]);
        die;
    }

    echo LINK_TO_COUPON_NOT_FOUND . ' - [ID ' . $couponId . ']';
    die;
} else {
    echo INFO_5 . ' - [ID ' . $couponId . ']';
    die;
}

//***********************************************************************************************************
