<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."member_session.php");

//*************************************************************************************************				

		$task	= postVar('task');
		$action = postVar('action');
		$return = postVar('return', 'url');
		$isAjax = postVar('isAjax', 'int');

//*************************************************************************************************

		require (PATH."include/security_check.php");

//*************************************************************************************************
//			USER PRODUCT DISCUSSION
//*************************************************************************************************
if ( $task == "Discussion" )
{
		$categoryId		= postVar('categoryId', 'int');
		$productId		= postVar('productId', 'int');
		$subject		= postVar('subject', '', '', array('maxlen'=>100));
		$message		= postVar('message', '', '', array('maxlen'=>255));
		$id				= postVar('id', 'int');
		$captchaAnswer	= postVar('captchaAnswer', '', '', array('maxlen'=>10));
		$captchaDex		= postVar('captchaDex', 'int');

		if ( $action == "Post" )
		{
		    $msg = '';
			if ( !verifyCaptcha($msg) ) {
				echo strip_tags(getInfo($msg));
				die;
			}

			if ( trim($categoryId) == "" || trim($productId) == "" || trim($subject) == "" || trim($message) == "" || $visitorId == "" ) 
			{
				echo INFO_1;
				die;
			}

			if ( $id > 0 )
			{
				$rec = '';
				if ( !($rec = getRecord('PRODUCT_TOPIC', $id)) )
				{
					echo INFO_5;
					die;
				}

				if ( $rec['USERID'] != $visitorId )
				{
					echo INFO_30;
					die;
				}

				$res = tableUpdate('PRODUCT_TOPIC', $id, array(
															'SUBJECT'		=> $subject,
															'MESSAGE'		=> $message,
															'ISVALID'		=> APPROVE_PRODUCT_DISCUSSION_POST == 1 ? 'N' : 'Y',
															'LAST_UPDATED'	=> getTimezoneTime()
														));
				if ( $res > 0 )
					echo "success";
				else
					echo INFO_6;
			}
			else
			{
				$newId = getNextId('PRODUCT_TOPIC');
				$res = tableInsert('PRODUCT_TOPIC', array(
															'ID'			=> $newId,
															'CATEGORY_ID'	=> $categoryId,
															'PRODUCT_ID'	=> $productId,
															'USERID'		=> $visitorId,
															'SUBJECT'		=> $subject,
															'MESSAGE'		=> $message,
															'DATE_ADDED'	=> getTimezoneTime(),
															'LAST_UPDATED'	=> getTimezoneTime(),
															'ISVALID'		=> APPROVE_PRODUCT_DISCUSSION_POST == 1 ? 'N' : 'Y'
														));
				if ( $res > 0 )
					echo "success";
				else
					echo INFO_6;
			}
			die;
		}

		elseif ( $action == "Delete" )
		{
			if ( trim($id) == "" ) 
			{
				echo INFO_1;
				die;
			}

			$rec = '';
			if ( !($rec = getRecord('PRODUCT_TOPIC', $id)) )
			{
				echo INFO_5;
				die;
			}

			if ( $rec['USERID'] != $visitorId )
			{
				echo INFO_30;
				die;
			}

			$res	= preparedUpdate("DELETE FROM ".PREFIX."PRODUCT_TOPIC WHERE ID = ?", array($id));
			if ( $res > 0 )
				echo "success";
			else
				echo INFO_6;
			die;
		}

}

//*************************************************************************************************
//			NOTHING
//*************************************************************************************************
else	
	header("Location: ".getSeoUrl('/')."?p=index&t=".$task."&a=".$action);

//*************************************************************************************************

exit(); // To make sure session is working //
?>