<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************
//
//		FILTERS FILE
//	
//*************************************************************************************************

		defined('PATH') or die('direct access not allowed!');

//*************************************************************************************************

		$filSelected = false;				// Used to show clear all
		$arrFilterNames = array();			// Used to show filter name on the clear tags
		$arrFilterGrpSel = array();			// Used to show clear in filter feature groups
		$arrFilterValParent = array();		// Used in conjunction with above array
		$arrFilterGrpVals = array();		// Used to build val ids in each feature to help create clear link in each feature

		if ( is_array($filterArr) && is_array($fId) && count($fId) > 0 )
		{
			foreach ( $filterArr as $fa1 )
			{
				if ( is_array($fa1['CHILDS']) )
				{
					foreach ( $fa1['CHILDS'] as $fa2 )
					{
						if ( is_array($fa2['CHILDS']) )
						{
							$arrFilterGrpVals[$fa2['ID']] = array();
							foreach ( $fa2['CHILDS'] as $fa3 )
							{
								if ( isset($fa3['ID']) && isset($fa3['VALUE']) )
								{
									$arrFilterNames[$fa3['ID']] = $fa3['VALUE'];	// Save the value name of this value id
									$arrFilterValParent[$fa3['ID']] = $fa2['ID'];	// Save the parent feature id of this value id
									$arrFilterGrpVals[$fa2['ID']][] = $fa3['ID'];	// Save the value id in the parent feature group array
								}
							}
						}
					}
				}
			}
		}

//*************************************************************************************************

		// Value may not load from $filterArr, so we load from db
		if ( is_array($fId) && count($fId) > 0 )
		{
			$vIds = array();
			foreach ( $fId as $vId )
			{
				$vId = (int)$vId;
				if ( $vId > 0 )
					$vIds[] = $vId;
			}

			if ( count($vIds) > 0 )
			{
				$resFNs = executeQuery("SELECT ID, VALUE FROM ".PREFIX."PRODUCT_FEATURE_VALUE WHERE ID IN (".implode(',', $vIds).")");
				while ( ($rowFNs = getRow($resFNs)) )
					$arrFilterNames[$rowFNs['ID']] = $rowFNs['VALUE'];
			}
		}

//*************************************************************************************************

        // Render template
        // Use get_defined_vars() because variables defined here (e.g. $fId) are not global
        renderTemplate('filters-ajax', get_defined_vars());

//*************************************************************************************************
