<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************
//
//		FILTER FUNCTIONS
//	
//*************************************************************************************************

defined( 'PATH' ) or die( 'direct access not allowed!' );

//*************************************************************************************************

include_once( PATH . 'include/include_filter_constants.php' );

//*************************************************************************************************

// Declare global variables so that they can be accessed every where
global $url4Filter, $url4FilterWithoutPrice, $manuUrl, $merUrl, $catUrl;

$url4Filter = '';

if ( $isSearch ) {
	$url4Filter = SCRIPT_ROOT . "search_products." . EXTENSION . "?advanceSearch=" . $advanceSearch . "&title=" . urlencode( $title ) . "&searchText=" . urlencode( $searchText ) . "&searchProductIn=" . urlencode( $searchProductIn ) . "&searchType=" . urlencode( $searchType ) . "&catId=" . $catId . "&manuText=" . urlencode( $manuText ) . "&";
} else {
	$url4Filter = SCRIPT_ROOT . "category." . EXTENSION . "?categoryId=" . $categoryId . "&";
}
$url4Filter .= "so=" . getVar( 'so' ) . "&mpp=" . getVar( 'mpp', 'int' ) . "&";

// Save url before adding the price filter related stuff, so that it can be used where price filter related stuff should not be kept
$url4FilterWithoutPrice = $url4Filter;

// Add the price filter related stuff to the filter url
$url4Filter .= "minPriceBound=" . $minPriceBound . "&maxPriceBound=" . $maxPriceBound . "&";
$url4Filter .= "minPrice=" . $minPrice . "&maxPrice=" . $maxPrice . "&";

//*************************************************************************************************

$manuUrl = '';
if ( is_array( $manufacturer ) ) {
	foreach ( $manufacturer as $mx ) {
		$mx = is_array( $mx ) ? $mx[0] : $mx;
		$mx = trim( $mx );
		if ( $mx != '' ) {
			$manuUrl .= '&manu[]=' . urlencode( $mx ) . '&';
		}
	}
}

//*************************************************************************************************

$merUrl = '';
if ( is_array( $merchant ) ) {
	foreach ( $merchant as $mx ) {
		$merUrl .= '&mer[]=' . urlencode( $mx ) . '&';
	}
}

//*************************************************************************************************

$catUrl = '';
if ( isset( $srhcats ) && is_array( $srhcats ) ) {
	foreach ( $srhcats as $mx ) {
		$catUrl .= '&scat[]=' . urlencode( $mx ) . '&';
	}
}

//*************************************************************************************************

// Render template
// Use get_defined_vars() because variables defined here (e.g. $catUrl) are not global
renderTemplate( 'filters', get_defined_vars() );

//*************************************************************************************************
