<?php
//*************************************************************************************************
		
		require ("path.php");
		require (PATH."include/include.php");
		require (PATH.'include/include_RSA.php');

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		$at	= getVar('at');

//*************************************************************************************************

		if ( $at == '' )									die(INFO_1.' [E001]');

		$url = 'https://www.googleapis.com/oauth2/v1/tokeninfo?access_token='.$at;
		$data = readFromFile($url);
		$obj = json_decode($data);

		if ( !is_object($obj) )								die(INFO_6.' [E002]');
		if ( isset($obj->error->message) )					die(INFO_6.' ['.$obj->error->message.']');
		if ( !isset($obj->audience) )						die(INFO_30.' [E003]');
		if ( $obj->audience != GOOGLE_CLIENT_ID )			die(INFO_30.' [E004]');
		if ( !isset($obj->user_id) )						die(INFO_6.' [E005]');
		if ( !isset($obj->email) )							die(INFO_6.' [E006]');
		
		$gpuid	= $obj->user_id;
		$email	= $obj->email;
		$eparts	= explode('@', $email);
		$name	= $eparts[0];

//*************************************************************************************************

		$url = 'https://www.googleapis.com/plus/v1/people/'.$gpuid.'?key='.GOOGLE_API_KEY;
		$data = readFromFile($url);
		$obj = json_decode($data);

		if ( !is_object($obj) )								die(INFO_6.' [E012]');

		if ( isset($obj->error->code) || isset($obj->error->message) )
		{
			if ( $obj->error->code != '404' )
				die(INFO_6.' ['.$obj->error->message.']');
		}
		else
		{
			if ( !isset($obj->displayName) )					die(INFO_30.' [E013]');
			$name = $obj->displayName;
		}

//*************************************************************************************************

		$name					= doCleanInput($name);
		$email					= doCleanInput($email);
		$gpuid					= doCleanInput($gpuid);
		$city					= '';
		$country				= '';
		$password				= getTempPassword();

		if ( $name == '' || $email == '' || $password == '' )
			die(INFO_1.' [Profile Data]');

		if ( ($rec = getRecord('VISITOR', $email, 'EMAIL')) )
		{
			tableUpdate('VISITOR', $rec['USERID'], array('GP_UID'=>$gpuid), 'USERID');

			$visitorId						= $rec['USERID'];
			$visitorName					= getColumn('VISITORINFO', $rec['USERID'], 'NAME', 'USERID');
			$visitorEmail					= $rec['EMAIL'];
			$lastLogin						= getTimezoneTime();

			$_SESSION['visitorId']			= $visitorId;
			$_SESSION['visitorName']		= $visitorName;
			$_SESSION['visitorEmail']		= $visitorEmail;
			$_SESSION['visitorLastLogin']	= $lastLogin;

			die('OK');
		}

		$newId	= getNextId('VISITOR', 'USERID');
		$res	= tableInsert('VISITOR', array(
													'USERID'				=> $newId,
													'GP_UID'				=> $gpuid,
													'EMAIL'					=> $email,
													'PASSWORD'				=> passwordHash($password),
													'ISVALID'				=> 'Y',
													'REGISTERATION_DATE'	=> getTimezoneTime(),
													'REGISTERATION_IP'		=> getClientIP()
												));
		if ( $res > 0 )
		{
			tableInsert('VISITORINFO', array(
												'USERID'	=> $newId,
												'NAME'		=> $name,
												'CITY'		=> $city,
												'COUNTRY'	=> $country
											));

			$visitorId						= $newId;
			$visitorName					= $name;
			$visitorEmail					= $email;
			$lastLogin						= getTimezoneTime();

			$_SESSION['visitorId']			= $visitorId;
			$_SESSION['visitorName']		= $visitorName;
			$_SESSION['visitorEmail']		= $visitorEmail;
			$_SESSION['visitorLastLogin']	= $lastLogin;

			if ( IS_AFFILIATES_INSTALLED == 1 )
			{
				saveAffiliateReferrer($visitorId);
				$msgEx3 = '';
				addAffAffiliate($msgEx3, $visitorId, $password, $password, $visitorName, '', '', $city, '', $country, '', '', $email, 'Y');
			}

			sendVisitorRegisterationEmail($msgEx2, $visitorId);

			die('OK');
		}
			
		die(INFO_6.' [Register]');

//*************************************************************************************************

		function getTempPassword()
		{
			$cc		= '';
			mt_srand ((double) microtime() * 1000000);

			for ($i=0; $i<10; $i++)
			{
				$rv  = mt_rand(48, 122); // Digits, some punctuations, a-z and A-Z
				$cc .= chr($rv);
			}

			return $cc;
		}

//*************************************************************************************************
?>