<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

defined('PATH') or die('direct access not allowed!');

//*************************************************************************************************

$canonicalTags = '';
if (isset($canonicalLink) && $canonicalLink != '') $canonicalTags .= '<link rel="canonical" href="' . $canonicalLink . '"/>' . "\n";
if (isset($prevPageLink) && $prevPageLink != '') $canonicalTags .= '<link rel="prev" href="' . $prevPageLink . '"/>' . "\n";
if (isset($nextPageLink) && $nextPageLink != '') $canonicalTags .= '<link rel="next" href="' . $nextPageLink . '"/>' . "\n";

// If cache is enabled, what will be the live parts for both header and footer
$cacheHFLiveParts = [
    'header-page-title'        => $pageTitle,
    'header-page-keywords'     => $pageKeywords,
    'header-page-description'  => $pageDescription,
    'header-page-heading'      => $pageHeading,
    'header-meta-google-index' => isset($metaGoogleIndex) ? $metaGoogleIndex : 'INDEX',
    'header-page-url'          => $pageUrl,
    'header-canonical-url'     => $canonicalTags,
    'header-og-title'          => $ogTitle,
    'header-og-description'    => $ogDescription,
    'header-og-url'            => $ogUrl,
    'header-og-image'          => isset($ogImage) && $ogImage != '' ? '<meta property="og:image" content="' . $ogImage . '" />' : '<!-- No OG Image -->',
    'header-og-audio'          => isset($ogAudio) && $ogAudio != '' ? '<meta property="og:audio" content="' . $ogAudio . '" />' : '<!-- No OG Audio -->',
    'header-og-video'          => isset($ogVideo) && $ogVideo != '' ? '<meta property="og:video" content="' . $ogVideo . '" />' : '<!-- No OG Video -->',
    'header-search-text-ex'    => isset($searchTextEx) ? $searchTextEx : '',
    'show-shopping-cart-link'  => $showCartLink,
    'shopping-cart-summary'    => $cartSummary,
    'footer-banner-1'          => getBanner(1000, 'M1'),
    'footer-banner-2'          => getBanner(1000, 'M1'),
    'show-cookie-notice'       => defined('SHOW_COOKIE_NOTIFICATION') && SHOW_COOKIE_NOTIFICATION == 1 && $showCookieNotice,
    'show-newsletter-pop'      => defined('AUTOSHOW_NEWSLETTER_POP') && AUTOSHOW_NEWSLETTER_POP == 1 && $showNewsletterPop,
    'footer-logout-display'    => sessionVar('visitorId') == '' ? "style='display:none;'" : '',
];

//*************************************************************************************************
