<?php
/**
 * This file contains seo related defines and settings.
 */

// Secure file from direct access
defined('PATH') or die('direct access not allowed!');


// It is the delimiter that separates filename and category/product id in the filename of URL
define('SCRIPT_SEO_FILENAME_DELIMITER', '.');


// SEO urls
$SEO_CONTENT_PAGE_NAMES = [
    'category_taxonomy'         => 'category-taxonomy',
    'coupons_category'          => 'coupons',
    'compare_products'          => 'compare_products',
    'cashbacks'                 => 'cashbacks',
    'contactus'                 => 'contact-us',
    'aboutus'                   => 'about-us',
    'all-stores'                => 'all-stores',
    'brands'                    => 'brands',
    'advertising'               => 'advertising',
    'termsofuse'                => 'terms-of-use',
    'recent_searches'           => 'recent-searches',
    'linktous'                  => 'link-to-us',
    'merchants'                 => 'merchants',
    'partnership'               => 'partnership',
    'privacy_policy'            => 'privacy-policy',
    'sitemap'                   => 'sitemap',
    'faq'                       => 'faqs',
    'news'                      => 'news',
    'redirect'                  => 'redirect',
    'featured_products'         => 'featured-products',
    'popular_products'          => 'popular-products',
    'merchant_ranking'          => 'top-stores',
];

