﻿<?php

$TRANSLATE_ARRAY_EX = array(
    "Α" => "A",
    "α" => "a",
    "Β" => "B",
    "β" => "b",
    "Γ" => "C",
    "γ" => "c",
    "Δ" => "D",
    "δ" => "d",
    "Ε" => "E",
    "ε" => "e",
    "Ζ" => "Z",
    "ζ" => "z",
    "Η" => "H",
    "η" => "h",
    "Θ" => "TH",
    "θ" => "th",
    "Ι" => "I",
    "ι" => "i",
    "Κ" => "K",
    "κ" => "k",
    "Λ" => "L",
    "λ" => "l",
    "Μ" => "M",
    "μ" => "m",
    "Ν" => "N",
    "ν" => "n",
    "Ξ" => "X",
    "ξ" => "x",
    "Ο" => "O",
    "ο" => "o",
    "Π" => "P",
    "π" => "p",
    "Ρ" => "R",
    "ρ" => "r",
    "Σ" => "S",
    "σ" => "s",
    "ς" => "s",
    "Τ" => "T",
    "τ" => "t",
    "Υ" => "U",
    "υ" => "u",
    "Φ" => "Q",
    "φ" => "q",
    "Χ" => "X",
    "χ" => "x",
    "Ψ" => "PS",
    "ψ" => "ps",
    "Ω" => "W",
    "ω" => "w",
    "Ć" => "C",
    "ć" => "c",
    "Č" => "C",
    "č" => "c",
    "Đ" => "D",
    "đ" => "d",
    "Š" => "S",
    "š" => "s",
    "Ž" => "Z",
    "ž" => "z",
    'ʼ' => "'",
    '̧'  => '',
    'ḩ' => 'h',
    '‘' => "'",
    '’' => "'",
    'ừ' => 'u',
    'ế' => 'e',
    'ả' => 'a',
    'ị' => 'i',
    'ậ' => 'a',
    'ệ' => 'e',
    'ỉ' => 'i',
    'ộ' => 'o',
    'ồ' => 'o',
    'ề' => 'e',
    'ơ' => 'o',
    'ạ' => 'a',
    'ẵ' => 'a',
    'ư' => 'u',
    'ắ' => 'a',
    'ằ' => 'a',
    'ầ' => 'a',
    'ḑ' => 'd',
    'Ḩ' => 'H',
    'Ḑ' => 'D',
    'ş' => 's',
    'ā' => 'a',
    'ţ' => 't',
    'Ъ' => 'b',
    'Ĳ' => 'I',
    'Ö' => 'O',
    'Œ' => 'O',
    'Ü' => 'U',
    'ä' => 'ae',
    'æ' => 'a',
    'ĳ' => 'i',
    'ö' => 'oe',
    'œ' => 'o',
    'ü' => 'ue',
    'ß' => 'ss',
    'ſ' => 's',
    'À' => 'A',
    'Á' => 'A',
    'Â' => 'A',
    'Ã' => 'A',
    'Ä' => 'A',
    'Å' => 'A',
    'Æ' => 'A',
    'Ā' => 'A',
    'Ą' => 'A',
    'Ă' => 'A',
    'Ç' => 'C',
    'Ĉ' => 'C',
    'Ċ' => 'C',
    'Ď' => 'D',
    'È' => 'E',
    'É' => 'E',
    'Ê' => 'E',
    'Ë' => 'E',
    'Ē' => 'E',
    'Ę' => 'E',
    'Ě' => 'E',
    'Ĕ' => 'E',
    'Ė' => 'E',
    'Ĝ' => 'G',
    'Ğ' => 'G',
    'Ġ' => 'G',
    'Ģ' => 'G',
    'Ĥ' => 'H',
    'Ħ' => 'H',
    'Ì' => 'I',
    'Í' => 'I',
    'Î' => 'I',
    'Ï' => 'I',
    'Ī' => 'I',
    'Ĩ' => 'I',
    'Ĭ' => 'I',
    'Į' => 'I',
    'İ' => 'I',
    'Ĵ' => 'J',
    'Ķ' => 'K',
    'Ľ' => 'K',
    'Ĺ' => 'K',
    'Ļ' => 'K',
    'Ŀ' => 'K',
    'Ł' => 'L',
    'Ñ' => 'N',
    'Ń' => 'N',
    'Ň' => 'N',
    'Ņ' => 'N',
    'Ŋ' => 'N',
    'Ò' => 'O',
    'Ó' => 'O',
    'Ô' => 'O',
    'Õ' => 'O',
    'Ø' => 'O',
    'Ō' => 'O',
    'Ő' => 'O',
    'Ŏ' => 'O',
    'Ŕ' => 'R',
    'Ř' => 'R',
    'Ŗ' => 'R',
    'Ś' => 'S',
    'Ş' => 'S',
    'Ŝ' => 'S',
    'Ș' => 'S',
    'Ť' => 'T',
    'Ţ' => 'T',
    'Ŧ' => 'T',
    'Ț' => 'T',
    'Ù' => 'U',
    'Ú' => 'U',
    'Û' => 'U',
    'Ū' => 'U',
    'Ů' => 'U',
    'Ű' => 'U',
    'Ŭ' => 'U',
    'Ũ' => 'U',
    'Ų' => 'U',
    'Ŵ' => 'W',
    'Ŷ' => 'Y',
    'Ÿ' => 'Y',
    'Ý' => 'Y',
    'Ź' => 'Z',
    'Ż' => 'Z',
    'à' => 'a',
    'á' => 'a',
    'â' => 'a',
    'ã' => 'a',
    'ą' => 'a',
    'ă' => 'a',
    'å' => 'a',
    'ç' => 'c',
    'ĉ' => 'c',
    'ċ' => 'c',
    'ď' => 'd',
    'è' => 'e',
    'é' => 'e',
    'ê' => 'e',
    'ë' => 'e',
    'ē' => 'e',
    'ę' => 'e',
    'ě' => 'e',
    'ĕ' => 'e',
    'ė' => 'e',
    'ƒ' => 'f',
    'ĝ' => 'g',
    'ğ' => 'g',
    'ġ' => 'g',
    'ģ' => 'g',
    'ĥ' => 'h',
    'ħ' => 'h',
    'ì' => 'i',
    'í' => 'i',
    'î' => 'i',
    'ï' => 'i',
    'ī' => 'i',
    'ĩ' => 'i',
    'ĭ' => 'i',
    'į' => 'i',
    'ı' => 'i',
    'ĵ' => 'j',
    'ķ' => 'k',
    'ĸ' => 'k',
    'ł' => 'l',
    'ľ' => 'l',
    'ĺ' => 'l',
    'ļ' => 'l',
    'ŀ' => 'l',
    'ñ' => 'n',
    'ń' => 'n',
    'ň' => 'n',
    'ņ' => 'n',
    'ŉ' => 'n',
    'ŋ' => 'n',
    'ò' => 'o',
    'ó' => 'o',
    'ô' => 'o',
    'õ' => 'o',
    'ø' => 'o',
    'ō' => 'o',
    'ő' => 'o',
    'ŏ' => 'o',
    'ŕ' => 'r',
    'ř' => 'r',
    'ŗ' => 'r',
    'ś' => 's',
    'ť' => 't',
    'ù' => 'u',
    'ú' => 'u',
    'û' => 'u',
    'ū' => 'u',
    'ů' => 'u',
    'ű' => 'u',
    'ŭ' => 'u',
    'ũ' => 'u',
    'ų' => 'u',
    'ŵ' => 'w',
    'ÿ' => 'y',
    'ý' => 'y',
    'ŷ' => 'y',
    'ż' => 'z',
    'ź' => 'z',
    'Ά' => 'A',
    'Ἀ' => 'A',
    'Ἁ' => 'A',
    'Ἂ' => 'A',
    'Ἃ' => 'A',
    'Ἄ' => 'A',
    'Ἅ' => 'A',
    'Ἆ' => 'A',
    'Ἇ' => 'A',
    'ᾈ' => 'A',
    'ᾉ' => 'A',
    'ᾊ' => 'A',
    'ᾋ' => 'A',
    'ᾌ' => 'A',
    'ᾍ' => 'A',
    'ᾎ' => 'A',
    'ᾏ' => 'A',
    'Ᾰ' => 'A',
    'Ᾱ' => 'A',
    'Ὰ' => 'A',
    'ᾼ' => 'A',
    'Έ' => 'E',
    'Ἐ' => 'E',
    'Ἑ' => 'E',
    'Ἒ' => 'E',
    'Ἓ' => 'E',
    'Ἔ' => 'E',
    'Ἕ' => 'E',
    'Ὲ' => 'E',
    'Ή' => 'I',
    'Ἠ' => 'I',
    'Ἡ' => 'I',
    'Ἢ' => 'I',
    'Ἣ' => 'I',
    'Ἤ' => 'I',
    'Ἥ' => 'I',
    'Ἦ' => 'I',
    'Ἧ' => 'I',
    'ᾘ' => 'I',
    'ᾙ' => 'I',
    'ᾚ' => 'I',
    'ᾛ' => 'I',
    'ᾜ' => 'I',
    'ᾝ' => 'I',
    'ᾞ' => 'I',
    'ᾟ' => 'I',
    'Ὴ' => 'I',
    'ῌ' => 'I',
    'Ί' => 'I',
    'Ϊ' => 'I',
    'Ἰ' => 'I',
    'Ἱ' => 'I',
    'Ἲ' => 'I',
    'Ἳ' => 'I',
    'Ἴ' => 'I',
    'Ἵ' => 'I',
    'Ἶ' => 'I',
    'Ἷ' => 'I',
    'Ῐ' => 'I',
    'Ῑ' => 'I',
    'Ὶ' => 'I',
    'Ό' => 'O',
    'Ὀ' => 'O',
    'Ὁ' => 'O',
    'Ὂ' => 'O',
    'Ὃ' => 'O',
    'Ὄ' => 'O',
    'Ὅ' => 'O',
    'Ὸ' => 'O',
    'Ῥ' => 'R',
    'Ύ' => 'Y',
    'Ϋ' => 'Y',
    'Ὑ' => 'Y',
    'Ὓ' => 'Y',
    'Ὕ' => 'Y',
    'Ὗ' => 'Y',
    'Ῠ' => 'Y',
    'Ῡ' => 'Y',
    'Ὺ' => 'Y',
    'Ώ' => 'O',
    'Ὠ' => 'O',
    'Ὡ' => 'O',
    'Ὢ' => 'O',
    'Ὣ' => 'O',
    'Ὤ' => 'O',
    'Ὥ' => 'O',
    'Ὦ' => 'O',
    'Ὧ' => 'O',
    'ᾨ' => 'O',
    'ᾩ' => 'O',
    'ᾪ' => 'O',
    'ᾫ' => 'O',
    'ᾬ' => 'O',
    'ᾭ' => 'O',
    'ᾮ' => 'O',
    'ᾯ' => 'O',
    'Ὼ' => 'O',
    'ῼ' => 'O',
    'ά' => 'a',
    'ἀ' => 'a',
    'ἁ' => 'a',
    'ἂ' => 'a',
    'ἃ' => 'a',
    'ἄ' => 'a',
    'ἅ' => 'a',
    'ἆ' => 'a',
    'ἇ' => 'a',
    'ᾀ' => 'a',
    'ᾁ' => 'a',
    'ᾂ' => 'a',
    'ᾃ' => 'a',
    'ᾄ' => 'a',
    'ᾅ' => 'a',
    'ᾆ' => 'a',
    'ᾇ' => 'a',
    'ὰ' => 'a',
    'ᾰ' => 'a',
    'ᾱ' => 'a',
    'ᾲ' => 'a',
    'ᾳ' => 'a',
    'ᾴ' => 'a',
    'ᾶ' => 'a',
    'ᾷ' => 'a',
    'έ' => 'e',
    'ἐ' => 'e',
    'ἑ' => 'e',
    'ἒ' => 'e',
    'ἓ' => 'e',
    'ἔ' => 'e',
    'ἕ' => 'e',
    'ὲ' => 'e',
    'ή' => 'i',
    'ἠ' => 'i',
    'ἡ' => 'i',
    'ἢ' => 'i',
    'ἣ' => 'i',
    'ἤ' => 'i',
    'ἥ' => 'i',
    'ἦ' => 'i',
    'ἧ' => 'i',
    'ᾐ' => 'i',
    'ᾑ' => 'i',
    'ᾒ' => 'i',
    'ᾓ' => 'i',
    'ᾔ' => 'i',
    'ᾕ' => 'i',
    'ᾖ' => 'i',
    'ᾗ' => 'i',
    'ὴ' => 'i',
    'ῂ' => 'i',
    'ῃ' => 'i',
    'ῄ' => 'i',
    'ῆ' => 'i',
    'ῇ' => 'i',
    'ί' => 'i',
    'ϊ' => 'i',
    'ΐ' => 'i',
    'ἰ' => 'i',
    'ἱ' => 'i',
    'ἲ' => 'i',
    'ἳ' => 'i',
    'ἴ' => 'i',
    'ἵ' => 'i',
    'ἶ' => 'i',
    'ἷ' => 'i',
    'ὶ' => 'i',
    'ῐ' => 'i',
    'ῑ' => 'i',
    'ῒ' => 'i',
    'ῖ' => 'i',
    'ῗ' => 'i',
    'ό' => 'o',
    'ὀ' => 'o',
    'ὁ' => 'o',
    'ὂ' => 'o',
    'ὃ' => 'o',
    'ὄ' => 'o',
    'ὅ' => 'o',
    'ὸ' => 'o',
    'ῤ' => 'r',
    'ῥ' => 'r',
    'ύ' => 'u',
    'ϋ' => 'u',
    'ΰ' => 'u',
    'ὐ' => 'y',
    'ὑ' => 'y',
    'ὒ' => 'y',
    'ὓ' => 'y',
    'ὔ' => 'u',
    'ὕ' => 'u',
    'ὖ' => 'u',
    'ὗ' => 'u',
    'ὺ' => 'u',
    'ῠ' => 'u',
    'ῡ' => 'u',
    'ῢ' => 'u',
    'ῦ' => 'y',
    'ῧ' => 'y',
    'ώ' => 'o',
    'ὠ' => 'o',
    'ὡ' => 'o',
    'ὢ' => 'o',
    'ὣ' => 'o',
    'ὤ' => 'o',
    'ὥ' => 'o',
    'ὦ' => 'o',
    'ὧ' => 'o',
    'ᾠ' => 'o',
    'ᾡ' => 'o',
    'ᾢ' => 'o',
    'ᾣ' => 'o',
    'ᾤ' => 'o',
    'ᾥ' => 'o',
    'ᾦ' => 'o',
    'ᾧ' => 'o',
    'ὼ' => 'o',
    'ῲ' => 'o',
    'ῳ' => 'o',
    'ῴ' => 'o',
    'ῶ' => 'o',
    'ῷ' => 'o',
    'А' => 'A',
    'Б' => 'B',
    'В' => 'V',
    'Г' => 'G',
    'Д' => 'D',
    'Е' => 'E',
    'Ё' => 'E',
    'Ж' => 'Z',
    'З' => 'Z',
    'И' => 'I',
    'Й' => 'I',
    'К' => 'K',
    'Л' => 'L',
    'М' => 'M',
    'Н' => 'N',
    'О' => 'O',
    'П' => 'P',
    'Р' => 'R',
    'С' => 'S',
    'Т' => 'T',
    'У' => 'U',
    'Ф' => 'F',
    'Х' => 'K',
    'Ц' => 'T',
    'Ч' => 'C',
    'Ш' => 'S',
    'Щ' => 'S',
    'Ы' => 'Y',
    'Э' => 'E',
    'Ю' => 'Y',
    'Я' => 'Y',
    'а' => 'A',
    'б' => 'B',
    'в' => 'V',
    'г' => 'G',
    'д' => 'D',
    'е' => 'E',
    'ё' => 'E',
    'ж' => 'Z',
    'з' => 'Z',
    'и' => 'I',
    'й' => 'I',
    'к' => 'K',
    'л' => 'L',
    'м' => 'M',
    'н' => 'N',
    'о' => 'O',
    'п' => 'P',
    'р' => 'R',
    'с' => 'S',
    'т' => 'T',
    'у' => 'U',
    'ф' => 'F',
    'х' => 'K',
    'ц' => 'T',
    'ч' => 'C',
    'ш' => 'S',
    'щ' => 'S',
    'ы' => 'Y',
    'э' => 'E',
    'ю' => 'Y',
    'я' => 'Y',
    'ð' => 'd',
    'Ð' => 'D',
    'þ' => 't',
    'Þ' => 'T',
    'ა' => 'a',
    'ბ' => 'b',
    'გ' => 'g',
    'დ' => 'd',
    'ე' => 'e',
    'ვ' => 'v',
    'ზ' => 'z',
    'თ' => 't',
    'ი' => 'i',
    'კ' => 'k',
    'ლ' => 'l',
    'მ' => 'm',
    'ნ' => 'n',
    'ო' => 'o',
    'პ' => 'p',
    'ჟ' => 'z',
    'რ' => 'r',
    'ს' => 's',
    'ტ' => 't',
    'უ' => 'u',
    'ფ' => 'p',
    'ქ' => 'k',
    'ღ' => 'g',
    'ყ' => 'q',
    'შ' => 's',
    'ჩ' => 'c',
    'ც' => 't',
    'ძ' => 'd',
    'წ' => 't',
    'ჭ' => 'c',
    'ხ' => 'k',
    'ჯ' => 'j',
    'ჰ' => 'h'
);


