<?php
//*************************************************************************************************

		require ("../path.php");
		require (PATH."include/include.php"); 

//*************************************************************************************************

		// assign posted variables to local variables
		$transactionDate		= date('Y-m-d');					// 08/31/2007 05:08 AM

		$pcsOrderId				= postVar('p2');					// order ids
		$response				= postVar('p3');					// response
		$name					= postVar('p5');					// Card holder name
		$orderTotal				= postVar('p6');					// amount
		$email					= postVar('p9');					// email address
		$responseCode			= postVar('p12');					// response code 00 = ok, 05 = failed
		$merchantId				= postVar('m_1');					// merchant param 1
		$buyerIpAddress			= postVar('CardHolderIpAddr');		// browser's IP Address

		$msg					= '';

//*************************************************************************************************

		// Save information in database
		if ( $pcsOrderId != '' )
		{
			list($packagePaymentId, $clickPaymentId, $featuredPaymentId, $salesPaymentId, $cartOrderId) = getIdsFromPaymentOrderNo($pcsOrderId);

			if ( $responseCode == '00' )
			{
				if ( $packagePaymentId > 0 )
					approveUserPackagePayment($msg, $packagePaymentId, 'Y');

				if ( $clickPaymentId > 0 )
					approveUserClickthroughPayment($msg, $clickPaymentId, 'Y');

				if ( $featuredPaymentId > 0 )
					approveUserFeaturedPayment($msg, $featuredPaymentId, 'Y');

				if ( $salesPaymentId > 0 )
					ppsApprovePayment($msg, $salesPaymentId, 'Y');

				if ( defined('IS_SHOPPING_CART_INSTALLED') && IS_SHOPPING_CART_INSTALLED == 1 && $cartOrderId > 0 )
					cartOrderPaymentStatusUpdate($msg, $cartOrderId, 'A');
			}
			else
				$msg = 'Order dishonourd by bank. Msg: '.$response;
		}
		else 
			$msg = 'OrderId is empty. Cannot verify order.';

//*************************************************************************************************

		// Send call back received string
		echo '<CallBackResponse>Accepted</CallBackResponse>';

//*************************************************************************************************

		sendMail(SCRIPT_WEBMASTER, SCRIPT_WEBMASTER, 'VCS# '.$pcsOrderId. ' ['.$responseCode.']['.$response.']', "Following data was sent from VCS in response to payment:\n\n".print_r($_POST, 1)."\n\n[Msg:".$msg."]\n", 0);

//*************************************************************************************************
?>