<?php
//*************************************************************************************************
		
		require ("../path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		include (PATH."js/js.php");

//*************************************************************************************************

		 // Because the functions are only good for mysql, not for apis, therefore we cast to int
		 // If ever we need to have it for apis too, we must also pass $apiType and use code
		 //		that we used on products_top.php
		$productId	= getVar('productId', 'int');

//*************************************************************************************************
?>
// <script>
//*************************************************************************************************
//		Price Comparison Script v6 copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//*************************************************************************************************


	function addToCompareList()
	{
		getContentFromUrl("<?= SCRIPT_ROOT; ?>compare_products_add_ajax.php?productId=<?= $productId; ?>&action=add", null, "GET", "", "addToCompareListReturn()");
	}

	function addToCompareListReturn()
	{
		showPopInfo('<?= handleSingleQuote4JS(ADDED_TO_COMPARISON_LIST); ?>');
		$('#idCompListLink').show();
	}

	function addToWishlist()
	{
		showPopWait('<?= handleSingleQuote4JS(SHOW_POPUP_FOR_LOADING) ?>');

		getContentFromUrl("<?= SCRIPT_ROOT ?>member_productlist_add_ajax.php?productId=<?= $productId ?>", $("#divTempConent").get(0), "GET", "", "showReturnedHtml4ProdPage()");
	}

	function handleWLChange(statusNew)
	{
		var nameCombo	= $('#nameCombo').get(0);
		var nameText	= $('#nameText').get(0);

		if ( statusNew ) 
		{ 
			nameCombo.disabled	= true; 
			nameText.disabled	= false; 
			nameText.value		= ''; 
			nameText.focus(); 
		}
		else
		{
			nameCombo.disabled	= false; 
			nameText.disabled	= true;
			nameCombo.focus();
		}
	}

	function performWishlistAdd()
	{
		// Validate the wishlist form
		var isListCurrentY	= $('#isListCurrentY');
		var isListCurrentN	= $('#isListCurrentN');
		var nameText		= $('#nameText');

		if ( isListCurrentN.checked ) 
		{ 
			if ( nameText.value == '' )
			{
				alert('<?= handleSingleQuote4JS(PLEASE_SPECIFY_WISHLIST_NAME); ?>');
				nameText.focus();
				return false;
			}
		}
		
		// Send the wishlist request
		updatePopMsgInline('<?= handleSingleQuote4JS(SHOW_POPUP_FOR_PROCESSING); ?>');

		getContentFromUrl("<?= SCRIPT_ROOT; ?>member_productlist_controller.php", $("#divTempConent").get(0), "POST", buildPOST($("#frmWishlistAdd").get(0)), "performWishlistAddReturn()");

		return false;
	}

	function performWishlistAddReturn() 
	{
		responseText = $("#divTempConent").html();

		if ( responseText == 'success' )
		{
			updatePopMsgInline('');
			showPopInfo('<?= handleSingleQuote4JS(ADDED_TO_WISHLIST); ?>');
		}
		else
			updatePopMsgInline(responseText);
	}

	function addPriceAlert()
	{
		showPopWait('<?= handleSingleQuote4JS(SHOW_POPUP_FOR_LOADING); ?>');

		getContentFromUrl("<?= SCRIPT_ROOT; ?>products_price_alert_ajax.php?productId=<?= $productId; ?>", $("#divTempConent").get(0), "GET", "", "showReturnedHtml4ProdPage()");
	}

	function performPriceAlertAdd(frm)
	{
		if ( frm.minPrice.value == '' )
		{
			alert('<?= handleSingleQuote4JS(JSMSG_PLEASE_PROVIDE_MIN_PRICE_GREATER_THAN_ZERO); ?>');
			frm.minPrice.focus();
			return false;
		}
		
		updatePopMsgInline('<?= handleSingleQuote4JS(SHOW_POPUP_FOR_PROCESSING); ?>');

		getContentFromUrl("<?= SCRIPT_ROOT; ?>member_controller.php", $("#divTempConent").get(0), "POST", buildPOST(frm), "performPriceAlertAddReturn()");

		return false;
	}

	function performPriceAlertAddReturn() 
	{
		responseText = $("#divTempConent").html();

		if ( responseText == 'success' )
		{
			updatePopMsgInline('');
			showPopInfo('<?= handleSingleQuote4JS(ADDED_PRICE_ALERT_FOR_PRODUCT); ?>');
		}
		else
			updatePopMsgInline(responseText);
	}

	var productId = '<?= $productId; ?>';
	function referFriend()
	{
		showPopWait('<?= handleSingleQuote4JS(SHOW_POPUP_FOR_LOADING); ?>');

		getContentFromUrl("<?= SCRIPT_ROOT; ?>products_email_friend_ajax.php?productId=<?= $productId; ?>", $("#divTempConent").get(0), "GET", "", "showReturnedHtml4ProdPage()");
	}

	function performReferFriend(frm)
	{
		if ( frm.remail.value == '' )
		{
			alert('<?= handleSingleQuote4JS(JSMSG_PLEASE_PROVIDE_FRIENDS_EMAIL_ADDRESS); ?>');
			frm.remail.focus();
			return false;
		}
		
		updatePopMsgInline('<?= handleSingleQuote4JS(SHOW_POPUP_FOR_PROCESSING); ?>');

		getContentFromUrl("<?= SCRIPT_ROOT; ?>products_email_friend_process.php?productId="+productId, $("#divTempConent").get(0), "POST", buildPOST(frm), "performReferFriendReturn()");

		return false;
	}

	function performReferFriendReturn() 
	{
		responseText = $("#divTempConent").html();

		if ( responseText == 'success' )
		{
			updatePopMsgInline('');
			showPopInfo('<?= handleSingleQuote4JS(INFO_193); ?>');
		}
		else
			updatePopMsgInline(responseText);
	}

	function showReturnedHtml4ProdPage()
	{
		updatePopMsgInline('');
		showPop($("#divTempConent").html(), 500, 230, '', '', '', true);
		$("#nameText").focus();
	}

	function referPage2Friend(url)
	{
		updatePopMsgInline('');
		showPopWait('<?= handleSingleQuote4JS(SHOW_POPUP_FOR_LOADING); ?>');
		getContentFromUrl(url, $("#divTempConent").get(0), "GET", "", "referPage2FriendReturn();");
	}

	function referPage2FriendReturn()
	{
		updatePopMsgInline('');
		showPop($("#divTempConent").html(), 650, 350, '', '', '', true);
	}

	function referPage2FriendSubmit(frm)
	{
		updatePopMsgInline('<?= handleSingleQuote4JS(SHOW_POPUP_FOR_LOADING); ?>');

		getContentFromUrl("<?= SCRIPT_ROOT; ?>email_page_2_friend.php", null, "POST", buildPOST(frm), "");

		return false;
	}

	function showContactInfo(upid)
	{
		showModal('<?= CONTACT_ME; ?>', '<img src="<?= SCRIPT_ROOT; ?>images/info.gif" width="48" height="47" border="0" alt="Info" style="float:left"><div style="width:80%;float:left;margin-left:20px;font:13px/30px Verdana">' + $('#idContactInfo'+upid).html() + '</div><div style="clear:both"></div>', '', true, 0, true);
	}

// </script>
