<?php

$merchantNames = array();
function getUserProductLink($productId, $storeCount, $pLink, $showStore=1, $apiType='', $redirectUrl='')
{
    global $langFolder, $merchantNames;

    $apiType = trim($apiType) == '' ? API_TYPE_MYSQL : $apiType;

    if ( IS_BUDGETLIST_INSTALLED == 1 && $apiType == API_TYPE_MYSQL )
    {
        ?>
        <button class="btn btn-xs btn-dark2" onclick="addToBudgetList(<?php echo $productId?>);"><?php echo BUDGET_LIST?></button>
        <br><br>
        <?php
    }

    if ( REDIRECT_ON_ONE_STORE != 1 || $storeCount != 1 )
    {
        ?>
        <a href="<?php echo $pLink?>" class="link"><button class="btn btn-dark2"><?php echo COMPARE?></button></a><br>
        <font style="font-size:10px; color:#4C4C4C;"><?php echo PRICES_FROM .' '. $storeCount .' '. STORES?></font>
        <?php
    }
    else
    {
        if ( $apiType != API_TYPE_MYSQL )
        {
            if ( $redirectUrl != '' )
            {
                ?>
                <form method="post" action="<?= getSeoUrl('redirect', 'apiType='.$apiType) ?>" target="_blank" style="margin:0;padding:0"><input type="hidden" name="url" value="<?= $redirectUrl ?>"><button class="btn btn-dark2"><?php echo GO_TO_STORE?></button></form>
                <?php
            }
        }
        elseif ( $productId > 0 )
        {
            ?>
            <a href="<?= getSeoUrl('redirect', 'prod_id='.$productId.'&amp;isBuy=Y&amp;isProduct=Y') ?>" class="link" target="_blank"><button class="btn btn-sm btn-dark2"><?php echo GO_TO_STORE?></button></a>
            <?php
        }
    }

    if ( $apiType == API_TYPE_MYSQL && $showStore == 1 && $storeCount > 0 && $storeCount <= 2 )
    {
        $count = 0;
        $res = preparedQuery("SELECT USERID FROM ".PREFIX."USER_PRODUCT WHERE PRODUCT_ID = ? AND ISVALID='Y'", array($productId));
        while ( ($row = getRow($res)) )
        {
            if ( !file_exists(PATH."upload/merchant/".$row['USERID'].".jpg") )
                continue;

            if ( $count++ >= 2 )
                break;

            if ( !isset($merchantNames[$row['USERID']]) )
                $merchantNames[$row['USERID']] = getColumn('USERINFO', $row['USERID'], 'NAME', 'USERID');
            ?>
            <div style="height:5px;"></div>
            <img src="<?php echo getMerchantLogoThumbUrl($row['USERID'], 80, 25, $merchantNames[$row['USERID']])?>" border="0" alt="<?php echo $merchantNames[$row['USERID']]?>" title="<?php echo $merchantNames[$row['USERID']]?>">
            <?php
        }
    }

} // getUserProductLink()

