<?php  
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php"); 
		require (PATH."include/include.php"); 
		require (PATH.'include/include_RSA.php');

//*************************************************************************************************

		require (PATH."session.php");

//*************************************************************************************************

		$userId			= postVar('userId', '', '', array('maxlen'=>20));
		$password		= postVar('password', PWD_ALLOWED_CHARS, '', array('maxlen'=>MAX_CHARS_PWD));

//*************************************************************************************************

		$return			= postVar('return', 'url');
		if ( $return == '' )
			$return = getVar('return', 'url');

		$return = doCleanInput($return);
		
//*************************************************************************************************

		if ( $userId != '' && $password != '' )
		{
			$result		= preparedQuery("SELECT USERID, PASSWORD, EMAIL, ISVALID, VERIFICATION_CODE, LASTLOGIN FROM ".PREFIX."VISITOR WHERE USERID = ?", array($userId));
			$result1	= preparedQuery("SELECT NAME FROM ".PREFIX."VISITORINFO WHERE USERID = ?", array($userId));
			$rows1		= getRow($result1);

			// Get from Database
			if ( ($rows = getRow($result)) )
			{
				// Case sensitive check
				if ( $rows["USERID"] == $userId )
				{
						// Check if user is Active
						if( $rows["ISVALID"] == "Y" )
						{
							// Get Email Verification
							if ( $rows["VERIFICATION_CODE"] == "" || !(VISITOR_EMAIL_VERIFICATION) )
							{
								// Match Password
								if ( passwordVerify($password, $rows['PASSWORD']) )
								{
										$visitorName= $rows1["NAME"];
										$lastLogin	= $rows["LASTLOGIN"];
										$visitorId	= $userId;

										tableUpdate('VISITOR', $userId, array('LASTLOGIN'=>getTimezoneTime()), 'USERID');
										
										@session_start();
//										$_SESSION['visitorId']			= $visitorId;
//										$_SESSION['visitorName']		= $visitorName;
//										$_SESSION['visitorLastLogin']	= $lastLogin;
					
										if ( IS_AUCTION_INSTALLED == 1 )
										{
											$_SESSION['userId']			= $visitorId;
										}

										if ( IS_AFFILIATES_INSTALLED == 1 && AFF_SEPARATE_ACCOUNT_AREA == 0 )
										{
											$msgEx3 = '';
											loginAffiliate($msgEx3, $visitorId, $rows['EMAIL']);
										}

										echo "performLoginReturn(\"".LOGGED_IN_SUCCESSFUL."\", 1);";
								}
								else
									echo "performLoginReturn(\"".LOGGED_IN_ERROR_PASSWORD."\");";
							}
							else
								echo "performLoginReturn(\"".LOGGED_IN_ERROR_EMAIL_VERIFICATION."\");";
						}
						else
							echo "performLoginReturn(\"".LOGGED_IN_ERROR_INACTIVE."\");";
				}
				else
					echo "performLoginReturn(\"".LOGGED_IN_ERROR_PASSWORD."\");";
			}
			else
				echo "performLoginReturn(\"".LOGGED_IN_ERROR_DB."\");";
		}
		else
			echo "performLoginReturn(\"".LOGGED_IN_ERROR_INCOMPLETE."\");";

//*************************************************************************************************
?>