<?php	
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php"); 

//*************************************************************************************************

		include (PATH."member_session.php");

//*************************************************************************************************

		$showId = getVar('showId', 'int');

//*************************************************************************************************
			
		if ( $showId == '' ) {
			$res = preparedQuery("SELECT P.ID AS PID, C.ID AS CID, C.TITLE AS CTITLE, C.FILENAME AS CFILENAME, P.TITLE AS PTITLE, P.FILENAME AS PFILENAME, PR.* FROM ".PREFIX."CATEGORY C, ".PREFIX."PRODUCT P, ".PREFIX."PRODUCT_RATING PR WHERE PR.USERID = ? AND P.ID = PR.PRODUCT_ID AND P.ISVALID = 'Y' AND C.ID = P.CATEGORY_ID AND C.ISVALID = 'Y' ORDER BY C.TITLE, P.TITLE", array($visitorId));
			$noOfRecords 	= getTotalRows($res);
					
			$exceptionMsg = '';
			if ( $noOfRecords == 0 )
				$exceptionMsg = NO_PRODUCT_RATING_LEFT_BY_MEMBER;

            // Render template
            renderTemplate('member_product_rating', [
                'memberPageHeading' => VIEW_CUSTOMER_RATING,
                'res' => $res,
                'noOfRecords' => $noOfRecords,
                'exceptionMsg' => $exceptionMsg,
            ]);

			free($res);
		}

		else {
			$res = preparedQuery("SELECT C.ID AS CID, C.TITLE AS CTITLE, C.FILENAME AS CFILENAME, P.ID AS PID, P.TITLE AS PTITLE, P.FILENAME AS PFILENAME, PR.* FROM ".PREFIX."CATEGORY C, ".PREFIX."PRODUCT P, ".PREFIX."PRODUCT_RATING PR WHERE PR.ID = ? AND P.ID = PR.PRODUCT_ID AND P.ISVALID = 'Y' AND C.ID = P.CATEGORY_ID AND C.ISVALID = 'Y'", array($showId));

            // Render template
            renderTemplate('member_product_rating_show', [
                'memberPageHeading' => VIEW_CUSTOMER_RATING,
                'res' => $res,
            ]);

			free($res);
		}
		
//*************************************************************************************************
