<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."member_session.php");

//*************************************************************************************************

		$task	= postVar('task');
		$action = postVar('action');
		$return = postVar('return', 'urlpart');
		$isAjax = postVar('isAjax', 'int');

//*************************************************************************************************
//			PRODUCT LIST
//*************************************************************************************************
if ( $task == "ProductList" )
{
		$productId		= postVar('productId', 'int');
		$name			= $_POST['isListCurrent'] == 'Y' ? postVar('nameC', '', '', array('maxlen'=>100)) : postVar('nameT', '', '', array('maxlen'=>100));

		if ( $action == "Add" )
		{
			if ( trim($productId) == "" )
				controllerConclude(196);

			if ( trim($name) == "" ) 
				controllerConclude(197);

			$res = preparedQuery("SELECT ID FROM ".PREFIX."VISITOR_PRODUCT_LIST WHERE PRODUCT_ID = ? AND USERID = ? AND NAME = ?", array($productId, $visitorId, $name));
			if ( !($row = getRow($res)) )
			{
				$newId = getNextId('VISITOR_PRODUCT_LIST');
				$res = tableInsert('VISITOR_PRODUCT_LIST', array(
																	'ID'			=> $newId,
																	'USERID'		=> $visitorId,
																	'PRODUCT_ID'	=> $productId,
																	'NAME'			=> $name
																));
				if ( $res > 0 )
					controllerConclude('', 0, '', 'success');
				else
					controllerConclude(198);
			}
			else
				controllerConclude(199);
		}
		
		else if ( $action == "Delete" )
		{
			$removeIds	= '0'.postVar('removeIds').'0';

			$removeIds	= trimUniqueCsvVals($removeIds, 'int', 1);

			if ( $removeIds == '' )
				controllerConclude(1, 0);

			$argArray	= array();
			$argArray[]	= $visitorId;
			$argString	= prepareArgs4Query($argArray, explode(',', $removeIds));

			$sql		= "DELETE FROM ".PREFIX."VISITOR_PRODUCT_LIST WHERE USERID = ? AND ID IN (".$argString.")";
			$res		= preparedUpdate($sql, $argArray);

			if ( $res > 0 )
				controllerConclude(200, 0);
			else
				controllerConclude(201, 0);
		}
		
		else
			controllerConclude(202, 0);
}

//*************************************************************************************************
//			NOTHING
//*************************************************************************************************
else	
	controllerConclude(203, 0);

//*************************************************************************************************

exit(); // To make sure session is working //

//*************************************************************************************************

	function controllerConclude($msg, $formPost=1, $returnUrl='', $ajaxMsg='')
	{
		global $isAjax, $return, $_POST;

		$returnUrl	= $returnUrl == ''	? $return		: $returnUrl;
		$ajaxMsg	= $ajaxMsg == ''	? getInfo($msg)	: $ajaxMsg;

		$returnUrl	= str_replace('&amp;', '&', $returnUrl);

		if ( $isAjax == 1 )
			echo $ajaxMsg;
		elseif ( $formPost == 1 )
			echo getErrorForm($_POST, $returnUrl."info=".$msg);
		else
			header("Location: ".$returnUrl."info=".$msg);
		die;
	}

//*************************************************************************************************
?>