<?php	
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php"); 

//*************************************************************************************************

		include (PATH."member_session.php");

//*************************************************************************************************

		$showId		= getVar('showId', 'int');

//*************************************************************************************************
			
		if ( $showId == 0 ) {
			$res			= preparedQuery("SELECT UI.NAME AS UINAME, UI.EMAIL AS UIEMAIL, UR.* FROM ".PREFIX."USERINFO AS UI, ".PREFIX."USER_RATING UR WHERE UR.USERID = ? AND UI.USERID = UR.MERCHANTID ORDER BY UR.MERCHANTID", array($visitorId));
			$noOfRecords 	= getTotalRows($res);
					
			$exceptionMsg	= '';
			if ( $noOfRecords == 0 )
				$exceptionMsg = NO_MERCHANT_RATING_LEFT_BY_MEMBER;

            // Render template
            renderTemplate('member_user_rating', [
                'memberPageHeading' => VIEW_CUSTOMER_RATING,
                'res' => $res,
                'noOfRecords' => $noOfRecords,
                'exceptionMsg' => $exceptionMsg,
            ]);

			free($res);
		}

		else {
			$res = preparedQuery("SELECT UI.NAME AS UINAME, UI.EMAIL AS UIEMAIL, UR.* FROM ".PREFIX."USERINFO UI, ".PREFIX."USER_RATING UR WHERE UR.ID = ? AND UI.USERID=UR.MERCHANTID", array($showId));

            // Render template
            renderTemplate('member_user_rating_show', [
                'memberPageHeading' => VIEW_CUSTOMER_RATING,
                'res' => $res,
            ]);

			free($res);
		}
		
//*************************************************************************************************
