<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

$merchantId = getVar('merchantId');
$amount = getVar('amount');
$amountEx = getVar('amountEx');
$packagePaymentId = getVar('packagePaymentId', 'int');
$clickPaymentId = getVar('clickPaymentId', 'int');

$isApproved = getVar('isApproved');
$results = getVar('results');

$name = getVar('firstname') . ' ' . getVar('lastname');
$ccNum = getVar('ccNum');
$ccExpiry = getVar('ccExpiry');
$authCode = getVar('authCode');

//*************************************************************************************************

if ($isApproved == '1')
    $approveReason = YOUR_PAYMENT_WAS_APPROVED;

else if ($isApproved == '2')
    $approveReason = YOUR_PAYMENT_WAS_DECLINED;

else
    $approveReason = ERROR_OCCURRED_IN_PAYMENT;

//*************************************************************************************************

// Render template
renderTemplate('merchants/authorize-result', [
    'amount' => $amount,
    'packagePaymentId' => $packagePaymentId,
    'clickPaymentId' => $clickPaymentId,
    'approveReason' => $approveReason,
    'results' => $results,
    'name' => $name,
    'ccNum' => $ccNum,
    'ccExpiry' => $ccExpiry,
    'authCode' => $authCode,
    'isApproved' => $isApproved,
]);

//*************************************************************************************************
