<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

include("merchant_session.php");

//*************************************************************************************************

$task = $_POST["task"];
$action = $_POST["action"];
$return = $_POST["return"];

//*************************************************************************************************

require(PATH . "include/security_check.php");

//*************************************************************************************************
//			COUPON
//*************************************************************************************************
if ($task == "Coupon") {
    $category = $_POST["category"];
    $title = $_POST["title"];
    $userId = $_POST["userId"];
    $detail = $_POST["detail"];
    $expiry = $_POST["expiry"];
    $discPerc = (float)$_POST["discPerc"];
    $discAmt = (float)$_POST["discAmt"];
    $url = $_POST["url"];
    $couponCode = $_POST["couponCode"];
    $sortOrder = (int)$_POST["sortOrder"];
    $id = $_POST["id"];

    if ($action == "Add") {
        $msg = "";
        $max = addCoupon($msg, $category, $title, $merchantId, $detail, $expiry, $url, $couponCode, 'Y', 'N', $sortOrder, $discPerc, $discAmt);

        if ($max > 0)
            header("Location:" . $return . "info=" . urlencode($msg));
        else
            echo getErrorForm($_POST, $return . "info=" . urlencode($msg));
    } elseif ($action == "Update") {
        $msg = "";
        $res = updateCoupon($msg, $id, $category, $title, $merchantId, $detail, $expiry, $url, $couponCode, '', '', $sortOrder, $discPerc, $discAmt, 1);
        echo getErrorForm($_POST, $return . "info=" . urlencode($msg));
    } else if ($action == "Upload") {
        $msg = "";
        uploadCouponImage($msg, $id, $_FILES["image"]);
        header("Location:" . $return . "info=" . urlencode($msg));
    } elseif ($action == "Delete") {
        $msg = "";
        $res = deleteCoupon($msg, $id);
        header("Location:" . $return . "info=" . urlencode($msg));
    }

    die;
}

//*************************************************************************************************
//			NOTHING
//*************************************************************************************************
else
    header("Location:welcome.php?t=" . $task . "&a=" . $action);

//*************************************************************************************************
