<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

include("merchant_session.php");

//*************************************************************************************************

$arrPackagePayments = [];
$res = preparedQuery("SELECT * FROM " . PREFIX . "PACKAGE_PAYMENT WHERE MERCHANTID = ? ORDER BY PAYMENT_DATETIME DESC", array($merchantId));
while ( ($row = getRow($res)) ) {
    $arrPackagePayments[] = $row;
}

$arrClickPayments = [];
$res = preparedQuery("SELECT * FROM " . PREFIX . "CLICKTHROUGHS_PAYMENT WHERE MERCHANTID = ? ORDER BY PAYMENT_DATETIME DESC", array($merchantId));
while ( ($row = getRow($res)) ) {
    $arrClickPayments[] = $row;
}

$arrFeaturedPayments = [];
$res = preparedQuery("SELECT * FROM " . PREFIX . "USER_FEATURED_PAYMENT WHERE MERCHANTID = ? ORDER BY PAYMENT_DATETIME DESC", array($merchantId));
while ( ($row = getRow($res)) ) {
    $arrFeaturedPayments[] = $row;
}

// Render template
renderTemplate('merchants/payments', [
    'arrPackagePayments' => $arrPackagePayments,
    'arrClickPayments' => $arrClickPayments,
    'arrFeaturedPayments' => $arrFeaturedPayments,
    'PAYMENT_TYPES' => $PAYMENT_TYPES,
]);

//*************************************************************************************************
