<?php	
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php"); 

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		include ("merchant_session.php");

//*************************************************************************************************

		$id		= getVar('id', 'int');
		if ( $id == 0 )
		{
			echo INFO_1;
			die;
		}

		$type	= getVar('type');
		$type	= $type == '' ? 'p' : $type;

		$tbl	= 'PACKAGE';
		if ( $type == 'c' )
			$tbl	= 'CLICKTHROUGHS';
		elseif ( $type == 'f' )
			$tbl	= 'USER_FEATURED';

		if ( !($rec = getRecord($tbl."_PAYMENT", $id)) )
		{
			echo INFO_5;
			die;
		}

		if ( $rec['MERCHANTID'] != $merchantId )
		{
			echo INFO_30;
			die;
		}

		$pfor	= '';
		if ( $type == 'p' )
			$pfor	= getColumn("PACKAGE", $rec['PACKAGE_ID']);
		elseif ( $type == 'c' )
			$pfor	= CLICKTHROUGHS;
		elseif ( $type == 'f' )
			$pfor	= FEATURED_MERCHANT;

		$mer	= getRecord("USERINFO", $merchantId, "USERID");

//*************************************************************************************************

		include ("header_popup.php");

//*************************************************************************************************
?>
	<center>
		<br>
		<font class="large"><?php echo SCRIPT_COMPANY_NAME?></font><br><br>
		<font class="large"><?php echo SCRIPT_COMPANY_ADDRESS?></font><br><br>
		<font class="large"><?php echo PAYMENT_INVOICE?> # <?php echo strtoupper($type).$id?></font><br><br>
	</center>

	<table width="95%" cellspacing="1" cellpadding="3" align="center">
		<tr>
			<td width="50%" class="td">&nbsp;</td>
			<td width="50%" class="td" align="right"><?php echo _DATE?>: <?php echo formatDate(getTimezoneTime())?></td>
		</tr>
		<tr>
			<td colspan="2" class="td" align="left"><?php echo NAME?>: <?php echo $mer['NAME']?></td>
		</tr>
		<tr>
			<td colspan="2" class="td" align="left"><?php echo ADDRESS?>: <?php echo $mer['ADDRESS'].', '.$mer['CITY'].' - '.$mer['STATE'].' '.$mer['COUNTRY']?></td>
		</tr>
	</table>
	<br>

	<table width="95%" cellspacing="0" cellpadding="5" align="center" border=1 bordercolor=#CCCCCC>
		<tr>
			<td width="10%" class="td" align="center"><b><?php echo NO?>.</b></td>
			<td width="70%" class="td" align="left"><b><?php echo DESCRIPTION?></b></td>
			<td width="20%" class="td" align="right"><b><?php echo AMOUNT?></b></td>
		</tr>
		<tr>
			<td class="td">1.</td>
			<td class="td" align="left"><?php echo PAYMENT_FOR.' '.$pfor.' '.VIA.' '.$PAYMENT_TYPES[$rec['PAYMENT_TYPE']]?></td>
			<td class="td" align="right"><?php echo getFormattedPrice($rec['AMOUNT'], SCRIPT_DOLLAR)?></td>
		</tr>
		<tr>
			<td colspan="2" align="right"><b>Total: </b></td>
			<td class="td" align="right"><b><?php echo getFormattedPrice($rec['AMOUNT'], SCRIPT_DOLLAR)?></b></td>
		</tr>
	</table>
	<br><br><br>

	<table width="95%" cellspacing="1" cellpadding="3" align="center">
		<tr>
			<td width="50%" class="td">__________________________________________</td>
			<td width="50%" class="td">__________________________________________</td>
		</tr>
	</table>
	<br><br><br>

	<table width="95%" cellspacing="1" cellpadding="3" align="center" id="tblCP">
		<tr>
			<td class="td" align="right">[<a href="javascript:window.close();"><?php echo _CLOSE?></a>][<a href="javascript:doPrint();"><?php echo _PRINT?></a>]</td>
		</tr>
	</table>

	<script language="JavaScript">
	<!--
	function doPrint()
	{
		$("#tblCP").hide();
		window.print();
		alert('<?php echo JSMSG_CLICK_OK_WHEN_YOU_ARE_FINISHED_PRINTING?>');
		$("#tblCP").show();
	}
	//-->
	</script>

<?php
//*************************************************************************************************

		include("footer_popup.php");

//*************************************************************************************************
?>