<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");
require(PATH . "include/include_xml_defines.php");
require(PATH . ADMIN_FOLDER_NAME . "/product_import_xml_functions.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

include("merchant_session.php");

//*************************************************************************************************

$userId = $merchantId;

//*************************************************************************************************

// Get File Path
$filepath = PATH . "upload/merchant/" . $userId . "/products-xml.xml";

if (!file_exists($filepath)) {
    header("Location:merchant_product_import_xml.php?info=" . urlencode(XML_FILE_NOT_FOUND_ON_SERVER_FOR_MERCHANT . ' : ' . $userId));
    die;
}

//*************************************************************************************************

$baseTag = '';
$msg = '';
$info = getXMLInfo($msg, $filepath);

if (!is_array($info)) {
    header("Location:merchant_product_import_xml.php?info=" . urlencode(CAN_NOT_COLLECT_INFORMATION_FROM_XML_FILE));
    die;
}

$totRecs = $info['tag_count'];
$tagArray = $info['tag_array'];

//*************************************************************************************************

$userFeedParams = getRecord("USER_FEED_PARAMETERS", $userId, "USERID");
$outerTagName = $userFeedParams['XML_OUTER_TAGNAME'];
$innerTagName = $userFeedParams['XML_INNER_TAGNAME'];

//*************************************************************************************************

// Render template
renderTemplate('merchants/product-import-xml-prompt', [
    'outerTagName' => $outerTagName,
    'innerTagName' => $innerTagName,
    'tagArray' => $tagArray,
]);

//*************************************************************************************************
