<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

$doUserValidRedirect = 'N';
include("merchant_session.php");

//*************************************************************************************************

$valid = sessionVar('userValid');

$curPackageId = (int)getColumn("USER", $merchantId, "PACKAGE_ID", "USERID");

if ( !($curPackageRec = getRecord("PACKAGE", $curPackageId)) ) {
    $curPackageRec = false;
}

$arrPackages = [];
$res = preparedQuery("SELECT * FROM " . PREFIX . "PACKAGE WHERE PRODUCTS_MAXIMUM >= ? " . ($row['ISTRY'] == 'Y' ? "AND ID <> $curPackage" : "") . "  AND ISHIDDEN = 'N' AND ISVALID = 'Y' ORDER BY PRODUCTS_MAXIMUM", array($curPackageRec['PRODUCTS_MAXIMUM']));
while ( ($row = getRow($res)) ) {
    $arrPackages[] = $row;
}

$numProds = getColumn("USER_PRODUCT", $merchantId, "COUNT(ID)", "USERID");

$hideMerchantNavigation = $valid != 'Y';

//*************************************************************************************************

// Render template
renderTemplate('merchants/select-package', [
    'curPackageId' => $curPackageId,
    'curPackageRec' => $curPackageRec,
    'arrPackages' => $arrPackages,
]);

//*************************************************************************************************
