<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

include("merchant_session.php");

//*************************************************************************************************

$updtId = getVar('updtId', 'int');

if ( $updtId > 0 ) {

    $res = preparedQuery("SELECT * FROM " . PREFIX . "USER_URL WHERE ID = ?", array($updtId));
    if ( !($row = getRow($res)) ) {
        showMerchantErrorPage('', INFO_5);
    }

    // Render template
    renderTemplate('merchants/urls-update', [
        'updtId' => $updtId,
        'row' => $row,
    ]);
    die;

}

//*************************************************************************************************

$arr = [];
$sql = "SELECT * FROM " . PREFIX . "USER_URL WHERE USERID = ? ORDER BY URL";
$result = preparedQuery($sql, array($merchantId));
while ( $row = getRow($result) ) {
    $arr[] = $row;
}

// Render template
renderTemplate('merchants/urls', [
    'arr' => $arr,
]);

//*************************************************************************************************
