<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

include("merchant_session.php");

//*************************************************************************************************

// Get File Path
$filepath = PATH . "upload/csvfiles/" . $merchantId . ".csv";

if (!file_exists($filepath)) {
    header("Location:merchant_user_product_import_csv.php?info=" . CSV_FILE_NOT_FOUND);
    die;
}

//*************************************************************************************************

// Open File for Reading
if (!($fp = fopen($filepath, "r"))) {
    showMerchantErrorPage('', COULD_NOT_OPEN_FILE_FOR_READING . $filepath);
}

// Read chunk
$fullData = "";
while ($data = fread($fp, 51200)) {
    $fullData .= $data;
}
fclose($fp);

$totLines = substr_count($fullData, "\n");
$totRecs = $totLines - 1;

writeToFile("upload/csvfiles/" . $merchantId . ".progress", 0);

//*************************************************************************************************

// Render template
renderTemplate('merchants/user-product-import-csv-prompt', [
    'totRecs' => $totRecs,
]);

//*************************************************************************************************
