<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		include ("merchant_session.php");

//*************************************************************************************************				

		$task	= postVar('task');
		$action = postVar('action');
		$return = postVar('return', 'urlpart');
		$isAjax = postVar('isAjax', 'int');

//*************************************************************************************************

		require (PATH."include/security_check.php");

//*************************************************************************************************				

		if ( $merchantId == '' )
		{
			header("Location: index.php?info=17");
			die;
		}
		
//*************************************************************************************************
//			PAYMENT
//*************************************************************************************************
if ( $task == "Payment" )
{
		if ( $action == "Make" )
		{
			$optionId	= postVar('optionId', 'int');
			$amount		= postVar('amount', 'float');

			//////////////////////////////////
			// Payment Method Cannot be Empty.
			if ( $optionId == '' )
			{
				$msg = PAYMENT_OPTIONS_CONF_ERR;
				if ( $return == '' )
					$return = 'merchant_welcome.php?';

				echo getErrorForm($_POST, $return."info=".urlencode($msg));
				die;
			}
			//////////////////////////////////			
			
			if ( $amount == '' )
			{
				echo getErrorForm($_POST, $return."info=1");
				die;
			}

			$paymentId = getNextId('USER_PRODUCT_SALE_PAYMENT');
			$ret = tableInsert('USER_PRODUCT_SALE_PAYMENT', array(
																	'ID'				=> $paymentId,
																	'MERCHANTID'		=> $merchantId,
																	'PAYMENT_TYPE'		=> $optionId,
																	'PAYMENT_DATE'		=> getTimezoneTime('Y-m-d'),
																	'PAYMENT_TIME'		=> getTimezoneTime('H:i:s'),
																	'AMOUNT'			=> $amount,
																	'ISVALID'			=> 'N'
																));
			if ( $ret <= 0 )
			{
				echo getErrorForm($_POST, $return."info=6");
				die;
			}

			makePayment($merchantId, $optionId, $amount, 0, 0, 0, 0, $paymentId);	
		}
}

//*************************************************************************************************
//			NOTHING
//*************************************************************************************************
else	
	header("Location:merchant_welcome.php?t=".$task."&a=".$action);

?>