<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

$uId = getVar('uId', '', getVar('user'));
$email = getVar('email');
$code = getVar('code');

if ($uId > 0 && $email == '')
    $email = getColumn('USERINFO', $uId, 'EMAIL', 'USERID');

if ($uId == 0 && $email != '')
    $uId = getColumn('USERINFO', $email, 'USERID', 'EMAIL');

//*************************************************************************************************

if ($email != '' && $code != '') {
    if (($row = getRecord('USER', $uId, 'USERID'))) {
        if ($row['VERIFICATION_CODE'] == '') {
            header("Location: merchant_login.php?info=166");
            die;
        }

        if ($row["VERIFICATION_CODE"] == $code) {
            tableUpdate('USER', $uId, array('VERIFICATION_CODE' => ''), 'USERID');

            if (APPROVE_USER_REGISTERATION == 1) {
                sendRegisterationEmail2Admin($msgEx2, $uId);
                header("Location: merchant_login.php?info=604");
                die;
            }

            sendRegisterationEmail($msgEx2, $uId);
            header("Location: merchant_login.php?info=605");
            die;
        } else
            header("Location: merchant_verify_email.php?info=509");
    } else
        header("Location: merchant_verify_email.php?info=5");

    die;
} else {

    // Render template
    renderTemplate('merchants/verify-email', [
        'code' => $code,
        'uId' => $uId,
    ]);

}
