<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

$allowVisitorSeller2Page = 1;
include("merchant_session.php");

//*************************************************************************************************

$arr = array((int)EBAY_PRODUCT_ID, (int)BASE_URL_REDIRECT_PRODUCT_ID);

$res = preparedQuery("SELECT COUNT(ID) AS C FROM " . PREFIX . "USER_PRODUCT WHERE USERID = ? AND ISVALID='Y' AND PRODUCT_ID NOT IN (" . implode(',', $arr) . ")", array($merchantId));
$row = getRow($res);
$activeListings = (int)$row['C'];

$res = preparedQuery("SELECT COUNT(ID) AS C FROM " . PREFIX . "USER_PRODUCT WHERE USERID = ? AND ISVALID='N' AND PRODUCT_ID NOT IN (" . implode(',', $arr) . ")", array($merchantId));
$row = getRow($res);
$inactiveListings = (int)$row['C'];

if (IS_MERCHANTBID_INSTALLED != 0 && IS_MERCHANTBID_USED_FOR_CPC == 0) {
    $result = preparedQuery("SELECT SUM(AMOUNT) AS SAMT FROM " . PREFIX . "BID_PAYMENT WHERE MERCHANTID = ? AND ISVALID='Y'", array($merchantId));
    $row = getRow($result);
    $amountPayed = (int)$row["SAMT"];

    $result = preparedQuery("SELECT SUM(BC.AMOUNT_CHARGED) AS SAMT FROM " . PREFIX . "BID_CLICKTHROUGHS BC, " . PREFIX . "USER_PRODUCT UP WHERE UP.ID=BC.USER_PRODUCT_ID AND UP.USERID = ?", array($merchantId));
    $row = getRow($result);
    $amountUsed = (int)$row["SAMT"];

    $currentBalance = $amountPayed - $amountUsed;
}

//*************************************************************************************************

// Render template
renderTemplate('merchants/welcome', [
    'activeListings' => $activeListings,
    'inactiveListings' => $inactiveListings,
    'amountPayed' => $amountPayed,
    'amountUsed' => $amountUsed,
    'currentBalance' => $currentBalance,
]);

//*************************************************************************************************
