<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		$isContentPage	= 1;
		$pageHeading	= MERCHANT_RANKING_INFO;

//*************************************************************************************************
					
		$sql 			= "SELECT COUNT(U.USERID) AS TOTAL, U.USERID FROM ".PREFIX."USER U, ".PREFIX."CLICKTHROUGHS UR WHERE U.USERID = UR.USERID AND U.ISVALID = 'Y' AND UR.ISMERCHANT='N' GROUP BY U.USERID ORDER BY TOTAL DESC LIMIT 25";
		$res			= executeQuery($sql);

		$merchantArr	= array();
		$merchantIds	= array();
		$argsString		= '';

		while ( ($row = getRow($res)) )
		{
			// Filled below, just initializing
			$row['IMAGE'] 			= SCRIPT_ROOT.'images/spacer.gif';
			$row['NAME'] 			= $row['USERID'];
			$row['RATING'] 			= -1;
			$row['CURRENT_TOTAL'] 	= 0;

			$row['ALL_TOTAL'] 		= (int)$row['TOTAL'];

			$merchantIds[]					= $row['USERID'];
			$argsString						.= ', ?';
			$merchantArr[$row['USERID']]	= $row;
		}

		if ( $argsString != '' )
		{
			$argsString = substr($argsString, 2);

			$monthStart 	= date('Y')."-".date('m')."-01 00:00:00";
			$monthEnd 		= date('Y')."-".date('m')."-".date('d')." 23:59:59";

			$res = preparedQuery("SELECT MERCHANTID, ROUND(AVG(IFNULL(RATING, -1)), 0) AS R FROM ".PREFIX."USER_RATING WHERE MERCHANTID IN (".$argsString.") GROUP BY MERCHANTID", $merchantIds);
			while ( ($row = getRow($res)) )
			{
				// Because above is a group type query and an empty record will be returned if there is no record
				if ( $row['MERCHANTID'] != '' && in_array($row['MERCHANTID'], $merchantIds) )
					$merchantArr[$row['MERCHANTID']]['RATING'] = $row['R'];
			}

			$res = preparedQuery("SELECT USERID, COUNT(USERID) AS T FROM ".PREFIX."CLICKTHROUGHS WHERE USERID IN (".$argsString.") AND REDIRECT_TIME BETWEEN '".$monthStart."' AND '".$monthEnd."' AND ISMERCHANT='N' GROUP BY USERID", $merchantIds);
			while ( ($row = getRow($res)) )
			{
				// Because above is a group type query and an empty record will be returned if there is no record
				if ( $row['USERID'] != '' && in_array($row['USERID'], $merchantIds) )
					$merchantArr[$row['USERID']]['CURRENT_TOTAL'] = $row['T'];
			}

			$res = preparedQuery("SELECT USERID, NAME FROM ".PREFIX."USERINFO WHERE USERID IN (".$argsString.")", $merchantIds);
			while ( ($row = getRow($res)) )
				$merchantArr[$row['USERID']]['NAME'] = $row['NAME'];

			foreach ( $merchantArr as $row )
			{
				if ( file_exists(PATH."upload/merchant/".$row['USERID'].".jpg") )
					$merchantArr[$row['USERID']]['IMAGE'] = getMerchantLogoThumbUrl($row['USERID'], '', 37, $row['NAME']);
			}
		}

//*************************************************************************************************

        // Render template
        renderTemplate('merchant_ranking', [
            'merchantArr' => $merchantArr,
        ]);

//*************************************************************************************************

		free($res);

//*************************************************************************************************
