<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		session_start();

//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		$langFilename2 = 'news.php';
		include (PATH."session.php");

//*************************************************************************************************

		$task	= postVar('task');
		$action = postVar('action');
		$return = postVar('return', 'urlpart');

//*************************************************************************************************

		require (PATH."include/security_check.php");

//*************************************************************************************************
//			NEWS COMMENTS
//*************************************************************************************************
if ( $task == "UserComments" )
{
		$newsId			= postVar('newsId', 'int');
		$review			= postVar('review', '', '', array('maxlen'=>255));
		$visitorName	= postVar('visitorName');
		$visitorCity	= postVar('visitorCity');
		$visitorState	= postVar('visitorState');
		$visitorCountry	= postVar('visitorCountry');
		$captchaAnswer	= postVar('captchaAnswer', '', '', array('maxlen'=>10));
		$captchaDex		= postVar('captchaDex', 'int');

		if ( $action == "Add" )
		{
			if ( DO_WRITE_NEWS_COMMENTS_WITHOUT_LOGIN == 0 && $visitorId == '' )
			{
				header("Location: ".$return."info=17");
				die;
			}

			if ( trim($newsId) == ''  || trim($review) == '' || ( $visitorId == '' && $visitorName == '' ) ) 
			{
				header("Location: ".$return."info=1");
				die;
			}

            $msg = '';
			if ( !verifyCaptcha($msg) )
			{
				echo getErrorForm($_POST, $return."info=".$msg);
				die;
			}

			if ( $visitorId != '' )
			{
				if ( $visitorRec = getRecord('VISITORINFO', $visitorId, 'USERID') )
				{
					$visitorName	= $visitorRec['NAME'];
					$visitorCity	= $visitorRec['CITY'];
					$visitorState	= $visitorRec['STATE'];
					$visitorCountry	= $visitorRec['COUNTRY'];
				}

				/* 7/17/2013: Mamda: Donot overwrite last user comment
				$sql	= "SELECT ID FROM ".PREFIX."NEWS_COMMENTS WHERE USERID = ? AND NEWS_ID = ?";
				$result = preparedQuery($sql, array($visitorId, $newsId));

				if ( ($row = getRow($result)) )
				{
					$result = tableUpdate('NEWS_COMMENTS', $row['ID'], array(
																				'USER_NAME'		=> $visitorName,
																				'USER_CITY'		=> $visitorCity,
																				'USER_STATE'	=> $visitorState,
																				'USER_COUNTRY'	=> $visitorCountry,
																				'REVIEW'		=> $review,
																				'ISVALID'		=> 'N'
																			));
					if( $result > 0 )
						header("Location: ".$return."info=195");
					else
						echo getErrorForm($_POST, $return."info=6");
				}
				else */
				{
					$newDBId	= getNextId('NEWS_COMMENTS');
					$result		= tableInsert('NEWS_COMMENTS', array(
																		'ID'			=> $newDBId,
																		'NEWS_ID'		=> $newsId,
																		'USERID'		=> $visitorId,
																		'USER_NAME'		=> $visitorName,
																		'USER_CITY'		=> $visitorCity,
																		'USER_STATE'	=> $visitorState,
																		'USER_COUNTRY'	=> $visitorCountry,
																		'REVIEW'		=> $review,
																		'DATE_ADDED'	=> getTimezoneTime('Y-m-d'),
																		'ISVALID'		=> 'N'
																	));
					if ( $result > 0 )
						header("Location: ".$return."info=195");
					else
						header("Location: ".$return."info=6");
				}
			}
			else
			{
				$newDBId	= getNextId('NEWS_COMMENTS');
				$result		= tableInsert('NEWS_COMMENTS', array(
																	'ID'			=> $newDBId,
																	'NEWS_ID'		=> $newsId,
																	'USERID'		=> $visitorId,
																	'USER_NAME'		=> $visitorName,
																	'USER_CITY'		=> $visitorCity,
																	'USER_STATE'	=> $visitorState,
																	'USER_COUNTRY'	=> $visitorCountry,
																	'REVIEW'		=> $review,
																	'DATE_ADDED'	=> getTimezoneTime('Y-m-d'),
																	'ISVALID'		=> 'N'
																));
				if ( $result > 0 )
					header("Location: ".$return."info=195");
				else
					header("Location: ".$return."info=6");
			}
		}
		
}

//*************************************************************************************************
//			NOTHING
//*************************************************************************************************
else	
	header("Location: ".getSeoUrl('/')."?p=index&t=".$task."&a=".$action);

//*************************************************************************************************

exit(); // To make sure session is working //
?>