<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php"); 
		require (PATH."include/include_newsletter.php"); 

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		$fname			= postVar('fname', 'a-zA-Z\. ', '', array('maxlen'=>50));
		if ( $fname == '' )
			$fname		= getVar('fname', 'a-zA-Z\. ', '', array('maxlen'=>50));

		$lname			= postVar('lname', 'a-zA-Z\. ', '', array('maxlen'=>50));
		if ( $lname == '' )
			$lname		= getVar('lname', 'a-zA-Z\. ', '', array('maxlen'=>50));

		$email			= postVar('email', 'a-zA-Z0-9@_\-\.', '', array('maxlen'=>100));
		if ( $email == '' )
			$email		= getVar('email', 'a-zA-Z0-9@_\-\.', '', array('maxlen'=>100));

		$isSubscribed	= $_POST['isSubscribed']=='N'?'N':'Y';
		if ( $isSubscribed == '' )
			$isSubscribed= $_GET['isSubscribed']=='N'?'N':'Y';

		$categories		= postVar('categories', 'int');
		if ( $categories == '' )
			$categories	= getVar('cat', 'int');

		$return			= postVar('return', 'url');
		if ( $return == '' )
			$return		= getVar('return', 'url');

//*************************************************************************************************

		if ( $return == '' )
			$return = SCRIPT_ROOT."newsletter-subscribe.php?";

//*************************************************************************************************

		if ( $email != '' && $_POST['btnGetErrorForm'] != 'Y' )
		{
            $msg = '';
            if ( !verifyCaptcha($msg) ) {
                echo getErrorForm( $_POST, $return.'info='.urlencode($msg) );
                die;
            }

            $info = '';
			if ( !validateEmailAddress($info, $email) )
			{
				echo getErrorForm($_POST, $return."info=".$info);
				die;
			}

			///////////////////////////////////////////////////////////////////////////////////////

			if ( $row = getRecord('MAILINGLIST_MEMBER', $email, 'EMAIL') )
			{
				$mId = (int)$row['ID'];

				if ( $mId > 0 )
				{
					if ( $isSubscribed == 'Y' )
					{
						// Update Record
						$result = tableUpdate('MAILINGLIST_MEMBER', $mId, array(
																					'FIRST_NAME'	=> $fname,
																					'LAST_NAME'		=> $lname,
																					'ISSUBSCRIBED'	=> 'Y'
																				));

						// Delete Previous Selection
						preparedUpdate("DELETE FROM ".PREFIX."MAILINGLIST_MEMBER_TO_CATEGORY WHERE MEMBER_ID = ?", array($mId));
						
						// Insert New Selection
						if ( is_array($categories) )
						{
							foreach ( $categories as $category )
							{
								$category = (int)$category;
								if ( $category != '' )
									tableInsert('MAILINGLIST_MEMBER_TO_CATEGORY', array('MEMBER_ID'=>$mId, 'CATEGORY_ID'=>$category));
							}
						}

						if ( $row['VERIFICATION_CODE'] != '' )
							sendMailingListVerificationEmail($msg, $mId);

						if ( $result > 0 )
							header("Location: ".$return."info=220");
						else
							header("Location: ".$return."info=221");
					}
					else
					{
						// Update Record, Insert Date of Unsubscribe
						$result = tableUpdate('MAILINGLIST_MEMBER', $mId, array(
																				'FIRST_NAME'		=> $fname,
																				'LAST_NAME'			=> $lname,
																				'ISSUBSCRIBED'		=> 'N',
																				'UNSUBSCRIBED_ON'	=> getTimezoneTime()
																				));
						// Delete Previous Selection
						preparedUpdate("DELETE FROM ".PREFIX."MAILINGLIST_MEMBER_TO_CATEGORY WHERE MEMBER_ID = ?", array($mId));
					
						if ( $result > 0 )
							header("Location: ".$return."info=222");
						else
							header("Location: ".$return."info=223");
					}
				}
				else
					header("Location: ".$return."info=223&mId");
			}
			else
			{
				// Keep UserID INVALID until he verifies his email address
				$newId	= getNextId('MAILINGLIST_MEMBER');
				$code	= getConfirmationCode();
				$result = tableInsert('MAILINGLIST_MEMBER', array(
																	'ID'				=> $newId,
																	'FIRST_NAME'		=> $fname,
																	'LAST_NAME'			=> $lname,
																	'EMAIL'				=> $email,
																	'VERIFICATION_CODE'	=> $code,
																	'ISSUBSCRIBED'		=> $isSubscribed,
																	'SUBSCRIBED_ON'		=> getTimezoneTime(),
																	'ISVALID'			=> 'Y'
																));
				if ( $newId != '' )
				{
					if ( $result > 0 )
					{					
						// Delete Previous Selection
						preparedUpdate("DELETE FROM ".PREFIX."MAILINGLIST_MEMBER_TO_CATEGORY WHERE MEMBER_ID = ?", array($newId));

						$catCount = 0;
						// Insert New Selection
						if ( is_array($categories) )
						{
							foreach ( $categories as $category )
							{
								$category = (int)$category;
								if ( $category > 0 )
								{
									$catCount++;
									tableInsert('MAILINGLIST_MEMBER_TO_CATEGORY', array('MEMBER_ID'=>$newId, 'CATEGORY_ID'=>$category));
								}
							}
						}
						
						// Send Verification Email
						if ( $catCount > 0 )
						{
							$msg = '';
							sendMailingListVerificationEmail($msg, $newId);
						}

						if ( $isSubscribed == 'Y' )
							header("Location: ".$return."info=220&".$catCount);
						else
							header("Location: ".$return."info=224");
					}
					else
						echo getErrorForm($_POST, ''.$return."info=6");
				}
				else
					echo getErrorForm($_POST, ''.$return."info=6&newId");
			}
			
			die;
		
		} // If of return ends here //


//*************************************************************************************************

		$arrMailinglistCategories = [];
        $res = executeQuery("SELECT ID, TITLE FROM ".PREFIX."MAILINGLIST_CATEGORY WHERE ISVALID='Y' ORDER BY TITLE");
        while ( ($row = getRow($res)) ) {
            $arrMailinglistCategories[] = $row;
        }
        free($res);

//*************************************************************************************************

        // Render template
        renderTemplate('newsletter-subscribe', [
            'arrMailinglistCategories' => $arrMailinglistCategories,
        ]);

//*************************************************************************************************
