<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");
require(PATH . "include/include_newsletter.php");

//*************************************************************************************************

include(PATH . "session.php");
loadLanguageForPage($lang, 'newsletter-subscribe');

//*************************************************************************************************

$sId = getVar('sId', 'int');
$sId = $sId == 0 ? '' : $sId;
$code = getVar('code', '', '', array('maxlen' => 20));

//*************************************************************************************************

$msg = '';
if ($sId != "" && $code != "") {
    if ($row = getRecord('MAILINGLIST_MEMBER', $sId)) {
        if ($row["VERIFICATION_CODE"] == '') {
            $msg = '<font class="info">' . YOUR_EMAIL_VERIFIED . '</font>';
        } else {
            if ($row["VERIFICATION_CODE"] == $code) {
                tableUpdate('MAILINGLIST_MEMBER', $sId, array('VERIFICATION_CODE' => ''));
                $msg = '<font class="info">' . YOUR_EMAIL_VERIFIED . '</font>';
            } else {
                $msg = '<font class="info">' . INVALID_CODE . '</font>';
            }
        }
    } else {
        $msg = getInfo(5);
    }
}

//*************************************************************************************************

// Render template
renderTemplate('newsletter-verifyemail', [
    'sId' => $sId,
    'code' => $code,
]);

//*************************************************************************************************
