<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");
		require (PATH."include/include_thumbnail.php");

//*************************************************************************************************

		// Get parameters
		$productId		= getVar('p', 'int');
		$filename		= getVar('f', 'urlpart');


		// Check if parameters are present or not
		if ( $productId == 0 || $filename == '' )
			die('required parameters missing');


		// Load image record
		if ( !($prodImg = getProductImageRecord($productId, $filename)) )
			die('record not found');


		// Check if image was marked for deletion (security check)
		if ( (int)$prodImg['IS_DOWNLOADED'] != 4 )
			die('access denied');


		// Make image path
		$categoryId = getColumn('PRODUCT', $productId, 'CATEGORY_ID', 'ID');
		$imgName	= getProductImagePath($productId, '', $filename);
		$imgPath	= PATH_SUBD . $imgName;


		// Check if file was already deleted or it exists
		if ( !file_exists($imgPath) )
			die('file already deleted');


		// Check if its a file and not directory (another security check)
		if ( !is_file($imgPath) )
			die('access denied');


		// Delete the file and exit
		@unlink($imgPath);
		die('ok');


//*************************************************************************************************
?>