<?php	
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		$langFilename = 'product_rating.php';
		include (PATH."session.php");

//*************************************************************************************************

		include (PATH."products_top.php");

//*************************************************************************************************

		$ratingRow		= array();
		if ( $visitorId != '' )
		{
			$ratingSql	= "SELECT USER_NAME, USER_CITY, USER_STATE, USER_COUNTRY, RATING, REVIEW FROM ".PREFIX."PRODUCT_RATING WHERE USERID = ? AND PRODUCT_ID = ?";
			$ratingRes	= preparedQuery($ratingSql, array($visitorId, $productId));
			$ratingRow	= getRow($ratingRes);
		}

		$ratingRow		= array(
									'USER_NAME'		=> postVar('visitorName', '', isset($ratingRow['USER_NAME']) ? $ratingRow['USER_NAME'] : ''),
									'USER_CITY'		=> postVar('visitorCity', '', isset($ratingRow['USER_CITY']) ? $ratingRow['USER_CITY'] : ''),
									'USER_STATE'	=> postVar('visitorState', '', isset($ratingRow['USER_STATE']) ? $ratingRow['USER_STATE'] : ''),
									'USER_COUNTRY'	=> postVar('visitorCountry', '', isset($ratingRow['USER_COUNTRY']) ? $ratingRow['USER_COUNTRY'] : DEFAULT_COUNTRY),
									'RATING'		=> postVar('rating', 'int', isset($ratingRow['RATING']) ? $ratingRow['RATING'] : ''),
									'REVIEW'		=> postVar('review', '', isset($ratingRow['REVIEW']) ? $ratingRow['REVIEW'] : '', array('maxlen'=>255))
							);
		
//*************************************************************************************************

        // Render template
        renderTemplate('product_review_add', [
            'ratingRow' => $ratingRow,
            'productId' => $productId,
        ]);

//*************************************************************************************************
