<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		$arrMapUserIds	= array();
		$arrMapUserInfo	= array();

		if ( is_array($arrPrices) )
		{
			foreach ( $arrPrices as $row )
			{
				$arrMapUserInfo[$row['USERID']]['IMAGE']	= $row['IMAGE'];
				$arrMapUserInfo[$row['USERID']]['ID']		= $row['ID'];

				$arrMapUserIds[]							= $row['USERID'];
			}
		}
		
		$arrMapUserIds	= array_unique($arrMapUserIds);

//*************************************************************************************************

		$arrMapCoord	= array();

		$argsArr		= array();
		$argsStr		= prepareArgs4Query($argsArr, $arrMapUserIds);

		if ( count($arrMapUserIds) > 0 )
		{
			$resLocs	= preparedQuery("SELECT USERID, TITLE AS NAME, ADDRESS, CITY, STATE, ZIP, COUNTRY, LATITUDE, LONGITUDE FROM ".PREFIX."USER_LOCATION WHERE USERID IN (".$argsStr.") AND LATITUDE<>0 AND LONGITUDE<>0", $argsArr);
			while ( ($rowLocs = getRow($resLocs)) )
			{
				$rowLocs['IMAGE']	= $arrMapUserInfo[$rowLocs['USERID']]['IMAGE'];
				$rowLocs['ID']		= $arrMapUserInfo[$rowLocs['USERID']]['ID'];

				$dexThisUID = array_search($rowLocs['USERID'], $arrMapUserIds);
				unset($arrMapUserIds[$dexThisUID]);

				$arrMapCoord[] = $rowLocs;
			}
		}

		if ( count($arrMapUserIds) > 0 )
		{
			$resLocs	= preparedQuery("SELECT USERID, NAME, ADDRESS, CITY, STATE, ZIP, COUNTRY, LATITUDE, LONGITUDE FROM ".PREFIX."USERINFO WHERE USERID IN (".$argsStr.") AND LATITUDE<>0 AND LONGITUDE<>0", $argsArr);
			while ( ($rowLocs = getRow($resLocs)) )
			{
				$rowLocs['IMAGE']	= $arrMapUserInfo[$rowLocs['USERID']]['IMAGE'];
				$rowLocs['ID']		= $arrMapUserInfo[$rowLocs['USERID']]['ID'];

				$dexThisUID = array_search($rowLocs['USERID'], $arrMapUserIds);
				unset($arrMapUserIds[$dexThisUID]);

				$arrMapCoord[] = $rowLocs;
			}
		}

//*************************************************************************************************

		if ( count($arrMapCoord) > 0 ) {
            // Render template
            renderTemplate('products_map', [
                'arrMapCoord' => $arrMapCoord,
            ]);
        }

//*************************************************************************************************
