<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php"); 
		require(PATH."include/include.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

/*		if ( defined('IS_IN_DEMO_MODE') && IS_IN_DEMO_MODE == 1 )
		{
			header("Location: ".SCRIPT_ROOT."merchant-product-page.html");
			die;
		} */

//***********************************************************************************************************

		if ( !defined('CLICKTHROUGH_RECORDED_AFTER') )
			define('CLICKTHROUGH_RECORDED_AFTER',	6);

//***********************************************************************************************************

		$BLOCK_FROM_IPS			= array();
		$BLOCK_FROM_IPS_X		= array();
		$resBFI					= executeQuery("SELECT IP_ADDRESS FROM ".PREFIX."BLOCK_CLICKS_FROM_IPS");
		while ( ($rowBFI = getRow($resBFI)) )
		{
			$rowBFI['IP_ADDRESS'] = strtoupper($rowBFI['IP_ADDRESS']);

			if ( strstr($rowBFI['IP_ADDRESS'], '.X') )
				$BLOCK_FROM_IPS_X[]	= str_replace('.X', '.', str_replace('.X.X', '.', str_replace('.X.X.X', '.', $rowBFI['IP_ADDRESS'])));
			else
				$BLOCK_FROM_IPS[]	= $rowBFI['IP_ADDRESS'];
		}

		$blockRecordingCT		= false;

		// Block click recording if click is from certain IPs
		if ( in_array($IP_ADDRESS, $BLOCK_FROM_IPS) )
			$blockRecordingCT = true;

		// Check range based IPs if not blocked already
		if ( !$blockRecordingCT && count($BLOCK_FROM_IPS_X) > 0 )
		{
			foreach ( $BLOCK_FROM_IPS_X as $range )
			{
				if ( substr($IP_ADDRESS, 0, strlen($range)) == $range )
				{
					$blockRecordingCT = true;
					break;
				}
			}
		}

		if ( $_GET['debug'] != '' )
		{
			echo "<pre>IP: ".$IP_ADDRESS."\n\n";
			echo "Block IPs:\n";
			print_r($BLOCK_FROM_IPS);
			echo "\n\n";
			echo "Block IP Ranges:\n";
			print_r($BLOCK_FROM_IPS_X);
			echo "\n\n";
			echo "Blocked: ".($blockRecordingCT?"YES":"NO")."\n";
			die;
		}

//***********************************************************************************************************

		$apiType	= getVar('apiType');
		$apiType	= trim($apiType) == '' ? API_TYPE_MYSQL : $apiType;

//***********************************************************************************************************

		if ( $visitorId != '' )
			setcookie('visitorId', $visitorId);

//***********************************************************************************************************

		$userNameImg	= '';

//***********************************************************************************************************

		if ( $apiType != API_TYPE_MYSQL )
		{
			$location	= postVar('url', 'url');
			if ( $location == '' )
				$location	= getVar('url', 'url');
			$userId		= $apiType == API_TYPE_SHOPZILLA ? PCS_SHOPZILLA_USERID : PCS_AMAZON_USERID;

			if ( $location == '' )
			{
				header("Location: ".getSeoUrl('/')."?info=1");
				die;
			}

			if ( !$blockRecordingCT && !$directHit )
			{
				// Save clickthrough
				tableInsert('CLICKTHROUGHS', array(
														'VISITORID'			=> $visitorId,
														'USERID'			=> $userId,
														'REDIRECT_TIME'		=> getTimezoneTime(),
														'IP_ADDRESS'		=> getClientIP(),
														'BROWSER'			=> $_SERVER['HTTP_USER_AGENT'],
														'CLICKTHROUGH_RATE'	=> $prefs['CLICKTHROUGH_RATE']
													));
				$clickthroughId = lastAutoInsertId();
			}

			// 5/29/2015: Mamda: somehow the url becomes translated to have &amp; instead of &, which makes the url not load in browser
			$location = str_replace('&amp;', '&', $location);

            // Render template
            renderTemplate('redirect', [
                'userNameImg' => $userNameImg,
                'location' => $location,
            ]);
			die;
		}

//***********************************************************************************************************

		$userId		= '';
		$urlEx		= '';
		$prod_Id	= getVar('prod_id', 'int');
		$isBuy		= $_GET['isBuy']=='N'?'N':'Y';
		$isProduct	= $_GET['isProduct']=='Y'?'Y':'N';
		$isCart		= $_GET['isCart']=='Y'?'Y':'N';
		$location	= '';

//***********************************************************************************************************

		if ( defined('RECORD_CLICK_ON_STORE_BASE_URL') && RECORD_CLICK_ON_STORE_BASE_URL == 1 )
		{
			$userId		= getVar('userId', '', '', array('maxlen'=>20));
			$urlEx		= getVar('url', 'url');
			if ( $prod_Id == '' && $userId != '' && $urlEx != '' )
			{
				$urlEx	= substr($urlEx, 0, 4) != 'http' ? 'http://' . $urlEx : $urlEx;
				$res = preparedQuery("SELECT ID FROM ".PREFIX."USER_PRODUCT WHERE USERID = ? AND PRODUCT_ID = ?", array($userId, (int)BASE_URL_REDIRECT_PRODUCT_ID));
				if ( !($row = getRow($res)) )
				{
					$nId = getNextId('USER_PRODUCT');
					$ret = tableInsert('USER_PRODUCT', array(
														'ID'			=> $nId,
														'USERID'		=> $userId,
														'CATEGORY_ID'	=> 1,
														'PRODUCT_ID'	=> (int)BASE_URL_REDIRECT_PRODUCT_ID,
														'PRICE'			=> 0,
														'BUY_URL'		=> $urlEx
													));
					if ( $ret )
						$prod_Id = $nId;
				}
				else
					$prod_Id = $row['ID'];
			}
		}

//***********************************************************************************************************

		if ( $prod_Id == '' )
		{
			header("Location: ".getSeoUrl('/')."?info=105");
			die;
		}
		
		if ( $isBuy == '' )
		{
			header("Location: ".getSeoUrl('/')."?info=215");
			die;
		}
		
		// If ProductID passed is not USER_PRODUCT_ID
		if ( $isProduct == 'Y' )
			$where = "PRODUCT_ID = ?";
		
		else
			$where = "ID = ?";

		//$redirect = getColumn('CLICKTHROUGHS', $urlId, 'URL');
		$sql = "SELECT ID, DETAIL_URL, BUY_URL, BUY_URL_EX, PRODUCT_ID, USERID ".(IS_MERCHANTBID_INSTALLED!=0 ? ', BID_AMOUNT':'').
            " FROM ".PREFIX."USER_PRODUCT WHERE (ISVALID='Y' OR PRODUCT_ID=".((int)BASE_URL_REDIRECT_PRODUCT_ID).") AND ".$where;

		$result = preparedQuery($sql, array($prod_Id));
		if ( ($row = getRow($result)) )
		{
			// NOW do logging
			$userRec = getRecord('USER', $row['USERID'], 'USERID');
			$prodRec = getRecord('PRODUCT', $row['PRODUCT_ID']);
			$catRec  = getRecord('CATEGORY', $prodRec['CATEGORY_ID']);

			if ( file_exists(PATH."upload/merchant/".$row['USERID'].".jpg") )
			{
				$userNameImg = "<img src=\"".getMerchantLogoThumbUrl($row['USERID'], 120, 50)."\" border='0' alt='".$row['USERID']."' title='".$row['USERID']."'>";
			}
			else
			{
				$useriRec = getRecord('USERINFO', $row['USERID'], 'USERID');
				$userNameImg = "<b>".$useriRec['NAME']."</b>";
			}

			$clickthroughId = getClickIdIfFound($row['ID'], getClientIP());

			if ( !$blockRecordingCT && $clickthroughId == 0 )
			{
				// Spiders and bots check
				if ( !$directHit )
				{
					// Merchant Bidding
					if ( IS_MERCHANTBID_INSTALLED != 0 ) 
						include(PATH.'redirect_bid.php');

					// Find out if this click is free for this merchant in his package
					$isFree	= isMerchantNextClickthroughFree($row['USERID'], $userRec['PACKAGE_ID']) ? 'Y' : 'N';

					$clickRate = (float)($catRec['CLICKTHROUGH_RATE'] < 0 ? $prefs['CLICKTHROUGH_RATE'] : $catRec['CLICKTHROUGH_RATE']);

					$affiliateId = 0;
					if ( IS_AFFILIATES_INSTALLED == 1 )
						$affiliateId = (int)getAffiliateId();

					// Save clickthrough
					tableInsert('CLICKTHROUGHS', array(
															'USER_PRODUCT_ID'		=> $row['ID'],
															'PRODUCT_ID'			=> $row['PRODUCT_ID'],
															'MANUFACTURER'			=> $prodRec['MANUFACTURER'],
															'VISITORID'				=> $visitorId,
															'AFFILIATE_ID'			=> $affiliateId,
															'CATEGORY_TITLE'		=> $catRec['TITLE'],
															'PRODUCT_TITLE'			=> $prodRec['TITLE'],
															'USERID'				=> $row['USERID'],
															'REDIRECT_TIME'			=> getTimezoneTime(),
															'IP_ADDRESS'			=> getClientIP(),
															'BROWSER'				=> $_SERVER['HTTP_USER_AGENT'],
															'CLICKTHROUGH_RATE'		=> $clickRate,
															'ISBUY'					=> $isBuy,
															'ISPAYED'				=> $userRec['IS_CLICKTHROUGH_FREE']=='Y' || $isFree=='Y' ? 'Y' : 'N',
															'ISFREE'				=> $isFree,
															'ISMERCHANT'			=> 'N',
															'CLICK_WITHIN_X_HRS'	=> 1
														));
					$clickthroughId = lastAutoInsertId();

					// Mark as paid this clickthrough
					if ( $isFree == 'N' )
					{
						$msg	 = '';
						$balance = getUserBalance($row['USERID']);
						if ( $balance > 0 )
							markClickthroughPaid($msg, $row['USERID'], $balance, 0, 'X');
							// last argument above marks ct as paid but not recorded, so now the cronjob will record and make it Y
					}
				
					///////////////////////////////////////////////////////////////////////////////
					// Affiliate Module
					if ( IS_AFFILIATES_INSTALLED == 1 )
					{
						aff_recordClickthroughCashback($visitorId, $clickthroughId);
					}
					///////////////////////////////////////////////////////////////////////////////


					///////////////////////////////////////////////////////////////////////////////
					// ROI Module
					if ( (IS_PPS_INSTALLED == 1 || ENABLE_ROI_MODULE == 1) && IS_MERCHANTBID_INSTALLED == 0 ) // if IS_MERCHANTBID_INSTALLED is 1 
					{															   // then it is set in redirect_bid.php
						if ( $clickthroughId != '' )
							setcookie('clickthroughId', $clickthroughId,  time()+60*60*24*30);
					}
					///////////////////////////////////////////////////////////////////////////////
										
				} // if !$directHit ends here //
				
			} // if of VALIDATE CLICKTHROUGH ends here //


			if ( $isBuy == 'Y' && $row["BUY_URL"] != "" )
			{
				if ( IS_CASHBACK_INSTALLED == 1 || IS_AFFILIATES_INSTALLED == 1 )
				{
					$location = getTrackingURLwithClickId($row['BUY_URL'], $clickthroughId);
				}
				else
				{
					$cartUrl	= $row['BUY_URL_EX'] != '' ? $row['BUY_URL_EX'] : $row['BUY_URL'];
					$gotoUrl	= $row['BUY_URL'];

					if ( $isCart != 'Y' )
						$location = applyAffilaiteString($gotoUrl);
					else
						$location = $cartUrl;
				}
			}

			elseif ( $row["DETAIL_URL"] != "" )
				$location = $row["DETAIL_URL"];

			else
			{
				echo LINK_TO_PRODUCT_DESCRIPTION_NOT_FOUND." [Product ID ".$prod_Id."]";
				die;
			}
		
		} // if of PRODUCT RECORD ends here //

		else
		{
			echo PRODUCT_RECORD_NOT_FOUND_IN_DATABASE." [Product ID ".$prod_Id."]";
			die;
		}

//***********************************************************************************************************

		if ( $urlEx != '' )
			$location = $urlEx;

//*************************************************************************************************		

        // Render template
        renderTemplate('redirect', [
            'userNameImg'           => $userNameImg,
            'location'              => $location,
            'pageMetaGoogleIndex'   => 'NOINDEX',
        ]);

//***********************************************************************************************************

		function getClickIdIfFound($userProductId, $ipAddress)
		{
			$res = preparedQuery("SELECT ID FROM ".PREFIX."CLICKTHROUGHS WHERE USER_PRODUCT_ID = ? AND IP_ADDRESS = ? AND DATE_ADD(REDIRECT_TIME, INTERVAL ".CLICKTHROUGH_RECORDED_AFTER." HOUR) >= ?", array($userProductId, $ipAddress, getTimezoneTime()));
			
			if ( !($row = getRow($res)) )
				return 0;

			// Increment click id if found
			preparedUpdate("UPDATE ".PREFIX."CLICKTHROUGHS SET CLICK_WITHIN_X_HRS = CLICK_WITHIN_X_HRS + 1 WHERE ID = ?", array($row['ID']));

			return (int)$row['ID'];
		}

//***********************************************************************************************************
