<?php
//*************************************************************************************************
		
		require ("path.php");
		require (PATH."include/include.php");
		require (PATH."include/rss.genesis.php");
		require (PATH.ADMIN_FOLDER_NAME."/product_import_xml_functions.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		$res = executeQuery("SELECT ID, HEADLINE, DESCRIPTION FROM ".PREFIX."NEWS WHERE ISVALID = 'Y' ORDER BY NEWS_DATE DESC, HEADLINE");

//*************************************************************************************************

		// STARTS
		$rss = new rssGenesis();

		// CHANNEL
		$rss->setChannel (
							SCRIPT_COMPANY_NAME.' - '.NEWS_FEED, // Title
							getSeoUrl('/'), // Link
							"", // Description
							null, // Language
							null, // Copyright
							null, // Managing Editor
							null, // WebMaster
							null, // Rating
							"auto", // PubDate
							"auto", // Last Build Date
							null, // Docs
							null, // Skip Days
							null // Skip Hours
						);
									
		// IMAGE
		$rss->setImage (
							SCRIPT_COMPANY_NAME, // Title
                            getResourceUrl('logo.png', 'images', true), // Source
							getSeoUrl('/'), // Link
							"auto", // Width
							"auto", // Height
							SCRIPT_COMPANY_NAME // Description
						);

		$count=0;
		while ( ($row = getRow($res)) )
		{
			// Make data XML safe
			$row['HEADLINE']	= translateXml($row['HEADLINE']);
			$row['DESCRIPTION']	= translateXml($row['DESCRIPTION']);

			// ITEM
			$rss->addItem (
								$row['HEADLINE'], // Title
								SCRIPT_ROOT.'news.php?news='.$row['ID'], // Link
								$row['DESCRIPTION'] // Description
							);

		}

		// FINISH
		$rss->outputRSS ();

//*************************************************************************************************
?>