<?php
//*************************************************************************************************
		
		require ("path.php");
		require (PATH."include/include.php");
		require (PATH."include/rss.genesis.php");
		require (PATH.ADMIN_FOLDER_NAME."/product_import_xml_functions.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		$categoryId		= getVar('categoryId', 'int');
		$pageNo			= getVar('pageNo', 'int');
		$pageSize		= 50;
		$offset			= (int)($pageNo * $pageSize);

//*************************************************************************************************

		$categoryRec	= getRecord('CATEGORY', $categoryId);
		$categoryTitle	= $categoryRec['TITLE'];

		$childListArr 	= SHOW_PRODUCTS_ON_MID_LEVEL_CATEGORIES == 1 ? getChildCategoryList($categoryId, $categoryTitle) : getLastLevelChildList($categoryId, $categoryTitle);
		$childList		= implode(',', $childListArr);
		$linkCatId		= (int)$categoryRec['LINK_CAT_ID'];
		if ( $linkCatId > 0 )
		{
			$childListArr = array_merge($childListArr, SHOW_PRODUCTS_ON_MID_LEVEL_CATEGORIES == 1 ? getChildCategoryList($linkCatId) : getLastLevelChildList($linkCatId));
			$childList = implode(',', $childListArr);
		}
		$childList		= $childList == '' ? '0' : $childList;

//*************************************************************************************************

		$childList	= trimUniqueCsvVals($childList, 'int', 1);
		$argsArr	= array();
		$argsStr	= prepareArgs4Query($argsArr, explode(',', $childList));

		$sql	= "SELECT ID, MIN_PRICE, MAX_PRICE, STORE_COUNT, TITLE FROM ".PREFIX."PRODUCT WHERE CATEGORY_ID IN (".$argsStr.") AND ISVALID = 'Y' ORDER BY TITLE LIMIT ".$offset.", ".$pageSize;
		$res	= preparedQuery($sql, $argsArr);
		$arr	= array();
		while ( ($row = getRow($res)) )
			$arr[] = $row;
		loadProductDetailInArray($arr);

		if ( !($cat = getRecord('CATEGORY', $categoryId)) )
		{
			header("Location: index.php?info=211");
			die;
		}

//*************************************************************************************************

		// Make data XML safe
		$cat['TITLE']	= translateXml($cat['TITLE']);
		$cat['DETAIL']	= translateXml($cat['DETAIL']);

//*************************************************************************************************

		// STARTS
		$rss = new rssGenesis();

		// CHANNEL
		$rss->setChannel (
							SCRIPT_COMPANY_NAME.' - '.PRODUCTS.' '.FROM.' '.$cat['TITLE'], // Title
							getCategoryPath($categoryId, $cat['FILENAME']), // Link
							$cat['DETAIL'],									// Description
							null,											// Language
							null,											// Copyright
							null,											// Managing Editor
							null,											// WebMaster
							null,											// Rating
							"auto",											// PubDate
							"auto",											// Last Build Date
							null,											// Docs
							null,											// Skip Days
							null											// Skip Hours
						);
									
		// IMAGE
		$rss->setImage (
							SCRIPT_COMPANY_NAME,							// Title
                            getResourceUrl('logo.png', 'images', true),		// Source
							getSeoUrl('/'),									// Link
							"auto",											// Width
							"auto",											// Height
							SCRIPT_COMPANY_NAME								// Description
						);

		$count=0;
		foreach ( $arr as $row )
		{
			// Make data XML safe
			$row['TITLE']	= translateXml($row['TITLE']);
			$row['DETAIL']	= translateXml($row['DETAIL']);

			// ITEM
			$rss->addItem (
								$row['TITLE'],								// Title
								getProductPath($row['ID'], $row['FILENAME'], $row['CATEGORY_ID'], $cat['FILENAME']), // Link
								$row['DETAIL']								// Description
							);

		}

		// FINISH
		$rss->outputRSS ();

//*************************************************************************************************
?>