<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************
		
		require ("path.php");
		require (PATH."include/include.php");
        require (PATH."products_listing_functions.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		// Get the search query value
		$searchText = getVar('searchText');

//*************************************************************************************************

        // Load popular products if allowed
        $prodPOP = array();
        if ( defined('IS_POPULAR_INSTALLED') && IS_POPULAR_INSTALLED > 0 && defined('SHOW_POPULAR_PRODUCTS_IF_NO_RECS_FOUND') && SHOW_POPULAR_PRODUCTS_IF_NO_RECS_FOUND > 0 ) {
            if ( $prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_MYSQL )
            {
                $res = executeQuery("SELECT P.ID, P.FILENAME AS PFILENAME, P.TITLE, P.CATEGORY_ID, IFNULL(MIN_PRICE, 0) AS PRICE_MIN, IFNULL(MAX_PRICE, 0) AS PRICE_MAX, IFNULL(STORE_COUNT, 0) AS STORE_COUNT FROM ".PREFIX."PRODUCT P, ".PREFIX."POPULAR_PRODUCT PP WHERE P.ID=PP.PRODUCT_ID AND P.ISVALID='Y' ORDER BY PP.RANK LIMIT 24");
                while ( ($row = getRow($res)) )
                    $prodPOP[] = $row;

                pcsFillCategoryRec(API_TYPE_MYSQL, $prodPOP, 1);
            }
        }

//*************************************************************************************************

        // Load featured products if allowed
        $prodArr = array();
        if ( defined('SHOW_FEATURED_PRODUCTS_IF_NO_RECS_FOUND') && SHOW_FEATURED_PRODUCTS_IF_NO_RECS_FOUND > 0 ) {
            if ( $prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_MYSQL )
            {
                $prodArr = getTableRecArray('PRODUCT P, '.PREFIX.'CATEGORY C', 'IFNULL(P.MIN_PRICE, 0) AS PRICE_MIN, IFNULL(P.MAX_PRICE, 0) AS PRICE_MAX, IFNULL(P.STORE_COUNT, 0) AS STORE_COUNT, P.ID, P.TITLE, P.FILENAME, P.PRODUCT_RATING AS RATING, P.CATEGORY_ID', "P.SPECIAL_OFFER = 'Y' AND C.ID=P.CATEGORY_ID AND C.IS_18PLUS='N' AND P.ISVALID = 'Y'", 'P.STORE_COUNT DESC');
                loadProductDetailInArray($prodArr);
                pcsFillCategoryRec(API_TYPE_MYSQL, $prodArr, 1);
            }
        }

//*************************************************************************************************

        // Render template
        renderTemplate('search_products_nores', [
            'searchText' => $searchText,
            'prodPOP' => $prodPOP,
            'prodArr' => $prodArr,
        ]);

//*************************************************************************************************

