<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************
//die;
		error_reporting(0);
		ini_set('display_errors',	'Off');

//*************************************************************************************************

		define('ALLOWED_TO_READ_IN',			'upload/');
		define('USE_IMAGEMAGICK_FOR_THUMBNAIL', 0);

//*************************************************************************************************

		require ("path.php"); 
		require (PATH."include/include.php"); 

//*************************************************************************************************
		
		$imgName		= getVar('f', 'urlpart');
		$imgWidth		= getVar('w', 'int');
		$imgHeight		= getVar('h', 'int');

		if ( $imgWidth == 0 && $imgHeight == 0 )
			$imgWidth = 120;

//*************************************************************************************************

		// Check for empty filename
		if ( $imgName == '' )
		{
			header('HTTP/1.1 403');
			echo "<font face='verdana' color='red'>There is not filename provided.</font>";
			die;
		}

		// Trying to use relative path
		if ( stristr($imgName, '..') )
		{
			header('HTTP/1.1 403');
			echo "<font face='verdana' color='red'>Use of this filename not allowed.</font>";
			die;
		}

		// Last Check. It should only be reading the 'upload/' folder
		if ( substr($imgName, 0, strlen(ALLOWED_TO_READ_IN)) != ALLOWED_TO_READ_IN )
		{
			header('HTTP/1.1 404');
			echo "<font face='verdana' color='red'>Not allowed to read in this folder.</font>";
			die;
		}

		// Check for file parts
		$fileParts = pathinfo($imgName);
		if ( !is_array($fileParts) )
		{
			header('HTTP/1.1 403');
			echo "<font face='verdana' color='red'>Incorrect file.</font>";
			die;
		}

		// Check for file extension
		if ( !in_array(strtolower($fileParts['extension']), array('jpg', 'jpeg', 'gif', 'png')) )
		{
			header('HTTP/1.1 403');
			echo "<font face='verdana' color='red'>Incorrect file extension.</font>";
			die;
		}

//*************************************************************************************************

		$imgPath		= PATH_SUBD.$imgName;

//*************************************************************************************************

		$posOfDot		= strrpos($imgName, '.');
		$imgName		= substr($imgName, 0, $posOfDot).'_'.$imgWidth.'X'.$imgHeight.substr($imgName, $posOfDot);
		$imgCachePath	= PATH_SUBD."cache/".$imgName;

//*************************************************************************************************

		if ( file_exists($imgCachePath) && filesize($imgCachePath) > 0 && (filemtime($imgCachePath) > filemtime($imgPath)) )
		{
			getCacheThumbnail ($imgCachePath);
		}
		else
		{
			$imgCacheDir = dirname($imgCachePath);

			if ( file_exists($imgCacheDir) )
			{
				if ( !is_writable($imgCacheDir) )
				{
					ErrorImage("Dest Notwritable");
				}
				else
				{
					getThumbnail ($imgPath, $imgCachePath, $imgWidth, $imgHeight);
					getCacheThumbnail ($imgCachePath);
				}
			}
			else
			{
				ErrorImage("Dest Notavailable");
			}
		}
		die;

//*************************************************************************************************
		
		function getCacheThumbnail ($cache) 
		{
			if ( !file_exists($cache) ) 
			{
				ErrorImage("Thumbnail not found.");
			}

			// get image data for use in http-headers
			$imgInfo		= @getimagesize($cache);
			$contentLength	= filesize($cache);
			$lastModified	= gmdate('D, d M Y H:i:s', filemtime($cache)).' GMT';

			// array of getimagesize() mime types
			$getimagesizeMime = array(
										1=>'image/gif',
										2=>'image/jpeg',
										3=>'image/png',
										4=>'application/x-shockwave-flash',
									   );

			// did the browser send an if-modified-since request?
			if (isset($_SERVER['HTTP_IF_MODIFIED_SINCE'])) 
			{
				// parse header
				$ifModifiedSince = kregexpReplace(';.*$', '', '', $_SERVER['HTTP_IF_MODIFIED_SINCE']);

				if ($ifModifiedSince == $lastModified) 
				{
					// the browser's cache is still up to date
					header("HTTP/1.0 304 Not Modified");
					header("Cache-Control: max-age=86400, must-revalidate");
					exit;
				}
			}

			// send other headers
			header('Cache-Control: max-age=86400, must-revalidate');
			header('Content-Length: '.$contentLength);
			header('Last-Modified: '.$lastModified);
			if ( isset($getimagesizeMime[$imgInfo[2]]) ) 
			{
				header('Content-Type: '.$getimagesizeMime[$imgInfo[2]]);
			} 
			else 
			{
				// send generic header
				header('Content-Type: application/octet-stream');
			}

			// and finally, send the image
			@readfile($cache);
		}

//*************************************************************************************************

		// Change $maxw=190 to your desired default width for the thumbnail.
		// Note: any changes will mean the $offset value for the ErrorImage ( )
		// function calls will require amending accordingly.
		function getThumbnail ($src, $cache, $maxw=120, $maxh=0) 
		{
			if ( !file_exists($src) ) 
			{
				ErrorImage("SourceImage not found.");
			}
			
			$gdver=2;

			$gdarr = array (1,2);
			for ($i=0; $i<count($gdarr); $i++) 
			{
				if ($gdver != $gdarr[$i]) $test.="|";
			}
			
			$exp = explode ("|", $test);
			if (count ($exp) == 3) 
			{
				ErrorImage ("Incorrect GD version!");
			}

			if (!function_exists ("imagecreate") || !function_exists ("imagecreatetruecolor")) 
			{
				ErrorImage ("No image create functions!");
			}

			$size = @getimagesize ($src);
			if (!$size) 
			{
				ErrorImage ("Picture Not Available");
			} 
			else 
			{
				// If the deminsion of source and thumbnail size requested is same then just copy
				if ( ($size[0] == $maxw && $maxh == 0 ) || ($size[1] == $maxh && $maxw == 0) || ($size[0] == $maxw && $size[1] == $maxh) )
				{
                    copyFile($src, $cache);
					return;
				}

				$newx = '';
				$newy = '';

				getNewSize($newx, $newy, $size[0], $size[1], $maxw, $maxh);

				if ( defined('USE_IMAGEMAGICK_FOR_THUMBNAIL') && USE_IMAGEMAGICK_FOR_THUMBNAIL == 1 )
				{
					// convert query string to an imagemagick command string
					// make resize command
					$commands	= ' -resize "'.$newx.'x'.$newy.'"';

					// create the convert-command
					$convert	= 'convert '.$commands.' "'.$src.'" "'.$cache.'"';

					// execute imagemagick's convert, save output as $cache
					exec($convert);
				}
				else
				{
					if ($gdver >= 2) 
					{
						$destimg = @imagecreatetruecolor ($newx, $newy ) or die (ErrorImage ("Cannot use GD2 here!"));
						//$destimg = imagecreate ($newx, $newy );
					} 
					else 
					{
						$destimg = imagecreate ($newx, $newy );
					}
					$bgc = imagecolorallocate ($destimg, 255, 255, 255);
					imagefilledrectangle ($destimg, 0, 0, $newx, $newy, $bgc);
					
					if ($size[2] == 1) 
					{
						if (!function_exists ("imagecreatefromgif")) 
						{
							ErrorImage ("Cannot Handle GIF Format!");
						}
						else 
						{
							$sourceimg = imagecreatefromgif ($src);

							if ($gdver == 1)
								imagecopyresized ($destimg, $sourceimg, 0,0,0,0, $newx, $newy, $size[0], $size[1]);
							else
								@imagecopyresampled ($destimg, $sourceimg, 0,0,0,0, $newx, $newy, $size[0], $size[1]) or die (ErrorImage ("Cannot use GD2 here!"));
							
							
							// Save image to cache file
							imagegif ($destimg, $cache);

							// Send image to browser
//							header ("content-type: image/gif");
//							imagegif ($destimg);
						}
					}
					elseif ($size[2]==2) 
					{
						$sourceimg = imagecreatefromjpeg ($src);

						if ($gdver == 1)
							imagecopyresized ($destimg, $sourceimg, 0,0,0,0, $newx, $newy, $size[0], $size[1]);
						else
							@imagecopyresampled ($destimg, $sourceimg, 0,0,0,0, $newx, $newy, $size[0], $size[1]) or die (ErrorImage ("Cannot use GD2 here!"));

						// Save image to cache file
						@imagejpeg ($destimg, $cache);

						// Send image to browser
//						header ("content-type: image/jpeg");
//						imagejpeg ($destimg);
					}
					elseif ($size[2] == 3) 
					{
						$sourceimg = imagecreatefrompng ($src);

						if ($gdver == 1)
							imagecopyresized ($destimg, $sourceimg, 0,0,0,0, $newx, $newy, $size[0], $size[1]);
						else
							@imagecopyresampled ($destimg, $sourceimg, 0,0,0,0, $newx, $newy, $size[0], $size[1]) or die (ErrorImage ("Cannot use GD2 here!"));

						// Save image to cache file
						imagepng ($destimg, $cache);

						// Send image to browser
						//header ("content-type: image/png");
						//imagepng ($destimg);
					}
					else 
					{
						ErrorImage ("Image Type Not Handled!");
					}

					imagedestroy ($destimg);
					imagedestroy ($sourceimg);
				}
			}

		}

//*************************************************************************************************
		
		function getNewSize (&$newx, &$newy, $imgw, $imgh, $maxw, $maxh) 
		{
			$DIMENSION_PROVIDED_IS_NOT_MAX = 1;

			if ($maxw > 0 && $maxh > 0)
			{
				if ( $imgw > $imgh )
				{
					$newx = intval ($maxw);
					$newy = intval ($imgh / $imgw * $newx );
				}
				else
				{
					$newy = intval ($maxh);
					$newx = intval ($imgw / $imgh * $newy );
				}
			}
			else if ($maxw > 0)
			{
				if ( $DIMENSION_PROVIDED_IS_NOT_MAX || $imgw > $imgh )
				{
					$newx = intval ($maxw);
					$newy = intval ($imgh / $imgw * $newx );
				}
				else // If image is larger in height then make max height = width provided.
				{
					$newy = intval ($maxw);
					$newx = intval ($imgw / $imgh * $newy );
				}
			}
			else if ($maxh > 0) 
			{
				if ( $DIMENSION_PROVIDED_IS_NOT_MAX || $imgh > $imgw )
				{
					$newy = intval ($maxh);
					$newx = intval ($imgw / $imgh * $newy );
				}
				else // If image is larger in width then make max width = height provided.
				{
					$newx = intval ($maxh);
					$newy = intval ($imgh / $imgw * $newx );
				}
			}
			else 
			{
				$newx = $imgw;
				$newy = $imgh;
			}
		}

//**************************************************************************************

		function ErrorImage ($text) 
		{
			global $imgWidth, $imgHeight;
		
			if ( !function_exists('imagecreate') )
			{
				echo '['.$text.']';
				die;
			}
	
			$errw	= $imgWidth;
			$errh	= ($imgHeight==0?50:$imgHeight);

			$len	= strlen ($text);
			$chrlen = intval (3.9 * $len);
			$offset = intval (($errw - $chrlen) / 2);
			$im		= imagecreate ($errw, $errh); /* Create a blank image */
			$bgc	= imagecolorallocate ($im, 255, 255, 255);
			$tc		= imagecolorallocate ($im, 0, 0, 0);

			imagefilledrectangle ($im, 0, 0, $errw, $errh, $bgc);
			imagestring ($im, 2, $offset, 1, $text, $tc);
			header ("Content-type: image/jpeg");
			imagejpeg ($im);
			imagedestroy ($im);
			exit;
		}

//*************************************************************************************************

?>