<?php	
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		$userId		= getVar('userId', 'int');
		$fn			= getVar('fn', '', '', array('maxlen'=>50));
		$orderId	= getVar('orderId', 'int');

		if ( $userId == 0 && $fn != '' )
			$userId = (int)getColumn('USERINFO', $fn, 'USERID', 'FILENAME');

		if ( $userId == 0 )
		{
			header("Location: ".getSeoUrl('/')."?info=1");
			die;
		}

//*************************************************************************************************

		if ( !($uiRec = getRecord('USERINFO', $userId, 'USERID')) )
		{
			header("Location: ".getSeoUrl('/')."?info=7");
			die;
		}

//*************************************************************************************************

		$merchantImage	= SCRIPT_ROOT.'images/spacer.gif';
		if ( file_exists(PATH."upload/merchant/".$userId.".jpg") )
			$merchantImage = getMerchantLogoThumbUrl($userId, 150, 150, $uiRec['NAME']);
			
//*************************************************************************************************

		$merchantName	= $uiRec['NAME'];
		$ratingArr		= array();

//*************************************************************************************************
		
		$pageTitle		= str_replace("{MERCHANT_NAME}", $merchantName, PAGE_TITLE);
		$pageKeywords	= str_replace("{MERCHANT_NAME}", $merchantName, PAGE_KEYWORDS);
		$pageDescription= str_replace("{MERCHANT_NAME}", $merchantName, PAGE_DESCRIPTION);

//*************************************************************************************************

		$sql			= "SELECT * FROM ".PREFIX."USER_RATING WHERE MERCHANTID = ? AND ISVALID = 'Y' ORDER BY DATE_ADDED DESC";
		$res			= preparedQuery($sql, array($userId));
		$noOfRecords	= getTotalRows($res);
		$avgRating		= 0;
		

		while( ($row = getRow($res)) )
		{
			if ( DO_WRITE_REVIEW_WITHOUT_LOGIN == 1 )
			{
				$name		= $row['USER_NAME'];
				$location 	= ($row['USER_CITY']!='' && $row['USER_STATE']!='') ? $row['USER_CITY'].', '.$row['USER_STATE'] : $row['USER_CITY'].$row['USER_STATE'];
			}
			else
			{
				$name		= $row['USERID'];
				$location	= '';
				
				$sql2		= "SELECT NAME, CITY, STATE FROM ".PREFIX."VISITORINFO WHERE USERID = ?";
				$res2 		= preparedQuery($sql2, array($row['USERID']));
				if ( ($row2 = getRow($res2)) )
				{
					$name 	  	= $row2['NAME'];
					$location 	= ($row2['CITY']!='' && $row2['STATE']!='') ? $row2['CITY'].', '.$row2['STATE'] : $row2['CITY'].$row2['STATE'];
				}
			}
			
			$row['NAME']	= $name;
			$row['LOCATION']= $location;

			$avgRating		+= $row['RATING'];

			$ratingArr[]	= $row;
		}
		
		free($res);

		$avgRating			= $noOfRecords > 0 ? $avgRating / $noOfRecords : 0;
		
//*************************************************************************************************
		
        // Render template
        renderTemplate('user_rating', [
            'merchantName' => $merchantName,
            'avgRating' => $avgRating,
            'noOfRecords' => $noOfRecords,
            'orderId' => $orderId,
            'userId' => $userId,
            'uiRec' => $uiRec,
            'merchantImage' => $merchantImage,
            'ratingArr' => $ratingArr,
        ]);

//*************************************************************************************************
