<div class="row">
    <?php
    $tot = 0;
    foreach ( $arrProds as $row )
    {
    if ($tot++ >= 12) break;
    $pId = $row['ID'];
    $rLink = getOneStoreRedirectLink($row);
    $pLink = $rLink != '' ? $rLink : getProductPath($row['LINK_ID'] == '' ? $pId : $row['LINK_ID'], $row['PFILENAME'], $row['CATEGORY_ID'], $row['CFILENAME'], '', '', $row['API_TYPE']);
    $lTarg = $rLink == '' ? '' : 'target="_blank"';
    ?>
    <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3">
        <div class="prod-box" itemscope itemtype="http://schema.org/Product">
            @if(API_TYPE_MYSQL == $prefPrdSrc['BASE_PRODUCT_SOURCE'])
                <i class="fa fa-bell prod-icon" onclick="loadLoginBox({{ $sectionCode }}_addPriceAlert_{{ $pId }})"></i>
                <i class="fa fa-plus-circle prod-icon" onclick="loadLoginBox({{ $sectionCode }}_addToWishlist_{{ $pId }})"></i>
                <i class="fa fa-envelope-square prod-icon" onclick="loadLoginBox({{ $sectionCode }}_referFriend_{{ $pId }})"></i>
                <i class="fa fa-balance-scale prod-icon" onclick="PL_addToCompareList({{ $pId }})"></i>
                <i class="fa fa-comment prod-icon" onclick="location.href = '{{ getProductPath($pId, $row['PFILENAME'], $row['CATEGORY_ID'], $row['CFILENAME'], 'discussion', '', $row['API_TYPE']) }}';"></i>
                <i class="fa fa-edit prod-icon" onclick="location.href = '{{ getProductPath($pId, $row['PFILENAME'], $row['CATEGORY_ID'], $row['CFILENAME'], 'review', '', $row['API_TYPE']) }}';"></i>
            @endif
            <div class="dex-thumb">
                <button type="button" class="btn btn-primary btn-sm btn-preview"
                        onclick="showProductPreviewPop('<?= $pId ?>', '<?= safeForJS($row['TITLE']) ?>')"><i class="fa fa-search"></i> <?= PREVIEW ?></button>
                {!! getProductThumbnail($pId, $pLink, $row['TITLE'], $row['CATEGORY_ID'], 400, 400, 'na', '', '', $row['IMAGE_URL'], '', true) !!}
            </div>
            <div class="prod-overlay" onclick="location.href='{{ $pLink }}';"></div>
            <div class='prod-price'>{{ getFormattedPrice($row['PRICE_MIN'], $currencySymbol, $currencyRate) }}</div>
            <a href="{{ $pLink }}" {{ $lTarg }} class="prod-title" title="{{ strip_tags($row['TITLE']) }}">
                <div class="OverflowHidden" style="height:24px;margin-bottom:2px">{{ $row['TITLE'] }}</div>
            </a>
            {!! getProductRating($pId, $row['PRODUCT_RATING']) !!}
        </div>
    </div>
    @push('footer-scripts')
        @if(API_TYPE_MYSQL == $prefPrdSrc['BASE_PRODUCT_SOURCE'])
            <script type="text/javascript">
                function {{ $sectionCode }}_addPriceAlert_{{ $pId }}() { PL_addPriceAlert({{ $pId }}); }
                function {{ $sectionCode }}_addToWishlist_{{ $pId }}() { PL_addToWishlist({{ $pId }}); }
                function {{ $sectionCode }}_referFriend_{{ $pId }}() { PL_referFriend({{ $pId }}); }
            </script>
        @endif
    @endpush
    <?php
    }
    ?>
</div>
