@extends('affiliates.base')

@section('affiliate-content')

    <div class="row">
        <div class="col-xs-12">

            <div style="margin:5px; text-align:right;">
                <form method=get action="">
                    <?= FROM.': '. getCalendarField(array(
                            'fieldName'		=> 'startDate',
                            'fieldValue'	=> $startDate
                    ))?>
                    <?= TO.': '. getCalendarField(array(
                            'fieldName'		=> 'endDate',
                            'fieldValue'	=> $endDate
                    ))?>
                    <input type="submit" value="<?php echo GO; ?>" class="baseeffectEx">
                </form>
            </div>

            <table width="90%" cellspacing="1" cellpadding="3" class="table" align="center">
                <tr>
                    <th width="25%" class="th"><?php echo PAYMENT_BY; ?></th>
                    <th width="25%" class="th"><?php echo DATETIME; ?></th>
                    <th width="15%" class="th"><?php echo AMOUNT; ?></th>
                    <th width="25%" class="th"><?php echo PAID; ?></th>
                    <th width="10%" class="th"><?php echo PAYMENT_ID; ?></th>
                </tr>
                <?php

                $i=0;
                while ( ($row = getRow($resCB)) )
                {
                $i++;
                ?>
                <tr bgcolor="<?php echo $i%2==0?"#EEEEEE":"white"; ?>">
                    <td align="center" class="td">
                        <?php echo getAffiliateCashbackTypeText($row['CASHBACK_TYPE']); ?> &raquo; <?php echo $row['USERID'] > 0 ? getColumn('VISITORINFO', (int)$row['USERID'], 'NAME', 'USERID') : 'n/a'; ?>
                    </td>
                    <td align="center" class="td"><?php echo formatDateTime($row['CASHBACK_DATETIME']); ?></td>
                    <td align="center" class="td"><?php echo SCRIPT_DOLLAR.($row['CASHBACK_AMOUNT']); ?></td>
                    <td align="center" class="td"><?php echo $row['ISPAID']=='Y'?formatDateTime($row['PAYMENT_DATETIME']):NOT_YET; ?></td>
                    <td align="center" class="td"><?php echo $row['PAYMENT_ID']==''?NOT_SENT:$row['PAYMENT_ID']; ?></td>
                </tr>
                <?php
                }
                ?>
            </table>

            <?php echo makePages("affiliate_cashbacks.php?startDate=".$startDate."&endDate=".$endDate."&"); ?>

        </div>
    </div>

@endsection
