@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <h2><?php echo $pageHeading; ?></h2>

    <div style="clear:both;height:10px"></div>
    <div style="text-align:center">
        <a href="{{ getSeoUrl('brands') }}">
            <button type="button" class="btn {{ $alpha == '' ? 'btn-info' : '' }}" style="margin-bottom:5px">{{ ALL }}</button>
        </a>
        <?php for ( $i = 65; $i <= 90; $i++ ) { $a = chr($i); ?>
        <a href="{{ getSeoUrl( 'brands/alpha-' . $a, '', '' ) }}">
            <button type="button" class="btn {{ $alpha == $a ? 'btn-info' : '' }}" style="margin-bottom:5px">{{ $a }}</button>
        </a>
        <?php } ?>
    </div>
    <div style="clear:both;height:30px"></div>

    <?php
    while ( ($row = getRow($brandsRes)) )
    {
    $imgUrl = 'upload/brand/' . $row['ID'] . '.jpg';
    ?>
    <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3" style="margin-bottom:15px">
        <div class="GenericThumbBox" style="height:100px">
            <div>
                <a href="<?php echo getBrandUrl($row['TITLE'])?>"><?php echo file_exists(PATH . $imgUrl) ? getImgTag(array('src' => SCRIPT_ROOT . 'thumbnail.php?w=120&h=80&f=' . urlencode($imgUrl), 'border' => 0, 'alt' => $row['TITLE'], 'title' => $row['TITLE'])) : $row['TITLE']; ?></a>
            </div>
        </div>
    </div>
    <?php
    }
    ?>

    <div style="clear:both;height:20px"></div>
    <div style="text-align:center"><?= makePages(SCRIPT_ROOT . 'brands.php?aplha=' . $alpha . '&') ?></div>

@endsection
