@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <table>
        <tr valign="bottom">
            <?php
            while ( ($row = getRow($resCmpPrds)) )
            {
            $count++;
            $pLink = getProductPath($row["ID"]);
            ?>
            <td class="td" bgcolor="<?php echo $count % 2 == 0 ? "#FFFFFF" : "#FAFAFA"?>"
                width="<?php echo 100 / $totCount?>%" valign="top">
                <table width="100%">
                    <tr>
                        <td valign="top" align="center">
                            <?php echo getProductThumbnail($row['ID'], $pLink, $row['TITLE'], $row['CATEGORY_ID'], 90, 90, '', 'gray', '', '', $row['FILENAME']) ?>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <a href="<?php echo $pLink?>" class="linkLarge"><?php echo $row["TITLE"]?></a>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top" class="td">
                            <?php echo PRODUCT_RATING?> :
                            <?php echo getProductRating($row["ID"], $row["RATING"])?>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <font class="normal"><?php echo $pDetails[$row['ID']]?></font>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <a href="<?php echo SCRIPT_ROOT . "product_rating." . EXTENSION . "?productId=" . $row["ID"]?>"
                               class="link"><?php echo READ_REVIEWS?></a>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top" class="td">
                            <a href="<?php echo $pLink?>"
                               class="link"><?php echo PRICES_FROM . $row["STORE_COUNT"] . " " . STORES?></a>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top" class="td">
                            <?php echo PRICE_RANGE?>
                            : <?php echo getFormattedPrice($row["PRICE_MIN"], $currencySymbol, $currencyRate) . " - " . getFormattedPrice($row["PRICE_MAX"], $currencySymbol, $currencyRate) ?>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top" class="th">
                            <a href="javascript:removeProduct(<?php echo $row['ID']?>);"
                               class="linkWhite"><b><?php echo REMOVE?></b></a>
                        </td>
                    </tr>
                </table>
            </td>
            <?php
            }
            ?>
        </tr>
        <tr>
            <td class="td" colspan="<?php echo $totCount?>">
                <center><?php echo $exceptionMsg?></center>
            </td>
        </tr>
    </table>

@endsection

@push('footer-scripts')
<script type="text/javascript" language="JavaScript"
        src="<?php echo getResourceUrl('compare_products.js.php', 'js', false, false)?>"></script>
@endpush
