@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <table border="0" width="99%" cellspacing="1" cellpadding="3" border="0" bgcolor="#626262" align="center" class="table">
        <tr>
            <td width="300" class="compareLeftHeading"><?php echo PRODUCT_COMPARISON?></td>
            <?php
            for ($i = 0; $i < $total; $i++)
            {
            ?>
            <td class="<?php echo $i % 2 == 0 ? "compareTd-White" : "compareTd-Color"?>"
                width="<?php echo 100 / ($total)?>%">
                <center><?php echo getProductThumbnail($proArr[$i]['ID'], getProductPath($proArr[$i]['ID']), $proArr[$i]['FILENAME'], $proArr[$i]['CATEGORY_ID'], 90, 90, '', 'gray', '', '', $proArr[$i]['FILENAME']) ?></center>
                <a href="javascript:removeProduct(<?php echo $proArr[$i]['ID']?>);">
                    <button class="btn btn-xs btn-dark2" style="margin:5px;"><?php echo REMOVE?></button>
                </a><br>
            </td>
            <?php
            }
            ?>
        </tr>
        <tr>
            <td class="compareLeftHeading"><?php echo PRODUCT_MANUFACTURER?></td>
            <?php
            for ($i = 0; $i < $total; $i++)
            {
            ?>
            <td class="<?php echo $i % 2 == 0 ? "compareTd-White" : "compareTd-Color"?>"
                width="<?php echo 100 / ($total)?>%"><?php echo getColumn('BRAND', $proArr[$i]['MANUFACTURER']) ?></td>
            <?php                                }
            ?>
        </tr>
        <tr>
            <td class="compareLeftHeading"><?php echo PRODUCT_DETAIL?></td>
            <?php
            for ($i = 0; $i < $total; $i++)
            {
            ?>
            <td class="<?php echo $i % 2 == 0 ? "compareTd-White" : "compareTd-Color"?>"
                width="<?php echo 100 / ($total)?>%"><a href="<?php echo getProductPath($proArr[$i]['ID'])?>"
                                                        class="link"><?php echo $proArr[$i]['TITLE'] ?></a></td>
            <?php                                }
            ?>
        </tr>
        <tr>
            <td class="compareLeftHeading"><?php echo PRODUCT_LOWEST_PRICE?></td>
            <?php
            for ($i = 0; $i < $total; $i++)
            {
            ?>
            <td class="<?php echo $i % 2 == 0 ? "compareTd-White" : "compareTd-Color"?>"
                width="<?php echo 100 / ($total)?>%">
                <b><?php echo getFormattedPrice($proArr[$i]['PRICE_MIN'], $currencySymbol, $currencyRate) ?></b></td>
            <?php                                }
            ?>
        </tr>
        <tr>
            <td class="compareLeftHeading"><?php echo PRODUCT_RATING?></td>
            <?php
            for ($i = 0; $i < $total; $i++)
            {
            ?>
            <td class="<?php echo $i % 2 == 0 ? "compareTd-White" : "compareTd-Color"?>"
                width="<?php echo 100 / ($total)?>%"><?php echo getProductRating($proArr[$i]['ID'], $proArr[$i]['RATING']) ?></td>
            <?php                                }
            ?>
        </tr>
        <tr>
            <td class="compareLeftHeading"></td>
            <td class="compareLeftHeading" colspan="<?php echo $total?>" height="5"></td>
        </tr>
        <tr>
        <?php
        for ($j = 0, $i = 0, $count = 0; $i < $fTot; $j++, $i++, $count++)
        {
        if ( $j % $total == 0 )
        {
        if ( $pCount > 1 )
        {
        if ( $parent != $fArr[$i]['FEATURE_PARENT'] )
        {
        $parent = $fArr[$i]['FEATURE_PARENT'];
        ?>
        <tr>
            <td class="compareHeading"><?php echo getColumn('PRODUCT_FEATURE_CATEGORY', $parent, 'FEATURE') ?></td>
            <td class="compareHeading" colspan="<?php echo $total?>" height="15"></td>
        </tr>
        <?php
        }
        }

        $count = 0;
        echo "\n</tr>\n\n<tr>\n<td class=\"compareLeftHeading\">" . $fArr[$i]['FEATURE'] . "</td>\n";
        }
        ?>
        <td class="<?php echo $count % 2 == 0 ? "compareTd-White" : "compareTd-Color"?>"
            width="<?php echo 100 / ($total)?>%">
            <?php
            echo $fArr[$i]['VALUE'];
            while (isset($fArr[$i + 1]) && $fArr[$i]['ID'] == $fArr[$i + 1]['ID'] && $fArr[$i]['FEATURE_ID'] == $fArr[$i + 1]['FEATURE_ID']) {
                $i++;
                echo ' / ' . $fArr[$i]['VALUE'];
            }
            ?>
        </td>
        <?php
        } // for loop ends here //

        if ( $pCount > 0 )
        {
        ?>
        <tr>
            <td class="compareLeftHeading"></td>
            <td class="compareLeftHeading" colspan="<?php echo $total?>" height="5"></td>
        </tr>
        <?php
        }
        ?>
        <tr>
        </tr>
    </table>
    <div style="text-align:center"><?= $exceptionMsg ?></div>

@endsection

@push('footer-scripts')
<script type="text/javascript" language="JavaScript"
        src="<?php echo getResourceUrl('compare_products.js.php', 'js', false, false)?>"></script>
@endpush
