@extends(CURRENT_TEMPLATE.'.base')

@section('content')

    <div class="col-xs-12 col-md-4 float-left" style="margin-bottom:10px">
        <h2 style="margin:0px;"><?php echo BROWSER_ALL_COUPONS; ?></h2>
    </div>
    <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3 float-right" style="margin-bottom:10px">
        <select name="so" class="form-control"
                onchange="location.href = '<?php echo SCRIPT_ROOT; ?>coupons_category.php?mr=<?php echo urlencode($_GET['mr']); ?>&sk='+escape(this.value);">
            <option value="DATE_ADDED DESC"><?php echo SORT_BY_MOST_RECENT; ?></option>
            <option value="CTITLE" <?php echo $_GET['sk'] == 'CTITLE' ? 'selected' : ''; ?>><?php echo SORT_BY_CATEGORY; ?></option>
            <option value="USERID" <?php echo $_GET['sk'] == 'USERID' ? 'selected' : ''; ?>><?php echo SORT_BY_MERCHANT; ?></option>
        </select>
    </div>
    <div class="col-xs-12 col-sm-6 col-md-4 float-right" style="margin-bottom:10px">
        <?php echo str_replace('class="effect"', 'class="form-control"', getCombobox("mr", "USER U, " . PREFIX . "USERINFO UI", "U.USERID", "UI.NAME", $_GET['mr'], "U.ISVALID='Y' AND UI.USERID=U.USERID", "NAME", PLEASE_SELECT_A_MERCHANT, "onchange=\"location.href='" . SCRIPT_ROOT . "coupons_category.php?sk=" . urlencode($_GET['sk']) . "&mr='+this.value\"")); ?>
    </div>
    <div style="clear:both"></div>

    <?php
    $resCups = breakPages("SELECT CP.*, CT.TITLE AS CTITLE FROM " . PREFIX . "COUPON CP, " . PREFIX . "COUPON_CATEGORY CT WHERE CT.ID=CP.CATEGORY_ID AND CT.ISVALID='Y' AND CP.ISVALID='Y' AND (ISNULL(EXPIRY) OR EXPIRY = '0000-00-00 00:00:00' OR EXPIRY >= '" . getTimezoneTime('Y-m-d') . "') " . ($_GET['mr'] == '' ? '' : "AND USERID='" . handleSingleQuote($_GET['mr']) . "'") . " ORDER BY DATE_ADDED DESC");
    while ( ($rowCups = getRow($resCups)) )
    {
    $name = getColumn('USERINFO', $rowCups['USERID'], 'NAME', 'USERID');
    $image = '';

    if (file_exists(PATH . "upload/merchant/" . $rowCups['USERID'] . ".jpg"))
        $image = SCRIPT_ROOT . "thumbnail.php?w=100&h=50&f=" . urlencode("upload/merchant/" . $rowCups['USERID'] . ".jpg");

    $image = $image == '' ? '<b>' . $name . '</b>' : '<img src="' . $image . '" align="middle" border="0" alt="' . $name . '" title="' . $name . '" class="img-responsive">';

    $sLink = getMerchantPath($rowCups['USERID']);
    $rLink = SCRIPT_ROOT . 'coupon_redirect.php?couponId=' . $rowCups['ID'];
    ?>
    <div class="col-xs-12 col-md-6 float-left" style="margin-bottom:5px">
        <div class="well" style="padding:10px;min-height:115px">
            <div class="col-xs-6 col-sm-3 float-left">
                <a href="<?php echo $sLink; ?>" target="_blank" class="link"><?php echo $image; ?></a>
                <div style="height:5px"></div>
                <?php if ($rowCups['EXPIRY'] != '' && $rowCups['EXPIRY'] != '0000-00-00 00:00:00') echo '<span style="font-size:10px"><b>' . EXPIRY . ':</b><br>' . formatDate($rowCups['EXPIRY']) . '</span>'; ?>
            </div>
            <div class="col-xs-6 col-sm-3 col-md-4 col-lg-3 float-right">
                <a href="<?php echo $rLink; ?>" target="_blank">
                    <button class="btn btn-sm btn-primary"><?php echo GO_TO_STORE; ?></button>
                </a>
                <div style="height:5px"></div>
                <?php if ($rowCups['COUPON_CODE'] != '') echo '<span style="font-size:10px"><b>' . CODE . ':</b> ' . $rowCups['COUPON_CODE'] . '</span><div style="height:5px;"></div>'; ?>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-5 col-lg-6 float-left">
                <a href="<?php echo $rLink; ?>" target="_blank"><?php echo $rowCups['TITLE']; ?></a>
                <div style="font:10px/15px Arial;color:#777;height:30px;overflow:hidden;margin:2px 0px;"><?php echo getPartialString($rowCups['DETAIL'], 80); ?></div>
                <b><?php echo DISCOUNT; ?>
                    : <?php echo $rowCups['DISCOUNT_PERCENTAGE'] == 0 ? getFormattedPrice($rowCups['DISCOUNT_AMOUNT'], SCRIPT_DOLLAR) : $rowCups['DISCOUNT_PERCENTAGE'] . '%'; ?></b>
            </div>
            <div style="clear:both"></div>
        </div>
    </div>
    <?php
    }
    ?>
    <div style="clear:both"></div>

    <div class="col-xs-12" style="text-align:center">
        <?php echo makePages(SCRIPT_ROOT . 'coupons_category.php?mr=' . urlencode($_GET['mr']) . '&sk=' . urlencode($_GET['sk']) . '&'); ?>
    </div>
    <div style="clear:both"></div>


    <div class="col-xs-12" style="margin-bottom:10px">
        <h2><?php echo BROWSE_COUPON_CATEGORIES; ?></h2>
    </div>
    <?php
    while( ($row = getRow($resCoupX2)) )
    {
    $rex = executeQuery("SELECT COUNT(*) AS C, MAX(DISCOUNT_PERCENTAGE) AS DP, MAX(DISCOUNT_AMOUNT) AS DA FROM " . PREFIX . "COUPON WHERE CATEGORY_ID='" . $row['ID'] . "' AND ISVALID='Y' AND (ISNULL(EXPIRY) OR EXPIRY = '0000-00-00 00:00:00' OR EXPIRY >= '" . $today . "')");
    $rox = getRow($rex);
    $tot = (int)$rox['C'];
    $off = $rox['DA'] == 0 ? $rox['DP'] . '%' : getFormattedPrice($rox['DA'], $currencySymbol, $currencyRate);
    if ($tot == 0)
        continue;
    ?>
    <div class="col-xs-6 col-sm-4 col-md-3 col-lg-2 float-left" style="margin-bottom:10px">
        <div class="well" style="font-size:11px;min-height:80px;text-align:center">
            <a href="<?php echo getCouponCategoryPath($row['ID'], $row['FILENAME']); ?>"><b><?php echo $row['TITLE']; ?></b></a>
            <div style="height:5px;"></div>
            <?php echo $tot; ?> <?php echo COUPONS; ?>
            <div style="height:5px;"></div>
            <?php echo str_replace('{discount}', $off, UPTO_XX_OFF); ?>
        </div>
    </div>
    <?php
    }
    ?>
    <div style="clear:both; height:10px;"></div>

@endsection
