<div class="well">
    <div class="BoxHeading"><?php echo MOST_PRICEDROPPED_PRODUCTS?></div>
    <?php
    $resMPD = executeQuery("SELECT P.MIN_PRICE AS PRICE_NEW, MAX(PPH.MIN_PRICE) AS PRICE_OLD, MAX(PPH.MIN_PRICE)-P.MIN_PRICE AS PRICE_DROP, P.STORE_COUNT, P.ID, P.TITLE, P.FILENAME, P.PRODUCT_RATING AS RATING, P.CATEGORY_ID, P.DETAIL FROM ".PREFIX."PRODUCT P, ".PREFIX."PRODUCT_PRICE_HISTORY PPH WHERE P.ISVALID='Y' AND P.MIN_PRICE>0 AND PPH.PRODUCT_ID=P.ID GROUP BY P.ID HAVING MAX(PPH.MIN_PRICE) > P.MIN_PRICE ORDER BY PRICE_DROP DESC LIMIT 10");
    while ( ($rowMPD = getRow($resMPD)) )
    {
    $pLink = getProductPath($rowMPD['ID'], $rowMPD['FILENAME'], $rowMPD['CATEGORY_ID']);
    ?>
    <div style='clear:both;' class='BoxInnerSepBig'></div>
    <div style='height:120px;'>
        <div class="TxtOverflowControl" style="height:20px;"><a href='<?php echo $pLink?>' class='PPTitle'><?php echo $rowMPD['TITLE']?></a></div>
        <div style='float:left; width:100px;'>
            <?php echo getProductThumbnail($rowMPD['ID'], $pLink, $rowMPD['FILENAME'], $rowMPD['CATEGORY_ID'], 90, 90, '', '#CCCCCC')?>
        </div>
        <div style='float:left; width:200px;'>
            <font class='PPDetail'>
                <?php echo getPartialString(strip_tags($rowMPD['DETAIL']), 120)?><br><br>
                <?php echo getProductRating($rowMPD['ID'], $rowMPD['RATING'], $rowMPD['FILENAME'], $rowMPD['CATEGORY_ID'])?>
            </font>
        </div>
        <div style='float:left; text-align:right; width:120px;'>
            <font class='PPPrice' style='text-decoration:line-through'><font class='PPDetail'><?php echo getFormattedPrice($rowMPD['PRICE_OLD'], $currencySymbol, $currencyRate)?></font></font><font class='PPPrice' style='color:green;'> <img src="<?php echo getResourceUrl('price_drop.png', 'images')?>" width="16" height="16" border=0 alt="<?php echo PRICE_DROPPED?>" align="absmiddle"> <?php echo round($rowMPD['PRICE_DROP']/$rowMPD['PRICE_OLD']*100)?>%</font><br>
            <font class='PPPrice'><?php echo getFormattedPrice($rowMPD['PRICE_NEW'], $currencySymbol, $currencyRate)?></font><br><br>
            <font class='PPDetail'><?php echo $rowMPD['STORE_COUNT']?> <?php echo STORES?></font><br><br>
            <a href='<?php echo $pLink?>'><button class="btn btn-sm btn-dark1"><?php echo COMPARE?></button></a>
        </div>
    </div>
    <?php
    }
    ?>
    <div class="clear:both">&nbsp;</div>
</div>
