@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <div class="col-xs-12 col-md-2" style="padding-top:60px">
        <?php
        echo '<center class="hidden-xs hidden-sm">';
        echo getBanner(1000, 'L2', $categoryTitle);
        echo '<br>';
        echo getBanner(1000, 'L2', $categoryTitle);
        echo '</center>';
        ?>
    </div>
    <div class="col-xs-12 col-md-10" style="text-align:left">

        <h1 class="BoxHeading"><?php echo $pageHeading; ?></h1>

        <div class="well">

            <div class="hidden-xs hidden-sm col-md-6 col-lg-6">
                <?php if ( $apiType == API_TYPE_MYSQL ) { ?>
                <form method=GET id="frmCompare" name="COMPARE" action="<?= getSeoUrl('compare_products') ?>" style="padding:0px; margin:0px;">
                    <span class="glyphicon glyphicon-arrow-down" style="font-size:20px;color:#a3a3a3;position:relative;top:5px;"></span>
                    <button class="btn btn-dark2"><?php echo COMPARE?></button>
                    <input type="hidden" name="categoryId" value="<?php echo $categoryId?>">
                </form>
                <?php } ?>
            </div>
            <div class="hidden-xs col-sm-12 col-md-6 col-lg-6 pull-right" style="text-align:right;">
                <a href="<?php echo $selfLink.'vt=list'?>" class="ListingViewType<?php echo $viewType=='list'?'Live':''?>" rel=nofollow title="<?php echo CHANGE_TO_LIST_VIEW?>"><span class="glyphicon glyphicon-list"></span></a>
                <a href="<?php echo $selfLink.'vt=grid'?>" class="ListingViewType<?php echo $viewType!='list'?'Live':''?>" rel=nofollow title="<?php echo CHANGE_TO_GRID_VIEW?>"><span class="glyphicon glyphicon-th-large"></span></a>
            </div>
            <div style="clear:both;">&nbsp;</div>

            <?php
            // Save Filename for optimization
            $cFilename	= '';
            // Also check if category id changes then filename should change too
            $prevcId	= '';

            // Loop count
            $pListCount	= 0;

            foreach ( $listingArr as $row )
            {
            if ( $pListCount++ >= $pageSize )
                break;

            // Load Variables
            $pId			= $row['ID'];
            $cId			= $row['CID'];
            $pFilename		= $row['PFILENAME'];
            $pRating		= (int)$row['RATING'];
            $pRating		= $pRating < 0 ? 0 : $pRating;
            $storeCount		= $row['STORE_COUNT'];
            $pMinPrice		= $row['PRICE_MIN'];
            $pMaxPrice		= $row['PRICE_MAX'];
            $apiType		= isset($row['API_TYPE']) ? $row['API_TYPE'] : API_TYPE_MYSQL;
            $pMinPriceFmt	= isset($row['FORMATTED_PRICE_MIN']) ? $row['FORMATTED_PRICE_MIN'] : getFormattedPrice($row['PRICE_MIN'], $currencySymbol, $currencyRate);
            $pMaxPriceFmt	= isset($row['FORMATTED_PRICE_MAX']) ? $row['FORMATTED_PRICE_MAX'] : getFormattedPrice($row['PRICE_MAX'], $currencySymbol, $currencyRate);

            //
            if ( $row['CFILENAME'] != '' )
                $cFilename = $row['CFILENAME'];

            // If filename is empty or category changes then get filename from database
            if ( $apiType == API_TYPE_MYSQL && $row['CFILENAME'] == '' )
            {
                if ( ($cFilename == '' || $prevcId != $cId) )
                    $cFilename	= getColumn('CATEGORY', $row['CID'], 'FILENAME');
            }

            // Save category id
            $prevcId	= $cId;

            $pLink		= getProductPath(isset($row['LINK_ID'])&&$row['LINK_ID']!=''?$row['LINK_ID']:$pId, $pFilename, $apiType == API_TYPE_MYSQL ? $cId : $categoryId, $cFilename, '', '', $apiType);

            $pTitle		= $row['TITLE'];
            $pDetail	= getPartialString(strip_tags($row['DETAIL']), 110, $pLink);

            $row['IMAGE_URL']	= isset($row['IMAGE_URL']) ? $row['IMAGE_URL'] : '';

            if ( $viewType == 'grid' )
            {
            ?>
            <div class="hidden-xs col-sm-6 col-md-3 col-lg-3">
                <div class="ListingGridBox">
                    <div class="hidden-sm" style="text-align:left;"><input type="checkbox" name="chkCompare" id="idCompareChk<?php echo $pId?>" value="<?php echo $pId?>" style="position:absolute; margin-left:-4px; margin-top:-4px;"></div>
                    <div style="width:90px; height:90px; margin:auto;"><?php echo  getProductThumbnail($pId, $pLink, $row['TITLE'], $cId, 90, 90, '', '', '', $row['IMAGE_URL'], $pFilename) ?></div>
                    <div style="height:17px;"><a href="<?php echo $pLink?>" class="PTitle" style="font-size:12px;"><?php echo getPartialString(strip_tags($pTitle), 10)?></a></div>
                    <font class="PPrice" style="line-height:20px;">
                        <?php echo  $pMinPriceFmt?>
                        <?php echo  $pMinPrice==$pMaxPrice?'':(' - '.$pMaxPriceFmt) ?>
                    </font>
                    <div style="height:50px;">
                        <?php getUserProductLink($pId, $storeCount, $pLink, 0, $apiType, isset($row['BUY_URL'])?$row['BUY_URL']:'') ?>
                    </div>
                    <div class="ListingGridBoxBot GradLite2">
                        <?php if ( $apiType == API_TYPE_MYSQL ) { ?>
                        <a href="javascript:loadLoginBox(PL_addPriceAlert_<?php echo $pId?>);" rel="nofollow" class="ListingIcon" title="<?php echo ADD_PRICE_ALERT?>"><span class="glyphicon glyphicon-warning-sign"></span></a>
                        &nbsp;
                        <a href="javascript:loadLoginBox(PL_addToWishlist_<?php echo $pId?>);" rel="nofollow" class="ListingIcon" title="<?php echo ADD_TO_WISHLIST?>"><span class="glyphicon glyphicon-plus-sign"></span></a>
                        &nbsp;
                        <a href="javascript:loadLoginBox(PL_referFriend_<?php echo $pId?>);" rel="nofollow" class="ListingIcon" title="<?php echo EMAIL_A_FRIEND?>"><span class="glyphicon glyphicon-envelope"></span></a>
                        &nbsp;
                        <?php } else { ?>
                        <a href="#" onclick="referPage2Friend('<?php echo getReferAFriendUrl($pLink)?>');" rel="nofollow" class="ListingIcon" title="<?php echo EMAIL_A_FRIEND?>"><span class="glyphicon glyphicon-envelope"></span></a>
                        &nbsp;
                        <?php } ?>
                        <a href="http://www.facebook.com/sharer.php?u=<?php echo urlencode($pLink)?>" target="_blank" rel="nofollow" title="<?php echo SHARE_ON_FACEBOOK?>" class="ListingIcon"><strong>f</strong></a>
                        &nbsp;
                        <a href="http://twitter.com/home?status=<?php echo urlencode($pLink)?>" target="_blank" rel="nofollow" class="ListingIcon" title="<?php echo TWEET_THIS?>"><b>t</b></a>
                    </div>
                </div>
            </div>
            <?php
            }

            else
            {

            ?>
            <div class="hidden-xs ListingBoxPRep">
                <div class="row">
                    <div class="col-xs-12 col-sm-2 col-md-3 col-lg-2">
                        <div class="ListingThumbnail">
                            <div style="width:90px;height:90px;margin:auto;"><?php echo  getProductThumbnail($pId, $pLink, $row['TITLE'], $cId, 90, 90, 'ListingThumbnailBox', '', '', $row['IMAGE_URL'], $pFilename) ?></div>
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-7 col-md-6 col-lg-7">
                        <div class="ListingTitleBox">
                            <a href="<?php echo $pLink?>" class="PTitle" title="<?php echo strip_tags($pTitle)?>"><?php echo $pTitle?></a><br>
                            <?php echo $pDetail?><br>
                            <br>
                            <?php echo getProductRating($pId, $pRating, $pFilename, $cId, $cFilename, isset($row['RATING_URL'])?$row['RATING_URL']:'', $apiType)?>
                            <font size=1><?php echo $pRating<1?'':$pRating.'/10'?></font>
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3">
                        <div class="ListingPriceBox">
                            <font class="PPrice">
                                <?php echo  $pMinPriceFmt?>
                                <?php echo  $pMinPrice==$pMaxPrice?'':(' - '.$pMaxPriceFmt) ?>
                            </font>
                            <div style="height:5px;"></div>
                            <?php getUserProductLink($pId, $storeCount, $pLink, 1, $apiType, isset($row['BUY_URL'])?$row['BUY_URL']:'') ?>
                        </div>
                    </div>
                    <div style="clear:both;"></div>
                </div>
            </div>
            <div class="hidden-xs ListingBoxPBot GradLite2">
                <div style="padding-top:10px;">
                    <?php if ( $apiType == API_TYPE_MYSQL ) { ?>
                    <div class="hidden-sm col-md-2 col-lg-2">
                        <input type="checkbox" name="chkCompare" id="idCompareChk<?php echo $pId?>" value="<?php echo $pId?>"> <label for="idCompareChk<?php echo $pId?>"><?php echo COMPARE?></label>
                    </div>
                    <div class="col-sm-2 col-md-2 col-lg-2">
                        <a href="javascript:loadLoginBox(PL_addPriceAlert_<?php echo $pId?>);" rel="nofollow" class="ListingIcon" title="<?php echo ADD_PRICE_ALERT?>"><span class="glyphicon glyphicon-warning-sign"></span> <?php echo ADD_PRICE_ALERT?></a>
                    </div>
                    <div class="col-sm-2 col-md-2 col-lg-2">
                        <a href="javascript:loadLoginBox(PL_addToWishlist_<?php echo $pId?>);" rel="nofollow" class="ListingIcon" title="<?php echo ADD_TO_WISHLIST?>"><span class="glyphicon glyphicon-plus-sign"></span> <?php echo ADD_TO_WISHLIST?></a>
                    </div>
                    <div class="col-sm-2 col-md-2 col-lg-2">
                        <a href="javascript:loadLoginBox(PL_referFriend_<?php echo $pId?>);" rel="nofollow" class="ListingIcon" title="<?php echo EMAIL_A_FRIEND?>"><span class="glyphicon glyphicon-envelope"></span> <?php echo EMAIL_A_FRIEND?></a>
                    </div>
                    <?php } else { ?>
                    <div class="col-sm-2 col-md-2 col-lg-2">
                        <a href="#" onclick="referPage2Friend('<?php echo getReferAFriendUrl($pLink)?>');" rel="nofollow" class="ListingIcon" title="<?php echo EMAIL_A_FRIEND?>"><span class="glyphicon glyphicon-envelope"></span> <?php echo EMAIL_A_FRIEND?></a>
                    </div>
                    <?php } ?>
                    <div class="col-sm-3 col-md-2 col-lg-2">
                        <a href="http://www.facebook.com/sharer.php?u=<?php echo urlencode($pLink)?>" target="_blank" rel="nofollow" class="ListingIcon" title="<?php echo SHARE_ON_FACEBOOK?>"><strong>f</strong> <?php echo SHARE_ON_FACEBOOK?></a>
                    </div>
                    <div class="col-sm-2 col-md-2 col-lg-2">
                        <a href="http://twitter.com/home?status=<?php echo urlencode($pLink)?>" target="_blank" rel="nofollow" class="ListingIcon" title="<?php echo TWEET_THIS?>"><b>t</b> <?php echo TWEET_THIS?></a>
                    </div>
                </div>
                <div style="clear:both;"></div>
            </div>
            <div class="hidden-xs" style="clear:both; height:10px;"></div>
            <?php
            }

            ?>
            <div class="visible-xs ListingBoxM" onclick="location.href='<?php echo $pLink?>'">
                <div style="width:60px; float:left;"><?php echo  getProductThumbnail($pId, $pLink, $row['TITLE'], $cId, 60, 60, '', '', '', $row['IMAGE_URL'], $pFilename) ?></div>
                <div style="width:20px; float:right;"><span class="glyphicon glyphicon-chevron-right"></span></div>
                <div style="margin-left:65px; margin-right:25px;">
                    <a href="<?php echo $pLink?>" class="PTitle" title="<?php echo strip_tags($pTitle)?>"><?php echo $pTitle?></a>
                    <font class="PPrice">
                        <?php echo  $pMinPriceFmt?>
                        <?php echo  $pMinPrice==$pMaxPrice?'':(' - '.$pMaxPriceFmt) ?>
                    </font>
                    <br>
                    <?php echo getProductRating($pId, $pRating, $pFilename, $cId, $cFilename, isset($row['RATING_URL'])?$row['RATING_URL']:'', $apiType)?>
                    <font size=1><?php echo $pRating<1?'':$pRating.'/10'?></font>
                </div>
                <div style="clear:both;"></div>
            </div>
            <?php
            if ( $apiType == API_TYPE_MYSQL )
            {
            ?>
            <script language="JavaScript">
                <!--
                function PL_addPriceAlert_<?php echo $pId?>() { PL_addPriceAlert(<?php echo $pId?>); }
                function PL_addToWishlist_<?php echo $pId?>() { PL_addToWishlist(<?php echo $pId?>); }
                function PL_referFriend_<?php echo $pId?>() { PL_referFriend(<?php echo $pId?>); }
                //-->
            </script>
            <?php
            }
            }

            if ( $pListCount == 0 && $isSearch )
            {
                echo '<div style="clear:both;"></div><center><font class="errorHighlight">'.str_replace('{KEYWORD}', $searchText, NO_SEARCH_RESULT_FOUND).'</font></center>';
            }
            ?>
            <div style="clear:both;"></div>
            <div class="hidden-xs hidden-sm">
                <div style="clear:both;">&nbsp;</div>

                <?php if ( $apiType == API_TYPE_MYSQL ) { ?>
                <span class="glyphicon glyphicon-arrow-up" style="font-size:20px;color:#a3a3a3;margin-left:10px;"></span>
                <a href='javascript:$("#frmCompare").submit();' rel="nofollow"><button class="btn btn-dark2"><?php echo COMPARE?></button></a>
                <?php } ?>
            </div>

        </div>


    </div>
    <div style="clear:both;"></div>

    <script type="text/javascript" language="JavaScript" src="<?php echo getResourceUrl('products_listing.js.php', 'js', false, false)?>"></script>
    <script type="text/javascript" language="JavaScript" src="<?php echo getResourceUrl('products.js.php', 'js', false, false)?>"></script>

    <script language="JavaScript">
        <!--
        function referPage2Friend(url)
        {
            updatePopMsgInline('');
            showPopWait('<?php echo SHOW_POPUP_FOR_LOADING?>');
            getContentFromUrl(url, $("#divTempConent").get(0), "GET", "", "referPage2FriendReturn();");
        }

        function referPage2FriendReturn()
        {
            updatePopMsgInline('');
            showPop($("#divTempConent").html(), 650, 350, '', '', '', true);
        }

        function referPage2FriendSubmit(frm)
        {
            updatePopMsgInline('<?php echo SHOW_POPUP_FOR_LOADING?>');

            getContentFromUrl("<?php echo SCRIPT_ROOT; ?>email_page_2_friend.php", null, "POST", buildPOST(frm), "");

            return false;
        }
        //-->
    </script>

@endsection
