@extends('member_base')

@section('member_page_content')

    <div class="row">
        <div class="col-xs-12 align-left">
            <?php
            if ( $totPA > 0 )
            {
            ?>
            <form method=GET id="frmRemove" name="formRemove"
                  action="<?php echo SCRIPT_ROOT; ?>member_price_alert_remove.php" style="padding:0px; margin:0px;">
                    <span class="glyphicon glyphicon-arrow-down"
                          style="font-size:20px;color:#a3a3a3;position:relative;top:5px;margin-left:10px;"></span>
                <button class="btn btn-dark2"><?php echo REMOVE?></button>
                <input type="hidden" name="productIds" id="productIds" value=",">
            </form>
            <div style="clear:both;">&nbsp;</div>
            <?php
            foreach ($prodListing as $row) {
            $count++;

            // Load Variables
            $pId = $row['ID'];
            $rId = $row['ID'];
            $categoryId = $row['CATEGORY_ID'];
            $pTitle = $row['TITLE'];
            $pDetail = $row['DETAIL'];
            $pFilename = $row['FILENAME'];
            $pRating = $row['RATING'];
            $storeCount = $row['STORE_COUNT'];
            $pMinPrice = $row['PRICE_MIN'];
            $pMaxPrice = $row['PRICE_MAX'];
            $pLink = $row['PATH'];
            $rowText = $row['ROW_TEXT'];
            ?>

            @include('member_product_listing')

            <?php
            }
            ?>
            <span class="glyphicon glyphicon-arrow-up"
                  style="font-size:20px;color:#a3a3a3;margin-left:10px;"></span>
            <a href='javascript:$("#frmRemove").submit();' rel="nofollow">
                <button class="btn btn-dark2"><?php echo REMOVE?></button>
            </a>
            <div style="text-align: center">
                <?= makePages(SCRIPT_ROOT . "member_price_alerts.php?&so=" . getVar('so') . "&")?>
            </div>

            <?php
            }
            else
            {
            ?>
            <div style="clear:both;"></div>
            <div style="text-align:center" class="errorHighlight">
                <?= NO_PRICE_ALERTS ?>
            </div>
            <?php
            }
            ?>
        </div>
    </div>

@endsection

@push('footer-scripts')
<script type="text/javascript" language="JavaScript"
        src="<?php echo getResourceUrl('member_price_alerts.js.php', 'js', false, false)?>"></script>
@endpush
