@extends('member_base')

@section('member_page_content')

    <div class="row">
        <div class="col-xs-12 col-md-offset-1 col-md-10">
            <table width="100%" cellspacing="1" cellpadding="3">
                <tr>
                    <th width="25%" class="th"><?php echo CATEGORY?></th>
                    <th width="55%" class="th"><?php echo PRODUCT?></th>
                    <th width="100" class="th"><?php echo RATING?></th>
                    <th width="5%" class="th"><?php echo EDIT?></th>
                </tr>
                <?php
                $count = 0;
                while ( $row = getRow($res) )
                {
                $count++;
                ?>
                <tr bgcolor="<?php echo $count % 2 == 0 ? "#EEEEEE" : "white"?>">
                    <td align="left" class="td"><a
                                href='<?php echo getCategoryPath($row['CID'], $row['CFILENAME'])?>'
                                class="link"><?php echo $row['CTITLE']?></td>
                    <td align="left" class="td"><a
                                href='<?php echo getProductPath($row['PID'], $row['PFILENAME'], $row['CID'], $row['CFILENAME'])?>'
                                class="link"><?php echo $row['PTITLE']?></a></td>
                    <td class="td" align="center">
                        <a href='<?php echo SCRIPT_ROOT; ?>member_product_rating.<?php echo EXTENSION?>?showId=<?php echo $row['ID']?>'
                           class="link"><?php echo getRatingStars($row['RATING'])?></a>
                    </td>
                    <td align="center" class="td"><a
                                href='<?php echo getProductPath($row['PID'], $row['PFILENAME'], $row['CID'], $row['CFILENAME'], 'review', 'write')?>'
                                class="link"><img src="<?php echo getResourceUrl('update.gif', 'images')?>"
                                                  border="0" alt="<?php echo UPDATE?>" title="<?php echo UPDATE?>">
                    </td>
                </tr>
                <?php
                }
                ?>

                <tr>
                    <td align="left" class="td" colspan="5"><b><?php echo $exceptionMsg?></b></td>
                </tr>
            </table>
        </div>
    </div>

@endsection
