@extends('member_base')

@section('member_page_content')

    <div style="text-align:center">

        <h1>{{ ADD_TO_PRODUCT_LIST }}</h1>

        <form name="F" action="member_productlist_controller.php" method="POST" onsubmit="return validateFormEx(this)">
            <input type="hidden" name="task"		value="ProductList">
            <input type="hidden" name="action"		value="Add">
            <input type="hidden" name="return"		value="<?php echo 'member_productlist_add.'.EXTENSION.'?p='.$productId.'&'; ?>">
            <input type="hidden" name="productId"	value="<?php echo $productId; ?>">
            <table width="450" cellspacing="1" cellpadding="5" align="center" class="table">
                <tr>
                    <th colspan="2" class="th"><?php echo ADD_TO_PRODUCT_LIST; ?></th>
                </tr>
                <?php
                $res = preparedQuery("SELECT ID, CATEGORY_ID, TITLE, FILENAME, MANUFACTURER, MANUFACTURER_CODE, MIN_PRICE, MAX_PRICE FROM ".PREFIX."PRODUCT WHERE ID = ?", array($productId));
                if ( ($row = getRow($res)) )
                {
                ?>
                <tr>
                    <td class="td" width="40%" align="right"><b><?php echo PRODUCT; ?> :</b></td>
                    <td class="td" width="60%"><a href="<?php echo getProductPath($row['ID']); ?>" class="link"><?php echo $row['TITLE']; ?></a></td>
                </tr>
                <tr>
                    <td class="td" colspan="2" align="center">
                        <?php echo getProductThumbnail($productId, '', $row['TITLE'], $row['CATEGORY_ID'], 90, 90, '', 'gray', '', '', $row['FILENAME']); ?>
                    </td>
                </tr>
                <tr>
                    <td class="td" align="right"><?php echo MANUFACTURER; ?> :</td>
                    <td class="td"><?php echo $row['MANUFACTURER']; ?></td>
                </tr>
                <tr>
                    <td class="td" align="right"><?php echo MANUFACTURER_CODE; ?> :</td>
                    <td class="td"><?php echo $row['MANUFACTURER_CODE']; ?></td>
                </tr>
                <tr>
                    <td class="td" align="right"><b><?php echo PRICE_RANGE; ?> :</b></td>
                    <td class="td"><?php echo getFormattedPrice($row['MIN_PRICE'], $currencySymbol, $currencyRate)." - ".getFormattedPrice($row['MAX_PRICE'], $currencySymbol, $currencyRate); ?></td>
                </tr>
                <tr>
                    <td class="td" align="right" valign="top"><b><?php echo LIST_NAME; ?> :</b></td>
                    <td class="td">
                        <?php
                        $res = preparedQuery("SELECT DISTINCT(NAME) FROM ".PREFIX."VISITOR_PRODUCT_LIST WHERE USERID = ?", array($visitorId));
                        $tot = getTotalRows($res);

                        if ( $tot > 0 )
                        {
                        ?>
                        <input type="radio" name="isListCurrent" id="isListCurrentY" value="Y" <?php echo  $tot > 0 ? 'checked' : ''; ?> onClick="handleChange(!(this.checked))">
                        <select name="name" id="nameCombo" size="1" class="effect">
                            <?php
                            while ( $row=getRow($res) )
                            {
                            ?>					<option value="<?php echo $row['NAME']; ?>"><?php echo $row['NAME']; ?></option>
                            <?php			}
                            ?>
                        </select><br>
                        <?php		}
                        ?>
                        <input type="radio" name="isListCurrent" id="isListCurrentN" value="N" <?php echo $tot==0?'checked':''; ?> onClick="handleChange(this.checked)">&nbsp;<input type="text" name="name" id="nameText" size="40" maxlength="100" class="effect" value="Enter new list-name here" <?php echo $tot>0?'disabled':''; ?>>
                    </td>
                </tr>
                <tr>
                    <td align="center" class="td" colspan="2">
                        <input type="submit" name="submt" value=" <?php echo ADD; ?> " class="baseeffect">
                    </td>
                </tr>
                <?php
                }
                else
                {
                ?>
                <tr>
                    <td colspan="2" class="td" align="center"><?php echo NO_PRODUCT_FOUND_WITH_ID; ?> <?php echo $productId; ?></td>
                </tr>
                <?php
                }
                ?>
            </table>
        </form>

    </div>

@endsection

@push('footer-scripts')
<script language="JavaScript">
    <!--
    function handleChange(statusNew)
    {
        var nameCombo	= document.getElementById('nameCombo');
        var nameText	= document.getElementById('nameText');

        if ( statusNew )
        {
            nameCombo.disabled	= true;
            nameText.disabled	= false;
            nameText.value		= '';
            nameText.focus();
        }
        else
        {
            nameCombo.disabled	= false;
            nameText.disabled	= true;
            nameCombo.focus();
        }
    }

    function validateFormEx(frm)
    {
        var isListCurrentY	= document.getElementById('isListCurrentY');
        var isListCurrentN	= document.getElementById('isListCurrentN');
        var nameText		= document.getElementById('nameText');

        if ( isListCurrentY.checked )
        {
            if ( nameText.value == '' )
            {
                alert('<?php echo PLEASE_SPECIFY_WISHLIST_NAME; ?>');
                nameText.focus();
                return false;
            }
        }
        return true;
    }
    //-->
</script>
@endpush
