@extends('member_base')

@section('member_page_content')

    <div class="row">
        <div class="col-xs-12 col-md-offset-1 col-md-10">
            <?php
            if ( ($row = getRow($res)) )
            {
            ?>
            <table width="100%" cellspacing="1" cellpadding="5" class="table">
                <tr>
                    <th colspan="2" class="th"><?php echo USER_RATING?></th>
                </tr>
                <tr>
                    <td width="30%" class="td"><?php echo MERCHANT_ID?> :</td>
                    <td class="td"><a href='<?php echo getMerchantPath($row['MERCHANTID'], '', '', $row['UIFILENAME'])?>' class="link"><?php echo $row['MERCHANTID']?></a></td>
                </tr>
                <tr>
                    <td class="td"><?php echo MERCHANT_NAME?> :</td>
                    <td class="td"><?php echo $row['UINAME']?></td>
                </tr>
                <tr>
                    <td class="td"><?php echo EMAIL; ?> :</td>
                    <td class="td"><img src="<?php echo SCRIPT_ROOT; ?>draw_merchant_email.php?userId=<?php echo $row['MERCHANTID']?>&bgRGB=255,255,255" border=0 alt="email"></td>
                </tr>
                <tr>
                    <td class="td"><?php echo RATING?> :</td>
                    <td class="td"><a href="<?php echo getMerchantPath($row['MERCHANTID'], 'Reviews', 'write', $row['UIFILENAME'])?>"><?php echo getRatingStars($row['RATING'])?></a></td>
                </tr>
                <tr>
                    <td class="td"><?php echo REVIEW?> :</td>
                    <td class="td"><?php echo  nl2br($row['REVIEW']) ?></td>
                </tr>
                <tr>
                    <td align="center" class="td" colspan="2"><input type="button" name="cancel" value=" <?php echo _CLOSE?> " class="baseeffect" onclick="document.location = '<?php echo SCRIPT_ROOT; ?>member_user_rating.<?php echo EXTENSION?>';"></td>
                </tr>
            </table>
            <?php
            } // Empty Record Check //
            ?>
        </div>
    </div>

@endsection
