@extends('merchants.base')

@section('content')

	<form name="F" method="post" action="authorize_process.php" onsubmit="return ValidForm()">
		<input type="hidden" name="merchantId"			value="<?php echo  $merchantId ?>">
		<input type="hidden" name="amount"				value="<?php echo  $amount ?>">
		<input type="hidden" name="packagePaymentId"	value="<?php echo  $packagePaymentId ?>">
		<input type="hidden" name="clickPaymentId"		value="<?php echo  $clickPaymentId ?>">

		<table class="table" cellSpacing="1" cellPadding="5" width="550" border="0" align="center">
			<tr>
				<td class="th" colSpan="2"><?php echo ENTER_BILLING_INFORMATION?></td>
			</tr>
			<tr>
				<td class="td" align="right" width="33%"><?php echo FIRST_NAME?> :</td>
				<td class="td" align="left" width="67%"><input type="text" name="ccFirstname" class="effect" size="25" maxlength="75" value=""> <font class="info">*</font> (<?php echo AS_IT_APPEARS_ON_CARD?>)</td>
			</tr>
			<tr>
				<td class="td" align="right"><?php echo LAST_NAME?> :</td>
				<td class="td" align="left"><input type="text" name="ccLastname" class="effect" size="25" maxlength="75" value=""> <font class="info">*</font> (<?php echo AS_IT_APPEARS_ON_CARD?>)</td>
			</tr>
			<tr>
				<td class="td" align="right"><?php echo ADDRESS?> :</td>
				<td class="td" align="left"><input type="text" name="ccAddress" class="effect" size="35" maxlength="255" value=""> <font class="info">*</font></td>
			</tr>
			<tr>
				<td class="td" align="right"><?php echo CITY?> :</td>
				<td class="td" align="left"><input type="text" name="ccCity" class="effect" size="35" maxlength="50" value=""> <font class="info">*</font></td>
			</tr>
			<tr>
				<td class="td" align="right"><?php echo STATE?> :</td>
				<td class="td" align="left"><input type="text" name="ccState" class="effect" size="35" maxlength="50" value=""> <font class="info">*</font> (<?php echo FULL_NAME?>)</td>
			</tr>
			<tr>
				<td class="td" align="right"><?php echo COUNTRY?> :</td>
				<td class="td" align="left"><?php echo countryDropDown('United States', 'ccCountry')?> <font class="info">*</font></td>
			</tr>
			<tr>
				<td class="td" align="right"><?php echo EMAIL?> :</td>
				<td class="td" align="left"><input type="text" name="ccEmail" class="effect" size="35" maxlength="255" value="<?php echo  getColumn('USERINFO', $merchantId, 'EMAIL', 'USERID') ?>" readonly></td>
			</tr>
									
			<tr>
				<td class="td" align="right"><?php echo ZIP?> :</td>
				<td class="td" align="left"><input type="text" name="ccZip" class="effect" size="10" maxlength="10" value=""> <font class="info">*</font></td>
			</tr>
			<tr>
				<td class="th" colSpan="2"><?php echo ENTER_CREDIT_CARD_INFORMATION?></td>
			</tr>
			<tr>
				<td class="td" align="right"><?php echo CARD_TYPE?> :</td>
				<td class="td" align="left">
					<select name="ccType" size="1" class="effect">
						<option>Visa</option>
						<option>Master Card</option>
						<option>American Express</option>
						<option>Discover</option>
					</select>
				</td>
			</tr>
			<tr>
				<td class="td" align="right"><?php echo CARD_NUMBER?> :</td>
				<td class="td" align="left"><input type="text" name="ccCardnum" class="effect" size="35" maxlength="16" value=""> <font class="info">*</font></td>
			</tr>
			<tr>
				<td class="td" align="right"><?php echo EXPIRATION_DATE?> :</td>
				<td class="td" align="left">
					<input type="text" name="ccValiduptoMonth" class="effect" size="2" maxlength="2" VALUE=""> / <input type="text" name="ccValiduptoYear" class="effect" size="4" maxlength="4" value="">
					<font class="tiny">MM/YYYY</font> <font class="info">*</font>
				</td>
			</tr>
			<tr>
				<td class="td" align="right"><?php echo CVV_CODE?> :</td>
				<td class="td" align="left"><input type="text" name="ccCardcode" class="effect" size="4" maxlength="4" value=""><FONT class="tiny"> <font class="info">*</font> <a href="#" onclick="window.open('authorize_cvv.php', '_blank', 'width=450, height=400, status=yes, scrollbars=yes')" class="link"><?php echo CVV_CODE_EXPLANATION?></a></FONT></td>
			</tr>
			<tr>
				<td class="td" align="center" colspan="2"><input type="submit" name="btnSubmit" value=" <?php echo MAKE_PAYMENT?> " class="baseeffectEx"></td>
			</tr>
		</table>
	</form>

	<script language="javascript">
		function ValidForm()
		{
			if(document.F.ccFirstname.value=="")
			{
				alert("<?php echo PLEASE_ENTER_FIRST_NAME?>");
				document.F.ccFirstname.focus();
				document.F.ccFirstname.select();
				return false;
			}
			if(document.F.ccLastname.value=="")
			{
				alert("<?php echo PLEASE_ENTER_LAST_NAME?>");
				document.F.ccLastname.focus();
				document.F.ccLastname.select();
				return false;
			}
			if(document.F.ccAddress.value=="")
			{
				alert("<?php echo PLEASE_ENTER_ADDRESS?>");
				document.F.ccAddress.focus();
				document.F.ccAddress.select();
				return false;
			}
			if(document.F.ccCity.value=="")
			{
					alert("<?php echo PLEASE_ENTER_CITY?>");
					document.F.ccCity.focus();
					document.F.ccCity.select();
					return false;
			}
			if(document.F.ccState.value=="")
			{
				alert("<?php echo PLEASE_ENTER_STATE?>");
				document.F.ccState.focus();
				document.F.ccState.select();
				return false;
			}
			if(document.F.ccZip.value=="")
			{
				alert("<?php echo PLEASE_ENTER_ZIP_CODE?>");
				document.F.ccZip.focus();
				document.F.ccZip.select();
				return false;
			}
			if(document.F.ccCardnum.value=="")
			{
				alert("<?php echo PLEASE_ENTER_CREDIT_CARD_NUMBER?>");
				document.F.ccCardnum.focus();
				document.F.ccCardnum.select();
				return false;
			}

			if(isNaN(document.F.ccCardnum.value))
			{
				alert("<?php echo PLEASE_ENTER_VALID_CREDIT_CARD_NUMBER?>");
				document.F.ccCardnum.focus();
				document.F.ccCardnum.select();
				return false;
			}


			if(document.F.ccValiduptoMonth.value!="")
			{
				if(!isNaN(document.F.ccValiduptoMonth.value))
				{
					if((document.F.ccValiduptoYear.value<=<?php echo date("Y")?> && document.F.ccValiduptoMonth.value<<?php echo date("m")?>) || document.F.ccValiduptoMonth.value<=0 || document.F.ccValiduptoMonth.value>12)
					{
						alert("<?php echo ENTER_VALID_MONTH?>");
						document.F.ccValiduptoMonth.focus();
						document.F.ccValiduptoMonth.select();
						return false;
					}
				}
				else
				{
					alert("<?php echo ENTER_VALID_MONTH?>");
					document.F.ccValiduptoMonth.focus();
					document.F.ccValiduptoMonth.select();
					return false;
				}
			}
			else
			{
				alert("<?php echo PLEASE_ENTER_MONTH?>");
				document.F.ccValiduptoMonth.focus();
				document.F.ccValiduptoMonth.select();
				return false;
			}


			if(document.F.ccValiduptoYear.value!="")
			{
				if(!isNaN(document.F.ccValiduptoYear.value))
				{
					if(document.F.ccValiduptoYear.value.length==4)
					{
						if(document.F.ccValiduptoYear.value<<?php echo date("Y")?>)
						{
							alert("<?php echo ENTER_VALID_YEAR?>");
							document.F.ccValiduptoYear.focus();
							document.F.ccValiduptoYear.select();
							return false;
						}
					}
					else
					{
						alert("<?php echo ENTER_VALID_YEAR?>");
						document.F.ccValiduptoYear.focus();
						document.F.ccValiduptoYear.select();
						return false;
					}
				}
				else
				{
					alert("<?php echo ENTER_VALID_YEAR?>");
					document.F.ccValiduptoYear.focus();
					document.F.ccValiduptoYear.select();
					return false;
				}
			}
			else
			{
				alert("<?php echo PLEASE_ENTER_YEAR?>");
				document.F.ccValiduptoYear.focus();
				document.F.ccValiduptoYear.select();
				return false;
			}

			if(document.F.ccCardcode.value!="")
			{
				if(isNaN(document.F.ccCardcode.value))
				{
						alert("<?php echo ENTER_VALID_CVV_CODE?>");
						document.F.ccCardcode.focus();
						document.F.ccCardcode.select();
						return false;
				}
				if(document.F.ccCardcode.value.length < 3)
				{
						alert("<?php echo CVV_CODE_MUST_BE_3_TO_4_CHARATERS_LONG?>");
						document.F.ccCardcode.focus();
						document.F.ccCardcode.select();
						return false;
				}
			}
			else
			{
				alert("<?php echo ENTER_VALID_CVV_CODE?>");
				document.F.ccCardcode.focus();
				document.F.ccCardcode.select();
				return false;
			}

			return true;
		}
	</script>

@endsection
