@extends(ACTIVE_TEMPLATE.'.base-merchant')

@section('content')

    <div class="row">
        <div class="col-xs-12 col-md-offset-3 col-md-6">

            <form name="F" action="merchant_processlogin.php" method="POST" onSubmit="return validateForm(this)"
                  class="form-horizontal" role="form">

                <div class="panel panel-default panel-primary">
                    <div class="panel-heading"><h4><?= MERCHANT_LOGION ?></h4></div>
                    <div class="panel-body">

                        <div class="form-group">
                            <label for="loginEmail" class="col-sm-4 control-label"><?= EMAIL ?></label>
                            <div class="col-sm-8">
                                <input type="email" class="form-control" id="loginEmail" name="email"
                                       value="<?= defined('IS_IN_DEMO_MODE') && IS_IN_DEMO_MODE == 1 ? 'demo@kaonsoftwares.com' : '' ?>"
                                       size="50" maxlength="255" placeholder="<?= JSMSG_PLEASE_PROVIDE_EMAIL_ADDRESS ?>"
                                       required
                                       oninvalid="this.setCustomValidity('<?= JSMSG_PLEASE_PROVIDE_EMAIL_ADDRESS ?>')"
                                       oninput="setCustomValidity('')">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="loginPassword" class="col-sm-4 control-label"><?= PASSWORD ?></label>
                            <div class="col-sm-8">
                                <input type="password" class="form-control" id="loginPassword" name="password"
                                       size="24" maxlength="20" placeholder="<?= JSMSG_PLEASE_PROVIDE_PASSWORD ?>"
                                       value="<?= defined('IS_IN_DEMO_MODE') && IS_IN_DEMO_MODE == 1 ? 'as' : '' ?>"
                                       required
                                       oninvalid="this.setCustomValidity('<?= JSMSG_PLEASE_PROVIDE_PASSWORD ?>')"
                                       oninput="setCustomValidity('')">
                            </div>
                        </div>

                        <div style="text-align:right;">
                            <button type="submit" class="btn btn-primary btn-wide"><?= ENTER ?></button>
                        </div>

                    </div>

                    <div class="panel-footer" style="text-align: center">
                        | <a href="merchant_register.php?" class="link"><?= REGISTER ?></a>
                        | <a href="merchant_forgot_pwd_form.php" class="link"><?= FORGOT_PASSWORD ?></a>
                        | <a href="merchant_verify_email.php" class="link"><?= VERIFY_EMAIL_ADDRESS ?></a> |
                    </div>

                </div>

            </form>

        </div>
    </div>

@endsection
