@extends('merchants.base')

@section('merchant-content')

    <div style="text-align:center">

        <h1>{{ MANAGE_COUPONS }}</h1>

        <form name="F" action="merchant_coupons_controller.php" method="POST" onSubmit="return validateForm(this);">
            <input type=hidden name="task" value="Coupon">
            <input type=hidden name="action" value="Add">
            <input type=hidden name="return" value="merchant_coupons_add.php?">
            <table style="width:650px" cellspacing="1" cellpadding="5" align="center" class="table">
                <tr>
                    <td colspan="2" class="th"><?php echo ADD.' '.COUPON; ?></td>
                </tr>
                <tr>
                    <td class="td"><?php echo CATEGORY; ?> :</td>
                    <td class="td">
                        <?php echo getCombobox("category", "COUPON_CATEGORY", "ID", "TITLE", $catId, "ISVALID='Y'", "TITLE"); ?>
                    </td>
                </tr>
                <tr>
                    <td	class="td"><?php echo TITLE; ?> : </td>
                    <td class="td"><input type="text" size="50" maxlength="100" name="title" value="<?php echo $_POST['title']; ?>" class="effect" alt="blank"><font color="red"> *</font></td>
                </tr>
                <tr>
                    <td	class="td"><?php echo EXPIRY; ?> : </td>
                    <td class="td">
                        <?php echo getCalendarField(array(
                                'fieldName'		=> 'expiry',
                                'fieldValue'	=> postVar('expiry')
                        )); ?>
                    </td>
                </tr>
                <tr>
                    <td	class="td"><?php echo DISCOUNT; ?> : </td>
                    <td class="td">
                        <input type=text name=discPerc id=discPerc value="<?php echo $row['DISCOUNT_PERCENTAGE']; ?>" class=effect size=5 maxlength=5 <?php echo ($row['DISCOUNT_AMOUNT']==0?'':'style="display:none;"'); ?>>
                        <input type=text name=discAmt id=discAmt value="<?php echo $row['DISCOUNT_AMOUNT']; ?>" class=effect size=10 maxlength=9 <?php echo ($row['DISCOUNT_AMOUNT']!=0?'':'style="display:none;"'); ?>>
                        <select name=discType class=effect onchange='if(this.value=="A"){$("#discAmt").val($("#discPerc").val());$("#discPerc").val("");$("#discPerc").hide();$("#discAmt").show();}else{$("#discPerc").val($("#discAmt").val());$("#discAmt").val("");$("#discAmt").hide();$("#discPerc").show();}'><option value=P>%</option><option value=A <?php echo ($row['DISCOUNT_AMOUNT']==0?'':'selected'); ?>><?php echo SCRIPT_DOLLAR; ?></option></select>
                    </td>
                </tr>
                <tr>
                    <td	class="td"><?php echo COUPON.' '.URL; ?> : </td>
                    <td class="td"><input type="text" size="50" maxlength="255" name="url" value="<?php echo $_POST["url"]==''?'http://':$_POST["url"]; ?>" class="effect"></td>
                </tr>
                <tr>
                    <td	class="td"><?php echo COUPON_S.' '.CODE; ?> : </td>
                    <td class="td"><input type="text" size="50" maxlength="100" name="couponCode" value="<?php echo $_POST["couponCode"]; ?>" class="effect"></td>
                </tr>
                <tr>
                    <td	class="td"><?php echo DETAILS.' / '.SPECIFICATIONS; ?> : </td>
                    <td class="td"><textarea name="detail" rows="5" cols="49" class="effect"><?php echo $_POST["detail"]; ?></textarea></td>
                </tr>
                <tr>
                    <td	class="td"><?php echo SORT_ORDER; ?> : </td>
                    <td	class="td"><input type="text" size="5" maxlength="9" name="sortOrder" value="<?php echo $_POST["sortOrder"]; ?>" class="effect">
                    </td>
                </tr>

                <tr>
                    <td	align="center" class="td" colspan="2">
                        <table width="100%" cellspacing="0" cellpadding="3" align="center">
                            <tr>
                                <td align="center"><input type="submit" name="Submit"	value="<?php echo ADD; ?>" valign="bottom" class="baseeffect"></td>
                            </tr>
                            <tr>
                                <td align="center"><input type="button" name="cancel" value="<?php echo _CLOSE; ?>" class="baseeffect" onClick="document.location = 'merchant_coupons.php';"></td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </form>

    </div>

@endsection
