@extends('merchants.base')

@section('merchant-content')

    <font class="large"><?php echo MANAGE_PRODUCT_IMPORT?></font><br><br>

    <div style="width:600px; text-align:left;">

        <form name="F" method="GET" action="merchant_product_import_xml_to_csv.php">
            <input type="hidden" name="outerTagName" value="<?php echo $outerTagName?>">
            <input type="hidden" name="innerTagName" value="<?php echo $innerTagName?>">
            <input type="hidden" name="total" value="<?php echo $totRecs?>">
            <table width="600" cellspacing="1" cellpadding="5" align="center" class="table">
                <tr>
                    <td colspan="2" class="th"><?php echo WHAT_TAGNAMES?></td>
                </tr>
                <tr>
                    <td class="td" width="25%"><?php echo TOTAL_RECORDS?> :</td>
                    <td class="td"><?php echo $totRecs?></td>
                </tr>
                <tr>
                    <td class="th" colspan="2" height="5"></b></td>
                </tr>
                <tr>
                    <td class="td" colspan="2"><b><?php echo GENERAL_SETTINGS?></b></td>
                </tr>
                <?php if ( PRODUCT_IMPORT_GENERAL_SETTINGS == 1 ) { ?>
                <tr>
                    <td class="td" valign="top" colspan="2">
                        <input type="radio" name="isNewEntryAllowed"
                               value="Y" <?php echo $isNewEntryAllowed == 'Y' ? 'checked' : '' ?>>&nbsp;<b><?php echo CAN?></b> <?php echo ADD_NEW_CATEGORIES_AND_PRODUCTS?>
                        <br>
                        <input type="radio" name="isNewEntryAllowed"
                               value="N" <?php echo $isNewEntryAllowed == 'N' ? 'checked' : '' ?>>&nbsp;<b><?php echo CANNOT?></b> <?php echo ADD_NEW_CATEGORIES_AND_PRODUCTS?>
                        <br>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i><?php echo ONLY_UPDATE_CURRENT_PRODUCTS?></i>.<br>
                    </td>
                </tr>
                <?php } else { ?>
                <tr>
                    <td class="td" valign="top" colspan="2">
                        <input type="hidden" name="isNewEntryAllowed"
                               value="<?php echo PRODUCT_IMPORT_CAN_ADD_NEW_CATS_PRODS?>">
                        <?php if ( PRODUCT_IMPORT_CAN_ADD_NEW_CATS_PRODS == 'Y' ) { ?>
                        &nbsp;&nbsp;<b><?php echo CAN?></b> <?php echo ADD_NEW_CATEGORIES_AND_PRODUCTS?>
                        <?php } else { ?>
                        &nbsp;&nbsp;<b><?php echo CANNOT?></b> <?php echo ADD_NEW_CATEGORIES_AND_PRODUCTS?><br>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i><?php echo ONLY_UPDATE_CURRENT_PRODUCTS?></i>.
                        <?php } ?>
                    </td>
                </tr>
                <?php } ?>

                <tr>
                    <td class="td" colspan="2"><b><?php echo PRODUCT_CLASSIFICATION?></b></td>
                </tr>
                <?php if ( PRODUCT_IMPORT_PRODUCT_CLASSIFICATION == 1 ) { ?>
                <?php if ( function_exists('appendToAutoFeedLogFile') ) { ?>
                <tr>
                    <td class="td" colspan="2">
                        <table width="100%" cellspacing="0" cellpadding="2" align="center">
                            <tr>
                                <td class="td" colspan="2"><input type="radio" name="useCategoryMapping"
                                                                  value="Y" <?php echo $useCategoryMapping == 'Y' ? 'checked' : '' ?>>
                                    <u><?php echo USE_CATEGORY_MAPPING?></u>....?<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font
                                            size='1'>(<i><?php echo MUST_BE_SUPPORTED_BY_THE_SCRIPT?></i>)</font><br><br>
                                </td>
                            </tr>
                            <tr>
                                <td width="20"></td>
                                <td class="td">
                                    <?php echo DO_WHAT_IF_NO_MAPPING_CATEGORY?><br>
                                    <input type="radio" name="isOnlyCatMapping"
                                           value="Y" <?php echo $isOnlyCatMapping == 'Y' ? 'checked' : '' ?>> <?php echo IGNORE_ENTRIES_FROM_FEED_FILE_WHOSE_MAPPING_IS_NOT_FOUND?>
                                    <br>
                                    <input type="radio" name="isOnlyCatMapping"
                                           value="N" <?php echo $isOnlyCatMapping == 'N' ? 'checked' : '' ?>> <?php echo ADD_ENTRY_WITH_CATEGORIES_AS_IN_DATAFEED?>
                                    <br>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <?php } ?>

                <tr>
                    <td class="td" colspan="2"><input type="radio" name="useCategoryMapping"
                                                      value="N" <?php echo $useCategoryMapping == 'N' || $useCategoryMapping == '' ? 'checked' : '' ?>>
                        <u><?php echo DONOT_USE_CATEGORY_MAPPING?></u>....?
                    </td>
                </tr>
                <tr>
                    <td class="td" colspan="2">
                        <table width="100%" cellspacing="0" cellpadding="2" align="center">
                            <tr>
                                <td width="20"></td>
                                <td class="td">
                                    <font size='1'><?php echo IF_CATEGORY_ID_IS_PRESENT_IN_XML_FILE_THEN?></font><br><br>

                                    <?php echo XML_TAG_FOR_CATEGORY_ID?>:
                                    <select name="COL_CAT_ID" class="effect">
                                        <?php echo getXMLPromptOptions($tagArray, $userFeedParams['COL_CAT_ID'])?>
                                    </select>
                                    <b>-<?php echo _OR?>-</b> <?php echo CATEGORY_ID?>: <input type="text" name="catId"
                                                                                               value="<?php echo $catId ?>"
                                                                                               class="effect" size="5"
                                                                                               maxlength="5"><br>

                                    <input type="radio" name="isColIdEntryPoint"
                                           value="Y" <?php echo $isColIdEntryPoint == 'Y' ? 'checked' : '' ?>>&nbsp;<?php echo CATEGORY_ID_IS_THE_STARTING_POINT?>
                                    <br>
                                    <input type="radio" name="isColIdEntryPoint"
                                           value="N" <?php echo $isColIdEntryPoint == 'N' ? 'checked' : '' ?>>&nbsp;<?php echo CATEGORY_ID_IS_WHERE_PRODUCT_SHOULD_BE_INSERTED?>
                                    <br>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <?php } else { ?>
                <input type="hidden" name="useCategoryMapping" value="<?php echo PRODUCT_IMPORT_USE_CATEGORY_MAPPING?>">
                <?php if ( PRODUCT_IMPORT_USE_CATEGORY_MAPPING == 'Y' ) { ?>
                <?php if ( function_exists('appendToAutoFeedLogFile') ) { ?>
                <tr>
                    <td class="td" colspan="2">
                        <table width="100%" cellspacing="0" cellpadding="2" align="center">
                            <tr>
                                <td class="td" colspan="2"><u><?php echo USE_CATEGORY_MAPPING?></u>....?<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font
                                            size='1'>(<i><?php echo MUST_BE_SUPPORTED_BY_THE_SCRIPT?></i>)</font><br><br>
                                </td>
                            </tr>
                            <input type="hidden" name="isOnlyCatMapping"
                                   value="<?php echo PRODUCT_IMPORT_CATEGORY_MAPPING_IGNORE_ENTRY?>">
                            <tr>
                                <td width="20"></td>
                                <td class="td">
                                    <?php echo DO_WHAT_IF_NO_MAPPING_CATEGORY?><br>
                                    <?php if (PRODUCT_IMPORT_CATEGORY_MAPPING_IGNORE_ENTRY == 'Y') { ?>
									 <?php echo IGNORE_ENTRIES_FROM_FEED_FILE_WHOSE_MAPPING_IS_NOT_FOUND ?>
									<?php } else { ?>
									 <?php echo ADD_ENTRY_WITH_CATEGORIES_AS_IN_DATAFEED ?>
									<?php } ?>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <?php } ?>
                <?php } else { ?>
                <tr>
                    <td class="td" colspan="2"><u><?php echo DONOT_USE_CATEGORY_MAPPING?></u>....?</td>
                </tr>
                <tr>
                    <td class="td" colspan="2">
                        <table width="100%" cellspacing="0" cellpadding="2" align="center">
                            <tr>
                                <td width="20"></td>
                                <td class="td">
                                    <font size='1'><?php echo IF_CATEGORY_ID_IS_PRESENT_IN_XML_FILE_THEN?></font><br><br>

                                    <?php echo XML_TAG_FOR_CATEGORY_ID?>:
                                    <select name="COL_CAT_ID" class="effect">
                                        <?php echo getXMLPromptOptions($tagArray, $userFeedParams['COL_CAT_ID'])?>
                                    </select>
                                    <b>-<?php echo _OR?>-</b> <?php echo CATEGORY_ID?>: <input type="text" name="catId"
                                                                                               value="<?php echo $catId ?>"
                                                                                               class="effect" size="5"
                                                                                               maxlength="5"><br>

                                    <input type="hidden" name="isColIdEntryPoint"
                                           value="<?php echo PRODUCT_IMPORT_CATEGORY_MAPPING_CAT_ID_STARTING_POINT?>">
                                    <?php if ( PRODUCT_IMPORT_CATEGORY_MAPPING_CAT_ID_STARTING_POINT == 'Y' ) { ?>
                                    &nbsp;<?php echo CATEGORY_ID_IS_THE_STARTING_POINT?>
                                    <?php } else { ?>
                                    &nbsp;<?php echo CATEGORY_ID_IS_WHERE_PRODUCT_SHOULD_BE_INSERTED?>
                                    <?php } ?>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <?php } ?>
                <?php } ?>

                <tr>
                    <td class="td" colspan="2"><b><?php echo PRODUCT_INFORMATION?></b></td>
                </tr>
                <?php if ( PRODUCT_IMPORT_PRODUCT_INFORMATION == 1 ) { ?>
                <tr>
                    <td class="td" valign="top" colspan="2">
                        <input type="radio" name="isImageUpdtAllowed"
                               value="N" <?php echo $isImageUpdtAllowed == 'N' ? 'checked' : '' ?>>&nbsp;<?php echo ONLY_COPY_IMAGES_OF_NEWLY_INSERTED_PRODUCTS?>
                        .<br>
                        <input type="radio" name="isImageUpdtAllowed"
                               value="Y" <?php echo $isImageUpdtAllowed == 'Y' ? 'checked' : '' ?>>&nbsp;<?php echo COPY_IMAGES_OF_ALL_PRODUCTS?>
                        <br>
                    </td>
                </tr>
                <?php } else { ?>
                <tr>
                    <td class="td" valign="top" colspan="2">
                        <input type="hidden" name="isImageUpdtAllowed"
                               value="<?php echo PRODUCT_IMPORT_PRODUCT_COPY_ALL_IMAGES?>">
                        <?php if ( PRODUCT_IMPORT_PRODUCT_COPY_ALL_IMAGES == 'N' ) { ?>
                        &nbsp;<?php echo ONLY_COPY_IMAGES_OF_NEWLY_INSERTED_PRODUCTS?>
                        <?php } else { ?>
                        &nbsp;<?php echo COPY_IMAGES_OF_ALL_PRODUCTS?>
                        <?php } ?>
                    </td>
                </tr>
                <?php } ?>

                <tr>
                    <td colspan="2" class="td"><b><?php echo PRODUCT_MATCHING?></b></td>
                </tr>
                <?php if ( PRODUCT_IMPORT_PRODUCT_MATCHING == 1 ) { ?>
                <tr>
                    <td class="td" colspan="2">
                        <table width="100%" cellspacing="0" cellpadding="5" align="center">
                            <tr>
                                <td colspan="2" class="td"><input type="radio" name="isMatchByName"
                                                                  value="Y" <?php echo $isMatchByName == 'Y' ? 'checked' : ''?>>
                                    <u><?php echo BY_PRODUCT_NAME?></u></td>
                            </tr>
                            <tr>
                                <td width="5%" class="td"></td>
                                <td width="95%" class="td"><?php echo DATAFEEDS_PRODUCT_NAME?> :</td>
                            </tr>
                            <tr>
                                <td width="5%" class="td"></td>
                                <td width="95%" class="td"><input type="radio" name="isExactMatch"
                                                                  value="Y" <?php echo $isExactMatch == 'Y' ? 'checked' : '' ?>> <?php echo EXACT_MATCH_WITH_THE_PRODUCT_NAME_IN_DATABASE?>
                                </td>
                            </tr>
                            <tr>
                                <td width="5%" class="td"></td>
                                <td width="95%" class="td"><input type="radio" name="isExactMatch"
                                                                  value="N" <?php echo $isExactMatch == 'N' ? 'checked' : '' ?>> <?php echo ALL_WORDS_SHOULD_BE_PRESENT_IN_THE_PRODUCT_NAME?>
                                </td>
                            </tr>
                            <tr>
                                <td width="5%" class="td"></td>
                                <td width="95%" class="td"><input type="radio" name="isExactMatch"
                                                                  value="S" <?php echo $isExactMatch == 'S' ? 'checked' : '' ?>> <?php echo ALL_WORDS_SHOULD_BE_PRESENT_IN_THE_PRODUCT_NAME_IN_FILE?>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td class="td" colspan="2">
                        <table width="100%" cellspacing="0" cellpadding="5" align="center">
                            <tr>
                                <td colspan="2" class="td"><input type="radio" name="isMatchByName"
                                                                  value="N" <?php echo $isMatchByName == 'N' ? 'checked' : ''?>>
                                    <u><?php echo BY_PRODUCT_CODE?></u></td>
                            </tr>
                            <tr>
                                <td width="5%" class="td"></td>
                                <td width="95%" class="td"><?php echo DATAFEEDS_PRODUCT_CODE?> :</td>
                            </tr>
                            <tr>
                                <td width="5%" class="td"></td>
                                <td width="95%" class="td"><input type="radio" name="isExactMatchEx" value="Y"
                                                                  checked> <?php echo EXACT_MATCH_WITH_THE_PRODUCT_CODE_IN_DATABASE?>
                                    <label id="colNo">N/A</label>]
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <?php } else { ?>
                <input type="hidden" name="isMatchByName" value="<?php echo PRODUCT_IMPORT_PRODUCT_MATCHING_BY_NAME?>">
                <?php if ( PRODUCT_IMPORT_PRODUCT_MATCHING_BY_NAME == 'Y' ) { ?>
                <tr>
                    <td class="td" colspan="2">
                        <table width="100%" cellspacing="0" cellpadding="5" align="center">
                            <tr>
                                <td colspan="2" class="td"><u><?php echo BY_PRODUCT_NAME?></u></td>
                            </tr>
                            <tr>
                                <td width="5%" class="td"></td>
                                <td width="95%" class="td"><?php echo DATAFEEDS_PRODUCT_CODE?> :</td>
                            </tr>
                            <input type="hidden" name="isExactMatch"
                                   value="<?php echo PRODUCT_IMPORT_PRODUCT_MATCHING_BY_NAME_DATA_FEED?>">
                            <?php if ( PRODUCT_IMPORT_PRODUCT_MATCHING_BY_NAME_DATA_FEED == 'Y' ) { ?>
                            <tr>
                                <td width="5%" class="td"></td>
                                <td width="95%"
                                    class="td"> <?php echo EXACT_MATCH_WITH_THE_PRODUCT_NAME_IN_DATABASE?></td>
                            </tr>
                            <?php } elseif ( PRODUCT_IMPORT_PRODUCT_MATCHING_BY_NAME_DATA_FEED == 'N' ) { ?>
                            <tr>
                                <td width="5%" class="td"></td>
                                <td width="95%"
                                    class="td"><?php echo ALL_WORDS_SHOULD_BE_PRESENT_IN_THE_PRODUCT_NAME?></td>
                            </tr>
                            <?php } else { ?>
                            <tr>
                                <td width="5%" class="td"></td>
                                <td width="95%"
                                    class="td"><?php echo ALL_WORDS_SHOULD_BE_PRESENT_IN_THE_PRODUCT_NAME_IN_FILE?></td>
                            </tr>
                            <?php } ?>
                        </table>
                    </td>
                </tr>
                <?php } else { ?>
                <tr>
                    <td class="td" colspan="2">
                        <table width="100%" cellspacing="0" cellpadding="5" align="center">
                            <tr>
                                <td colspan="2" class="td"><u><?php echo BY_PRODUCT_CODE?></u></td>
                            </tr>
                            <tr>
                                <td width="5%" class="td"></td>
                                <td width="95%" class="td"><?php echo DATAFEEDS_PRODUCT_CODE?> :</td>
                            </tr>
                            <input type="hidden" name="isExactMatchEx"
                                   value="<?php echo PRODUCT_IMPORT_PRODUCT_MATCHING_BY_NAME_DATA_FEED?>">
                            <tr>
                                <td width="5%" class="td"></td>
                                <td width="95%" class="td"><?php echo EXACT_MATCH_WITH_THE_PRODUCT_CODE_IN_DATABASE?>
                                    <label id="colNo">N/A</label>]
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <?php } ?>
                <?php } ?>
                <tr>
                    <td class="th" colspan="2" height="5"></b></td>
                </tr>
                <tr>
                    <td colspan="2" class="td"><b><?php echo XML_TAGS?></b></td>
                </tr>
                <?php
                $arrToInput = array(
                        'COL_MAIN_CAT' => 'Main Category',
                        'COL_SUB_CAT' => 'Sub Category',
                        'COL_MICRO_CAT' => 'Micro Category',
                        'COL_PRODUCT' => 'Product Name',
                        'COL_DETAIL' => 'Product Detail',
                        'COL_IMAGE' => 'Product Image',
                        'COL_BRANDS' => 'Manufacturer',
                        'COL_PARTNO' => 'Manufacturer Code',
                        'COL_EAN_UPC' => 'EAN/UPC Code',
                        'COL_PRICE' => 'Merchant Price',
                        'COL_COMMENTS' => 'Merchant Comments',
                        'COL_SHIPPING' => 'Merchant Shipping',
                        'COL_DETAIL_URL' => 'Merchant Product Link',
                        'COL_BUY_URL' => 'Merchant Buy Link',
                        'COL_AVAILABILITY' => 'Merchant Availability'
                );

                if (PRODUCT_FIELD_1 != '')
                    $arrToInput['COL_FIELD1'] = PRODUCT_FIELD_1;

                if (PRODUCT_FIELD_2 != '')
                    $arrToInput['COL_FIELD2'] = PRODUCT_FIELD_2;

                if (PRODUCT_FIELD_3 != '')
                    $arrToInput['COL_FIELD3'] = PRODUCT_FIELD_3;

                if (PRODUCT_FIELD_4 != '')
                    $arrToInput['COL_FIELD4'] = PRODUCT_FIELD_4;

                if (PRODUCT_FIELD_5 != '')
                    $arrToInput['COL_FIELD5'] = PRODUCT_FIELD_5;

                if (PRODUCT_FIELD_6 != '')
                    $arrToInput['COL_FIELD6'] = PRODUCT_FIELD_6;

                if (PRODUCT_FIELD_7 != '')
                    $arrToInput['COL_FIELD7'] = PRODUCT_FIELD_7;

                if (PRODUCT_FIELD_8 != '')
                    $arrToInput['COL_FIELD8'] = PRODUCT_FIELD_8;

                if (PRODUCT_FIELD_9 != '')
                    $arrToInput['COL_FIELD9'] = PRODUCT_FIELD_9;

                if (USER_PRODUCT_FIELD_1 != '')
                    $arrToInput['COL_USER_FIELD1'] = USER_PRODUCT_FIELD_1;

                if (USER_PRODUCT_FIELD_2 != '')
                    $arrToInput['COL_USER_FIELD2'] = USER_PRODUCT_FIELD_2;

                if (USER_PRODUCT_FIELD_3 != '')
                    $arrToInput['COL_USER_FIELD3'] = USER_PRODUCT_FIELD_3;

                if (USER_PRODUCT_FIELD_4 != '')
                    $arrToInput['COL_USER_FIELD4'] = USER_PRODUCT_FIELD_4;

                if (USER_PRODUCT_FIELD_5 != '')
                    $arrToInput['COL_USER_FIELD5'] = USER_PRODUCT_FIELD_5;

                if (USER_PRODUCT_FIELD_6 != '')
                    $arrToInput['COL_USER_FIELD6'] = USER_PRODUCT_FIELD_6;

                if (USER_PRODUCT_FIELD_7 != '')
                    $arrToInput['COL_USER_FIELD7'] = USER_PRODUCT_FIELD_7;

                if (USER_PRODUCT_FIELD_8 != '')
                    $arrToInput['COL_USER_FIELD8'] = USER_PRODUCT_FIELD_8;

                if (USER_PRODUCT_FIELD_9 != '')
                    $arrToInput['COL_USER_FIELD9'] = USER_PRODUCT_FIELD_9;


                $count = 0;
                foreach ( $arrToInput as $key => $value )
                {
                $count++;
                ?>
                <tr>
                    <td class="td"><?php echo $value?>:</td>
                    <td class="td">
                        <select name="<?php echo $key?>" class="effect">
                            <?php echo getXMLPromptOptions($tagArray, $userFeedParams[$key])?>
                        </select>
                    </td>
                </tr>
                <?php
                }
                ?>
                <tr>
                    <td class="td-<?php echo $count % 2 != 0 ? 'White' : 'Color'?>" colspan="2" align="center">
                        <input type="submit" name="btnEnter" value="<?php echo _NEXT?>" class="baseeffect">
                    </td>
                </tr>
            </table>
        </form>

    </div>

@endsection
