@extends('merchants.base')

@section('merchant-content')

    <h1>{{ PROPOSED_PRODUCTS }}</h1>

    <form name="FAdd" action="merchant_controller.php" method="POST" onSubmit="return validateForm(this);">
        <input type=hidden name="task" value="ProductTemp">
        <input type=hidden name="action" value="Add">
        <input type=hidden name="return" value="merchant_proposed_product_add.php?">
        <table width="450" cellspacing="1" cellpadding="5" align="center" class="table">
            <tr>
                <td width="450" colspan="2" class="th"><?php echo ADD_PRODUCT?></td>
            </tr>
            <tr>
                <td width="30%" class="td"><?php echo CATEGORY?> :</td>
                <td width="70%" class="td">
                    <select name="category" class="effect" size="1">
                        <?php getComboboxForCategory("0", ""); ?>
                    </select>
                    <?php showCategorySelector('category', 1, 'FAdd', 'selectCategory'); ?>
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo TITLE?> :</td>
                <td class="td"><input type="text" size="50" maxlength="100" name="title"
                                      value="<?php echo postVar('title')?>" class="effect"
                                      alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_TITLE?>"><font color="red"> *</font>
                </td>
            </tr>
            <tr>
                <td class="td" valign="top"><?php echo DETAIL?> :</td>
                <td class="td"><textarea name="detail" maxlength="255" rows="5" cols="45"
                                         class="effect"><?php echo postVar('detail', '', '', array('maxlen' => 255))?></textarea>
                </td>
            </tr>

            <?php if ( PRODUCT_FIELD_1 != '' ) { ?>
            <tr>
                <td class="th" colspan="2" height="5"></td>
            </tr>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_1?> :</td>
                <td class="td"><input type="text" size="50" name="field1" value="<?php echo postVar('field1') ?>"
                                      class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_2 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_2?> :</td>
                <td class="td"><input type="text" size="50" name="field2" value="<?php echo postVar('field2') ?>"
                                      class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_3 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_3?> :</td>
                <td class="td"><input type="text" size="50" name="field3" value="<?php echo postVar('field3') ?>"
                                      class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_4 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_4?> :</td>
                <td class="td"><input type="text" size="50" name="field4" value="<?php echo postVar('field4') ?>"
                                      class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_5 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_5?> :</td>
                <td class="td"><input type="text" size="50" name="field5" value="<?php echo postVar('field5') ?>"
                                      class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_6 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_6?> :</td>
                <td class="td"><input type="text" size="50" name="field6" value="<?php echo postVar('field6') ?>"
                                      class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_7 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_7?> :</td>
                <td class="td"><input type="text" size="50" name="field7" value="<?php echo postVar('field7') ?>"
                                      class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_8 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_8?> :</td>
                <td class="td"><input type="text" size="50" name="field8" value="<?php echo postVar('field8') ?>"
                                      class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_9 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_9?> :</td>
                <td class="td"><input type="text" size="50" name="field9" value="<?php echo postVar('field9') ?>"
                                      class="effect"></td>
            </tr>
            <?php } ?>

            <tr>
                <td class="th" colspan="2" height="5"></td>
            </tr>
            <tr>
                <td class="td"><?php echo BRAND?> :</td>
                <td class="td"><input type="text" size="35" maxlength="100" name="brand" class="effect"
                                      value="<?php echo postVar('brand')?>"></td>
            </tr>
            <tr>
                <td class="td"><?php echo DETAIL_URL?> :</td>
                <td class="td"><input type="text" size="35" maxlength="255" name="detail_url" class="effect"
                                      value="<?php echo postVar('detail_url', 'url')?>"></td>
            </tr>
            <tr>
                <td class="td"><?php echo BUY_URL?> :</td>
                <td class="td"><input type="text" size="35" maxlength="255" name="buy_url" class="effect"
                                      alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_BUY_URL?>"
                                      value="<?php echo postVar('buy_url', 'url')?>"> <font color="red">*</font></td>
            </tr>
            <tr>
                <td class="td"><?php echo PRICE?> :</td>
                <td class="td"><?php echo showPriceInputField('price', postVar('price', 'float'), 10, 10, 'effect', 'alt="blank||' . JSMSG_PLEASE_PROVIDE_PRICE . '"')?>
                    <font color="red">*</font></td>
            </tr>
            <tr>
                <td class="td"><?php echo SHIPPING?> :</td>
                <td class="td"><input type="text" size="35" maxlength="35" name="shipping" class="effect"
                                      value="<?php echo postVar('shipping')?>"></td>
            </tr>
            <tr>
                <td class="td"><?php echo PART_NO?>:</td>
                <td class="td"><input type="text" size="35" maxlength="35" name="partNo" class="effect"
                                      value="<?php echo postVar('partNo')?>"></td>
            </tr>
            <tr>
                <td class="td"><?php echo AVAILABILITY?>:</td>
                <td class="td"><input type="text" size="35" maxlength="50" name="isAvailable"
                                      value="<?php echo postVar('isAvailable')?>" class="effect"></td>
            </tr>
            <tr>
                <td class="td"><?php echo COMMENTS?> :</td>
                <td class="td"><textarea name="comment" maxlength="255" rows="5" cols="35"
                                         class="effect"><?php echo postVar('comment', '', '', array('maxlen' => 255))?></textarea>
                </td>
            </tr>

            <tr>
                <td align="center" class="td" colspan="2">
                    <table width="100%" cellspacing="0" cellpadding="3" align="center">
                        <tr>
                            <td align="center"><input type="submit" name="Submit" value="   <?php echo ADD?>   "
                                                      valign="bottom" class="baseeffect"></td>
                        </tr>
                        <tr>
                            <td align="center"><input type="button" name="cancel" value="  <?php echo _CLOSE?>  "
                                                      class="baseeffect"
                                                      onClick="document.location = 'merchant_proposed_products.php';">
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </form>
    <script language="JavaScript">
        <!--
        var FAdd = document.forms['FAdd'];
        function selectCategory(catId) {
            FAdd.category.value = catId;
        }
        //-->
    </script>

@endsection
