@extends('merchants.base')

@section('merchant-content')

    <h1>{{ PROPOSED_PRODUCTS }}</h1>

    <form name="PRODUCT" action="<?php echo $PHP_SELF ?>" method="POST">
        <table width="450" cellspacing="1" cellpadding="5" align="center" class="table">
            <tr>
                <td colspan="2" class="th"><?php echo PRODUCT?></td>
            </tr>
            <tr>
                <td width="30%" class="td"><?php echo CATEGORY?> :</td>
                <td width="70%"
                    class="td"><?php echo getCategoryBreadCrumb($row["CATEGORY_ID"], " &raquo; {TITLE}") ?></td>
            </tr>
            <tr>
                <td class="td"><?php echo PRODUCT?> :</td>
                <td class="td"><?php echo $row["TITLE"] ?></td>
            </tr>
            <tr>
                <td class="td" valign="top"><?php echo DETAIL?> :</td>
                <td class="td"><?php echo $row["DETAIL"] ?></td>
            </tr>

            <?php if ( PRODUCT_FIELD_1 != '' ) { ?>
            <tr>
                <td class="th" colspan="2" height="5"></td>
            </tr>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_1?> :</td>
                <td class="td"><?php echo $row["FIELD_1"] ?></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_2 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_2?> :</td>
                <td class="td"><?php echo $row["FIELD_2"] ?></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_3 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_3?> :</td>
                <td class="td"><?php echo $row["FIELD_3"] ?></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_4 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_4?> :</td>
                <td class="td"><?php echo $row["FIELD_4"] ?></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_5 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_5?> :</td>
                <td class="td"><?php echo $row["FIELD_5"] ?></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_6 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_6?> :</td>
                <td class="td"><?php echo $row["FIELD_6"] ?></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_7 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_7?> :</td>
                <td class="td"><?php echo $row["FIELD_7"] ?></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_8 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_8?> :</td>
                <td class="td"><?php echo $row["FIELD_8"] ?></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_9 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_9?> :</td>
                <td class="td"><?php echo $row["FIELD_9"] ?></td>
            </tr>
            <?php } ?>

            <tr>
                <td class="th" colspan="2" height="5"></td>
            </tr>
            <tr>
                <td class="td"><?php echo BRAND?> :</td>
                <td class="td"><?php echo $row["BRAND"] ?></td>
            </tr>
            <tr>
                <td class="td"><?php echo PRICE?> :</td>
                <td class="td"><?php echo getFormattedPrice($row['PRICE'], SCRIPT_DOLLAR, 1) ?></td>
            </tr>
            <tr>
                <td class="td"><?php echo DETAIL?> :</td>
                <td class="td"><?php echo $row["COMMENT"] ?></td>
            </tr>
            <tr>
                <td class="td"><?php echo SHIPPING?> :</td>
                <td class="td"><?php echo $row["SHIPPING"] ?></td>
            </tr>
            <tr>
                <td class="td"><?php echo PART_NO?>:</td>
                <td class="td"><?php echo $row["PARTNO"] ?></td>
            </tr>
            <tr>
                <td class="td"><?php echo DETAIL_URL?> :</td>
                <td class="td"><a href='<?php echo $row["DETAIL_URL"]?>'
                                  class="link"><?php echo $row["DETAIL_URL"] ?></a></td>
            </tr>
            <tr>
                <td class="td"><?php echo BUY_URL?> :</td>
                <td class="td"><a href='<?php echo $row["BUY_URL"]?>' class="link"><?php echo $row["BUY_URL"] ?></a>
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo AVAILABILITY?>:</td>
                <td class="td"><?php echo $row["ISAVAILABLE"] ?></td>
            </tr>

            <tr>
                <td align="center" class="td" colspan="2">
                    <table width="100%" cellspacing="0" cellpadding="5" align="center">
                        <tr>
                            <td align="center"><input type="button" name="cancel" value="<?php echo _CLOSE?>"
                                                      class="baseeffect"
                                                      onClick="document.location = 'merchant_proposed_products.php';">
                            </td>
                            <td>&nbsp;</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </form>

@endsection
