@extends('merchants.base')

@section('merchant-content')

    <h1>{{ VIEW_PRODUCT_CLICKS_REPORT }}</h1>

    <form name="F" target="popup" action="rep_all_product_clicks_popup.php" method="GET"
          onsubmit="window.open('', 'popup', 'width=800, height=600, resizable=yes, scrollbars=yes, menubar=yes'); return true;">
        <table style="width:400px" cellspacing="1" cellpadding="5" align="center" class="table">
            <tr>
                <td width="400" colspan="2" class="th"><?php echo ALL_PRODUCT_CLICKS?></td>
            </tr>
            <tr>
                <td class="td" colspan="2"><input type="checkbox" name="showZero" id="showZero" value="Y"><label
                            for="showZero"> <?php echo SHOW_PRODUCTS_WITH_ZERO_CLICKS?></label></td>
            </tr>
            <tr>
                <td class="td"><?php echo START_DATE?> :</td>
                <td class="td">
                    <?php echo getCalendarField(array(
                            'fieldName' => 'startDate',
                            'fieldValue' => date('Y-m-01')
                    ))?>
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo END_DATE?> :</td>
                <td class="td">
                    <?php echo getCalendarField(array(
                            'fieldName' => 'endDate',
                            'fieldValue' => date("Y-m-d", mktime(0, 0, 0, date("m") + 1, 0, date("Y")))
                    ))?>
                </td>
            </tr>

            <tr>
                <td class="td" colspan="2" align="center"><input type="submit" name="Enter" value="<?php echo VIEW?>"
                                                                 class="baseeffect"></td>
            </tr>
        </table>
    </form>

@endsection
