@extends('merchants.base')

@section('merchant-content')

    <h1>{{ MANAGE_MERCHANT_PRODUCTS }}</h1>

    <form name="F" action="merchant_controller.php" method="POST" onsubmit="return validateForm(this);" style="text-align:left">
        <input type="hidden" name="task" value="UserProduct">
        <input type="hidden" name="action" value="Add">
        <input type="hidden" name="return"
               value="merchant_user_add_product.php?categoryId=<?php echo $categoryId; ?>&productId=<?php echo $productId; ?>&">
        <input type="hidden" name="isValid" value="Y">
        <table width="650" cellspacing="1" cellpadding="5" align="center" class="mtable">
            <tr>
                <th colspan="2" class="th"><?php echo ADD_MERCHANT_PRODUCT?></th>
            </tr>

            <?php if ( $isVisitorSeller && $categoryId > 0 && $productId > 0 ) { ?>
            <?php $pLink = getProductPath($productId, $categoryId, $pRec['FILENAME']); ?>
            <input type="hidden" name="category" value="<?php echo $categoryId; ?>">
            <input type="hidden" name="product" value="<?php echo $productId; ?>">
            <tr>
                <td width="30%" class="td"><?php echo CATEGORY?> :</td>
                <td class="td"><?php echo getCategoryBreadCrumb($categoryId, ' &raquo; {TITLE} '); ?></td>
            </tr>
            <tr valign="top">
                <td class="td"><?php echo PRODUCT?> :</td>
                <td class="td">
                    <a href="<?php echo $pLink; ?>" class="link"><?php echo $pRec['TITLE']; ?></a>
                    <br><br>
                    <?php echo getProductThumbnail($productId, $pLink, $pRec['TITLE'], $categoryId, 120, 120, '', '', '', $pRec['IMAGE_URL'], $pRec['FILENAME']); ?>
                </td>
            </tr>
            <?php } else { ?>
            <tr>
                <td width="30%" class="td"><?php echo CATEGORY?> :</td>
                <td class="td">
                    <select name="category" class="meffect"
                            onChange="location.href='merchant_user_add_product.php?categoryId='+this.value"
                            style="width:400px;">
                        <option value=""><?php echo PLEASE_SELECT_A_CATEGORY?></option>
                        <?php getComboboxForCategory("0", "", $categoryId, 1); ?>
                    </select><font color="red">*</font>
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo PRODUCT?> :</td>
                <td class="td">
                    <select name="product" class="meffect" alt="select">
                        <option value="" selected><?php echo SELECT_ANY?></option>
                        <?php
                        $res1 = preparedQuery("SELECT ID, TITLE FROM " . PREFIX . "PRODUCT WHERE CATEGORY_ID = ? AND ISVALID = 'Y' ORDER BY TITLE", array($categoryId));
                        while ( $row1 = getRow($res1) )
                        {
                        ?>
                        <option value="<?php echo $row1["ID"]?>" <?php echo $productId == $row1['ID'] ? 'selected' : ''; ?>><?php echo $row1["TITLE"]?></option>
                        <?php
                        }
                        free($res1);
                        ?>
                    </select> <font color="red">*</font>
                </td>
            </tr>
            <?php } ?>

            <?php if ( $isVisitorSeller ) { ?>
            <input type="hidden" name="brand"
                   value="<?php echo $pRec['MANUFACTURER'] > 0 ? getColumn('BRAND', $pRec['MANUFACTURER']) : ''; ?>">
            <input type="hidden" name="detail_url" value="">
            <input type="hidden" name="buy_url" value="http://about:blank">
            <?php } else { ?>
            <tr>
                <td class="td"><?php echo BRAND?> :</td>
                <td class="td"><input type="text" size="35" maxlength="100" name="brand" class="meffect"
                                      value="<?php echo postVar('brand')?>"></td>
            </tr>
            <tr>
                <td class="td"><?php echo DETAIL_URL?> :</td>
                <td class="td"><input type="text" size="35" maxlength="255" name="detail_url" class="meffect"
                                      value="<?php echo postVar('detail_url', 'url')?>"></td>
            </tr>
            <tr>
                <td class="td"><?php echo BUY_URL?> :</td>
                <td class="td"><input type="text" size="35" maxlength="255" name="buy_url" class="meffect"
                                      alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_BUY_URL?>"
                                      value="<?php echo postVar('buy_url', 'url')?>"> <font color="red">*</font></td>
            </tr>
            <?php } ?>

            <tr>
                <td class="td"><?php echo PRICE?> :</td>
                <td class="td">
                    <input type="hidden" name="currSymbol" value="<?php echo SCRIPT_DOLLAR; ?>">
                    <?php if ( defined('IS_MERCHANT_PRICE_MULTI_CURRENCY_ENABLED') && IS_MERCHANT_PRICE_MULTI_CURRENCY_ENABLED == 1 ) { ?>
                    <?php echo str_replace('"effect"', '"meffect"', getCombobox('currId', 'CURRENCY', 'EXCHANGE_RATE', 'SYMBOL', $_POST['currId'] == '' ? SCRIPT_DOLLAR : $_POST['currId'], "ISVALID='Y'", 'TITLE', '', 'onchange="changedPrice()"')); ?>
                    <input type="text" size="10" maxlength="15" name="priceC" class="meffect"
                           value="<?php echo $_POST['priceC']?>" alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_PRICE; ?>"
                           onchange="changedPrice()">
                    <font color="red">*</font>
                    <div style="float:right;<?php echo $_POST['currId'] == '' || $_POST['currId'] == 1 ? 'display:none' : ''; ?>"
                         id="idBasePriceShow">
                        <?php echo PRICE . ' (' . SCRIPT_DOLLAR . '):'; ?>
                        <input type="text" size="10" maxlength="15" name="price" class="meffect"
                               value="<?php echo $_POST['price']?>" readonly
                               style="border:1px solid #eee;background-color:#fff">
                    </div>
                    <script type="text/javascript">
                        <!--
                        function changedPrice() {
                            var cs = $('[name=currId]>option:selected').html();
                            $('[name=currSymbol]').val(cs);
                            if (cs == '<?php echo SCRIPT_DOLLAR; ?>')
                                $('#idBasePriceShow').hide();
                            else
                                $('#idBasePriceShow').show();

                            exRate = $('[name=currId]').val();
                            exRate = exRate > 0 ? 1 / exRate : 1;
                            $('[name=price]').val(Math.round($('[name=priceC]').val() * exRate * 100) / 100);
                        }
                        //-->
                    </script>
                    <?php } else { ?>
                    <input type="text" size="10" maxlength="15" name="price" class="meffect"
                           value="<?php echo $_POST['price']?>" onchange="$('[name=priceC]').val(this.value);">
                    <input type="hidden" name="priceC" value="<?php echo $_POST['price']?>">
                    <font color="red">*</font>
                    <?php } ?>
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo QUANTITY?> :</td>
                <td class="td"><input type="text" size="5" maxlength="10" name="quantity" class="meffect"
                                      value="<?php echo postVar('quantity', 'int')?>"></td>
            </tr>

            <?php if ( $isVisitorSeller ) { ?>
            <input type="hidden" name="sellable" value="Y">
            <?php } else { ?>
            <tr>
                <td class="td"><?php echo DIMENSION?> :</td>
                <td class="td">
                    <input type="text" size="8" maxlength="10" name="dimensionLength" class="meffect"
                           value="<?php echo postVar('dimensionLength')?>"> x
                    <input type="text" size="8" maxlength="10" name="dimensionWidth" class="meffect"
                           value="<?php echo postVar('dimensionWidth')?>"> x
                    <input type="text" size="8" maxlength="10" name="dimensionHeight" class="meffect"
                           value="<?php echo postVar('dimensionHeight')?>">
                    <select name="dimensionUnit" class="meffect">
                        <?php echo getDimensionUnitComboOptions(postVar('dimensionUnit')) ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo WEIGHT?> :</td>
                <td class="td">
                    <input type="text" size="8" maxlength="10" name="weight" class="meffect"
                           value="<?php echo postVar('weight')?>">
                    <select name="weightUnit" class="meffect">
                        <?php echo getWeightUnitComboOptions(postVar('weightUnit')) ?>
                    </select>
                </td>
            </tr>
            <?php if ( defined('IS_SHOPPING_CART_INSTALLED') && IS_SHOPPING_CART_INSTALLED == 1 && $userRec['HAS_STORE'] == 'Y' ) { ?>
            <tr>
                <td class="td"><?php echo SELLABLE?> :</td>
                <td class="td">
                    <select name="sellable" size="1" class="meffect">
                        <option value="Y" <?php echo $_POST['sellable'] == 'Y' ? 'selected' : '' ?>><?php echo YES?></option>
                        <option value="N" <?php echo $_POST['sellable'] == 'N' ? 'selected' : '' ?>><?php echo NO?></option>
                    </select>
                </td>
            </tr>
            <?php } ?>
            <?php } ?>

            <tr>
                <td class="td"><?php echo SHIPPING?> :</td>
                <td class="td"><input type="text" size="35" maxlength="35" name="shipping" class="meffect"
                                      value="<?php echo postVar('shipping')?>"></td>
            </tr>

            <?php if ( !$isVisitorSeller ) { ?>
            <tr>
                <td class="td"><?php echo PART_NO?>:</td>
                <td class="td"><input type="text" size="35" maxlength="35" name="partNo" class="meffect"
                                      value="<?php echo postVar('partNo')?>"></td>
            </tr>
            <tr>
                <td class="td"><?php echo AVAILABILITY?>:</td>
                <td class="td"><input type="text" size="35" maxlength="50" name="isAvailable"
                                      value="<?php echo postVar('isAvailable')?>" class="meffect"></td>
            </tr>
            <?php } ?>

            <tr valign="top">
                <td class="td"><?php echo COMMENTS?> :</td>
                <td class="td"><textarea name="comment" maxlength="255" rows="5" cols="35"
                                         class="meffect"><?php echo postVar('comment', '', '', array('maxlen' => 255))?></textarea>
                </td>
            </tr>

            <?php if ( $isVisitorSeller ) { ?>
            <tr>
                <td class="td"><?php echo SELLING_MODE?> :</td>
                <td class="td">
                    <select name="contactSeller" size="1" class="meffect">
                        <option value="Y"><?php echo CONTACT_ME?></option>
                        <?php if ( defined('IS_SHOPPING_CART_INSTALLED') && IS_SHOPPING_CART_INSTALLED == 1 ) { ?>
                        <option value="N" <?php echo $_POST['contactSeller'] == 'N' ? 'selected' : '' ?>><?php echo SHOPPING_CART?></option>
                        <?php } ?>
                    </select>
                </td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_1 != '' ) { ?>
            <tr>
                <td class="th" colspan="2" height="5"></td>
            </tr>
            <tr>
                <td class="td"><?php echo USER_PRODUCT_FIELD_1?> :</td>
                <td class="td"><input type="text" size="50" name="userField1"
                                      value="<?php echo postVar('userField1') ?>" class="meffect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_2 != '' ) { ?>
            <tr>
                <td class="td"><?php echo USER_PRODUCT_FIELD_2?> :</td>
                <td class="td"><input type="text" size="50" name="userField2"
                                      value="<?php echo postVar('userField2') ?>" class="meffect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_3 != '' ) { ?>
            <tr>
                <td class="td"><?php echo USER_PRODUCT_FIELD_3?> :</td>
                <td class="td"><input type="text" size="50" name="userField3"
                                      value="<?php echo postVar('userField3') ?>" class="meffect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_4 != '' ) { ?>
            <tr>
                <td class="td"><?php echo USER_PRODUCT_FIELD_4?> :</td>
                <td class="td"><input type="text" size="50" name="userField4"
                                      value="<?php echo postVar('userField4') ?>" class="meffect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_5 != '' ) { ?>
            <tr>
                <td class="td"><?php echo USER_PRODUCT_FIELD_5?> :</td>
                <td class="td"><input type="text" size="50" name="userField5"
                                      value="<?php echo postVar('userField5') ?>" class="meffect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_6 != '' ) { ?>
            <tr>
                <td class="td"><?php echo USER_PRODUCT_FIELD_6?> :</td>
                <td class="td"><input type="text" size="50" name="userField6"
                                      value="<?php echo postVar('userField6') ?>" class="meffect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_7 != '' ) { ?>
            <tr>
                <td class="td"><?php echo USER_PRODUCT_FIELD_7?> :</td>
                <td class="td"><input type="text" size="50" name="userField7"
                                      value="<?php echo postVar('userField7') ?>" class="meffect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_8 != '' ) { ?>
            <tr>
                <td class="td"><?php echo USER_PRODUCT_FIELD_8?> :</td>
                <td class="td"><input type="text" size="50" name="userField8"
                                      value="<?php echo postVar('userField8') ?>" class="meffect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_9 != '' ) { ?>
            <tr>
                <td class="td"><?php echo USER_PRODUCT_FIELD_9?> :</td>
                <td class="td"><input type="text" size="50" name="userField9"
                                      value="<?php echo postVar('userField9') ?>" class="meffect"></td>
            </tr>
            <?php } ?>

            <tr>
                <td class="th" colspan="2" height="5"></td>
            </tr>

            <tr>
                <td align="center" class="td" colspan="2">
                    <table width="100%" cellspacing="0" cellpadding="5" align="center">
                        <tr>
                            <td align="center"><input type="submit" name="Submit" value="<?php echo ADD?>"
                                                      class="baseeffect"></td>
                        </tr>
                        <tr>
                            <td align="center"><input type="button" name="cancel" value="<?php echo _CLOSE?>"
                                                      class="baseeffect"
                                                      onClick="document.location = 'merchant_user_products.php?';"></td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </form>

    <?php if ( !$isVisitorSeller ) { ?>
    <center>| <a href="merchant_proposed_product_add.php" class="link"><?php echo IF_YOU_DONT_FIND?></a> |</center>
    <?php } ?>

@endsection
