@extends('merchants.base')

@section('merchant-content')

    <font class="large"><?php echo MERCHANT_PRODUCT_SALES_LISTING?></font><br><br>

    <table width="95%" cellspacing="1" cellpadding="3">
        <tr>
            <td align="right">
                <form method=get action="merchant_user_product_sales_list.php">
                    <b>
                        <?php echo SHOW_SALES?>
                        <?php echo FROM?>: <?php echo getCalendarField(array(
                                'fieldName' => 'startDate',
                                'fieldValue' => $startDate
                        ))?>
                        <?php echo TO?>: <?php echo getCalendarField(array(
                                'fieldName' => 'endDate',
                                'fieldValue' => $endDate
                        ))?>
                    </b>
                    <input type="submit" value="<?php echo GO?>" class="baseeffectEx"> /
                    <input type="button" value="<?php echo SHOW_ALL?>"
                           onclick="location.href='merchant_user_product_sales_list.php?showAll=1'"
                           class="baseeffectEx"> /
                    <input type="button" value="<?php echo THIS_MONTH?>"
                           onclick="location.href='merchant_user_product_sales_list.php'" class="baseeffectEx">

                </form>
            </td>
        </tr>
    </table>

    <table width="95%" cellspacing="1" cellpadding="3" class="table">
        <tr>
            <th width="5%" rowspan="2" class="th"><?php echo ID?></th>
            <th width="20%" rowspan="2" class="th"><?php echo VISITOR?></th>
            <th colspan="2" class="th"><?php echo ORDER?></th>
            <th colspan="2" class="th"><?php echo COMMISSION?></th>
            <th width="20%" rowspan="2" class="th"><?php echo STATUS?></th>
        </tr>
        <tr>
            <th width="7%" class="th"><?php echo ORDER_NO?></th>
            <th width="20%" class="th"><?php echo DATETIME?></th>
            <th width="10%" class="th"><?php echo RATE?></th>
            <th width="10%" class="th"><?php echo AMOUNT?></th>
        </tr>
        <?php
        $args = array($merchantId);
        $subSql = '';

        if ($startDate != '') {
            $subSql .= "AND SALE_DATE >= ? ";
            $args[] = $startDate;
        }

        if ($endDate != '') {
            $subSql .= "AND SALE_DATE <= ? ";
            $args[] = $endDate;
        }

        $res = breakPages("SELECT * FROM " . PREFIX . "USER_PRODUCT_SALE WHERE MERCHANTID = ? " . $subSql . " ORDER BY SALE_DATE DESC, SALE_TIME DESC, ORDER_NO", '', 0, $args);
        while ( ($row = getRow($res)) )
        {
        ?>
        <tr bgcolor="<?php echo $i % 2 == 0 ? "#EEEEEE" : "white"?>">
            <td align="center" class="td"><?php echo $row['ID']?></td>
            <td align="center"
                class="td"><?php echo $row['VISITORID'] == 0 ? 'n/a' : getColumn("VISITORINFO", $row['VISITORID'], "NAME", "USERID")?></td>
            <td align="center" class="td"><?php echo $row['ORDER_NO']?></td>
            <td align="center" class="td"><?php echo formatDateTime($row['SALE_DATE'] . ' ' . $row['SALE_TIME'])?></td>
            <td align="center"
                class="td"><?php echo $row['COMMISSION_RATE_IS_PERCENTAGE'] == 'Y' ? $row['COMMISSION_RATE'] . '%' : getFormattedPrice($row['COMMISSION_RATE'], SCRIPT_DOLLAR)?></td>
            <td align="center" class="td"><?php echo getFormattedPrice($row['COMMISSION_AMOUNT'], SCRIPT_DOLLAR)?></td>
            <td align="center" class="td" id="idStatus_<?php echo $row['ID']?>">
                <?php
                if ( $row['APPROVED'] == 'Y' )
                {
                    echo APPROVED;
                }
                elseif ($row['DECLINE_REASON'] != '') {
                    echo $row['DECLINE_REASON'];
                }
                else
                {
                ?>
                <select name="sts_<?php echo $row['ID']?>" class="effect"
                        onchange="ppsChangeStatus(<?php echo $row['ID']?>, this.value);">
                    <option value=""><?php echo CHANGE_STATUS?></option>
                    <option value="Approve"><?php echo APPROVE_SALES?></option>
                    <?php foreach ( $PPS_DECLINE_REASONS as $opt ) { ?>
                    <option value="<?php echo $opt?>"><?php echo DECLINE_SALES . ': ' . $opt?></option>
                    <?php } ?>
                </select>
                <?php
                }
                ?>
            </td>
        </tr>
        <?php        }
        free($res);
        ?>
    </table>

    <?php echo makePages('merchant_user_product_sales_list.php?showAll=' . $showAll . '&startDate=' . $startDate . '&endDate=' . $endDate . '&')?>

    <a href="merchant_user_product_sales.php"><img src="<?php echo SCRIPT_ROOT?>merchant/images/icon_back.gif" border=0
                                                   alt="" align="absmiddle"> <?php echo GO_BACK_SALES_PAGE?></a>

    <script language="JavaScript">
        <!--
        function ppsChangeStatus(id, status) {
            showPopWait('<?php echo SHOW_POPUP_FOR_LOADING?>');

            getContentFromUrl("<?php echo SCRIPT_ROOT?>merchant/merchant_user_product_sales_status_ajax.php?id=" + id + "&status=" + status, $("#idStatus_" + id).get(0), "GET", "", "hidePop();");
        }
        //-->
    </script>

@endsection
