@extends('merchants.base')

@section('merchant-content')

    <div style="text-align:center">

        <div class="well">
            <div style="height:32px; line-height:32px; color:#4C4C4C;" class="large"><?php echo $merchantName?></div>
            <?php if ( !$isVisitorSeller ) { ?>
            <center>
                <div class="MerchantLogoBox">
                    <div style="padding-top:3px;">
                        <?php if ( file_exists(PATH . "upload/merchant/" . $merchantId . ".jpg") ) { ?>
                        <img src="<?php echo SCRIPT_ROOT . 'thumbnail.php?h=85&f=' . urlencode("upload/merchant/" . $merchantId . ".jpg")?>"
                             border="0" alt="<?php echo $merchantName?>">
                        <?php } ?>
                    </div>
                </div>
            </center>
            <?php } ?>
        </div>

        <?php if ( !$isVisitorSeller ) { ?>
        <div style="width:450px; float:left; text-align:left;">
            <?php
            if ($userRec['ISFEATURED'] != 'Y') {
                echo '<b><font color="brown">' . YOU_ARE_NOT_FEATURED . '</font>';
                if ($userRec['ISFEATURED_REQUESTED'] == 'Y')
                    echo ' <b><font color="purple">' . BUT_YOU_HAVE_REQUESTED . '</font></b>';
                else
                    echo ' <a href="merchant_become_featured.php" class="linkBold">' . CLICK_HERE_TO_BECOME_FEATURED . '</a></b>';
            } else
                echo '<b><font color="green">' . YOU_ARE_ALREADY_FEATURED . '</font></b>';
            ?>
        </div>
        <?php } ?>
        <div style="width:450px; float:right; text-align:right;">
            <b><?php echo LAST_LOGIN?></b> : <?php echo formatDateTime($merchantLastLogin) ?>
        </div>
        <div style="clear:both; height:10px;"></div>

        <?php if ( !$isVisitorSeller ) { ?>
        <div class="row">
            <div class="col-xs-12 col-md-3">
                <div class="MerHomeBox">
                    <div class="Heading"><?php echo REPORTS?></div>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/merchant_footprints_form.php'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_footprints_form.php"><?php echo CLICKTHROUGHS_YEARLY?></a>
                    </div>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/merchant_footprints_form.php'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_footprints_form.php"><?php echo CLICKTHROUGHS_MONTHLY?></a>
                    </div>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/rep_all_product_clicks.php'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/rep_all_product_clicks.php"><?php echo CLICKTHROUGHS_PRODUCT_WISE?></a>
                    </div>
                    <div class="MemberBoxItem">
                        &nbsp; &nbsp;<?php echo MONTHLY_BUDGET_BALANCE?>
                        : <?php echo getFormattedPrice(getMerchantMonthlyBalance($merchantId), SCRIPT_DOLLAR, 1)?>
                    </div>
                </div>
            </div>
            <div class="col-xs-12 col-md-3">
                <div class="MerHomeBox">
                    <div class="Heading"><?php echo PRODUCT_LISTINGS?></div>
                    <div class="MemberBoxItem">
                        &nbsp; &nbsp;<?php echo ACTIVE_LISTINGS?>: <?php echo $activeListings?>
                    </div>
                    <div class="MemberBoxItem">
                        &nbsp; &nbsp;<?php echo INACTIVE_LISTINGS?>: <?php echo $inactiveListings?>
                    </div>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/merchant_user_products.php'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_user_products.php"><?php echo VIEW_ALL_LISTINGS?></a>
                    </div>
                    <?php if ( !$isVisitorSeller ) { ?>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/merchant_url_request.php'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_url_request.php"><?php echo PROVIDE_FEED_LOCATION?></a>
                    </div>
                    <?php } ?>
                </div>
            </div>
            <div class="col-xs-12 col-md-3">
                <div class="MerHomeBox">
                    <div class="Heading"><?php echo PROFILE?></div>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/merchant_profile.php'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_profile.php"><?php echo EDIT_PROFILE?></a>
                    </div>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/merchant_profile_info.php'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_profile_info.php"><?php echo EDIT_PROFILE_INFO?></a>
                    </div>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/merchant_rating.php'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_rating.php"><?php echo YOUR_RATINGS?></a>
                    </div>
                    <?php if ( !defined('APPLY_TAX_RATES_ON_SOURCE_LOCATION') || APPLY_TAX_RATES_ON_SOURCE_LOCATION == 0 ) { ?>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/merchant_user_tax.php'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_user_tax.php"><?php echo YOUR_TAX_RATES?></a>
                    </div>
                    <?php } ?>
                </div>
            </div>
            <div class="col-xs-12 col-md-3">
                <div class="MerHomeBox">
                    <div class="Heading"><?php echo BILLING?></div>
                    <?php if ( IS_MERCHANTBID_INSTALLED != 0 && IS_MERCHANTBID_USED_FOR_CPC == 0 ) { ?>
                    <div class="MemberBoxItem" style="cursor:pointer;">
                        <b><?php echo CURRENT_MAX_BID_AMOUNT?></b> <font
                                color="red"><?php echo getFormattedPrice(getColumn("USER_PRODUCT", $merchantId, "MAX(BID_AMOUNT)", "USERID"), SCRIPT_DOLLAR, 1) ?></font>
                        <a href="merchant_bid_update_amount.php" class="link"><i>...<?php echo EDIT?></i></a>
                    </div>
                    <div class="MemberBoxItem" style="cursor:pointer;">
                        <b><?php echo CURRENT_BALANCE?></b> <font
                                color="red"><?php echo getFormattedPrice($currentBalance, SCRIPT_DOLLAR, 1) ?></font> <a
                                href="merchant_bid_payment.php" class="link"><i>...<?php echo DEPOSIT?></i></a>
                    </div>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/merchant_bid_clickthroughs_form.php'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_bid_clickthroughs_form.php"><?php echo VIEW_CLICKTHROUGHS?></a>
                    </div>
                    <?php } else { ?>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/merchant_footprints_form.php'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_footprints_form.php"><?php echo VIEW_CLICKTHROUGHS?></a>
                    </div>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/merchant_account_balance.php'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_account_balance.php"><?php echo ACCOUNT_BALANCE?></a>
                    </div>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/merchant_clickthroughs_payment_options.php?merchantId=<?php echo $merchantId?>'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_clickthroughs_payment_options.php?merchantId=<?php echo $merchantId?>"><?php echo DEPOSIT_FUNDS?></a>
                    </div>
                    <?php } ?>
                    <div class="MemberBoxItem" style="cursor:pointer;"
                         onclick="location.href='<?php echo SCRIPT_ROOT?>merchant/merchant_change_package.php'">
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_change_package.php"><?php echo CHANGE_PLANS?></a><br>
                        <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_payments.php"><?php echo VIEW_OLD_PAYMENTS?></a>
                    </div>
                </div>
            </div>
        </div>

        <div class="normal" style="text-align:center;margin-top:1em"><?php echo PLEASE_USE_LINKS?></div>
        <?php } ?>

    </div>

@endsection
