<div class="mobile-menu">
    <button class="m-menu-close pull-right" aria-label="{{ NAVIGATION }}">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
    </button>
    @if( defined('IS_IN_DEMO_MODE') && IS_IN_DEMO_MODE == 1 && count($DEMO_INSTALLED_TEMPLATES) > 1 )
    <div style="clear:both;padding-left:10px;">
        Change Theme:<br>
        <select onchange="location.href='{{ SCRIPT_ROOT }}_theme.php?tt='+this.value;" title="Select theme">
            @foreach( $DEMO_INSTALLED_TEMPLATES as $key => $val )
            <option value="{{ $key }}" {{ $key == $templateName . '~' . $themeName ? 'selected' : '' }}>{{ $val }}</option>
            @endforeach
        </select>
        <br>
        <font size="1">(for demo only)</font><br>
    </div>
    @endif
    <div style="clear:both;height:10px;"></div>
    <div style="padding:10px">
        {!! $currencyString !!}
        <div style="height:10px"></div>
        {!! $languageString !!}
    </div>
    <ul class="nav nav-stacked">
        <li><a href="{{ getSeoUrl('/') }}"><span class="glyphicon glyphicon-home"></span> {{ HOME }}
            </a></li>
        <li>
            <a href="#" data-toggle="collapse" data-target="#navCats"><span
                        class="glyphicon glyphicon-list-alt"></span> {{ CATEGORIES }} <span
                        class="caret"></span></a>
            <ul id="navCats" class="nav nav-list collapse">
                <?php
                if ( is_array($arrLeftCat) )
                {
                $dex = 0;
                $subCatsHtml = '';
                foreach ( $arrLeftCat as $cat_rec )
                {
                if ($dex++ >= 9)
                    break;
                $cLink = getCategoryPath($cat_rec['ID'], $cat_rec['FILENAME']);
                ?>
                <li><a href="{{ $cLink }}">{{ $cat_rec['TITLE'] }}</a></li>
                <?php
                }

                if ($dex > 9)
                    echo '<li><a href="' . getSeoUrl('category_taxonomy') . '">' . SEE_MORE . '...</a></li>';
                }
                ?>
            </ul>
        </li>
        <li><a href="javascript:loadLoginBox();"><span
                        class="glyphicon glyphicon-user"></span> {{ VISITOR_AREA }}</a></li>
        @if( defined('IS_COUPONS_INSTALLED') && IS_COUPONS_INSTALLED == 1 )
        <li><a href="{{ getSeoUrl('coupons_category') }}"><span
                        class="glyphicon glyphicon-tags"></span> {{ COUPONS }}</a></li>
        @endif
        @if( defined('IS_CASHBACK_INSTALLED') && IS_CASHBACK_INSTALLED == 1 )
        <li><a href="{{ getSeoUrl('cashbacks') }}"><span
                        class="glyphicon glyphicon-usd"></span> {{ CASHBACKS }}</a></li>
        @endif
        @if( cacheLivePart('show-shopping-cart-link') )
        <li><a href="{{ getSeoUrl('merchant_store_cart_view') }}"><span
                        class="glyphicon glyphicon-shopping-cart"></span> {{ SHOPPING_CART }}
                <div style="text-align:center;font-size:10px;">( {{ cacheLivePart('shopping-cart-summary') }} )</div>
            </a></li>
        @endif
        <li><a href="{{ getSeoUrl('aboutus') }}"><span
                        class="glyphicon glyphicon-info-sign"></span> {{ ABOUT_US }}</a></li>
        <li><a href="{{ getSeoUrl('contactus') }}"><span
                        class="glyphicon glyphicon-envelope"></span> {{ CONTACT_US }}</a></li>
        <li><a href="{{ getSeoUrl('faq') }}"><span
                        class="glyphicon glyphicon-question-sign"></span> {{ FAQ }}</a></li>
    </ul>
</div>