@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <center><h1><?php echo NEWS?></h1></center>

    <div class="bold" style="text-align:right;">
        <?php echo SELECT_ARCHIVE?> :
        <select name="archive" class="baseeffectEx" onchange="location.href='<?php echo SCRIPT_ROOT; ?>news.php?archive='+this.value">
            <?php echo $archOpts?>
        </select>
        <br>
    </div>

    <?php
    while ( ($row = getRow($resWNewsPg)) )
    {
    $imgTag = '';
    if ( file_exists('upload/news/'.$row['ID'].'.jpg') )
    {
        $imgTag = '<img src="'.getReadFileLink('upload/news/'.$row['ID'].'.jpg').'" border=0 alt="'.$row['HEADLINE'].'" title="'.$row['HEADLINE'].'" align="left" style="padding:10px;">';
    }
    ?>
    <a name="<?php echo 'news'.$row['ID']?>"></a>
    <h4><?php echo formatDate($row['NEWS_DATE'], 'd/m/Y')?>: <?php echo $row['HEADLINE']?></h4>
    <?php echo $imgTag?>
    <?php echo $row['DESCRIPTION']?>
    <br><br>
    <div class="HrSep"></div>
    <br>
    <?php
    }
    ?>

    <?php
    if ( $newsId != '' )
    {
    ?>
    <table width="95%" border="0" cellpadding="0" cellspacing="3" class="table">
        <?php
        foreach ( $arrComments as $row )
        {
        ?>
        <tr>
            <td colspan="2"><hr></tr>
        </tr>
        <tr>
            <td class="td" width="200"><b><?php echo PERSON_NAME?>:</b></td>
            <td class="td" width="80%"><?php echo  $row['NAME'] ?></td>
        </tr>
        <tr>
            <td class="td"><b><?php echo LOCATION?>:</b></td>
            <td class="td"><?php echo  $row['LOCATION'] ?></td>
        </tr>
        <tr>
            <td class="td"><b><?php echo _DATE?>:</b></td>
            <td class="td"><?php echo  formatDate($row["DATE_ADDED"]) ?></td>
        </tr>
        <tr>
            <td class="td" colspan="2"><b><?php echo COMMENTS?>:</b></td>
        </tr>
        <tr>
            <td class="td" colspan="2"><?php echo  nl2br($row["REVIEW"]) ?></td>
        </tr>
        <?php
        }

        if (count($arrComments) == 0 )
        {
        ?>
        <tr>
            <td class="td" colspan="2" align="center"><b><br><br><?php echo NO_COMMENTS_FOUND?></b></td>
        </tr>
        <?php
        }
        ?>
    </table>
    <br>

    <?php
    if ( defined('DO_WRITE_NEWS_COMMENTS_WITHOUT_LOGIN') && DO_WRITE_NEWS_COMMENTS_WITHOUT_LOGIN == 0 && $visitorId == '' )
    {
    ?>
    <a href="<?php echo getSeoUrl('member_login', 'return='.urlencode($return))?>" class="link"><?php echo CLICK_HERE_FOR_COMMENTS?></a>
    <?php
    }
    else
    {
    ?>
    <form name="frmComments" action="<?= SCRIPT_ROOT; ?>news_controller.php" method="POST" onsubmit="return validateFormEx(this)">
        <input type="hidden" name="task" 		value="UserComments">
        <input type="hidden" name="action" 		value="Add">
        <input type="hidden" name="return" 		value="<?= $_SERVER['REQUEST_URI'] ?>&">
        <input type="hidden" name="newsId"		value="<?= $newsId ?>">

        <table width="80%" border="0" cellpadding="5" cellspacing="1" class="table" align="center">
            <tr>
                <td class="th" align="left" colspan="2"><?php echo COMMENT_ON_THIS_ARTICLE?></td>
            </tr>
            <?php if ( $visitorId == '' ) { ?>
            <tr>
                <td class="td" align="left"><b><?php echo YOUR_NAME?></b></td>
                <td class="td" align="left"><input type="text" name="visitorName" value="<?php echo postVar('visitorName', '', $commentRow['USER_NAME'])?>" size="30" maxlength="50" class="effect"></td>
            </tr>
            <tr>
                <td class="td" align="left"><b><?php echo CITY; ?></b></td>
                <td class="td" align="left"><input type="text" name="visitorCity" value="<?php echo postVar('visitorCity', '', $commentRow['USER_CITY'])?>" size="30" maxlength="50" class="effect"></td>
            </tr>
            <tr>
                <td class="td" align="left"><b><?php echo STATE; ?></b></td>
                <td class="td" align="left"><input type="text" name="visitorState" value="<?php echo postVar('visitorState', '', $commentRow['USER_STATE'])?>" size="30" maxlength="50" class="effect"></td>
            </tr>
            <tr>
                <td class="td" align="left"><b><?php echo COUNTRY; ?></b></td>
                <td class="td" align="left"><?php echo  countryDropDown(postVar('visitorCountry', '', $commentRow['USER_COUNTRY']), 'visitorCountry') ?></td>
            </tr>
            <?php } else { ?>
        <!-- <tr>
					<td class="td" align="left"><b><?php echo USER_ID?></b></td>
					<td class="td" align="left"><b><?php echo $visitorId?></b></td>
				</tr> -->
            <?php } ?>
            <tr>
                <td class="td" colspan="2" align="center">
                    <B><?= COMMENTS ?></B>
                    <br>
                    <textarea name="review" maxlength="255" cols="55" rows="8" class="effect"><?php echo  postVar('review', '', $commentRow['REVIEW'], array('maxlen'=>255)) ?></textarea>
                </td>
            </tr>
            <tr>
                <td class="td" colspan="2" align="center">
                    <?php showCaptcha() ?>
                </td>
            </tr>
            <tr>
                <td class="td" colspan="2" align="center">
                    <input type="submit" name="submitIt" Value=" <?php echo SUBMIT; ?> " class="baseeffect">
                </td>
            </tr>
        </table>
    </form>
    <?php
    }
    ?>

    <script type="text/javascript" language="JavaScript" src="<?php echo getResourceUrl('news.js.php', 'js', false, false)?>"></script>
    <?php
    }
    ?>

@endsection
