<div id="idNLContent" style="display:none">

    <div id="idNLMsgs" style="display:none"></div>

    <form id="frmNewsletter" name="frmNewsletter" action="<?= SCRIPT_ROOT ?>" method="POST"
          onSubmit="return newsletterSubmitForm()" class="form-horizontal" role="form">
        <input type="hidden" name="return" value="newsletter-subscribe.php?">
        <input type="hidden" name="isSubscribed" value="Y">

        <div class="auto-only mb-2 text-spacious"><?= SIGN_UP_FOR_NEWSLETTER_AUTO_POP_WRITEUP ?></div>

        <div class="form-group" data-field="email">
            <label for="idNLEmail" class="col-sm-4 control-label"><?= EMAIL_ADDRESS ?></label>
            <div class="col-sm-8">
                <input type="email" class="form-control" id="idNLEmail" name="email" onfocus="newsletterPopEmailFocus()"
                       placeholder="<?php echo JSMSG_PLEASE_PROVIDE_EMAIL_ADDRESS?>" title="<?= EMAIL_ADDRESS ?>">
                <div class="form-text alert-field text-danger text-left"></div>
            </div>
        </div>
        <div class="form-group auto-pre-hide" data-field="fname">
            <label for="idFName" class="col-sm-4 control-label"><?= FIRST_NAME ?></label>
            <div class="col-sm-8">
                <input type="text" class="form-control" id="idFName" name="fname"
                       placeholder="<?php echo JSMSG_PLEASE_PROVIDE_FIRST_NAME?>" title="<?= FIRST_NAME ?>">
                <div class="form-text alert-field text-danger text-left"></div>
            </div>
        </div>
        <div class="form-group auto-pre-hide" data-field="lname">
            <label for="idLName" class="col-sm-4 control-label"><?= LAST_NAME ?></label>
            <div class="col-sm-8">
                <input type="text" class="form-control" id="idLName" name="lname"
                       placeholder="<?php echo JSMSG_PLEASE_PROVIDE_LAST_NAME?>" title="<?= LAST_NAME ?>">
                <div class="form-text alert-field text-danger text-left"></div>
            </div>
        </div>
        <div class="form-group auto-pre-hide">
            <div class="col-sm-8 col-sm-offset-4">
                <!-- Commented below so that the actual script does not get called here, and we can call it in pop-win for the 1st time -->
            <!--GOOGLE_RECAPTCHA_START <?php showCaptcha() ?> GOOGLE_RECAPTCHA_END-->
            </div>
        </div>
        <?php
        $resNL = executeQuery("SELECT ID, TITLE FROM " . PREFIX . "MAILINGLIST_CATEGORY WHERE ISVALID='Y' ORDER BY TITLE");
        if ( getTotalRows($resNL) > 1 )
        {
        ?>
        <div class="form-group auto-pre-hide">
            <label for="idCats" class="col-sm-4 control-label"><?php echo MAILING_CATEGORIES?></label>
            <div class="col-sm-8">
                <select name="categories[]" size="5" class="effect" multiple style="width:200px;">
                    <?php
                    while ( ($rowNL = getRow($resNL)) )
                    {
                    ?>
                    <option value="<?php echo $rowNL['ID']?>"><?php echo $rowNL['TITLE']?></option>
                    <?php
                    }
                    ?>
                </select>
            </div>
        </div>
        <?php
        }
        else
        {
        if ( ($rowNL = getRow($resNL)) )
        {
        ?>
        <input type="hidden" name="categories[]" value="<?php echo $rowNL['ID']?>">
        <?php
        }
        }
        ?>

        <div rel="relFormOutput" class="form-text alert-form"></div>

    </form>

    <script type="text/javascript">
        <!--
        function newsletterSubmitForm() {
            newsletterSubmit();
            return false;
        }
        //-->
    </script>

    <div style="clear:both;"></div>
</div>