@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <div style="text-align:center">

        <form name="F" action="newsletter-subscribe.php?" method="POST" onSubmit="return validateForm(this);">
            <input type="hidden" name="return" value="newsletter-subscribe.php?">
            <table width="450" cellspacing="1" cellpadding="5" align="center" class="table">
                <tr>
                    <td class="th" colspan="2"><?php echo MAILING_HEADING?></td>
                </tr>
                <tr>
                    <td class="td" align="left"><?php echo FIRST_NAME?></td>
                    <td class="td"><input type="text" size="30" maxlength="100" name="fname" value="<?php echo postVar('fname')?>" class="effect" alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_FIRST_NAME?>"></td>
                </tr>
                <tr>
                    <td class="td" align="left"><?php echo LAST_NAME?></td>
                    <td class="td"><input type="text" size="30" maxlength="100" name="lname" value="<?php echo postVar('lname')?>" class="effect" alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_LAST_NAME?>"></td>
                </tr>
                <tr>
                    <td class="td" align="left"><?php echo MAILING_EMAIL?></td>
                    <td class="td"><input type="text" size="30" maxlength="255" name="email" value="<?php echo postVar('email')?>" class="effect" alt="email||<?php echo JSMSG_PLEASE_PROVIDE_EMAIL_ADDRESS?>"></td>
                </tr>
                <tr>
                    <td class="td" valign="top" colspan="2">
                        <?php echo MAILING_CATEGORIES?><br><br>
                        <div style="text-align:center">
                            <select name="categories[]" size="5" class="effect" multiple style="width : 275px;">
                                @foreach( $arrMailinglistCategories as $row )
                                <option value="{{ $row['ID'] }}">{{ $row['TITLE'] }}</option>
                                @endforeach
                            </select><br>
                            <font size='1'><?php echo MULTIPLE_SELECT_INSTRUCTION?></font>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="td" valign="top" colspan="2">
                        <input type="radio" name="isSubscribed" value="Y" checked><?php echo SUBSCRIBE?> &nbsp;&nbsp;&nbsp;<input type="radio" name="isSubscribed" value="N"><?php echo UNSUBSCRIBE?>
                    </td>
                </tr>
                <tr>
                    <td class="td" colspan="2">
                        <?php showCaptcha() ?>
                    </td>
                </tr>
                <tr>
                    <td class="td" colspan="2" align="center"><input type="submit" name="btnAdd" value="<?php echo SUBMIT; ?>" class="baseeffect"></td>
                </tr>
            </table>
        </form>

    </div>

@endsection
