@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <div class="row align-left">
        <div class="col-sm-offset-2 col-sm-8">

            <center><h1><?php echo PARTNERSHIP?></h1></center>

            <p><?php echo $pageWriteup; ?></p>

            <form method="POST" action="partnership_process.php" onsubmit="return validateForm(this);"
                  class="form-horizontal" role="form">

                <div class="form-group">
                    <label class="col-sm-4 control-label"><?php echo SITE_NAME?></label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control" name="sitename" value="<?php echo postVar('sitename')?>"
                               placeholder="<?php echo JSMSG_PLEASE_PROVIDE_SITE_NAME?>" required>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-4 control-label"><?php echo SITE_URL?></label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control" name="siteurl" value="<?php echo postVar('siteurl')?>"
                               placeholder="<?php echo JSMSG_PLEASE_PROVIDE_SITE_URL?>" required>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-4 control-label"><?php echo CONTACT_NAME?></label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control" name="contactname"
                               value="<?php echo postVar('contactname')?>"
                               placeholder="<?php echo JSMSG_PLEASE_PROVIDE_CONTACT_NAME?>" required>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-4 control-label"><?php echo CONTACT_EMAIL?></label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control" name="contactemail"
                               value="<?php echo postVar('contactemail')?>"
                               placeholder="<?php echo JSMSG_PLEASE_PROVIDE_EMAIL_ADDRESS?>" required>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-4 control-label"><?php echo SHORT_DESCRIPTION?></label>
                    <div class="col-sm-8">
                        <textarea name="shortdescription" maxlength="255" class="form-control" rows="3"
                                  placeholder="<?php echo SHORT_DESCRIPTION?>"
                                  required><?php echo postVar('shortdescription', '', '', array('maxlen' => 255))?></textarea>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-4 control-label"><?php echo INTERESTED_IN?></label>
                    <div class="col-sm-8">
                        <input type="checkbox" name="LinkExchange" value="LinkExchange"> <?php echo LINK_EXCHANGE?><br>
                        <input type="checkbox" name="BannerExchange"
                               value="BannerExchange"> <?php echo BANNER_EXCHANGE?><br>
                        <input type="checkbox" name="AddPriceGuide" value="AddPriceGuide">
                        <i><?php echo ADD_PRICE_GUIDE?></i><br>
                        <input type="checkbox" name="ShareContents"
                               value="ShareContents"> <?php echo SHARE_MY_CONTENTS?><br>
                        <input type="checkbox" name="Other" value="Other"> <?php echo OTHER_WRITE_DETAIL?><br><br>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-4 control-label"><?php echo COMMENTS_OR_QUESTIONS?></label>
                    <div class="col-sm-8">
                        <textarea name="comments" maxlength="255" class="form-control" rows="3"
                                  placeholder="<?php echo COMMENTS_OR_QUESTIONS?>"><?php echo postVar('comments', '', '', array('maxlen' => 255))?></textarea>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-8 col-sm-offset-4" style="text-align:right;">
                        <?php showCaptcha() ?>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-12" style="text-align:right;">
                        <button type="reset" class="btn btn-default btn-lg"><?php echo _RESET; ?></button>
                        <button type="submit" class="btn btn-primary btn-lg"><?php echo SUBMIT; ?></button>
                    </div>
                </div>

            </form>
            <?= QUESTIONS_OR_GENERAL_INFO ?>: <a href="<?php echo getSeoUrl('contactus')?>"
                                                 class="link"><?php echo CONTACT_US?></a>

        </div>
    </div>

@endsection
