@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    @if( defined('SHOW_18PLUS_WARNING_ON_MARKED_RECORDS') && SHOW_18PLUS_WARNING_ON_MARKED_RECORDS == 1 && isset($categoryRec['IS_18PLUS']) && $categoryRec['IS_18PLUS'] == 'Y' && $_SESSION['allow18plus'] == '' )
        @push('footer-scripts')
        <script type="text/javascript">
            <!--
            $(document).ready(function () {
                showModal('<?php echo handleSingleQuote4JS(ARE_YOU_SURE); ?>', '<?php echo handleSingleQuote4JS(WARNING_18_PLUS_TEXT); ?>', '<button type="button" class="btn btn-danger" onclick="enter18plus()"><?php echo handleSingleQuote4JS(WARNING_18_PLUS_YES); ?></button> <button type="button" class="btn btn-info" onclick="location.href=\'<?php echo SCRIPT_ROOT; ?>\'"><?php echo handleSingleQuote4JS(WARNING_18_PLUS_NO); ?></button>', false, false, true);
            });

            function enter18plus() {
                hideModal();
                getContentFromUrl("<?php echo SCRIPT_ROOT; ?>ajax-set-18-plus.php?set=1", $("#divTempConent").get(0), "GET", "", "");
            }
            //-->
        </script>
        @endpush
    @endif

    @if( !$isSearch )
        <div class="hidden-xs" style="position:absolute;margin-top:-25px;left:auto;right:10px;">
            <a href="<?= SCRIPT_ROOT ?>rss_products_listing.php?categoryId=<?= $categoryId ?>"
               target="_blank"
               class="catbold">RSS <img src="<?php echo getResourceUrl('rssfeedicon.gif', 'images')?>" width="17"
                                        height="17" border=0 alt="RSS"></a>
        </div>
        @if( isset($categoryRec['DETAIL']) && $categoryRec['DETAIL'] != '' )
            <div class="well">
                {!! $categoryRec['DETAIL'] !!}
                <br/><br/>
            </div>
        @endif
    @endif

    <!-- used to load search suggestions or popular/featured products in case of empty results -->
    <div id="idFullSearchPage">

        <div class="row">
            <div class="col-xs-12 col-md-3">
                @if( isset($doHideFilters) && $doHideFilters == 1 )
                    <div style="text-align:center" class="hidden-xs hidden-sm">
                        <br><br>
                        <br><br>
                        {!! getBanner(1000, 'L1', $categoryTitle) !!}
                        <br><br>
                        {!! getBanner(1000, 'L1', $categoryTitle) !!}
                        <br><br>
                        {!! getBanner(1000, 'L1', $categoryTitle) !!}
                        <br><br>
                    </div>
                @else
                    <?php include PATH . 'filters.php' ?>
                @endif
            </div>
            <div class="col-xs-12 col-md-9 align-left">
                <?php include PATH . 'products_listing.php'; ?>
            </div>
        </div>

    </div> <!-- #idFullSearchPage -->

@endsection
