@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <div class="row">

        <div class="col-xs-12">
            <div class="well"><h2><?php echo $merchantName . ' - ' . REVIEWS?></h2></div>
        </div>

        <div class="col-xs-12 col-md-3 pull-right">
            <div class="well">
                <div class="ProdThumbBox" style="margin:auto;">
                    <a href="<?php echo getMerchantPath($userId, '', '', $uiRec['FILENAME'])?>"><img
                                src="<?php echo $merchantImage?>" border="0" alt="<?php echo $merchantName?>"
                                title="<?php echo $merchantName?>"></a>
                </div>
                <br>
                <div style="text-align:left; line-height:25px; text-align:center;">
                    <b><?php echo AVERAGE?>:</b> <?php echo getMerchantRating($userId, $avgRating)?>
                    <font size=1><?php echo $avgRating?>/10</font>
                    <br>
                    <?php echo TOTAL?> <?php echo $noOfRecords?> <?php echo REVIEW_S?><br>
                    <br>
                    <a href="javascript:showReviewBox();">
                        <button class="btn btn-lg btn-dark2"><span
                                    class="glyphicon glyphicon-edit"></span> <?php echo REVIEW?></button>
                    </a>
                </div>
            </div>
        </div>

        <div class="col-xs-12 col-md-9">
            <?php
            foreach ( $ratingArr as $row )
            {
            ?>
            <div class="well">
                <div class="col-xs-12 col-sm-12 col-md-9 col-lg-9">
                    <?php echo BY?> <b><?php echo $row['NAME']?></b>
                    <?php echo $row['LOCATION'] == '' ? '' : '(' . FROM . ' <b>' . $row['LOCATION'] . '</b>)'?>
                    <?php echo ON?> <b><i><?php echo formatDate($row['DATE_ADDED'])?></i></b>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3">
                    <?php echo getMerchantRating($userId, $row['RATING'])?>
                    <?php echo $row['RATING']?>/10
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                    <div class="DivHr"></div>
                    <?php echo nl2br($row['REVIEW']) ?>
                    <div style="clear:both;height:10px"></div>
                    <?php
                    if ( IS_MERCHANT_EX_RATING_INSTALLED == 1 )
                    {
                    $resXF = executeQuery("SELECT ID, FIELD_NAME FROM " . PREFIX . "USER_RATING_EX_FIELDS ORDER BY FIELD_NAME");
                    while ( ($rowXF = getRow($resXF)) )
                    {
                    $fldNm = $rowXF['FIELD_NAME'];
                    $resXF1 = preparedQuery("SELECT FIELD_LABEL FROM " . PREFIX . "USER_RATING_EX_FIELDS_LANG WHERE FIELD_ID = ? AND LANGUAGE_ID = ?", array($rowXF['ID'], $lang));
                    $rowXF1 = getRow($resXF1);
                    $fldLb = $rowXF1['FIELD_LABEL'];
                    ?>
                    <div class="col-xs-4 control-label"><?php echo $fldLb; ?></div>
                    <div class="col-xs-8"><?php echo $row[$rowXF['FIELD_NAME']]; ?>/10</div>
                    <div style="clear:both;height:5px"></div>
                    <?php
                    }
                    }
                    ?>
                </div>
                <div style="clear:both;"></div>
            </div>
            <?php
            }

            if ( $noOfRecords == 0 )
            {
            ?>
            <div class="well"><?php echo NO_REVIEW_FOUND?></div>
            <div style="clear:both; height:10px;"></div>
            <?php
            }
            ?>

        </div>

    </div>

    <script type="text/javascript"
            src="<?php echo getResourceUrl('user_rating.js.php?userId=' . $userId . '&orderId=' . $orderId . '&', 'js', false, false)?>"></script>

@endsection
