@if( DO_WRITE_REVIEW_WITHOUT_LOGIN == 0 && $visitorId == '' )

    <a href="javascript:loadLoginBox(doShowReviewBox);" class="link"><?php echo INFO_17?></a>

@else

    <form action="" method="POST" onsubmit="return submitReview(this);" class="form-horizontal" role="form">
        <input type="hidden" name="task" value="UserMerchantReview">
        <input type="hidden" name="action" value="Add">
        <input type="hidden" name="userId" value="<?php echo $userId?>">
        <input type="hidden" name="orderId" value="<?php echo $orderId?>">

        <div class="panel panel-default panel-primary">
            <div class="panel-heading"><h2><?php echo REVIEW_THIS_MERCHANT?></h2></div>
            <div class="panel-body">

                <?php if ( $visitorId != '' ) { ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label"><?php echo YOUR_NAME?></label>
                    <div class="col-sm-8"><input type="text" class="form-control" name="name"
                                                 value="<?php echo $visitorName?>" disabled></div>
                </div>
                <?php } else { ?>
                <div class="form-group">
                    <label for="visitorName" class="col-sm-4 control-label"><?php echo YOUR_NAME?></label>
                    <div class="col-sm-8"><input type="text" class="form-control" id="visitorName" name="visitorName"
                                                 value="<?php echo $ratingRow['USER_NAME']?>"></div>
                </div>
                <div class="form-group">
                    <label for="visitorCity" class="col-sm-4 control-label"><?php echo CITY; ?></label>
                    <div class="col-sm-8"><input type="text" class="form-control" id="visitorCity" name="visitorCity"
                                                 value="<?php echo $ratingRow['USER_CITY']?>"></div>
                </div>
                <div class="form-group">
                    <label for="visitorState" class="col-sm-4 control-label"><?php echo STATE; ?></label>
                    <div class="col-sm-8"><input type="text" class="form-control" id="visitorState" name="visitorState"
                                                 value="<?php echo $ratingRow['USER_STATE']?>"></div>
                </div>
                <div class="form-group">
                    <label for="visitorCountry" class="col-sm-4 control-label"><?php echo COUNTRY; ?></label>
                    <div class="col-sm-8"><?php echo str_replace("class='effect'", "class='form-control'", countryDropDown($ratingRow['visitorCountry'], 'visitorCountry')) ?></div>
                </div>
                <?php } ?>

                <div class="form-group">
                    <label for="rating" class="col-sm-4 control-label"><?php echo RATING?></label>
                    <div class="col-sm-8">
                        <select id="rating" name="rating" size="1" class="form-control">
                            <option value="1" <?php echo $ratingRow['RATING'] == 1 ? "selected" : '' ?>><?php echo RATING_1?></option>
                            <option value="2" <?php echo $ratingRow['RATING'] == 2 ? "selected" : '' ?>><?php echo RATING_2?></option>
                            <option value="3" <?php echo $ratingRow['RATING'] == 3 ? "selected" : '' ?>><?php echo RATING_3?></option>
                            <option value="4" <?php echo $ratingRow['RATING'] == 4 ? "selected" : '' ?>><?php echo RATING_4?></option>
                            <option value="5" <?php echo $ratingRow['RATING'] == 5 ? "selected" : '' ?>><?php echo RATING_5?></option>
                            <option value="6" <?php echo $ratingRow['RATING'] == 6 ? "selected" : '' ?>><?php echo RATING_6?></option>
                            <option value="7" <?php echo $ratingRow['RATING'] == 7 ? "selected" : '' ?>><?php echo RATING_7?></option>
                            <option value="8" <?php echo $ratingRow['RATING'] == 8 ? "selected" : '' ?>><?php echo RATING_8?></option>
                            <option value="9" <?php echo $ratingRow['RATING'] == 9 ? "selected" : '' ?>><?php echo RATING_9?></option>
                            <option value="10"<?php echo $ratingRow['RATING'] == 10 ? "selected" : '' ?>><?php echo RATING_10?></option>
                        </select>
                    </div>
                </div>

                <?php
                if ( IS_MERCHANT_EX_RATING_INSTALLED == 1 )
                {
                $resXF = executeQuery("SELECT ID, FIELD_NAME FROM " . PREFIX . "USER_RATING_EX_FIELDS ORDER BY FIELD_NAME");
                while ( ($rowXF = getRow($resXF)) )
                {
                $fldNm = $rowXF['FIELD_NAME'];
                $resXF1 = preparedQuery("SELECT FIELD_LABEL FROM " . PREFIX . "USER_RATING_EX_FIELDS_LANG WHERE FIELD_ID = ? AND LANGUAGE_ID = ?", array($rowXF['ID'], $lang));
                $rowXF1 = getRow($resXF1);
                $fldLb = $rowXF1['FIELD_LABEL'];
                ?>
                <div class="form-group">
                    <label for="rating" class="col-sm-4 control-label"><?php echo $fldLb; ?></label>
                    <div class="col-sm-8">
                        <select id="rating" name="<?php echo $rowXF['FIELD_NAME']; ?>" size="1" class="form-control">
                            <option value="1" <?php echo $ratingRow[$rowXF['FIELD_NAME']] == 1 ? "selected" : '' ?>><?php echo RATING_1?></option>
                            <option value="2" <?php echo $ratingRow[$rowXF['FIELD_NAME']] == 2 ? "selected" : '' ?>><?php echo RATING_2?></option>
                            <option value="3" <?php echo $ratingRow[$rowXF['FIELD_NAME']] == 3 ? "selected" : '' ?>><?php echo RATING_3?></option>
                            <option value="4" <?php echo $ratingRow[$rowXF['FIELD_NAME']] == 4 ? "selected" : '' ?>><?php echo RATING_4?></option>
                            <option value="5" <?php echo $ratingRow[$rowXF['FIELD_NAME']] == 5 ? "selected" : '' ?>><?php echo RATING_5?></option>
                            <option value="6" <?php echo $ratingRow[$rowXF['FIELD_NAME']] == 6 ? "selected" : '' ?>><?php echo RATING_6?></option>
                            <option value="7" <?php echo $ratingRow[$rowXF['FIELD_NAME']] == 7 ? "selected" : '' ?>><?php echo RATING_7?></option>
                            <option value="8" <?php echo $ratingRow[$rowXF['FIELD_NAME']] == 8 ? "selected" : '' ?>><?php echo RATING_8?></option>
                            <option value="9" <?php echo $ratingRow[$rowXF['FIELD_NAME']] == 9 ? "selected" : '' ?>><?php echo RATING_9?></option>
                            <option value="10"<?php echo $ratingRow[$rowXF['FIELD_NAME']] == 10 ? "selected" : '' ?>><?php echo RATING_10?></option>
                        </select>
                    </div>
                </div>
                <?php
                }
                }
                ?>

                <div class="form-group">
                    <label for="review" class="col-sm-4 control-label"><?php echo COMMENTS?></label>
                    <div class="col-sm-8">
                        <textarea class="form-control" maxlength="255" id="review" name="review"
                                  required><?php echo $ratingRow['REVIEW']?></textarea>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-8 col-sm-offset-4">
                        <?php showCaptcha() ?>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-12" style="text-align:right;">
                        <button type="reset" class="btn btn-default btn-lg"><?php echo _RESET; ?></button>
                        <button type="submit" class="btn btn-primary btn-lg"><?php echo SUBMIT; ?></button>
                    </div>
                </div>

            </div>

        </div>

    </form>

@endif