<?php
        // Age restriction for sensitive categories
        $restrictedCategories = ["Lingerie", "Bra"];
        $currentCategory = $_GET['category'] ?? '';

        // Show age verification if restricted
        if (in_array($currentCategory, $restrictedCategories)) {
            echo "
            <script>
                const userConfirmed = confirm('This section contains sensitive content. Are you 18 or older?');
                if (!userConfirmed) {
                    alert('You must be 18 or older to view this content.');
                    window.location.href = '/landing_pages/'; // Redirect to a safe page
                }
            </script>
            ";
        }
        ?>
        <div id="filters">
            <h2>Filters for <?= htmlspecialchars($currentCategory) ?></h2>
            <label>Price:</label> <input type="range" id="price-slider" min="0" max="1000"><br>
            <label>Brand:</label>
            <select id="brands">
                <option value="">All Brands</option>
                <option value="Brand1">Brand1</option>
                <option value="Brand2">Brand2</option>
            </select>
        </div>
        <div id="results"></div>

        <script>
            $('#filters').on('change', function () {
                const price = $('#price-slider').val();
                const brand = $('#brands').val();

                $.ajax({
                    url: '/api/multi_network_api.php',
                    method: 'POST',
                    data: JSON.stringify({ category: 'Fashion', price, brand }),
                    contentType: 'application/json',
                    success: function (data) {
                        $('#results').html(data.map(product => `
                            <div>
                                <h3>${product.name}</h3>
                                <p>Price: ${product.price}</p>
                                <p>Brand: ${product.brand}</p>
                            </div>
                        `).join(''));
                    }
                });
            });
        </script>