<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require('path.php');
require(PATH . 'include/include.php');

//*************************************************************************************************

$json = (object)[
    'short_name'       => 'PCS',
    'name'             => 'Price Comparison',
    'icons'            => [
        (object)[
            'src'   => getResourceUrl('icon180.png', 'images'),
            'type'  => 'image/png',
            'sizes' => '180x180',
        ],
        (object)[
            'src'   => getResourceUrl('icon512.png', 'images'),
            'type'  => 'image/png',
            'sizes' => '512x512',
        ],
    ],
    'start_url'        => SCRIPT_ROOT,
    'background_color' => '#a3c86d',
    'display'          => 'standalone',
    'theme_color'      => '#ff7857',
];

echo json_encode($json);

