#!/bin/bash
printf "\n-------------------------\nStarting autofeed cronjob for price update\n%s\n" $(date +'%Y-%m-%d_%H:%M:%S')
printf "\n-------------------------\nStarting autofeed cronjob for price update\n%s\n" $(date +'%Y-%m-%d_%H:%M:%S') >> /var/www/html/admin/cronjobs/autofeed_execution_price.log

cd /var/www/html/

printf "\nChanging permissions of logs"
sudo chown -Rf www-data:www-pub logs/

printf "\nExecuting Autofeed"
php admin/autofeed_cronjob_ssh.php -force -only-update-price
sleep 10
printf "\nFinished Autofeed"

printf "\nChanging permissions of logs"
sudo chown -Rf www-data:www-pub logs/


printf "\nFinished autofeed cronjob for price update\n%s\n-------------------------\n" $(date +'%Y-%m-%d_%H:%M:%S')
printf "\nFinished autofeed cronjob for price update\n%s\n-------------------------\n" $(date +'%Y-%m-%d_%H:%M:%S') >> /var/www/html/admin/cronjobs/autofeed_execution_price.log
