<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");
		require (PATH."products_listing_functions.php");
		require ("cronjob_include.php"); 

//*************************************************************************************************

		$loadFromProdSrc= $prefPrdSrc['BASE_PRODUCT_SOURCE'];

//*************************************************************************************************

		if ( $prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_MYSQL )
			die("No API source active... Exiting job!");

//*************************************************************************************************

		set_time_limit(0);

//*************************************************************************************************

		$featKwds	= $prefPrdSrc['FEATURED_KEYWORDS'];
		$popKwds	= $prefPrdSrc['POPULAR_KEYWORDS'];

//*************************************************************************************************

		echo "<font face=Verdana size=2>Cleaning up old data...\n\n";flush();
		executeUpdate("TRUNCATE TABLE ".PREFIX."API_SOURCE_PRODUCT_CACHE");
		echo "DONE<br><br>\n\n";flush();

//*************************************************************************************************

		echo "Calculating parameters to search...\n\n";flush();

		$arrFIds	= array();
		$arrFKwds	= array();
		$temp		= explode(',', $featKwds);
		foreach ( $temp as $t )
		{
			$t = trim($t);
			list($op, $cod) = explode(':', $t);
			if ( $op == 'ID' )
				$arrFIds[] = trim($cod);
			else
				$arrFKwds[] = trim($t);
		}

		$arrPIds	= array();
		$arrPKwds	= array();
		$temp		= explode(',', $popKwds);
		foreach ( $temp as $t )
		{
			$t = trim($t);
			list($op, $cod) = explode(':', $t);
			if ( $op == 'ID' )
				$arrPIds[] = trim($cod);
			else
				$arrPKwds[] = trim($t);
		}

		echo "DONE<br><br>\n\n";

		echo "Featured keywords = ".count($arrFKwds)."<br>\n\n";
		echo "Featured Product Ids = ".count($arrFIds)."<br>\n\n";
		echo "Popular keywords = ".count($arrPKwds)."<br>\n\n";
		echo "Popular Product Ids = ".count($arrPIds)."<br>\n\n<font size=1 color=gray>";
		flush();

//*************************************************************************************************

		if ( count($arrFKwds) > 0 )
		{
			foreach ( $arrFKwds as $kwd )
			{
				echo "<br>Searching '".$kwd."' for featured...<br>\n\n";flush();

				$msg = '';
				$ret = pcsProductsListing($msg, true, '', $kwd, '', 'T', '', '', array(), array(), array(), array(), 0, 0, array(), '', array());

				if ( !is_array($ret) || !isset($ret['RESULTS']) || !is_array($ret['RESULTS']) )
				{
					echo " - Failed [$msg]<br>\n\n";
					continue;
				}

				foreach ( $ret['RESULTS'] as $row )
				{
					executeUpdate("INSERT INTO ".PREFIX."API_SOURCE_PRODUCT_CACHE(TYPE, CAT_ID, API_ID, LINK_ID, TITLE, MIN_PRICE, MAX_PRICE, STORE_COUNT, RATING, DETAIL, IMAGE_URL) VALUES('F', '".handleSingleQuote($row['CID'])."', '".handleSingleQuote($row['ID'])."', '".handleSingleQuote($row['LINK_ID'])."', '".handleSingleQuote($row['TITLE'])."', ".((float)$row['PRICE_MIN']).", ".((float)$row['PRICE_MAX']).", ".((int)$row['STORE_COUNT']).", ".((int)$row['RATING']).", '".handleSingleQuote($row['DETAIL'])."', '".handleSingleQuote($row['IMAGE_URL'])."')");
					echo " - Product Added: '".$row['TITLE']."'...<br>\n\n";
				}
			}
		}

//*************************************************************************************************

		if ( count($arrFIds) > 0 )
		{
			foreach ( $arrFIds as $id )
			{
				echo "<br>Loading '".$id."' for featured...<br>\n\n";flush();

				$msg = '';
				$row = loadProductDetailsFromApi($msg, $prefPrdSrc, $id);

				if ( !is_array($row) )
				{
					echo " - Failed [$msg]<br>\n\n";
					continue;
				}

				executeUpdate("INSERT INTO ".PREFIX."API_SOURCE_PRODUCT_CACHE(TYPE, CAT_ID, API_ID, LINK_ID, TITLE, MIN_PRICE, MAX_PRICE, STORE_COUNT, RATING, DETAIL, IMAGE_URL) VALUES('F', '".handleSingleQuote($row['CID'])."', '".handleSingleQuote($row['ID'])."', '".handleSingleQuote($row['LINK_ID'])."', '".handleSingleQuote($row['TITLE'])."', ".((float)$row['PRICE_MIN']).", ".((float)$row['PRICE_MAX']).", ".((int)$row['STORE_COUNT']).", ".((int)$row['RATING']).", '".handleSingleQuote($row['DETAIL'])."', '".handleSingleQuote($row['IMAGE_URL'])."')");
				echo " - Product Added: '".$row['TITLE']."'...<br>\n\n";
			}
		}

//*************************************************************************************************

		if ( count($arrPKwds) > 0 )
		{
			foreach ( $arrPKwds as $kwd )
			{
				echo "<br>Searching '".$kwd."' for popular...<br>\n\n";flush();

				$msg = '';
				$ret = pcsProductsListing($msg, true, '', $kwd, '', 'T', '', '', array(), array(), array(), array(), 0, 0, array(), '', array());

				if ( !is_array($ret) || !isset($ret['RESULTS']) || !is_array($ret['RESULTS']) )
				{
					echo " - Failed [$msg]<br>\n\n";
					continue;
				}

				foreach ( $ret['RESULTS'] as $row )
				{
					executeUpdate("INSERT INTO ".PREFIX."API_SOURCE_PRODUCT_CACHE(TYPE, CAT_ID, API_ID, LINK_ID, TITLE, MIN_PRICE, MAX_PRICE, STORE_COUNT, RATING, DETAIL, IMAGE_URL) VALUES('P', '".handleSingleQuote($row['CID'])."', '".handleSingleQuote($row['ID'])."', '".handleSingleQuote($row['LINK_ID'])."', '".handleSingleQuote($row['TITLE'])."', ".((float)$row['PRICE_MIN']).", ".((float)$row['PRICE_MAX']).", ".((int)$row['STORE_COUNT']).", ".((int)$row['RATING']).", '".handleSingleQuote($row['DETAIL'])."', '".handleSingleQuote($row['IMAGE_URL'])."')");
					echo " - Product Added: '".$row['TITLE']."'...<br>\n\n";
				}
			}
		}

//*************************************************************************************************

		if ( count($arrPIds) > 0 )
		{
			foreach ( $arrPIds as $id )
			{
				echo "<br>Loading '".$id."' for popular...<br>\n\n";flush();

				$msg = '';
				$row = loadProductDetailsFromApi($msg, $prefPrdSrc, $id);

				if ( !is_array($row) )
				{
					echo " - Failed [$msg]<br>\n\n";
					continue;
				}

				executeUpdate("INSERT INTO ".PREFIX."API_SOURCE_PRODUCT_CACHE(TYPE, CAT_ID, API_ID, LINK_ID, TITLE, MIN_PRICE, MAX_PRICE, STORE_COUNT, RATING, DETAIL, IMAGE_URL) VALUES('P', '".handleSingleQuote($row['CID'])."', '".handleSingleQuote($row['ID'])."', '".handleSingleQuote($row['LINK_ID'])."', '".handleSingleQuote($row['TITLE'])."', ".((float)$row['PRICE_MIN']).", ".((float)$row['PRICE_MAX']).", ".((int)$row['STORE_COUNT']).", ".((int)$row['RATING']).", '".handleSingleQuote($row['DETAIL'])."', '".handleSingleQuote($row['IMAGE_URL'])."')");
				echo " - Product Added: '".$row['TITLE']."'...<br>\n\n";
			}
		}

//*************************************************************************************************

		echo "</font><br><b>FINISHED!!!</b><br>\n\n";flush();
		die;

//*************************************************************************************************

		function loadProductDetailsFromApi(&$msg, $prefPrdSrc, $productId)
		{
			// Load shopzilla product information
			if ( $prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_SHOPZILLA )
			{
				require_once (PATH."include/include_shopzilla.php");

				$msg = '';
				$szRes = pcsShopzillaProductInfo($msg, $productId);

				if ( !is_array($szRes) )
					return '';

				list($cat, $prod, $arrPrices) = $szRes;

				return $prod;
			}

			// Load amazon product information
			if ( $prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_AMAZON )
			{
				require_once (PATH."include/include_amazon_ecs.php");

				$msg = '';
				$amzRes = pcsAmazonProductInfo($msg, $productId);

				if ( !is_array($amzRes) )
					return '';

				list($cat, $prod, $arrPrices) = $amzRes;

				return $prod;
			}

			// Load kelkoo product information
			if ( $prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_KELKOO )
			{
				require_once (PATH."include/include_kelkoo.php");

				$msg = '';
				$kkRes = pcsKelkooProductInfo($msg, '', $productId, $cat['KELKOO_ID']);

				if ( !is_array($kkRes) )
					return '';

				list($cat, $prod, $arrPrices) = $kkRes;

				return $prod;
			}

			// Load sdc product information
			if ( $prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_SDC )
			{
				require_once (PATH."include/include_sdc.php");

				$msg = '';
				$sdcRes = pcsSDCProductInfo($msg, '', $productId);

				if ( !is_array($sdcRes) )
					return '';

				list($cat, $prod, $arrPrices) = $sdcRes;

				return $prod;
			}

			// Load affwin product information
			if ( $prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_AFFWIN )
			{
				require_once (PATH."include/include_affwin.php");

				$msg = '';
				$apiRes = pcsAffWinProductInfo($msg, $productId);

				if ( !is_array($apiRes) )
					return '';

				list($cat, $prod, $arrPrices) = $apiRes;

				return $prod;
			}

			// Load nextag product information
			if ( $prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_NEXTAG )
			{
				require_once (PATH."include/include_nextag.php");

				$msg = '';
				$nextagRes = pcsNexTagProductInfo($msg, $productId);

				if ( !is_array($nextagRes) )
					return '';

				list($cat, $prod, $arrPrices) = $nextagRes;

				return $prod;
			}

			// Load zanox product information
			if ( $prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_ZANOX )
			{
				require_once (PATH."include/include_zanox.php");

				$msg = '';
				$zanoxRes = pcsZanoxProductInfo($msg, $productId);

				if ( !is_array($zanoxRes) )
					return '';

				list($cat, $prod, $arrPrices) = $zanoxRes;

				return $prod;
			}
		}

//*************************************************************************************************
