<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		// If product count then can use CATEGORY LAST LEVEL
		$doCount		= isset($_GET['doCount']) && $_GET['doCount'] == '1' ? 1 : 0;

//*************************************************************************************************

		// Can use cache on product count
		if ( $doCount == 1 )
			define('USE_CACHE_4_BREADCRUMB', 1);
		else
			define('USE_CACHE_4_BREADCRUMB', 0);

//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php"); 
		require ("cronjob_include.php"); 

//*************************************************************************************************

		set_time_limit(0);

//*************************************************************************************************

//		$evalProdCounts	= $prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_MYSQL ? 1:0;
// 1/7/2016: Mamda: we must evaluate products count if mysql is selected to show, whether as base or not, otherwise profiling wont work
		$evalProdCounts	= $prefPrdSrc['SHOW_PRODUCTS_FROM_MYSQL'] == 1;

//*************************************************************************************************

		// Empty Table
		if ( $_GET['doEmpty'] == '' )
			executeQuery("DELETE FROM ".PREFIX."CATEGORY_BREADCRUMB");
		
//*************************************************************************************************

		if ( !defined('IS_IN_SSH') || IS_IN_SSH == 0 )
			echo "<html><head><meta http-equiv='Content-Type' content='text/html; charset=".DEFAULT_CHARSET."'></head><body onLoad=\"reloadPage();\"><font face='verdana' size='2'>\nWill calculate PRODUCT COUNT...? <b>".($evalProdCounts?"YES":"NO")."</b><br>";
		else
			echo "\nWill calculate PRODUCT COUNT...? [".($evalProdCounts?"YES":"NO")."]\n";
		
		if ( ( defined('IS_IN_SSH') && IS_IN_SSH == 1 ) || $doCount == 0 )
			saveLastLevelCategory(0, '', '');

		if ( $evalProdCounts )
		{
			if ( $doCount == 0 )
				getReloader(($_GET['breakCount']+1), 1);

			if ( !defined('IS_IN_SSH') || IS_IN_SSH == 0 )
				echo "<br><br><font size=3>Now Calculating Product Counts</font><br><br>";
			else
				echo "\n\nNow Calculating Product Counts\n\n";

			saveCategoryProductCount(0);
		}
		
		if ( !defined('IS_IN_SSH') || IS_IN_SSH == 0 )
			echo "</font></body></html>";
		else
			echo "\n";

//*************************************************************************************************

		function getReloader($count, $doCount=0)
		{
			if ( !defined('IS_IN_SSH') || IS_IN_SSH == 0 )
			{
				echo "
					<font color='red'>Breaking: <a href=\"cronjob_category_lastlevel.php?doEmpty=N&breakCount=".$count."&doCount=".$doCount."\">".$count."</a></font><br><br>
					<script language='JavaScript'>
					<!--
					function reloadPage()
					{
						setTimeout(\"location.href='cronjob_category_lastlevel.php?doEmpty=N&breakCount=".$count."&doCount=".$doCount."'\", 1000);
					}
					//-->
					</script>";
				die;
			}
			else
			{
				$_GET['breakCount'] = $count;
				saveLastLevelCategory(0, '', '');
			}
		}

//*************************************************************************************************

		function saveLastLevelCategory($parentId, $categoryText, $seoPath)
		{
			global $evalProdCounts;

			$storeCountSql	= '';
			if ( defined('DO_HIDE_PRODUCT_WITH_0_STORES') && DO_HIDE_PRODUCT_WITH_0_STORES == 1 )
				$storeCountSql	= " AND STORE_COUNT>0";

			$breakCount = (int)$_GET['breakCount'];
			if ( $breakCount == 0 )
				$breakCount = 1;

			if ( $parentId == 0 )
				$doBreak = 1;
			else
			{
				// 7/29/2009: On large databases this portion get stuck
				// So comment from here
/*				$liveChildList	= getLastLevelChildList($parentId, $categoryText);
				$resX1			= executeQuery("SELECT COUNT(ID) AS C FROM ".PREFIX."PRODUCT WHERE CATEGORY_ID IN (".implode(',', $liveChildList).") AND ISVALID='Y'".$storeCountSql);
				$rowX1			= getRow($resX1);
				$products		= (int)$rowX1['C'];
				executeUpdate("UPDATE ".PREFIX."CATEGORY SET PRODUCTS=".$products." WHERE ID='".$parentId."'");
*/				// Till here

				echo $parentId.' | ';
				flush();
//				sleep(1);
			}

			$result = executeQuery("SELECT ID, TITLE, FILENAME FROM ".PREFIX."CATEGORY WHERE PARENT_ID = '".$parentId."' AND ISVALID = 'Y' ORDER BY ID");

			if ( getTotalRows($result) > 0 )
			{
				// Save mid level bread crumbs
				if ( $parentId > 0 )
				{
					if ( $evalProdCounts )
					{
						$resX1		= executeQuery("SELECT COUNT(ID) AS C FROM ".PREFIX."PRODUCT WHERE CATEGORY_ID = ".$parentId." AND ISVALID='Y'".$storeCountSql);
						$products	= 0;
						if ( ($rowX1 = getRow($resX1)) )
							$products = (int)$rowX1['C'];
					}
					else
						$products	= 0;

					$sql			= "INSERT INTO ".PREFIX."CATEGORY_BREADCRUMB(ID, BREADCRUMB, SEO_URL_PATH, PRODUCTS, ISLEAF) VALUES('".$parentId."', '".str_replace("'", "''", $categoryText)."', '".$seoPath."', '".$products."', 0)";
					executeUpdate($sql);

					if ( !defined('IS_IN_SSH') || IS_IN_SSH == 0 )
						echo "<br><font color='green'>Saving Breadcrumb: ".$categoryText." [".$products."] - MID</font><br><br>";
					else
						echo "\n\nSaving Breadcrumb: ".$categoryText." [".$products."] - MID\n\n";
				}

				$count	= 0;
				$catArr = array();
				while ( ($row = getRow($result)) )
				{
					if ( $row['ID'] == 0 )
						continue;

					if ( $doBreak == 1 )
					{
						$count++;

						if ( $count < $breakCount )
							continue;

						elseif ( $count > $breakCount )
						{
							free($result);
							getReloader($count);
							return;
						}

						else
						{
							if ( !defined('IS_IN_SSH') || IS_IN_SSH == 0 )
								echo "<font color='blue'>Setting breadcrumb for: ".$row['ID']."</font><br><br>";
							else
								echo "Setting breadcrumb for: ".$row['ID']."\n\n";

							saveLastLevelCategory($row['ID'], $categoryText.' &raquo; '.$row['TITLE'], $seoPath.$row['FILENAME'].'/');
						}
					}
					else
					{
						array_push($catArr, $row);
					}

				}
				free($result);

				if ( $doBreak == 1 )
				{
					if ( !defined('IS_IN_SSH') || IS_IN_SSH == 0 )
						echo "<hr><font color='blue'>Finished</font><br><br>";
					else
						echo "\n----------------------------------------------------\nFinished\n\n";
				}
				else
				{
					foreach ( $catArr as $row )
						saveLastLevelCategory($row['ID'], $categoryText.' &raquo; '.$row['TITLE'], $seoPath.$row['FILENAME'].'/');
				}
			}
			elseif ( $parentId > 0 )
			{
				$categoryText	= str_replace("'", "''", $categoryText);

//				IS_VALID is not used
//				$products		= getColumn("PRODUCT", $parentId, "COUNT(ID)", "CATEGORY_ID");

				if ( $evalProdCounts )
				{
					$resX1		= executeQuery("SELECT COUNT(ID) AS C FROM ".PREFIX."PRODUCT WHERE CATEGORY_ID = ".$parentId." AND ISVALID='Y'".$storeCountSql);
					$products	= 0;
					if ( ($rowX1 = getRow($resX1)) )
						$products = (int)$rowX1['C'];
				}
				else
					$products	= 0;


				$sql			= "INSERT INTO ".PREFIX."CATEGORY_BREADCRUMB(ID, BREADCRUMB, SEO_URL_PATH, PRODUCTS, ISLEAF) VALUES('".$parentId."', '".$categoryText."', '".$seoPath."', '".$products."', 1)";
				executeUpdate($sql);

				if ( !defined('IS_IN_SSH') || IS_IN_SSH == 0 )
					echo "<br><font color='green'>Saving Breadcrumb: ".$categoryText." [".$products."] - LEAF</font><br><br>";
				else
					echo "\n\nSaving Breadcrumb: ".$categoryText." [".$products."] - LEAF\n\n";

				free($result);
				return;
			}
		}

//*************************************************************************************************

		function saveCategoryProductCount($catId, $parentList='', $categoryText='')
		{
			if ( $catId > 0 )
			{
				$resX1		= executeQuery("SELECT SUM(PRODUCTS) AS C FROM ".PREFIX."CATEGORY_BREADCRUMB WHERE ID='".$catId."' OR BREADCRUMB LIKE '".str_replace("'", "''", $categoryText)." &raquo; %'");
				$rowX1		= getRow($resX1);
				$products	= (int)$rowX1['C'];

				executeUpdate("UPDATE ".PREFIX."CATEGORY SET PRODUCTS=".$products.", PARENTS_LIST='".$parentList."' WHERE (ID='".$catId."' AND LINK_CAT_ID=0) OR LINK_CAT_ID='".$catId."'");
				if ( !defined('IS_IN_SSH') || IS_IN_SSH == 0 )
					echo " (".$products.")</font><br><br>\n";
				else
					echo " (".$products.")\n\n";
			}

			$res = executeQuery("SELECT ID, TITLE FROM ".PREFIX."CATEGORY WHERE PARENT_ID = '".$catId."' AND ISVALID = 'Y' ORDER BY ID");
			while ( ($row = getRow($res)) )
			{
				if ( !defined('IS_IN_SSH') || IS_IN_SSH == 0 )
					echo "<font color='blue'>Calculating count for: ".$row['ID']." - ".$row['TITLE'];
				else
					echo "Calculating count for: ".$row['ID']." - ".$row['TITLE'];

				saveCategoryProductCount($row['ID'], $parentList.' '.$row['ID'], $categoryText." &raquo; ".$row['TITLE']."");
			}
			free($res);
		}

//*************************************************************************************************
