<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php"); 

//*************************************************************************************************

		set_time_limit(0);

//*************************************************************************************************

		// Empty Table
		if ( !isset($_GET['doEmpty']) )
			executeQuery("DELETE FROM ".PREFIX."CATEGORY_MANUFACTURER");
		
//*************************************************************************************************

		echo "<html><head><meta http-equiv='Content-Type' content='text/html; charset=".DEFAULT_CHARSET."'></head><body onLoad=\"reloadPage();\"><font face='verdana' size='2'><b>Manufacturer list started</b><br><br>\n";

//*************************************************************************************************

		$res = executeQuery("SELECT ID, TITLE FROM ".PREFIX."CATEGORY WHERE ISVALID='Y' ORDER BY TITLE");
		while ( ($row = getRow($res)) )
		{
			echo "<br>Writing manufacturers for category ".$row['TITLE']."...\n";
			flush();

			$childIds	= getChildCategoryList($row['ID'],  $row['TITLE']);

			if ( !is_array($childIds) || count($childIds) == 0 )
			{
				echo "SKIPPING NO CHILD";
				continue;
			}

			$res2		= executeQuery("SELECT DISTINCT(MANUFACTURER) AS MANUFACTURER_ID FROM ".PREFIX."PRODUCT WHERE CATEGORY_ID IN (".implode(',', $childIds).") AND ISVALID='Y' AND MANUFACTURER <> 0");
			while ( ($row2 = getRow($res2)) )
			{
				$row2['MANUFACTURER_ID'] = (int)$row2['MANUFACTURER_ID'];

				if ( $row2['MANUFACTURER_ID'] == 0 )
					continue;
				
				$manufacturer = getColumn('BRAND', $row2['MANUFACTURER_ID']);

				if ( $manufacturer != '' )
					executeUpdate("INSERT INTO ".PREFIX."CATEGORY_MANUFACTURER (ID, CATEGORY_ID, MANUFACTURER_ID, MANUFACTURER) VALUES('".getNextId("CATEGORY_MANUFACTURER")."', '".$row['ID']."', '".$row2['MANUFACTURER_ID']."', '".handleSingleQuote($manufacturer)."')");
				else
					echo "Manufacturer name empty [ID: ".$row2['MANUFACTURER']."]<br>\n";
			}
		}

//*************************************************************************************************

		echo "<br><br><b>Manufacturer list ended</b>\n</font></body></html>";

//*************************************************************************************************
?>