<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require_once 'cronjob_constants.php';

//*************************************************************************************************

$adminLangId     = sessionVar( 'sessAdminLang' );
$adminLangFolder = sessionVar( 'sessAdminLangFolder' );

if ( $adminLangId == '' || $adminLangFolder == '' ) {
	$adminLangId     = SCRIPT_DEFAULT_LANGUAGE;
	$adminLangFolder = getColumn( 'LANGUAGE', $adminLangId, 'FOLDER' );

	if ( $adminLangFolder != '' ) {
		$_SESSION['sessAdminLang']       = $adminLangId;
		$_SESSION['sessAdminLangFolder'] = $adminLangFolder;
	}
}

//*************************************************************************************************

$scriptFilename = $_SERVER['PHP_SELF'];
$selfFilename   = explode( '/', $scriptFilename );
$selfFilename   = array_pop( $selfFilename );
list( $selfFilebase, $selfFileext ) = explode( '.', $selfFilename, 2 );

//*************************************************************************************************

$langLoadArray = [
	'constants',
	'constants-commons',
	'constants-messages',
	'constants-info',
	'constants-js',
	'constants-admin',
];

if ( $selfFilebase != '' ) {
	$langLoadArray[] = 'admin-' . $selfFilebase;
}

if ( strstr( $selfFilebase, 'aff_' ) ) {
	$langLoadArray[] = 'aff_constants';
}

if ( isset( $loadLangPages ) && is_array( $loadLangPages ) ) {
	$langLoadArray = array_merge( $langLoadArray, $loadLangPages );
}

$res = executeQuery( "SELECT VAR_NAME, VAR_VALUE FROM " . PREFIX . "LANGUAGE_DEFINES WHERE LANGUAGE_ID='" . $adminLangId . "' AND PAGENAME IN ('" . implode( "', '", $langLoadArray ) . "')" );
while ( ( $row = getRow( $res ) ) ) {
	if ( ! defined( $row['VAR_NAME'] ) ) {
		define( $row['VAR_NAME'], $row['VAR_VALUE'] );
	}
}

//*************************************************************************************************
