<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");
		
//*************************************************************************************************

		echo "Processing popular products started.<BR>\n\n";

//*************************************************************************************************

		executeUpdate("DELETE FROM ".PREFIX."POPULAR_CATEGORY");
		executeUpdate("DELETE FROM ".PREFIX."POPULAR_PRODUCT");
		
//*************************************************************************************************

		$sql = "SELECT COUNT(CT.ID) AS CLICK_COUNT, P.ID, P.CATEGORY_ID, COUNT(CT.ID) AS RRANK FROM ".PREFIX."CLICKTHROUGHS CT, ".PREFIX."USER_PRODUCT UP, ".PREFIX."PRODUCT P WHERE CT.REDIRECT_TIME > '".addDays(getTimezoneTime(), -30)."' AND UP.ID=CT.USER_PRODUCT_ID AND UP.ISVALID='Y' AND P.ID=UP.PRODUCT_ID AND P.ISVALID='Y' GROUP BY P.ID ORDER BY RRANK DESC LIMIT 25";
		
		if ( IS_POPULAR_RANK_BASED_ON_PRICE == 1 )
			$sql = "SELECT COUNT(CT.ID) AS CLICK_COUNT, P.ID, P.CATEGORY_ID, (COUNT(CT.ID) / IF(MIN_PRICE < 25, 6, IF(MIN_PRICE < 50, 4, IF(MIN_PRICE < 100, 2, 1)))) AS RRANK FROM ".PREFIX."CLICKTHROUGHS CT, ".PREFIX."USER_PRODUCT UP, ".PREFIX."PRODUCT P WHERE CT.REDIRECT_TIME > '".addDays(getTimezoneTime(), -30)."' AND UP.ID=CT.USER_PRODUCT_ID AND UP.ISVALID='Y' AND P.ID=UP.PRODUCT_ID AND P.ISVALID='Y' GROUP BY P.ID ORDER BY RRANK DESC LIMIT 25";

		echo "<!--  \n\n".$sql."\n\n  -->";

		$result	= executeQuery($sql);
		$rank	= 0;							// This is the actual rank. 1st is highest.
		while ( $row = getRow($result) )
		{
			if ( $rank++ > 25 )
				break;
			$res = executeQuery("INSERT INTO ".PREFIX."POPULAR_PRODUCT (CATEGORY_ID, PRODUCT_ID, `RANK`) VALUES ('".$row['CATEGORY_ID']."', '".$row['ID']."', '".$rank."')");
		}


//*************************************************************************************************
/*
		// PROBLEM WITH THIS ALGO IS THAT POPULAR PRODUCTS DONT CHANGE TOO OFTEN.
		// POPULAR PRODUCTS IN THE INITIAL (FIRST) CATEGORY $cats ALWAYS SHOW UP AS POPULAR.
		// POPULAR PROUDCTS SHOULD BE GLOBAL IRRESPECTIVE OF CATEGORY

		$cats	= getLastLevelChildList(0);
		foreach ( $cats as $categoryId )
		{
			$categoryId = (int)trim($categoryId);
			if ( $categoryId != 0 )
			{
				$sql = "SELECT COUNT(CT.ID) AS CLICK_COUNT, P.ID, COUNT(CT.ID) AS RRANK FROM ".PREFIX."CLICKTHROUGHS CT, ".PREFIX."USER_PRODUCT UP, ".PREFIX."PRODUCT P WHERE P.CATEGORY_ID='".$categoryId."' AND UP.ID=CT.USER_PRODUCT_ID AND P.ID=UP.PRODUCT_ID AND UP.ISVALID='Y' AND P.ISVALID='Y' GROUP BY P.ID ORDER BY RRANK DESC LIMIT 25";
				
				if ( IS_POPULAR_RANK_BASED_ON_PRICE == 1 )
					$sql = "SELECT COUNT(CT.ID) AS CLICK_COUNT, P.ID, (COUNT(CT.ID) / IF(MIN_PRICE < 25, 6, IF(MIN_PRICE < 50, 4, IF(MIN_PRICE < 100, 2, 1)))) AS RRANK FROM ".PREFIX."CLICKTHROUGHS CT, ".PREFIX."USER_PRODUCT UP, ".PREFIX."PRODUCT P WHERE P.CATEGORY_ID='".$categoryId."' AND UP.ID=CT.USER_PRODUCT_ID AND P.ID=UP.PRODUCT_ID AND UP.ISVALID='Y' AND P.ISVALID='Y' GROUP BY P.ID ORDER BY RRANK DESC LIMIT 25";

				echo "<!--  \n\n".$sql."\n\n  -->";

				$result	= executeQuery($sql);
				$rank	= 0;							// This is the actual rank. 1st is highest.
				while ( $row = getRow($result) )
				{
					if ( $rank++ > 25 )
						break;
					$res = executeQuery("INSERT INTO ".PREFIX."POPULAR_PRODUCT (CATEGORY_ID, PRODUCT_ID, RANK) VALUES ('".$categoryId."', '".$row['ID']."', '".$rank."')"); 
				}
			}
		}
*/
//*************************************************************************************************

		$sql	= "SELECT COUNT(CT.ID) AS CLICK_COUNT, C.ID, (COUNT(CT.ID)) AS RRANK FROM ".PREFIX."CLICKTHROUGHS CT, ".PREFIX."USER_PRODUCT UP, ".PREFIX."PRODUCT P, ".PREFIX."CATEGORY C WHERE UP.ID=CT.USER_PRODUCT_ID AND P.ID=UP.PRODUCT_ID AND C.ID=P.CATEGORY_ID AND UP.ISVALID='Y' AND P.ISVALID='Y' AND C.ISVALID='Y' GROUP BY C.ID ORDER BY RRANK DESC LIMIT 25";

		if ( IS_POPULAR_RANK_BASED_ON_PRICE == 1 )
			$sql= "SELECT COUNT(CT.ID) AS CLICK_COUNT, C.ID, (COUNT(CT.ID) / IF(AVG(MIN_PRICE) < 25, 6, IF(AVG(MIN_PRICE) < 50, 4, IF(AVG(MIN_PRICE) < 100, 2, 1)))) AS RRANK FROM ".PREFIX."CLICKTHROUGHS CT, ".PREFIX."USER_PRODUCT UP, ".PREFIX."PRODUCT P, ".PREFIX."CATEGORY C WHERE UP.ID=CT.USER_PRODUCT_ID AND P.ID=UP.PRODUCT_ID AND C.ID=P.CATEGORY_ID AND UP.ISVALID='Y' AND P.ISVALID='Y' AND C.ISVALID='Y' GROUP BY C.ID ORDER BY RRANK DESC LIMIT 25";

		echo "<!--  \n\n".$sql."\n\n  -->";
		
		$result	= executeQuery($sql);
		$rank	= 0;
		while ( $row = getRow($result) )
		{
			if ( $rank++ > 25 )
				break;
			$res = executeQuery("INSERT INTO ".PREFIX."POPULAR_CATEGORY (CATEGORY_ID, `RANK`) VALUES ('".$row['ID']."', '".$rank."')");
		}

//*************************************************************************************************

		echo "Processing popular products finished.<BR>\n";

//*************************************************************************************************
?>