<?php
//*************************************************************************************************

require 'functions.php';
require '../../path.php';
require '../../include/site_constants.php';

//*************************************************************************************************

if ( getVar( 'doSubmit' ) != '' ) {
	$currencyName = postVar( 'currencyName' );
	$currency     = postVar( 'currency' );

	if ( $currency == '' ) {
		echo getErrorForm( $_POST, "install-3.php?info=" . urlencode( "Please specify currency symbol" ) );
		die;
	}

	$constantsText = getSiteConstantsText( '', SCRIPT_DOMAIN, SCRIPT_ROOT, SCRIPT_ROOT_STATIC, SCRIPT_ROOT_SSL, $currency, $currencyName );

	// write site_constants
	writeToFile( "include/site_constants.php", $constantsText );

	// redirect to next step
	header( "Location: install-4.php" );
	die;
}

//*************************************************************************************************

$step        = 3;
$stepHeading = 'Currency Settings';
$formAction  = 'install-3.php?doSubmit=1';

//*************************************************************************************************

include( "header.php" );

//*************************************************************************************************
?>

	<table width="550" cellspacing="0" cellpadding="10" align="center">
		<tr valign="top">
			<td class="td" width="30%">Currency Name :</td>
			<td class="td"><input type="text" name="currencyName" size="20" maxlength="100" class="effect"
			                      value="<?= postVar( 'currencyName', '', 'USD' ) ?>"
			                      alt="blank"><br><font color="gray">Eg: USD</font></td>
		</tr>
		<tr valign="top">
			<td class="td">Currency Symbol :</td>
			<td class="td"><input type="text" name="currency" size="5" maxlength="5" class="effect"
			                      value="<?= postVar( 'currency', '', '$' ) ?>"
			                      alt="blank"><br><font color="gray">Eg: $</font></td>
		</tr>
	</table>

<?php include( "footer.php" );
