<?php
//*************************************************************************************************

	require 'functions.php';
	require '../../path.php';
	require '../../include/site_constants.php';

//*************************************************************************************************

	if ( getVar('doSubmit') != '' )
	{
		$timezone				= postVar('timezone');
		$timezoneName			= postVar('timezone_name');

		$constantsText			= getSiteConstantsText('', SCRIPT_DOMAIN, SCRIPT_ROOT, SCRIPT_ROOT_STATIC, SCRIPT_ROOT_SSL, SCRIPT_DOLLAR, SCRIPT_DOLLAR_NAME, $timezone, $timezoneName);

		// write site_constants
		writeToFile("include/site_constants.php", $constantsText);

		// redirect to next step
		header("Location: install-5.php");
		die;
	}

//*************************************************************************************************

	$step			= 4;
	$stepHeading	= 'Timezone Settings';
	$formAction		= 'install-4.php?doSubmit=1';

//*************************************************************************************************
	
	include("header.php");

//*************************************************************************************************
?>

		<table width="550" cellspacing="0" cellpadding="10" align="center">
			<tr valign="top">
				<td class="td" width="30%">Timezone&nbsp;Name :</td>
				<td class="td"><input type="text" name="timezone_name" size="5" maxlength="100" class="effect" value="<?php echo  postVar('timezone_name')==''?'EST':$_POST["timezone_name"] ?>" alt="blank"><br><font color="gray">Eg: EST</font></td>
			</tr>
			<tr valign="top">
				<td class="td">Timezone :</td>
				<td class="td"><input type="text" name="timezone" size="5" maxlength="2" class="effect" value="<?php echo  postVar('timezone')==''?'-5':$_POST["timezone"] ?>" alt="blank"><br><font color="gray">Eg: -5 for EST</font></td>
			</tr>
		</table>

<?php
//*************************************************************************************************

	include("footer.php");

//*************************************************************************************************
?>