<?php
//*************************************************************************************************

	require 'functions.php';
	require '../../path.php';
	require '../../include/site_constants.php';

//*************************************************************************************************

	if ( getVar('doSubmit') != '' )
	{
		$user_email_verification		= postVar('user_email_verification')==''?"0":"1";
		$visitor_email_verification		= postVar('visitor_email_verification')==''?"0":"1";
		$webmaster						= postVar('webmaster');

		if ( $webmaster == '' )
		{
			echo getErrorForm($_POST, "install-5.php?info=".urlencode("Please specify webmaster email address."));
			die;
		}

		$constantsText			= getSiteConstantsText($webmaster, SCRIPT_DOMAIN, SCRIPT_ROOT, SCRIPT_ROOT_STATIC, SCRIPT_ROOT_SSL, SCRIPT_DOLLAR, SCRIPT_DOLLAR_NAME, SCRIPT_TIMEZONE, SCRIPT_TIMEZONE_NAME, $user_email_verification, $visitor_email_verification);

		// write site_constants
		writeToFile("include/site_constants.php", $constantsText);

		// redirect to next step
		header("Location: install-6.php");
		die;
	}

//*************************************************************************************************

	$step			= 5;
	$stepHeading	= 'Other Settings';
	$formAction		= 'install-5.php?doSubmit=1';

//*************************************************************************************************
	
	include("header.php");

//*************************************************************************************************
?>

		<table width="600" cellspacing="0" cellpadding="10" align="center">
			<tr valign="top">
				<td class="td" width="30%">Webmaster&nbsp;Email :</td>
				<td class="td">
					<input type="text" name="webmaster" size="50" maxlength="255" class="effect" value="<?php echo  postVar('webmaster') ?>" alt="blank"><br>
					<font color="gray">Eg: webmaster@kaonsoftwares.com</font>
				</td>
			</tr>
			<tr valign="top">
				<td class="td" colspan="2">Merchant must verify his email address before logging in for the first time after he has registered.<br>Click checkbox for <b>YES</b> <input type="checkbox" name="user_email_verification" class="effect" value="Y" <?php echo  postVar('user_email_verification')==''?'':"checked" ?>></td>
			</tr>
			<tr valign="top">
				<td class="td" colspan="2">Visitor must verify his email address before logging in for the first time after he has registered.<br>Click checkbox for <b>YES</b> <input type="checkbox" name="visitor_email_verification" class="effect" value="Y" <?php echo  postVar('visitor_email_verification')==''?'':"checked" ?>></td>
			</tr>
		</table>

<?php
//*************************************************************************************************

	include("footer.php");

//*************************************************************************************************
?>