<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

session_start();

// If already logged in, then redirect
if (isset($_SESSION['affiliateId']) && $_SESSION['affiliateId'] != '') {
    $return = isset($_GET['return']) && $_GET['return'] != '' ? $_GET['return'] : 'affiliate_welcome.php?';
    header("Location: " . $return);
    die;
}

//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

// If affiliate and member accounts are not separate, then goto member login
if (AFF_SEPARATE_ACCOUNT_AREA == 0) {
    header("Location: ../member_login.php?info=" . getVar('info') . '&return=' . getVar('return', 'url', 'affiliates/affiliate_welcome.php?'));
    die;
}

// Proceed to affiliate login

//*************************************************************************************************

include(PATH . 'affiliates/aff_session.php');

//*************************************************************************************************

$pageTitle = AFFILIATE_LOGIN . ' - ' . SCRIPT_COMPANY_NAME;
$pageHeading = AFFILIATE_LOGIN . ' - ' . SCRIPT_COMPANY_NAME;
$pageKeywords = AFFILIATE_LOGIN;
$pageDescription = AFFILIATE_LOGIN . ' - ' . SCRIPT_COMPANY_NAME;

//*************************************************************************************************

// Render template
renderTemplate('affiliates/index');

//*************************************************************************************************
