<?php
//*************************************************************************************************
		
		require ("path.php");
		require (PATH."include/include.php"); 

//*************************************************************************************************
?>

	<u>TIPS TO USE</u><br>
	<span style="font-family:Arial; font-size:11px; font-weight:normal; line-height:15px;">
	- Use the plus / minus icons to expand or collapse the tree.<br>
	- Click on category name or folder icon to select a category.<br>
	- For category mapping please use ONLY SELECT the category with no further child categories.<br>
	</span>
	<br>

	<div id="divTree" class="COATree">
<?php
		drawHtmlTree();
?>
	</div>

<?php
//*************************************************************************************************

		function drawHtmlTree($parentId=0)
		{
			$parentId = (int)$parentId;
			$res = preparedQuery("SELECT ID, TITLE, PRODUCTS FROM ".PREFIX."CATEGORY WHERE PARENT_ID = ? AND ISVALID='Y' ORDER BY TITLE", array($parentId));
			if ( getTotalRows($res) == 0 )
				return;
?>
		<ul>
<?php
			while ( ($row = getRow($res)) )
			{
?>
			<li id="A_<?php echo $row['ID']; ?>">
				<a href="#"><?php echo $row['TITLE']; ?> (<?php echo $row['PRODUCTS']; ?>)</a>
				<?php echo drawHtmlTree($row['ID']); ?>
			</li>
<?php
			}
?>
		</ul>
<?php
		}

//*************************************************************************************************
?>