<?php
//*************************************************************************************************
		
		require ("path.php");
		require (PATH."include/include.php"); 

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		$upId	= getVar('upId', 'int');

		if ( $upId == 0 )
			die("NA1");

		if ( !($upRec = getRecord('USER_PRODUCT', $upId)) )
			die("NA2");

		if ( !($uRec = getRecord('USER', $upRec['USERID'], 'USERID')) )
			die("NA3");

		if ( $uRec['PRICE_UPDT_HTML_START'] == '' || $uRec['PRICE_UPDT_HTML_END'] == '' )
			die("NA4");

		if ( $uRec['PRICE_UPDT_HRS'] > 0 )
		{
			$tsLUP	= strtotime($upRec['LAST_UPDATED']);
			$tsNOW	= strtotime(getTimezoneTime());
			$hrsBW	= ($tsNOW - $tsLUP) / 3600;
			if ( $hrsBW < $uRec['PRICE_UPDT_HRS'] )
				die("NA8");
		}

		$data	= readFromBuyURL($upRec['BUY_URL']);

		if ( $data == '' )
			die("NA5 [".$upRec['BUY_URL']."]");

		$price = stringBetween($data, $uRec['PRICE_UPDT_HTML_START'], $uRec['PRICE_UPDT_HTML_END'], $uRec['PRICE_UPDT_SKIP_COUNT']+1);

		if ( $uRec['PRICE_UPDT_STRIP_TAGS'] == 'Y' )
			$price = strip_tags($price);

		$price = str_replace(SCRIPT_DOLLAR, '', $price);

		$price = kregexpReplace('[^0-9\.,]*', 'i', '', $price);

		if ( IS_COMMA_DECIMAL_SEPARATOR == 1 )
			$price			= str_replace(',', '.',	$price);
		else
			$price			= str_replace(',', '',	$price);

		$price = trim($price);

		if ( $price == '' )
			die("NA6");

		if ( $price == 0 )
			die("NA7");

		// Update price into database
		$msg = '';
		$ret = updateUserProduct($msg, $upId, '', '', $price, '', '', '', '');

		if ( $ret == 1 )
			echo getFormattedPrice($price, $currencySymbol, $currencyRate);
		else
			echo $msg;

//*************************************************************************************************

		function readFromBuyURL($url)
		{
			if ( !function_exists('curl_version') )
				return readFromFile($url);

			$data	= '';
			$ch		= curl_init($url);
			
			$header	= array(
							  'User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.12) Gecko/20101026 Firefox/3.6.12',
							  'Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8',
							  'Keep-Alive: 115',
							  'Connection: keep-alive',
							);
			
			curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt ($ch, CURLOPT_FOLLOWLOCATION, 1);
			curl_setopt ($ch, CURLOPT_HTTPHEADER, $header);

			// Set certificates for ssl if set
			if ( defined( 'SSL_CERTIFICATE_PATH' ) && SSL_CERTIFICATE_PATH != '' ) {
				curl_setopt( $ch, CURLOPT_SSL_VERIFYHOST, 0 );
				curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, 1 );
				curl_setopt( $ch, CURLOPT_CAINFO, SSL_CERTIFICATE_PATH );
				curl_setopt( $ch, CURLOPT_CAPATH, SSL_CERTIFICATE_PATH );
			}

			$data	.= curl_exec($ch);

			// Check for errors
			$data	.= curl_error($ch);
			
			// Close File and CURL
			curl_close	($ch);

			return $data;
		}

//*************************************************************************************************
?>