<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		$type		= getVar('type', 'int');
		$max		= getVar('max', 'int');
		$width		= getVar('width', 'int');
		$height		= getVar('height', 'int');
		$className	= getVar('className');
		$border		= getVar('border');
		$background	= getVar('background');
		$catId		= getVar('catId', 'int');

//*************************************************************************************************

		if ( $type == 1 )
		{
			$_SESSION['brands_shown']	= showBrands($_SESSION['brands_shown'], $max, $width, $height, $className, $border, $background, $catId);
			die;
		}

//*************************************************************************************************

		if ( !defined('DEFAULT_CHARSET') ) define('DEFAULT_CHARSET', 'iso-8859-1');
		header("Content-Type: text/html; charset=".DEFAULT_CHARSET);

//*************************************************************************************************

$params = array();
$count	= 0;

$catSql	= '';
if ( $catId != '' )
{
    $childs = getLastLevelChildList($catId);
    $childs[] = $catId;
    $phold = '';
    foreach ($childs as $t)
    {
        $t = (int)$t;
        if ( $t < 1 ) continue;
        $params[] = $t;
        $phold .= ', ?';
    }
    if ( strlen($phold) > 0 )
        $catSql	= "AND ID IN (SELECT DISTINCT(MANUFACTURER_ID) FROM ".PREFIX."CATEGORY_MANUFACTURER WHERE CATEGORY_ID IN (".substr($phold, 2)."))";
}

if ( $catSql == '' )
    $res = executeQuery("SELECT ID, TITLE FROM ".PREFIX."BRAND WHERE ISVALID='Y' AND SHOW_ON_HOMEPAGE='Y'");
else
    $res = preparedQuery("SELECT ID, TITLE FROM ".PREFIX."BRAND WHERE ISVALID='Y' AND SHOW_ON_HOMEPAGE='Y' ".$catSql, $params);

$arr = array();
while ( ($row = getRow($res)) )
{
    $brandImagePath = 'upload/brand/'.$row['ID'].'.jpg';
    if ( !file_exists(PATH_SUBD.$brandImagePath) )
        continue;

    $arr[]	= $row;
}

if ( count($arr) > 0 ) {

    // Render template
    renderTemplate('brand_panel', [
        'catId' => $catId,
        'width' => $width,
        'height' => $height,
        'arr' => $arr,
    ]);

}

//*************************************************************************************************
