<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");
		require (PATH.'include/include_RSA.php');

//*************************************************************************************************

		require (PATH."session.php");

//*************************************************************************************************				

		$task	= postVar('task');
		$action = postVar('action');
		$return = postVar('return', 'url');
		$isAjax = postVar('isAjax', 'int');

//*************************************************************************************************

		require (PATH."include/security_check.php");

//*************************************************************************************************
//			VISITOR
//*************************************************************************************************
if ( $task == "Visitor" )
{
		$email			= postVar('email');
		$password		= postVar('password', PWD_ALLOWED_CHARS, '', array('maxlen'=>MAX_CHARS_PWD));
		$confirmPassword= postVar('confirmPassword', PWD_ALLOWED_CHARS, '', array('maxlen'=>MAX_CHARS_PWD));
		$name			= postVar('name');
		$address		= postVar('address', '', '', array('maxlen'=>255));
		$city			= postVar('city');
		$state			= postVar('state');
		$country		= postVar('country');
		$zip			= postVar('zip', '', '', array('maxlen'=>15));
		$phone			= postVar('phone', '', '', array('maxlen'=>20));
		$mobile			= postVar('mobile', '', '', array('maxlen'=>20));
		$tosAgree		= postVar('tosAgree', '', '', array('maxlen'=>10));
		$captchaAnswer	= postVar('captchaAnswer', '', '', array('maxlen'=>10));
		$captchaDex		= postVar('captchaDex', 'int');
		$refer			= postVar('refer', 'url');

		if ( $action == "Add" )
		{
			if ( trim($email) == '' )
				controllerConclude(113);

			if ( trim($password) == '' )
				controllerConclude(204);

			if ( trim($confirmPassword) == '' )
				controllerConclude(205);

			if ( trim($name) == '' )
				controllerConclude(112);

			if ( trim($password) != trim($confirmPassword) )
				controllerConclude(115);

			$info = '';
			if ( !validateEmailAddress($info, $email) )
				controllerConclude($info);

			if ( DISALLOW_EMAIL_FROM_SAME_DOMAIN == 1 )
			{
				$emlUsername					= '';
				$emlDomain						= '';
				list ($emlUsername, $emlDomain) = explode ("@", $email);
				$arrDomain						= parse_url(SCRIPT_DOMAIN);

				if ( stristr($arrDomain['host'], $emlDomain) )
					controllerConclude(206);
			}

            $msg = '';
			if ( !verifyCaptcha($msg) )
				controllerConclude($msg);

			if ( $row = getRecord('VISITOR', $email, 'EMAIL') )
				controllerConclude(117);

			if ( $tosAgree == '' )
				controllerConclude(208);

			$vCode		= getConfirmationCode();
			$newuserId	= getNextId('VISITOR', 'USERID');

			$result	= tableInsert('VISITOR', array(
													'USERID'				=> $newuserId,
													'EMAIL'					=> $email,
													'PASSWORD'				=> passwordHash($password),
													'ISVALID'				=> 'Y',
													'VERIFICATION_CODE'		=> $vCode,
													'REGISTERATION_DATE'	=> getTimezoneTime(),
													'REGISTERATION_IP'		=> getClientIP()
													));
			if ( $result > 0 )
			{
				tableInsert('VISITORINFO', array(
													'USERID'	=> $newuserId,
													'NAME'		=> $name,
													'ADDRESS'	=> $address,
													'CITY'		=> $city,
													'STATE'		=> $state,
													'COUNTRY'	=> $country,
													'ZIP'		=> $zip,
													'PHONE'		=> $phone,
													'MOBILE'	=> $mobile
												));
				
				$visitorId						= $newuserId;
				$visitorName					= $name;
				$visitorEmail					= $email;
				$lastLogin						= getTimezoneTime();
				if ( VISITOR_EMAIL_VERIFICATION != 1 )
				{
					$_SESSION['visitorId']			= $visitorId;
					$_SESSION['visitorName']		= $visitorName;
					$_SESSION['visitorEmail']		= $visitorEmail;
					$_SESSION['visitorLastLogin']	= $lastLogin;

					tableUpdate('VISITOR', $visitorId, array('LASTLOGIN'=>getTimezoneTime()), 'USERID');
				}

				$msgEx2 = '';
				if ( VISITOR_EMAIL_VERIFICATION == 1 )
					sendVisitorVerificationCode($msgEx2, $visitorId);
				else
					sendVisitorRegisterationEmail($msgEx2, $visitorId);

				if ( IS_AFFILIATES_INSTALLED == 1 && AFF_SEPARATE_ACCOUNT_AREA == 0 )
				{
					saveAffiliateReferrer($visitorId);
					$msgEx3 = '';
					addAffAffiliate($msgEx3, $visitorId, $password, $password, $visitorName, $address, '', $city, $state, $country, $zip, $phone, $email, 'Y');

					if ( VISITOR_EMAIL_VERIFICATION != 1 )
						loginAffiliate($msgEx3, $visitorId, $email);
				}

				if ( IS_AUCTION_INSTALLED == 1 )
				{
					$msgEx3				= '';
					$_SESSION['userId']	= $visitorId;
					auction_addUser($msgEx3, $visitorId, $password, $password, $name, $name, $address, $city, $state, $country, $zip, $phone, $email, '', '');
				}

				if ( $refer == '' )
				{
					if ( VISITOR_EMAIL_VERIFICATION == 1 )
						controllerConclude(118, 0, 'member_login.php?', 'success-01');
					else
						controllerConclude('', 0, 'member_welcome.php?', 'success-02:'.$visitorId);
				}
				else
					controllerConclude('', 0, $refer, 'success-01');
			}
			else
				controllerConclude(122, 0);
			die;
		}
		else
			controllerConclude(202, 0);
}

//*************************************************************************************************
//			NOTHING
//*************************************************************************************************
else	
	controllerConclude(203, 0);


//*************************************************************************************************

exit(); // To make sure session is working //

//*************************************************************************************************

	function controllerConclude($msg, $formPost=1, $returnUrl='', $ajaxMsg='')
	{
		global $isAjax, $return, $_POST;

		$returnUrl	= $returnUrl == ''	? $return		: $returnUrl;
		$ajaxMsg	= $ajaxMsg == ''	? getInfo($msg)	: $ajaxMsg;

		if ( $isAjax == 1 )
			echo $ajaxMsg;
		elseif ( $formPost == 1 )
			echo getErrorForm($_POST, $returnUrl."info=".$msg);
		else
			header("Location: ".$returnUrl."info=".$msg);
		die;
	}

//*************************************************************************************************
?>