<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

$catId = $_GET['catId'];
if ($catId == '') {
    header("Location: " . getSeoUrl('coupons_category') . "?info=1");
    die;
}

//*************************************************************************************************

if (!($catRec = getRecord("COUPON_CATEGORY", $catId))) {
    header("Location: " . getSeoUrl('coupons_category') . "?info=5");
    die;
}

//*************************************************************************************************

$pageHeading = COUPONS . ' - ' . $catRec['TITLE'];
$pageTitle = COUPONS . ' - ' . $catRec['PAGE_TITLE'];
$pageKeywords = COUPONS . ' - ' . $catRec['PAGE_KEYWORDS'];
$pageDescription = COUPONS . ' - ' . $catRec['PAGE_DESCRIPTION'];

//*************************************************************************************************

$query = $_GET['query'];
$subSql = '';
if ($query != '')
    $subSql .= "AND TITLE LIKE '%" . handleSingleQuote($query) . "%'";

//*************************************************************************************************

$sql = "SELECT * FROM " . PREFIX . "COUPON WHERE ISVALID='Y' AND CATEGORY_ID='" . $catId . "' AND (ISNULL(EXPIRY) OR EXPIRY = '0000-00-00 00:00:00' OR EXPIRY >= '" . getTimezoneTime('Y-m-d') . "') " . $subSql . " ORDER BY TITLE";
$resCoupX1 = breakPages($sql);

//*************************************************************************************************

// Render template
renderTemplate('coupons', [
    'catRec' => $catRec,
    'catId' => $catId,
    'query' => $query,
    'resCoupX1' => $resCoupX1,
]);

//*************************************************************************************************
