<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

$today = getTimezoneTime('Y-m-d');

//*************************************************************************************************

$resCC = executeQuery("SELECT MAX(ID) AS ID, COUNT(ID) AS C FROM " . PREFIX . "COUPON_CATEGORY WHERE ISVALID='Y'");
$rowCC = getRow($resCC);
if ($rowCC['C'] == 1) {
    header("Location: " . getCouponCategoryPath($rowCC['ID']));
    die;
}

//*************************************************************************************************

$sql = "SELECT * FROM " . PREFIX . "COUPON WHERE ISVALID='Y' AND ISFEATURED='Y' AND (ISNULL(EXPIRY) OR EXPIRY = '0000-00-00 00:00:00' OR EXPIRY >= '" . $today . "') ORDER BY TITLE";
$resCoupX1 = executeQuery($sql);

//*************************************************************************************************

$sql = "SELECT * FROM " . PREFIX . "COUPON_CATEGORY WHERE ISVALID='Y' ORDER BY HOMEPAGE_DISPLAY, SORT_ORDER, TITLE";
$resCoupX2 = executeQuery($sql);

//*************************************************************************************************

$pageHeading = COUPONS;
$pageTitle = COUPONS;
$pageKeywords = COUPONS;
$pageDescription = COUPONS;

//*************************************************************************************************

// Render template
renderTemplate('coupons_category', [
    'today' => $today,
    'resCoupX1' => $resCoupX1,
    'resCoupX2' => $resCoupX2,
]);

//*************************************************************************************************
