<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		class DataApiResponseError
		{
			const STATUS_INTERNAL_SERVER_ERROR = 500;
			const STATUS_UNPROCESSABLE_ENTITY = 422;

			private $status;
			private $messages;

			public function DataApiResponseError($status, $message = null)
			{
				$this->status = $status;

				if ( isset($message) )
					$this->messages = array('general' => array($message));
				else
					$this->messages = array();
			}

			public function addMessage($key, $message)
			{
				if ( !isset($this->messages[$key]) )
					$this->messages[$key] = array();

				$this->messages[$key][] = $message;
			}

			public function getMessages()
			{
				return $this->messages;
			}

			public function getStatus()
			{
				return $this->status;
			}

			public function send()
			{
				header($_SERVER['SERVER_PROTOCOL'].' '.$status); 
			}
		}

//*************************************************************************************************
?>