<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		$userId		= getVar('userId');
		$maxW		= getVar('maxW', 'int');
		$maxH		= getVar('maxH', 'int');
		$bgRGB		= getVar('bgRGB');
		$fgRGB		= getVar('fgRGB');
		$fontSize	= getVar('fontSize', 'int');

		$maxW		= $maxW == 0 ? 200 : $maxW;
		$maxH		= $maxH == 0 ? 20 : $maxH;
		$bgRGB		= $bgRGB == '' ? '255,255,255' : $bgRGB;
		$fgRGB		= $fgRGB == '' ? '0,0,0' : $fgRGB;
		$fontSize	= $fontSize == 0 ? 3 : $fontSize;

		$email		= '';

		if ( $userId == '' )
			$email	= strip_tags(getInfo(1));

		elseif ( !($userRec = getRecord('USERINFO', $userId, 'USERID')) )
			$email	= strip_tags(getInfo(7));

		else
			$email	= $userRec['EMAIL'];

		// To avoid cutting of images
		$maxW1	= strlen($email) * 7;	// Each character takes 7 pixels
		$maxW1 += 4;					// Leave 2 pixes padding on each side
		$maxW	= $maxW < $maxW1 ? $maxW1 : $maxW;

//*************************************************************************************************

		// create the image
		$image = imagecreate($maxW, $maxH);


		// use white as the background image
		list($bgR, $bgG, $bgB) = explode(',', $bgRGB);
		$bgColor = imagecolorallocate ($image, $bgR, $bgG, $bgB);

		// the text color is black
		list($fgR, $fgG, $fgB) = explode(',', $fgRGB);
		$textColor = imagecolorallocate ($image, $fgR, $fgG, $fgB);

		// write the random number
		imagestring ($image, $fontSize, 2, 2, $email, $textColor);

		// send several headers to make sure the image is not cached
		// taken directly from the PHP Manual

		// Date in the past
		header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

		// always modified
		header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");

		// HTTP/1.1
		header("Cache-Control: no-store, no-cache, must-revalidate");
		header("Cache-Control: post-check=0, pre-check=0", false);

		// HTTP/1.0
		header("Pragma: no-cache");

		// send the content type header so the image is displayed properly
		header('Content-type: image/jpeg');

		// send the image to the browser
		imagejpeg($image);

		// destroy the image to free up the memory
		imagedestroy($image);

//*************************************************************************************************
?>