<?php
//*************************************************************************************************
		
		require ("path.php");
		require (PATH."include/include.php");
		require (PATH.'include/include_RSA.php');

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		$at	= getVar('at', '', '', array('maxlen'=>250));
		$ru	= getVar('ru', 'url');
		$cb	= getVar('cb');

//*************************************************************************************************

		if ( $at == '' )
			die(INFO_1.' [Access Token]');

		$url = 'https://graph.facebook.com/me?method=GET&fields=id,name,email&format=json&access_token='.$at;

		$data = readFromFile($url);

		$obj = json_decode($data);

		if ( !is_object($obj) )
			die(INFO_6.' [Graph Res: 001]');

		if ( isset($obj->error->message) )
			die(INFO_6.' [Graph Res: 002]<!-- '.$obj->error->message."\n".print_r($_GET, 1).' -->');

		if ( !isset($obj->id) || !isset($obj->email) || !isset($obj->name) )
			die(INFO_6.' [Graph Res: 003]<!-- '.$data.' -->');

//*************************************************************************************************

		$name					= doCleanInput($obj->name);
		$email					= doCleanInput($obj->email);
		$fbuid					= doCleanInput($obj->id);
		$city					= '';
		$country				= '';
		$password				= getTempPassword();

		if ( $name == '' || $email == '' || $password == '' )
			die(INFO_1.' [Profile Data]');

		if ( ($rec = getRecord('VISITOR', $email, 'EMAIL')) )
		{
			tableUpdate('VISITOR', $rec['USERID'], array('FB_UID'=>$fbuid), 'USERID');

			$visitorId						= $rec['USERID'];
			$visitorEmail					= $rec['EMAIL'];
			$lastLogin						= getTimezoneTime();

			$_SESSION['visitorId']			= $visitorId;
			$_SESSION['visitorEmail']		= $visitorEmail;
			$_SESSION['visitorLastLogin']	= $lastLogin;

			die('OK');
		}

		$newId	= getNextId('VISITOR', 'USERID');
		$res = tableInsert('VISITOR', array(
										'USERID'				=> $newId,
										'FB_UID'				=> $fbuid,
										'EMAIL'					=> $email,
										'PASSWORD'				=> passwordHash($password),
										'ISVALID'				=> 'Y',
										'REGISTERATION_DATE'	=> getTimezoneTime(),
										'REGISTERATION_IP'		=> getClientIP()
									));
		if ( $res > 0 )
		{
			tableInsert('VISITORINFO', array(
												'USERID'		=> $newId,
												'NAME'			=> $name,
												'CITY'			=> $city,
												'COUNTRY'		=> $country
											));

			$visitorId						= $newId;
			$visitorName					= $name;
			$visitorEmail					= $email;
			$lastLogin						= getTimezoneTime();

			$_SESSION['visitorId']			= $visitorId;
			$_SESSION['visitorName']		= $visitorName;
			$_SESSION['visitorEmail']		= $visitorEmail;
			$_SESSION['visitorLastLogin']	= $lastLogin;

			if ( IS_AFFILIATES_INSTALLED == 1 )
			{
				saveAffiliateReferrer($visitorId);
				$msgEx3 = '';
				addAffAffiliate($msgEx3, $visitorId, $password, $password, $visitorName, '', '', $city, '', $country, '', '', $email, 'Y');
			}

			sendVisitorRegisterationEmail($msgEx2, $visitorId);

			die('OK');
		}
			
		die(INFO_6.' [Register]');

//*************************************************************************************************

		function getTempPassword()
		{
			$cc		= '';
			mt_srand ((double) microtime() * 1000000);

			for ($i=0; $i<10; $i++)
			{
				$rv  = mt_rand(48, 122); // Digits, some punctuations, a-z and A-Z
				$cc .= chr($rv);
			}

			return $cc;
		}

//*************************************************************************************************
?>