<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************
//
//		FILTERS FILE
//	
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		include_once (PATH.'include/include_filter_constants.php');

//*************************************************************************************************

		$isSearch			= getVar('isSearch', 'int') == 1;
		$searchId			= getVar('searchId', 'int');
		$searchText			= getVar('searchText');
		$searchProductIn	= getVar('searchProductIn');
		$searchType			= getVar('searchType');
		$manuText			= getVar('manuText');
		$catId				= getVar('catId', 'int');
		$categoryId			= getVar('categoryId', 'int');
		$advanceSearch		= getVar('advanceSearch');
		$title				= getVar('title');
		$minPrice			= getVar('minPrice', 'float');
		$maxPrice			= getVar('maxPrice', 'float');
		$manufacturer		= getVar('manu', '', array(), array('array'=>1));
		$merchant			= getVar('mer', '', array(), array('array'=>1));
		$srhcats			= getVar('scat', 'int', array(), array('array'=>1));
		$fId				= getVar('fId', '', array(), array('array'=>1));

		$filterFor			= doStripString(doCleanInput(getVar('filterFor')));

		$sqlWhere			= '';

//*************************************************************************************************

		$url4Filter			= '';
		
		if ( $isSearch )
			$url4Filter		= SCRIPT_ROOT."search_products.".EXTENSION."?advanceSearch=".$advanceSearch."&title=".urlencode($title)."&searchText=".urlencode($searchText)."&searchProductIn=".urlencode($searchProductIn)."&searchType=".urlencode($searchType)."&catId=".$catId."&manuText=".urlencode($manuText)."&";
		else
			$url4Filter		= SCRIPT_ROOT."category.".EXTENSION."?categoryId=".$categoryId."&";
		$url4Filter			.= "minPrice=".$minPrice."&maxPrice=".$maxPrice."&so=".getVar('so')."&";

//*************************************************************************************************

		if ( $isSearch )
		{
			// Add space so that $productSql == '' fails in the filter functions
			$sqlWhere	= ' ';
		}

//*************************************************************************************************

		$manuSubSql		= '';
		$manuSqlArr		= array();
		if ( is_array($manufacturer) )
		{
			foreach ( $manufacturer as $mx )
			{
				$manuSubSql	.= " OR P.MANUFACTURER LIKE ?";
				$manuSqlArr[] = $mx;
			}
		}
		if ( $manuSubSql != '' )
			$manuSql	= " AND (".substr($manuSubSql, 4).")";

//*************************************************************************************************

		if ( $filterFor == 'Manu' )
		{
			$filterCount		= 0;
			$filterArrBrands	= getProductFiltersBrands($categoryId, '', $sqlWhere, $searchId, 0, 1);
?>
			<div class="FilterBoxHeading"><?php echo MANUFACTURERS; ?></div>
			<form name="frmFilters" action="<?php echo $url4Filter; ?>" method="GET" style="margin:0px; padding:0px;">
			<input type='hidden' name='advanceSearch'	value='<?php echo $advanceSearch; ?>'>
			<input type='hidden' name='categoryId'		value='<?php echo $categoryId; ?>'>
			<input type='hidden' name='title'			value='<?php echo $title; ?>'>
			<input type='hidden' name='searchText'		value='<?php echo isset($searchText)?$searchText:''; ?>'>
			<input type='hidden' name='searchProductIn' value='<?php echo $searchProductIn; ?>'>
			<input type='hidden' name='searchType'		value='<?php echo $searchType; ?>'>
			<input type='hidden' name='catId'			value='<?php echo $catId; ?>'>
			<input type='hidden' name='manuText'		value='<?php echo $manuText; ?>'>
				<div style="height:230px; overflow:auto;">
<?php
			if ( is_array($filterArrBrands) )
			{
				foreach ( $filterArrBrands as $row )
				{
					echo '<div style="width:190px; float:left;">'.getFilterCheckboxLink('javascript:gotoBrandUrl(\''.$row['MANUFACTURER_ID'].'\');', 'Manu', $row['MANUFACTURER_ID'], $row['MANUFACTURER'], in_array($row['MANUFACTURER_ID'], $manufacturer)?'checked':'', 'Max', '', 'manu[]').'</div>';

					$filterCount++;
				}
			}
?>
				</div>
				<div style="clear:both;"></div>
			</form>
<?php
		}

//*************************************************************************************************
?>