<?php
/**
 * This file contains all the critical constants that are used in the loading of the script.
 * These defines cannot be moved to database because they are required at a very early stage.
 */

// Secure file from direct access
defined('PATH') or die('direct access not allowed!');


// Set to 1 if Prepared Statements or not suppported
define("IS_PREPARED_STMT_NA",                1);


// Display Time of Each Query. Only for debugging
define('LOG_IF_OVER_X_QUERIES',				0);			// Set to 0 if want to disable this feature
define('DO_TIME_EACH_QUERY',				0);
define('DO_LOG_EACH_QUERY',					0);
define('DO_SHOW_ERRORS',					1);


// Set to 1 if this is a demo script (certain limitations are applied)
define('IS_IN_DEMO_MODE',							0);

