<?php
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php"); 
		require (PATH."include/include_payment.php");

//*************************************************************************************************
//
//		To specify IPN url follow these steps:
//
//		1. Login to your 2checkout account. 
//		2. Under the Helpful Links section, click on Settings near the Look and Feel section. 
//		3. Enter this file URL [http://www.your-domain.com/advertiser-payment-ipn-2co.php]. 
//		4. Click Save Changes. 
//

		// This IPN is only called when payment status is success
		$cartId					= postVar('cart_order_id');			// 5000

		$referenceNumber		= postVar('order_number');			// 2Checkout.com order number
		$transactionDate		= date('Y-m-d');					// 08/31/2007 05:08 AM

		$name					= postVar('card_holder_name');		// John
		$address1				= postVar('street_address');			// 6626 W 93rd St
		$address2				= postVar('street_address2');		// Address 2
		$city					= postVar('city');					// City
		$state					= postVar('state');					// State/County
		$country				= postVar('country');				// US
		$zipCode				= postVar('zip');					// 60453
		$email					= postVar('email');					// testaccount@plimus.com
		$workPhone				= postVar('phone');					// 1-858-350-7473
		$workPhoneExt			= postVar('phone_extension');		// 7473

		$orderStatus			= postVar('credit_card_processed');	// Y if processed successfully

//*************************************************************************************************

		// get an print array of POST variable
		$out = '';
		foreach ($_POST as $key => $value) 
			$out .= $key." = ".$value."\n";

//*************************************************************************************************

		$msg = '';
		if ( $orderStatus == 'Y' )
		{
			list($packagePaymentId, $clickPaymentId, $featuredPaymentId, $salesPaymentId, $cartOrderId) = getIdsFromPaymentOrderNo($cartId);

			if ( $packagePaymentId > 0 )
				approveUserPackagePayment($msg, $packagePaymentId, 'Y');

			if ( $clickPaymentId > 0 )
				approveUserClickthroughPayment($msg, $clickPaymentId, 'Y');

			if ( $featuredPaymentId > 0 )
				approveUserFeaturedPayment($msg, $featuredPaymentId, 'Y');

			if ( $salesPaymentId > 0 )
				ppsApprovePayment($msg, $salesPaymentId, 'Y');

			if ( defined('IS_SHOPPING_CART_INSTALLED') && IS_SHOPPING_CART_INSTALLED == 1 && $cartOrderId > 0 )
				cartOrderPaymentStatusUpdate($msg, $cartOrderId, 'A');
		}
		else
			$msg = 'Order NOT APPROVED';

//*************************************************************************************************

		sendMail(SCRIPT_WEBMASTER, SCRIPT_WEBMASTER, SCRIPT_COMPANY_NAME.' payment on '.date('Y-m-d H:i:s'), "Following data was sent from 2Checkout in response to payment:\n\n".$out."\n\nMsg:".$msg, 0);

//*************************************************************************************************
?>