<?php
//*************************************************************************************************
		
		require ("../path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		include (PATH."js/js.php");

//*************************************************************************************************

		echo "\n\n"; // So that any comment line from js.php is finished

		$tagId	= getVar('tagId', 'int');
		if ( $tagId == 0 )
			die('document.write("'.INFO_1.'");');

		if ( !($tagRec = getRecord("PRODUCT_TAGS", $tagId)) )
			die('document.write("'.INFO_5.'");');

		$sql = "SELECT P.ID, P.TITLE, P.CATEGORY_ID, P.FILENAME, PD.DETAIL, P.MIN_PRICE FROM ".PREFIX."PRODUCT P, ".PREFIX."PRODUCT_DETAIL PD WHERE PD.PRODUCT_ID=P.ID AND ";

		if ( $tagRec['CATEGORY_ID'] > 0 )
			$sql .= "P.CATEGORY_ID = '".((int)$tagRec['CATEGORY_ID'])."' AND ";

		if ( $tagRec['PRODUCT_IDS'] != '' )
			$sql .= "P.ID IN (".handleSingleQuote($tagRec['PRODUCT_IDS']).") AND ";

		if ( $tagRec['SHOW_FEATURED'] == 'Y' )
			$sql .= "P.SPECIAL_OFFER = 'Y' AND ";

		if ( $tagRec['SHOW_POPULAR'] == 'Y' )
			$sql .= "P.ID IN (SELECT PRODUCT_ID FROM ".PREFIX."POPULAR_PRODUCT ORDER BY RANK) AND ";

		$sql .= "ISVALID = 'Y' ORDER BY ".($tagRec['SHOW_LATEST']=='Y'?"P.DATE_ADDED DESC, ":"")."P.TITLE LIMIT ".((int)$tagRec['NUM_PRODS']);

		$arr = array();
		$res = executeQuery($sql);
		while ( ($row = getRow($res)) )
		{
			$row['LINK']	= getProductPath($row['ID'], $row['FILENAME'], $row['CATEGORY_ID']);
			$row['THUMB']	= getProductThumbnail($row['ID'], $row['LINK'], $row['FILENAME'], $row['CATEGORY_ID'], $tagRec['IMAGE_WIDTH'], $tagRec['IMAGE_HEIGHT'], '', '', '');

			$row['PRICES']	= array();
			if ( $tagRec['SHOW_STORES'] == 'Y' )
			{
				$res2 = executeQuery("SELECT UP.ID, UI.USERID, UI.NAME, UP.COMMENT, UP.ISAVAILABLE, UP.PRICE FROM ".PREFIX."USER_PRODUCT UP, ".PREFIX."USERINFO UI WHERE UP.PRODUCT_ID = '".$row['ID']."' AND UP.ISVALID = 'Y' AND UI.USERID = UP.USERID");
				while ( ($row2 = getRow($res2)) )
					$row['PRICES'][] = $row2;
			}

			$arr[] = $row;
		}
		$tot = count($arr);

		executeUpdate("UPDATE ".PREFIX."PRODUCT_TAGS SET IMPRESSIONS=IMPRESSIONS+1 WHERE ID='".$tagId."'");

//*************************************************************************************************
?>
// <script>
//*************************************************************************************************
//		Price Comparison Script v6 copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//*************************************************************************************************

	showHtml = '<div style="<?php echo $tagRec['BOX_STYLE']; ?>">';

	if ( <?php echo $tagRec['HEADING']!=''?'true':'false'; ?> )
		showHtml += '<div style="<?php echo $tagRec['HEADING_STYLE']; ?>"><?php echo $tagRec['HEADING']; ?></div>';

	<?php foreach ( $arr as $row ) { ?>
		showHtml += '<div style="<?php echo $tagRec['LAYOUT_STYLE']; ?><?php echo $tagRec['LAYOUT']=='G'?'float:left;':''; ?>cursor:pointer;" onclick="window.open(\'<?php echo $row['LINK']; ?>\');">';

		if ( <?php echo $tagRec['SHOW_IMAGE']=='Y'?'true':'false'; ?> )
			showHtml += '<div style="<?php echo $tagRec['IMAGE_BOX_STYLE']; ?><?php echo $tagRec['LAYOUT']=='G'?'':'float:left;'; ?>"><?php echo str_replace("'", '"', $row['THUMB']); ?></div>';

		if ( <?php echo $tagRec['SHOW_TITLE']=='Y'?'true':'false'; ?> )
			showHtml += '<br><div style="<?php echo $tagRec['TITLE_STYLE']; ?>"><?php echo getPartialString(str_replace("'", "`", strip_tags($row['TITLE'])), 50); ?></div>';

		if ( <?php echo $tagRec['SHOW_DETAIL']=='Y'?'true':'false'; ?> )
			showHtml += '<br><div style="<?php echo $tagRec['DETAIL_STYLE']; ?>"><?php echo getPartialString(str_replace("'", "`", str_replace("\n", "", str_replace("\r\n", "", strip_tags($row['DETAIL'])))), 120); ?></div>';

		if ( <?php echo $tagRec['SHOW_PRICE']=='Y'?'true':'false'; ?> )
			showHtml += '<br><div style="<?php echo $tagRec['PRICE_STYLE']; ?>"><?php echo getFormattedPrice($row['MIN_PRICE'], $currencySymbol, $currencyRate); ?></div>';

		<?php if ( $tagRec['SHOW_STORES'] == 'Y' && is_array($row['PRICES']) && count($row['PRICES']) > 0 ) { ?>
		<?php
				$tmpStoresLinkStyle = '';
				$tmp1 = explode('; ', $tagRec['STORES_TD_STYLE']);
				foreach ( $tmp1 as $tmp2 )
				{
					list($tmp3, $tmp4) = explode(':', $tmp2);
					$tmp3 = trim($tmp3);
					if ( $tmp3 == 'color' || strstr($tmp3, 'font') )
						$tmpStoresLinkStyle .= $tmp3.':'.$tmp4.'; ';
				}
		?>
		showHtml += '<br><style>.tmpPTStoresTABLE{<?php echo $tagRec['STORES_TABLE_STYLE']; ?>} .tmpPTStoresTH{<?php echo $tagRec['STORES_TH_STYLE']; ?>} .tmpPTStoresTD{<?php echo $tagRec['STORES_TD_STYLE']; ?>} .tmpPTStoresTD A:link, .tmpPTStoresTD A:visited{<?php echo $tmpStoresLinkStyle; ?>}</style><table class="tmpPTStoresTABLE" cellspacing="0" cellpadding="0" border="0"><tr><th class="tmpPTStoresTH"><?php echo STORE?></th><th class="tmpPTStoresTH"><?php echo COMMENTS?></th><th class="tmpPTStoresTH"><?php echo AVAILABILITY?></th><th class="tmpPTStoresTH"><?php echo PRICE?></th></tr>';
		<?php foreach ( $row['PRICES'] as $rowPr ) { ?>
		showHtml += '<tr><td class="tmpPTStoresTD"><a href="<?php echo getMerchantPath($rowPr['USERID']); ?>" target=_blank onclick="cancelBubbleEx(event);"><?php echo $rowPr['NAME']?></a></td><td class="tmpPTStoresTD"><?php echo $rowPr['COMMENT']?>&nbsp;</td><td class="tmpPTStoresTD"><?php echo $rowPr['ISAVAILABLE']?>&nbsp;</td><td class="tmpPTStoresTD"><a href="<?= getSeoUrl('redirect', 'prod_id='.$rowPr['ID'].'&isBuy=Y') ?>" target=_blank onclick="cancelBubbleEx(event);"><?php echo getFormattedPrice($rowPr['PRICE'], SCRIPT_DOLLAR, 1)?></a></td></tr>';
		<?php } ?>
		showHtml += '</table>';
		showHtml += '<script>function cancelBubbleEx(e){if(!e)e=window.event; if(e.stopPropagation){e.stopPropagation();} else {e.cancelBubble=true;} }</script>';
		<?php } ?>

		showHtml += '<div style="clear:both;"></div>';

		showHtml += '</div>';
	<?php } ?>

	showHtml += '<div style="clear:both;"></div>';
	showHtml += '</div>';

	document.write(showHtml);

// </script>