<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");
		require (PATH.'include/include_RSA.php');

//*************************************************************************************************

		include (PATH."member_session.php");

//*************************************************************************************************

		$task	= postVar('task');
		$action = postVar('action');
		$return = postVar('return', 'urlpart');
		$isAjax = postVar('isAjax', 'int');

//*************************************************************************************************

		require (PATH."include/security_check.php");

//*************************************************************************************************
//			VISITOR PASSWORD
//*************************************************************************************************
if ( $task == "ChangePassword" )
{
		
		$oldPassword		= postVar('oldPassword', PWD_ALLOWED_CHARS, '', array('maxlen'=>MAX_CHARS_PWD));
		$newPassword		= postVar('newPassword', PWD_ALLOWED_CHARS, '', array('maxlen'=>MAX_CHARS_PWD));
		$confirmPassword	= postVar('confirmPassword', PWD_ALLOWED_CHARS, '', array('maxlen'=>MAX_CHARS_PWD));

		
		if (  $oldPassword == '' || $newPassword == '' || $confirmPassword == '' )
			header("Location: ".$return."info=1");


		if ( $action == "Update" )
		{
			if ( $newPassword == $confirmPassword )
			{	
				$res = preparedQuery("SELECT PASSWORD FROM ".PREFIX."VISITOR WHERE USERID = ?", array($visitorId));
				if ( ($rows = getRow($res)) )
				{
					if ( passwordVerify($oldPassword, $rows['PASSWORD']) )
					{
						$res = tableUpdate('VISITOR', $visitorId, array('PASSWORD'=>passwordHash($newPassword)), 'USERID');
						
						if( $res > 0 )
							header("Location: ".$return."info=3");
					}
					else
						header("Location: ".$return."info=8");
				}
				else
					header("Location: ".$return."info=7");
			}
			else
				header("Location: ".$return."info=9");
		}	
}


//*************************************************************************************************
//			VISITOR
//*************************************************************************************************
elseif ( $task == "Visitor" )
{
		$name			= postVar('name');
		$address		= postVar('address', '', '', array('maxlen'=>100));
		$city			= postVar('city');
		$state			= postVar('state');
		$country		= postVar('country');
		$zip			= postVar('zip', '', '', array('maxlen'=>20));
		$phone			= postVar('phone');
		$mobile			= postVar('mobile');

		if ( $action == "Profile" )
		{
			if ( trim($name) == '' )
			{
				header("Location: ".$return."info=1");
				die;
			}
			
			tableUpdate('VISITORINFO', $visitorId, array(
															'NAME'		=> $name,
															'ADDRESS'	=> $address,
															'CITY'		=> $city,
															'STATE'		=> $state,
															'COUNTRY'	=> $country,
															'ZIP'		=> $zip,
															'PHONE'		=> $phone,
															'MOBILE'	=> $mobile
														),
							'USERID');

			header("Location: ".$return."info=3");
			die;
		}
}

//*************************************************************************************************				
//			PRICE_ALERT
//*************************************************************************************************
elseif ( $task == "PriceAlert" )
{
		$email			= getColumn('VISITOR', $visitorId, 'EMAIL', 'USERID');
		$minPrice		= $_POST['minPrice'];
		$productId		= postVar('productId', 'int');
		$captchaAnswer	= postVar('captchaAnswer', '', '', array('maxlen'=>10));
		$captchaDex		= postVar('captchaDex', 'int');

		if ( $action == "Subscribe" )
		{
			$info = '';
			if ( $productId == 0 )							die(strip_tags(getInfo(105)));
			if ( trim($email) == '' )						die(strip_tags(getInfo(173)));
			if ( !validateEmailAddress($info, $email) )		die(strip_tags(getInfo($info)));
			if ( !verifyCaptcha($info) )
				die(strip_tags(getInfo($info)));

			$minPrice										= parseAmount($minPrice);
			if ( $minPrice == 0 )							die(strip_tags(getInfo(209)));
			if ( !is_numeric($minPrice) )					die(strip_tags(getInfo(210)));

			preparedUpdate("DELETE FROM ".PREFIX."PRICE_ALERT WHERE PRODUCT_ID = ? AND EMAIL = ?", array($productId, $email));

			$res = tableInsert('PRICE_ALERT', array(
														'ID'			=> getNextId('PRICE_ALERT'),
														'PRODUCT_ID'	=> $productId,
														'EMAIL'			=> $email,
														'MIN_PRICE'		=> $minPrice,
														'CREATED_ON'	=> getTimezoneTime()
													));

			if ( $res > 0 )
			{
				sendPriceAlertNotifEmails2Merchants($msg, $productId, $email, $minPrice);
				die('success');
			}
			else
				die(strip_tags(getInfo(6)));
		}
}

//*************************************************************************************************
//			NOTHING
//*************************************************************************************************
else	
	header("Location: ".getSeoUrl('/')."?p=member_welcome&t=".$task."&a=".$action);

//*************************************************************************************************

exit(); // To make sure session is working //
?>