<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

$email = postVar('email', 'a-zA-Z0-9@_\-\.', '', array('maxlen' => 100));

if (trim($email) == '') {
    header("Location: " . SCRIPT_ROOT . "member_forgot_pwd_form." . EXTENSION . "?info=1&return=" . urlencode(getVar('return', 'url')));
    die;
}

$msg = '';
if (!verifyCaptcha($msg)) {
    header("Location: " . SCRIPT_ROOT . "member_forgot_pwd_form." . EXTENSION . "?info=" . urlencode($msg) . "&return=" . urlencode(getVar('return', 'url')));
    die;
}

//*************************************************************************************************

$res = preparedQuery("SELECT V.USERID, VI.NAME, V.EMAIL FROM " . PREFIX . "VISITOR V, " . PREFIX . "VISITORINFO VI WHERE V.EMAIL LIKE ? AND V.USERID = VI.USERID", array($email));
if (($row = getRow($res))) {
    $pwdChangeCode = getConfirmationCode();
    preparedUpdate("UPDATE " . PREFIX . "VISITOR SET PWD_CHANGE_CODE = ? WHERE USERID = ?", array($pwdChangeCode, $row['USERID']));

    sendMail($email, SCRIPT_WEBMASTER, CREATE_NEW_PASSWORD_REQUEST, DEAR . ' ' . $row['NAME'] . ",\n\n" . RECEIVED_LOST_PASSWORD_REQUEST . "\n\n" . USE_FOLLOWING_LINK_TO_CREATE_NEW_PWD . "\n" . SCRIPT_ROOT . 'member_forgot_pwd_create.php?i=' . $row['USERID'] . '&c=' . $pwdChangeCode . "\n\n" . PLEASE_IGNORE_IF_NOT_YOU . "\n\n" . REGARDS . "\n" . SCRIPT_COMPANY_NAME, 0);

    header("Location: " . SCRIPT_ROOT . "member_forgot_pwd_form." . EXTENSION . "?pwdInfo=1&return=" . urlencode(getVar('return', 'url')));
} else
    header("Location: " . SCRIPT_ROOT . "member_forgot_pwd_form." . EXTENSION . "?info=5&return=" . urlencode(getVar('return', 'url')));

//*************************************************************************************************
