<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");
require(PATH . 'include/include_RSA.php');

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

$visitorId = getVar('i', 'int');
$confCode = getVar('c');
$doAction = postVar('act');
$return = SCRIPT_ROOT . 'member_forgot_pwd_form.' . EXTENSION . '?';

if ($visitorId == 0 || $confCode == '') {
    header('Location: ' . $return . 'info=1');
    die;
}

if (!($vRec = getRecord('VISITOR', $visitorId, 'USERID'))) {
    header('Location: ' . $return . 'info=5');
    die;
}

if ($vRec['PWD_CHANGE_CODE'] != $confCode) {
    header('Location: ' . $return . 'info=30');
    die;
}

//*************************************************************************************************

if ($doAction != '') {
    $newPassword = postVar('newPassword', PWD_ALLOWED_CHARS, '', array('maxlen' => MAX_CHARS_PWD));
    $confirmPassword = postVar('confirmPassword', PWD_ALLOWED_CHARS, '', array('maxlen' => MAX_CHARS_PWD));

    if ($newPassword == '' || $confirmPassword == '') {
        header('Location: ' . $return . 'info=1');
        die;
    }

    if ($newPassword != $confirmPassword) {
        header('Location: ' . $return . 'info=9');
        die;
    }

    $res = preparedUpdate("UPDATE " . PREFIX . "VISITOR SET PASSWORD = ?, PWD_CHANGE_CODE=''  WHERE USERID = ?", array(passwordHash($newPassword), $visitorId));
    if ($res > 0)
        header('Location: ' . getSeoUrl('member_login', 'info=17'));
    else
        header('Location: ' . $return . 'info=6');
    die;
}

//*************************************************************************************************

// Render template
renderTemplate('member_forgot_pwd_create', [
    'visitorId' => $visitorId,
    'confCode' => $confCode,
    'return' => $return,
]);

//*************************************************************************************************
