<?php  
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php"); 
		require (PATH."include/include.php"); 
		require (PATH.'include/include_RSA.php');

//*************************************************************************************************

		require (PATH."session.php");

//*************************************************************************************************

		$email			= postVar('email', '', '', array('maxlen'=>255));
		$password		= postVar('password', PWD_ALLOWED_CHARS, '', array('maxlen'=>MAX_CHARS_PWD));
		$isAjax			= postVar('isAjax', 'int');
		$muserId		= postVar('muserId', '', '', array('maxlen'=>20));
		$productId		= postVar('productId', 'int');

//*************************************************************************************************

		$return			= postVar('return', 'url');
		if ( $return == '' )
			$return = getVar('return', 'url');

		$return = doCleanInput($return);

//*************************************************************************************************

		$contWOreg = getVar('contWOreg', 'int');
		if ( defined('ALLOW_CHECKOUT_WITHOUT_SIGNUP') && ALLOW_CHECKOUT_WITHOUT_SIGNUP == 1 && $contWOreg && $return != '' )
		{
			$_SESSION['contWOreg']	= 1;

			header("Location: ".$return);
			die;
		}

//*************************************************************************************************

		if ( $email != '' && $password != '' )
		{
			$result		= preparedQuery("SELECT USERID, PASSWORD, VERIFICATION_CODE, LASTLOGIN, ISVALID, MERCHANTID FROM ".PREFIX."VISITOR WHERE EMAIL = ?", array($email));

			// Get from Database
			if ( ($rows = getRow($result)) )
			{
				$userId		= (int)$rows['USERID'];

				$result1	= preparedQuery("SELECT NAME FROM ".PREFIX."VISITORINFO WHERE USERID = ?", array($userId));
				$rows1		= getRow($result1);

				// Check if user is Active
				if( $rows["ISVALID"] == "Y" )
				{
					// Get Email Verification
					if ( $rows["VERIFICATION_CODE"] == '' || !(VISITOR_EMAIL_VERIFICATION) )
					{
						// Match Password
						if ( passwordVerify($password, $rows['PASSWORD']) )
						{
							$visitorName	= $rows1["NAME"];
							$visitorEmail	= $email;
							$lastLogin		= $rows["LASTLOGIN"];
							$visitorId		= $userId;

							tableUpdate('VISITOR', $userId, array('LASTLOGIN'=>getTimezoneTime()), 'USERID');
							
							$_SESSION['visitorId']			= $visitorId;
							$_SESSION['visitorName']		= $visitorName;
							$_SESSION['visitorEmail']		= $visitorEmail;
							$_SESSION['visitorLastLogin']	= $lastLogin;

							if ( defined('IS_SELL_YOURS_INSTALLED') && IS_SELL_YOURS_INSTALLED == 1 && $rows['MERCHANTID'] > 0 )
							{
								$_SESSION['merchantId']		= $rows['MERCHANTID'];
								$_SESSION['visitorSeller']	= 'Y';
								$_SESSION['userValid']		= 'Y';
								$_SESSION['userName']		= $visitorName;
								$_SESSION['userLastLogin']  = $lastLogin;
							}
		
							if ( IS_AUCTION_INSTALLED == 1 )
							{
								$_SESSION['userId']			= $visitorId;
							}

							if ( IS_AFFILIATES_INSTALLED == 1 && AFF_SEPARATE_ACCOUNT_AREA == 0 )
							{
								$msgEx3 = '';
								loginAffiliate($msgEx3, $visitorId, $visitorEmail);
							}

							if ( $isAjax == 1 )
							{
								echo "success:".$visitorId;
							}
							else
							{
								if ( $return != '' )
									header("Location: ".$return);
								else
									header("Location: ".getSeoUrl('member_welcome'));
							}
						}
						else
							memberProcessLoginMsg(14);
					}
					else
						memberProcessLoginMsg(231);
				}
				else
					memberProcessLoginMsg(15);
			}
			else
				memberProcessLoginMsg(5);
		}
		else
			memberProcessLoginMsg(1);

//*************************************************************************************************

		function memberProcessLoginMsg($msg)
		{
			global $isAjax, $return;

			if ( $isAjax == 1 )
				echo getInfo($msg);
			else
				header("Location: ".getSeoUrl('member_login', 'info='.$msg.'&return='.urlencode($return)));
		}

//*************************************************************************************************
?>