<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

$merchantId = getVar('merchantId');
$amount = getVar('amount');
$packagePaymentId = getVar('packagePaymentId');
$clickPaymentId = getVar('clickPaymentId');

//*************************************************************************************************

if ($merchantId == '') {
    showMerchantErrorPage(INFO_1, MERCHANTID_CANNOT_BE_EMPTY);
}

if ($amount == '') {
    showMerchantErrorPage(INFO_1, AMOUNT_CANNOT_BE_EMPTY);
}

if ($packagePaymentId == '') {
    showMerchantErrorPage(INFO_1, PACKAGEPAYMENTID_CANNOT_BE_EMPTY);
}

// Render template
renderTemplate('merchants/authorize-billinfo', [
    'amount' => $amount,
    'packagePaymentId' => $packagePaymentId,
    'clickPaymentId' => $clickPaymentId,
]);

//*************************************************************************************************
