<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************				

		require ("path.php");
		require (PATH."include/include.php");
		require (PATH.'include/include_RSA.php');

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************				

		$task	= postVar('task');
		$action = postVar('action');
		$return = str_replace('&amp;', '&', postVar('return', 'urlpart'));
		$isAjax = postVar('isAjax', 'int');

//*************************************************************************************************

		require (PATH."include/security_check.php");

//*************************************************************************************************				
//			MEMBER
//*************************************************************************************************
if ( $task == "Member" )
{
		$newmerchantId	= postVar('newmerchantId', 'int');
		$email			= postVar('email');
		$password		= postVar('password', PWD_ALLOWED_CHARS, '', array('maxlen'=>MAX_CHARS_PWD));
		$confirmPassword= postVar('confirmPassword', PWD_ALLOWED_CHARS, '', array('maxlen'=>MAX_CHARS_PWD));
		$name			= postVar('name');
		$personName		= postVar('personName');
		$address		= postVar('address', '', '', array('maxlen'=>255));
		$city			= postVar('city');
		$state			= postVar('state');
		$country		= postVar('country');
		$zip			= postVar('zip');
		$phone			= postVar('phone');
		$mobile			= postVar('mobile');
		$url			= postVar('url', 'url');
		$monthlyBudget	= postVar('monthlyBudget');
		$spider_products= $_POST['spider_products']=='Y'?'Y':'N';
		$package		= postVar('package');
		$paymentMethod	= postVar('paymentMethod');
		$userProductId	= postVar('userProductId', 'int');
		$productId		= postVar('productId', 'int');

		if ( $action == "Add" )
		{
            $info = '';
            if ( !verifyCaptcha($info) ) {
                echo getErrorForm($_POST, $return."info=".urlencode($info));
                die;
            }

			$info = '';
			if ( !validateEmailAddress($info, $email) )
			{
				echo getErrorForm($_POST, $return."info=".urlencode($info));
				die;
			}

			$vCode	= getConfirmationCode();
			$msg	= '';
			$ret	= addUser($msg, 0, $password, $confirmPassword, $name, $personName, $address, $city, $state, $country, $zip, $phone, $mobile, $email, $url, '', '', '', '', '', '', '', '', '', $vCode, '', $spider_products, '', '', '', $monthlyBudget);

			if ( $ret > 0 )
			{
				$msgEx  = '';
				$ppId	= addUserPackage($msgEx, $ret, $package);
				
				// Get Package Payment Amount
				$amount	= (int)getColumn("PACKAGE", $package, "PRICE");

				// Activate Merchant
				if ( APPROVE_USER_REGISTERATION != 1 && $amount <= 0 )
					preparedUpdate("UPDATE ".PREFIX."USER SET ISVALID = 'Y' WHERE USERID = ?", array($ret));

				$msgEx2 = '';

				// If email verification is must than send verification email to user
				if ( USER_EMAIL_VERIFICATION == 1 )
				{
					sendVerificationCode($msgEx2, $ret);
					header("Location: merchant_upload_image.php?uId=".$ret."&ppId=".$ppId."&info=601");
					die;
				}

				if ( APPROVE_USER_REGISTERATION == 1 )
				{
					sendRegisterationEmail2Admin($msgEx2, $ret);
					header("Location: merchant_upload_image.php?uId=".$ret."&ppId=".$ppId."&info=602");
					die;
				}

				sendRegisterationEmail($msgEx2, $ret);
				header("Location: merchant_upload_image.php?uId=".$ret."&ppId=".$ppId."&info=603");
				die;
			}
			else
				echo getErrorForm($_POST, $return."info=".urlencode($msg));
		}
	
		else if ( $action == "PaymentMethod" )
		{
			if ( $paymentMethod == '' )
				$paymentMethod = postVar('optionId', 'int');

			//////////////////////////////////
			// Payment Method Cannot be Empty.
			if ( $paymentMethod == '' )
			{
				if ( $return == '' )
					$return = 'merchant_welcome.php?';

				echo getErrorForm($_POST, $return."info=50");
				die;
			}
			//////////////////////////////////			
			
			// Get Current Package ID
			$packageId = (int)getColumn("USER", $newmerchantId, "PACKAGE_ID", "USERID");

			// Get Current Package Record
			if ( !($recPackage = getRecord("PACKAGE", $packageId)) )
			{
				echo getErrorForm($_POST, $return."info=124");
				die;
			}

			// Get Package Amount
			$amount				= $recPackage['PRICE'];
			$packagePaymentId	= postVar('ppId', 'int');
			$ctpaymentId		= 0;

			// Set PaymentMethod in Package
			preparedUpdate("UPDATE ".PREFIX."PACKAGE_PAYMENT SET PAYMENT_TYPE = ? WHERE PACKAGE_ID = ? AND MERCHANTID = ?", array($paymentMethod, $packageId, $newmerchantId));

			// If charges clickthrough upfront
			if ( $recPackage['CLICKTHROUGH_UPFRONT'] > 0 )
			{
				$ctpaymentId = (int)getColumn("CLICKTHROUGHS_PAYMENT", $newmerchantId, "MAX(ID)", "MERCHANTID");
				tableUpdate('CLICKTHROUGHS_PAYMENT', $ctpaymentId, array('PAYMENT_TYPE'=>$paymentMethod));
			}

			makePayment($newmerchantId, $paymentMethod, ($recPackage['PRICE']+$recPackage['CLICKTHROUGH_UPFRONT']), $packagePaymentId, $ctpaymentId, 0, $packageId);	
		}
}

//*************************************************************************************************
//			MERCHANT IMAGE
//*************************************************************************************************

elseif ( $task == "ImageUpload" )
{
	if ( $action == "ImageUpload" )
	{
		$isRegister		= postVar('isRegister');
		$uId			= postVar('uId');
		$ppId			= postVar('ppId', 'int');
		$btnContinue	= postVar('btnContinue');

		if ( $isRegister == 'Y' )
		{
			$package  = (int)getColumn("USER", $uId, "PACKAGE_ID", "USERID");
			$amount	  = (int)getColumn("PACKAGE", $package, "PRICE");
			$amount	 += (int)getColumn("PACKAGE", $package, "CLICKTHROUGH_UPFRONT");
		}

		// Merchant Didnot Upload Image
		if ( $btnContinue != '' )
		{
			if ( $amount > 0 )
			{
				header("Location: merchant_register_payment_method.php?uId=".$uId."&ppId=".$ppId."&info=51");
				die;
			}
			else
			{
				header("Location: merchant_login.php?info=17");
				die;
			}
		}

		// Merchant Did Upload Image
		if ( trim($_FILES["image"]["name"]) != "" )
		{
			$file_name		= PATH."upload/merchant/".$uId.".jpg";
			if ( copyFile($_FILES["image"]["tmp_name"], $file_name) )
			{				
				if ( $amount > 0 )
				{
					header("Location: merchant_register_payment_method.php?uId=".$uId."&ppId=".$ppId."&info=52");
					die;
				}

				header("Location: merchant_login.php?info=17");
			}
			else
				header("Location: ".$return."info=6");
		}
		else
            header("Location: ".$return."info=1");
		die;
	}	
}

//*************************************************************************************************
//			USER PRODUCT REVIEW
//*************************************************************************************************
elseif ( $task == "UserReview" )
{
		$userProductId	= postVar('userProductId', 'int');
		$rating			= postVar('rating', 'float');
		$review			= postVar('review', '', '', array('maxlen'=>255));
				
		if ( $action == "Add" )
		{
			if ( trim($userProductId) == ""  || trim($rating) == "" || trim($review) == "") 
			{
				header("Location: ".$return."info=1");
				die;
			}
	
			$sql = "SELECT * FROM ".PREFIX."DEALER_PRODUCT_RATING WHERE USERID = ? AND USER_PRODUCT_ID = ?";
			$res = preparedQuery($sql, array($merchantId, $userProductId));
			if ( ($row = getRow($res)) )
			{
				$sql = "UPDATE ".PREFIX."DEALER_PRODUCT_RATING SET RATING = ?, REVIEW = ? WHERE USER_PRODUCT_ID = ? AND USERID = ?";
				$res = preparedUpdate($sql, array($rating, $review, $userProductId, $merchantId));
				if( $res > 0 )
					header("Location: ".$return."info=3");
				else
					header("Location: ".$return."info=6");
			}
			else
			{
				$newId = getNextId('DEALER_PRODUCT_RATING');
				$res = tableInsert('DEALER_PRODUCT_RATING', array(
																	'ID'				=> $newId,
																	'USER_PRODUCT_ID'	=> $userProductId,
																	'USERID'			=> $merchantId,
																	'RATING'			=> $rating,
																	'REVIEW'			=> $review,
																	'ISVALID'			=> 1
																));
				if ( $res > 0 )
					header("Location: ".getProductPath(getColumn("DEALER_PRODUCT", $userProductId, "PRODUCT_ID", SCRIPT_ROOT."merchant/"))."?info=2");
				else
					header("Location: ".$return."info=6");
			}
		}
		
}

//*************************************************************************************************
//			PAYMENT OPTION
//*************************************************************************************************
elseif ( $task == "ClickthroughPayment" )
{
		$amount			= postVar('amount', 'float');
		$optionId		= postVar('optionId', 'int');
		$mId			= postVar('merchantId');

		if ( $action == "Select" )
		{
			if ( trim($optionId) == "" || trim($amount) == "" || trim($mId) == "" )
			{
				header("Location: ".$return."info=1");
				die;
			}

			tableInsert('CLICKTHROUGHS_PAYMENT', array(
															'MERCHANTID'		=> $mId,
															'PAYMENT_TYPE'		=> $optionId,
															'PAYMENT_DATETIME'	=> getTimezoneTime(),
															'AMOUNT'			=> $amount,
															'ISVALID'			=> 'N'
														));
			$newId = lastAutoInsertId();

/*				12/6/2010:
				Commented since we are using sendClickthroughPaymentEmail() below
			if ( $row = getRecord("USERINFO", $mId, "USERID") )
			{
				// Send email to merchant
//				sendMail($row["EMAIL"], SCRIPT_WEBMASTER, CLICKTHROUGH_PAYMENT_MADE_SUCCESSFULY, DEAR." ".$row["NAME"].",\n\n".YOUR_PAYMENT_OF." ".SCRIPT_DOLLAR.$amount." ".IS_SUCCESSFULY_PLACED, 0);

				// Send email to webmaster
//				sendMail(SCRIPT_WEBMASTER, SCRIPT_WEBMASTER, CLICKTHROUGH_PAYMENT_MADE_SUCCESSFULY, DEAR." Admin,\n\n".PAYMENT_IS_PLACED_BY." ".$row["NAME"]." ".ON." ".getTimezoneTime().". ".PAYMENT_AMOUNT_IS." ".SCRIPT_DOLLAR.$amount.". ".PLEASE_VERIFY_THIS, 0);
			}*/

			$msg = '';
			sendClickthroughPaymentEmail($msg, $mId, $amount, 0, 0);

			makePayment($mId, $optionId, $amount, 0, $newId);
			die;
		}
}

//*************************************************************************************************
//			NOTHING
//*************************************************************************************************
else	
	header("Location: index.php?t=".$task."&a=".$action);

?>