<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

if (IS_MERCHANTBID_INSTALLED == 1) {
    header("Location: merchant_bid_payment.php?merchantId=" . getVar('merchantId'));
    die;
}

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

$merchantId = getVar('merchantId');
if ($merchantId == '')
    $merchantId = sessionVar('merchantId');


if ($merchantId == '') {
    header("Location: merchant_welcome.php?info=" . PLEASE_SELECT_A_MERCHANT);
    die;
}

//*************************************************************************************************

$balance = getUserBalance($merchantId, array('N', 'C'));

//*************************************************************************************************

// Render template
renderTemplate('merchants/clickthroughs-payment-options', [
    'balance' => $balance,
]);

//*************************************************************************************************
