<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

$productId = getVar('productId', 'int');

//*************************************************************************************************

if (IS_MERCHANTBID_INSTALLED == 1) {
    header("Location: merchant_bid_footprints.php?productId=" . $productId);
    die;
}

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

include("merchant_session.php");

//*************************************************************************************************

$arrClicks = array();

$args = array();
$sql = "SELECT UPR.* FROM " . PREFIX . "CLICKTHROUGHS UPR WHERE ";
if (isset($productId) && $productId != '') {
    $sql .= "UPR.PRODUCT_ID = ? AND ";
    $args[] = $productId;
}
if (isset($payed) && $payed != '') {
    if ($payed == 'Y')
        $sql .= "UPR.ISPAYED = 'Y' AND ";
    else
        $sql .= "UPR.ISPAYED <> 'Y' AND ";
}
if (isset($month) && $month != '') {
    $sql .= "MONTH(UPR.REDIRECT_TIME) = ? AND ";
    $args[] = $month;
}
if (isset($year) && $year != '') {
    $sql .= "YEAR(UPR.REDIRECT_TIME) = ? AND ";
    $args[] = $year;
}
$sql .= "UPR.USERID = ? ORDER BY CATEGORY_TITLE, PRODUCT_TITLE";
$args[] = $merchantId;

$result = breakPages($sql, '', 0, $args);

while (($row = getRow($result))) {
    $arrClicks[] = $row;
}

// Render template
renderTemplate('merchants/footprints-list', [
    'arrClicks' => $arrClicks,
    'productId' => $productId,
    'payed' => $payed,
    'month' => $month,
    'year' => $year,
]);

//*************************************************************************************************
