<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

$productId = getVar('productId', 'int');

//*************************************************************************************************

if (IS_MERCHANTBID_INSTALLED == 1) {
    header("Location: merchant_bid_footprints_form.php?productId=" . $productId);
    die;
}

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

include("merchant_session.php");

//*************************************************************************************************

$result = preparedQuery("SELECT IF(MONTH('" . getTimezoneTime() . "')=MONTH(UPR.REDIRECT_TIME) AND YEAR('" . getTimezoneTime() . "')=YEAR(UPR.REDIRECT_TIME), 'Y', 'N') AS THISMONTH, UPR.* FROM " . PREFIX . "CLICKTHROUGHS UPR WHERE UPR.USERID = ?", array($merchantId));

$count = 0;
$unPayed = 0;
$thisMonth = 0;
while (($row = getRow($result))) {
    $count++;
    if ($row['ISPAYED'] != 'Y') $unPayed++;
    if ($row['THISMONTH'] == 'Y') $thisMonth++;
}
free($result);

// Render template
renderTemplate('merchants/footprints-form', [
    'unPayed' => $unPayed,
    'thisMonth' => $thisMonth,
    'count' => $count,
]);

//*************************************************************************************************
