<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

$doUserValidRedirect = 'N';
include("merchant_session.php");

//*************************************************************************************************

$rate = $prefs['CLICKTHROUGH_RATE'];
$rowx = getRow(preparedQuery("SELECT COUNT(*) C FROM " . PREFIX . "USER_PRODUCT UP, " . PREFIX . "CLICKTHROUGHS UR WHERE UP.ID = UR.USER_PRODUCT_ID AND UP.USERID = ? AND UR.ISPAYED <> 'Y' AND UR.ISMERCHANT='Y'", array($merchantId)));
$numUnpayedClicks = (int)$rowx["C"];

//*************************************************************************************************

$arrPaymentOptions = [];
$res = preparedQuery("SELECT * FROM " . PREFIX . "PAYMENT_OPTION WHERE CLICKTHROUGHS <= ? AND ISVALID = 'Y' ORDER BY CLICKTHROUGHS", array($numUnpayedClicks));
while ( ($row = getRow($res)) ) {

}

// Render template
renderTemplate('merchants/payment-options', [
    'arrPaymentOptions' => $arrPaymentOptions,
    'rate' => $rate,
]);

//*************************************************************************************************
