<?php  
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		if ( isset($_GET['LX']) && $_GET['LX'] != '' )
			define('DO_FORCE_L_CHECK', 1);

//*************************************************************************************************

		require ("path.php"); 
		require (PATH."include/include.php"); 
		require (PATH.'include/include_RSA.php');

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		$email			= postVar('email');
		$password		= postVar('password', PWD_ALLOWED_CHARS, '', array('maxlen'=>MAX_CHARS_PWD));
		$userProductId	= postVar('userProductId', 'int');
		$productId		= postVar('productId', 'int');

//*************************************************************************************************

		if ( $email != '' && $password != '' )
		{
			$result1	= preparedQuery("SELECT * FROM ".PREFIX."USERINFO WHERE EMAIL = ?", array($email));
			if ( ($rows1 = getRow($result1)) )
			{
				$merchantId	= $rows1['USERID'];
				$userName	= $rows1['NAME'];
				$result		= preparedQuery("SELECT * FROM ".PREFIX."USER WHERE USERID = ?", array($merchantId));
				if ( ($rows = getRow($result)) )
				{
					// Match Password
					if ( passwordVerify($password, $rows['PASSWORD']) )
					{
						// Check if user's credit limit exceeded
						$balance = str_replace(',', '', getUserBalance($merchantId, array('N', 'C')));
						$credit  = str_replace(',', '', getMerchantCreditLimit($merchantId));

						if( $rows['IS_CLICKTHROUGH_FREE'] == 'Y' || ($balance + $credit) >= 0 )
						{
							// 2/17/2010: 
							// If user is active then get inside and work normally
							// If user is not active then check if he is defaulter then also get inside and log him in, this time $userValid will be set to 'N' (since ISVALID is N) and thus user will only be able to goto payment pages
							// If user is not active and he is not a defaulter as well, then this check fails and it means that user was deactivated by admin for some reason (like violation of terms) and so he will be given a message in else
							if( $rows['ISVALID'] == 'Y' || $rows['IS_DEFAULTER'] == 'Y' )
							{
								// Get Email Verification
								if ( $rows["VERIFICATION_CODE"] == "" || !(USER_EMAIL_VERIFICATION) )
								{
									$sql		= "SELECT DATE_FORMAT(MAX(PP.PAYMENT_DATETIME),'%Y-%m-%d') AS UDATE, PP.DAYS FROM ".PREFIX."PACKAGE P, ".PREFIX."PACKAGE_PAYMENT PP WHERE PP.MERCHANTID = ? AND PP.PACKAGE_ID = ? AND PP.ISVALID='Y' AND P.ID=PP.PACKAGE_ID GROUP BY PP.MERCHANTID";
									$resultX	= preparedQuery($sql, array($merchantId, $rows['PACKAGE_ID']));
									//echo $sql;die;

									// Package Has Expired
									if ( ($rowX = getRow($resultX)) )
									{
										$visitorSeller	= $rows['IS_VISITOR_SELLER'];
										$userValid		= $rows['ISVALID'];
										$lastLogin		= $rows['LASTLOGIN'];
										$userName		= $rows1['NAME'];

										$dateDiff		= addDays($rowX['UDATE'], $rowX['DAYS']);
										$currentDate	= date("Y-m-d");

										if ( $currentDate >= $dateDiff )
										{
											// Commented on 7/10/2009: so that merchant remains active and can login to pay
											// Decommented on 2/12/2010: because now we use IS_DEFAULTER field to decide
											tableUpdate('USER', $merchantId, array('ISVALID'=>'N', 'IS_DEFAULTER'=>'Y', 'LASTLOGIN'=>getTimezoneTime()), 'USERID');
											$userValid = 'N';
										}
										else
											tableUpdate('USER', $merchantId, array('LASTLOGIN' => getTimezoneTime()), 'USERID');
									
										$_SESSION['merchantId']		= $merchantId;
										$_SESSION['visitorSeller']	= $visitorSeller;
										$_SESSION['userValid']		= $userValid;
										$_SESSION['userName']		= $userName;
										$_SESSION['userLastLogin']  = $lastLogin;
					
										if ( $userValid == "N" )
										{
											header("Location: merchant_select_package.php");
											die;
										}

										header("Location: merchant_welcome.php");
									}
									// No Valid Package YET. Payment made but not verified.
									else
									{
										// Check if user selected package does not exist anymore, then reset
										if ( $rows['PACKAGE_ID'] > 0 && !($rowX = getRecord("PACKAGE", $rows['PACKAGE_ID'])) )
											tableUpdate('USER', $merchantId, array('PACKAGE_ID'=>0), 'USERID');

										$userValid				= 'N';
										$_SESSION['merchantId'] = $merchantId;
										$_SESSION['userValid']  = $userValid;
										$_SESSION['userName']   = $userName;

										header("Location: merchant_select_package.php?info=505&");
									}
								}
								else
									header("Location: merchant_login.php?info=506&");
							}
							else
								header("Location: merchant_login.php?info=507&verify=1&");
						}
						else
							header("Location: merchant_clickthroughs_payment_options.php?info=22&merchantId=".$merchantId);
					}
					else
						header("Location: merchant_login.php?info=14&");
				}
				else
					header("Location: merchant_login.php?info=5&");
			}
			else
				header("Location: merchant_login.php?info=7&");
		}
		else
			header("Location: merchant_login.php?info=1&");


//*************************************************************************************************
?>