<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		include("path.php");
		require(PATH."include/include.php");
		require(PATH.ADMIN_FOLDER_NAME."/product_import_feed_functions.php");

//*************************************************************************************************

		set_time_limit(0);

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		include ("merchant_session.php");

//*************************************************************************************************

		$userId = $merchantId;

//*************************************************************************************************

		$delimiter			= getVar('delimiter');

		$isExactMatch		= $_GET['isExactMatch']=="Y"?"Y":"N";
		$isNewEntryAllowed	= $_GET['isNewEntryAllowed']=="Y"?"Y":"N";
		$isImageUpdtAllowed	= $_GET['isImageUpdtAllowed']=="Y"?"Y":"N";

		$useCategoryMapping = $_GET['useCategoryMapping']=="Y"?"Y":"N";
		$isOnlyCatMapping	= $_GET['isOnlyCatMapping']=="Y"?"Y":"N";
		$isMatchByName		= $_GET['isMatchByName']=="Y"?"Y":"N";
		
		$colMaincat			= getVar('colMaincat');
		$colSubcat			= getVar('colSubcat');
		$colMicrocat		= getVar('colMicrocat');
		$colCatid			= getVar('colCatid');
		$catId				= getVar('catId');

		$isColIdEntryPoint	= $_GET['isColIdEntryPoint']=="Y"?"Y":"N";

		$colProduct			= getVar('colProduct');
		$colDetail			= getVar('colDetail');
		$colImage			= getVar('colImage');
		
		$colPrice			= getVar('colPrice');
		$colComments		= getVar('colComments');
		$colBrand			= getVar('colBrand');
		$colDetailURL		= getVar('colDetailURL');
		$colBuyURL			= getVar('colBuyURL');
		$colShipping		= getVar('colShipping');
		$colPartNo			= getVar('colPartNo');
		$colEanUpc			= getVar('colEanUpc');
		$colAvailability	= getVar('colAvailability');
		$colUserProductId	= getVar('colUserProductId');

		$colField1			= getVar('colField1');
		$colField2			= getVar('colField2');
		$colField3			= getVar('colField3');
		$colField4			= getVar('colField4');
		$colField5			= getVar('colField5');
		$colField6			= getVar('colField6');
		$colField7			= getVar('colField7');
		$colField8			= getVar('colField8');
		$colField9			= getVar('colField9');

		$colUserField1		= getVar('colUserField1');
		$colUserField2		= getVar('colUserField2');
		$colUserField3		= getVar('colUserField3');
		$colUserField4		= getVar('colUserField4');
		$colUserField5		= getVar('colUserField5');
		$colUserField6		= getVar('colUserField6');
		$colUserField7		= getVar('colUserField7');
		$colUserField8		= getVar('colUserField8');
		$colUserField9		= getVar('colUserField9');

		$total				= getVar('total');

		// Advanced Options
		$isRepeatFile		= getVar('isRepeatFile');
		$startAfter			= getVar('startAfter');
		$isUniqueCat		= getVar('isUniqueCat');

//*************************************************************************************************
		
		$userCount = 1;

		$debug			= getVar('debug', 'int');
		if ( DEBUG_IMPORT < 1 )
			define('DEBUG_IMPORT',	 $debug);

//*************************************************************************************************

		$logFeedFile	= '';
		$msg			= '';

		$success		= 0;
		$failure		= 0;
		$notfound		= 0;

//*************************************************************************************************

		// Set Flag, It Is Running
		if ( $isRep == '' )
			executeUpdate("UPDATE ".PREFIX."AUTOFEED_PREFERENCES SET RUN_IN_BG = 'Y'");

//*************************************************************************************************

		if ( $_GET['isXml2Csv'] == '' )
		{
			// Also Save all settings in the database.
			preparedUpdate("DELETE FROM ".PREFIX."USER_FEED_PARAMETERS WHERE USERID = ?", array($userId));
			tableInsert('USER_FEED_PARAMETERS', array(
														'USERID'					=> $userId,
														'DELIMITER'					=> $delimiter,
														'EXACT_MATCH'				=> $isExactMatch,
														'ISNEWENTRY_ALLOWED'		=> $isNewEntryAllowed,
														'ISUPDATE_IMAGE_ALLOWED'	=> $isImageUpdtAllowed,
														'USE_CATEGORY_MAPPING'		=> $useCategoryMapping,
														'ISONLY_CAT_MAPPING'		=> $isOnlyCatMapping,
														'ISMATCH_BY_PRODUCTNAME'	=> $isMatchByName,
														'COL_MAIN_CAT'				=> $colMaincat,
														'COL_SUB_CAT'				=> $colSubcat,
														'COL_MICRO_CAT'				=> $colMicrocat,
														'COL_CAT_ID'				=> $colCatid,
														'CAT_ID'					=> $catId,
														'ISCOL_ENTRY_POINT'			=> $isColIdEntryPoint,
														'COL_PRODUCT'				=> $colProduct,
														'COL_DETAIL'				=> $colDetail,
														'COL_IMAGE'					=> $colImage,
														'COL_PRICE'					=> $colPrice,
														'COL_COMMENTS'				=> $colComments,
														'COL_BRANDS'				=> $colBrand,
														'COL_DETAIL_URL'			=> $colDetailURL,
														'COL_BUY_URL'				=> $colBuyURL,
														'COL_SHIPPING'				=> $colShipping,
														'COL_PARTNO'				=> $colPartNo,
														'COL_EAN_UPC'				=> $colEanUpc,
														'COL_AVAILABILITY'			=> $colAvailability,
														'COL_FIELD1'				=> $colField1,
														'COL_FIELD2'				=> $colField2,
														'COL_FIELD3'				=> $colField3,
														'COL_FIELD4'				=> $colField4,
														'COL_FIELD5'				=> $colField5,
														'COL_FIELD6'				=> $colField6,
														'COL_FIELD7'				=> $colField7,
														'COL_FIELD8'				=> $colField8,
														'COL_FIELD9'				=> $colField9,
														'COL_USER_FIELD1'			=> $colUserField1,
														'COL_USER_FIELD2'			=> $colUserField2,
														'COL_USER_FIELD3'			=> $colUserField3,
														'COL_USER_FIELD4'			=> $colUserField4,
														'COL_USER_FIELD5'			=> $colUserField5,
														'COL_USER_FIELD6'			=> $colUserField6,
														'COL_USER_FIELD7'			=> $colUserField7,
														'COL_USER_FIELD8'			=> $colUserField8,
														'COL_USER_FIELD9'			=> $colUserField9,
														'COL_USER_PRODUCT_ID'		=> $colUserProductId,
														'LAST_UPDATED'				=> getTimezoneTime()
													));
		}

//*************************************************************************************************
	
		echo "<html><body><center><font face='verdana' size='1'>".PLEASE_WAIT__PROCESSING_FILE."</font><div id='pro1'></div></center></body></html>\n";
		flush();

//*************************************************************************************************

		// Call function
		$lineno = processFeedFile($msg, $success, $failure, $notfound, $total, $userId, $delimiter, $isExactMatch, $isNewEntryAllowed, $isImageUpdtAllowed, 'D', '', '', '', '', $colMaincat, $colSubcat, $colMicrocat, $colCatid, $isColIdEntryPoint, $colProduct, $colDetail, $colImage, $colPrice, '', '', '', '', '', '', '', $colComments, $colBrand, $colDetailURL, $colBuyURL, $colShipping, $colPartNo, $colEanUpc, $colAvailability, $colField1, $colField2, $colField3, $colField4, $colField5, $colField6, $colField7, $colField8, $colField9, $colUserField1, $colUserField2, $colUserField3, $colUserField4, $colUserField5, $colUserField6, $colUserField7, $colUserField8, $colUserField9, $colUserProductId, $useCategoryMapping, $isOnlyCatMapping, $isMatchByName, 1, $catId);

//*************************************************************************************************

		echo "<script>\nlocation.href = \"merchant_product_import_feed_result.php?userId=".$userId."&lineno=".$lineno."&total=".$total."&success=".$success."&failure=".$failure."&notfound=".$notfound."&log=".urlencode($logFeedFile)."&msg=".urlencode($msg)."\";\n</script>\n";
		flush();

//*************************************************************************************************

		die;

//*************************************************************************************************
?>