<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

include("merchant_session.php");

//*************************************************************************************************

$userId = $merchantId;

//*************************************************************************************************

// Get File Path
$filepath = PATH . "upload/merchant/" . $userId . "/products-feed.csv";

if (!file_exists($filepath)) {
    header("Location:merchant_product_import_csv.php?info=" . CSV_FILE_NOT_FOUND);
    die;
}

//*************************************************************************************************

// Open File for Reading
if (!($fp = fopen($filepath, "r")))
    die ("<font color='red'><b>" . COULD_NOT_OPEN_FILE_FOR_READING . $filepath . "</b></font>");

// Read Lines and move ahead
$totLines = 0;
while (!feof($fp)) {
    $totLines++;
    fgets($fp, 65000);
}
fclose($fp);
$totRecs = $totLines - 1;

writeToFile("upload/merchant/" . $userId . "/feed.log", 0);

//*************************************************************************************************

$res = preparedQuery("SELECT * FROM " . PREFIX . "USER_FEED_PARAMETERS WHERE USERID = ?", array($userId));
if (($row = getRow($res))) {
    $delimiter = $row['DELIMITER'];
    $lastUpdated = $row['LAST_UPDATED'];
} else {
    $delimiter = ',';
    $lastUpdated = 'N/A';
}

//*************************************************************************************************

// Render template
renderTemplate('merchants/product-import-feed-prompt', [
    'totRecs' => $totRecs,
    'lastUpdated' => $lastUpdated,
    'delimiter' => $delimiter,
]);

//*************************************************************************************************
