<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

$langFilename = 'merchant_product_import_feed';
include(PATH . "session.php");

//*************************************************************************************************

include("merchant_session.php");

//*************************************************************************************************

$userId = $merchantId;

//*************************************************************************************************

$log = getVar('log');
if ($log == '')
    $log = "upload/logs/product-feed_" . $userId . "_" . date("Y-m-d") . ".htm";

$total = getVar('total');
if ($total == "")
    $total = 0;

$success = getVar('success', 'int');
if ($success == "")
    $success = 0;

$failure = getVar('failure', 'int');
if ($failure == "")
    $failure = 0;

$notfound = getVar('notfound', 'int');
if ($notfound == "")
    $notfound = 0;

//*************************************************************************************************

// Render template
renderTemplate('merchants/product-import-feed-result', [
    'userId' => $userId,
    'total' => $total,
    'success' => $success,
    'failure' => $failure,
    'notfound' => $notfound,
    'log' => $log,
]);

//*************************************************************************************************
