<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		include("path.php");
		require(PATH."include/include.php");

//*************************************************************************************************

		set_time_limit(0);

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		include ("merchant_session.php");

//*************************************************************************************************

		$userId = $merchantId;

//*************************************************************************************************

		// Get File Path
		$filepath	= PATH."upload/merchant/".$userId."/products-xml.xml";

		if ( !file_exists($filepath) )
		{
			header("Location:merchant_product_import_xml.php?info=".urlencode(XML_FILE_NOT_FOUND_ON_SERVER_FOR_MERCHANT.' : '.$userId));
			die;
		}

//*************************************************************************************************

		$total	= getVar('total');
		if ( $total == "" )
			$total = 100;

		$incrementValue = ceil($total/100);
		$incCounter		= 0;
		$incPercentage	= 0;

//*************************************************************************************************

		$logFeedFile = "upload/logs/product-xml_".$userId."_".date("Y-m-d").".php";
		writeToFile($logFeedFile, '');

		$msg			= '';
		$xmlState		= 0;
		$rowCount		= 0;

//*************************************************************************************************

		$current		= 0;
		$success		= 0;
		$failure		= 0;
		$notfound		= 0;

//*************************************************************************************************

		$userProductId	= 0;
		$productId		= 0;
		$price			= 0;
		$comment		= 0;
		$merchantBrand	= 0;
		$detailUrl		= 0;
		$buyUrl			= 0;
		$shipping		= 0;
		$merchantPartNo	= 0;
		$isAvailable	= 0;

//*************************************************************************************************
	
		echo "<html><body><center><font face='verdana' size='1'>".PLEASE_WAIT__PROCESSING_FILE."</font><div id='pro1'></div></center></body></html>\n";
		flush();

//*************************************************************************************************

		$msg = '';
		if ( !processXMLFile($msg, $filepath) )
			echo "<script>\npro1.innerHTML = \"<font face='verdana' size='2' face='red'><b>".$msg."</b></font>\";\n</script>\n";
		else
			echo "<script>\nlocation.href = \"merchant_product_import_xml_result.php?userId=".$userId."&total=".$total."&success=".$success."&failure=".$failure."&notfound=".$notfound."&log=".urlencode($logFeedFile)."\";\n</script>\n";
		
		flush();

//*************************************************************************************************

		die;

//*************************************************************************************************
//*************************************************************************************************
//*************************************************************************************************

		function processXMLFile($msg, $filepath)
		{
			// Create Parser
			$parser = xml_parser_create();

			// Register Start & End Element Handlers
			xml_set_element_handler($parser, "startElementHandler", "endElementHandler");

			// Register Character Data Parser
			xml_set_character_data_handler($parser, "dataHandler");

			// Open File for Reading
			if ( !($fp = fopen($filepath, "r")) )
			{
				$msg = COULD_NOT_OPEN_FILE_FOR_READING." : ".$filepath;
				return 0;
			}

			// Read chunk of 4K and pass to Parser
			while ($data = fread($fp, 51200))
			{
				//echo "<!-- \n\n $data \n\n -->"; 
				if ( !xml_parse($parser, $data, feof($fp)) )
				{
					$msg = str_replace('"', "'", ("XML Error : Line ".xml_get_current_line_number($parser).", Col ".xml_get_current_column_number($parser).", Error ".xml_error_string(xml_get_error_code($parser)).", Filepath : ".$filepath.""))."";
					return 0;
				}
			}
			fclose($fp);

			return 1;
		}

//*************************************************************************************************
		
		function startElementHandler($parser, $name, $attribs)
		{
			global $success, $failure, $notfound, $xmlState, $rowCount;

			if ( $name == "ROW" )
				$xmlState = 1;										// A Single UserProduct Row Found

			if ( $xmlState == 1 && $name == "COLUMN-VALUE" )
				$rowCount++;

		}

//*************************************************************************************************

		function endElementHandler($parser, $name)
		{				
			global  $logFeedFile, $current, $incCounter, $incrementValue, $incPercentage, $total, $success, $failure, $notfound, $xmlState, $rowCount, $userProductId, $userId, $productId, $price, $comment, $merchantBrand, $detailUrl, $buyUrl, $shipping, $merchantPartNo, $isAvailable;

			if ( $xmlState == 1 )
			{
				if ( $name == "ROW" )
				{
					$xmlState = 0;
					$rowCount = 0;
					$msg	  = '';

					// Update Progress BAR
					$current++;
					$incCounter++;

					if ( $incCounter == $incrementValue )
					{
						$incCounter = 0;
						
						if ( $current >= $total )
							$incPercentage = 100;
						else
							$incPercentage++;

						echo "<script>\npro1.innerHTML = \"<table width='400' bgcolor='red' cellpadding='3' border='0'><tr><td bgcolor='white'><table width='".$incPercentage."%' bgcolor='green'><tr height='30'><td></td></tr></table></td></tr></table><br><font face='verdana' size='1'><b>".$incPercentage."%</b><br>".$current." of ".$total."<br></b></font>\";\n</script>\n";
						flush();
					}
//					echo "$userProductId, $userId, $productId, $price, $comment, $merchantBrand, $detailUrl, $buyUrl, $shipping, '', $isAvailable<br>";
					
					// Use USER_PRODUCT_ID to INSERT VALUE
					if ( $userProductId != '' )
					{
						if ( getRecord('USER_PRODUCT', $userProductId) )
						{
							$ret = updateUserProduct($msg, $userProductId, $userId, $productId, $price, $comment, $merchantBrand, $detailUrl, $buyUrl, $shipping, '', $isAvailable, 'Y', 1);
							
							if ( $ret )
								$success++;
							else
								$failure++;
						}
						else
						{
							$ret = addUserProduct($msg, $userId, $productId, $price, $comment, $merchantBrand, $detailUrl, $buyUrl, $shipping, '', $isAvailable, 'Y');
							
							if ( $ret )
								$success++;
							else
								$failure++;
						}
					}
					else
					{
						// User PRODUCT_ID to INSERT VALUE
						if ( $productId != '' )
						{
							if ( getRecord('PRODUCT', $productId) )
							{
								$ret = addUserProduct($msg, $userId, $productId, $price, $comment, $merchantBrand, $detailUrl, $buyUrl, $shipping, '', $isAvailable, 'Y');
								
								if ( $ret )
									$success++;
								else
									$failure++;
							}
							else
							{
								$msg = "ProductID [$productId] ".NOT_FOUND_IN_DATABASE__CANT_CONTINUE;
								$notfound++;
							}
						}
						else
						{
							$msg = USERPRODUCTID_AND_PRODUCTID_BOTH_ARE_EMPTY;
							$notfound++;
						}
					}

					// Logging
					appendToProductXMLLogFile($logFeedFile, "Row # $current | ".str_replace('<br>', '', getInfo($msg)));
//					echo "<font size=1 face='verdana' color='red'>$msg</font><br>";
				}
			}

		}

//*************************************************************************************************

		function dataHandler($parser, $data)
		{
			global $success, $failure, $notfound, $xmlState, $rowCount, $userProductId, $userId, $productId, $price, $comment, $merchantBrand, $detailUrl, $buyUrl, $shipping, $merchantPartNo, $isAvailable;
			
			$data = handleSingleQuote($data);
			if ( $data == '' )
				return;

			if ( $xmlState == 1 )
			{
				switch ($rowCount)
				{
					case 1 :
						$productId		= $data;
						break;

					case 2 :
						$userProductId	= $data;
						break;

					case 3 :
						$price			= $data;
						break;

					case 4 :
						$comment		= $data;
						break;

					case 5 :
						$merchantBrand	= $data;
						break;

					case 6 :
						$detailUrl		= $data;
						break;

					case 7 :
						$buyUrl			= $data;
						break;

					case 8 :
						$shipping		= $data;
						break;

					case 9 :
						$isAvailable	= $data;				
						break;
				}
//				echo "[DATA] $userProductId, $userId, $productId, $price, $comment, $merchantBrand, $detailUrl, $buyUrl, $shipping, '', $isAvailable<br>";

			}
		}

//*************************************************************************************************

		function appendToProductXMLLogFile($logFeedFile, $text)
		{
			if ( $logFeedFile == '' )
				return 0;

			if ( $text == '' )
				return 0;

			appendToFile($logFeedFile, "<font face='verdana' size='2'>[".date('Y-m-d H:i:s')."] ".$text."</font><br>\n");
		}

//*************************************************************************************************

?>