<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");
require(PATH . "include/include_xml_defines.php");
require(PATH . ADMIN_FOLDER_NAME . "/product_import_xml_functions.php");

//*************************************************************************************************

include(PATH . "session.php");

//*************************************************************************************************

include("merchant_session.php");

//*************************************************************************************************

include("merchant_product_import_feed_constants.php");

//*************************************************************************************************

$userId = $merchantId;
$outerTagName = getVar('outerTagName');
$innerTagName = getVar('innerTagName');

if ($userId == "" || $outerTagName == "" || $innerTagName == "") {
    header("Location:merchant_product_import_xml.php?info=1");
    die;
}

//*************************************************************************************************

// Get File Path
$filepath = PATH . "upload/merchant/" . $userId . "/products-xml.xml";

if (!file_exists($filepath)) {
    header("Location:merchant_product_import_xml.php?info=" . urlencode(XML_FILE_NOT_FOUND_ON_SERVER_FOR_MERCHANT . ' : ' . $userId));
    die;
}

//*************************************************************************************************

$baseTag = $innerTagName;
$msg = '';
$info = getXMLInfo($msg, $filepath);

if (!is_array($info)) {
    header("Location:merchant_product_import_xml.php?info=" . urlencode(CAN_NOT_COLLECT_INFORMATION_FROM_XML_FILE));
    die;
}

$tagArray = $info['tag_array'];

//*************************************************************************************************

// Open File for Reading
if (!($fp = fopen($filepath, "r")))
    die ("<font color='red'><b>" . COULD_NOT_OPEN_FILE_FOR_READING . " : " . $filepath . "</b></font>");

// Read Lines and move ahead
$totLines = 0;
while (!feof($fp)) {
    $data = fgets($fp, 65000);
    $totLines += substr_count(strtoupper($data), '<' . $innerTagName . '>');
}
fclose($fp);
$totRecs = $totLines;

//*************************************************************************************************

$userFeedParams = getRecord("USER_FEED_PARAMETERS", $userId, "USERID");
$isNewEntryAllowed = $userFeedParams['ISNEWENTRY_ALLOWED'] == "Y" ? "Y" : "N";
$useCategoryMapping = $userFeedParams['USE_CATEGORY_MAPPING'] == "Y" ? "Y" : "N";
$isOnlyCatMapping = $userFeedParams['ISONLY_CAT_MAPPING'] == "Y" ? "Y" : "N";
$isColIdEntryPoint = $userFeedParams['ISCOL_ENTRY_POINT'] == "Y" ? "Y" : "N";
$isImageUpdtAllowed = $userFeedParams['ISUPDATE_IMAGE_ALLOWED'] == "Y" ? "Y" : "N";
$isMatchByName = $userFeedParams['ISMATCH_BY_PRODUCTNAME'] == "Y" ? "Y" : "N";
$isExactMatch = $userFeedParams['EXACT_MATCH'] == "Y" ? "Y" : "N";

//*************************************************************************************************

// Render template
renderTemplate('merchants/product-import-xml-prompt2', get_defined_vars());

//*************************************************************************************************
