<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

require("path.php");
require(PATH . "include/include.php");

//*************************************************************************************************

$langFilename = 'merchant_account_balance';
include(PATH . "session.php");

//*************************************************************************************************

$allowVisitorSeller2Page = 1;
include("merchant_session.php");

//*************************************************************************************************

$curBal = getUserBalance($merchantId);
$crLim = getMerchantCreditLimit($merchantId);

$recU = getRecord('USER', $merchantId, 'USERID');
$recUI = getRecord('USERINFO', $merchantId, 'USERID');

$reqAmt = (float)$recU['REQUEST_PAYMENT'];

$pMethd = (int)$recUI['PAYMENT_RECEIVE_METHOD'];

//*************************************************************************************************

// Render template
renderTemplate('merchants/request-paymnet', [
    'curBal' => $curBal,
    'crLim' => $crLim,
    'reqAmt' => $reqAmt,
    'pMethd' => $pMethd,
    'recUI' => $recUI,
]);

//*************************************************************************************************
