<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		include (PATH."include/phplot.php");

//*************************************************************************************************

		$graph = new PHPlot(500, 350);

//*************************************************************************************************

		$year	= getVar('year');
		$month	= getVar('month');

		if ( $year == '' || $month == '' )
		{
			header("Location: index.php?info=".PARAMETERS_MISSING);
			die;
		}

//*************************************************************************************************

		$data		= array();
		$lastDay	= date('t', mktime(0, 0, 0, $month, 1, $year));
		for ( $i=1; $i<=$lastDay; $i++ )
		{
			$dt				= $year.'-'.$month.'-'.($i<10?'0':'').$i;
			$data[$i-1][0]	= $i;
			$res			= preparedQuery("SELECT COUNT(C.ID) AS C FROM ".PREFIX.(IS_MERCHANTBID_INSTALLED==1 ? 'BID_':'')."CLICKTHROUGHS C WHERE C.".(IS_MERCHANTBID_INSTALLED==1 ? 'MERCHANTID':'USERID')." = ? AND DATE_FORMAT(REDIRECT_TIME, '%Y-%m-%d') = ?", array($merchantId, $dt));
			$row			= getRow($res);
			$data[$i-1][1]	= $row['C'];
		}

		$graph->SetDataValues($data);
		$graph->SetHorizTickIncrement(10000);
//		$graph->SetTitle("Price Trend Graph");

		$graph->SetLegend("Clicks");
		$graph->SetLegendPixels(60, 1);

		$graph->SetLineWidth(2);
		$graph->SetLineStyles(array('solid'));
		$graph->SetDataColors(array('blue'));
		$graph->DrawGraph();

//*************************************************************************************************
?>