<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php"); 

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		include ("merchant_session.php");

//*************************************************************************************************

		$startDate		= getVar('startDate');
		$endDate		= getVar('endDate');
		$showZero		= $_GET['showZero']=='Y'?1:0;

		if ( $startDate == '' || $endDate == '' )
		{
			echo closePopupWindow(REPORT_PARAMETERS_NOT_FOUND);
			die;
		}

//*************************************************************************************************

		if ( !isset($prefs['CLICKTHROUGH_RATE']) )
		{
			echo closePopupWindow(PREFERENCES_NOT_FOUND);
			die;
		}

//*************************************************************************************************

		$PAGE = "rep_all_product_clicks_popup.php";
		$SELF = $PAGE."?startDate=".$startDate."&endDate=".$endDate."&showZero=".($showZero?'Y':'N')."&";

//*************************************************************************************************
?>
<html>
	<head>
		<title> <?php echo PRINT_REPORT?> </title>
		<link rel="stylesheet" href="<?php echo SCRIPT_ROOT?>/admin/style/admin.css" type="text/css">
		<style>
		A
		{
			FONT-WEIGHT: normal;
			FONT-SIZE: 11px;
			COLOR: #000000;
			FONT-STYLE: normal;
			FONT-FAMILY: Verdana;
			FONT-VARIANT: normal;
			TEXT-DECORATION: none
		}
		A:hover
		{
			TEXT-DECORATION: underline
		}
		.thDark
		{
			background-color: #AAAAFE;
		}
		.thLight
		{
			background-color: #CFCFDE;
		}
		.tdDark
		{
			background-color: #F2F2F2;
		}
		.tdLight
		{
			background-color: #FAFAFA;
		}
		.tdLight2
		{
			background-color: #E9E9FA;
		}
		</style>
	</head>

	<body>

		<center>

			<div id="panel">
				<table width="100%">
				<tr>
					<td class="tdPrn"><?php
						echo "Product Clicks Report From '".formatDate($startDate)."' To '".formatDate($endDate)."'";
					?></td>
					<td class="tdPrn" align="right">
						<a href="#" onclick="printit();" class="link"><?php echo _PRINT?></a>&nbsp;&nbsp;|&nbsp;<a href="#" onclick="window.close();" class="link"><?php echo _CLOSE?></a>
					</td>
				</tr>
				</table><br>
			</div>

			<font class="large"><?php echo TOTAL_PRODUCT_CLICKS_FROM?> '<?php echo formatDate($startDate)?>' To '<?php echo formatDate($endDate)?>'</font><br>
			<table width="80%" cellspacing=5>
			<tr>
				<td width=100><font class="normal"><b><?php echo PRINT_DATE?> :</b></font></td>
				<td width=200><font class="normal"><?php echo formatDate(date("Y-m-d"))?></font></td>
				<td>&nbsp;</td>
				<td width=100 align="right"><font class="normal"><?php echo "Page ".(ceil(getVar('x', 'int')/$pageSize)+1)?></font></td>
			</tr>
			</table>
			<br>

			<table width="95%" cellspacing="0" cellpadding="2" align="center" class="tablePrn">
				<tr>
					<th width="60%" class="thLight thPrn"><?php echo PRODUCT?></th>
					<th width="20%" class="thLight thPrn"><?php echo CLICKS?></th>
					<th width="20%" class="thLight thPrn"><?php echo AMOUNT?></th>
				</tr>
<?php
				$totClicks	= 0;
				$totTotal	= 0;
				$args		= array();
				if ( $showZero == 1 )
				{
					$args[] = $startDate;
					$args[] = $endDate;
					$args[] = $merchantId;

					if ( IS_MERCHANTBID_INSTALLED == 1 )
						$sql = "SELECT P.TITLE, COUNT(CT.ID) AS CTCOUNT, SUM(CT.AMOUNT_CHARGED) AS TOTAL FROM ".PREFIX."PRODUCT P, ".PREFIX."USER_PRODUCT UP LEFT OUTER JOIN ".PREFIX."BID_CLICKTHROUGHS CT ON CT.USER_PRODUCT_ID=UP.ID AND CT.REDIRECT_TIME >= ? AND CT.REDIRECT_TIME <= ? WHERE UP.USERID = ? AND P.ID=UP.PRODUCT_ID AND P.ISVALID='Y' GROUP BY P.ID ORDER BY P.TITLE";
					else
						$sql = "SELECT P.TITLE, COUNT(CT.ID) AS CTCOUNT FROM  ".PREFIX."PRODUCT P, ".PREFIX."USER_PRODUCT UP LEFT OUTER JOIN ".PREFIX."CLICKTHROUGHS CT ON CT.USER_PRODUCT_ID=UP.ID AND CT.REDIRECT_TIME >= ? AND CT.REDIRECT_TIME <= ? WHERE UP.USERID = ? AND P.ID=UP.PRODUCT_ID AND P.ISVALID='Y' GROUP BY P.ID ORDER BY P.TITLE";
				}
				else
				{
					$args[] = $merchantId;
					$args[] = $startDate;
					$args[] = $endDate;

					if ( IS_MERCHANTBID_INSTALLED == 1 )
						$sql = "SELECT P.TITLE, COUNT(CT.ID) AS CTCOUNT, SUM(CT.AMOUNT_CHARGED) AS TOTAL FROM ".PREFIX."PRODUCT P, ".PREFIX."BID_CLICKTHROUGHS CT WHERE CT.MERCHANTID = ? AND CT.REDIRECT_TIME >= ? AND CT.REDIRECT_TIME <= ? AND P.ID=CT.PRODUCT_ID AND P.ISVALID='Y' GROUP BY P.ID ORDER BY PRODUCT_TITLE";
					else
						$sql = "SELECT CT.PRODUCT_TITLE AS TITLE, CT.CATEGORY_TITLE, COUNT(CT.ID) AS CTCOUNT, SUM(IF(CT.ISFREE='Y',0,CT.CLICKTHROUGH_RATE)) AS TOTAL FROM ".PREFIX."PRODUCT P, ".PREFIX."CLICKTHROUGHS CT WHERE CT.USERID = ? AND CT.REDIRECT_TIME >= ? AND CT.REDIRECT_TIME <= ? AND P.ID=CT.PRODUCT_ID AND P.ISVALID='Y' GROUP BY P.ID ORDER BY PRODUCT_TITLE";
				}
				$result = breakPages($sql, '', 0, $args);

				while ( ($row = getrow($result)) )
				{
					$clicks	= $row['CTCOUNT'];
//					$total	= ( IS_MERCHANTBID_INSTALLED==1 ? $row['TOTAL']:($clicks * $pref['CLICKTHROUGH_RATE']));
// 3/25/2013: Mamda: Now we show amout from the click rate saved in db with all clicks
					$total	= $row['TOTAL'];

					$totClicks	+= $clicks;
					$totTotal	+= $total;
?>
				<tr>
					<td class="<?php echo $i%2!=0?"tdLight":"tdDark"?> tdPrn" align="left"><?php echo $row['TITLE']?></td>
					<td class="<?php echo $i%2!=0?"tdLight":"tdDark"?> tdPrn" align="center"><?php echo  $clicks ?></td>
					<td class="<?php echo $i%2!=0?"tdLight":"tdDark"?> tdPrn" align="center"><b><?php echo  getFormattedPrice($total, SCRIPT_DOLLAR, 1) ?></b></td>
				</tr>
<?php
				}
?>
				<tr>
					<td class="thLight tdPrn" align="right"><b><?php echo TOTAL?>: </b></td>
					<td class="thLight tdPrn" align="center"><font color="blue"><?php echo  $totClicks ?></font></td>
					<td class="thLight tdPrn" align="center"><font color="blue"><b><?php echo  getFormattedPrice($totTotal, SCRIPT_DOLLAR, 1) ?></b></font></td>
				</tr>
			</table>

			<br>
			<font class="normal"><b><?php echo CLICKTHROUGH_RATE?> : </b><?php echo IS_MERCHANTBID_INSTALLED==1 ? 'Variable':(getFormattedPrice($pref['CLICKTHROUGH_RATE'], SCRIPT_DOLLAR, 1))?></font>

			<br>
			<div id="paging"><?php echo makePages($SELF)?></div>

		</center>

	</body>

	<script language="JavaScript">
	<!--
		function printit()
		{
			panel.style.visibility		= 'hidden';
			paging.style.visibility		= 'hidden';
			window.print();
			
			alert('<?php echo JSMSG_PRESS_OK_WHEN_PRINTING_DONE?>');
			panel.style.visibility		= 'visible';
			paging.style.visibility		= 'visible';
		}
	//-->
	</script>
</html>