<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php"); 

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		include ("merchant_session.php");

//*************************************************************************************************

		$year		= getVar('year');

		if ( $year == '' )
		{
			echo closePopupWindow(REPORT_PARAMETERS_NOT_FOUND);
			die;
		}

//*************************************************************************************************

		if ( !isset($prefs['CLICKTHROUGH_RATE']) )
		{
			echo closePopupWindow(PREFERENCES_NOT_FOUND);
			die;
		}

//*************************************************************************************************

		$PAGE = "rep_product_clicks_yearly_popup.php";
		$SELF = $PAGE."?year=".$year;

//*************************************************************************************************
?>
<html>
	<head>
		<title> <?php echo PRINT_REPORT?> </title>
		<link rel="stylesheet" href="<?php echo SCRIPT_ROOT?>/admin/style/admin.css" type="text/css">
		<style>
		A
		{
			FONT-WEIGHT: normal;
			FONT-SIZE: 11px;
			COLOR: #000000;
			FONT-STYLE: normal;
			FONT-FAMILY: Verdana;
			FONT-VARIANT: normal;
			TEXT-DECORATION: none
		}
		A:hover
		{
			TEXT-DECORATION: underline
		}
		.thDark
		{
			background-color: #AAAAFE;
		}
		.thLight
		{
			background-color: #CFCFDE;
		}
		.tdDark
		{
			background-color: #F2F2F2;
		}
		.tdLight
		{
			background-color: #FAFAFA;
		}
		.tdLight2
		{
			background-color: #E9E9FA;
		}
		</style>
	</head>

	<body>

		<center>

			<div id="panel">
				<table width="100%">
				<tr>
					<td class="tdPrn"><?php
						echo "Total Product Clicks - '".$year."'";
					?></td>
					<td class="tdPrn" align="right">
						<a href="#" onclick="printit();" class="link"><?php echo _PRINT?></a>&nbsp;&nbsp;|&nbsp;<a href="#" onclick="window.close();" class="link"><?php echo _CLOSE?></a>
					</td>
				</tr>
				</table><br>
			</div>

			<font class="large"><?php echo TOTAL_PRODUCT_CLICKS?> - '<?php echo $year?>'</font><br>
			<table width="80%" cellspacing=5>
			<tr>
				<td width=100><font class="normal"><b><?php echo PRINT_DATE?> :</b></font></td>
				<td width=200><font class="normal"><?php echo formatDate(date("Y-m-d"))?></font></td>
				<td>&nbsp;</td>
				<td width=100 align="right"><font class="normal"><?php echo PAGE.' '.(ceil(getVar('x', 'int')/$pageSize)+1)?></font></td>
			</tr>
			</table>
			<br>

			<table width="95%" cellspacing="0" cellpadding="2" align="center" class="tablePrn">
				<tr>
					<th width="20%" bgcolor="white"></th>
					<th width="1" class="thLight"></th>
					<th class="thDark thPrn" colspan="2" width="50%"><?php echo PRODUCT_CLICKS?></th>
					<th width="1" class="thLight"></th>
					<th class="thDark thPrn" width="30%"><?php echo TOTAL?></th>
				</tr>
				<tr>
					<th class="thLight thPrn"><?php echo MONTH?></th>
					<th width="1" class="thLight"></th>
					<th class="thLight thPrn"><?php echo CLICKS?></th>
					<th class="thLight thPrn"><?php echo TOTAL?></th>
					<th width="1" class="thLight"></th>
					<th class="thLight thPrn"><b><?php echo TOTAL?></b></th>
				</tr>
<?php
				$monArray = array(JANUARY, FEBRUARY, MARCH, APRIL, MAY, JUNE, JULY, AUGUST, SEPTEMBER, OCTOBER, NOVEMBER, DECEMBER);

				$totClicks	= 0;
				$totTotal	= 0;
				for ( $i=1; $i<=12; $i++ )
				{
					$dt		= $year.'-'.($i<10?'0':'').$i;

					if ( IS_MERCHANTBID_INSTALLED == 1 )
						$sql= "SELECT COUNT(CT.ID) AS C, SUM(CT.AMOUNT_CHARGED) AS T FROM ".PREFIX."BID_CLICKTHROUGHS CT WHERE CT.MERCHANTID = ? AND DATE_FORMAT(REDIRECT_TIME, '%Y-%m') = ?";
					else
						$sql= "SELECT COUNT(CT.ID) AS C, SUM(IF(CT.ISFREE='Y',0,CT.CLICKTHROUGH_RATE)) AS T FROM ".PREFIX."CLICKTHROUGHS CT WHERE CT.USERID = ? AND DATE_FORMAT(REDIRECT_TIME, '%Y-%m') = ?";

					$res	= preparedQuery($sql, array($merchantId, $dt));
					$row	= getRow($res);
					$clicks	= $row['C'];
//					$total	= ( IS_MERCHANTBID_INSTALLED==1 ? $row['T']:($clicks * $prefs['CLICKTHROUGH_RATE']));
// 3/25/2013: Mamda: Now we show amout from the click rate saved in db with all clicks
					$total	= $row['T'];

					$totClicks	+= $clicks;
					$totTotal	+= $total;

//					echo "\n\n<!-- \n\n$sql\n\n -->\n\n";
?>
				<tr>
					<td class="<?php echo $i%2!=0?"tdLight":"tdDark"?> tdPrn" align="right"><font color="#56389B"><b><?php echo  $monArray[$i-1] ?></b>&nbsp;</font></td>
					<th width="1" class="thLight"></th>
					<td class="<?php echo $i%2!=0?"tdLight":"tdDark"?> tdPrn" align="center"><?php echo  $clicks ?></td>
					<td class="<?php echo $i%2!=0?"tdLight":"tdDark"?> tdPrn" align="center"><b><?php echo  getFormattedPrice($total, SCRIPT_DOLLAR, 1) ?></b></td>
					<th width="1" class="thLight"></th>
					<td class="<?php echo $i%2!=0?"tdLight2":"thLight"?> tdPrn" align="center"><font color="blue"><b><?php echo  getFormattedPrice($total, SCRIPT_DOLLAR, 1) ?></b></font></td>
				</tr>
<?php
				}
?>
				<tr>
					<td class="thLight tdPrn" align="center"></td>
					<th width="1" class="thLight"></th>
					<td class="thLight tdPrn" align="center"><font color="blue"><?php echo  $totClicks ?></font></td>
					<td class="thLight tdPrn" align="center"><font color="blue"><b><?php echo  getFormattedPrice($totTotal, SCRIPT_DOLLAR, 1) ?></b></font></td>
					<th width="1" class="thLight"></th>
					<td class="thLight tdPrn" align="center"><font color="blue"><b><?php echo  getFormattedPrice($totTotal, SCRIPT_DOLLAR, 1) ?></b></font></td>
				</tr>
			</table>

			<br>
			<font class="normal"><b><?php echo CLICKTHROUGH_RATE?> : </b><?php echo IS_MERCHANTBID_INSTALLED==1 ? 'Variable':(getFormattedPrice($prefs['CLICKTHROUGH_RATE'], SCRIPT_DOLLAR, 1)) ?></font>

			<br>
			<br>
			<img src="<?php echo SCRIPT_ROOT?>merchant/plot_product_clicks_yearly.php?year=<?php echo $year?>" width="500" height="350">
			
			<br>
			<div id="paging"></div>

		</center>

	</body>

	<script language="JavaScript">
	<!--
		function printit()
		{
			panel.style.visibility		= 'hidden';
			paging.style.visibility		= 'hidden';
			window.print();
			
			alert('<?php echo JSMSG_PRESS_OK_WHEN_PRINTING_DONE?>');
			panel.style.visibility		= 'visible';
			paging.style.visibility		= 'visible';
		}
	//-->
	</script>
</html>
<?php
//*************************************************************************************************

//*************************************************************************************************
?>