<?php 
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php"); 

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		if ( IS_SSL_INSTALLED != 1 )
			die('ERROR:'.SSL_NOT_INSTALLED);

		if ( $_SERVER['SERVER_PORT'] != 443 )
			die('ERROR:'.SSL_NOT_IN_USE);

		if ( $prefs['PIN_NET_AU_SECRET_KEY'] == '' )
			die('ERROR:'.PAYMENT_GATEWAY_SETTINGS_MISSING);

//*************************************************************************************************

		$merchantId			= postVar('merchantId', 'int');
		$title				= postVar('title');
		$amount				= postVar('amount', 'float');
		$orderId			= postVar('orderId');

		$ccEmail			= postVar('ccEmail');
		$ccAddress1			= postVar('ccAddress1');
		$ccAddress2			= postVar('ccAddress2');
		$ccCity				= postVar('ccCity');
		$ccState			= postVar('ccState');
		$ccCountry			= postVar('ccCountry');
		$ccZip				= postVar('ccZip');
		$ccName				= postVar('ccName');
		$ccCardnum			= postVar('ccCardnum');
		$ccMonth			= postVar('ccMonth');
		$ccYear				= postVar('ccYear');
		$ccCardcode			= postVar('ccCardcode');

//*************************************************************************************************

		if ( $merchantId == '' )	die('ERROR:'.INFO_1.' [merchantId]');
		if ( $title == '' )			die('ERROR:'.INFO_1.' [title]');
		if ( $amount == '' )		die('ERROR:'.INFO_1.' [amount]');
		if ( $orderId == '' )		die('ERROR:'.INFO_1.' [orderId]');
		if ( $ccEmail == '' )		die('ERROR:'.INFO_1.' [ccEmail]');
		if ( $ccAddress1 == '' )	die('ERROR:'.INFO_1.' [ccAddress1]');
		if ( $ccCity == '' )		die('ERROR:'.INFO_1.' [ccCity]');
		if ( $ccState == '' )		die('ERROR:'.INFO_1.' [ccState]');
		if ( $ccCountry == '' )		die('ERROR:'.INFO_1.' [ccCountry]');
		if ( $ccZip == '' )			die('ERROR:'.INFO_1.' [ccZip]');
		if ( $ccName == '' )		die('ERROR:'.INFO_1.' [ccName]');
		if ( $ccCardnum == '' )		die('ERROR:'.INFO_1.' [ccCardnum]');
		if ( $ccMonth == '' )		die('ERROR:'.INFO_1.' [ccMonth]');
		if ( $ccYear == '' )		die('ERROR:'.INFO_1.' [ccYear]');
		if ( $ccCardcode == '' )	die('ERROR:'.INFO_1.' [ccCardcode]');

		$postData 	 = 'amount='.($amount*100).'&';
		$postData	.= 'currency='.SCRIPT_DOLLAR_NAME.'&';
		$postData	.= 'description='.urlencode($title).'&';
		$postData	.= 'email='.$ccEmail.'&';
		$postData	.= 'ip_address='.$_SERVER['REMOTE_ADDR'].'&';
		$postData	.= 'card[number]='.$ccCardnum.'&';
		$postData	.= 'card[expiry_month]='.$ccMonth.'&';
		$postData	.= 'card[expiry_year]='.$ccYear.'&';
		$postData	.= 'card[cvc]='.$ccCardcode.'&';
		$postData	.= 'card[name]='.$ccName.'&';
		$postData	.= 'card[address_line1]='.$ccAddress1.'&';
		$postData	.= 'card[address_line2]='.$ccAddress2.'&';
		$postData	.= 'card[address_city]='.$ccCity.'&';
		$postData	.= 'card[address_postcode]='.$ccZip.'&';
		$postData	.= 'card[address_state]='.$ccState.'&';
		$postData	.= 'card[address_country]='.$ccCountry;

		//echo $postData."<br><br>";

		$ch = curl_init('https://api.pin.net.au/1/charges');
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
		curl_setopt($ch, CURLOPT_USERPWD, $prefs['PIN_NET_AU_SECRET_KEY'].':');
		curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);

		// Set certificates for ssl if set
		if ( defined( 'SSL_CERTIFICATE_PATH' ) && SSL_CERTIFICATE_PATH != '' ) {
			curl_setopt( $ch, CURLOPT_SSL_VERIFYHOST, 0 );
			curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, 1 );
			curl_setopt( $ch, CURLOPT_CAINFO, SSL_CERTIFICATE_PATH );
			curl_setopt( $ch, CURLOPT_CAPATH, SSL_CERTIFICATE_PATH );
		}

		$response = curl_exec($ch);

		curl_close($ch);

		$responseArr = json_decode($response, true);

		if ( !isset($responseArr) )
			die('ERROR:'.INVALID_RESPONSE_FROM_PAYMENT_GATEWAY);

		if ( isset($responseArr['error']) )
			die('ERROR:'.$responseArr['error_description']);

		if ( $responseArr['response']['status_message'] != 'Success' )
			die('ERROR:'.INTERNAL_SERVER_ERROR.' ['.$responseArr['response']['status_message'].']');

		
		// This is SUCCESS area, so handle success and then show message and quite
		list($packagePaymentId, $clickPaymentId, $featuredPaymentId, $salesPaymentId, $cartOrderId) = getIdsFromPaymentOrderNo($orderId);

		$msg = '';

		$out = '<div style="width:50%;margin:auto;line-height:25px;padding:20px">'."\n";
		$out = '<h3>'.ORDER_COMPLETED_SUCCESSFULLY.'</h3>'."\n\n";
		$out .= TITLE.': '.$title.'<br>'."\n";
		$out .= AMOUNT.': '.SCRIPT_DOLLAR.' '.$amount.'<br>'."\n";
		$out .= EMAIL.': '.$ccEmail.'<br>'."\n";
		$out .= ADDRESS.' 1: '.$ccAddress1.'<br>'."\n";
		$out .= ADDRESS.' 2: '.$ccAddress2.'<br>'."\n";
		$out .= CITY.': '.$ccCity.'<br>'."\n";
		$out .= STATE.': '.$ccState.'<br>'."\n";
		$out .= COUNTRY.': '.$ccCountry.'<br>'."\n";
		$out .= ZIP.': '.$ccZip.'<br>'."\n";
		$out .= NAME.': '.$ccName.'<br>'."\n";
		$out .= 'CC #: ************'.substr($ccCardnum, -4).'<br>'."\n";
		$out .= '<br>'."\n";

		if ( $packagePaymentId > 0 )
		{
			approveUserPackagePayment($msg, $packagePaymentId, 'Y');
			$out .= 'PP-'.$packagePaymentId.' ['.$msg.']<br>'."\n";
		}

		if ( $clickPaymentId > 0 )
		{
			approveUserClickthroughPayment($msg, $clickPaymentId, 'Y');
			$out .= 'CP-'.$clickPaymentId.' ['.$msg.']<br>'."\n";
		}

		if ( $featuredPaymentId > 0 )
		{
			approveUserFeaturedPayment($msg, $featuredPaymentId, 'Y');
			$out .= 'FP-'.$featuredPaymentId.' ['.$msg.']<br>'."\n";
		}

		if ( $salesPaymentId > 0 )
		{
			ppsApprovePayment($msg, $salesPaymentId, 'Y');
			$out .= 'SP-'.$salesPaymentId.' ['.$msg.']<br>'."\n";
		}

		if ( defined('IS_SHOPPING_CART_INSTALLED') && IS_SHOPPING_CART_INSTALLED == 1 && $cartOrderId > 0 )
		{
			cartOrderPaymentStatusUpdate($msg, $cartOrderId, 'A');
			$out .= 'TP-'.$cartOrderId.' ['.$msg.']<br>'."\n";
		}

		$out .= '<br>'."\n";
		$out .= PLEASE_ALLOW_UP_TO_2_BUSINESS_DAYS_FOR_PROCESSING;
		$out .= '</div>';

		echo $out;

		sendMail(SCRIPT_WEBMASTER, SCRIPT_WEBMASTER, 'Pay.NET.AU '.$orderId, "Order successfully completed!\n\n".strip_tags($out)."\n", 0);

//*************************************************************************************************
?>