<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************
		
		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		$langFilename = 'search_products.php';
		include (PATH."session.php");

//*************************************************************************************************

		$pageHeading	= POPULAR_PRODUCTS;
		$pageBreadcrumb	= ' &gt; '.POPULAR_PRODUCTS;

//*************************************************************************************************

		require (PATH."products_listing_functions.php");

//*************************************************************************************************

		$prodPOP		= array();

		if ( $prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_MYSQL )
		{
			$res = executeQuery("SELECT P.ID, P.FILENAME AS PFILENAME, P.TITLE, P.CATEGORY_ID, IFNULL(MIN_PRICE, 0) AS PRICE_MIN, IFNULL(MAX_PRICE, 0) AS PRICE_MAX, IFNULL(STORE_COUNT, 0) AS STORE_COUNT, P.PRODUCT_RATING AS RATING FROM ".PREFIX."PRODUCT P, ".PREFIX."POPULAR_PRODUCT PP WHERE P.ID=PP.PRODUCT_ID AND P.ISVALID='Y' ORDER BY PP.RANK LIMIT 24");
			while ( ($row = getRow($res)) )
			{
				list($row['CATEGORY_ID'], $row['CTITLE'], $row['CFILENAME']) = pcsGetCategoryRec(API_TYPE_MYSQL, $row['CATEGORY_ID'], 1, $row['CATEGORY'], $row['CFILENAME']);
				$prodPOP[] = $row;
			}
		}
		else
		{
			$apiType	= $prefPrdSrc['BASE_PRODUCT_SOURCE'];
			$prodPOP	= getTableRecArray('API_SOURCE_PRODUCT_CACHE', "CAT_ID, API_ID AS ID, MIN_PRICE AS PRICE_MIN, MAX_PRICE AS PRICE_MAX, STORE_COUNT AS STORE_COUNT, LINK_ID, TITLE, RATING, DETAIL, '".$apiType."' AS API_TYPE, IMAGE_URL", "TYPE = 'P'", 'STORE_COUNT DESC');
		}

//*************************************************************************************************

		// Assign Array returned's elements to variables
		$sortOptsArr			= array();
		$listingArr				= $prodPOP;
		$noOfRecords			= count($prodPOP);
		$listingTotal			= $noOfRecords;

//*************************************************************************************************

		$pageTitle				= POPULAR_PRODUCTS;
		$pageKeywords			= POPULAR_PRODUCTS;
		$pageDescription		= POPULAR_PRODUCTS;

		$ogTitle				= $pageTitle;
		$ogDescription			= $pageDescription;
		$ogUrl					= $pageUrl;

//*************************************************************************************************

		$viewType				= in_array($_GET['vt'], array('grid', 'list')) ? $_GET['vt'] : DEFAULT_LISTING_TYPE;
		$selfLink				= getSeoUrl('popular_products', '?');
		$apiType				= isset($listingArr[0]['API_TYPE']) ? $listingArr[0]['API_TYPE'] : API_TYPE_MYSQL;

//*************************************************************************************************

        // Include common functions for product listing
        require PATH . 'list_products_include.php';

        // Render template
        renderTemplate('list_products', get_defined_vars());
		
//*************************************************************************************************
