<?php	
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		$linkReviews	= '';
		$totReviews		= 0;
		$ratingArr		= array();

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		include (PATH."products_top.php");

//*************************************************************************************************

		$pageTitle		= REVIEWS_ON_PRODUCT.($prod['PAGE_TITLE']==''?$prod['TITLE']:$prod['PAGE_TITLE']);
		$pageKeywords	= REVIEWS_ON_PRODUCT.($prod['PAGE_KEYWORDS']==''?$prod['TITLE']:$prod['PAGE_KEYWORDS']);
		$pageDescription= REVIEWS_ON_PRODUCT.(str_replace('"', "&quot;", $prod['PAGE_DESCRIPTION']==''?@substr(strip_tags($prod['DETAIL']),0,255):$prod['PAGE_DESCRIPTION']));
		if ( IS_SINGLE_CATEGORY_WEBSITE == 1 )
			$pageBreadcrumb	= ' &gt; <a href="'.$pageUrl.'">'.REVIEWS_ON_PRODUCT.$prod['TITLE'].'</a>';
		else
			$pageBreadcrumb	= getCategoryBreadCrumb($categoryId, " &gt; <a href=\"{FILEPATH}\">{TITLE}</a>") . ' &gt; <a href="'.$pageUrl.'">'.REVIEWS_ON_PRODUCT.$prod['TITLE'].'</a>';

		$ogTitle		= $pageTitle;
		$ogDescription	= $pageDescription;
		$ogImage		= $productImageUrl;
		$ogUrl			= $linkReviews;
		$canonicalLink	= $linkReviews;

//*************************************************************************************************

		if ( $apiType == API_TYPE_MYSQL )
		{
			$sql			= "SELECT USERID, USER_NAME, USER_CITY, USER_STATE, RATING, REVIEW, DATE_ADDED FROM ".PREFIX."PRODUCT_RATING WHERE PRODUCT_ID = ? AND ISVALID = 'Y' ORDER BY DATE_ADDED DESC";
			$res			= preparedQuery($sql, array($productId));
			$noOfRecords	= getTotalRows($res);
			
			while( ($row = getRow($res)) )
			{
				if ( DO_WRITE_REVIEW_WITHOUT_LOGIN == 1 )
				{
					$name		= $row['USER_NAME'];
					$location 	= ($row['USER_CITY']!='' && $row['USER_STATE']!='') ? $row['USER_CITY'].', '.$row['USER_STATE'] : $row['USER_CITY'].$row['USER_STATE'];
				}
				else
				{
					$name		= $row['USERID'];
					$location	= '';
					
					$sql2		= "SELECT NAME, CITY, STATE FROM ".PREFIX."VISITORINFO WHERE USERID = ?";
					$res2 		= preparedQuery($sql2, array($row['USERID']));
					if ( ($row2 = getRow($res2)) )
					{
						$name 	  	= $row2['NAME'];
						$location 	= ($row2['CITY']!='' && $row2['STATE']!='') ? $row2['CITY'].', '.$row2['STATE'] : $row2['CITY'].$row2['STATE'];
					}
				}
				
				$row['NAME']	= $name;
				$row['LOCATION']= $location;

				$ratingArr[]	= $row;
			}
			free($res);

			$totReviews		= $noOfRecords;
		}

//*************************************************************************************************

		if ( $apiType == API_TYPE_SHOPZILLA )
		{
			$msg = '';
			$szRes = pcsShopzillaProductReviews($msg, $productId);

//			echo '<pre>['.$msg.']';print_r($szRes);die;

			if ( !is_array($szRes) ) { header('Location: '.getSeoUrl('/', 'info=6')); die; }

			$ratingArr	= $szRes;
		}

//*************************************************************************************************

		$return = getSeoUrl('product_rating', 'productId='.$productId);

//*************************************************************************************************

        // Render template
        renderTemplate('product_rating', [
            'apiType' => $apiType,
            'categoryId' => $categoryId,
            'categoryFilename' => $categoryFilename,
            'productId' => $productId,
            'productLink' => $productLink,
            'productImageUrl' => $productImageUrl,
            'productThumbUrl' => $productThumbUrl,
            'productFilename' => $productFilename,
            'prod' => $prod,
            'totReviews' => $totReviews,
            'ratingArr' => $ratingArr,
            'return' => $return,
        ]);

//*************************************************************************************************
