<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************
		
		$categoryId	= getVar('categoryId', 'int');
		$productId	= getVar('productId', 'int');
		$filename	= getVar('filename', 'urlpart');

		if ( $productId == 0 )
		{
			echo INFO_105;
			die;
		}

		if ( $categoryId == 0 )
		{
			echo INFO_134;
			die;
		}

		if ( $filename == '' )
			$filename = defaultProductImageFilename($productId);

//*************************************************************************************************
?>
<html>

	<head>
		<title><?php echo SCRIPT_COMPANY_NAME; ?> - <?php echo PRODUCT_IMAGES; ?></title>
		<link href="<?= SCRIPT_ROOT ?>style/public.min.css" rel="stylesheet" type="text/css">
	</head>

	<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

	<table width="100%" height="100%" cellspacing="5" cellpadding="5" border="0">
		<tr height="20">
			<td><font class="heading"><?php echo PRODUCT_IMAGES_FOR; ?> <?php echo getColumn('PRODUCT', $productId); ?></font></td>
		</tr>
		<tr height="20">
			<td>
				<table width="1" cellpadding="3" cellspacing="3" border="0" bgcolor="#000000">
					<tr>
						<td bgcolor="#FFFFFF"><?php echo displayProductImageSpecific($productId, $categoryId, $filename); ?></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr height="20">
			<td>
				<table>
					<tr>
				
<?php
		$res = preparedQuery("SELECT FILENAME FROM ".PREFIX."PRODUCT_IMAGE WHERE PRODUCT_ID = ? ORDER BY FILENAME", array($productId));
		while ( ($row = getRow($res)) )
		{
?>
						<td valign="top">
							<table width="1" cellpadding="3" cellspacing="3" border="0" bgcolor="#000000">
							<tr>
								<td bgcolor="#FFFFFF"><?php echo  displayProductImageThumbnail($productId, $categoryId, $row['FILENAME']); ?></td>
							</tr>
							</table>
						</td>
<?php
		}
?>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td align="right"><a href="javascript:window.close();" class="link"><img src="<?php echo getResourceUrl('close_window.gif', 'images/'.$langFolder); ?>" width="100" height="20" border=0 alt="<?php echo _CLOSE; ?>"></a></td>
		</tr>
	</table>

	</body>

</html>