<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		$count 			= 0;
		$noOfRecords	= 0;
		$shipDate 		= date('Y-m-d', mktime(0, 0, 0, date('m'), date('d')+1, date('Y')));

		$arrPrices 		= array();
		$arrBest 		= array();
		$hasAvailability= false;
		$hasComments	= false;
		$hideUserReviews= false;

		$arrReviews		= array();
		$linkReviews	= '';
		$totReviews		= 0;
		$totDiscuss		= 0;
		$arrVideos		= array();

		$relatedProds	= array();

		$fArr			= array();
		$fTot			= 0;
		$pCount			= 0;
		$parent			= '';

		if ( defined('IS_MERCHANTBID_INSTALLED') && IS_MERCHANTBID_INSTALLED == 1 )
		{
			if ( !((isset($_GET['sk']) && $_GET['sk'] != '') || (isset($_GET['sp']) && $_GET['sp'] != '')) )
			{
				$_GET['sk']	= 'BID_AMOUNT';
				$_GET['so']	= 'DESC';
			}
		}

		// Make sure that the sort keys are valid, to avoid sql error
		limitGetVar('sp', array('MERCHANT_RATING', 'TOT_PRICE'));
		limitGetVar('sk', array('NAME', 'COMMENT', 'PRICE'));
		limitGetVar('so', array('ASC', 'DESC'));

//*************************************************************************************************

		// Should be here because products_top below uses some session variables like currencyRate etc
		include (PATH."session.php");

//*************************************************************************************************

		include (PATH."products_top.php");

//*************************************************************************************************

		$zipLat = 0.0;
		$zipLng = 0.0;
		if ( $_GET['zipCode'] != '' )
		{
			$zipCode = getVar('zipCode', '', '', array('maxlen'=>20));
			$_SESSION['zipCode'] = $zipCode;

			$proximitySql = "";
			if ( IS_ZIPCODE_PROXIMITY_INSTALLED == 1 )
			{
				if ( getZipcodeLongLat($zipLat, $zipLng, $zipCode) != 1 )
				{
					$zipLat = 0.0;
					$zipLng = 0.0;
				}
				$_SESSION['sessZipLat'] = $zipLat;
				$_SESSION['sessZipLng'] = $zipLng;

				include PATH.'products_include_proximity.php';
			}
		}
		else
		{
			$zipCode		= sessionVar('zipCode');
			$zipMile		= sessionVar('zipMile');
			$zipLat			= sessionVar('sessZipLat');
			$zipLng			= sessionVar('sessZipLng');
			$proximitySql	= sessionVar('proximitySql');
			$proximityZips	= sessionVar('proximityZips');

		}

//*************************************************************************************************

		$pageTitle		= str_replace('"', "&quot;", $prod['PAGE_TITLE']==''?strip_tags($prod['TITLE']):$prod['PAGE_TITLE']);
		$pageKeywords	= str_replace('"', "&quot;", $prod['PAGE_KEYWORDS']==''?strip_tags($prod['TITLE']):$prod['PAGE_KEYWORDS']);
		$pageDescription= str_replace('"', "&quot;", $prod['PAGE_DESCRIPTION']==''?@substr(strip_tags($prod['DETAIL']),0,255):$prod['PAGE_DESCRIPTION']);
		if ( IS_SINGLE_CATEGORY_WEBSITE == 1 )
			$pageBreadcrumb	= ' &gt; <a href="'.$productLink.'">'.$prod['TITLE'].'</a>';
		else
			$pageBreadcrumb	=	($cat['PARENT_ID'] > 1 ? getCategoryBreadCrumb($cat['PARENT_ID'], ' &gt; <a href="{FILEPATH}">{TITLE}</a>') : '') .
								($categoryId > 1 ? ' &gt; <a href="'.$categoryLink.'">'.$categoryTitle.'</a>' : '') .
								' &gt; <a href="'.$productLink.'">'.$prod['TITLE'].'</a>';

		$ogTitle		= $pageTitle;
		$ogDescription	= $pageDescription;
		$ogImage		= $productImageUrl;
		$ogUrl			= $productLink;
		$canonicalLink	= $productLink;

		$doCallLightbox	= $apiType == API_TYPE_MYSQL && defined('IS_MULTIPLE_IMAGES_INSTALLED') && IS_MULTIPLE_IMAGES_INSTALLED == 1;

//*************************************************************************************************

		$isSellYoursInstalled = defined('IS_SELL_YOURS_INSTALLED') && IS_SELL_YOURS_INSTALLED == 1;

        $displayStoreInfoInGrid = defined('SHOW_STORE_INFO_IN_PRICE_GRID') && 1 == SHOW_STORE_INFO_IN_PRICE_GRID;

//*************************************************************************************************

		$sp				= getVar('sp');
		$so				= getVar('so');
		$thisPageName 	= basename($_SERVER['PHP_SELF']);
		$zipText 		= ($zipCode=='' || $zipCode=='change') ? "":SHIPPING_FOR." ".$zipCode." <a href='".SCRIPT_ROOT."products.php?productId=".$productId."&amp;zipCode=change' class='link'>".CLICK_TO_CHANGE."</a>";

//*************************************************************************************************

		if ( $apiType == API_TYPE_MYSQL )
		{
			// Get Users' Products, Shipping Info, Brand, Rating
			$sql			= "SELECT UP.*, U.ISFEATURED, U.IS_TRUSTED, U.PRODUCTS_SELLABLE, U.IS_STORE_ONLINE, U.IS_VISITOR_SELLER, UI.NAME, UI.FILENAME, UI.ADDRESS, UI.CITY, UI.STATE, UI.ZIP, UI.COUNTRY, UI.EMAIL, UI.PHONE, UI.MOBILE, UI.LATITUDE, UI.LONGITUDE FROM ".PREFIX."USER U, ".PREFIX."USERINFO UI, ".PREFIX."USER_PRODUCT UP WHERE U.USERID = UP.USERID AND U.USERID = UI.USERID AND UP.PRODUCT_ID = ? AND U.ISVALID = 'Y' AND U.PAYMENTDUE = 'N' AND UP.ISVALID='Y' ORDER BY  ".(IS_MERCHANTBID_INSTALLED!=0 ? 'BID_AMOUNT DESC,':'')." U.ISFEATURED, PRICE"; // 8/7/2012: now showing all with a msg ".$proximitySql." 
			// 3/8/2010: $pageSize = 1000 is to ensure that we show all the prices.
			// We have to use breakPages() inplace of executeQuery() to apply sorting.
			$pageSize		= 1000;
			$res			= breakPages($sql, '', 0, array($productId));
			$noOfRecords	= getTotalRows($res);

			$totTempRecs	= 0;
			$arrMerRatings	= array();
			$arrTempRecs	= array();
			$arrTempUIds	= array();
			$strTempArgs	= '';

			while ( ($row = getRow($res)) )
			{
				$totTempRecs++;
				$arrTempRecs[] = $row;
				$arrTempUIds[] = $row['USERID'];
				$strTempArgs  .= ', ?';
			}

			if ( $strTempArgs != '' )
			{
				$strTempArgs = substr($strTempArgs, 2);

				$resMR = preparedQuery("SELECT MERCHANTID, AVG(RATING) AS RATING, COUNT(*) AS REVIEWS FROM ".PREFIX."USER_RATING WHERE MERCHANTID IN (".$strTempArgs.") AND ISVALID='Y' GROUP BY MERCHANTID", $arrTempUIds);
				while ( ($rowMR = getRow($resMR)) )
				{
					$arrMerRatings[$rowMR['MERCHANTID']]			= array();
					$arrMerRatings[$rowMR['MERCHANTID']]['RATING'] 	= (int)$rowMR['RATING'] > 0 ? (int)$rowMR['RATING'] : -1;
					$arrMerRatings[$rowMR['MERCHANTID']]['REVIEWS']	= (int)$rowMR['REVIEWS'];
				}
			}

			for ( $i=0; $i<$totTempRecs; $i++ ) 
			{
				$row				= $arrTempRecs[$i];
				$count++;

				$mLink				= getMerchantPath($row['USERID'], '', '', $row['FILENAME']);
				
				$hasAvailability	= $row['ISAVAILABLE'] == '' ? $hasAvailability : true;
				$hasComments		= $row['COMMENT'] == '' ? $hasComments : true;

				if ( defined('IS_SHOPPING_CART_INSTALLED') && IS_SHOPPING_CART_INSTALLED == 1 )
					$row['SHOW_ADD2CART']	= isUserProductSellable($row['ID'], $row, $row['USERID'], $row); // 4th arg is sent same row because it has what we need from USER table

                // Load merchant info if configured to do so
                if ( $displayStoreInfoInGrid ) {
                    // Load merchant accepted payment methods
                    $row['USER_ACCEPTS'] = array();
                    $res1 = preparedQuery("SELECT UT.ID, UT.TITLE, UT.DETAIL FROM ".PREFIX."USER_ASSOC_PAYMENT_METHODS UA, ".PREFIX."USER_PAYMENT_METHODS UT WHERE UA.USERID = ? AND UA.PAYMENT_METHOD_ID=UT.ID", array($row['USERID']));
                    while ( ($row1 = getRow($res1)) ) {
                        $row['USER_ACCEPTS'][] = $row1;
                    }

                    // Load merchant verifiers
                    $row['USER_VERIFIED'] = array();
                    $res1 = preparedQuery("SELECT UT.ID, UT.TITLE, UT.DETAIL FROM ".PREFIX."USER_ASSOC_VERIFIERS UA, ".PREFIX."USER_VERIFIERS UT WHERE UA.USERID = ? AND UA.VERIFIER_ID=UT.ID", array($row['USERID']));
                    while ( ($row1 = getRow($res1)) ) {
                        $row['USER_VERIFIED'][] = $row1;
                    }

                    // Load merchant supported languages
                    $row['USER_LANGS'] = array();
                    $res1 = preparedQuery("SELECT UT.ID, UT.TITLE FROM ".PREFIX."USER_ASSOC_LANGUAGES UA, ".PREFIX."USER_LANGUAGES UT WHERE UA.USERID = ? AND UA.LANGUAGE_ID=UT.ID", array($row['USERID']));
                    while ( ($row1 = getRow($res1)) ) {
                        $row['USER_LANGS'][] = $row1;
                    }
                }

				$row['SHOW_CONTACTME']	= false;
				$row['HIDE_GO2STORE']	= false;
				$row['VISITOR_SELLER']	= false;
				if ( $isSellYoursInstalled && $row['IS_VISITOR_SELLER'] == 'Y' )
				{
					$mLink					= '#';
					$row['HIDE_GO2STORE']	= true;
					$row['VISITOR_SELLER']	= true;
					if ( $row['CONTACT_SELLER'] == 'Y' )
					{
						$row['SHOW_CONTACTME']	= true;
						$row['SHOW_ADD2CART']	= false;
					}
					else
					{
						$row['SHOW_CONTACTME']	= false;
						$row['SHOW_ADD2CART']	= true;
					}
				}

				$row['TAXAMT'] 		= 0;

				if ( defined('APPLY_TAX_RATES_ON_SOURCE_LOCATION') && APPLY_TAX_RATES_ON_SOURCE_LOCATION == 1 )
				{
					$taxRate = 0;
					$resTR = preparedQuery("SELECT TAX_RATE FROM ".PREFIX."COUNTRY WHERE TITLE = ?", array($row['COUNTRY']));
					if ( ($rowTR = getRow($resTR)) )
						$taxRate = (float)$rowTR['TAX_RATE'];

					$row['TAX'] 	= $taxRate;
					$row['TAXAMT'] 	= $row['PRICE'] * ($taxRate/100);
				}

				if ( ( $zipCode == '' || $zipCode == 'change' ) && $count == 1 )
				{
					$shiptax 		= 0;
				}
				elseif ( $zipCode != '' && $zipCode != 'change' )
				{
					// Calculate shipping
					$ship 			= calculateShipping($row['SHIPPING'], $row['ZIP'], $zipCode);

					if ( !defined('APPLY_TAX_RATES_ON_SOURCE_LOCATION') || APPLY_TAX_RATES_ON_SOURCE_LOCATION != 1 )
					{
						// Calculate tax
						$tax 			= calculateTaxFromZipCode($row['USERID'], $zipCode);
						$taxAmt 		= $row["PRICE"] * ($tax==0?0:$tax/100);
						$shiptax 		= $ship;// + $taxAmt;

						$row['TAX'] 	= $tax;
						$row['TAXAMT'] 	= $taxAmt;
					}
				}

				if ( DO_SHOW_SHIPPING_FROM_DB == 1 )
				{
					$shiptax		= str_replace(SCRIPT_DOLLAR, '', $row['SHIPPING']);

					if ( IS_COMMA_DECIMAL_SEPARATOR == 1 )
						$shiptax	= str_replace(',', '.', $row['SHIPPING']);
				}
				
				$row['OUT_OF_AREA']	= false;
				$row['DISTANCE_TXT']= '';
				if ( $zipCode != '' && $zipCode != 'change' )
				{
					if ( IS_ZIPCODE_PROXIMITY_INSTALLED == 1 )
					{
						$row['OUT_OF_AREA'] = $proximityZips == '' || !strstr($proximityZips, "'".$row['ZIP']."'") ? true : false;
						if ( !$row['OUT_OF_AREA'] && $zipLat != 0 && $zipLng != 0 && $row['LATITUDE'] != 0 && $row['LONGITUDE'] != 0 )
							$row['DISTANCE_TXT'] = getDistance($zipLat, $zipLng, $row['LATITUDE'], $row['LONGITUDE'], 'M') . ' ' . MILES;
					}
				}

				$row['REDIRECT_URL']= getSeoUrl('redirect', 'prod_id='.$row['ID'].'&amp;isBuy=Y');

				$row['SHIPTAX'] 	= $shiptax;
				$row['TOTAL'] 		= ( (!is_numeric($shiptax) ? $row['TAXAMT']:$row['SHIPTAX']+$row['TAXAMT']) + $row["PRICE"] );

				$row['RATING']		= isset($arrMerRatings[$row['USERID']]['RATING']) ? $arrMerRatings[$row['USERID']]['RATING'] : -1;
				$row['REVIEWS']		= isset($arrMerRatings[$row['USERID']]['REVIEWS']) ? $arrMerRatings[$row['USERID']]['REVIEWS'] : 0;

				if ( file_exists(PATH_SUBD."upload/merchant/".$row["USERID"].".jpg") )
					$row['IMAGE'] 	= "<a href='".$mLink."'>".getImgTag(array('src'=>getMerchantLogoThumbUrl($row['USERID'], 120, 50, $row['NAME']), 'class'=>'img-responsive center-block', 'border'=>'0', 'alt'=>$row['NAME'], 'title'=>$row['NAME']))."</a>";
				else
					$row['IMAGE'] 	= "<a href='".$mLink."' class='link'><b>".$row['NAME']."</b></a>";			
				

				if ( IS_COUPONS_INSTALLED != 0 )
				{
					$couponCode = '';
					$row['DISCOUNTED'] = applyCouponDiscount($row['TOTAL'], $categoryId, $productId, $row['USERID']);
					array_unshift($row, $row['DISCOUNTED']);
					$row['FORMATTED_DISCOUNTED'] = getFormattedPrice($row['DISCOUNTED'], $currencySymbol, $currencyRate);
					$row['COUPON_CODE'] = $couponCode;
				}

				// 2/18/2013: Mamda: Now we always sort using php
				if ( $sp == 'TOT_PRICE' )
					array_unshift($row, $row['TOTAL'] );
				
				elseif ( $sp == 'MERCHANT_RATING' )
					array_unshift($row, $row['RATING']);

				elseif ( $_GET['sk'] == 'NAME' )
					array_unshift($row, $row['NAME']);

				else
					array_unshift($row, $row['PRICE']);

				$row['FORMATTED_TOTAL']		= getFormattedPrice($row['TOTAL'], $currencySymbol, $currencyRate);
				$row['FORMATTED_TAXAMT']	= getFormattedPrice($row['TAXAMT'], $currencySymbol, $currencyRate);
				$row['FORMATTED_PRICE']		= getFormattedPrice($row['PRICE'], $currencySymbol, $currencyRate);
				
				$arrPrices[] 		= $row;

				array_unshift($row, $row['TOTAL'] );
				$arrBest[] 			= $row;
			
			} // while ends here //
			free($res);


			// If installed then bring its prices from Amazon
			if ( $ajaxCall == 0 && IS_AMAZON_PRODUCT_PRICES_INSTALLED == 1 )
			{
				require ('products_amazon_prices.php');
			}


			$arrReviews		= getTableRecArray('PRODUCT_RATING', 'ID, USER_NAME, RATING, REVIEW, DATE_ADDED', array("PRODUCT_ID = ? AND ISVALID = 'Y'", array($productId)), 'DATE_ADDED DESC LIMIT 5');
			$linkReviews	= getProductPath($productId, $productFilename, $categoryId, $categoryFilename, 'review', '', $apiType);
			$tempReviews	= getTableRecArray('PRODUCT_RATING', 'COUNT(ID) AS C', array("PRODUCT_ID = ? AND ISVALID = 'Y'", array($productId)));
			$totReviews		= $tempReviews[0]['C'];

			$tempDiscuss	= getTableRecArray('PRODUCT_TOPIC', 'COUNT(ID) AS C', array("PRODUCT_ID = ? AND ISVALID = 'Y'", array($productId)));
			$totDiscuss		= $tempDiscuss[0]['C'];

			$arrVideos		= getTableRecArray('PRODUCT_VIDEO', 'DISPLAY_CODE', array("PRODUCT_ID = ?", array($productId)), 'TITLE');

			// Record product visit
			if ( !in_array($productId, $visitorProdsVisited) )
			{
				$resRVL = preparedQuery("SELECT ID FROM ".PREFIX."PRODUCT_VISIT_LOG WHERE PRODUCT_ID = ? AND IP_ADDRESS = ? AND DATE_ADD(VISITED_ON, INTERVAL ".PRODUCT_VISIT_RECORDED_AFTER." HOUR) >= ?", array($productId, $IP_ADDRESS, getTimezoneTime()));
				if ( !($rowRVL = getRow($resRVL)) )
				{
					tableInsert('PRODUCT_VISIT_LOG', array(
															'ID'			=> getNextId('PRODUCT_VISIT_LOG'),
															'CATEGORY_ID'	=> $categoryId,
															'PRODUCT_ID'	=> $productId,
															'USERID'		=> $visitorId,
															'IP_ADDRESS'	=> $IP_ADDRESS,
															'BROWSER'		=> $_SERVER['HTTP_USER_AGENT'],
															'VISITED_ON'	=> getTimezoneTime()
														));
				}
			}
			$_SESSION['visitorProdsVisited']	= uniquePush(sessionVar('visitorProdsVisited'), $productId);
			$visitorProdsVisited				= $_SESSION['visitorProdsVisited'];

			// Get feature ids for this category
			$fcIds = array();
			$resFCIds = preparedQuery("SELECT FEATURE_ID FROM ".PREFIX."PRODUCT_FEATURE_IN_CATEGORY WHERE CATEGORY_ID = ?", array($categoryId));
			while ( ($rowFCIds = getRow($resFCIds)) )
			{
				$rowFCIds['FEATURE_ID'] = (int)$rowFCIds['FEATURE_ID'];
				if ( $rowFCIds['FEATURE_ID'] < 1 || in_array($rowFCIds['FEATURE_ID'], $fcIds) )
					continue;

				$fcIds[] = $rowFCIds['FEATURE_ID'];
			}

			if ( count($fcIds) > 0 )
			{
				// Get filters for specs
				$sqlFilter	= "SELECT FC.ID, FC.PARENT_ID AS FEATURE_PARENT, FC.FEATURE FROM ".PREFIX."PRODUCT_FEATURE_CATEGORY FCP, ".PREFIX."PRODUCT_FEATURE_CATEGORY FC WHERE FC.ID IN (".implode(',', $fcIds).") AND FCP.ID IN (".implode(',', $fcIds).") AND FCP.ID = FC.PARENT_ID AND FC.PARENT_ID <> 0 AND FC.ISVALID = 'Y' ORDER BY FCP.SORT_ORDER, FCP.FEATURE, FC.SORT_ORDER, FC.FEATURE";
				$resFilter	= executeQuery($sqlFilter);
				while ( ($rowFilter = getRow($resFilter)) )
				{
					$sqlSub = "SELECT IFNULL(VALUE, 'N/A') AS VALUE FROM ".PREFIX."PRODUCT_FEATURE PF LEFT OUTER JOIN ".PREFIX."PRODUCT_FEATURE_VALUE PFV ON PFV.ID=PF.VALUE_ID WHERE PF.PRODUCT_ID = ? AND PF.FEATURE_ID = ?";
					$resSub = preparedQuery($sqlSub, array($productId, $rowFilter['ID']));
					$rowFilter['VALUE'] = '';
					while ( $rowSub = getRow($resSub) )
						$rowFilter['VALUE'] .= ' / '.$rowSub['VALUE'];

					if ( $rowFilter['VALUE'] == '' )
						$rowFilter['VALUE'] = 'N/A';
					else
						$rowFilter['VALUE'] = substr($rowFilter['VALUE'], 3);

					array_push($fArr, $rowFilter);
				}
				free($resFilter);

				// Get Filter Parents
				$resFilter	= executeQuery("SELECT COUNT(ID) AS TOTAL FROM ".PREFIX."PRODUCT_FEATURE_CATEGORY WHERE PARENT_ID = 0 AND ID IN (".implode(',', $fcIds).")");
				if ( ($rowFilter = getRow($resFilter)) )
					$pCount = $rowFilter['TOTAL'];
			}
			$fTot	= sizeof($fArr);


			// Get related products
			$arr = array($categoryId, (int)$prod['MANUFACTURERID'], $productId);
			$subSql = '';
			$arrTemp = explode(' ', $prod['TITLE']);
			foreach ( $arrTemp as $tmp )
			{
				if ( strlen($tmp) < 3 ) continue;
				$subSql .= "OR TITLE LIKE ? ";
				$arr[] = '%'.$tmp.'%';
			}
			if ( $subSql != '' )
				$subSql = "AND (".substr($subSql, 3).") ";

			if ( defined('DO_HIDE_PRODUCT_WITH_0_STORES') && DO_HIDE_PRODUCT_WITH_0_STORES == 1 )
				$subSql	.= 'AND STORE_COUNT>0 ';

			$relatedProds = array();
			$resRP = preparedQuery("SELECT ID, TITLE, FILENAME, MIN_PRICE FROM ".PREFIX."PRODUCT WHERE CATEGORY_ID = ? AND MANUFACTURER = ? AND ISVALID='Y' AND ID <> ? ".$subSql." ORDER BY MIN_PRICE LIMIT 20", $arr);
			while ( ($rowRP = getRow($resRP)) )
			{
				$rowRP['FORMATTED_MIN_PRICE'] = getFormattedPrice($rowRP['MIN_PRICE'], $currencySymbol, $currencyRate);
				$relatedProds[] = $rowRP;
			}
		}
		else
		{
			if ( $ajaxCall == 0 && IS_AMAZON_PRODUCT_PRICES_INSTALLED == 1 )
			{
				require ('products_amazon_prices.php');
			}
		}

//*************************************************************************************************

/*		if ( $sp == 'TOT_PRICE' || $sp == 'MERCHANT_RATING' || IS_COUPONS_INSTALLED != 0 )
		{
			if ( $so != 'DESC' )
				sort($arrPrices);
			else
				rsort($arrPrices);
		} */

		// 2/18/2013: Mamda: Now we always sort using php
		$ksSrtSk = getVar('sk');
		$ksSrtSp = getVar('sp');
		$ksSrtSo = getVar('so');
		function ksProductSortCmp($a, $b)
		{
			global $ksSrtSk, $ksSrtSp, $ksSrtSo;

			$key = isset($a[$ksSrtSk]) ? $ksSrtSk : (isset($a[$ksSrtSp]) ? $ksSrtSp : 'TOTAL');

			if ( $a[$key] == $b[$key] ) return 0;

			if ( $ksSrtSo != 'DESC' )
				return ($a[$key] < $b[$key]) ? -1 : 1;
			else
				return ($a[$key] > $b[$key]) ? -1 : 1;
		}
		usort($arrPrices, 'ksProductSortCmp');
		
		sort($arrBest);

//*************************************************************************************************

		$exceptionMsg	= '';
		if ( $noOfRecords == 0 )
			$exceptionMsg = NO_MERCHANTS_FOUND;

//*************************************************************************************************

		if ( $ajaxCall == 1 )
		{
			echo '<textarea>'.json_encode($arrPrices).'</textarea>';
			die;
		}

//*************************************************************************************************

        $isEbayInstalled = false;
        if (defined('IS_EBAY_INSTALLED') && 1 == IS_EBAY_INSTALLED) {
            if (($apEBAY = getRecord("ADDON_PREFS_EBAY", 1)) && $apEBAY['DEV_ID'] != '' && $apEBAY['APP_ID'] != '' && $apEBAY['CERT_ID'] != '' && $apEBAY['SITE_ID'] != '') {
                $isEbayInstalled = true;
            }
        }

//*************************************************************************************************

        // Render template
        if ( $isPreview ) {
            renderTemplate('products_preview', get_defined_vars());
        }
        else {
            renderTemplate('products', get_defined_vars());
        }

//*************************************************************************************************
