<?php	
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		include (PATH."products_top.php");

//*************************************************************************************************

		$pageTitle		= DISCUSSION_ON_PRODUCT.($prod['PAGE_TITLE']==''?$prod['TITLE']:$prod['PAGE_TITLE']);
		$pageKeywords	= DISCUSSION_ON_PRODUCT.($prod['PAGE_KEYWORDS']==''?$prod['TITLE']:$prod['PAGE_KEYWORDS']);
		$pageDescription= DISCUSSION_ON_PRODUCT.($prod['PAGE_DESCRIPTION']==''?@substr($prod['DETAIL'],0,255):$prod['PAGE_DESCRIPTION']);
		$pageBreadcrumb	= getCategoryBreadCrumb($categoryId, " &gt; <a href=\"{FILEPATH}\">{TITLE}</a>") . ' &gt; <a href="'.$pageUrl.'">'.DISCUSSION_ON_PRODUCT.$prod['TITLE'].'</a>';

//*************************************************************************************************

		$sql			= "SELECT ID, USERID, LAST_UPDATED, SUBJECT, MESSAGE FROM ".PREFIX."PRODUCT_TOPIC WHERE PRODUCT_ID = ? AND ISVALID = 'Y' ORDER BY DATE_ADDED DESC";
		$res			= preparedQuery($sql, array($productId));
		$noOfRecords	= getTotalRows($res);
		
		$discussionArr	= array();

		while( ($row = getRow($res)) )
		{
			$name		= $row['USERID'];
			$location	= '';
			
			$sql2		= "SELECT NAME, CITY, STATE FROM ".PREFIX."VISITORINFO WHERE USERID = ?";
			$res2 		= preparedQuery($sql2, array($row['USERID']));
			if ( $row2 = getRow($res2) )
			{
				$name 	  	= $row2['NAME'];
				$location 	= ($row2['CITY']!='' && $row2['STATE']!='') ? $row2['CITY'].', '.$row2['STATE'] : $row2['CITY'].$row2['STATE'];
			}
			
			$row['NAME']	= $name;
			$row['LOCATION']= $location;

			$discussionArr[]= $row;
		}
		free($res);

//*************************************************************************************************

        // Render template
        renderTemplate('products_discussion', [
            'prod' => $prod,
            'productId' => $productId,
            'productLink' => $productLink,
            'categoryId' => $categoryId,
            'apiType' => $apiType,
            'productThumbUrl' => $productThumbUrl,
            'productImageUrl' => $productImageUrl,
            'productFilename' => $productFilename,
            'noOfRecords' => $noOfRecords,
            'discussionArr' => $discussionArr,
            'firstId' => $firstId,
            'firstPoster' => $firstPoster,
        ]);

//*************************************************************************************************
