<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		$viewType	= in_array($_GET['vt'], array('grid', 'list')) ? $_GET['vt'] : DEFAULT_LISTING_TYPE;
		$sortKey	= getVar('sk');
		$sortOrd	= getVar('so');

		// Set initially for the top compare button
		$apiType	= isset($listingArr[0]['API_TYPE']) ? $listingArr[0]['API_TYPE'] : API_TYPE_MYSQL;

//*************************************************************************************************

		if ( $isSearch )
			$selfLink = 'search_products.php?advanceSearch='.urlencode(getVar('advanceSearch')).'&amp;title='.urlencode($title).'&amp;searchText='.urlencode($searchText).'&amp;searchProductIn='.urlencode($searchProductIn).'&amp;manuText='.urlencode(getVar('manuText')).'&amp;mpp='.getVar('mpp', 'int').'&amp;';
		else
			$selfLink = 'category.php?';
		
		$selfLink .= 'categoryId='.$categoryId.'&amp;'.makeGetArray($fId, "fId[]").'&amp;minPrice='.$minPrice.'&amp;maxPrice='.$maxPrice.'&amp;mer='.makeGetArray($merchant, "mer[]").'&amp;manu='.makeGetArray($manufacturer, "manu[]").'&amp;scat='.makeGetArray(getVar('scat'), "scat[]").'&amp;sk=';

		$useBaseUrl	= $isSearch;
		if ( isset($srhcats) && is_array($srhcats) && count($srhcats) > 0 )
			$useBaseUrl	= true;
		if ( isset($fId) && is_array($fId) && count($fId) > 0 )
			$useBaseUrl	= true;
		if ( isset($merchant) && is_array($merchant) && count($merchant) > 0 )
			$useBaseUrl	= true;
		if ( isset($manufacturer) && is_array($manufacturer) && count($manufacturer) > 0 )
			$useBaseUrl	= true;
		if ( $minPrice > 0 || $maxPrice > 0 )
			$useBaseUrl	= true;
		
		$_SESSION['sess_fId']	= getVar('fId');
		$_SESSION['sess_mer']	= getVar('mer');
		$_SESSION['sess_manu']	= getVar('manu');
		
//*************************************************************************************************

		$sCompareIds	= isset($_SESSION['sessCompareIds']) && is_array($_SESSION['sessCompareIds']) ? $_SESSION['sessCompareIds'] : array();
		$compareIds		= implode(",", $sCompareIds);

		$arrCompare		= array();
		if ( $compareIds != '' )
		{
			$argArray	= array();
			$argString	= prepareArgs4Query($argArray, explode(',', $compareIds));
			$arrCompare	= getTableRecArray('PRODUCT', 'ID, TITLE, FILENAME, CATEGORY_ID AS CATEGORY_ID', array("ISVALID = 'Y' AND ID IN (".$argString.")", $argArray), 'PRODUCT_RATING DESC');
		}

//*************************************************************************************************

		// Load the merchants info of each product on this page
		$merchantNames = array();
		$productMerIds = array();
		if ( is_array($listingArr) )
		{
			$pIds = array();
			foreach ( $listingArr as $row )
				$pIds[] = (int)$row['ID'];

			if ( count($pIds) > 0 )
			{
				$resPU = executeQuery("SELECT UP.USERID, UP.PRODUCT_ID, UI.NAME FROM ".PREFIX."USER_PRODUCT UP, ".PREFIX."USERINFO UI WHERE UP.PRODUCT_ID IN (".implode(',', $pIds).") AND UP.ISVALID='Y' AND UI.USERID=UP.USERID");
				while ( ($rowPU = getRow($resPU)) )
				{
					if ( !is_array($productMerIds[$rowPU['PRODUCT_ID']]) )
						$productMerIds[$rowPU['PRODUCT_ID']] = array();

					$productMerIds[$rowPU['PRODUCT_ID']][] = $rowPU['USERID'];
					$merchantNames[$rowPU['USERID']] = $rowPU['NAME'];
				}
			}
		}

//*************************************************************************************************

		// Render template
		// Use get_defined_vars() because variables defined here (e.g. $arrCompare) are not global
		renderTemplate('products_listing', get_defined_vars());

//*************************************************************************************************
		
		// Perform search logging
		$searchQuery	= $isSearch ? ($searchText == '' ? $title : $searchText) : $categoryTitle;
		logSearchByIPAddress($searchQuery, $t, $isSearch);

//*************************************************************************************************

		function getUserProductLink($productId, $storeCount, $pLink, $showStore=1, $apiType='', $redirectUrl='')
		{
			global $langFolder, $productMerIds, $merchantNames, $row;

			$apiType = trim($apiType) == '' ? API_TYPE_MYSQL : $apiType;

			if ( IS_BUDGETLIST_INSTALLED == 1 && $apiType == API_TYPE_MYSQL )
			{
?>
				<button class="btn btn-xs btn-dark2" onclick="addToBudgetList(<?php echo $productId; ?>);"><?php echo BUDGET_LIST; ?></button>
				<br><br>
<?php
			}

			if ( REDIRECT_ON_ONE_STORE != 1 || $storeCount != 1 )
			{
?>
				<a href="<?php echo $pLink; ?>" class="link"><button class="btn btn-dark2"><?php echo COMPARE; ?></button></a><br>
				<font style="line-height:2; font-size:10px; color:#4C4C4C;"><?php echo PRICES_FROM .' '. $storeCount .' '. STORES; ?></font>
<?php
			}
			else
			{
				if ( $apiType != API_TYPE_MYSQL )
				{
					if ( $redirectUrl != '' )
					{
?>
				<form method="post" action="<?php echo getSeoUrl('redirect', 'apiType='.$apiType); ?>" target="_blank" style="margin:0px;padding:0px;"><input type="hidden" name="url" value="<?php echo $redirectUrl; ?>"><button class="btn btn-dark2"><?php echo GO_TO_STORE; ?></button></form>
<?php
					}
					else
					{
?>
				<a href="<?php echo $pLink; ?>" class="link"><button class="btn btn-dark2"><?php echo COMPARE; ?></button></a><br>
<?php
					}
				}
				elseif ( $productId > 0 )
				{
?>
				<a href="<?php echo getSeoUrl('redirect', 'prod_id='.$productId.'&amp;isBuy=Y&amp;isProduct=Y'); ?>" class="link" target="_blank"><button class="btn btn-sm btn-dark2"><?php echo GO_TO_STORE; ?></button></a>
<?php
				}
			}

			if ( $apiType == API_TYPE_MYSQL && $showStore == 1 && $storeCount > 0 && $storeCount <= 2 )
			{
				$count = 0;
				if ( is_array($productMerIds[$productId]) )
				{
					foreach ( $productMerIds[$productId] as $puId )
					{
						if ( !file_exists(PATH."upload/merchant/".$puId.".jpg") )
							continue;

						if ( $count++ >= 2 )
							break;
?>
				<div style="height:5px;"></div>
				<img src="<?php echo getMerchantLogoThumbUrl($puId, 80, 25, $merchantNames[$puId]); ?>" border="0" alt="<?php echo $merchantNames[$puId]; ?>" title="<?php echo $merchantNames[$puId]; ?>">
<?php
					}
				}
			}
			elseif ( isset($row['STORE_LOGO']) && $row['STORE_LOGO'] != '' )
			{
?>
				<div style="height:5px;"></div>
				<div style="width:125px;float:right"><?php echo $row['STORE_LOGO']; ?></div>
<?php
			}

		} // getUserProductLink()

//*************************************************************************************************
?>