<?php
//*************************************************************************************************
		
		require ("path.php");
		require (PATH."include/include.php");
		require (PATH."include/rss.genesis.php");
		require (PATH.ADMIN_FOLDER_NAME."/product_import_xml_functions.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		$prodArr		= getTableRecArray('PRODUCT', 'IFNULL(MIN_PRICE, 0) AS PRICE_MIN, IFNULL(MAX_PRICE, 0) AS PRICE_MAX, IFNULL(STORE_COUNT, 0) AS STORE_COUNT, ID AS ID, TITLE AS TITLE, FILENAME AS FILENAME, PRODUCT_RATING AS RATING, CATEGORY_ID AS CATEGORY_ID', "SPECIAL_OFFER = 'Y' AND ISVALID = 'Y'", 'STORE_COUNT DESC');
		loadProductDetailInArray($prodArr);

//*************************************************************************************************

		// STARTS
		$rss = new rssGenesis();

		// CHANNEL
		$rss->setChannel (
							SCRIPT_COMPANY_NAME.' - Featured Products', // Title
							getSeoUrl('/'), // Link
							"", // Description
							null, // Language
							null, // Copyright
							null, // Managing Editor
							null, // WebMaster
							null, // Rating
							"auto", // PubDate
							"auto", // Last Build Date
							null, // Docs
							null, // Skip Days
							null // Skip Hours
						);
									
		// IMAGE
		$rss->setImage (
							SCRIPT_COMPANY_NAME, // Title
                            getResourceUrl('logo.png', 'images', true), // Source
							getSeoUrl('/'), // Link
							"auto", // Width
							"auto", // Height
							SCRIPT_COMPANY_NAME // Description
						);

		$count=0;
		foreach ( $prodArr as $row )
		{
			// Make data XML safe
			$row['TITLE']	= translateXml($row['TITLE']);
			$row['DETAIL']	= translateXml($row['DETAIL']);


			// ITEM
			$rss->addItem (
								$row['TITLE'], // Title
								getProductPath($row['ID'], $row['FILENAME'], $row['CATEGORY_ID']), // Link
								$row['DETAIL'] // Description
							);

		}

		// FINISH
		$rss->outputRSS ();

//*************************************************************************************************
?>