<?php
//*************************************************************************************************
		
		require ("path.php");
		require (PATH."include/include.php");
		require (PATH."include/rss.genesis.php");
		require (PATH.ADMIN_FOLDER_NAME."/product_import_xml_functions.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		$sql	= "SELECT P.ID AS ID, P.MIN_PRICE AS MIN_PRICE, P.MAX_PRICE AS MAX_PRICE, P.STORE_COUNT AS STORE_COUNT, P.TITLE AS TITLE FROM ".PREFIX."PRODUCT P, ".PREFIX."POPULAR_PRODUCT PP WHERE P.ISVALID = 'Y' AND P.ID = PP.PRODUCT_ID ORDER BY PP.RANK LIMIT 12";
		$res	= executeQuery($sql);
		$arr	= array();
		while ( ($row = getRow($res)) )
			$arr[] = $row;
		loadProductDetailInArray($arr);

//*************************************************************************************************

		// STARTS
		$rss = new rssGenesis();

		// CHANNEL
		$rss->setChannel (
							SCRIPT_COMPANY_NAME.' - '.POPULAR_PRODUCTS, // Title
							getSeoUrl('/'), // Link
							"", // Description
							null, // Language
							null, // Copyright
							null, // Managing Editor
							null, // WebMaster
							null, // Rating
							"auto", // PubDate
							"auto", // Last Build Date
							null, // Docs
							null, // Skip Days
							null // Skip Hours
						);
									
		// IMAGE
		$rss->setImage (
							SCRIPT_COMPANY_NAME, // Title
                            getResourceUrl('logo.png', 'images', true), // Source
							getSeoUrl('/'), // Link
							"auto", // Width
							"auto", // Height
							SCRIPT_COMPANY_NAME // Description
						);

		$count=0;
		foreach ( $arr as $row )
		{
			// Make data XML safe
			$row['TITLE']	= translateXml($row['TITLE']);
			$row['DETAIL']	= translateXml($row['DETAIL']);


			// ITEM
			$rss->addItem (
								$row['TITLE'], // Title
								getProductPath($row['ID'], $row['FILENAME'], $row['CATEGORY_ID']), // Link
								$row['DETAIL'] // Description
							);

		}

		// FINISH
		$rss->outputRSS ();

//*************************************************************************************************
?>