<?php
//*************************************************************************************************
//		Price Comparison Script copyright Kaon Softwares ( http://www.kaonsoftwares.com )
//=================================================================================================
//		NOTICE: Do NOT remove the copyright and/or license information from this file.
//				doing so will automatically terminate your rights to use this program.
//-------------------------------------------------------------------------------------------------
//		This file comes with the license agreement. You must abide by the agreement. Any violation
//		will automatically result in termination of your rights to use this program.
//		See license agreement at www.kaonsoftwares.com/license.html
//-------------------------------------------------------------------------------------------------
//		You may modify the source code but this copyright notice MUST remain on all
//		PriceComparison Script's files.
//*************************************************************************************************

		set_time_limit(0);
		ignore_user_abort(true);

//*************************************************************************************************
		
		$pageSize = 500;

//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include (PATH."session.php");

//*************************************************************************************************

		define ('CACHE_FILENAME', 'cache/sitemap.txt');

//*************************************************************************************************

		if ( (time()-filemtime(PATH.CACHE_FILENAME)) < (defined('CRONJOBS_NEXT_RUN_DELAY') ? (int)CRONJOBS_NEXT_RUN_DELAY : 10) * 60 )
		{
			echo SITEMAP_GENERATION_ALREADY_IN_PROGRESS_PLEASE_RETRY_AFTER_ATLEAST_2_MINUTES;
			die;
		}

		writeToFile(CACHE_FILENAME, '');

//*************************************************************************************************

		echo STARTING_SITEMAP_GENERATION.'<b>/cache/sitemap.txt</b> ['.date('Y-m-d H:i:s').']...<br><br>';
		flush();

//*************************************************************************************************

		$data	= '';
		$count	= 0;
		$res	= executeQuery("SELECT ID, TITLE, FILENAME FROM ".PREFIX."CATEGORY WHERE ISVALID='Y' ORDER BY LEVEL, TITLE");
		while ( ($row = getRow($res)) )
		{
			$data .= getCategoryPath($row['ID'], $row['FILENAME'])."\n";
			$count++;

			if ( $count%500 == 0 )
			{
				appendToFile(CACHE_FILENAME, $data);
				$data = '';
				echo GENERATING_CATEGORY_LINKS.' ['.$count.']...<br>';
				flush();
			}
		}

		appendToFile(CACHE_FILENAME, $data);
		$data = '';
		echo GENERATING_CATEGORY_LINKS.' ['.$count.']...<br><br>';
		flush();
		
//*************************************************************************************************

		$resCat	= executeQuery("SELECT ID, FILENAME FROM ".PREFIX."CATEGORY WHERE ISVALID='Y' ORDER BY PARENT_ID, TITLE");
		while ( ($rowCat = getRow($resCat)) )
		{
			$categoryId			= (int)$rowCat['ID'];
			$categoryFilename	= $rowCat['FILENAME'];

//			if ( $categoryId == 621 ) continue;

			$resTotal			= preparedQuery("SELECT COUNT(ID) AS TOTAL FROM ".PREFIX."PRODUCT WHERE CATEGORY_ID = ? AND ISVALID='Y'", array($categoryId));
			if ( ($rowTotal = getRow($resTotal)) )
			{
				$productTotal	= (int)$rowTotal['TOTAL'];
				
				if ( $productTotal > 0 )
				{
					$_GET['t']		= $productTotal;
					
					for ($i=0; $i<=$productTotal; $i+=$pageSize)
					{
						$_GET['x']	= $i;
						$loopCount	= 0;
						
						$res = breakPages("SELECT ID, TITLE, FILENAME FROM ".PREFIX."PRODUCT WHERE CATEGORY_ID = ? AND ISVALID='Y' ORDER BY TITLE", '', 0, array($categoryId));
						while ( ($row = getRow($res)) )
						{
							if ( $loopCount++ > $pageSize )
								break;

							$data .= getProductPath($row['ID'], $row['FILENAME'], $categoryId, $categoryFilename)."\n";
							$count++;

							if ( $count%200 == 0 )
							{
								appendToFile(CACHE_FILENAME, $data);
								$data = '';
								echo GENERATING_PRODUCT_LINKS.' [CatID:'.$categoryId.'][T:'.$productTotal.']['.$count.']...<br>';
								flush();
							}
						
						} // while ends here //
						
						// Free resource
						free($res);
						
						// Sleep to bring resources down.
						sleep(5);
					
					} // for loop ends here //

				appendToFile(CACHE_FILENAME, $data);
				$data = '';
				echo GENERATING_PRODUCT_LINKS.' [CatID:'.$categoryId.'][T:'.$productTotal.']['.$count.']...<br>';
				flush();

				// Sleep to bring resources down.
				sleep(5);

				} // if of productTotal ends here //

			} // if of total row ends here //


		} // while of category ends here //
		

		free($resCat);

		echo "<br><br>".TOTAL." ".$count." ".LINKS_GENERATED."\n";
		flush();

//*************************************************************************************************
?>