<h2 class="featured-coupons-heading">{{ FEATURED_COUPONS }}</h2>
<div class="row">
    @foreach( $arrFCR as $count => $row )
        <?php
        $fcoup_linkUrl = getMerchantPath($row['USERID'], '', '', $row['FILENAME']);
        $fcoup_redirUrl = SCRIPT_ROOT . 'coupon_redirect.php?couponId=' . $row['ID'];
        ?>
        <div class="col-xs-12 col-sm-6 col-md-3">
            <div class="featured-coupons-box">
                <div class="featured-coupon-discount-box featured-coupon-discount-box-{{ $count+1 }}">
                    {{ str_replace('.00', '', $row['DISCOUNT_PERCENTAGE'] == 0 ? getFormattedPrice($row['DISCOUNT_AMOUNT'], SCRIPT_DOLLAR) : $row['DISCOUNT_PERCENTAGE'].'%') }}
                </div>
                <div class="featured-coupon-logo-box">
                    @if( $row['LOGO_PATH'] == '' )
                        <a href="{{ $fcoup_linkUrl }}"><b>{{ $row['NAME'] }}</b></a>
                    @else
                        <a href="{{ $fcoup_linkUrl }}"><img
                                    src="{{ getMerchantLogoThumbUrl($row['USERID'], 100, 100) }}"
                                    class="img-responsive" alt="{{ $row['NAME'] }}"></a>
                    @endif
                </div>
                <div class="featured-coupon-text">
                    @if( $row['COUPON_CODE'] != '' )
                        <div><b>{{ CODE }}:</b> {{ $row['COUPON_CODE'] }}</div>
                    @endif
                    @if( $row['EXPIRY'] != '' && $row['EXPIRY'] != '0000-00-00 00:00:00' )
                        <div><b>{{ EXPIRY }}:</b> {{ formatDate($row['EXPIRY']) }}</div>
                    @endif
                </div>
                <a href="{{ $fcoup_redirUrl }}"><button class="btn btn-primary">{{ GO_TO_STORE }}</button></a>
            </div>
        </div>
    @endforeach
</div>
