<div class="row" id="id{{ $sectionCode }}Wrapper">

    @php($tot = 0)

    @foreach($arrProds as $row)

        @break($tot++ >= 12)

        @php($pId = $row['ID'])
        @php($rLink = getOneStoreRedirectLink($row))
        @php($pLink = $rLink != '' ? $rLink : getProductPath($row['LINK_ID'] == '' ? $pId : $row['LINK_ID'], $row['PFILENAME'], $row['CATEGORY_ID'], $row['CFILENAME'], '', '', $row['API_TYPE']))
        @php($lTarg = $rLink == '' ? '' : 'target="_blank"')

        @if(API_TYPE_MYSQL == $prefPrdSrc['BASE_PRODUCT_SOURCE'])
        <script type="text/javascript">
            function PL_addPriceAlert_{{ $sectionCode }}{{ $row['ID'] }}() { PL_addPriceAlert({{ $row['ID'] }}); }
            function PL_addToWishlist_{{ $sectionCode }}{{ $row['ID'] }}() { PL_addToWishlist({{ $row['ID'] }}); }
        </script>
        @endif
        <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3" style="{{ $tot > 4 ? 'display:none' : '' }}" rel="rel{{ $sectionCode }}"
             data-page="{{ floor($tot/4) }}">
            <div class="prod-box" itemscope itemtype="http://schema.org/Product">
                @if(API_TYPE_MYSQL == $prefPrdSrc['BASE_PRODUCT_SOURCE'])
                <span class="icon icon-1 fa fa-bell" onclick="loadLoginBox(PL_addPriceAlert_{{ $sectionCode }}{{ $row['ID'] }})" title="{{ ADD_PRICE_ALERT }}"></span>
                <span class="icon icon-2 fa fa-calendar-check-o" onclick="loadLoginBox(PL_addToWishlist_{{ $sectionCode }}{{ $row['ID'] }})" title="{{ ADD_TO_WISHLIST }}"></span>
                <a href="{{ getProductPath($row['ID'], $row['PFILENAME'], $row['CATEGORY_ID'], $row['CFILENAME'], 'discussion') }}" title="{{ COMMENTS }}"><span class="icon icon-3 fa fa-comments-o"></span></a>
                <a href="{{ getProductPath($row['ID'], $row['PFILENAME'], $row['CATEGORY_ID'], $row['CFILENAME'], 'review') }}" title="{{ REVIEWS }}"><span class="icon icon-4 fa fa-edit"></span></a>
                @endif
                <div class="dex-thumb">
                    <button type="button" class="btn btn-primary btn-sm btn-preview"
                            onclick="showProductPreviewPop('{{ $pId }}', '{{ safeForJS($row['TITLE']) }}')">
                        <i class="fa fa-search"></i> {{ PREVIEW }}</button>
                    {!! getProductThumbnail($pId, $pLink, $row['TITLE'], $row['CATEGORY_ID'], 400, 400, 'na', '', '', $row['IMAGE_URL'], '', true) !!}
                </div>
                <a href="{{ $pLink }}" {{ $lTarg }} class="prod-title" title="{{ strip_tags($row['TITLE']) }}">
                    <div class="OverflowHidden" style="height:48px;margin-bottom:2px">{{ $row['TITLE'] }}</div>
                </a>
                <div class='prod-price'>
                    {{ getFormattedPrice($row['PRICE_MIN'], $currencySymbol, $currencyRate) }}
                </div>
                <a href="{{ $pLink }}" {{ $lTarg }} class="btn btn-primary btn-compare">{{ COMPARE }}</a>
            </div>
        </div>

    @endforeach

</div>

<div class="row">
    <div class="prod-box-indicator">
        @php($totP = floor($tot/4))
        @for( $i = 0; $i < $totP; $i++ )
            <div class="{{ 0 == $i ? 'active' : '' }}" rel="rel{{ $sectionCode }}" data-page="{{ $i + 1 }}"
                 onclick="show{{ $sectionCode }}Page({{ $i + 1 }})"></div>
        @endfor
    </div>
</div>

<script>

    var skp{{ $sectionCode }} = false;
    var cur{{ $sectionCode }} = 1;
    var tot{{ $sectionCode }} = {{ $totP }};

    // If mouse over then stop rolling
    $('#id{{ $sectionCode }}Wrapper').mouseenter(function () {
        skp{{ $sectionCode }} = true;
    });
    $('#id{{ $sectionCode }}Wrapper').mouseleave(function () {
        skp{{ $sectionCode }} = false;
    });

    // Change page automatically
    function change{{ $sectionCode }}Page()
    {
        // No sliding if not more than 1 page
        if ( tot{{ $sectionCode }} < 2 ) {
            return;
        }

        // Only do sliding if not in skip mode
        if ( !skp{{ $sectionCode }} ) {
            // Calc next page
            cur{{ $sectionCode }} = cur{{ $sectionCode }} == tot{{ $sectionCode }} ? 1 : cur{{ $sectionCode }} + 1;

            // Show it
            show{{ $sectionCode }}Page(cur{{ $sectionCode }});
        }

        // Set timeout for next page
        window.setTimeout('change{{ $sectionCode }}Page()', 8000);
    }

    // Call it for the first time
    window.setTimeout('change{{ $sectionCode }}Page()', 5000);

    // Show a particular page
    function show{{ $sectionCode }}Page(pg)
    {
        // Move the indicator
        $('.prod-box-indicator div[rel=rel{{ $sectionCode }}]').removeClass('active');
        $('.prod-box-indicator div[rel=rel{{ $sectionCode }}][data-page='+pg+']').addClass('active');

        // Show/Hide the old products
        $('#id{{ $sectionCode }}Wrapper [rel=rel{{ $sectionCode }}]').hide();
        $('#id{{ $sectionCode }}Wrapper [rel=rel{{ $sectionCode }}][data-page='+pg+']').fadeIn();

        // Call unveil to load images
        try {
            $('img').unveil();
        } catch ( e ) {}
    }

</script>
