@extends('affiliates.base')

@section('affiliate-content')

    <div class="row">
        <div class="col-xs-12 col-md-offset-3 col-md-6">

            <form name="ChangePwd" action="affiliate_controller.php" method="POST" class="form-horizontal" role="form">
                <input type="hidden" name="task" value="ChangePassword">
                <input type="hidden" name="action" value="Update">
                <input type="hidden" name="return" value="affiliate_change_pwd.php?">

                <div class="panel panel-default panel-primary">
                    <div class="panel-heading"><h3><?php echo CHANGE_PASSWORD; ?></h3></div>
                    <div class="panel-body">

                        <div class="form-group">
                            <label for="idOldPassword"
                                   class="col-sm-4 control-label"><?php echo OLD_PASSWORD; ?></label>
                            <div class="col-sm-8">
                                <input type="password" class="form-control" id="idOldPassword" name="oldPassword"
                                       placeholder="<?php echo JSMSG_PLEASE_PROVIDE_OLD_PASSWORD; ?>" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idNewPassword"
                                   class="col-sm-4 control-label"><?php echo NEW_PASSWORD; ?></label>
                            <div class="col-sm-8">
                                <input type="password" class="form-control" id="idNewPassword" name="newPassword"
                                       placeholder="<?php echo JSMSG_PLEASE_PROVIDE_NEW_PASSWORD; ?>" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idCfmPassword"
                                   class="col-sm-4 control-label"><?php echo CONFIRM_PASSWORD; ?></label>
                            <div class="col-sm-8">
                                <input type="password" class="form-control" id="idCfmPassword" name="confirmPassword"
                                       placeholder="<?php echo JSMSG_PLEASE_PROVIDE_NEW_PASSWORD; ?>" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-12" style="text-align:right;">
                                <button type="reset" class="btn btn-default btn-lg"><?php echo _RESET; ?></button>
                                <button type="submit" class="btn btn-primary btn-lg"><?php echo UPDATE; ?></button>
                            </div>
                        </div>

                    </div>

                </div>

            </form>

        </div>
    </div>

@endsection
