@extends('affiliates.base')

@section('affiliate-content')

    <div class="row">
        <div class="col-xs-12 col-md-offset-3 col-md-6">

            <script language="JavaScript" src="<?php echo SCRIPT_ROOT; ?>js/kAjaxContent<?php echo AJAX_USES_IFRAME==1?'_if':''; ?>.js.php"></script>

            <form name="User" action="affiliate_controller.php" method="POST" onsubmit="return 1;" class="form-horizontal" role="form">
                <input type="hidden" name="task"	value="Affiliate">
                <input type="hidden" name="action"	value="GiveOrTake">
                <input type="hidden" name="return"	value="affiliate_give_or_take.php?">

                <div class="panel panel-default panel-primary">
                    <div class="panel-heading"><h3><?php echo GIVE_OR_TAKE; ?></h3></div>
                    <div class="panel-body">

                        <?php if ( defined('AFF_IS_CHARITY_INSTALLED') && AFF_IS_CHARITY_INSTALLED == 1 ) { ?>
                        <div class="form-group">
                            <div class="col-sm-12">
                                <input type="radio" name="cashbackType" id="ctG" value="G" <?php echo $row['CASHBACK_TYPE']=='G'?'checked':''; ?> onclick="giveOrTake('G')"><label for="ctG"> <b><?php echo GIVE; ?></b></label>
                                <input type="radio" name="cashbackType" id="ctT" value="T" <?php echo $row['CASHBACK_TYPE']=='T'?'checked':''; ?> onclick="giveOrTake('T')"><label for="ctT"> <b><?php echo TAKE; ?></b></label>
                            </div>
                        </div>

                        <span id="tblGive" style="display:<?php echo $row['CASHBACK_TYPE']=='G'?'block':'none'; ?>">
				<div class="form-group">
					<label for="idCategory" class="col-sm-4 control-label"><?php echo CATEGORY; ?></label>
					<div class="col-sm-8">
						<?php echo getCombobox("catId", "AFF_CHARITY_CATEGORY", "ID", "TITLE", $catId, "ISVALID='Y'", "TITLE", SELECT_A_CATEGORY, "onchange='loadOrgs(this.value)'"); ?>
					</div>
				</div>
				<div class="form-group">
					<label for="idOrgs" class="col-sm-4 control-label"><?php echo CATEGORY; ?></label>
					<div class="col-sm-8">
						<div id="divOrgs"><?php echo $row['CHARITY_ID']==''?PLEASE_SELECT_A_CHARITY_CATEGORY:getCombobox("charityId", "AFF_CHARITY", "ID", "NAME", "", array("CATEGORY_ID = ? AND ISVALID='Y'", array($catId)), "NAME"); ?></div>
					</div>
				</div>
				</span>

                        <span id="tblTake" style="display:<?php echo $row['CASHBACK_TYPE']=='T'?'block':'none'; ?>;">
			<?php } else { ?>
                            <input type="hidden" name="cashbackType" value="T">
                            <?php } ?>
                            <div class="form-group">
					<label for="idminPayAmount" class="col-sm-4 control-label"><?php echo MIN_PAY_AMOUNT; ?></label>
					<div class="col-sm-8">
					<div class="input-group">
						<span class="input-group-addon"><?php echo SCRIPT_DOLLAR; ?></span>
						<input type="text" class="form-control" id="idminPayAmount" name="minPayAmount" value="<?php echo $row['MIN_PAY_AMOUNT']; ?>">
					</div>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label"><?php echo PAYMENT_TYPE; ?></label>
					<div class="col-sm-8">
						<input type="radio" name="paymentType" id="ptC" value="C" <?php echo $row['PAYMENT_TYPE']=='C'?'checked':''; ?> onclick="paymentTypeChanged('C')"><label for="ptC"> <b><?php echo CHEQUE; ?></b></label>
						<input type="radio" name="paymentType" id="ptP" value="P" <?php echo $row['PAYMENT_TYPE']=='P'?'checked':''; ?> onclick="paymentTypeChanged('P')"><label for="ptP"> <b><?php echo PAYPAL; ?></b></label>
					</div>
				</div>
				</span>

                        <span id="tblCheque" style="display:<?php echo $row['CASHBACK_TYPE']=='T' && $row['PAYMENT_TYPE']=='C'?'block':'none'; ?>;">
				<div class="form-group">
					<label for="idchequePayableTo" class="col-sm-4 control-label"><?php echo CHEQUE_PAYABLE_TO; ?></label>
					<div class="col-sm-8">
						<input type="text" class="form-control" id="idchequePayableTo" name="chequePayableTo" value="<?php echo $row['CHEQUE_PAYABLE_TO']; ?>">
					</div>
				</div>
				<div class="form-group">
					<center><?php echo CHEQUE_WILL_BE; ?></center>
				</div>
				</span>

                        <span id="tblPaypal" style="display:<?php echo $row['CASHBACK_TYPE']=='T' && $row['PAYMENT_TYPE']=='P'?'block':'none'; ?>;">
				<div class="form-group">
					<label for="idpaypalEmail" class="col-sm-4 control-label"><?php echo PAYPAL_EMAIL; ?></label>
					<div class="col-sm-8">
						<input type="text" class="form-control" id="idpaypalEmail" name="paypalEmail" value="<?php echo $row['PAYPAL_EMAIL']; ?>">
					</div>
				</div>
				</span>

                        <div class="form-group">
                            <div class="col-sm-12" style="text-align:right;">
                                <button type="reset" class="btn btn-default btn-lg"><?php echo _RESET; ?></button>
                                <button type="submit" class="btn btn-primary btn-lg"><?php echo UPDATE; ?></button>
                            </div>
                        </div>

                    </div>

                </div>
            </form>

            <script language="JavaScript">
                <!--
                function loadOrgs(catId)
                {
                    getContentFromUrl("<?php echo SCRIPT_ROOT; ?>affiliates/ajax_charity_orgs.php?catId="+catId, document.getElementById('divOrgs'));
                }

                function  giveOrTake(type)
                {
                    if ( type == 'G' )
                    {
                        document.getElementById('tblGive').style.display = 'block';
                        document.getElementById('tblTake').style.display = 'none';
                        document.getElementById('tblPaypal').style.display = 'none';
                        document.getElementById('tblCheque').style.display = 'none';
                    }
                    else
                    {
                        document.getElementById('tblGive').style.display = 'none';
                        document.getElementById('tblTake').style.display = 'block';
                        document.getElementById(document.getElementById('ptC').checked?'tblCheque':'tblPaypal').style.display = 'block';
                    }
                }

                function  paymentTypeChanged(type)
                {
                    if ( type == 'C' )
                    {
                        document.getElementById('tblCheque').style.display = 'block';
                        document.getElementById('tblPaypal').style.display = 'none';
                    }
                    else
                    {
                        document.getElementById('tblCheque').style.display = 'none';
                        document.getElementById('tblPaypal').style.display = 'block';
                    }
                }
                //-->
            </script>

        </div>
    </div>

@endsection
