@extends('affiliates.base')

@section('affiliate-content')

    <div class="row">
        <div class="col-xs-12 col-md-offset-3 col-md-6">

            <form name="User" action="affiliate_controller.php" method="POST" onsubmit="return 1;" class="form-horizontal" role="form">
                <input type="hidden" name="task" value="Affiliate">
                <input type="hidden" name="action" value="Profile">
                <input type="hidden" name="return" value="affiliate_profile.php?">

                <div class="panel panel-default panel-primary">
                    <div class="panel-heading"><h3><?php echo EDIT_PROFILE; ?></h3></div>
                    <div class="panel-body">

                        <div class="form-group">
                            <label for="idCMode" class="col-sm-4 control-label"><?php echo CASHBACK_MODE; ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idCMode" name="cmode" value="<?php echo $row['CASHBACK_MODE']=='%'||($row['CASHBACK_MODE']=='D'&&AFF_COMMISSION_TYPE=='%')?PERCENTAGE_COMMISSION:PER_CLICK_COMMISSION; ?>" disabled>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="idName" class="col-sm-4 control-label"><?php echo NAME; ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idName" name="name" value="<?php echo $row['NAME']; ?>" required>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="idEmail" class="col-sm-4 control-label"><?php echo EMAIL; ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idEmail" name="email" value="<?php echo $row['EMAIL']; ?>" required>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="idAddress1" class="col-sm-4 control-label"><?php echo ADDRESS; ?> 1</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idAddress1" name="address1" value="<?php echo $row['ADDRESS1']; ?>">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="idAddress2" class="col-sm-4 control-label"><?php echo ADDRESS; ?> 2</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idAddress2" name="address2" value="<?php echo $row['ADDRESS2']; ?>">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="idCity" class="col-sm-4 control-label"><?php echo CITY; ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idCity" name="city" value="<?php echo $row['CITY']; ?>">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="idState" class="col-sm-4 control-label"><?php echo STATE; ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idState" name="state" value="<?php echo $row['STATE']; ?>">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="idCountry" class="col-sm-4 control-label"><?php echo COUNTRY; ?></label>
                            <div class="col-sm-8">
                                <?php echo str_replace("class='effect'", "class='form-control'", countryDropDown($row["COUNTRY"])); ?>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="idZip" class="col-sm-4 control-label"><?php echo ZIP; ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idZip" name="zip" value="<?php echo $row["ZIP"]; ?>">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="idPhone" class="col-sm-4 control-label"><?php echo PHONE; ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idPhone" name="phone" value="<?php echo $row["PHONE"]; ?>">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="idTaxId" class="col-sm-4 control-label"><?php echo TAXID_SSN; ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idTaxId" name="taxid_ssn" value="<?php echo $row["TAXID_SSN"]; ?>">
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-12" style="text-align:right;">
                                <button type="reset" class="btn btn-default btn-lg"><?php echo _RESET; ?></button>
                                <button type="submit" class="btn btn-primary btn-lg"><?php echo UPDATE; ?></button>
                            </div>
                        </div>

                    </div>

                </div>
            </form>

            <center><font class="normal"><?php echo YOUR_AFFILIATE_LINK_IS; ?> : <?php echo SCRIPT_ROOT.'?aff='.$affiliateRecId; ?></font></center>

        </div>
    </div>

@endsection
