@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <div class="row">

        <div class="col-sm-12 col-md-offset-3 col-md-6 align-left">

            <form name="F" action="controller.php" method="POST" onsubmit="return validateFormEx(this);">
                <input type="hidden" name="task" value="Affiliate">
                <input type="hidden" name="refer" value="<?php echo getVar('return', 'url', 'index.php'); ?>">
                <input type="hidden" name="action" value="Add">
                <input type="hidden" name="return"
                       value="affiliate_register.php?return=<?php echo urlencode(getVar('return', 'url')); ?>&amp;">
                <table width="500" cellspacing="1" cellpadding="5" align="center" class="table">
                    <tr>
                        <th class="th" colspan="2"><?php echo NEW_AFFILIATE_REGISTERATION_FORM; ?></th>
                    </tr>

                    <tr>
                        <td class="td" width="30%"><?php echo AFFILIATE_ID; ?> :</td>
                        <td class="td"><input type="text" size="15" maxlength="12" name="newuserId"
                                              value="<?php echo postVar('newuserId'); ?>" class="effect"> <font
                                    color="red">*</font></td>
                    </tr>
                    <tr>
                        <td class="td"><?php echo PASSWORD; ?> :</td>
                        <td class="td"><input type="password" size="30" maxlength="25" name="password" class="effect">
                            <font color="red">*</font></td>
                    </tr>
                    <tr>
                        <td class="td"><?php echo CONFIRM_PASSWORD; ?> :</td>
                        <td class="td"><input type="password" size="30" maxlength="25" name="confirmPassword"
                                              class="effect"> <font color="red">*</font></td>
                    </tr>
                    <tr>
                        <td class="td"><?php echo PERSON_NAME; ?>:</td>
                        <td class="td"><input type="text" size="30" maxlength="50" name="name"
                                              value="<?php echo postVar('name'); ?>" class="effect"> <font
                                    color="red">*</font></td>
                    </tr>
                    <tr>
                        <td class="td"><?php echo EMAIL; ?> :</td>
                        <td class="td"><input type="text" size="30" maxlength="255" name="email"
                                              value="<?php echo postVar('email'); ?>" class="effect"> <font color="red">*</font>
                        </td>
                    </tr>
                    <tr>
                        <td class="td"><?php echo ADDRESS; ?> 1 :</td>
                        <td class="td"><input type="text" size="30" maxlength="255" name="address1"
                                              value="<?php echo postVar('address1', '', '', array('maxlen' => 255)); ?>"
                                              class="effect"></td>
                    </tr>
                    <tr>
                        <td class="td"><?php echo ADDRESS; ?> 2 :</td>
                        <td class="td"><input type="text" size="30" maxlength="255" name="address2"
                                              value="<?php echo postVar('address2', '', '', array('maxlen' => 255)); ?>"
                                              class="effect"></td>
                    </tr>
                    <tr>
                        <td class="td"><?php echo CITY; ?> :</td>
                        <td class="td"><input type="text" size="30" maxlength="50" name="city"
                                              value="<?php echo postVar('city'); ?>" class="effect"></td>
                    </tr>
                    <tr>
                        <td class="td"><?php echo STATE; ?> :</td>
                        <td class="td"><input type="text" size="30" maxlength="50" name="state"
                                              value="<?php echo postVar('state'); ?>" class="effect"></td>
                    </tr>
                    <tr>
                        <td class="td"><?php echo COUNTRY; ?> :</td>
                        <td class="td"><?php $t = postVar('country'); echo countryDropDown($t == '' ? DEFAULT_COUNTRY : $t); ?></td>
                    </tr>
                    <tr>
                        <td class="td"><?php echo ZIP; ?> :</td>
                        <td class="td"><input type="text" size="30" maxlength="15" name="zip"
                                              value="<?php echo postVar('zip', '', '', array('maxlen' => 12)); ?>"
                                              class="effect"></td>
                    </tr>
                    <tr>
                        <td class="td"><?php echo PHONE; ?> :</td>
                        <td class="td"><input type="text" size="30" maxlength="20" name="phone"
                                              value="<?php echo postVar('phone'); ?>" class="effect"></td>
                    </tr>
                    <tr>
                        <td class="td"><?php echo TAXID_SSN; ?> :</td>
                        <td class="td"><input type="text" size="30" maxlength="50" name="taxid_ssn"
                                              value="<?php echo postVar('taxid_ssn'); ?>" class="effect"></td>
                    </tr>

                    <tr>
                        <td class="td" colspan="2"><input type="checkbox" name="tosAgree" id="tosAgree" value="Y"
                                                          onclick="if (this.checked) $('#idCmdRegister').removeAttr('disabled'); else $('#idCmdRegister').attr('disabled', 'disabled');"><label
                                    for="tosAgree"><?php echo str_replace('{A_HREF}', "<a href='" . SCRIPT_ROOT . "affiliates/affiliate_termsofuse.php' class='link' target='_blank'>", I_AGREE_TO_THE_TERMS_AND_CONDITIONS); ?></label>
                        </td>
                    </tr>

                    <tr>
                        <td class="td" colspan="2" align="center">
                            <input type="submit" name="Enter" value=" <?php echo REGISTER; ?> " class="baseeffect"
                                   disabled id="idCmdRegister">
                            <input type="button" name="Enter" value=" <?php echo LOGIN; ?> " class="baseeffect"
                                   onclick="location.href='index.php'">
                        </td>
                    </tr>
                </table>
            </form>

        </div>

    </div>

@endsection

@push('footer-scripts')
<script language="JavaScript" type="text/javascript">
    <!--
    function validateFormEx(frm) {
        if (frm.newuserId.value == '') {
            alert("Please provide user id.");
            frm.newuserId.focus();
            return false;
        }

        if (frm.password.value == '') {
            alert("Please provide password.");
            frm.password.focus();
            return false;
        }

        if (frm.confirmPassword.value == '') {
            alert("Please provide confirm password.");
            frm.confirmPassword.focus();
            return false;
        }

        if (frm.password.value != frm.confirmPassword.value) {
            alert("Password and confirm password do not match.");
            frm.confirmPassword.focus();
            return false;
        }

        if (frm.name.value == '') {
            alert("Please provide name.");
            frm.name.focus();
            return false;
        }

        if (frm.email.value == '') {
            alert("Please provide email address.");
            frm.email.focus();
            return false;
        }

        if (frm.country.value == 'United States' && frm.taxid_ssn.value == '') {
            alert("<?php echo INFO_620; ?>");
            frm.taxid_ssn.focus();
            return false;
        }

        return true;
    }
    //-->
</script>
@endpush
