@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <div class="row">
        <div class="col-xs-12" style="text-align:left"><h2><?php echo PAGE_HEADING; ?></h2></div>
        <?php

        $count = 0;
        foreach ( $merchantArr as $row )
        {
        $count++;

        $detailLink = getMerchantPath($row['USERID'], '', '', $row['FILENAME']);
        ?>
        <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3">
            <div class="pgBoxULogo">
                <a href="<?php echo $detailLink?>" target="_blank" class="img"><?php echo getImgTag(array('src'=>$row['IMAGE'], 'align'=>'middle', 'border'=>'0', 'alt'=>$row['NAME'], 'title'=>$row['NAME'])); ?></a><br>
                <a href="<?php echo $detailLink?>" class="link"><?php echo $row['NAME']?></a>
            </div>
        </div>

        <?php
        }
        ?>
    </div>

@endsection

@push('styles')
<style type="text/css">
    .pgBoxULogo{height:140px;padding:10px;background-color:#fafafa;border:1px solid #eee;margin-bottom:15px;text-align:center;overflow:hidden}
    .pgBoxULogo A.img:link,.pgBoxULogo A.img:visited{display:block;height:75px;margin-bottom:5px}
    .pgBoxULogo IMG{max-width:100%;max-height:70px;width:auto;height:auto}
</style>
@endpush
