@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <?php
    if ( defined('SHOW_18PLUS_WARNING_ON_MARKED_RECORDS') && SHOW_18PLUS_WARNING_ON_MARKED_RECORDS == 1 && $categoryRec['IS_18PLUS'] == 'Y' && $_SESSION['allow18plus'] == '' )
    {
    ?>
    <script type="text/javascript">
        <!--
        $(document).ready(function () {
            showModal('<?php echo handleSingleQuote4JS(ARE_YOU_SURE); ?>', '<?php echo handleSingleQuote4JS(WARNING_18_PLUS_TEXT); ?>', '<button type="button" class="btn btn-danger" onclick="enter18plus()"><?php echo handleSingleQuote4JS(WARNING_18_PLUS_YES); ?></button> <button type="button" class="btn btn-info" onclick="location.href=\'<?php echo SCRIPT_ROOT; ?>\'"><?php echo handleSingleQuote4JS(WARNING_18_PLUS_NO); ?></button>', false, false, true);
        });

        function enter18plus() {
            hideModal();
            getContentFromUrl("<?php echo SCRIPT_ROOT; ?>ajax-set-18-plus.php?set=1", $("#divTempConent").get(0), "GET", "", "");
        }
        //-->
    </script>
    <?php
    }
    ?>

    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8">
            <div class="well" style="text-align:left">
                <h1><?php echo $categoryTitle?></h1>
                <?php echo $categoryRec['DETAIL'] . ($categoryRec['DETAIL'] == '' ? '' : "<br><br>\n\n"); ?>
                <div><?php echo SELECT_A_SUBCATEGORY?></div>
                <br>
                <div style="width:100%">
                    <?php
                    foreach ( $catArr as $row )
                    {
                    $cLink = getCategoryPath($row['ID'], $row['FILENAME']);
                    ?>
                    <div class="col-xs-12 hidden-sm hidden-md hidden-lg">
                        <div class="CatSubCatBoxM" onclick="location.href='<?php echo $cLink?>'">
                            <div style="width:60px; height:60px; float:left;"><?php echo getCategoryThumbnail($row['ID'], $cLink, $row['FILENAME'], 60, 60, '', $row['TITLE'])?></div>
                            <div style="width:20px; float:right;"><span
                                        class="glyphicon glyphicon-chevron-right"></span></div>
                            <div style="margin-left:65px; margin-right:25px;">
                                <a href="<?php echo $cLink?>"><?php echo $row['TITLE']?></a>
                                <?php if ($prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_MYSQL && $row['PRODUCTS'] > 0) { ?><?php echo $row['PRODUCTS'] ?> <?php echo PRODUCTS ?><?php } ?>
                            </div>
                            <div style="clear:both;"></div>
                        </div>
                    </div>
                    <div class="hidden-xs col-sm-4 col-md-4">
                        <div class="CatSubCatBox">
                            <div style="width:90px; height:90px; margin:auto;"><?= getCategoryThumbnail($row['ID'], $cLink, $row['FILENAME'], 90, 90, '', $row['TITLE'])?></div>
                            <div class="TxtOverflowControl" style="height:54px;"><a
                                        href="<?= $cLink ?>"><?= $row['TITLE'] ?></a></div>
                            <div class="CatSubCatBoxCount GradDark3">
                                <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;
                                <?php if ($prefPrdSrc['BASE_PRODUCT_SOURCE'] == API_TYPE_MYSQL && $row['PRODUCTS'] > 0) { ?><?php echo $row['PRODUCTS'] ?> <?php echo PRODUCTS ?><?php } ?>
                            </div>
                        </div>
                    </div>
                    <?php
                    }
                    ?>
                </div>
                <div style="clear:both;"></div>
                <b><?php echo $exceptionMsg?></b>

            </div>

            <?php if ( sizeof($featuredProducts) > 0 ) { ?>
            <div class="well hidden-xs">
                <h2><?php echo FEATURED_PRODUCTS?></h2>
                <div class="row" style="width:100%">
                    <?php
                    $count = 0;
                    foreach ( $featuredProducts as $row )
                    {
                    $rLink = getOneStoreRedirectLink($row);
                    $pLink = $rLink != '' ? $rLink : $pLink = getProductPath($row['ID'], $row['FILENAME'], $row['CATEGORY_ID']);
                    $lTarg = $rLink == '' ? '' : 'target="_blank"';
                    ?>
                    <div class="col-xs-12 col-sm-4 col-md-4 col-lg-3">
                        <div class="IndexProdBox" style="text-align:center;">
                            <div style="width:100px; margin:auto; margin-top:2px;">
                                <?php echo getProductThumbnail($row['ID'], $pLink, $row['TITLE'], $row['CATEGORY_ID'], 100, 100, '', '', '', '', $row['FILENAME'])?>
                            </div>
                            <div class="TxtOverflowControl" style="padding:5px; height:35px;"><a
                                        href="<?php echo $pLink?>"
                                        <?php echo $lTarg; ?> class="PPTitle"><?php echo $row['TITLE']?></a></div>
                            <div class='PPPrice'><?php echo getFormattedPrice($row['MIN_PRICE'], $currencySymbol, $currencyRate)?></div>
                            <a href="<?php echo $pLink?>" <?php echo $lTarg; ?>>
                                <button class="btn btn-xs btn-dark1"><?php echo $rLink == '' ? COMPARE_PRICE : GO_TO_STORE; ?></button>
                            </a>
                        </div>
                    </div>
                    <?php
                    if ($count >= 8)
                        break;
                    }
                    ?>
                </div>
            </div>
            <?php } ?>

        </div>
        <div class="hidden-xs col-sm-12 col-md-4 col-lg-4">

            <div class="rowsep"></div>

            <?php
            if ( count($featuredStores) > 0 )
            {
            ?>
            <div class="well">
                <h2><?php echo FEATURED_MERCHANTS?></h2>
                <?php
                foreach ( $featuredStores as $store )
                {
                $merchantImage = getResourceUrl('spacer.gif', 'images');

                if (file_exists(PATH . "upload/merchant/" . $store['USERID'] . ".jpg"))
                    $merchantImage = getMerchantLogoThumbUrl($store['USERID'], 120, '', $store['NAME']);
                ?>
                <a href="<?php echo getStoreUrl($store['USERID'], $categoryId)?>"><img src="<?php echo $merchantImage?>"
                                                                                       border="0"
                                                                                       alt="<?php echo $store['NAME']?>"
                                                                                       title="<?php echo $store['NAME']?>"></a>
                <br><br>
                <?php
                }
                ?>
            </div>

            <div class="rowsep"></div>
            <?php
            }
            ?>

            <center><?php echo getBanner(1000, 'R1')?></center>

        </div>
    </div>

    <?php
    if ( IS_PRODUCTFILTERS_INSTALLED == 1 ) {
    ?>
    <div class="row" id="divBrandPanel">
        <div class="hidden-xs col-sm-12 col-md-12 col-lg-12">
            <h2><?php echo FEATURED_BRANDS?></h2>
            <div class="well well-lg">
                <div style="width:100%;overflow:hidden"><?php echo getBrandPanel(0, 4, 90, 90, '', '', '', $categoryId)?></div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>

@endsection
