<?php
foreach ( $arrFCR as $row )
{
    $fcoup_linkUrl	= getMerchantPath($row['USERID'], '', '', $row['FILENAME']);
    $fcoup_redirUrl	= SCRIPT_ROOT.'coupon_redirect.php?couponId='.$row['ID'];
?>

<div class="{{ $fcoup_outerCssClass }}">
    <div class="{{ $fcoup_innerCssClass }}" style="min-height:80px;margin-bottom:10px">
        <a href="{{ $fcoup_redirUrl }}" class="main">
            <div class="col-xs-12">
                {{ $row['TITLE'] }}
                <div style="height:10px"></div>
            </div>
            <div class="col-xs-7">
                @if( $row['LOGO_PATH'] == '' )
                <a href="{{ $fcoup_linkUrl }}"><b>{{ $row['NAME'] }}</b></a>
                @else
                <a href="{{ $fcoup_linkUrl }}"><img src="{{ getMerchantLogoThumbUrl($row['USERID'], 100, 100) }}" class="img-responsive center-block" border=0 alt="{{ $row['NAME'] }}"></a>
                @endif
                <div style="height:5px"></div>
                {{ DISCOUNT }} : <b>{{ $row['DISCOUNT_PERCENTAGE'] == 0 ? getFormattedPrice($row['DISCOUNT_AMOUNT'], SCRIPT_DOLLAR) : $row['DISCOUNT_PERCENTAGE'].'%' }}</b>
            </div>
            <div class="col-xs-5">
                <a href="{{ $fcoup_redirUrl }}" target="_blank"><button class="btn btn-sm btn-primary">{{ GO_TO_STORE }}</button></a>
                <div style="height:5px"></div>
                @if( $row['COUPON_CODE'] != '' )
                    <span style="font-size:9px;"><b>{{ CODE }}:</b> {{ $row['COUPON_CODE'] }}</span>
                @endif
                <div style="height:5px"></div>
                @if( $row['EXPIRY'] != '' && $row['EXPIRY'] != '0000-00-00 00:00:00' )
                    <span style="font-size:9px;"><b>{{ EXPIRY }}:</b> {{ formatDate($row['EXPIRY']) }}</span>
                @endif
            </div>
        </a>
        <div style="clear:both"></div>
    </div>
</div>
<?php
}
?>

<div style="clear:both"></div>
