<?php
$arrFilterDivIds = array();
?>

<form id="idFormFilters" name="frmFilters" action="<?php echo $url4Filter?>" method="GET"
      style="margin:0px; padding:0px;">
    <input type='hidden' name='advanceSearch' value='<?php echo getVar('advanceSearch')?>'>
    <input type='hidden' name='categoryId' value='<?php echo $categoryId?>'>
    <input type='hidden' name='title' value='<?php echo getVar('title')?>'>
    <input type='hidden' name='searchText' value='<?php echo isset($searchText) ? $searchText : ''?>'>
    <input type='hidden' name='searchProductIn' value='<?php echo getVar('searchProductIn')?>'>
    <input type='hidden' name='searchType' value='<?php echo getVar('searchType')?>'>
    <input type='hidden' name='catId' value='<?php echo getVar('catId')?>'>
    <input type='hidden' name='manuText' value='<?php echo getVar('manuText')?>'>
    <input type='hidden' name='vt' value='<?php echo getVar('vt')?>'>
    <input type='hidden' name='minPriceBound' value='<?php echo $minPriceBound?>'>
    <input type='hidden' name='maxPriceBound' value='<?php echo $maxPriceBound?>'>
    <?php if ( $merPPPage && is_array($merchant) && isset($merchant[0]) ) { ?>
    <input type='hidden' name='mpp' value='1'>
    <input type='hidden' name='mer[]' value='<?php echo $merchant[0]; ?>'>
    <?php } ?>

    <?php
    // Show category filters clear
    if ( is_array($srhcats) && count($srhcats) > 0 )
    {
    foreach ( $srhcats as $mx )
    {
    $mx = (int)$mx;

    if ($mx == '') continue;

    $filSelected = true;

    $catUrlEx = str_replace('&scat[]=' . urlencode($mx) . '&', '', $catUrl);
    $mxName = '';
    foreach ($filterArrCats as $row) {
        if ($row['ID'] == $mx) {
            $mxName = $row['TITLE'];
            break;
        }
    }

    // If category name still not loaded, means $filterArrCats is not loaded due to being from sphinx
    if ($mxName == '')
        $mxName = getColumn('CATEGORY', $mx);

    if ( $mxName != '' )
    {
    ?>
    <a href="<?php echo $url4FilterWithoutPrice . '&fId[]=' . implode('&fId[]=', $fId) . $catUrlEx . $merUrl . $manuUrl; ?>">
        <div class="FilterTag"><span class="glyphicon glyphicon-remove"></span> <?php echo $mxName; ?></div>
    </a>
    <?php
    }
    }
    }

    // Show manufacturer filters clear
    if ( is_array($manufacturer) && count($manufacturer) > 0 )
    {
    foreach ( $manufacturer as $mx )
    {
    $mx = (int)$mx;

    if ($mx == '') continue;

    $filSelected = true;

    $manuUrlEx = str_replace('&manu[]=' . urlencode($mx) . '&', '', $manuUrl);
    $mxName = '';
    foreach ($filterArrBrands as $row) {
        if ($row['MANUFACTURER_ID'] == $mx) {
            $mxName = $row['MANUFACTURER'];
            break;
        }
    }

    if ( $mxName != '' )
    {
    ?>
    <a href="<?php echo $url4FilterWithoutPrice . '&fId[]=' . implode('&fId[]=', $fId) . $catUrl . $merUrl . $manuUrlEx; ?>">
        <div class="FilterTag"><span class="glyphicon glyphicon-remove"></span> <?php echo $mxName; ?></div>
    </a>
    <?php
    }
    }
    }

    // Show merchant filters clear
    if ( !$merPPPage && is_array($merchant) && count($merchant) > 0 )
    {
    foreach ( $merchant as $mx )
    {
    $mx = (int)$mx;

    if ($mx == '') continue;

    $filSelected = true;

    $merUrlEx = str_replace('&mer[]=' . urlencode($mx) . '&', '', $merUrl);
    $mxName = '';
    foreach ($filterArrStores as $row) {
        if ($row['USERID'] == $mx) {
            $mxName = $row['NAME'];
            break;
        }
    }

    if ( $mxName != '' )
    {
    ?>
    <a href="<?php echo $url4FilterWithoutPrice . '&fId[]=' . implode('&fId[]=', $fId) . $catUrl . $merUrlEx . $manuUrl; ?>">
        <div class="FilterTag"><span class="glyphicon glyphicon-remove"></span> <?php echo $mxName; ?></div>
    </a>
    <?php
    }
    }
    }

    // Show general filters clear
    if ( is_array($fId) && count($fId) > 0 )
    {
    foreach ( $fId as $vId )
    {
    // Skip if it was a merged value
    if (is_array($_GET['oldfId']) && !in_array($vId, $_GET['oldfId']))
        continue;

    if ($vId == '' || is_array($vId)) continue;

    $filSelected = true;

    $arrFilterGrpSel[$arrFilterValParent[$vId]] = true;

    if ($arrFilterNames[$vId] == '') continue;

    $fIdEx = array_diff($fId, array($vId));
    ?>
    <a href="<?php echo $url4FilterWithoutPrice . '&fId[]=' . implode('&fId[]=', $fIdEx) . $catUrl . $merUrl . $manuUrl; ?>">
        <div class="FilterTag"><span class="glyphicon glyphicon-remove"></span> <?php echo $arrFilterNames[$vId]; ?>
        </div>
    </a>
    <?php
    }
    }

    // Show clear all button if any type of filter was selected
    if ($filSelected) {
        echo '<div class="FilterTagsbot"></div>';
        echo '<a href="' . $url4FilterWithoutPrice . ($merPPPage ? $merUrl : '') . '" class="FilterClearAll"><span class="glyphicon glyphicon-remove"></span> ' . CLEAR_ALL . '</a>';
    }
    ?>

    <?php
    if ( SHOW_PRICE_FILTER_OPTION == 1 )
    {
    ?>
    <div class="FilterBoxHeading"><?php echo PRICE?></div>
    <div class="FilterBoxWRep" style="padding:24px">
        <?php
        if ( $minPriceBound == 0 && $maxPriceBound == 0 )
        {
        ?>
        <div style="width:62px; float:left; padding-left:15px;"><?php echo _MIN?></div>
        <div style="width:62px; float:left; padding-left:15px;"><?php echo _MAX?></div>
        <div style="clear:both;"></div>
        <?php echo showPriceInputField('minPrice', $minPrice)?>
        -
        <?php echo showPriceInputField('maxPrice', $maxPrice)?>
        <br><br>
        <center>
            <button class="btn btn-sm btn-dark1"><?php echo FILTER_RESULTS?></button>
        </center>
        <?php
        }
        else
        {
        ?>
        <link type="text/css" href="<?php echo getResourceUrl('bootstrap-slider.css', 'style')?>" rel="stylesheet"
              media="all"/>
        <script type="text/javascript" language="JavaScript"
                src="<?php echo getResourceUrl('bootstrap-slider.js', 'js')?>"></script>
        <div style="width:100%;">
            <span id="idPRSNPD"
                  style="float:left;"><?php echo getFormattedPrice($minPrice > 0 ? $minPrice : $minPriceBound, $currencySymbol, $currencyRate)?></span>
            <span id="idPRSXPD"
                  style="float:right;"><?php echo getFormattedPrice($maxPrice > 0 ? $maxPrice : $maxPriceBound, $currencySymbol, $currencyRate)?></span>
            <div style="clear:both;height:10px;"></div>
            <input id="idPRS" type="text" class="span2" value=""
                   data-slider-min="<?php echo $minPriceBound * $currencyRate?>"
                   data-slider-max="<?php echo $maxPriceBound * $currencyRate?>" data-slider-step="1"
                   data-slider-value="[<?php echo $minPrice == 0 ? $minPriceBound : $minPrice?>,<?php echo $maxPrice == 0 ? $maxPriceBound : $maxPrice?>]"/>
            <input type="hidden" id="idPRSNP" name="minPrice" value="<?php echo $minPrice?>">
            <input type="hidden" id="idPRSXP" name="maxPrice" value="<?php echo $maxPrice?>">
            <div style="clear:both;height:10px;"></div>
        </div>
        <div style="clear:both;height:10px;"></div>
        <script type="text/javascript">
            <!--
            var pfmt = ' <?php echo getFormattedPrice(99, $currencySymbol, 1)?> '.replace('.00', '').replace(',00', '');
            $("#idPRS").slider({
                formater: function (val) {
                    return fmtamt(val);
                }
            })
                    .on('slide', function (val) {
                        arr = val.value.toString().split(',');
                        $('#idPRSNP').val(arr[0]);
                        $('#idPRSXP').val(arr[1]);
                        $('#idPRSNPD').html(fmtamt(arr[0]));
                        $('#idPRSXPD').html(fmtamt(arr[1]));
                    })
                    .on('slideStop', function (val) {
                        $('#idFormFilters').submit();
                    });
            function fmtamt(a) {
                a = a * 1;
                a = a.toFixed(2);
                r = pfmt.replace('99', a);
                if ( <?php echo IS_COMMA_DECIMAL_SEPARATOR == 1 ? 'true' : 'false'; ?> )
                    r = r.replace('.', ',');
                return r;
            }
            //-->
        </script>
        <style>
            .slider.slider-horizontal {
                width: 100%
            }
        </style>
        <?php
        }
        ?>

        <?php
        if ( SHOW_ADDITIONAL_FILTER_OPTION == 1 )
        {
        ?>
        <center><a href="javascript:void(1);" onclick="showHideFilterBox(this);"
                   rel="nofollow"><?php echo(SHOW_ADDITIONAL_FILTER_BY_DEFAULT == 1 || count($fId) > 0 || count($manufacturer) > 0 || count($merchant) > '' ? HIDE_ADDITIONAL_FILTERS : SHOW_ADDITIONAL_FILTERS)?></a>
        </center>
        <?php
        }
        ?>
        <div style="clear:both;"></div>
    </div>
    <div style="clear:both;">&nbsp;</div>
    <?php
    }
    ?>
    <span id="mfilterTable"
          style="display:<?php echo(SHOW_ADDITIONAL_FILTER_BY_DEFAULT == 1 || count($fId) > 0 || count($manufacturer) > 0 || count($merchant) > '' ? 'block' : 'none')?>">

<?php
        $totFilterArrCats = count($filterArrCats);
        if ( $totFilterArrCats > 0 && IS_SINGLE_CATEGORY_WEBSITE != 1 )
        {
        $arrFilterDivIds[] = 'Cat';
        ?>
        <div class="FilterBoxHeading"><?php echo CATEGORIES?></div>
				<div class="FilterBoxWRep">
				<div id="scrollCat"
                     style="height:<?php echo ($totFilterArrCats < FILTER_VALUE_MAXIMUM ? $totFilterArrCats : FILTER_VALUE_MAXIMUM) * FILTER_VALUE_HEIGHT?>px;overflow:auto;">
<?php
                    $filterCount = 0;
                    foreach ($filterArrCats as $row) {
                        echo getFilterCheckboxLink('javascript:gotoCatUrl(\'' . $row['ID'] . '\');', 'Cat', $row['ID'], $row['TITLE'], in_array($row['ID'], $srhcats) ? 'checked' : '', $filterCount < FILTER_VALUE_MAXIMUM ? 'Min' : 'Max', isset($row['TOT']) ? '(' . $row['TOT'] . ')' : '', 'scat[]');

                        $filterCount++;

                    }
                    ?>
				</div>
                    <?php
                    if ( $filterCount > FILTER_VALUE_MAXIMUM )
                    {
                    ?>
                    <div style="clear:both;">
					<div class="tdFilter" style="padding-top:5px; text-align:right;"><a class='link'
                                                                                        href='javascript:void(1);'
                                                                                        onclick="showHideFilterValues('Cat');"
                                                                                        id="idLinkCat" alt="visible"
                                                                                        title="<?php echo CATEGORIES?>"
                                                                                        rel="nofollow"><?php echo SEE_MORE . ' ' . CATEGORIES?></a>&nbsp;&nbsp;</div>
				</div>
                    <?php
                    }
                    ?>
                    <div style="clear:both;"></div>
				</div>
				<div style="clear:both;">&nbsp;</div>
        <?php
        }
        ?>

        <?php
        $brandFilterXInit = false; // 5/20/2013: Mamda: Added to exclude brand filters from the initialization run if brands are shown as popin
        $totFilterArrBrands = count($filterArrBrands);
        if ( $totFilterArrBrands > 0 )
        {
        $arrFilterDivIds[] = 'Manu';
        ?>
        <div class="FilterBoxHeading"><?php echo MANUFACTURERS?></div>
				<div class="FilterBoxWRep">
				<div id="scrollManu"
                     style="height:<?php echo ($totFilterArrBrands < FILTER_VALUE_MAXIMUM ? $totFilterArrBrands : FILTER_VALUE_MAXIMUM) * FILTER_VALUE_HEIGHT?>px;overflow:<?php echo $totValues > FILTER_LOAD_MAX_INIT ? 'hidden' : 'auto'?>;">
<?php
                    $filterCount = 0;
                    foreach ($filterArrBrands as $row) {
                        echo getFilterCheckboxLink('javascript:gotoBrandUrl(\'' . $row['MANUFACTURER_ID'] . '\');', 'Manu', $row['MANUFACTURER_ID'], $row['MANUFACTURER'], in_array($row['MANUFACTURER_ID'], $manufacturer) ? 'checked' : '', $filterCount < FILTER_VALUE_MAXIMUM ? 'Min' : 'Max', isset($row['TOT']) ? '(' . $row['TOT'] . ')' : '', 'manu[]');

                        $filterCount++;

                    }
                    ?>
                    <div style="clear:both;"></div>
				</div>
                    <?php
                    if ( $filterCount > FILTER_VALUE_MAXIMUM )
                    {
                    $totValues = totProductFiltersBrands($categoryId, $searchId);
                    if ( $totValues > FILTER_LOAD_MAX_INIT )
                    {
                    $brandFilterXInit = true;
                    ?>
                    <script type="text/javascript">
				<!--
                $('#scrollManu').css('overflow', 'hidden');
                //-->
				</script>
				<div style="clear:both;"></div>
				<div class="tdFilter" style="padding-top:5px; text-align:right;"><a class='link'
                                                                                    href='javascript:void(1);'
                                                                                    onclick="loadMoreValues('Manu');"
                                                                                    id="idLinkManu"
                                                                                    alt="<?php echo MANUFACTURERS?>"
                                                                                    title="<?php echo MANUFACTURERS?>"
                                                                                    rel="nofollow"><?php echo SEE_MORE . ' ' . MANUFACTURERS?>
                        <i class="fa fa-caret-down" aria-hidden="true"></i> </a>&nbsp;&nbsp;</div>
                    <?php
                    }
                    else
                    {
                    ?>
                    <div>
					<div class="tdFilter" style="padding-top:5px; text-align:right;"><a class='link'
                                                                                        href='javascript:void(1);'
                                                                                        onclick="showHideFilterValues('Manu');"
                                                                                        id="idLinkManu" alt="visible"
                                                                                        title="<?php echo MANUFACTURERS?>"
                                                                                        rel="nofollow"><?php echo SEE_MORE . ' ' . MANUFACTURERS?>
                            <i class="fa fa-caret-down" aria-hidden="true"></i> </a>&nbsp;&nbsp;</div>
				</div>
                    <?php
                    }
                    }
                    ?>
                    <div style="clear:both;"></div>
				</div>
				<div style="clear:both;">&nbsp;</div>
        <?php
        }
        ?>


        <?php
        $totFilterArrStores = count($filterArrStores);
        if ( $totFilterArrStores > 0 )
        {
        $arrFilterDivIds[] = 'Mer';
        ?>
        <div class="FilterBoxHeading"><?php echo MERCHANTS?></div>
				<div class="FilterBoxWRep">
				<div id="scrollMer"
                     style="height:<?php echo ($totFilterArrStores < FILTER_VALUE_MAXIMUM ? $totFilterArrStores : FILTER_VALUE_MAXIMUM) * FILTER_VALUE_HEIGHT?>px;overflow:auto;">
<?php
                    $filterCount = 0;
                    foreach ($filterArrStores as $row) {
                        echo getFilterCheckboxLink('javascript:gotoStoreUrl(\'' . $row['USERID'] . '\');', 'Mer', $row['USERID'], $row['NAME'], in_array($row['USERID'], $merchant) ? 'checked' : '', $filterCount < FILTER_VALUE_MAXIMUM ? 'Min' : 'Max', isset($row['TOT']) ? '(' . $row['TOT'] . ')' : '', 'mer[]');

                        $filterCount++;

                    }
                    ?>
				</div>
                    <?php
                    if ( $filterCount > FILTER_VALUE_MAXIMUM )
                    {
                    ?>
                    <div style="clear:both;">
					<div class="tdFilter" style="padding-top:5px; text-align:right;"><a class='link'
                                                                                        href='javascript:void(1);'
                                                                                        onclick="showHideFilterValues('Mer');"
                                                                                        id="idLinkMer" alt="visible"
                                                                                        title="<?php echo MERCHANTS?>"
                                                                                        rel="nofollow"><?php echo SEE_MORE . ' ' . MERCHANTS?>
                            <i class="fa fa-caret-down" aria-hidden="true"></i> </a>&nbsp;&nbsp;</div>
				</div>
                    <?php
                    }
                    ?>
                    <div style="clear:both;"></div>
				</div>
				<div style="clear:both;">&nbsp;</div>
        <?php
        }
        ?>

        <?php

        $isMultiple = count($filterArr) > 1 ? 1 : 0;

        foreach ( $filterArr as $row )
        {
        if ( $isMultiple == 1 && $row['FEATURE'] != 'Default' )
        {
        if (count($row['CHILDS']) == 0) continue;
        ?>
        <div class="FilterBoxHeading" style="font-size:14px; overflow:hidden;"><?php echo $row['FEATURE']?></div>
        <?php
        }

        foreach ( $row['CHILDS'] as $rowSub )
        {
        $divId = is_array($rowSub['ID']) ? $rowSub['ID'][0] : $rowSub['ID'];
        $totChildsCount = count($rowSub['CHILDS']);
        if ($totChildsCount == 0) continue;
        $arrFilterDivIds[] = $divId;
        ?>
        <div class="FilterBoxHeading"><?php echo $rowSub['FEATURE']?></div>
        <?php
        if (false && $arrFilterGrpSel[$rowSub['ID']]) {
            $fIdEx = array_diff($fId, $arrFilterGrpVals[$rowSub['ID']]);
            echo '<a href="' . $url4FilterWithoutPrice . '&fId[]=' . implode('&fId[]=', $fIdEx) . $merUrl . $manuUrl . '" class="FilterClear"><span class="glyphicon glyphicon-remove"></span> ' . CLEAR . '</a>';
        }
        ?>
        <div class="FilterBoxWRep">
				<div id="scroll<?php echo $divId?>"
                     style="height:<?php echo ($totChildsCount < FILTER_VALUE_MAXIMUM ? $totChildsCount : FILTER_VALUE_MAXIMUM) * FILTER_VALUE_HEIGHT?>px;overflow:auto;">
<?php
                    $filterCount = 0;
                    foreach ($rowSub['CHILDS'] as $rowVal) {
                        echo getProductFilterValueHTML($fId, $rowVal['ID'], $rowVal['VALUE'], $categoryId, SHOW_PRODUCT_COUNT, $divId, $filterCount < FILTER_VALUE_MAXIMUM ? 'Min' : 'Max', 0, 1, isset($rowVal['TOT']) ? $rowVal['TOT'] : -1);
                        $filterCount++;
                    } // while of FeatureValue ends here //
                    ?>
				</div>
            <?php
            if ( $filterCount > FILTER_VALUE_MAXIMUM )
            {
            ?>
            <div style="clear:both;">
						<div class="tdFilter" style="padding-top:5px; text-align:right;"><a class='link'
                                                                                            href='javascript:void(1);'
                                                                                            onclick="showHideFilterValues(<?php echo $divId?>);"
                                                                                            id="idLink<?php echo $divId?>"
                                                                                            alt="visible"
                                                                                            title="<?php echo $rowSub['FEATURE']?>"
                                                                                            rel="nofollow"><?php echo SEE_MORE . ' ' . $rowSub['FEATURE']?>
                                <i class="fa fa-caret-down" aria-hidden="true"></i> </a>&nbsp;&nbsp;</div>
					</div>
					<br>
            <?php
            }
            ?>
            <div style="clear:both;"></div>
				</div>
				<div style="clear:both;">&nbsp;</div>
        <?php
        } // while of FeatureCategorySub ends here //

        } // end of first while //
        ?>
				</span>

</form>

@push('footer-scripts')
<script language="JavaScript">
    <!--
    $(document).ready(function () {
        <?php foreach ( $arrFilterDivIds as $arrFilterDivId ) { if ( $arrFilterDivId == 'Manu' && $brandFilterXInit ) continue; ?>
        showHideFilterValues('<?php echo $arrFilterDivId?>');
        <?php } ?>
        <?php foreach ( $arrFilterDivIds as $arrFilterDivId ) { if ( $arrFilterDivId == 'Manu' && $brandFilterXInit ) continue; ?>
        showHideFilterValues('<?php echo $arrFilterDivId?>');
        <?php } ?>
    });
    //-->
</script>
@endpush
