@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <div class="row">
        <div class="col-xs-12 col-md-offset-2 col-md-8">

            <form name="F" id="frmLogin" action="<?php echo SCRIPT_ROOT; ?>member_processlogin.php" method="POST"
                  class="form-horizontal" role="form">
                <input type="hidden" name="return" value="<?php echo getVar('return', 'url')?>">
                <input type="hidden" name="userProductId" value="<?php echo getVar('userProductId', 'int')?>">
                <input type="hidden" name="muserId"
                       value="<?php echo getVar('userId', '', '', array('maxlen' => 20))?>">
                <input type="hidden" name="productId" value="<?php echo getVar('productId', 'int')?>">
                <input type="hidden" name="contWOreg" value="0">

                <div class="panel panel-default panel-primary">
                    <div class="panel-heading"><h2><?php echo VISITOR_LOGIN?></h2></div>
                    <div class="panel-body">

                        <div class="form-group">
                            <label for="loginEmail" class="col-sm-4 control-label"><?php echo EMAIL; ?></label>
                            <div class="col-sm-8">
                                <input type="email" class="form-control" id="loginEmail" name="email"
                                       placeholder="<?php echo JSMSG_PLEASE_PROVIDE_EMAIL_ADDRESS?>" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="loginPassword" class="col-sm-4 control-label"><?php echo PASSWORD?></label>
                            <div class="col-sm-8">
                                <input type="password" class="form-control" id="loginPassword" name="password"
                                       placeholder="<?php echo JSMSG_PLEASE_PROVIDE_PASSWORD?>" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-12" style="text-align:right;">
                                <button type="reset" class="btn btn-default btn-lg"><span
                                            class="glyphicon glyphicon-remove"></span> <?php echo _RESET; ?></button>
                                <button type="submit" class="btn btn-primary btn-lg"><span
                                            class="glyphicon glyphicon-ok"></span> <?php echo LOGIN?></button>
                                <?php if ( $contWOreg == 1 ) { ?>
                                <div style="clear:both;height:10px;"></div>
                                <button type="button" class="btn btn-primary btn-lg"
                                        onclick="location.href='<?php echo SCRIPT_ROOT; ?>member_processlogin.php?contWOreg=1&return=<?php echo urlencode(getVar('return', 'url'))?>';"><?php echo CONTINUE_WITHOUT_REGISTRATION?>
                                    <span class="glyphicon glyphicon-chevron-right"></span></button>
                                <?php } ?>
                            </div>
                        </div>

                    </div>

                    <div class="panel-footer">
                        <div class="DivRow">
                            <div style="text-align:center;">
                                <b> |
                                    <a href="<?php echo getSeoUrl('member_register', 'return=' . urlencode(getVar('return', 'url')))?>"
                                       class="link"><?php echo REGISTER?></a> |
                                    <a href="<?php echo getSeoUrl('member_forgot_pwd_form', 'return=' . urlencode(getVar('return', 'url')))?>"
                                       class="link"><?php echo FORGOT_PASSWORD?></a> |
                                    <a href="<?php echo getSeoUrl('member_verify_email')?>"
                                       class="link"><?php echo VERIFY_EMAIL_ADDRESS?></a> |
                                </b>
                            </div>
                        </div>
                    </div>
                </div>

            </form>

        </div>
    </div>

@endsection
