@extends('member_base')

@section('member_page_content')

    <div class="row">
        <div class="col-xs-12 col-md-offset-1 col-md-10">
            <?php
            if ( ($row = getRow($res)) )
            {
            ?>
            <table width="100%" cellspacing="1" cellpadding="5" class="table">
                <tr>
                    <th colspan="2" class="th"><?php echo PRODUCT_RATING?></th>
                </tr>
                <tr>
                    <td width="30%" class="td"><?php echo CATEGORY?> :</td>
                    <td class="td"><a href="<?php echo getCategoryPath($row['CID'], $row['CFILENAME'])?>"
                                      class="link"><?php echo $row['CTITLE'] ?></a></td>
                </tr>
                <tr>
                    <td class="td"><?php echo PRODUCT?> :</td>
                    <td class="td"><a
                                href="<?php echo getProductPath($row['PID'], $row['PFILENAME'], $row['CID'], $row['CFILENAME'])?>"
                                class="link"><?php echo $row['PTITLE']?></a></td>
                </tr>
                <tr>
                    <td class="td"><?php echo RATING?> :</td>
                    <td class="td"><a
                                href="<?php echo getProductPath($row['PID'], $row['PFILENAME'], $row['CID'], $row['CFILENAME'], 'review', 'write')?>"><?php echo getRatingStars($row['RATING'])?></a>
                    </td>
                </tr>
                <tr>
                    <td class="td"><?php echo REVIEW?> :</td>
                    <td class="td"><?php echo nl2br($row['REVIEW']) ?></td>
                </tr>
                <tr>
                    <td align="center" class="td" colspan="2"><input type="button" name="cancel"
                                                                     value=" <?php echo _CLOSE?> " class="baseeffect"
                                                                     onclick="document.location = '<?php echo SCRIPT_ROOT; ?>member_product_rating.<?php echo EXTENSION?>';">
                    </td>
                </tr>
            </table>
            <?php
            } // Record Exists Check //
            ?>
        </div>
    </div>

@endsection
