@extends('member_base')

@section('member_page_content')

    <div class="row">
        <div class="col-xs-12 align-left">


            <div style="height:30px; text-align:center;"><?php echo LIST_NAME?>
                : <?php echo getCombobox('name', 'VISITOR_PRODUCT_LIST', 'DISTINCT(NAME)', 'NAME', $name, array("USERID = ?", array($visitorId)), 'NAME', SELECT_ANY, 'onChange="location.href=\'member_productlist.php?name=\'+this.value"') ?></div>

            <?php
            if ( $name != '' )
            {
            ?>
            <form method=POST id="frmRemove" name="formRemove"
                  action="<?php echo SCRIPT_ROOT; ?>member_productlist_controller.php" style="padding:0px; margin:0px;">
                <span class="glyphicon glyphicon-arrow-down"
                      style="font-size:20px;color:#a3a3a3;position:relative;top:5px;margin-left:10px;"></span>
                <button class="btn btn-dark2"><?php echo REMOVE?></button>
                <input type="hidden" name="task" value="ProductList">
                <input type="hidden" name="action" value="Delete">
                <input type="hidden" name="removeIds" id="removeIds" value=",">
                <input type="hidden" name="return" value="member_productlist.php?name=<?php echo $name?>&">
            </form>
            <div style="clear:both;">&nbsp;</div>
            <?php
            $count = 0;
            $sql = "SELECT VP.ID AS PRODUCT_LIST_ID, IFNULL(P.MIN_PRICE, 0) AS PRICE_MIN, IFNULL(P.MAX_PRICE, 0) AS PRICE_MAX, IFNULL(P.STORE_COUNT, 0) AS STORE_COUNT, P.ID, P.TITLE, P.PRODUCT_RATING AS RATING, P.FILENAME, P.CATEGORY_ID FROM " . PREFIX . "VISITOR_PRODUCT_LIST VP, " . PREFIX . "PRODUCT P WHERE VP.USERID = ? AND VP.NAME LIKE ? AND P.ISVALID = 'Y' AND VP.PRODUCT_ID = P.ID GROUP BY P.ID ORDER BY RATING DESC";
            $resSO = breakPages($sql, '', 0, array($visitorId, $name));
            $arrSO = array();
            while (($rowSO = getRow($resSO)))
                $arrSO[] = $rowSO;

            loadProductDetailInArray($arrSO);

            foreach ($arrSO as $rowSO) {
            $count++;

            // Load Variables
            $pId = $rowSO['ID'];
            $rId = $rowSO['PRODUCT_LIST_ID'];
            $categoryId = $rowSO['CATEGORY_ID'];
            $pTitle = $rowSO['TITLE'];
            $pDetail = $rowSO['DETAIL'];
            $pFilename = $rowSO['FILENAME'];
            $pRating = $rowSO['RATING'];
            $storeCount = $rowSO['STORE_COUNT'];
            $pMinPrice = $rowSO['PRICE_MIN'];
            $pMaxPrice = $rowSO['PRICE_MAX'];
            $pLink = getProductPath($rowSO['ID'], $rowSO['FILENAME'], $rowSO['CATEGORY_ID']);
            $rowText = '&nbsp;';
            ?>

            @include('member_product_listing')

            <?php
            }
            free($resSO);
            ?>
            <span class="glyphicon glyphicon-arrow-up" style="font-size:20px;color:#a3a3a3;margin-left:10px;"></span>
            <a href='javascript:$("#frmRemove").submit();' rel="nofollow">
                <button class="btn btn-dark2"><?php echo REMOVE?></button>
            </a>

            <div style="text-align:center">
                <?= makePages(SCRIPT_ROOT . "member_productlist.php?&name=" . $name . "&")?>
            </div>

            <?php
            }
            ?>
        </div>
    </div>

@endsection

@push('footer-scripts')
<script language="JavaScript">
    <!--
    var removeIds = document.getElementById('removeIds');
    function addValue(val) {
        removeIds.value += val + ",";
    }

    function removeValue(val) {
        removeIds.value = removeIds.value.substr(0, removeIds.value.indexOf("," + val + ",") + 1) + removeIds.value.substr(removeIds.value.indexOf("," + val + ",") + val.length + 2);
    }
    //-->
</script>
@endpush
