@extends('member_base')

@section('member_page_content')

    <div class="row">
        <div class="col-xs-12 col-md-offset-2 col-md-8">

            <form name="User" id="frmUser" action="member_controller.php" method="POST" class="form-horizontal"
                  role="form">
                <input type="hidden" name="task" value="Visitor">
                <input type="hidden" name="action" value="Profile">
                <input type="hidden" name="return" value="member_profile.<?php echo EXTENSION?>?">

                <div class="panel panel-default panel-primary">
                    <div class="panel-heading"><h3><?php echo EDIT_PROFILE?></h3></div>
                    <div class="panel-body">

                        <div class="form-group">
                            <label for="idEmail" class="col-sm-4 control-label"><?php echo EMAIL; ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idEmail" name="email"
                                       value="<?php echo $visitorEmail?>" disabled>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idName" class="col-sm-4 control-label"><?php echo PERSON_NAME?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idName" name="name"
                                       value="<?php echo $row['NAME']?>" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idAddress" class="col-sm-4 control-label"><?php echo ADDRESS; ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idAddress" name="address"
                                       value="<?php echo $row['ADDRESS']?>">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idCity" class="col-sm-4 control-label"><?php echo CITY; ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idCity" name="city"
                                       value="<?php echo $row['CITY']?>">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idState" class="col-sm-4 control-label"><?php echo STATE; ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idState" name="state"
                                       value="<?php echo $row['STATE']?>">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idCountry" class="col-sm-4 control-label"><?php echo COUNTRY; ?></label>
                            <div class="col-sm-8">
                                <?php echo str_replace("class='effect'", "class='form-control'", countryDropDown($row["COUNTRY"])) ?>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idZip" class="col-sm-4 control-label"><?php echo ZIP?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idZip" name="zip"
                                       value="<?php echo $row["ZIP"]?>">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idPhone" class="col-sm-4 control-label"><?php echo PHONE; ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idPhone" name="phone"
                                       value="<?php echo $row["PHONE"]?>">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idMobile" class="col-sm-4 control-label"><?php echo MOBILE?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idMobile" name="mobile"
                                       value="<?php echo $row["MOBILE"]?>">
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-12" style="text-align:right;">
                                <button type="reset" class="btn btn-default btn-lg"><?php echo _RESET; ?></button>
                                <button type="submit" class="btn btn-primary btn-lg"><?php echo UPDATE?></button>
                            </div>
                        </div>

                    </div>

                </div>

            </form>

        </div>
    </div>

@endsection
