@extends('member_base')

@section('member_page_content')

    <div class="row">
        <div class="col-xs-12 col-md-offset-1 col-md-10">
            <table width="100%" cellspacing="1" cellpadding="3">
                <tr>
                    <th width="20%" class="th"><?php echo MERCHANT_ID?></th>
                    <th width="30%" class="th"><?php echo MERCHANT_NAME?></th>
                    <th width="30%" class="th"><?php echo MERCHANT_EMAIL?></th>
                    <th width="100" class="th"><?php echo RATING?></th>
                    <th width="5%" class="th"><?php echo EDIT?></th>
                </tr>
                <?php
                $count = 0;
                while ( $row = getRow($res) )
                {
                $count++;
                $uLink = getMerchantPath($row['MERCHANTID'], '', '', $row['UIFILENAME']);
                ?>
                <tr bgcolor="<?php echo $count % 2 == 0 ? "#EEEEEE" : "white"?>">
                    <td align="center" class="td"><a href='<?php echo $uLink?>'
                                                     class="link"><?php echo $row['MERCHANTID']?></a></td>
                    <td align="center" class="td"><a href="<?php echo $uLink?>"
                                                     class="link"><?php echo $row['UINAME']?></a></td>
                    <td align="center" class="td"><a href="<?php echo $uLink?>"><?php echo $row['UIEMAIL']?></a></td>
                    <td class="td" align="center">
                        <a href='<?php echo SCRIPT_ROOT; ?>member_user_rating.<?php echo EXTENSION?>?showId=<?php echo $row['ID'] ?>'
                           class="link"><?php echo getRatingStars($row['RATING'])?></a>
                    </td>
                    <td align="center" class="td"><a
                                href='<?php echo getMerchantPath($row['MERCHANTID'], 'Reviews', 'write', $row['UIFILENAME'])?>'
                                class="link"><img src="<?php echo getResourceUrl('update.gif', 'images')?>" border="0"
                                                  alt="<?php echo UPDATE?>" title="<?php echo UPDATE?>"></td>
                </tr>
                <?php
                }
                ?>
                <tr>
                    <td align="left" class="td" colspan="5"><b><?php echo $exceptionMsg?></b></td>
                </tr>
            </table>
        </div>
    </div>

@endsection
