@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <div class="row">

        <div class="col-xs-12 col-sm-8">
            <div class="well" style="min-height:200px;">
                <div class="BoxHeading" style="margin-top:-15px;"><?php echo $uiRec['NAME']?></div>
                <br>
                <center>
                    <div class="MerchantLogoBox">
                        <div style="padding-top:3px;">
                            <?php if ($merchantImageExists) echo getImgTag(array('src' => getMerchantLogoThumbUrl($userId, '', 85, $uiRec['NAME']), 'border' => '0', 'class' => 'img-responsive', 'alt' => $uiRec['NAME'], 'title' => $uiRec['NAME'])); ?>
                        </div>
                    </div>
                </center>
            </div>
        </div>
        <div class="col-xs-12 col-sm-4">
            <div class="well" style="min-height:200px;">
                <div class="BoxHeading" style="margin-top:-15px;"><?php echo RATINGS_AND_REVIEWS?></div>
                <br>
                <div class="MerchantLogoBox" style="line-height:30px;">
                    <font class="td">
                        <b><?php echo RATING?>
                            :</b> <?php echo getMerchantRating($uiRec['USERID'], $avgRating, '', $ratingUrl) ?> <?php echo $avgRating?>
                        /10<br>
                        <a href="<?php echo $ratingUrl?>"><?php echo TOTAL?> <?php echo $totReviews?> <?php echo REVIEW_S?></a>
                    </font>
                </div>
            </div>
        </div>

        <div class="col-xs-12 col-sm-8">
            <div class="well">
                <div class="BoxHeading" style="margin-top:-15px;"><?php echo CONTACT_DETAILS?></div>
                <br>
                <div class="MerchantLogoBox" style="max-width:650px;">
                    <div style="padding-left:10px; padding-right:10px;">
                        <table border="0" cellpadding="7" cellspacing="0" width="100%">
                            <?php if ( trim($uiRec['ADDRESS']) != '' ) { ?>
                            <tr>
                                <td class="td"><b><?php echo ADDRESS; ?>:</b></td>
                                <td class="td"><?php echo $uiRec['ADDRESS']?></td>
                            </tr><?php } ?>
                            <?php if ( trim($uiRec['CITY']) != '' ) { ?>
                            <tr>
                                <td class="td"><b><?php echo CITY; ?>:</b></td>
                                <td class="td"><?php echo $uiRec['CITY']?></td>
                            </tr><?php } ?>
                            <?php if ( trim($uiRec['STATE']) != '' ) { ?>
                            <tr>
                                <td class="td"><b><?php echo STATE; ?>:</b></td>
                                <td class="td"><?php echo $uiRec['STATE']?></td>
                            </tr><?php } ?>
                            <?php if ( trim($uiRec['COUNTRY']) != '' ) { ?>
                            <tr>
                                <td class="td"><b><?php echo COUNTRY; ?>:</b></td>
                                <td class="td"><?php echo $uiRec['COUNTRY']?></td>
                            </tr><?php } ?>
                            <?php if ( trim($uiRec['ZIP']) != '' ) { ?>
                            <tr>
                                <td class="td"><b><?php echo ZIP?>:</b></td>
                                <td class="td"><?php echo $uiRec['ZIP']?></td>
                            </tr><?php } ?>
                            <?php if ( trim($uiRec['PHONE']) != '' ) { ?>
                            <tr>
                                <td class="td"><b><?php echo PHONE; ?>:</b></td>
                                <td class="td"><?php echo $uiRec['PHONE']?></td>
                            </tr><?php } ?>
                            <?php if ( trim($uiRec['MOBILE']) != '' ) { ?>
                            <tr>
                                <td class="td"><b><?php echo MOBILE?>:</b></td>
                                <td class="td"><?php echo $uiRec['MOBILE']?></td>
                            </tr><?php } ?>
                            <tr align="left">
                                <td class="td"><b><?php echo EMAIL; ?>:</b></td>
                                <td class="td"><img
                                            src="<?php echo SCRIPT_ROOT; ?>draw_merchant_email.php?userId=<?php echo $userId?>&"
                                            border=0 alt="email"></td>
                            </tr>
                            <tr align="left">
                                <td class="td"><b><?php echo URL?>:</b></td>
                                <td class="td"><a href="<?php echo getStoreBaseUrlRedirectUrl($userId, $uiRec['URL'])?>"
                                                  target="_blank"><?php echo $uiRec['URL']?></a></td>
                            </tr>
                        </table>
                    </div>
                </div>
                <div style="text-align:right; padding-top:10px;">
                    <a href="<?php echo getMerchantPath($userId, 'Products', '', $uiRec['FILENAME'])?>">
                        <button class="btn btn-sm btn-dark1"><?php echo VIEW_MERCHANT_PRODUCTS?></button>
                    </a>
                </div>
            </div>

            <?php if ( trim($uiRec['PROFILE']) != '' ) { ?>
            <div style="clear:both; height:10px;"></div>
            <div class="well">
                <div class="BoxHeading" style="margin-top:-15px;"><?php echo $uiRec['NAME'] . ' ' . PROFILE?></div>
                <br>
                <div class="MerchantLogoBox">
                    <div style="padding-left:15px; padding-right:15px;">
                        <font class="td"><?php echo nl2br($uiRec['PROFILE'])?></font>
                    </div>
                </div>
            </div>
            <?php } ?>
        </div>
        <div class="col-xs-12 col-sm-4">
            <div class="well" style="min-height:206px;">
                <div class="BoxHeading" style="margin-top:-15px;"><?php echo OTHER_INFORMATION?></div>

                <?php if ( trim($uiRec['SHORT_DESCRIPTION']) != '' ) { ?>
                <br>
                <div class="MerchantLogoBox">
                    <font class="td"><b><?php echo SHORT_DESCRIPTION?>:</b></font><br><font
                            class="td"><?php echo nl2br($uiRec['SHORT_DESCRIPTION'])?></font>
                </div>
                <?php } ?>

                <?php if ( trim($uiRec['DELIVERY_COSTS']) != '' ) { ?>
                <br>
                <div class="MerchantLogoBox">
                    <font class="td"><b><?php echo DELIVERY_COSTS?>
                            :</b></font><br><?php echo nl2br($uiRec['DELIVERY_COSTS'])?>
                </div>
                <?php } ?>

                <?php if ( trim($uiRec['SHIPPING_DETAILS']) != '' ) { ?>
                <br>
                <div class="MerchantLogoBox">
                    <font class="td"><b><?php echo SHIPPING_DETAILS?>
                            :</b></font><br><?php echo nl2br($uiRec['SHIPPING_DETAILS'])?>
                </div>
                <?php } ?>

                <?php if ( count($arrMerchatAccepts) > 0 ) { ?>
                <br>
                <div class="MerchantLogoBox">
                    <font class="td"><b><?php echo MERCHANT_ACCEPTS?>:</b></font><br>
                    <?php $count = 0; ?>
                    <?php foreach ($arrMerchatAccepts as $rec) { ?>
				<?php echo($count++ > 0 ? ',' : '') ?>
				<?php echo showUserPaymentMethodImage($rec['ID'], $rec['TITLE'], $rec['DETAIL']) ?>
				<?php } ?>
                </div>
                <?php } ?>

                <?php if ( count($arrVerifiedBy) > 0 ) { ?>
                <br>
                <div class="MerchantLogoBox">
                    <font class="td"><b><?php echo VERIFIED_BY?>:</b></font><br>
                    <?php $count = 0; ?>
                    <?php foreach ($arrVerifiedBy as $rec) { ?>
				<?php echo($count++ > 0 ? ',' : '') ?>
				<?php echo showUserVerifierImage($rec['ID'], $rec['TITLE'], $rec['DETAIL']) ?>
				<?php } ?>
                </div>
                <?php } ?>

                <?php if ( count($arrLanguages) > 0 ) { ?>
                <br>
                <div class="MerchantLogoBox">
                    <font class="td"><b><?php echo SITE_LANGUAGES?>:</b></font><br>
                    <?php $count = 0; ?>
                    <?php foreach ($arrLanguages as $rec) { ?>
				<?php echo($count++ > 0 ? ',' : '') ?>
				<?php echo showUserLanguageImage($rec['ID'], $rec['TITLE'], 24) ?>
				<?php } ?>
                </div>
                <?php } ?>

            </div>
        </div>

        <?php if ( defined('IS_COUPONS_INSTALLED') && IS_COUPONS_INSTALLED == 1 ) { ?>
        <div class="col-xs-12" style="margin-bottom:10px;"><h2
                    style="margin:0px;"><?php echo COUPONS?></h2></div>
        <?php
        $resCups = preparedQuery("SELECT CP.*, CT.TITLE AS CTITLE FROM " . PREFIX . "COUPON CP, " . PREFIX . "COUPON_CATEGORY CT WHERE CT.ID=CP.CATEGORY_ID AND CT.ISVALID='Y' AND CP.ISVALID='Y' AND (ISNULL(EXPIRY) OR EXPIRY = '0000-00-00 00:00:00' OR EXPIRY >= ?) AND CP.USERID = ? ORDER BY CP.ISFEATURED, DATE_ADDED DESC LIMIT 6", array(getTimezoneTime('Y-m-d'), $userId));
        while ( ($rowCups = getRow($resCups)) )
        {
        $sLink = getMerchantPath($rowCups['USERID'], '', '', $uiRec['FILENAME']);
        $rLink = SCRIPT_ROOT . 'coupon_redirect.php?couponId=' . $rowCups['ID'];
        ?>
        <div class="col-xs-12 col-md-6" style="margin-bottom:5px;">
            <div class="well" style="padding:10px;min-height:85px;">
                <div class="col-xs-6 col-sm-3 col-md-3 col-lg-3">
                    <a href="<?php echo $sLink?>" target="_blank"
                       class="link"><?php if ($merchantImageExists) echo getImgTag(array('src' => getMerchantLogoThumbUrl($userId, 100, 50, $uiRec['NAME']), 'border' => '0', 'class' => 'img-responsive', 'alt' => $uiRec['NAME'], 'title' => $uiRec['NAME'])); else {
                            echo '<b>' . $uiRec['NAME'] . '</b>';
                        } ?></a>
                </div>
                <div class="col-xs-6 col-sm-3 col-md-4 col-lg-3 pull-right">
                    <a href="<?php echo $rLink?>" target="_blank">
                        <button class="btn btn-primary"><?php echo GO_TO_STORE?></button>
                    </a>
                    <div style="height:5px;"></div>
                    <?php if ($rowCups['COUPON_CODE'] != '') echo '<span style="font-size:10px"><b>' . CODE . ':</b> ' . $rowCups['COUPON_CODE'] . '</span><div style="height:5px;"></div>'; ?>
                    <?php if ($rowCups['EXPIRY'] != '' && $rowCups['EXPIRY'] != '0000-00-00 00:00:00') echo '<span style="font-size:9px;"><b>' . EXPIRY . ':</b> ' . formatDate($rowCups['EXPIRY']) . '</span>'; ?>
                </div>
                <div class="col-xs-12 col-sm-6 col-md-5 col-lg-6" style="font:11px/13px Verdana;">
                    <a href="<?php echo $rLink?>" target="_blank"><?php echo $rowCups['TITLE']?></a>
                    <div style="color:#777;max-height:30px;overflow:hidden;margin:2px 0px;"><?php echo getPartialString($rowCups['DETAIL'], 80)?></div>
                    <?php if ($rowCups['COUPON_CODE'] != '') echo CODE . ': <b>' . $rowCups['COUPON_CODE'] . '</b><div style="height:3px;"></div>'; ?>
                    <?php echo DISCOUNT?> :
                    <b><?php echo $rowCups['DISCOUNT_PERCENTAGE'] == '' ? getFormattedPrice($rowCups['DISCOUNT_AMOUNT'], SCRIPT_DOLLAR) : $rowCups['DISCOUNT_PERCENTAGE'] . '%'?></b>
                </div>
                <div style="clear:both;"></div>
            </div>
        </div>
        <?php
        }
        ?>
        <div style="clear:both;"></div>
        <div style="text-align:right;">
            <a href="<?php echo getSeoUrl('coupons_category')?>?mr=<?php echo $userId?>"><?php echo SEE_ALL_COUPONS?>
                <span class="glyphicon glyphicon-chevron-right"></span></a>
        </div>
        <div style="clear:both;height:20px;"></div>
        <?php } ?>

    </div>

@endsection
