@extends('merchants.base')

@section('merchant-content')

    <h1>{{ SELECT_A_PACKAGE }}</h1>

    <div class="row">
        <div class="col-xs-12 col-md-offset-3 col-md-6">

    <form name="F" method=post action="merchant_controller.php" onsubmit="return validateForm(this);">
        <input type=hidden name="task" value="Package">
        <input type=hidden name="action" value="Select">
        <input type=hidden name="return" value="merchant_change_package.php?">
        <table align="center" width="100%">
            <?php
            if ( $row = getRecord("PACKAGE", $curPackage) )
            {
            ?>
            <tr>
                <td colspan="2" class="td" style="text-align: left;">
                    <b><?php echo CURRENTLY_SELECTED?></b> : <?php echo $row["TITLE"]?>
                    <b> <?php echo getFormattedPrice($row['PRICE'], SCRIPT_DOLLAR, 1) ?></b>.
                    <br>
                    <?php if( $row["ISTRY"] == "Y" ){ ?>
                    <B>*** <?php echo $row["DAYS"] ?> <?php echo DAYS_TRIAL?> *** </B>
                    <?php } ?>
                    <br><br>
                </td>
            </tr>
            <?php
            }

            $result = preparedQuery("SELECT * FROM " . PREFIX . "PACKAGE WHERE ISHIDDEN <> 'Y' AND PRODUCTS_MAXIMUM >= ? AND ID <> ? AND ISVALID = 'Y' ORDER BY PRODUCTS_MAXIMUM", array($curNumProdsHigh, $curPackage));

            $count = 0;
            while ( ($row = getRow($result)) )
            {
            $count++;
            ?>
            <tr>
                <td class="td" colspan="2" style="text-align: left;">
                    <input type="radio" name="packageId"
                           value="<?php echo $row["ID"]?>" <?php echo $count == 1 ? "checked" : ""?>><?php echo $row["TITLE"]?>
                    <b><font color="RED">
                            &nbsp;<?php echo getFormattedPrice($row['PRICE'], SCRIPT_DOLLAR, 1) ?></font></b><?php if( $row["ISTRY"] == "Y" ){ ?>
                    *** <B><?php echo $row["DAYS"] ?> <?php echo DAYS_TRIAL?> ***<?php } ?>
                </td>
            </tr>
            <?php
            }
            free($result);

            if ( $count == 0 )
            {
            ?>
            <tr>
                <td class="td" colspan="2" align="center"><br><?php echo NO_PACKAGE?></td>
            </tr>
            <?php
            }
            else
            {
            ?>

            <tr>
                <td class="th" colspan="2" height="4"><b><?php echo SELECT_A_PAYMENT_OPTION?></b></td>
            </tr>
        </table>

        @include('merchants.payment-methods')

        <table align="center" width="100%">
            <tr>
                <td class="td" align="center">
                    <input type="submit" id="idPaymentSubmit" value=" <?php echo SELECT?> " class="baseeffect">
                </td>
            </tr>
            <?php
            }
            ?>
        </table>
    </form>

        </div>
    </div>

@endsection
