@extends('merchants.base')

@section('content')

    <h1>{{ SELECT_A_PAYMENT_OPTION }}</h1>

    <div class="row">
        <div class="col-xs-12 col-md-offset-3 col-md-6">

            <form name="F" method=post action="controller.php" onsubmit="return validateForm(this);">
                <input type=hidden name="task" value="ClickthroughPayment">
                <input type=hidden name="action" value="Select">
                <input type=hidden name="return"
                       value="merchant_clickthroughs_payment_options.php?merchantId=<?php echo $merchantId?>">
                <input type=hidden name="merchantId" value="<?php echo $merchantId?>">
                <table width="100%" cellspacing="1" cellpadding="5" align="center">
                    <tr>
                        <th class="th" colspan="2">
                            <?php echo $balance < 0 ? YOUR_AMOUNT_DUE_IS . ' ' . getFormattedPrice(-$balance, SCRIPT_DOLLAR, 1) : YOUR_HAVE_NO_PAYMENT_DUE; ?>
                        </th>
                    </tr>
                    <tr>
                        <td class="td" width="33%"><?php echo AMOUNT_TO_BE_PAYED?> :</td>
                        <td class="td"
                            width="67%"><?php echo showPriceInputField('amount', $balance < 0 ? -$balance : 0, 5, 10, 'effect', 'alt="numeric"')?></td>
                    </tr>
                    <tr>
                        <th class="th" colspan="2" height="4"></th>
                    </tr>
                    <tr>
                        <td class="td" colspan="2" height="4"><b><?php echo SELECT_A_PAYMENT_OPTION?></b></td>
                    </tr>
                </table>

                @include('merchants.payment-methods')

                <table width="100%" cellspacing="1" cellpadding="5" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <input type="submit" id="idPaymentSubmit" value="{{ SELECT }}" class="baseeffect">
                        </td>
                    </tr>
                </table>
            </form>

        </div>
    </div>

@endsection
