@extends('merchants.base')

@section('merchant-content')

    <div style="text-align:center">

        <h1>{{ SEARCH_CUSTOMER_CLICKTHROUGHS }}</h1>

        <form name="F" target="popup" action="rep_product_clicks_yearly_popup.php" method="GET"
              onsubmit="window.open('', 'popup', 'width=800, height=600, resizable=yes, scrollbars=yes, menubar=yes'); return true;">
            <table width="400" cellspacing="1" cellpadding="5" align="center" class="table">
                <tr>
                    <td class="th">Yearly Product Clicks</td>
                </tr>
                <tr>
                    <td class="td" align="center">
                        Year : <?= getYearCombobox('year', -1, 5, 1) ?>
                    </td>
                </tr>

                <tr>
                    <td class="td" align="center"><input type="submit" name="Enter" value=" View " class="baseeffect">
                    </td>
                </tr>
            </table>
        </form>

        <form name="F" target="popup" action="rep_product_clicks_monthly_popup.php" method="GET"
              onsubmit="window.open('', 'popup', 'width=800, height=600, resizable=yes, scrollbars=yes, menubar=yes'); return true;">
            <table width="400" cellspacing="1" cellpadding="5" align="center" class="table">
                <tr>
                    <td class="th">Monthly Product Clicks</td>
                </tr>
                <tr>
                    <td class="td" align="center">Month / Year : <?= getMonthCombobox('month') ?>
                        / <?= getYearCombobox('year', -1, 5, 1) ?></td>
                </tr>

                <tr>
                    <td class="td" align="center"><input type="submit" name="Enter" value=" View " class="baseeffect">
                    </td>
                </tr>
            </table>
        </form>

        <?php
        $result = executeQuery("SELECT IF(MONTH('" . getTimezoneTime() . "')=MONTH(UPR.REDIRECT_TIME) AND YEAR('" . getTimezoneTime() . "')=YEAR(UPR.REDIRECT_TIME), 'Y', 'N') AS THISMONTH, UPR.* FROM " . PREFIX . "USER_PRODUCT UP, " . PREFIX . "BID_CLICKTHROUGHS UPR WHERE UP.ID = UPR.USER_PRODUCT_ID AND UP.USERID='" . $merchantId . "'");

        $count = 0;
        $unPayed = 0;
        $thisMonth = 0;
        while (($row = getRow($result))) {
            $count++;
            if ($row["ISPAID"] == "N") $unPayed++;
            if ($row["THISMONTH"] == "Y") $thisMonth++;
        }
        free($result);
        ?>
        <table cellspacing=3>
            <tr>
                <td class="td"><?= CLICKTHROUGHS_UNPAYED ?> :</td>
                <td class="td"><b><?= $unPayed ?></b></td>
            </tr>
            <tr>
                <td class="td"><?= CLICKTHROUGHS_THIS_MONTH ?> :</td>
                <td class="td"><b><?= $thisMonth ?></b></td>
            </tr>
            <tr>
                <td class="td"><?= CLICKTHROUGHS_PAST_MONTHS ?> :</td>
                <td class="td"><b><?= $count - $thisMonth ?></b></td>
            </tr>
        </table>

        <br><font class="normal"><?= YOU_CAN_PAY ?><a href='merchant_bid_payment.php'
                                                      class=link><?= PAYMENT_OPTIONS ?></a>.</font>

    </div>

@endsection
