@if( !isset($hideMerchantNavigation) || !$hideMerchantNavigation )

    <nav class="navbar navbar-default nav-mem" role="navigation">
        <ul class="nav navbar-nav nav-justified">
            <?php if ( $isVisitorSeller ) { ?>
            <li><a href="<?php echo getSEOUrl('member_welcome'); ?>"><span
                            class="glyphicon glyphicon-chevron-left"></span><?php echo BACK?></a></li>
            <?php } ?>

            <li><a href="<?php echo SCRIPT_ROOT?>merchant/merchant_welcome.php"><span
                            class="glyphicon glyphicon-home"></span><?php echo HOME?></a></li>

            <?php if ( !$isVisitorSeller ) { ?>
            <li><a href="<?php echo SCRIPT_ROOT?>merchant/merchant_change_pwd.php"><span
                            class="glyphicon glyphicon-lock"></span><?php echo CHANGE_PASSWORD?></a></li>
            <li><a href="<?php echo SCRIPT_ROOT?>merchant/merchant_profile.php"><span
                            class="glyphicon glyphicon-user"></span><?php echo CHANGE_PROFILE?></a></li>
            <li><a href="<?php echo SCRIPT_ROOT?>merchant/merchant_update_image.php"><span
                            class="glyphicon glyphicon-picture"></span><?php echo CHANGE_LOGO?></a></li>
            <li><a href="<?php echo SCRIPT_ROOT?>merchant/merchant_change_package.php"><span
                            class="glyphicon glyphicon-briefcase"></span><?php echo CHANGE_PACKAGE?></a></li>
            <?php } else { ?>
            <li><a href="<?php echo SCRIPT_ROOT; ?>member_change_pwd.php"><span
                            class="glyphicon glyphicon-lock"></span><?php echo CHANGE_PASSWORD?></a></li>
            <li><a href="<?php echo SCRIPT_ROOT; ?>member_profile.php"><span
                            class="glyphicon glyphicon-user"></span><?php echo CHANGE_PROFILE?></a></li>
            <?php } ?>

            <li><a href="<?php echo SCRIPT_ROOT?>merchant/merchant_user_products.php"><span
                            class="glyphicon glyphicon-gift"></span><?php echo PRODUCTS?></a></li>

            <?php if ( !$isVisitorSeller ) { ?>
            <?php if ( IS_PPS_INSTALLED == 1 ) { ?>
            <li><a href="<?php echo SCRIPT_ROOT?>merchant/merchant_user_product_sales.php"><span
                            class="glyphicon glyphicon-usd"></span><?php echo PRODUCT_SALES?></a></li>
            <?php } ?>
            <?php if ( IS_MERCHANT_DATAFEED_UPLOAD_ALLOWED == 1 ) { ?>
            <li><a href="<?php echo SCRIPT_ROOT?>merchant/merchant_product_import_feed.php"><span
                            class="glyphicon glyphicon-floppy-save"></span><?php echo PRODUCT_IMPORT?></a></li>
            <?php } ?>
            <li><a href="<?php echo SCRIPT_ROOT?>merchant/merchant_rating.php"><span
                            class="glyphicon glyphicon-star"></span><?php echo RATING?></a></li>
            <?php if ( IS_COUPONS_INSTALLED == 1 ) { ?>
            <li><a href="<?php echo SCRIPT_ROOT?>merchant/merchant_coupons.php"><span
                            class="glyphicon glyphicon-bullhorn"></span><?php echo COUPONS?></a></li>
            <?php } ?>
            <?php } ?>

            <?php if ( IS_SHOPPING_CART_INSTALLED == 1 ) { ?>
            <li><a href="<?php echo SCRIPT_ROOT?>merchant/merchant_store_cart_orders.php"><span
                            class="glyphicon glyphicon-shopping-cart"></span><?php echo ORDERS?></a></li>
            <?php } ?>

            <?php if ( !$isVisitorSeller ) { ?>
            <li>
                <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_<?php echo (IS_MERCHANTBID_INSTALLED != 0) ? 'bid_clickthroughs_form' : 'footprints_form'?>.php"><span
                            class="glyphicon glyphicon-stats"></span><?php echo CLICKTHROUGHS?></a></li>
            <li><a href="<?php echo SCRIPT_ROOT?>merchant/merchant_logout.php"><span
                            class="glyphicon glyphicon-off"></span><?php echo LOGOUT?></a></li>
            <?php } else { ?>
            <li><a href="<?php echo SCRIPT_ROOT; ?>member_logout.php"><span
                            class="glyphicon glyphicon-off"></span><?php echo LOGOUT?></a></li>
            <?php } ?>
        </ul>
    </nav>

    <?php if ( !isset($hideSetupStoreLink) && defined('IS_SHOPPING_CART_INSTALLED') && IS_SHOPPING_CART_INSTALLED == 1 ) { ?>
    <?php $userRec = getRecord('USER', $merchantId, 'USERID'); ?>
    <?php if ( $userRec['HAS_STORE'] == 'Y' ) { ?>
    <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_store_setup.php" class="linkMed"><img
                src="<?php echo getResourceUrl('info.gif', 'images')?>" width="36" border="0"
                alt="<?php echo SETUP_YOUR_STORE?>" title="<?php echo SETUP_YOUR_STORE?>"
                align="absmiddle"> <?php echo MERCHANT_LINK_YOU_HAVE_YOUR_STORE_SETUP_ALREADY?> &raquo;</a>
    <?php } else { ?>
    <a href="<?php echo SCRIPT_ROOT?>merchant/merchant_store_setup.php" class="linkMed"><img
                src="<?php echo getResourceUrl('info.gif', 'images')?>" width="36" border="0"
                alt="<?php echo SETUP_YOUR_STORE?>" title="<?php echo SETUP_YOUR_STORE?>"
                align="absmiddle"> <?php echo MERCHANT_LINK_YOU_DONOT_HAVE_YOUR_STORE_SETUP?> &raquo;</a>
    <?php } ?>
    <div style="clear:both; height:10px;"></div>
    <?php } ?>

@endif
