@extends('merchants.base')

@section('merchant-content')

    <font class="large"><?php echo MERCHANT_OLD_PAYMENTS?></font><br><br>

    <table width="95%" cellspacing="1" cellpadding="5" class="table">
        <tr>
            <th width="20%" class="th"><?php echo PAYMENT_TYPE?></th>
            <th width="20%" class="th"><?php echo PAYMENT_DATE?></th>
            <th width="15%" class="th"><?php echo AMOUNT?></th>
            <th width="15%" class="th"><?php echo INVOICE_NO?></th>
            <?php if ( IS_MERCHANT_COUPONS_INSTALLED != 0 ) { ?>
            <th width="15%" class="th"><?php echo COUPONS?></th>
            <?php } ?>
            <th width="15%" class="th"><?php echo _PRINT?></th>
        </tr>

        <tr bgcolor="#AAAAAA">
            <td align="left" class="td" colspan="6"><b><?php echo PACKAGE_PAYMENTS?></b></td>
        </tr>
        @foreach( $arrPackagePayments as $row )
        <tr bgcolor="<?php echo ++$i % 2 != 0 ? "#EEEEEE" : "white"?>">
            <td align="center" class="td"><?php echo $PAYMENT_TYPES[$row['PAYMENT_TYPE']] ?></td>
            <td align="center" class="td"><?php echo formatDateTime($row['PAYMENT_DATETIME']) ?></td>
            <td align="center" class="td"><?php echo getFormattedPrice($row['AMOUNT'], SCRIPT_DOLLAR, 1) ?></td>
            <td align="center" class="td">P<?php echo $row['ID'] ?></td>
            <?php if ( IS_MERCHANT_COUPONS_INSTALLED != 0 ) { ?>
            <td align="center" class="td">
                <?php
                $res2 = preparedQuery("SELECT UCS.TITLE, UC.DISCOUNT_AMOUNT FROM " . PREFIX . "USER_COUPON UC, " . PREFIX . "USER_COUPON_SCHEME UCS WHERE UC.AVAILED_USERID = ? AND UC.AVAILED_PAYMENT_ID = ? AND UCS.ID=UC.COUPON_SCHEME_ID", array($merchantId, $row['ID']));
                if (($row2 = getRow($res2))) {
                    echo $row2['TITLE'];
                }
                ?>
            </td>
            <?php } ?>
            <td align="center" class="td"><a
                        href="javascript:window.open('merchant_payments_invoice.php?id=<?php echo $row['ID']?>&type=p', '_blank', 'width=750,height=450');void(1);"><img
                            src="<?php echo getResourceUrl('icon_print_big.gif', 'images/' . $langFolder)?>" width="32"
                            height="40" border=0 alt="<?php echo PRINT_INVOICE?>"
                            title="<?php echo PRINT_INVOICE?>"></a></td>
        </tr>
        @endforeach
        <?php
        if ($i == 0)
            echo '<tr bgcolor=white><td align=center class=td colspan=6> - ' . NO_RECORDS_FOUND . ' - </td></tr>';
        ?>

        <tr bgcolor="#AAAAAA">
            <td align="left" class="td" colspan="6"><b><?php echo CLICKTHROUGHS_PAYMENTS?></b></td>
        </tr>

        @foreach( $arrClickPayments as $row )
        <tr bgcolor="<?php echo ++$i % 2 != 0 ? "#EEEEEE" : "white"?>">
            <td align="center" class="td"><?php echo $PAYMENT_TYPES[$row['PAYMENT_TYPE']] ?></td>
            <td align="center" class="td"><?php echo formatDateTime($row['PAYMENT_DATETIME']) ?></td>
            <td align="center" class="td"><?php echo getFormattedPrice($row['AMOUNT'], SCRIPT_DOLLAR, 1) ?></td>
            <td align="center" class="td">C<?php echo $row['ID'] ?></td>
            <?php if ( IS_MERCHANT_COUPONS_INSTALLED != 0 ) { ?>
            <td align="center" class="td"> -</td>
            <?php } ?>
            <td align="center" class="td"><a
                        href="javascript:window.open('merchant_payments_invoice.php?id=<?php echo $row['ID']?>&type=c', '_blank', 'width=750,height=450');void(1);"><img
                            src="<?php echo getResourceUrl('icon_print_big.gif', 'images/' . $langFolder)?>" width="32"
                            height="40" border=0 alt="<?php echo PRINT_INVOICE?>"
                            title="<?php echo PRINT_INVOICE?>"></a></td>
        </tr>
        @endforeach

        <?php
        if ($i == 0)
            echo '<tr bgcolor=white><td align=center class=td colspan=6> - ' . NO_RECORDS_FOUND . ' - </td></tr>';
        ?>

        <tr bgcolor="#AAAAAA">
            <td align="left" class="td" colspan="6"><b><?php echo FEATURED_PAYMENTS?></b></td>
        </tr>

        @foreach( $arrFeaturedPayments as $row )
        <tr bgcolor="<?php echo ++$i % 2 != 0 ? "#EEEEEE" : "white"?>">
            <td align="center" class="td"><?php echo $PAYMENT_TYPES[$row['PAYMENT_TYPE']] ?></td>
            <td align="center" class="td"><?php echo formatDateTime($row['PAYMENT_DATETIME']) ?></td>
            <td align="center" class="td"><?php echo getFormattedPrice($row['AMOUNT'], SCRIPT_DOLLAR, 1) ?></td>
            <td align="center" class="td">F<?php echo $row['ID'] ?></td>
            <?php if ( IS_MERCHANT_COUPONS_INSTALLED != 0 ) { ?>
            <td align="center" class="td"> -</td>
            <?php } ?>
            <td align="center" class="td"><a
                        href="javascript:window.open('merchant_payments_invoice.php?id=<?php echo $row['ID']?>&type=f', '_blank', 'width=750,height=450');void(1);"><img
                            src="<?php echo getResourceUrl('icon_print_big.gif', 'images/' . $langFolder)?>" width="32"
                            height="40" border=0 alt="<?php echo PRINT_INVOICE?>"
                            title="<?php echo PRINT_INVOICE?>"></a></td>
        </tr>
        @endforeach

        <?php
        if ($i == 0)
            echo '<tr bgcolor=white><td align=center class=td colspan=6> - ' . NO_RECORDS_FOUND . ' - </td></tr>';
        ?>

    </table>

@endsection
