@extends('merchants.base')

@section('merchant-content')

    <div style="text-align:left">

        <form id="frmUser" name="User" action="merchant_controller.php" method="POST" onsubmit="return validateForm(this);">
            <input type="hidden" name="task" value="Merchant">
            <input type="hidden" name="action" value="Profile">
            <input type="hidden" name="return" value="merchant_profile.php?">
            <table style="width:500px" cellspacing="1" cellpadding="5" align="center" class="table">
                <tr>
                    <th class="th" colspan="2" style="text-align:left;"><?php echo ADDRESS_INFORMATION?></th>
                </tr>
                <tr>
                    <td class="td"><?php echo NAME?> :</td>
                    <td class="td"><input type="text" size="30" maxlength="50" name="name" value="<?php echo $row["NAME"]?>" class="effect" alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_COMPANY_NAME?>"> <font color="red">*</font></td>
                </tr>
                <tr>
                    <td class="td"><?php echo PERSON_NAME?> :</td>
                    <td class="td"><input type="text" size="30" maxlength="50" name="personName" value="<?php echo $row["PERSON_NAME"]?>" class="effect" alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_NAME?>"> <font color="red">*</font></td>
                </tr>
                <tr>
                    <td class="td"><?php echo EMAIL?> :</td>
                    <td class="td"><input type="text" size="30" maxlength="255" name="email" value="<?php echo $row["EMAIL"]?>" class="effect" alt="email||<?php echo JSMSG_PLEASE_PROVIDE_EMAIL_ADDRESS?>"> <font color="red">*</font></td>
                </tr>
                <tr>
                    <td class="td"><?php echo ADDRESS?> :</td>
                    <td class="td"><input type="text" size="30" maxlength="255" name="address" value="<?php echo $row["ADDRESS"]?>" class="effect"></td>
                </tr>
                <tr>
                    <td class="td"><?php echo CITY?> :</td>
                    <td class="td"><input type="text" size="30" maxlength="50" name="city" value="<?php echo $row["CITY"]?>" class="effect"></td>
                </tr>
                <tr>
                    <td class="td"><?php echo STATE?> :</td>
                    <td class="td"><input type="text" size="30" maxlength="50" name="state" value="<?php echo $row["STATE"]?>" class="effect"></td>
                </tr>
                <tr>
                    <td class="td"><?php echo COUNTRY?> :</td>
                    <td class="td"><?php echo getCombobox('country', 'COUNTRY', 'TITLE', 'TITLE', $row['COUNTRY']==''?DEFAULT_COUNTRY:$row['COUNTRY'], "ISVALID='Y'", 'TITLE', PLEASE_SELECT_A_COUNTRY); ?></td>
                </tr>
                <tr>
                    <td class="td"><?php echo ZIP?> :</td>
                    <td class="td"><input type="text" size="30" maxlength="15" name="zip" value="<?php echo $row["ZIP"]?>" class="effect"></td>
                </tr>
                <tr>
                    <td class="td"><?php echo PHONE?> :</td>
                    <td class="td"><input type="text" size="30" maxlength="20" name="phone" value="<?php echo $row["PHONE"]?>" class="effect"></td>
                </tr>
                <tr>
                    <td class="td"><?php echo MOBILE?> :</td>
                    <td class="td"><input type="text" size="30" maxlength="20" name="mobile" value="<?php echo $row["MOBILE"]?>" class="effect"></td>
                </tr>
                <tr>
                    <td class="td"><?php echo URL?> :</td>
                    <td class="td"><input type="text" size="30" name="url" value="<?php echo $row["URL"]?>" class="effect" alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_URL?>"> <font color="red">*</font></td>
                </tr>

                <tr>
                    <td class="th" colspan="2" style="text-align:left;"><?php echo PROFILE?></td>
                </tr>
                <tr>
                    <td class="td" colspan="2"><textarea rows="10" cols="75" name="profile" maxlength="255" class="effect"><?php echo $row["PROFILE"]?></textarea></td>
                </tr>

                <tr>
                    <td class="th" colspan="2" style="text-align:left;"><?php echo SHORT_DESCRIPTION?></td>
                </tr>
                <tr>
                    <td class="td" colspan="2"><textarea rows="10" cols="75" name="shortDescription" maxlength="255" class="effect"><?php echo $row["SHORT_DESCRIPTION"]?></textarea></td>
                </tr>

                <tr>
                    <td class="th" colspan="2" style="text-align:left;"><?php echo DELIVERY_COSTS?></td>
                </tr>
                <tr>
                    <td class="td" colspan="2"><textarea rows="10" cols="75" name="deliveryCosts" maxlength="255" class="effect"><?php echo $row["DELIVERY_COSTS"]?></textarea></td>
                </tr>

                <tr>
                    <td class="th" colspan="2" style="text-align:left;"><?php echo SHIPPING_DETAILS?></td>
                </tr>
                <tr>
                    <td class="td" colspan="2"><textarea rows="10" cols="75" name="shippingDetails" maxlength="255" class="effect"><?php echo $row["SHIPPING_DETAILS"]?></textarea></td>
                </tr>

                <tr>
                    <td class="th" colspan="2" style="text-align:left;"><?php echo MERCHANT_ACCEPTS?></td>
                </tr>
                <tr>
                    <td class="td" colspan="2">
                        <table width="80%" cellspacing="0" cellpadding="3" border="0">
                            <tr>
                                <?php
                                $dex = 0;
                                $rex = preparedQuery("SELECT A.ID, A.TITLE, IFNULL(B.USERID, '') AS SEL FROM ".PREFIX."USER_PAYMENT_METHODS A LEFT OUTER JOIN ".PREFIX."USER_ASSOC_PAYMENT_METHODS B ON B.USERID = ? AND B.PAYMENT_METHOD_ID=A.ID WHERE A.ISVALID='Y' ORDER BY A.TITLE", array($merchantId));
                                while ( ($rox = getRow($rex)) )
                                {
                                if ( $dex++%2 == 0 && $dex > 1 )
                                    echo "</tr><tr>";
                                ?>
                                <td><input type="checkbox" name="paymentMethods[]" id="pm_<?php echo $rox['ID']?>" value="<?php echo $rox['ID']?>" <?php echo $rox['SEL']==''?'':'checked'?>></td>
                                <td width="50%"><label for="pm_<?php echo $rox['ID']?>"><?php echo $rox['TITLE']?></label></td>
                                <?php
                                }
                                ?>
                            </tr>
                        </table>
                    </td>
                </tr>

                <tr>
                    <td class="th" colspan="2" style="text-align:left;"><?php echo VERIFIED_BY?></td>
                </tr>
                <tr>
                    <td class="td" colspan="2">
                        <table width="80%" cellspacing="0" cellpadding="3" border="0">
                            <tr>
                                <?php
                                $dex = 0;
                                $rex = preparedQuery("SELECT A.ID, A.TITLE, IFNULL(B.USERID, '') AS SEL FROM ".PREFIX."USER_VERIFIERS A LEFT OUTER JOIN ".PREFIX."USER_ASSOC_VERIFIERS B ON B.USERID = ? AND B.VERIFIER_ID=A.ID WHERE A.ISVALID='Y' ORDER BY A.TITLE", array($merchantId));
                                while ( ($rox = getRow($rex)) )
                                {
                                if ( $dex++%2 == 0 && $dex > 1 )
                                    echo "</tr><tr>";
                                ?>
                                <td><input type="checkbox" name="verifiers[]" id="vf_<?php echo $rox['ID']?>" value="<?php echo $rox['ID']?>" <?php echo $rox['SEL']==''?'':'checked'?>></td>
                                <td width="50%"><label for="vf_<?php echo $rox['ID']?>"><?php echo $rox['TITLE']?></label></td>
                                <?php
                                }
                                ?>
                            </tr>
                        </table>
                    </td>
                </tr>

                <tr>
                    <td class="th" colspan="2" style="text-align:left;"><?php echo SITE_LANGUAGES?></td>
                </tr>
                <tr>
                    <td class="td" colspan="2">
                        <table width="80%" cellspacing="0" cellpadding="3" border="0">
                            <tr>
                                <?php
                                $dex = 0;
                                $rex = preparedQuery("SELECT A.ID, A.TITLE, IFNULL(B.USERID, '') AS SEL FROM ".PREFIX."USER_LANGUAGES A LEFT OUTER JOIN ".PREFIX."USER_ASSOC_LANGUAGES B ON B.USERID = ? AND B.LANGUAGE_ID=A.ID WHERE A.ISVALID='Y' ORDER BY A.TITLE", array($merchantId));
                                while ( ($rox = getRow($rex)) )
                                {
                                if ( $dex++%2 == 0 && $dex > 1 )
                                    echo "</tr><tr>";
                                ?>
                                <td><input type="checkbox" name="languages[]" id="lang_<?php echo $rox['ID']?>" value="<?php echo $rox['ID']?>" <?php echo $rox['SEL']==''?'':'checked'?>></td>
                                <td width="50%"><label for="lang_<?php echo $rox['ID']?>"><?php echo $rox['TITLE']?></label></td>
                                <?php
                                }
                                ?>
                            </tr>
                        </table>
                    </td>
                </tr>

                <tr>
                    <td class="th" colspan="2" style="text-align:left;"><?php echo OTHER_INFORMATION?></td>
                </tr>
                <?php if ( IS_BUDGETLIST_INSTALLED == 1 ) { ?>
                <tr>
                    <td class="td"><?php echo USER_FIELD_1?> :</td>
                    <td class="td" valign="bottom">
                        <input type="hidden" id="userField1" name="userField1" value="<?php echo $row1['USER_FIELD_1']?>">
                        <select id="cmbUserField1" size=5 multiple name="cmbUserField1" class="effect" style="width:200px;" ondblclick="removeRegion()">
                            <?php
                            $arr = explode(',', $row1['USER_FIELD_1']);
                            foreach ( $arr as $a )
                            {
                                if ( trim($a) == '' )
                                    continue;
                                echo '<option value="'.$a.'">'.$a.'</option>';
                            }
                            ?>
                        </select>
                        <input type="button" value=" - " class="baseeffectEx" onclick="removeRegion()" style="margin-bottom:3px;">
                        <br>
                        <input type="text" id="txtRegion" value="" class="effect" style="width:195px;">
                        <input type="button" value="+" class="baseeffectEx" onclick="addRegion()">
                    </td>
                </tr>
                <script language="JavaScript">
                    <!--
                    function addRegion()
                    {
                        cmb = $("#cmbUserField1").get(0);
                        txt = $("#txtRegion").val();
                        if ( txt == '' )
                            return;
                        cmb.options[cmb.options.length]	= new Option(txt, txt);
                        $("#txtRegion").val('');
                        $("#txtRegion").focus();
                        updateRegions();
                    }
                    function removeRegion()
                    {
                        cmb = $("#cmbUserField1").get(0);
                        cmb.options[cmb.selectedIndex] = null;
                        updateRegions();
                    }
                    function updateRegions()
                    {
                        cmb = $("#cmbUserField1").get(0);
                        txt = '';
                        for ( i=0; i<cmb.options.length; i++ )
                            txt += ','+cmb.options[i].value;
                        $("#userField1").val(txt.substring(1));
                    }
                    //-->
                </script>
                <?php } ?>
                <tr>
                    <td class="td"><?php echo MONTHLY_BUDGET?> :</td>
                    <td class="td"><?php echo showPriceInputField('monthlyBudget', $row1['MONTHLY_BUDGET'], 10, 10, 'effect', 'alt="blank||'.JSMSG_PLEASE_PROVIDE_MONTHLY_BUDGET.'"')?> <font color="red">*</font></td>
                </tr>
                <tr>
                    <td class="td"><?php echo ALLOW_SPIDERING?> :</td>
                    <td class="td"><input type="checkbox" name="spider_products" value="Y" <?php echo $row["SPIDER_PRODUCTS"]=="Y"?"checked":""?>></td>
                </tr>

                <tr>
                    <td class="td" colspan="2" align="center"><input type="submit" name="Enter" value=" <?php echo UPDATE?> " class="baseeffect"></td>
                </tr>
                <tr>
                    <td class="td" colspan="2" align="center"><input type="button" name="Close" value=" <?php echo _CLOSE?> " class="baseeffect" onclick="location.href='merchant_welcome.php'"></td>
                </tr>
            </table>
        </form>
        
    </div>

@endsection
