@extends('merchants.base')

@section('merchant-content')

    <h1>{{ PROPOSED_PRODUCTS }}</h1>

    <form name="PRODUCT" action="merchant_controller.php" method="POST" onSubmit="return validateForm(this);">
        <input type=hidden name="task" value="ProductTemp">
        <input type=hidden name="action" value="Update">
        <input type=hidden name="return" value="merchant_proposed_products.php?updtId=<?php echo $updtId ?>&">
        <input type=hidden name="id" value="<?php echo $updtId ?>">
        <table width="450" cellspacing="1" cellpadding="5" align="center" class="table">
            <tr>
                <td colspan="2" class="th"><?php echo UPDATE_PRODUCT?></td>
            </tr>
            <tr>
                <td width="30%" class="td"><?php echo CATEGORY?> :</td>
                <td width="70%" class="td">
                    <select name="category" class="effect">
                        <?php getComboboxForCategory("0", "", $row["CATEGORY_ID"]); ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo TITLE?> :</td>
                <td class="td"><input type="text" size="30" maxlength="100" name="title" class="effect"
                                      value="<?php echo $row["TITLE"] ?>"
                                      alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_TITLE?>"><font color="red"> *</font>
                </td>
            </tr>
            <tr>
                <td class="td" valign="top"><?php echo DETAIL?> :</td>
                <td class="td"><textarea name="detail" maxlength="255" rows="5" cols="35"
                                         class="effect"><?php echo $row["DETAIL"] ?></textarea></td>
            </tr>

            <?php if ( PRODUCT_FIELD_1 != '' ) { ?>
            <tr>
                <td class="th" colspan="2" height="5"></td>
            </tr>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_1?> :</td>
                <td class="td"><input type="text" size="50" name="field1"
                                      value="<?php echo postVar('field1', '', $row['FIELD_1']) ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_2 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_2?> :</td>
                <td class="td"><input type="text" size="50" name="field2"
                                      value="<?php echo postVar('field2', '', $row['FIELD_2']) ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_3 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_3?> :</td>
                <td class="td"><input type="text" size="50" name="field3"
                                      value="<?php echo postVar('field3', '', $row['FIELD_3']) ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_4 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_4?> :</td>
                <td class="td"><input type="text" size="50" name="field4"
                                      value="<?php echo postVar('field4', '', $row['FIELD_4']) ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_5 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_5?> :</td>
                <td class="td"><input type="text" size="50" name="field5"
                                      value="<?php echo postVar('field5', '', $row['FIELD_5']) ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_6 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_6?> :</td>
                <td class="td"><input type="text" size="50" name="field6"
                                      value="<?php echo postVar('field6', '', $row['FIELD_6']) ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_7 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_7?> :</td>
                <td class="td"><input type="text" size="50" name="field7"
                                      value="<?php echo postVar('field7', '', $row['FIELD_7']) ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_8 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_8?> :</td>
                <td class="td"><input type="text" size="50" name="field8"
                                      value="<?php echo postVar('field8', '', $row['FIELD_8']) ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( PRODUCT_FIELD_9 != '' ) { ?>
            <tr>
                <td class="td"><?php echo PRODUCT_FIELD_9?> :</td>
                <td class="td"><input type="text" size="50" name="field9"
                                      value="<?php echo postVar('field9', '', $row['FIELD_9']) ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <tr>
                <td class="th" colspan="2" height="5"></td>
            </tr>
            <tr>
                <td class="td"><?php echo BRAND?> :</td>
                <td class="td"><input type="text" size="35" maxlength="100" value="<?php echo $row["BRAND"]?>"
                                      name="brand" class="effect"></td>
            </tr>
            <tr>
                <td class="td"><?php echo DETAIL_URL?> :</td>
                <td class="td"><input type="text" size="35" maxlength="255" name="detail_url"
                                      value="<?php echo $row["DETAIL_URL"]?>" class="effect"></td>
            </tr>
            <tr>
                <td class="td"><?php echo BUY_URL?> :</td>
                <td class="td"><input type="text" size="35" maxlength="255" name="buy_url"
                                      value="<?php echo $row["BUY_URL"]?>" class="effect"
                                      alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_BUY_URL?>"> <font color="red">*</font>
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo PRICE?> :</td>
                <td class="td"><?php echo showPriceInputField('price', $row['PRICE'], 10, 10, 'effect', 'alt="blank||' . JSMSG_PLEASE_PROVIDE_PRICE . '"')?>
                    <font color="red">*</font></td>
            </tr>
            <tr>
                <td class="td"><?php echo SHIPPING?> :</td>
                <td class="td"><input type="text" size="35" maxlength="35" name="shipping"
                                      value="<?php echo $row["SHIPPING"]?>" class="effect"></td>
            </tr>
            <tr>
                <td class="td"><?php echo PART_NO?>:</td>
                <td class="td"><input type="text" size="35" maxlength="35" name="partNo"
                                      value="<?php echo $row["PARTNO"]?>" class="effect"></td>
            </tr>
            <tr>
                <td class="td"><?php echo AVAILABILITY?>:</td>
                <td class="td"><input type="text" size="35" maxlength="50" name="isAvailable"
                                      value="<?php echo $row["ISAVAILABLE"]?>" class="effect"></td>
            </tr>
            <tr>
                <td class="td"><?php echo COMMENTS?> :</td>
                <td class="td"><textarea name="comment" maxlength="255" rows="5" cols="35"
                                         class="effect"><?php echo $row["COMMENTS"]?></textarea></td>
            </tr>

            <tr>
                <td align="center" class="td" colspan="2">
                    <table width="100%" cellspacing="0" cellpadding="5" align="center">
                        <tr>
                            <td align="center" width="90%"><input type="submit" name="Submit"
                                                                  value="<?php echo UPDATE?>" valign="bottom"
                                                                  class="baseeffect"></td>
                            <td align="right"></td>
                        </tr>
                        <tr>
                            <td align="center"><input type="button" name="cancel" value="<?php echo _CLOSE?>"
                                                      class="baseeffect"
                                                      onClick="document.location = 'merchant_proposed_products.php?';">
                            </td>
                            <td>&nbsp;</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </form>

@endsection
