@extends(ACTIVE_TEMPLATE.'.base-merchant')

@section('content')

    <div class="row">
        <div class="col-xs-12 col-md-offset-3 col-md-6 align-left">

            <?php
            if (isset($_GET['id']) && isset($_GET['img'])) {
            $merchantId = getVar('id');
            $imageId = getVar('img');
            ?>
            <div style="text-align:center">
                <a href="merchant_upload_image.php?merchantId=<?php echo $merchantId ?>"
                   class="link"><?php echo UPLOAD_IMAGE ?></a>
            </div>
            <?php
            }
            ?>

            <form name="User" action="controller.php" method="POST" onsubmit="return validateForm(this);"
                  class="form-horizontal" role="form">
                <input type="hidden" name="task" value="Member">
                <input type="hidden" name="action" value="Add">
                <input type="hidden" name="return" value="merchant_register.php?">

                <div class="panel panel-default panel-primary">
                    <div class="panel-heading"><h4><?= NEW_MERCHANT_REGISTERATION_FORM ?></h4></div>
                    <div class="panel-body">

                        <div class="form-group">
                            <label for="loginEmail" class="col-sm-4 control-label"><?= EMAIL ?></label>
                            <div class="col-sm-8">
                                <input type="email" class="form-control" id="loginEmail" name="email"
                                       value="<?= postVar('email') ?>"
                                       size="50" maxlength="255" placeholder="<?= JSMSG_PLEASE_PROVIDE_EMAIL_ADDRESS ?>"
                                       required
                                       oninvalid="this.setCustomValidity('<?= JSMSG_PLEASE_PROVIDE_EMAIL_ADDRESS ?>')"
                                       oninput="setCustomValidity('')">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="loginPassword" class="col-sm-4 control-label"><?= PASSWORD ?></label>
                            <div class="col-sm-8">
                                <input type="password" class="form-control" id="loginPassword" name="password"
                                       size="24" maxlength="20" placeholder="<?= JSMSG_PLEASE_PROVIDE_PASSWORD ?>"
                                       required
                                       oninvalid="this.setCustomValidity('<?= JSMSG_PLEASE_PROVIDE_PASSWORD ?>')"
                                       oninput="setCustomValidity('')">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="loginCPassword" class="col-sm-4 control-label"><?= CONFIRM_PASSWORD ?></label>
                            <div class="col-sm-8">
                                <input type="password" class="form-control" id="loginCPassword" name="confirmPassword"
                                       size="24" maxlength="20" placeholder="<?= CONFIRM_PASSWORD ?>"
                                       required
                                       oninvalid="this.setCustomValidity('<?= JSMSG_PASSWORD_AND_CONFIRM_PASSWORD_DO_NOT_MATCH ?>')"
                                       oninput="setCustomValidity('')">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idName" class="col-sm-4 control-label"><?= NAME ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idName" name="name"
                                       value="<?= postVar('name') ?>"
                                       size="30" maxlength="30" placeholder="<?= JSMSG_PLEASE_PROVIDE_COMPANY_NAME ?>"
                                       required
                                       oninvalid="this.setCustomValidity('<?= JSMSG_PLEASE_PROVIDE_COMPANY_NAME ?>')"
                                       oninput="setCustomValidity('')">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idPName" class="col-sm-4 control-label"><?= PERSON_NAME ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idPName" name="personName"
                                       value="<?= postVar('personName') ?>"
                                       size="30" maxlength="30" placeholder="<?= JSMSG_PLEASE_PROVIDE_NAME ?>"
                                       required oninvalid="this.setCustomValidity('<?= JSMSG_PLEASE_PROVIDE_NAME ?>')"
                                       oninput="setCustomValidity('')">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idAddress" class="col-sm-4 control-label"><?= ADDRESS ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="idAddress" name="address"
                                       value="<?= postVar('address') ?>" maxlength="255">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="id-city" class="col-sm-4 control-label"><?= CITY ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="id-city" name="city"
                                       value="<?= postVar('city') ?>" maxlength="50">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="id-state" class="col-sm-4 control-label"><?= STATE ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="id-state" name="state"
                                       value="<?= postVar('state') ?>" maxlength="50">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="id-country" class="col-sm-4 control-label"><?= COUNTRY ?></label>
                            <div class="col-sm-8">
                                <?= str_replace('class=\'effect\'', 'class="form-control"', countryDropDown(postVar('country', '', $locCountry))) ?>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="id-zip" class="col-sm-4 control-label"><?= ZIP ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="id-zip" name="zip"
                                       value="<?= postVar('zip', '', '', array('maxlen' => 20)) ?>" maxlength="15">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="id-phone" class="col-sm-4 control-label"><?= PHONE ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="id-phone" name="phone"
                                       value="<?= postVar('phone') ?>" maxlength="15">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="id-mobile" class="col-sm-4 control-label"><?= MOBILE ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="id-mobile" name="mobile"
                                       value="<?= postVar('mobile') ?>" maxlength="15">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="id-url" class="col-sm-4 control-label"><?= URL ?></label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="id-url" name="url"
                                       value="<?= postVar('url', 'url') ?>"
                                       placeholder="<?= JSMSG_PLEASE_PROVIDE_URL ?>"
                                       required oninvalid="this.setCustomValidity('<?= JSMSG_PLEASE_PROVIDE_URL ?>')"
                                       oninput="setCustomValidity('')">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="id-monthlyBudget" class="col-sm-4 control-label"><?= MONTHLY_BUDGET ?></label>
                            <div class="col-sm-8">
                                <?= showPriceInputField('monthlyBudget', postVar('monthlyBudget', 'float'), 10, 10, 'form-control',
                                        'placeholder="' . JSMSG_PLEASE_PROVIDE_MONTHLY_BUDGET . '" required style="width:auto;display:inline" oninvalid="this.setCustomValidity(\'' . JSMSG_PLEASE_PROVIDE_MONTHLY_BUDGET . '\')"
                                   oninput="setCustomValidity(\'\')"') ?>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-8 col-sm-offset-4">
                                <input type="checkbox" name="spider_products" id="id-spider_products"
                                       value="Y" <?= postVar('spider_products') == 'Y' ? "checked" : "" ?>>
                                <label for="id-spider_products"><?= ALLOW_SPIDERING ?></label>
                            </div>
                            <div class="col-sm-8 col-sm-offset-4">
                                <input type="checkbox" name="tosAgree" value="Y" id="tosAgree"
                                       onclick="$('#btnSubmit').get(0).disabled = !this.checked;">
                                <label for="tosAgree"><?php echo I_AGREE_TO_THE ?> <a
                                            href="<?php echo SCRIPT_ROOT ?>merchant/merchant_termsofuse.php"
                                            target="_blank"
                                            class="link"><b><?php echo TERMS_OF_USE ?></b></a></label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-8 col-sm-offset-4">
                                <?php showCaptcha() ?>
                            </div>
                        </div>

                        <?php
                        $result = executeQuery("SELECT * FROM " . PREFIX . "PACKAGE WHERE ISVALID='Y' ORDER BY ISTRY");
                        $totalRows = getTotalRows($result);
                        $row = getRow($result);

                        if ($totalRows == 1 && $row["PRICE"] == 0 && $row["CLICKTHROUGH_UPFRONT"] == 0) {
                            echo "\n <input type='hidden' name='package' value='" . $row["ID"] . "'> \n";
                        } else {
                        ?>
                        <h3><?= SELECT_A_PACKAGE ?></h3>
                        <?php
                        $count = 0;
                        $result = executeQuery("SELECT * FROM " . PREFIX . "PACKAGE WHERE ISVALID='Y' AND ISHIDDEN='N' ORDER BY ISTRY, PRODUCTS_MAXIMUM");
                        while (($row = getRow($result))) {
                        $count++;
                        ?>
                        <div class="form-group">
                            <div class="col-sm-8 col-sm-offset-4">
                                <input type="radio" name="package"
                                       value="<?php echo $row["ID"] ?>" <?php echo $count == 1 ? "checked" : "" ?>>
                                <?php echo $row["TITLE"] ?>
                                <b><span style="color:red">
                                            &nbsp;<?php echo getFormattedPrice($row['PRICE'], SCRIPT_DOLLAR, 1) . ($row['CLICKTHROUGH_UPFRONT'] > 0 ? ' + ' . getFormattedPrice($row['CLICKTHROUGH_UPFRONT'], SCRIPT_DOLLAR, 1) . ' = ' . getFormattedPrice($row['PRICE'] + $row['CLICKTHROUGH_UPFRONT'], SCRIPT_DOLLAR, 1) : '') ?>
                                        </span></b>
                                <?php if ($row["ISTRY"] == "Y"){ ?>
                                <B>*** <?php echo $row["DAYS"] ?> <?php echo DAYS_TRIAL ?> ***</B><?php } ?>
                            </div>
                        </div>
                        <?php
                        }
                        free($result);

                        } // if of totalRows ends here //
                        ?>

                        <div style="text-align:right;">
                            <button type="submit" id="btnSubmit" disabled
                                    class="btn btn-primary btn-wide"><?= REGISTER ?></button>
                        </div>

                    </div>

                    <div class="panel-footer" style="text-align: center">
                        | <a href="merchant_login.php?" class="link"><?= LOGIN ?></a> |
                    </div>

                </div>

            </form>

        </div>
    </div>

@endsection
