@extends('merchants.base')

@section('merchant-content')

    <font class="large"><?php echo YOUR_CURRENT_BALANCE . ': ' . getFormattedPrice($curBal, SCRIPT_DOLLAR, 1); ?></font>
    <br><br>

    <?php if ( $curBal < $crLim ) { ?>

    <br><br>
    <b style="color:red"><?php echo YOU_CANNOT_DRAW_MONEY_UNTIL_YOUR_BALANCE_REACHES . ': ' . getFormattedPrice($crLim, SCRIPT_DOLLAR, 1); ?></b>
    <br><br>
    <br><br>

    <?php } else { ?>

    <form name="F" method=post action="merchant_controller.php" onsubmit="return validateForm(this);">
        <input type="hidden" name="task" value="Payment">
        <input type="hidden" name="action" value="Request">
        <input type="hidden" name="return" value="merchant_request_payment.php?">
        <table width="400" cellspacing="1" cellpadding="5" align="center">
            <tr>
                <th class="th" colspan="2">
                    <?php echo REQUEST_FOR_PAYMENT; ?>
                </th>
            </tr>
            <tr>
                <td class="td" width="50%"><?php echo AMOUNT_TO_REQUEST; ?> :</td>
                <td class="td"><?php echo showPriceInputField('amount', $reqAmt > 0 ? $reqAmt : $curBal, 5, 10, 'effect', 'alt="numeric"')?></td>
            </tr>

            <tr>
                <th class="th" colspan="2" style="height:2px;"></th>
            </tr>
            <tr>
                <td class="td" colspan="2">
                    <input type="checkbox" name="chkPP"
                           value="1" <?php echo ($pMethd & 1) == 0 ? '' : 'checked'; ?>> <?php echo RECEIVE_BY_PAYPAL; ?>
                </td>
            </tr>
            <tr>
                <td class="td" align="right"><?php echo PAYPAL_EMAIL; ?> :</td>
                <td class="td"><input type="text" class="effect" name="ppEml"
                                      value="<?php echo $recUI['PAYPAL_EMAIL']; ?>" maxlength="255" size="30"></td>
            </tr>
            <tr>
                <td class="td" colspan="2" align="center">- - - <?php echo _OR; ?> - - -</td>
            </tr>
            <tr>
                <td class="td" colspan="2">
                    <input type="checkbox" name="chkCQ"
                           value="1" <?php echo ($pMethd & 2) == 0 ? '' : 'checked'; ?>> <?php echo RECEIVE_BY_CHECK; ?>
                </td>
            </tr>
            <tr>
                <td class="td" align="right"><?php echo CHECKS_PAYABLE_TO; ?> :</td>
                <td class="td"><input type="text" class="effect" name="cqNm"
                                      value="<?php echo $recUI['CHECKS_PAYABLE_TO']; ?>" maxlength="255" size="30"></td>
            </tr>

            <tr>
                <th class="th" colspan="2" style="height:2px;"></th>
            </tr>
            <tr>
                <td colspan="2" align="center">
                    <input type="submit" value=" <?php echo SEND?> " class="baseeffect">
                </td>
            </tr>
        </table>
    </form>

    <?php } ?>

@endsection
