@extends(ACTIVE_TEMPLATE.'.base-merchant')

@section('content')

    <div class="row">
        <div class="col-xs-12 col-md-offset-3 col-md-6">

            <form name="F" action="merchant_resend.php" method="GET" onsubmit="return validateForm(this)"
                  class="form-horizontal" role="form">

                <div class="panel panel-default panel-primary">
                    <div class="panel-heading"><h4><?= RESEND_FORM ?></h4></div>
                    <div class="panel-body">

                        <div class="form-group">
                            <label for="loginEmail" class="col-sm-4 control-label"><?= EMAIL ?></label>
                            <div class="col-sm-8">
                                <input type="email" class="form-control" id="loginEmail" name="email"
                                       size="50" maxlength="255" placeholder="<?= JSMSG_PLEASE_PROVIDE_EMAIL_ADDRESS ?>"
                                       required
                                       oninvalid="this.setCustomValidity('<?= JSMSG_PLEASE_PROVIDE_EMAIL_ADDRESS ?>')"
                                       oninput="setCustomValidity('')">
                            </div>
                        </div>

                        <div style="text-align:right;">
                            <button type="submit" class="btn btn-primary btn-wide"><?= RESEND ?></button>
                        </div>

                    </div>

                    <div class="panel-footer" style="text-align: center">
                        | <a href="merchant_login.php?" class="link"><?= LOGIN_HERE ?></a>
                        | <a href="merchant_verify_email.php?" class="link"><?= VERIFY_EMAIL ?></a> |
                    </div>

                </div>

            </form>

        </div>
    </div>

@endsection
