@extends('merchants.base')

@section('merchant-content')

    <h1>{{ SELECT_A_PACKAGE }}</h1>

    <div class="row">
        <div class="col-xs-12 col-md-offset-3 col-md-6">

            <form name="F" method=post action="merchant_controller.php" onsubmit="return validateForm(this);">
                <input type=hidden name="task" value="Package">
                <input type=hidden name="action" value="Select">
                <input type=hidden name="return" value="merchant_select_package.php?">

                <table align="center" width="100%">
                    @if( $curPackageRec )
                        <tr>
                            <td colspan="2" class="td">
                                <b><?php echo CURRENTLY_SELECTED?></b> : <?php echo $curPackageRec['TITLE']?>
                                <b> <?php echo getFormattedPrice($curPackageRec['PRICE'], SCRIPT_DOLLAR, 1) ?></b>.
                                <br><?php if( $curPackageRec['ISTRY'] == 'Y' ){ ?>
                                <B>*** <?php echo $curPackageRec['DAYS'] ?> <?php echo DAYS_TRIAL?> ***<?php } ?></B>
                                <br><br>
                            </td>
                        </tr>
                    @endif

                    <tr>
                        <td colspan="2" class="td">
                            <?php echo ($curPackageRec['ISTRY'] == 'Y') ? FREE_TRIAL_HAS_EXPIRED : MEMBERSHIP_PLAN_HAS_EXPIRED?>
                            <br><br>
                        </td>
                    </tr>
                    <?php
                    $count = 0;
                    foreach ( $arrPackages as $row )
                    {
                    $count++;
                    ?>
                    <tr>
                        <td class="td" colspan="2">
                            <input type="radio" name="packageId"
                                   value="<?php echo $row["ID"]?>" <?php echo $count == 1 ? "checked" : ""?>><?php echo $row["TITLE"]?>
                            <b><font color="RED">
                                    &nbsp;<?php echo getFormattedPrice($row['PRICE'], SCRIPT_DOLLAR, 1) ?></font></b><?php if( $row["ISTRY"] == "Y" ){ ?>
                            *** <B><?php echo $row["DAYS"] ?> <?php echo DAYS_TRIAL?> ***<?php }?>
                        </td>
                    </tr>
                    <?php
                    }

                    if ( $count == 0 )
                    {
                    ?>
                    <tr>
                        <td class="td" colspan="2" align="center"><br><?php echo NO_PACKAGE?></td>
                    </tr>
                    <?php
                    }
                    else
                    {
                    ?>
                    <tr>
                        <td class="th" colspan="2" height="4"><b><?php echo SELECT_A_PAYMENT_OPTION?></b></td>
                    </tr>
                </table>

                @include('merchants.payment-methods')

                <table align="center" width="100%">
                    <tr>
                        <td class="td" align="center">
                            <br><input type="submit" id="idPaymentSubmit" value="{{ SELECT }}" class="baseeffect">
                        </td>
                    </tr>
                    <?php
                    }
                    ?>
                </table>
            </form>

        </div>
    </div>

@endsection
