@extends('merchants.base')

@section('merchant-content')

    <h1>{{ MANAGE }}</h1>

    <form method="GET" action="merchant_user_product_import_csv_process.php" onSubmit="return doCheck(this);">
        <table cellpadding="5" cellspacing="0" width="500" align="center">
            <tr>
                <td class="th"><?php echo PLEASE_PROVIDE_INFORMATION?></td>
            </tr>
        </table>
        <table width="500" cellspacing="1" cellpadding="5" align="center" class="table">
            <tr>
                <td class="td" width="60%"><?php echo MERCHANT?> :</td>
                <td class="td" width="40%"><?php echo $merchantId?></td>
            </tr>
            <tr>
                <td class="td"><?php echo TOTAL . " " . RECORDS?> :</td>
                <td class="td"><?php echo $totRecs?></td>
            </tr>
            <tr>
                <td class="td" colspan="2">
                    <?php echo INSTRUCTIONS?>
                </td>
            </tr>
            <tr>
                <td class="td" colspan="2"><b><?php echo INFO_ABOUT_FILE?></b></td>
            </tr>
            <tr>
                <td class="td"><?php echo DELIMITED_BY?> :</td>
                <td class="td">
                    <select name="delimiter" size="1" class="effect">
                        <option value=",">,</option>
                        <option value="|">|</option>
                        <option value="t">TAB</option>
                    </select>&nbsp;
                    <font color="red">*</font>
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo COL_FOR_PRODUCT?> :</td>
                <td class="td"><input type="text" name="colProduct" value="0" class="effect" size="5" maxlength="5"
                                      alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_COL_FOR_PRODUCT?>"> <font color="red">*</font>
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo COL_FOR_USER_PRODUCT_ID?> :</td>
                <td class="td"><input type="text" name="colUserProductId" value="1" class="effect" size="5"
                                      maxlength="5"></td>
            </tr>
            <tr>
                <td class="td"><?php echo COL_FOR_BRAND?> :</td>
                <td class="td"><input type="text" name="colBrand" value="2" class="effect" size="5" maxlength="5"></td>
            </tr>
            <tr>
                <td class="td"><?php echo COL_FOR_PRODUCT_CODE?> :</td>
                <td class="td"><input type="text" name="colPartNo" value="3" class="effect" size="5" maxlength="5"></td>
            </tr>
            <tr>
                <td class="td"><?php echo COL_FOR_PRICE?> :</td>
                <td class="td"><input type="text" name="colPrice" value="4" class="effect" size="5" maxlength="5"
                                      alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_COL_FOR_PRICE?>"> <font
                            color="red">*</font></td>
            </tr>
            <tr>
                <td class="td"><?php echo COL_FOR_SHIPPING_INFO?> :</td>
                <td class="td"><input type="text" name="colShipping" value="5" class="effect" size="5" maxlength="5">
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo COL_FOR_COMMENTS?> :</td>
                <td class="td"><input type="text" name="colComments" value="6" class="effect" size="5" maxlength="5">
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo COL_FOR_AVAILABILITY?> :</td>
                <td class="td"><input type="text" name="colAvailability" value="7" class="effect" size="5"
                                      maxlength="5"></td>
            </tr>
            <tr>
                <td class="td"><?php echo COL_FOR_DETAIL_URL?> :</td>
                <td class="td"><input type="text" name="colDetailURL" value="8" class="effect" size="5" maxlength="5">
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo COL_FOR_BUY_URL?> :</td>
                <td class="td"><input type="text" name="colBuyURL" value="9" class="effect" size="5" maxlength="5"
                                      alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_COL_FOR_BUY_URL?>"> <font color="red">*</font>
                </td>
            </tr>
            <tr>
                <td class="td" colspan="2" align="center">
                    <input type="submit" name="btnSubmit" value="<?php echo BTN_CONTINUE?>" class="baseeffect">
                </td>
            </tr>
        </table>
    </form>

@endsection

@push('footer-scripts')
<script type="text/javascript">
    function doCheck(v) {
        if (validateForm(v) != false) {
            window.open('merchant_user_product_import_csv_progress.php?max={{ $totRecs }}', '_blank', 'left=200, top=100, width=400, height=200');
            return true;
        }
        else
            return false;
    }

</script>
@endpush
