@extends('merchants.base')

@section('merchant-content')

    <font class="large"><?php echo MERCHANT_PRODUCT_SALES_CODE?></font><br><br>

    <h2><?php echo GET_CODE_FOR?>:
        <select name="codeFor" class="baseeffectEx" onchange="showCodeFor(this.value);">
            <option value="All"><?php echo ANY_OTHER_SHOPPING_CART_SCRIPT?></option>
            <option value="OSC"><?php echo OS_COMMERCE?></option>
            <option value="PSS"><?php echo PRESTASHOP?></option>
            <option value="MAG"><?php echo MAGENTO?></option>
        </select>
    </h2>

    <div id="idCodeForAll" rel="relCodeFor">
        <?php echo PAGE_WRITEUP?>
        <br>
        <textarea name="code" rows="20" cols="120"
                  class="effect"><?php echo ppsGenerateMerchantCode($merchantId)?></textarea>
    </div>

    <div id="idCodeForOSC" rel="relCodeFor" style="display:none;">
        <?php echo PAGE_WRITEUP_OSC?>
        <br>
        <textarea name="code" rows="20" cols="120"
                  class="effect"><?php echo ppsGenerateMerchantCode($merchantId, 'OCS')?></textarea>
    </div>

    <div id="idCodeForPSS" rel="relCodeFor" style="display:none;">
        <?php echo PAGE_WRITEUP_PSS1?>
        <br>
        <textarea name="code" rows="10" cols="120"
                  class="effect"><?php echo ppsGenerateMerchantCode($merchantId, 'PSS1')?></textarea>

        <br><br>

        <?php echo PAGE_WRITEUP_PSS2?>
        <br>
        <textarea name="code" rows="10" cols="120"
                  class="effect"><?php echo ppsGenerateMerchantCode($merchantId, 'PSS2')?></textarea>
    </div>

    <div id="idCodeForMAG" rel="relCodeFor" style="display:none;">
        <?php echo PAGE_WRITEUP_MAG?>
        <br>
        <textarea name="code" rows="20" cols="120"
                  class="effect"><?php echo ppsGenerateMerchantCode($merchantId, 'MAG')?></textarea>
    </div>

    <br><br>

    <a href="merchant_user_product_sales.php"><img src="<?php echo SCRIPT_ROOT?>merchant/images/icon_back.gif" border=0
                                                   alt="" align="absmiddle"> <?php echo GO_BACK_SALES_PAGE?></a>

@endsection

@push('footer-scripts')
<script type="text/javascript">
    <!--
    function showCodeFor(id) {
        $("[rel=relCodeFor]").hide();
        $("#idCodeFor" + id).show();
    }

    $("textarea[name=code]").focus(function () {
        $(this).select();
    });
    //-->
</script>
@endpush
