@extends('merchants.base')

@section('merchant-content')

    <font class="large"><?php echo MERCHANT_PRODUCT_SALES?></font><br><br>

    <?php echo PAGE_WRITEUP?>

    <br><br>

    <table width="350" cellspacing="0" cellpadding="5" border="0" align="center">
        <tr>
            <td width="33%" align="center">
                <a href="merchant_user_product_sales_code.php">
                    <img src="<?php echo SCRIPT_ROOT?>merchant/images/icon_code.jpg" border=0 alt="">
                    <br>
                    <?php echo GENERATE_CODE?>
                </a>
            </td>
            <td width="33%" align="center">
                <a href="merchant_user_product_sales_list.php">
                    <img src="<?php echo SCRIPT_ROOT?>merchant/images/icon_report.jpg" border=0 alt="">
                    <br>
                    <?php echo SALES_REPORT?>
                </a>
            </td>
            <td width="33%" align="center">
                <a href="merchant_user_product_sales_payment.php">
                    <img src="<?php echo SCRIPT_ROOT?>merchant/images/icon_payments.jpg" border=0 alt="">
                    <br>
                    <?php echo MAKE_PAYMENT?>
                </a>
            </td>
        </tr>
    </table>

    <?php
    $res = preparedQuery("SELECT SUM(AMOUNT) AS AMT FROM " . PREFIX . "USER_PRODUCT_SALE_PAYMENT WHERE MERCHANTID = ? AND AMOUNT>0 AND ISVALID='N'", array($merchantId));
    $row = getRow($res);
    $tup = (float)$row['AMT'];

    $res = preparedQuery("SELECT SUM(AMOUNT) AS AMT FROM " . PREFIX . "USER_PRODUCT_SALE_PAYMENT WHERE MERCHANTID = ? AND AMOUNT>0 AND ISVALID='Y'", array($merchantId));
    $row = getRow($res);
    $tap = (float)$row['AMT'];

    $res = preparedQuery("SELECT COUNT(ID) AS TOT_RECS, SUM(SALE_AMOUNT) AS SALES, SUM(COMMISSION_AMOUNT) AS COMMISSION FROM " . PREFIX . "USER_PRODUCT_SALE WHERE MERCHANTID = ?", array($merchantId));
    $trow = getRow($res);

    $res = preparedQuery("SELECT COUNT(ID) AS TOT_RECS, SUM(SALE_AMOUNT) AS SALES, SUM(COMMISSION_AMOUNT) AS COMMISSION FROM " . PREFIX . "USER_PRODUCT_SALE WHERE MERCHANTID = ? AND APPROVED='Y'", array($merchantId));
    $arow = getRow($res);

    // Total commissions payable (approved payment - approved commissions)
    $tcp = $tap - $arow['COMMISSION'];
    ?>

    <table width="750" cellspacing="0" cellpadding="5" border="0" align="center">
        <tr>
            <td width="25%" align="right"><b><?php echo TOTAL_SALES_RECORDED?>: <br><?php echo APPROVED?>: </b></td>
            <td width="7%" align="left"><?php echo $trow['TOT_RECS']?><br><?php echo $arow['TOT_RECS']?></td>
            <td width="28%" align="right"><b><?php echo TOTAL_SALES_AMOUNT?>: <br><?php echo APPROVED?>: </b></td>
            <td width="8%" align="left"><?php echo getFormattedPrice($trow['SALES'], SCRIPT_DOLLAR)?>
                <br><?php echo getFormattedPrice($arow['SALES'], SCRIPT_DOLLAR)?></td>
            <td width="20%" align="right"><b><?php echo TOTAL_COMMISSION?>: <br><?php echo APPROVED?>: </b></td>
            <td width="18%" align="left"><?php echo getFormattedPrice($trow['COMMISSION'], SCRIPT_DOLLAR)?>
                <br><?php echo getFormattedPrice($arow['COMMISSION'], SCRIPT_DOLLAR)?></td>
        </tr>
        <tr>
            <td align="right"><b><?php echo TOTAL_APPROVED_PAYMENTS?>: </b></td>
            <td align="left"><?php echo getFormattedPrice($tap, SCRIPT_DOLLAR)?></td>
            <td align="right"><b><?php echo TOTAL_UNAPPROVED_PAYMENTS?>: </b></td>
            <td align="left"><?php echo getFormattedPrice($tup, SCRIPT_DOLLAR)?></td>
            <td align="right"><b><?php echo BALANCE_COMMISSION?>: </b></td>
            <td align="left">
                <?php if ( $tcp < 0 ) { ?>
                <font color="red"><b><?php echo getFormattedPrice(-$tcp, SCRIPT_DOLLAR)?> <?php echo DUE?></b></font>
                <?php } else { ?>
				<?php echo getFormattedPrice($tcp, SCRIPT_DOLLAR) ?>
			<?php } ?>
            </td>
        </tr>
        <?php if ( $tcp + $tup < 0 ) { ?>
        <tr>
            <td colspan="6" align="right">
                <font color="red"><b><?php echo getFormattedPrice(-($tcp + $tup), SCRIPT_DOLLAR)?> <?php echo SHOULD_BE_PAID?></b></font>
                <a href="merchant_user_product_sales_payment.php"
                   class="linkBold"><?php echo CLICK_HERE_TO_PAY?> &raquo;</a>
            </td>
        </tr>
        <?php } ?>
    </table>

    </center>

@endsection
