@extends('merchants.base')

@section('merchant-content')

    <h1>{{ MANAGE_MERCHANT_PRODUCTS }}</h1>

    <form name="F" action="merchant_controller.php" method="POST" onsubmit="return validateForm(this);" style="text-align:left">
        <input type="hidden" name="task" value="UserProduct">
        <input type="hidden" name="action" value="Update">
        <input type="hidden" name="return" value="merchant_user_products.php?updtId=<?php echo $updtId?>&">
        <input type="hidden" name="product" value="<?php echo $row['PID']?>">
        <input type="hidden" name="id" value="<?php echo $updtId?>">
        <table width="650" cellspacing="1" cellpadding="5" align="center" class="mtable">
            <tr>
                <th colspan="2" class="th"><?php echo UPDATE_MERCHANT_PRODUCT?></th>
            </tr>
            <tr>
                <td width="30%" class="td"><?php echo CATEGORY?> :</td>
                <td class="td"><?php echo  getCategoryBreadCrumb($row['CID'], ' &raquo; {TITLE}') ?></td>
            </tr>
            <tr>
                <td class="td"><?php echo PRODUCT?> :</td>
                <td class="td"><b><?php echo  $row['PTITLE'] ?></b></td>
            </tr>

            <?php if ( $isVisitorSeller ) { ?>
            <input type="hidden" name="brand" value="<?php echo $row["BRAND"]?>">
            <input type="hidden" name="detail_url" value="<?php echo $row["DETAIL_URL"]?>">
            <input type="hidden" name="buy_url" value="<?php echo $row["BUY_URL"]?>">
            <?php } else { ?>
            <tr>
                <td class="td"><?php echo BRAND?> :</td>
                <td class="td"><input type="text" size="35" maxlength="100" value="<?php echo $row["BRAND"]?>" name="brand" class="meffect"></td>
            </tr>
            <tr>
                <td class="td"><?php echo DETAIL_URL?> :</td>
                <td class="td"><input type="text" size="35" maxlength="255" name="detail_url" value="<?php echo $row["DETAIL_URL"]?>" class="meffect"></td>
            </tr>
            <tr>
                <td class="td"><?php echo BUY_URL?> :</td>
                <td class="td"><input type="text" size="35" maxlength="255" name="buy_url" value="<?php echo $row["BUY_URL"]?>" class="meffect" alt="blank||<?php echo JSMSG_PLEASE_PROVIDE_BUY_URL?>"> <font color="red">*</font></td>
            </tr>
            <?php } ?>

            <tr>
                <td class="td"><?php echo PRICE?> :</td>
                <td class="td"><?php echo showPriceInputField('price', $row['PRICE'], 10, 10, 'meffect', 'alt="blank||'.JSMSG_PLEASE_PROVIDE_PRICE.'"')?> <font color="red">*</font></td>
            </tr>
            <tr>
                <td class="td"><?php echo QUANTITY?> :</td>
                <td class="td"><input type="text" size="5" maxlength="10" name="quantity" class="meffect" value="<?php echo $row['QUANTITY']?>"></td>
            </tr>

            <?php if ( $isVisitorSeller ) { ?>
            <input type="hidden" name="dimensionLength" value="<?php echo $row["DIMENSION_LENGTH"]?>">
            <input type="hidden" name="dimensionWidth" value="<?php echo $row["DIMENSION_WIDTH"]?>">
            <input type="hidden" name="dimensionHeight" value="<?php echo $row["DIMENSION_HEIGHT"]?>">
            <input type="hidden" name="dimensionUnit" value="<?php echo $row["DIMENSION_UNIT"]?>">
            <input type="hidden" name="weight" value="<?php echo $row["WEIGHT"]?>">
            <input type="hidden" name="weightUnit" value="<?php echo $row["WEIGHT_UNIT"]?>">
            <input type="hidden" name="sellable" value="<?php echo $row["SELLABLE"]?>">
            <?php } else { ?>
            <tr>
                <td class="td"><?php echo DIMENSION?> :</td>
                <td class="td">
                    <input type="text" size="5" maxlength="10" name="dimensionLength" class="meffect" value="<?php echo $row['DIMENSION_LENGTH']?>"> x
                    <input type="text" size="5" maxlength="10" name="dimensionWidth" class="meffect" value="<?php echo $row['DIMENSION_WIDTH']?>"> x
                    <input type="text" size="5" maxlength="10" name="dimensionHeight" class="meffect" value="<?php echo $row['DIMENSION_HEIGHT']?>">
                    <select name="dimensionUnit" class="meffect">
                        <?php echo  getDimensionUnitComboOptions($row['DIMENSION_UNIT']) ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td class="td"><?php echo WEIGHT?> :</td>
                <td class="td">
                    <input type="text" size="8" maxlength="10" name="weight" class="meffect" value="<?php echo $row['WEIGHT']?>">
                    <select name="weightUnit" class="meffect">
                        <?php echo  getWeightUnitComboOptions($row['WEIGHT_UNIT']) ?>
                    </select>
                </td>
            </tr>
            <?php if ( defined('IS_SHOPPING_CART_INSTALLED') && IS_SHOPPING_CART_INSTALLED == 1 && $userRec['HAS_STORE'] == 'Y' ) { ?>
            <tr>
                <td class="td"><?php echo SELLABLE?> : </td>
                <td class="td">
                    <select	name="sellable" size="1" class="meffect">
                        <option	value="Y" <?php echo  $row["SELLABLE"]=='Y'?'selected':'' ?>><?php echo YES?></option>
                        <option	value="N" <?php echo  $row["SELLABLE"]=='N'?'selected':'' ?>><?php echo NO?></option>
                    </select>
                </td>
            </tr>
            <?php } ?>
            <?php } ?>

            <tr>
                <td class="td"><?php echo SHIPPING?> :</td>
                <td class="td"><input type="text" size="35" maxlength="35" name="shipping" value="<?php echo $row["SHIPPING"]?>" class="meffect"></td>
            </tr>

            <?php if ( $isVisitorSeller ) { ?>
            <input type="hidden" name="partNo" value="<?php echo $row["PARTNO"]?>">
            <input type="hidden" name="isAvailable" value="<?php echo $row["ISAVAILABLE"]?>">
            <?php } else { ?>
            <tr>
                <td class="td"><?php echo PART_NO?>:</td>
                <td class="td"><input type="text" size="35" maxlength="35" name="partNo" value="<?php echo $row["PARTNO"]?>" class="meffect"></td>
            </tr>
            <tr>
                <td class="td"><?php echo AVAILABILITY?>:</td>
                <td class="td"><input type="text" size="35" maxlength="50" name="isAvailable" value="<?php echo $row["ISAVAILABLE"]?>" class="meffect"></td>
            </tr>
            <?php } ?>

            <tr>
                <td class="td"><?php echo COMMENTS?> :</td>
                <td class="td"><textarea name="comment" maxlength="255" rows="5" cols="35" class="meffect"><?php echo $row["COMMENT"]?></textarea></td>
            </tr>

            <?php if ( $isVisitorSeller ) { ?>
            <tr>
                <td class="td"><?php echo SELLING_MODE?> : </td>
                <td class="td">
                    <select	name="contactSeller" size="1" class="meffect">
                        <option	value="Y"><?php echo CONTACT_ME?></option>
                        <?php if ( defined('IS_SHOPPING_CART_INSTALLED') && IS_SHOPPING_CART_INSTALLED == 1 ) { ?>
                        <option	value="N" <?php echo  $row['CONTACT_SELLER']=='N'?'selected':'' ?>><?php echo SHOPPING_CART?></option>
                        <?php } ?>
                    </select>
                </td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_1 != '' ) { ?>
            <tr>
                <td class="th" colspan="2" height="5"></td>
            </tr>
            <tr>
                <td	class="td"><?php echo USER_PRODUCT_FIELD_1?> : </td>
                <td class="td"><input type="text" size="50" name="userField1" value="<?php echo  $row["USER_FIELD_1"] ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_2 != '' ) { ?>
            <tr>
                <td	class="td"><?php echo USER_PRODUCT_FIELD_2?> : </td>
                <td class="td"><input type="text" size="50" name="userField2" value="<?php echo  $row["USER_FIELD_2"] ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_3 != '' ) { ?>
            <tr>
                <td	class="td"><?php echo USER_PRODUCT_FIELD_3?> : </td>
                <td class="td"><input type="text" size="50" name="userField3" value="<?php echo  $row["USER_FIELD_3"] ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_4 != '' ) { ?>
            <tr>
                <td	class="td"><?php echo USER_PRODUCT_FIELD_4?> : </td>
                <td class="td"><input type="text" size="50" name="userField4" value="<?php echo  $row["USER_FIELD_4"] ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_5 != '' ) { ?>
            <tr>
                <td	class="td"><?php echo USER_PRODUCT_FIELD_5?> : </td>
                <td class="td"><input type="text" size="50" name="userField5" value="<?php echo  $row["USER_FIELD_5"] ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_6 != '' ) { ?>
            <tr>
                <td	class="td"><?php echo USER_PRODUCT_FIELD_6?> : </td>
                <td class="td"><input type="text" size="50" name="userField6" value="<?php echo  $row["USER_FIELD_6"] ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_7 != '' ) { ?>
            <tr>
                <td	class="td"><?php echo USER_PRODUCT_FIELD_7?> : </td>
                <td class="td"><input type="text" size="50" name="userField7" value="<?php echo  $row["USER_FIELD_7"] ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_8 != '' ) { ?>
            <tr>
                <td	class="td"><?php echo USER_PRODUCT_FIELD_8?> : </td>
                <td class="td"><input type="text" size="50" name="userField8" value="<?php echo  $row["USER_FIELD_8"] ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <?php if ( USER_PRODUCT_FIELD_9 != '' ) { ?>
            <tr>
                <td	class="td"><?php echo USER_PRODUCT_FIELD_9?> : </td>
                <td class="td"><input type="text" size="50" name="userField9" value="<?php echo  $row["USER_FIELD_9"] ?>" class="effect"></td>
            </tr>
            <?php } ?>

            <tr>
                <td class="th" colspan="2" height="5"></td>
            </tr>
            <tr>
                <td align="center" class="td" colspan="2">
                    <table width="100%" cellspacing="0" cellpadding="5" align="center">
                        <tr>
                            <td align="center"><input type="submit" name="Submit" value="<?php echo UPDATE?>" valign="bottom" class="baseeffect"></td>
                        </tr>
                        <tr>
                            <td align="center"><input type="button" name="cancel" value=" <?php echo _CLOSE?> " class="baseeffect" onclick="location.href='merchant_user_products.php'"></td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </form>

@endsection
