@extends('merchants.base')

@section('merchant-content')

    <h1>{{ MANAGE_MERCHANT_PRODUCTS }}</h1>

    <table width="99%" cellspacing="1" cellpadding="3" class="table">
        <tr>
            <th width="1%" class="th"><input type="checkbox" name="chk"
                                             onclick="$('input[rel=rChk]').attr('checked', this.checked);"></th>
            <th width="25%" class="th"><?php echo CATEGORY?></th>
            <th width="30%" class="th"><?php echo PRODUCT?></th>
            <th width="10%" class="th"><?php echo PRICE?></th>
            <th width="5%" class="th"><?php echo QTY?></th>
            <?php if ( defined('IS_SHOPPING_CART_INSTALLED') && IS_SHOPPING_CART_INSTALLED == 1 && $userRec['HAS_STORE'] == 'Y' && !$isVisitorSeller ) { ?>
            <th width="5%" class="th"><?php echo SELLABLE?></th>
            <?php } ?>
            <th width="5%" class="th"><?php echo VALID?></th>
            <th width="5%" class="th"><?php echo DETAILS?></th>

            <?php if ( !$isVisitorSeller ) { ?>
            <th width="5%" class="th"><?php echo CLICKS?></th>
            <?php } ?>

            <th width="5%" class="th"><?php echo UPDATE?></th>
            <th width="5%" class="th"><?php echo _DELETE?></th>
        </tr>
        <?php
        foreach ( $arrUserProducts as $row )
        {
        ?>
        <tr bgcolor="<?php echo ++$count % 2 == 0 ? "#EEEEEE" : "white"?>">
            <td width="center" class="td"><input type="checkbox" name="chk_<?php echo $row['ID']?>" rel="rChk"
                                                 value="<?php echo $row['ID']?>"></td>
            <td align="left" class="td"><a
                        href='<?php echo SCRIPT_ROOT?>category.php?categoryId=<?php echo $row["CID"] ?>'
                        class="link"><?php echo getCategoryBreadCrumb($row["CID"], " &raquo; {TITLE}") ?><a></td>
            <td align="left" class="td"><a
                        href='<?php echo SCRIPT_ROOT?>products.php?productId=<?php echo $row["PID"] ?>'
                        class="link"><?php echo $row["PTITLE"] ?></a></td>
            <td align="right"
                class="td"><?php echo getFormattedPrice($row['PRICE'], $currencySymbol, $currencyRate)?></td>
            <td align="center" class="td"><?php echo $row['QUANTITY']?></td>
            <?php if ( defined('IS_SHOPPING_CART_INSTALLED') && IS_SHOPPING_CART_INSTALLED == 1 && $userRec['HAS_STORE'] == 'Y' && !$isVisitorSeller ) { ?>
            <td align="center" class="td"><img
                        src="images/<?php echo $row["SELLABLE"] == "Y" ? "active" : "inactive"?>.gif" border="0"
                        alt="<?php echo $row["SELLABLE"] == "Y" ? SELLABLE : NOT . ' ' . SELLABLE?>"></td>
            <?php } ?>
            <td width="5%" class="td" align="center">
                <form name="Form" action="merchant_controller.php" method="POST" onSubmit="return getConfirmation();"
                      style="padding:0px;margin:0px;">
                    <input type="hidden" name="task" value="UserProduct">
                    <input type="hidden" name="action" value="Status">
                    <input type="hidden" name="return" value="merchant_user_products.php?">
                    <input type="hidden" name="id" value="<?php echo $row["ID"] ?>">
                    <input type="hidden" name="isValid" value="<?php echo $row["ISVALID"] == "Y" ? "N" : "Y" ?>">
                    <input type="image" name="status"
                           src="images/<?php echo $row["ISVALID"] == "Y" ? "active" : "inactive"?>.gif" border="0"
                           alt="<?php echo $row["ISVALID"] == "Y" ? "Status : Active" : "Status : InActive"?>. Click to change">
                </form>
            </td>
            <td align="center" class="td"><a href='<?php echo $_SERVER['PHP_SELF'] ?>?showId=<?php echo $row["ID"] ?>&'
                                             class="link"><img src="images/detail.gif" border="0"></a></td>

            <?php if ( !$isVisitorSeller ) { ?>
            <td align="center" class="td"><a href='merchant_footprints.php?productId=<?php echo $row["PID"] ?>'
                                             class="link"><img src="images/view.gif" border="0"></a></td>
            <?php } ?>

            <td align="center" class="td"><a href='<?php echo $_SERVER['PHP_SELF'] ?>?updtId=<?php echo $row["ID"] ?>&'
                                             class="link"><img src="images/update.gif" border="0"></a></td>
            <td align="center" class="td">
                <form name="Form" action="merchant_controller.php" method="POST" onsubmit="return getConfirmation();"
                      style="padding:0px;margin:0px;">
                    <input type="hidden" name="task" value="UserProduct"><input type="hidden" name="action"
                                                                                value="Delete"><input type="hidden"
                                                                                                      name="return"
                                                                                                      value="merchant_user_products.php?"><input
                            type="hidden" name="id" value='<?php echo $row["ID"] ?>'>
                    <input type="image" name="delete" src="images/delete.gif" border="0">
                </form>
            </td>
        </tr>
        <?php
        }
        ?>
    </table>

    <form name="formBulkActive" id="frmBulkActive" action="merchant_controller_bulk.php" method="POST"
          style="display:none;">
        <input type="hidden" name="task" value="UserProduct">
        <input type="hidden" name="action" value="Bulk">
        <input type="hidden" name="subact" value="Status">
        <input type="hidden" name="return" value="merchant_user_products.php?">
        <input type="hidden" name="ids" value="">
        <input type="hidden" name="isValid" value="">
    </form>

    <form name="formBulkDelete" id="frmBulkDelete" action="merchant_controller_bulk.php" method="POST"
          style="display:none;">
        <input type="hidden" name="task" value="UserProduct">
        <input type="hidden" name="action" value="Bulk">
        <input type="hidden" name="subact" value="Delete">
        <input type="hidden" name="return" value="merchant_user_products.php?">
        <input type="hidden" name="ids" value="">
    </form>

    <script language="JavaScript">
        <!--
        function bulkGetIds() {
            ids = '';
            $('input[rel=rChk]').each(function (i, e) {
                if ($(e).attr('checked'))
                    ids += ',' + $(e).val();
            });

            return ids.substring(1);
        }

        function bulkActive() {
            frm = $('#frmBulkActive').get(0);
            frm.isValid.value = 'Y';
            frm.ids.value = bulkGetIds();
            frm.submit();
        }

        function bulkInActive() {
            frm = $('#frmBulkActive').get(0);
            frm.isValid.value = 'N';
            frm.ids.value = bulkGetIds();
            frm.submit();
        }

        function bulkDelete() {
            frm = $('#frmBulkDelete').get(0);
            frm.ids.value = bulkGetIds();
            frm.submit();
        }
        //-->
    </script>

    <div style="text-align:left">
        <a href="javascript:bulkActive();" class="btn btn-sm btn-dark1"><?php echo ACTIVATE_SELECTED_PRODUCTS?></a>
        <a href="javascript:bulkInActive();"
           class="btn btn-sm btn-dark1"><?php echo DEACTIVATE_SELECTED_PRODUCTS?></a>
        <a href="javascript:bulkDelete();" class="btn btn-sm btn-dark1"><?php echo DELETE_SELECTED_PRODUCTS?></a>
    </div>

    <?php echo makePages('merchant_user_products.php?category=' . $category . '&title=' . $title . '&')?>

    <a href="merchant_user_add_product.php" class="btn btn-sm btn-dark1"><?php echo ADD_A_USER_PRODUCT?></a>
    <?php if ( !$isVisitorSeller ) { ?>
    <?php if ( IS_MERCHANT_DATAFEED_UPLOAD_ALLOWED == 1 ) { ?>
    <a href="merchant_user_product_import.php" class="btn btn-sm btn-dark1"><?php echo IMPORT_PRODUCTS?></a>
    <?php } ?>
    <a href="merchant_proposed_products.php"
       class="btn btn-sm btn-dark1"><?php echo IS_MERCHANT_PRODUCT_ADD_ALLOWED == 1 ? ADD_A_PRODUCT : SUGGESTED_PRODUCTS?></a>
    <a href="merchant_user_product_search.php"
       class="btn btn-sm btn-dark1"><?php echo SEARCH?> <?php echo PRODUCTS?></a>
    <?php } ?>

@endsection
