@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    @if( defined('SHOW_18PLUS_WARNING_ON_MARKED_RECORDS') && SHOW_18PLUS_WARNING_ON_MARKED_RECORDS == 1 && isset($cat['IS_18PLUS']) && $cat['IS_18PLUS'] == 'Y' && $_SESSION['allow18plus'] == '' )
        @push('footer-scripts')
        <script type="text/javascript">
            <!--
            $(document).ready(function () {
                showModal('<?php echo handleSingleQuote4JS( ARE_YOU_SURE ); ?>', '<?php echo handleSingleQuote4JS( WARNING_18_PLUS_TEXT ); ?>', '<button type="button" class="btn btn-danger" onclick="enter18plus()"><?php echo handleSingleQuote4JS( WARNING_18_PLUS_YES ); ?></button> <button type="button" class="btn btn-info" onclick="location.href=\'<?php echo SCRIPT_ROOT; ?>\'"><?php echo handleSingleQuote4JS( WARNING_18_PLUS_NO ); ?></button>', false, false, true);
            });

            function enter18plus() {
                hideModal();
                getContentFromUrl("<?php echo SCRIPT_ROOT; ?>ajax-set-18-plus.php?set=1", $("#divTempConent").get(0), "GET", "", "");
            }
            //-->
        </script>
        @endpush
    @endif

    @push('footer-scripts')
    <script type="text/javascript"
            src="<?php echo getResourceUrl( 'products.js.php?productId=' . $productId, 'js', false, false )?>"></script>
    @endpush

    <div itemscope itemtype="http://schema.org/Product"> <!-- microdata start -->

        <div class="ProdTopBox GradLite2">
            <h1 itemprop="name">{{ $prod['TITLE'] }}</h1>
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 NoChildSpacing">
                    <div class="row">
                        <div class="col-xs-12 col-sm-4 NoChildSpacing">
                            <div class="ProdThumbBox GenericThumbBox" style="overflow:hidden">
                                <?php
                                $arrPMultiImgs = array();
                                $flagShowMultiThumbs = false;
                                // add no-class below to skip the hardcoded styles so that the .GenericThumbBox styles work
                                if ( $apiType != API_TYPE_MYSQL )
                                {
                                    echo getProductThumbnail( $productId, "javascript:window.open('" . $productImageUrl . "','ProductImage','left=100,top=50,height=550,width=550,resizable=1,scrollbars=1,status=1');void(0);", $prod['TITLE'], $categoryId, 150, 150, 'no-class', '', '', $productThumbUrl == '' ? $productImageUrl : $productThumbUrl, $productFilename );
                                    echo CLICK_TO_ENLARGE;
                                }
                                elseif ( ! defined( 'IS_MULTIPLE_IMAGES_INSTALLED' ) || IS_MULTIPLE_IMAGES_INSTALLED != 1 ) {
                                    echo getProductThumbnail( $productId, "javascript:window.open('" . $productImageUrl . "','ProductImage','left=100,top=50,height=550,width=550,resizable=1,scrollbars=1,status=1');void(0);", $prod['TITLE'], $categoryId, 150, 150, 'no-class', '', '', '', $productFilename );
                                    echo CLICK_TO_ENLARGE;
                                }
                                else
                                {
                                echo displayProductImage( $productId, $categoryId, '', $prod['TITLE'], $productFilename, 'no-class' );

                                $arrLBImgs = array();
                                $resImgs = preparedQuery( "SELECT ID FROM " . PREFIX . "PRODUCT_IMAGE WHERE PRODUCT_ID = ? ORDER BY FILENAME", array( $productId ) );
                                while ( ( $rowImgs = getRow( $resImgs ) ) ) {
                                    $pImg            = getProductImageUrl( $productId, $productFilename, $rowImgs['ID'] );
                                    $pImg            = str_replace( '&amp;', '&', $pImg );
                                    $arrLBImgs[]     = $pImg;
                                    $arrPMultiImgs[] = $rowImgs;
                                }

                                $flagShowMultiThumbs = true;
                                ?>
                                <script type="text/javascript">
                                    <!--
                                    function showProdLB(pmiDex) {
                                        pmiArr  = ["<?php echo implode( '&format=.jpg", "', $arrLBImgs )?>&format=.jpg"];
                                        tpmiArr = pmiArr;
                                        if (typeof pmiDex != 'undefined') {
                                            tpmiArr2 = tpmiArr.splice(0, pmiDex - 1);
                                            tpmiArr  = tpmiArr.concat(tpmiArr2);
                                        }
                                        $.lightbox(tpmiArr);
                                    }
                                    //-->
                                </script>
                                <?php
                                }
                                ?>
                            </div>
                            <?php
                            if ( $flagShowMultiThumbs )
                            {
                            ?>
                            <div class="PMultiThumbsCont">
                                <div class="PMultiThumbsContI">
                                    <?php
                                    $totPMultImgs = 0;
                                    foreach ( $arrPMultiImgs as $rowImgs ) {
                                        $totPMultImgs ++;
                                        echo '<div class="PMultiThumb GenericThumbBox" onclick="movePMIcenter(' . $totPMultImgs . ');"><div><img src="' . getProductThumbUrl( $productId, 60, 60, $productFilename, '', $rowImgs['ID'] ) . '" border=0 alt="' . $rowImgs['FILENAME'] . '"></div></div>';
                                    }
                                    ?>
                                </div>
                            </div>
                            <script type="text/javascript">
                                <!--
                                var totPMI = {{ (int)$totPMultImgs }};
                                var widPMI = $('.PMultiThumb').width();
                                $(document).ready(function () {
                                    $('.PMultiThumbsContI').width(totPMI * (widPMI + 35));
                                });
                                function movePMIcenter(pmiDex) {
                                    $('.PMultiThumbsCont').scrollLeft((pmiDex - 2) * (widPMI + 15));
                                    showProdLB(pmiDex);
                                }
                                //-->
                            </script>
                            <?php
                            }
                            ?>
                        </div>
                        <div class="col-xs-12 col-sm-4">
                            <div class="visible-xs">&nbsp;</div>
                            <h2>{{ BEST_PRICES }}</h2>

                            <?php
                            if ( is_array( $arrBest ) && count( $arrBest ) > 0 )
                            {
                            ?>
                            {{ FROM }} <span class="ProdPrice">{{ $arrBest[0]['FORMATTED_TOTAL'] }}</span><br>
                            <br>
                            <?php
                            $tot = 0;
                            foreach ( $arrBest as $best )
                            {
                            if ( $tot ++ > 3 )
                                break;
                            ?>
                            <div class="TxtOverflowControl" style="width:95px; height:15px; float:left;"><a
                                        href="<?php echo $best['REDIRECT_URL']?>" target="_blank"
                                        style="font-size:11px;"
                                        rel="nofollow" alt="<?php echo $best['NAME']?>"
                                        title="<?php echo $best['NAME']?>"><?php echo $best['NAME']?></a></div>
                            <div style="width:75px; float:right;"><a href="<?php echo $best['REDIRECT_URL']?>"
                                                                     target="_blank"
                                                                     rel="nofollow"><span
                                            class="ProdPriceSm"><?php echo $best['FORMATTED_TOTAL']?></span></a></div>
                            <div style="clear:both;"></div>

                            <?php
                            }
                            }
                            ?>
                        </div>
                        <div class="col-xs-12 col-sm-4 col-md-4 col-lg-4">
                            <div class="visible-xs">&nbsp;</div>
                            <div class="hidden-xs ProdTopBoxSepV"></div>
                            <?php
                            if ( ( $prod['MANUFACTURER'] != '' && $prod['MANUFACTURER'] != 'N/A' ) || ( $prod['MANUFACTURER_CODE'] != '' && $prod['MANUFACTURER_CODE'] != '0' ) || $prod['EAN_UPC'] != '' ) {
                            ?>
                            <h2><?php echo PRODUCT_INFORMATION?></h2>
                            <?php echo $prod['MANUFACTURER'] == '' || $prod['MANUFACTURER'] == 'N/A' ? '' : MANUFACTURER . ' <b itemprop=manufacturer>' . $prod['MANUFACTURER'] . '</b><br>' ?>
                            <?php echo $prod['MANUFACTURER_CODE'] == '' || $prod['MANUFACTURER_CODE'] == '0' ? '' : MANUFACTURER_CODE . ' <b itemprop=mpn>' . $prod['MANUFACTURER_CODE'] . '</b><br>' ?>
                            <?php echo $prod['EAN_UPC'] == '' ? '' : EAN_UPC . ' <b>' . $prod['EAN_UPC'] . '</b><br>' ?>
                            <br>
                            <?php
                            }
                            ?>

                            <span itemprop="offers" itemscope itemtype="http://schema.org/AggregateOffer"
                                  style="display:none">
					<span itemprop="lowPrice"><?php echo getFormattedPrice( $prod['MIN_PRICE'], $currencySymbol, $currencyRate ); ?></span>
					<span itemprop="highPrice"><?php echo getFormattedPrice( $prod['MAX_PRICE'], $currencySymbol, $currencyRate ); ?></span>
					<span itemprop="offerCount"><?php echo $prod['STORE_COUNT']; ?></span>
                                <?php foreach ( $arrPrices as $arrPrice ) { ?>
                                <div itemprop="offers" itemscope itemtype="http://schema.org/Offer">
						<a itemprop="url" href="<?php echo $arrPrice['BUY_URL']; ?>"></a>
						<span itemprop="price"><?php echo getFormattedPrice( $arrPrice['PRICE'], $currencySymbol, $currencyRate ); ?></span>
					</div>
                                <?php } ?>
				</span>
                            <span itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating"
                                  style="display:none">
					<span itemprop="ratingValue"><?php echo $prod['PRODUCT_RATING'] < 0 ? 0 : $prod['PRODUCT_RATING'] / 2; ?></span>
					<span itemprop="reviewCount"><?php echo $totReviews; ?></span>
				</span>
                            <h2>{{ RATINGS_AND_REVIEWS }}</h2>
                            {!! getProductRating($productId, $prod['PRODUCT_RATING'], $productFilename, $categoryId, $categoryFilename, $linkReviews, $apiType) !!}
                            &nbsp;
                            {!! $prod['PRODUCT_RATING'] < 0 ? '' : '<br>' . $prod['PRODUCT_RATING'] . '/10 ' . FROM . ' ' . $totReviews . ' ' . REVIEW_S !!}
                            <br><br>
                            <?php
                            if ( is_array( $arrReviews ) && count( $arrReviews ) > 0 )
                            {
                            $tot = 0;
                            foreach ( $arrReviews as $review )
                            {
                            if ( $tot ++ > 1 )
                                break;
                            ?>
                            <span itemprop="review" itemscope itemtype="http://schema.org/Review">
					<span itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating" style="display:none">
						<span itemprop="ratingValue">{{ $review['RATING'] < 0 ? 0 : $review['RATING'] / 2 }}</span>/<span
                                itemprop="bestRating">5</span>
					</span>
					<span>
						By <span itemprop="author">{{ $review['USER_NAME'] }}</span>
						on <i itemprop="datePublished">{{ formatDate($review['DATE_ADDED']) }}</i>
					</span>
					<br>
					<span itemprop="description">{!! getPartialString(strip_tags($review['REVIEW']), 70, $linkReviews) !!}</span>
					<br>
				</span>
                            <br>

                            <?php
                            }
                            }
                            ?>
                        </div>
                        <div style="clear:both;"></div>
                        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                            <div class="ProdTopBoxSepH"></div>
                            <?php if ( $apiType == API_TYPE_MYSQL ) { ?>
                            <a href="javascript:addToCompareList();" rel="nofollow" title="<?php echo ADD_TO_COMPARE?>"
                               class="ListingIcon ProdIconButton"><span
                                        class="glyphicon glyphicon-ok-circle"></span> <?php echo ADD_TO_COMPARE?></a>
                            <a href="javascript:loadLoginBox(addToWishlist);" rel="nofollow"
                               title="<?php echo ADD_TO_WISHLIST?>" class="ListingIcon ProdIconButton"><span
                                        class="glyphicon glyphicon-plus-sign"></span> <?php echo ADD_TO_WISHLIST?></a>
                            <a href="javascript:loadLoginBox(addPriceAlert);" rel="nofollow"
                               title="<?php echo ADD_PRICE_ALERT?>" class="ListingIcon ProdIconButton"><span
                                        class="glyphicon glyphicon-warning-sign"></span> <?php echo ADD_PRICE_ALERT?>
                            </a>
                            <a href="javascript:loadLoginBox(referFriend);" rel="nofollow"
                               title="<?php echo EMAIL_A_FRIEND?>" class="ListingIcon ProdIconButton"><span
                                        class="glyphicon glyphicon-envelope"></span> <?php echo EMAIL_A_FRIEND?></a>
                            <?php } else { ?>
                            <a href="#" onclick="referPage2Friend('<?php echo getReferAFriendUrl( $productLink )?>');"
                               rel="nofollow" title="<?php echo EMAIL_A_FRIEND?>"
                               class="ListingIcon ProdIconButton"><span
                                        class="glyphicon glyphicon-envelope"></span> <?php echo EMAIL_A_FRIEND?></a>
                            <?php } ?>
                            <?php if ( defined( 'SHOW_SOCIAL_COUNT_TAGS' ) && SHOW_SOCIAL_COUNT_TAGS == 1 ) { ?>
                            <div class="clearfix"></div>
                            <a href="<?= getFacebookShareUrl( $productLink )?>" target="_blank"
                               class="social-share-link social-share-link-fb" rel="noreferrer"><i
                                        class="fa fa-facebook-f"></i> <?= SHARE ?></a>
                            <a href="<?= getTwitterTweetUrl( $productLink, $prod['TITLE'] )?>" target="_blank"
                               class="social-share-link social-share-link-tw" rel="noreferrer"><i
                                        class="fa fa-twitter"></i> <?= TWEET ?></a>
                            <a href="<?= getGooglePlusShareUrl( $productLink )?>" target="_blank"
                               class="social-share-link social-share-link-gp" rel="noreferrer"><i
                                        class="fa fa-google-plus"></i> <?= SHARE ?></a>
                            <a href="<?= getWhatsappShareUrl( $productLink, $prod['TITLE'] )?>" target="_blank"
                               class="social-share-link social-share-link-wa" rel="noreferrer"><i
                                        class="fa fa-whatsapp"></i> <?= SHARE ?></a>
                            <a href="<?= getLinkedInShareUrl( $productLink, $prod['TITLE'] )?>" target="_blank"
                               class="social-share-link social-share-link-li" rel="noreferrer"><i
                                        class="fa fa-linkedin"></i> <?= SHARE ?></a>
                            <a href="<?= getPinterestCreateUrl( $productLink, $prod['TITLE'] )?>" target="_blank"
                               class="social-share-link social-share-link-pt" rel="noreferrer"><i
                                        class="fa fa-pinterest"></i> <?= CREATE ?></a>
                            <?php } ?>
                            <div class="clearfix"></div>
                        </div>
                        <div style="clear:both; height:20px;"></div>
                    </div>
                </div>
                <div class="hidden-xs hidden-sm col-md-4 col-lg-4">
                    <div style="width:295px; text-align:right; margin-bottom:10px;<?php echo is_array( $_SESSION['sessCompareIds'] ) && count( $_SESSION['sessCompareIds'] ) > 0 ? '' : 'display:none;' ?>"
                         id="idCompListLink"><a href="<?= getSeoUrl( 'compare_products' ) ?>"
                                                class="linkBold"><span
                                    class="glyphicon glyphicon-list"></span> <?php echo COMPARISON_LIST?></a></div>
                    @if($apiType == API_TYPE_MYSQL && IS_PRICEHISTORYGRAPH_INSTALLED == 1)
                        @include('products_price_history_graph')
                    @else
                        @if(IS_YOUTUBE_PROD_VIDEO_INSTALLED == 1)
                            <?php include PATH . 'youtube/product_show_video.php'; ?>
                        @else
                            <div class="text-center">{!! getBanner( 1000, 'R1', $categoryTitle ) !!}</div>
                        @endif
                    @endif
                </div>
            </div>
        </div>
        <div style="clear:both; height:5px;"></div>
        <div style="text-align:right"><?php echo $prod['LINK_BACK']; ?></div>
        <div style="clear:both; height:5px;"></div>

        <?php if ( defined( 'SHOW_PRICES_FROM_ALL_SOURCES_PCOMP' ) && SHOW_PRICES_FROM_ALL_SOURCES_PCOMP == 1 ) { ?>
        <div id="idNextAjaxDiv" style="display:none"></div>
        <script type="text/javascript">
            <!--
            var nextAjaxCallDex = 0;
            var nextAjaxCalls   = <?php echo json_encode( $nextAjaxCalls ); ?>;
                    <?= $isEbayInstalled ? 'nextAjaxCalls.push("ebay");' : '' ?>
            var jsonPrices      = <?php echo json_encode( $arrPrices ); ?>;

            function callNextAjaxApi() {
                $('#idPriceGridLoading').hide();

                if (nextAjaxCalls.length <= nextAjaxCallDex)
                    return;

                $('#idPriceGridLoading').show();

                nextApi = nextAjaxCalls[nextAjaxCallDex++];

//		console.log('Calling Ajax: '+nextApi);

                getContentFromUrl('<?php echo SCRIPT_ROOT; ?>products.php?apiType=' + nextApi + '&ajax=1&prodName=<?php echo urlencode( $prod['TITLE'] ); ?>&prodCat=<?php echo $categoryId; ?>&prodUPC=<?php echo $apiProdUPC; ?>&', $('#idNextAjaxDiv').get(0), 'GET', '', 'loadedNextAjaxApi("' + nextApi + '")');
            }

            function htmlDecode(text) {
                return $('<div/>').html(text).text();
            }

            function loadedNextAjaxApi(loadedApiType) {
                json = {};
                try {
                    html = $('#idNextAjaxDiv').html();
                    html = html.replace('<textarea>', '');
                    html = html.replace('</textarea>', '');
//			console.log(html);
                    json = JSON.parse(html);
                } catch (err) {
                    console.log(err);
                    callNextAjaxApi();
                    return;
                }

                if (typeof json.ERR !== 'undefined') {
                    console.log(decodeURIComponent(json.ERR).replace(/\+/g, ' '));
                    callNextAjaxApi();
                    return;
                }

                console.log(json);

                for (ii = 0; ii < json.length; ii++) {
                    obj = json[ii];

                    html = $('#idPriceGridItem').html();

                    html = html.replace(/{mer_image}/g, htmlDecode(obj.IMAGE));
                    html = html.replace(/{is_featured}/g, '');
                    html = html.replace(/{is_trusted}/g, '');
                    html = html.replace(/{is_classified}/g, '');
                    html = html.replace(/{mer_ratings}/g, '');
                    html = html.replace(/{mer_reviews}/g, '');
                    html = html.replace(/{comments}/g, htmlDecode(obj.COMMENT) + (obj.COMMENT == '' ? '' : '<div style="height:5px;"></div>'));
                    html = html.replace(/{availability}/g, htmlDecode(obj.ISAVAILABLE));
                    html = html.replace(/{shipping}/g, htmlDecode(obj.SHIPPING));
                    html = html.replace(/{tax}/g, htmlDecode(obj.FORMATTED_TAXAMT));
                    html = html.replace(/{price}/g, htmlDecode(obj.FORMATTED_PRICE));
                    html = html.replace(/{total}/g, htmlDecode(obj.FORMATTED_TOTAL));
                    html = html.replace(/{discount}/g, '');
                    html = html.replace(/{cashback}/g, '');
                    if (loadedApiType == '<?= API_TYPE_MYSQL ?>')
                        html = html.replace(/{goto_store}/g, '<a href="<?= getSeoUrl( 'redirect' ) ?>?prod_id=' + obj.ID + '&amp;isBuy=Y" class="link" target="_blank"><button class="btn btn-xs btn-dark1"><?php echo GO_TO_STORE?></button></a>');
                    else if (loadedApiType == 'ebay')
                        html = html.replace(/{goto_store}/g, '<a href="' + obj.BUY_URL + '" class="link" target="_blank"><button class="btn btn-xs btn-dark1"><?php echo GO_TO_STORE?></button></a>');
                    else
                        html = html.replace(/{goto_store}/g, '<form method="post" action="<?= getSeoUrl( 'redirect' ) ?>?apiType=' + loadedApiType + '" target="_blank" style="margin:0px;padding:0px;"><input type="hidden" name="url" value="' + obj.BUY_URL + '"><button class="btn btn-xs btn-dark1"><?php echo GO_TO_STORE?></button></form>');
                    html = html.replace(/{show_coupon}/g, '');
                    html = html.replace(/{goto_store_form}/g, '');

                    $('#idPriceGrid' + (loadedApiType == 'ebay' ? '_EBAY' : '')).append(html);

                    jsonPrices.push(obj);
                }

                if (ii > 0 && loadedApiType == 'ebay')
                    $('#idPriceGridCont_EBAY').show();

                callNextAjaxApi();
            }

            $(document).ready(function () {
                callNextAjaxApi();
            });
            //-->
        </script>
        <?php } ?>

        @if( DO_HIDE_SHIPPING_COLUMN == 1 && DO_SHOW_SHIPPING_FROM_DB == 0 && IS_ZIPCODE_PROXIMITY_INSTALLED == 0 )
            @include('products_shipping_no')
        @else
            @include('products_shipping')
        @endif

        <?php
        if ( defined( 'IS_PRICE_GRID_MAP_INSTALLED' ) && IS_PRICE_GRID_MAP_INSTALLED == 1 && $apiType == API_TYPE_MYSQL && count( $arrPrices ) > 0 )
            include( PATH . 'products_map.php' );
        ?>

        <?php if ( $apiType == API_TYPE_MYSQL && SHOW_PRICES_FROM_ALL_SOURCES_PCOMP != 1 && $isEbayInstalled ) { ?>
        <div class="well hidden-xs">
            <div style="max-width:120px"><img src="<?php echo getReadfileLink( 'upload/merchant/ebay.jpg' ); ?>"
                                              class="img-responsive" border="0" alt="<?php echo TAB_PRODUCT_EBAY?>">
            </div>
            <div id="idEBAYAuctions" class="row"></div>
        </div>
        <div class="hidden-xs" style="height:10px"></div>
        <script type="text/javascript">
            <!--
            $(document).ready(function () {
                $('#idEBAYAuctions').html("<center><?php echo SHOW_POPUP_FOR_LOADING?></center>");
                getContentFromUrl('<?php echo SCRIPT_ROOT; ?>products_ebay.php?productId=<?php echo $productId?>', $('#idEBAYAuctions').get(0), 'GET', '', '');
            });
            //-->
        </script>
        <?php } ?>

        <?php

        $prodDesc = defined( 'STRIP_PRODUCT_DETAIL_HTML_ON_PRODUCT_PAGE' ) && STRIP_PRODUCT_DETAIL_HTML_ON_PRODUCT_PAGE == 1 ? strip_tags( $prod['DETAIL'] ) : $prod['DETAIL'];

        $prodDesc = str_replace( 'id="', 'data-id="', $prodDesc );

        if ( $prodDesc != '' )
        {
        ?>
        <div class="well hidden-xs">
            <h2><?= DETAILS_OF ?> <?= $prod['TITLE'] ?></h2>
            <span itemprop="description"><?= $prodDesc ?></span>
        </div>
        <?php
        }
        ?>

        <?php
        if ( $fTot > 0 )
        {
        ?>
        <div class="well">
            <h2><?php echo SPECIFICATIONS_OF?> <?php echo $prod['TITLE']?></h2>
            <table border="0" width="100%" cellspacing="1" cellpadding="5" border="0">
                <tr>
                <?php
                $total = 1;
                for ($i = 0, $count = 0; $i < $fTot; $i ++, $count ++)
                {
                if ( $i % $total == 0 )
                {
                if ( $pCount > 1 )
                {
                if ( $parent != $fArr[ $i ]['FEATURE_PARENT'] )
                {
                $parent = $fArr[ $i ]['FEATURE_PARENT'];
                ?>
                <tr>
                    <td class="compareHeading"><?php echo getColumn( 'PRODUCT_FEATURE_CATEGORY', $parent, 'FEATURE' ) ?></td>
                    <td class="compareHeading" colspan="<?php echo $total?>" height="15"></td>
                </tr>
                <?php
                }
                }

                $count = 0;
                echo "\n</tr>\n\n<tr>\n<td class=\"compareLeftHeading specsHeadingCol\">" . $fArr[ $i ]['FEATURE'] . "</td>\n";
                }
                ?>
                <td class="<?php echo $count % 2 == 0 ? "compareTd-White" : "compareTd-Color"?>"><?php echo $fArr[ $i ]['VALUE'] ?></td>
                <?php
                } // for ends here //
                ?>
                <tr>
                </tr>
            </table>
            <style>
                .specsHeadingCol {
                    width: 30%;
                }

                @media (max-width: 900px) {
                    .specsHeadingCol {
                        width: 50%;
                    }

                    .compareTd-White, .compareTd-Color {
                        word-break: break-word;
                    }
                }
            </style>
        </div>
        <?php
        }
        ?>

        <?php
        if ( count( $arrVideos ) > 0 )
        {
        ?>
        <div class="well hidden-xs">
            <h2><?php echo VIDEOS_FOR?> <?php echo $prod['TITLE']?></h2>
            <?php
            foreach ( $arrVideos as $video )
                echo '<div style="margin:10px; float:left;">' . $video['DISPLAY_CODE'] . '</div>';
            ?>
            <div style="clear:both;"></div>
        </div>
        <?php
        }
        ?>

    </div> <!-- microdata end -->

    <?php
    if ( count( $relatedProds ) > 0 )
    {
    ?>
    <div class="rows hidden-xs hidden-sm">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <div class="BoxHeading"><?php echo RELATED_PRODUCTS?></div>
            <div style="height:15px;"></div>
            <div class="ProdRelProdBox">
                <div class="ProdRelProdArrowBox GradLite2"></div>
                <img src="<?php echo getResourceUrl( 'spacer.gif', 'images' )?>" width="13" height="35" border=0
                     alt="left" class="ProdRelProdArrowLeft">
                <img src="<?php echo getResourceUrl( 'spacer.gif', 'images' )?>" width="13" height="35" border=0
                     alt="left" class="ProdRelProdArrowRight">
                <div id="idRelProds" style="overflow:hidden; margin-top:10px;">
                    <div id="idRelProdsContent">
                        <?php
                        $count = 0;
                        foreach ( $relatedProds as $row )
                        {
                        $count ++;

                        $pLink = getProductPath( $row['ID'], $row['FILENAME'], $categoryId, $categoryFilename, '', '', $apiType );
                        ?>
                        <div style="width:150px; margin:0px 5px; float:left; text-align:center;">
                            <div style="width:100px; margin:auto; margin-top:2px;">
                                <?= getProductThumbnail( $row['ID'], $pLink, $row['TITLE'], $categoryId, 100, 100, '', '', '', fixMixedContentUrl( isset( $row['IMAGE_URL'] ) ? $row['IMAGE_URL'] : '' ), $row['FILENAME'] ) ?>
                            </div>
                            <div class="TxtOverflowControl" style="padding:5px; height:35px;"><a
                                        href="<?php echo $pLink?>" class="PPTitle"><?php echo $row['TITLE']?></a></div>
                            <?php echo FROM?> <span class='PPPrice'><?php echo $row['FORMATTED_MIN_PRICE']?></span>
                        </div>
                        <?php
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div style="clear:both; height:10px;"></div>
    <script type="text/javascript">
        <!--
        var totRelProds = <?php echo (int) $count?>;
        var speed       = 20, scroll = 2, diff = 1;
        var elRP        = $('#idRelProds'), scrollingRP;

        $("#idRelProdsContent").css('width', (totRelProds * 160) + 'px');
        $('.ProdRelProdArrowLeft').mousemove(function (e) {
            diff = Math.ceil((this.width - (e.pageX - this.offsetLeft)) / 8) + 1;
            diff = -Math.abs(diff);
        });
        $('.ProdRelProdArrowRight').mousemove(function (e) {
            diff = Math.ceil((e.pageX - this.offsetLeft) / 8) + 1;
        });
        $('.ProdRelProdArrowLeft').mouseenter(function () {
            scrollingRP = window.setInterval(function () {
                elRP.scrollLeft(elRP.scrollLeft() + scroll * diff);
            }, speed);
        });
        $('.ProdRelProdArrowRight').mouseenter(function () {
            scrollingRP = window.setInterval(function () {
                elRP.scrollLeft(elRP.scrollLeft() + scroll * diff);
            }, speed);
        });
        $('.ProdRelProdArrowLeft, .ProdRelProdArrowRight').bind({
            click: function (e) {
                e.preventDefault();
            }, mouseleave: function () {
                if (scrollingRP) {
                    window.clearInterval(scrollingRP);
                    scrollingRP = false;
                }
            }
        });
        //-->
    </script>
    <?php
    }
    ?>

    <div class="row">
        <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
            <?php if ( $linkReviews != '' ) { ?>
            <a href="<?php echo $linkReviews?>">
                <button class="btn btn-lg btn-dark2"><span
                            class="glyphicon glyphicon-edit"></span> <?php echo RATINGS_AND_REVIEWS?></button>
            </a>
            <br>
            <?php echo $totReviews?> <?php echo REVIEWS?>
            <?php } ?>
        </div>
        <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
            <?php if ( $apiType == API_TYPE_MYSQL ) { ?>
            <a href="<?php echo getProductPath( $productId, $productFilename, $categoryId, $categoryFilename, 'discussion', '', $apiType )?>">
                <button class="btn btn-lg btn-dark2"><span
                            class="glyphicon glyphicon-edit"></span> <?php echo DISCUSSIONS?></button>
            </a>
            <br>
            <?php echo $totDiscuss?> <?php echo DISCUSSIONS?>
            <?php } ?>
        </div>
        <div class="hidden-xs col-sm-12 col-md-6 col-lg-6">
        </div>
    </div>

    <script type="text/javascript">
        <!--
        function doSorting(soVar) {
            location.href = '<?php echo SCRIPT_ROOT; ?>products.php?apiType=<?php echo $apiType?>&categoryId=<?php echo $categoryId?>&productId=<?php echo $productId?>&sk=' + soVar
        }
        //-->
    </script>

    <script type="text/javascript">
        <!--
        function logRedirectClick(id) {
            url = '<?= getSeoUrl( 'redirect' ) ?>?prod_id=' + id + '&isBuy=Y';
            getContentFromUrl(url, $("#divTempConent").get(0), 'GET', '', 'logRedirectClickDone()');
        }

        function logRedirectClickDone() {
        }
        //-->
    </script>

@endsection
