@extends(ACTIVE_TEMPLATE.'.base')

@section('content')

    <div class="row">

        <div class="col-xs-12">
            <div class="well ProdBoxWell"><h1><?php echo DISCUSSION_ON_PRODUCT . $prod['TITLE']?></h1></div>
        </div>

        <div class="col-xs-12 col-md-3 pull-right">
            <div class="well">
                <div class="ProdThumbBox" style="margin:auto;">
                    <?php echo getProductThumbnail($productId, $productLink, $prod['TITLE'], $categoryId, 150, 150, '', '', '', $apiType == API_TYPE_MYSQL ? '' : ($productThumbUrl == '' ? $productImageUrl : $productThumbUrl), $productFilename)?>
                </div>
                <br>
                <div style="text-align:left; line-height:25px; text-align:center;">
                    <?php echo TOTAL?> <?php echo $noOfRecords?> <?php echo MESSAGE_S?><br>
                    <br>
                    <?php if ( $apiType == API_TYPE_MYSQL ) { ?>
                    <a href="javascript:loadLoginBox(postComment);">
                        <button class="btn btn-sm btn-dark2"><span
                                    class="glyphicon glyphicon-edit"></span> <?php echo WRITE_POST_ON_THIS_PRODUCT?>
                        </button>
                    </a>
                    <?php } ?>
                </div>
            </div>
        </div>

        <div class="col-xs-12 col-md-9">
            <?php
            $count = 0;
            $firstId = '';
            $firstPoster = '';
            foreach ( $discussionArr as $row )
            {
            ?>
            <div class="well">
                <div class="col-xs-12 col-md-9">
                    <?php echo isset($row['TITLE']) ? '<h2>' . $row['SUBJECT'] . '</h2>' : ''?>
                    <?php echo BY?> <b><?php echo $row['NAME']?></b>
                    <?php echo $row['LOCATION'] == '' ? '' : '(' . FROM . ' <b>' . $row['LOCATION'] . '</b>)'?>
                    <?php echo ON?> <b><i><?php echo formatDate($row['LAST_UPDATED'])?></i></b>
                </div>
                <div class="col-xs-12 col-md-3" style="text-align:right;">
                    <?php
                    if ( $count++ == 0 && ($row['USERID'] == $visitorId || $visitorId == '') )
                    {
                    $firstId = $row['ID'];
                    $firstPoster = $row['USERID'];
                    ?>
                    <a href="javascript:loadLoginBox(updateComment)" class="ListingIcon"><span
                                class="glyphicon glyphicon-edit"></span> <?php echo UPDATE?></a>
                    &nbsp;
                    <a href="javascript:loadLoginBox(deleteComment)" class="ListingIcon"><span
                                class="glyphicon glyphicon-remove"></span> <?php echo _DELETE?></a>
                    <?php
                    }
                    ?>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12 col-ld-12">
                    <div class="DivHr"></div>
                    <?php echo nl2br($row['MESSAGE']) ?>
                </div>
                <div style="clear:both;"></div>
            </div>
            <?php
            }

            if ( $noOfRecords == 0 )
            {
            ?>
            <div class="well"><?php echo NO_MESSAGES_FOUND?></div>
            <div style="clear:both; height:10px;"></div>
            <?php
            }
            ?>

                <?php if (defined('SHOW_FB_COMMENTS_BOX_ON_PROD_DISCUSSION') && 1 == SHOW_FB_COMMENTS_BOX_ON_PROD_DISCUSSION) { ?>
                <div class="text-right">
                    <fb:comments migrated="1" href="<?php echo $productLink?>" num_posts="2" width="500"></fb:comments>
                </div>
                <script>
                    // have to do due to fb:comments
                    $(document).ready(function () {
                        initFB();
                    });
                </script>
                <?php } ?>
        </div>

    </div>

    <script type="text/javascript" language="JavaScript"
            src="<?php echo getResourceUrl('products_discussion.js.php?productId=' . $productId . '&firstId=' . $firstId . '&firstPoster=' . $firstPoster . '&', 'js', false, false)?>"></script>

@endsection
