<div class="ProdTopBox ProdPreviewBox">
    <div class="row">
        <div class="col-xs-12 col-sm-5 NoChildSpacing">
            <div class="ProdThumbBox GenericThumbBox" style="overflow:hidden">
                <?php
                $arrPMultiImgs = array();
                $flagShowMultiThumbs = false;
                // add no-class below to skip the hardcoded styles so that the .GenericThumbBox styles work
                if ($apiType != API_TYPE_MYSQL) {
                    echo getProductThumbnail($productId, $productLink, $prod['TITLE'], $categoryId, 350, 350, 'no-class', '', '', $productThumbUrl == '' ? $productImageUrl : $productThumbUrl, $productFilename);
                }
                elseif (!defined('IS_MULTIPLE_IMAGES_INSTALLED') || IS_MULTIPLE_IMAGES_INSTALLED != 1) {
                    echo getProductThumbnail($productId, $productLink, $prod['TITLE'], $categoryId, 350, 350, 'no-class', '', '', '', $productFilename);
                }
                else {
                    echo displayProductImage($productId, $categoryId, '', $prod['TITLE'], $productFilename, 'no-class', 350, $productLink);

                    $arrLBImgs = array();
                    $resImgs = preparedQuery("SELECT ID FROM " . PREFIX . "PRODUCT_IMAGE WHERE PRODUCT_ID = ? ORDER BY FILENAME", array($productId));
                    while (($rowImgs = getRow($resImgs))) {
                        $pImg = getProductImageUrl($productId, $productFilename, $rowImgs['ID']);
                        $pImg = str_replace('&amp;', '&', $pImg);
                        $arrLBImgs[] = $pImg;
                        $arrPMultiImgs[] = $rowImgs;
                    }

                    $flagShowMultiThumbs = true;
                    ?>
                        <?php
                }
                ?>
            </div>
        </div>
        <div class="col-xs-12 col-sm-7">
            <a href="{{ $productLink  }}" class="link"><h1>{{ $prod['TITLE'] }}</h1></a>

            <hr>

            {!! getProductRating($productId, $prod['PRODUCT_RATING'], $productFilename, $categoryId, $categoryFilename, $linkReviews, $apiType) !!}
            &nbsp;
            {!! $prod['PRODUCT_RATING'] < 0 ? '' : '<br>' . $prod['PRODUCT_RATING'] . '/10 ' . FROM . ' ' . $totReviews . ' ' . REVIEW_S !!}

            <hr>

            <?php
            if ( is_array($arrBest) && count($arrBest) > 0 )
            {
            ?>
            {{ FROM }} <span class="ProdPrice">{{ $arrBest[0]['FORMATTED_TOTAL'] }}</span><br>
            <br>
            <?php
            $tot = 0;
            foreach ( $arrBest as $best )
            {
            if ($tot++ > 3)
                break;
            ?>
            <div class="TxtOverflowControl" style="width:95px; height:15px; float:left;"><a
                        href="<?php echo $best['REDIRECT_URL']?>" target="_blank"
                        style="font-size:11px;"
                        rel="nofollow" alt="<?php echo $best['NAME']?>"
                        title="<?php echo $best['NAME']?>"><?php echo $best['NAME']?></a></div>
            <div style="width:75px; float:right;"><a href="<?php echo $best['REDIRECT_URL']?>"
                                                     target="_blank"
                                                     rel="nofollow"><span
                            class="ProdPriceSm"><?php echo $best['FORMATTED_TOTAL']?></span></a></div>
            <div style="clear:both;"></div>

            <?php
            }
            }
            ?>
            <div style="clear:both"></div>
            <?php
            if ( ($prod['MANUFACTURER'] != '' && $prod['MANUFACTURER'] != 'N/A') || ($prod['MANUFACTURER_CODE'] != '' && $prod['MANUFACTURER_CODE'] != '0') || $prod['EAN_UPC'] != '' ) {
            ?>

            <hr>

            <?= $prod['MANUFACTURER'] == '' || $prod['MANUFACTURER'] == '0' || $prod['MANUFACTURER'] == 'N/A' ? '' : MANUFACTURER . ' <b itemprop=manufacturer>' . $prod['MANUFACTURER'] . '</b><br>' ?>
            <?= $prod['MANUFACTURER_CODE'] == '' || $prod['MANUFACTURER_CODE'] == '0' ? '' : MANUFACTURER_CODE . ' <b itemprop=mpn>' . $prod['MANUFACTURER_CODE'] . '</b><br>' ?>
            <?= $prod['EAN_UPC'] == '' ? '' : EAN_UPC . ' <b>' . $prod['EAN_UPC'] . '</b><br>' ?>
            <br>
            <?php
            }
            ?>
        </div>
        <div style="clear:both; height:20px;"></div>
    </div>
</div>

<div>

    <!-- Nav tabs -->
    <ul class="nav nav-tabs" role="tablist">
        @if($prod['DETAIL']!='')
        <li role="presentation" class="active"><a href="#p_details" aria-controls="p_details" role="tab"
                                                  data-toggle="tab">{{ DETAILS }}</a></li>
        @endif
        <li role="presentation" class="{{ $prod['DETAIL'] == '' ? 'active' : ''  }}"><a href="#p_prices" aria-controls="p_prices" role="tab"
                                   data-toggle="tab">{{ COMPARE_PRICES }}</a></li>
    </ul>

    <!-- Tab panes -->
    <div class="tab-content tab-content-bordered">
        @if($prod['DETAIL']!='')
        <div role="tabpanel" class="tab-pane fade in active" id="p_details">

            {!! $prod['DETAIL'] !!}

        </div>
        @endif
        <div role="tabpanel" class="tab-pane {{ $prod['DETAIL'] == '' ? 'fade in active' : ''  }}" id="p_prices">

            <div class="table-responsive">
                <table class="table table-hover table-striped">
                    <tbody>
                    <tr>
                        <th>{{ MERCHANTS }}</th>
                        <th class="text-right">{{ PRICE }}</th>
                        <th class="text-right">{{ GO_TO_STORE }}</th>
                    </tr>
                    @php($apiTypeOrig = $apiType)
                    @foreach($arrPrices as $row)
                        @php($apiType = isset($row['API_TYPE']) ? $row['API_TYPE'] : $apiTypeOrig)
                        <tr>
                            <td>{{ $row['NAME'] }}</td>
                            <td class="text-right">{{ $row['FORMATTED_PRICE'] }}</td>
                            <td class="text-right">
                                @if($apiType != API_TYPE_MYSQL)
                                    @if($row['BUY_URL'] == '' && $pageUrl != '')
                                        <a href="{{ $pageUrl }}" class="link" target="_blank"><img
                                                    src="<?php echo getResourceUrl('btn-go-to-store-prices.gif', 'images/' . $langFolder)?>"
                                                    border="0" width="90" height="23" title="{{ GO_TO_STORE }}"
                                                    alt="{{ GO_TO_STORE }}"></a>
                                    @else
                                        <form method="post"
                                              action="<?= getSeoUrl('redirect', 'apiType=' . $apiType) ?>"
                                              target="_blank" style="margin:0px;padding:0px;"><input type="hidden"
                                                                                                     name="url"
                                                                                                     value="<?php echo $row['BUY_URL']?>">
                                            <button class="btn btn-xs btn-dark1">{{ GO_TO_STORE }}</button>
                                        </form>
                                    @endif
                                @elseif($row['ID'] == '')
                                    <a href="{{ $pageUrl }}" class="link" target="_blank">
                                        <button class="btn btn-xs btn-dark1">{{ GO_TO_STORE }}</button>
                                    </a>
                                @else
                                    @if(!$row['HIDE_GO2STORE'])
                                        <a href="<?= getBuyUrlWithRedirectSkipCheck($row) ?>" class="link"
                                           target="_blank">
                                            <button class="btn btn-xs btn-dark1">{{ GO_TO_STORE }}</button>
                                        </a>
                                        <div style="height:5px"></div>
                                    @endif
                                @endif
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>

        </div>
    </div>

</div>
