<?php if ( IS_MERCHANT_PRICE_EXTR_INSTALLED == 1 ) : ?>
<script type="text/javascript" language="JavaScript" src="<?php echo getResourceUrl('kAjaxPriceLoader.js.php', 'js', false, false)?>"></script>
<?php endif; ?>

<div class="ProdBoxWell well">

    <div class="hidden-xs row">
        <div class="col-sm-12 col-md-8 col-lg-8 pull-right" style="text-align:right;">
            <?php
            if ( $apiType == API_TYPE_MYSQL && DO_SHOW_SHIPPING_FROM_DB == 0 && ($zipCode == '' || $zipCode == 'change') ) :
            ?>
            <form method="get" action="<?php echo SCRIPT_ROOT; ?>products.php">
                <input type="hidden" 	name="productId" value="<?php echo $productId?>">
                <?php echo ZIPCODE_PROMPT?>
                <input type="text" 		name="zipCode" 	 value="" size="6" class="effect">
                <?php
                if ( IS_ZIPCODE_PROXIMITY_INSTALLED == 1 ) :
                    ?>
                    <?php echo SEARCH_WITHIN?>:
                    <select name="zipMile" class="effect">
                        <option value='10'>10 <?php echo MILES?></option>
                        <option value='20'>20 <?php echo MILES?></option>
                        <option value='30'>30 <?php echo MILES?></option>
                        <option value='50'>50 <?php echo MILES?></option>
                    </select>
                    <?php
                endif;
                ?>
                <input type="submit" 	name="btnSubmit" value="<?php echo GO?>" class="baseeffectEx">
            </form>
            <?php
            else :
                echo $zipText;
            endif;
            ?>
        </div>
        <div class="col-sm-12 col-md-4 pull-left">
            <button class="btn btn-dark1 GradDark2" style="border-bottom-left-radius:0px;border-bottom-right-radius:0px;border-bottom:none"><?php echo MERCHANTS_THAT_OFFER?></button>
        </div>
    </div>
    <div class="hidden-xs" style="clear:both"></div>

    <div class="visible-xs pull-left"><?php echo MERCHANTS_THAT_OFFER?></div>

    <div class="ProdBoxPriceHead GradDark1 hidden-xs hidden-sm" style="border-top-left-radius:0px">
        <div class="row">
            <div class="col-sm-2 col-md-2 col-lg-2">
                <a href="javascript:doSorting('NAME&amp;so=<?php echo $so!='ASC'?'ASC':'DESC'?>&amp;')" rel="nofollow"><?php echo MERCHANTS?></a>
            </div>
            <?php if ( !$hideUserReviews ) : ?>
                <div class="hidden-sm col-md-2 col-lg-2">
                    <a href="javascript:doSorting('&amp;sp=MERCHANT_RATING&amp;so=<?php echo $so!='DESC'?'DESC':'ASC'?>&amp;')" rel="nofollow"><?= $displayStoreInfoInGrid ? OTHER_INFORMATION : MERCHANT_RATING ?></a>
                </div>
            <?php endif; ?>
            <?php if ( $hasComments || (DO_HIDE_AVAILABILITY_COLUMN != 1 && $hasAvailability) ) : ?>
                <div class="hidden-sm col-md-2 col-lg-2">
                    <?php if ( $hasComments ) : ?>
                    <a href="javascript:doSorting('COMMENT&amp;so=<?php echo $so!='ASC'?'ASC':'DESC'?>&amp;')" rel="nofollow"><?php echo COMMENTS?></a>
                    <?php else : ?>
                    <a href="#" rel="nofollow"><?php echo AVAILABILITY?></a>
                    <?php endif; ?>
                </div>
            <?php endif; ?>
            <div class="col-sm-2 col-md-1 col-lg-1">
                <a href="#" rel="nofollow"><?php echo EST_SHIPPING?></a>
            </div>
            <div class="col-sm-2 col-md-1 col-lg-1">
                <a href="#" rel="nofollow"><?php echo TAX?></a>
            </div>
            <div class="col-sm-2 col-md-2 col-lg-1">
                <a href="javascript:doSorting('PRICE&amp;so=<?php echo $so!='ASC'?'ASC':'DESC'?>&amp;')" rel="nofollow"><?php echo PRICE?></a>
            </div>
            <div class="col-sm-2 col-md-2 col-lg-1">
                <a href="javascript:doSorting('&amp;sp=TOT_PRICE&amp;so=<?php echo $so!='ASC'?'ASC':'DESC'?>&amp;')" rel="nofollow"><?php echo TOTAL_PRICE?></a>
            </div>
            <div class="col-sm-2 col-md-2 col-lg-2 pull-right">&nbsp;</div>
        </div>
    </div>

    <div id="idPriceGrid">
        <?php

        $count = 0;
        $apiTypeOrig = $apiType;
        foreach ( $arrPrices as $row ) :
            $count++;

            $apiType	= isset($row['API_TYPE']) ? $row['API_TYPE'] : $apiTypeOrig;

            $merchantReviewUrl = isset($row['RATING_URL']) ? $row['RATING_URL'] : ($apiType == API_TYPE_MYSQL ? getMerchantPath($row['USERID'], 'Reviews', '', $row['FILENAME']) : '#');

            if ( $isSellYoursInstalled && $row['IS_VISITOR_SELLER'] == 'Y' ) $merchantReviewUrl = '#';
            ?>
            <div style="clear:both; height:5px;"></div>
            <div class="hidden-xs ProdBoxPriceMid">
                <div>
                    <div class="col-sm-2 col-md-2 col-lg-2">
                        <?php echo  $row['IMAGE'] ?>
                        <?php if ( $row['ISFEATURED'] == 'Y' ) { ?><br><img src="<?php echo getResourceUrl('featured-merchant.gif', 'images/'.$langFolder)?>" border="0" alt="<?php echo FEATURED; ?>"><?php } ?>
                        <?php if ( $row['IS_TRUSTED'] == 'Y' ) { ?><br><img src="<?php echo getResourceUrl('trusted.png', 'images/'.$langFolder)?>" border="0" alt="<?php echo TRUSTED; ?>"><?php } ?>
                        <?php if ( $row['VISITOR_SELLER'] ) { ?><br><img src="<?php echo getResourceUrl('classified.png', 'images/'.$langFolder)?>" border="0" alt="<?php echo CLASSIFIED; ?>"><?php } ?>
                        <?php if ( !$hideUserReviews ) : ?>
                            <div class="visible-sm">
                                <?php echo getMerchantRating($row['USERID'], $row['RATING'], $apiType, $merchantReviewUrl) ?><br>
                                <?php echo $row['REVIEWS']>0?'<a href="'.$merchantReviewUrl.'" class="link">'.$row['REVIEWS'].' '.REVIEW_S.'</a>':''?>
                            </div>
                        <?php endif; ?>
                        <?php if ( $displayStoreInfoInGrid ) : ?>
                        <div style="height:10px"></div>
                        <?= $row['ADDRESS'] == '' ? '' : $row['ADDRESS'].',<br>' ?>
                        <?= $row['CITY'] == '' && $row['STATE'] == '' ? '' : $row['CITY'] .($row['CITY']==''||$row['STATE']==''?'':' - '). $row['STATE'].',<br>' ?>
                        <?= $row['COUNTRY'] == '' && $row['ZIP'] == '' ? '' : $row['COUNTRY'] .($row['COUNTRY']==''||$row['ZIP']==''?'':' - '). $row['ZIP'].'<br>' ?>
                        <?= $row['PHONE'] == '' ? '' : $row['PHONE'].'<br>' ?>
                        <div class="PriceGridMerchantDetails">
                            <?php
                            // Show merchant accepted payment methods
                            if ( is_array($row['USER_ACCEPTS']) && count($row['USER_ACCEPTS']) > 0 ) :
                                echo '<div style="height:10px"></div>';
                                foreach ( $row['USER_ACCEPTS'] as $rec ) :
                                    echo showUserPaymentMethodImage($rec['ID'], $rec['TITLE'], $rec['DETAIL'], 40);
                                endforeach;
                            endif;
                            ?>
                        </div>
                        <?php endif; ?>
                    </div>

                    <?php if ( !$hideUserReviews ) : ?>
                    <div class="hidden-sm col-md-2 col-lg-2">
                        <?php echo getMerchantRating($row['USERID'], $row['RATING'], $apiType, $merchantReviewUrl) ?><br>
                        <?php echo $row['REVIEWS']>0?'<a href="'.$merchantReviewUrl.'" class="link">'.$row['REVIEWS'].' '.REVIEW_S.'</a>':''?>
                        <?php if ( $displayStoreInfoInGrid ) : ?>
                        <div class="PriceGridMerchantDetails">
                            <?php
                            // Show merchant languages
                            if ( is_array($row['USER_LANGS']) && count($row['USER_LANGS']) > 0 ) :
                                echo '<div style="height:10px"></div>';
                                foreach ( $row['USER_LANGS'] as $rec ) :
                                    echo showUserLanguageImage($rec['ID'], $rec['TITLE'], 24);
                                endforeach;
                            endif;
                            // Show merchant verifiers
                            if ( is_array($row['USER_VERIFIED']) && count($row['USER_VERIFIED']) > 0 ) :
                                echo '<div style="height:10px"></div>';
                                foreach ( $row['USER_VERIFIED'] as $rec ) :
                                    echo showUserVerifierImage($rec['ID'], $rec['TITLE'], $rec['DETAIL'], 80);
                                endforeach;
                            endif;
                            ?>
                        </div>
                        <?php endif; ?>
                    </div>
                    <?php endif; ?>

                    <?php if ( $hasComments || (DO_HIDE_AVAILABILITY_COLUMN != 1 && $hasAvailability) ) : ?>
                        <div class="hidden-sm col-md-2 col-lg-2">
                            <?php echo $row['COMMENT']==''?'&nbsp;':'<div id="idPrComment'.$count.'_sm">'.getPartialString($row['COMMENT'], 50, 'javascript:showMoreComm('.$count.');').'</div><div id="idPrComment'.$count.'_full" style="display:none">'.$row['COMMENT'].'</div><div style="height:5px;"></div>'?>
                            <?php if ( DO_HIDE_AVAILABILITY_COLUMN != 1 && $hasAvailability ) : ?>
                                <?php echo AVAILABILITY?> : <?php echo $row['ISAVAILABLE']?>
                            <?php endif; ?>
                        </div>
                    <?php endif; ?>

                    @if(DO_SHOW_SHIPPING_FROM_DB == 1 || $apiType != API_TYPE_MYSQL)
                        <div class="col-sm-2 col-md-1 col-lg-1">
                            {{ $apiType == API_TYPE_MYSQL && (is_numeric((IS_COMMA_DECIMAL_SEPARATOR==1 ? str_replace(',', '.', $row["SHIPPING"]):$row["SHIPPING"])) || trim($row["SHIPPING"]) == '') ? getFormattedPrice((IS_COMMA_DECIMAL_SEPARATOR==1 ? str_replace(',', '.', $row["SHIPPING"]):$row["SHIPPING"]), $currencySymbol, $currencyRate) : $row['SHIPPING'] }}
                        </div>
                    @else
                        @include('products_shipping_ups')
                    @endif

                    <div class="col-sm-2 col-md-1 col-lg-1">
                        <?php echo $row['FORMATTED_TAXAMT']?>
                    </div>

                    <div class="col-sm-2 col-md-2 col-lg-1">
                        <div id="idPrice<?php echo $row['ID']?>" class="ProdPrice"><?php echo  $row['FORMATTED_PRICE'] ?></div>
                        <?php if ( IS_MERCHANT_PRICE_EXTR_INSTALLED == 1 ) : ?>
                        <div id="idPrLoader<?php echo $row['ID']?>">
                            <img src="<?php echo getResourceUrl('loadingsm.gif', 'images')?>" width="16" height="16" border=0 alt="<?php echo FETCHING_PRICES?>">
                            <?php echo FETCHING_PRICES?>
                        </div>
                        <script language="JavaScript">
                            <!--
                            new ajaxObj('<?php echo SCRIPT_ROOT; ?>ajax_price_updater.php?upId=<?php echo $row['ID']?>', 'idPrLoader<?php echo $row['ID']?>', 'ajaxPriceLoaded(<?php echo $row['ID']?>)');
                            //-->
                        </script>
                        <?php endif; ?>
                    </div>

                    <div class="col-sm-2 col-md-2 col-lg-1">
                        <div id="idTPrice<?php echo $row['ID']?>" class="ProdPrice"><?php echo  $row['FORMATTED_TOTAL'] ?></div>
                        <?php
                        if ( IS_COUPONS_INSTALLED != 0 ) :
                            if ( $row['DISCOUNTED'] < $row['TOTAL'] ) :
                            ?>
                            <div style="clear:both;height:15px;"></div>
                            <div style="margin-left:-150px;">
                                <font style="font:10px/15px Verdana;color:#777;"><?php echo LESS_COUPON_DISCOUNT?> <b><?php echo  $row['FORMATTED_DISCOUNTED'] ?></b></font>
                                <?php echo $row['COUPON_CODE'] == '' ? '' : '<div class="CouponCode"><div style="font-size:10px">'.VOUCHER_CODE.':</div>'.$row['COUPON_CODE'].'</div>'; ?>
                            </div>
                            <?php
                            endif;
                        endif;
                        ?>
                    </div>

                    <div class="col-sm-2 col-md-2 col-lg-2 pull-right">
                        <?php $htmlAdd2Cart = ''; ?>
                        <?php if ( IS_CASHBACK_INSTALLED == 1 && $apiType == API_TYPE_MYSQL ) echo '<div style="font:10px/15px Verdana;color:#555;">'.getCashbackMsg($row['PRICE'], $row['USERID'], $productId, $categoryId).'</div>'; ?>

                        <?php if ( $apiType != API_TYPE_MYSQL ) { ?>
                            <?php if ( $row['BUY_URL'] == '' && $pageUrl != '' ) : ?>
                            <a href="<?php echo $pageUrl?>" class="link" target="_blank"><img src="<?php echo getResourceUrl('btn-go-to-store-prices.gif', 'images/'.$langFolder)?>" border="0" width="90" height="23" title="<?php echo GO_TO_STORE?>" alt="<?php echo GO_TO_STORE?>"></a>
                            <?php else : ?>
                            <form method="post" action="<?= getSeoUrl('redirect', 'apiType='.$apiType) ?>" target="_blank" style="margin:0;padding:0"><input type="hidden" name="url" value="<?php echo $row['BUY_URL']?>"><button class="btn btn-xs btn-dark1"><?php echo GO_TO_STORE?></button></form>
                            <?php endif; ?>
                        <?php } elseif ( $row['ID'] == '' ) { ?>
                            <a href="<?php echo $pageUrl?>" class="link" target="_blank" rel=”nofollow”><button class="btn btn-xs btn-dark1"><?php echo GO_TO_STORE?></button></a>
                        <?php } else { ?>
                            <?php if ( !$row['HIDE_GO2STORE'] && !$row['SHOW_ADD2CART'] ) : ?>
                            <a href="<?= getBuyUrlWithRedirectSkipCheck($row) ?>" class="link" target="_blank" rel=”nofollow”><button class="btn btn-xs btn-dark1"><?php echo GO_TO_STORE?></button></a>
                            <div style="height:5px;"></div>
                            <?php endif; ?>
                            <?php if ( $row['SHOW_CONTACTME'] ) : ?>
                            <div id="idContactInfo<?php echo $row['ID']; ?>" style="display:none">
                                <div style="width:55%;float:left">
                                    <h4><?php echo $row['NAME']; ?></h4>
                                    <span class="glyphicon glyphicon-envelope"></span> <img src="<?php echo SCRIPT_ROOT; ?>draw_merchant_email.php?userId=<?php echo $row['USERID']?>&" border=0 alt="email"><br>
                                    <span class="glyphicon glyphicon-phone-alt"></span> <?php echo $row['PHONE']; ?><br>
                                </div>
                                <div style="width:40%;float:right">
                                    <h4>&nbsp;</h4>
                                    <span class="glyphicon glyphicon-map-marker"></span> <?php echo $row['CITY'].' '.$row['COUNTRY']; ?><br>
                                    <span class="glyphicon glyphicon-phone"></span> <?php echo $row['MOBILE']; ?>
                                </div>
                                <div style="clear:both"></div>
                            </div>
                            <?php endif; ?>
                            <?php
                            if ( $row['SHOW_ADD2CART'] )
                            {
                                $htmlAdd2Cart = '<a href="'.SCRIPT_ROOT.'merchant_store_cart_add.'.EXTENSION.'?upId='.$row['ID'].'" class="link"><button class="btn btn-xs btn-dark2">'.ADD_TO_CART.'</button></a>';
                                echo $htmlAdd2Cart;
                            }
                            elseif ( $row['SHOW_CONTACTME'] )
                            {
                                $htmlAdd2Cart = '<a href="javascript:showContactInfo('.$row['ID'].');" class="link"><button class="btn btn-xs btn-dark2">'.CONTACT_ME.'</button></a>';
                                echo $htmlAdd2Cart;
                            }
                            elseif ( $row['BUY_URL'] != $row['BUY_URL_EX'] && $row['BUY_URL_EX'] != '' )
                            {
                                $htmlAdd2Cart = '<a href="'.getSeoUrl('redirect', 'prod_id='.$row['ID'].'&amp;isBuy=Y&amp;isCart=Y').'" class="link" target="_blank"><button class="btn btn-xs btn-dark2">'.ADD_TO_CART.'</button></a>';
                                echo $htmlAdd2Cart;
                            }
                        } // else // ?>

                        <?php if ( IS_COUPONS_INSTALLED == 1 && $row['DISCOUNTED'] < $row['TOTAL'] && merchantHasCoupons($row['USERID']) ) : ?>
                        <div style="clear:both;height:2px;"></div>
                        <a href="javascript:showMerchantCoupons('<?php echo $row['USERID']?>')"><img src="<?php echo getResourceUrl('coupon-icon.gif', 'images')?>" width="45" height="53" border=0 title="<?php echo COUPONS?>" alt="<?php echo COUPONS?>"></a>
                        <?php endif; ?>

                        <div style="margin-top:-10px;font:11px/15px Arial;color:gray;">
                            <?php echo $row['OUT_OF_AREA']?'<br>'.OUT_OF_YOUR_AREA:''?>
                            <?php echo $row['DISTANCE_TXT']!=''?'<br>approx: '.$row['DISTANCE_TXT']:''?>
                        </div>
                    </div>
                </div>
                <div style="clear:both;"></div>
            </div>
            <div class="visible-xs ProdBoxPriceMidM">
                <div style="width:150px;margin:10px 5px;float:left">
                    <?php echo  $row['IMAGE'] ?>
                    <?php if ( !$hideUserReviews ) : ?>
                        <div style="height:15px;">
                            <?php echo getMerchantRating($row['USERID'], $row['RATING'], $apiType, $merchantReviewUrl) ?>
                        </div>
                    <?php endif; ?>
                    <?php if ( $displayStoreInfoInGrid ) : ?>
                        <div style="height:10px"></div>
                        <?= $row['ADDRESS'] == '' ? '' : $row['ADDRESS'].',<br>' ?>
                        <?= $row['CITY'] == '' && $row['STATE'] == '' ? '' : $row['CITY'] .($row['CITY']==''||$row['STATE']==''?'':' - '). $row['STATE'].',<br>' ?>
                        <?= $row['COUNTRY'] == '' && $row['ZIP'] == '' ? '' : $row['COUNTRY'] .($row['COUNTRY']==''||$row['ZIP']==''?'':' - '). $row['ZIP'].'<br>' ?>
                        <?= $row['PHONE'] == '' ? '' : $row['PHONE'].'<br>' ?>
                        <div class="PriceGridMerchantDetails">
                            <?php
                            // Show merchant accepted payment methods
                            if ( is_array($row['USER_ACCEPTS']) && count($row['USER_ACCEPTS']) > 0 ) :
                                echo '<div style="height:10px"></div>';
                                foreach ( $row['USER_ACCEPTS'] as $rec ) :
                                    echo showUserPaymentMethodImage($rec['ID'], $rec['TITLE'], $rec['DETAIL'], 40);
                                endforeach;
                            endif;
                            ?>
                        </div>
                    <?php endif; ?>
                </div>
                <div style="width:100px; float:right; text-align:right;">
                    <div style="height:12px"></div>
                    <?php if ( !$row['HIDE_GO2STORE'] && !$row['SHOW_ADD2CART'] ) : ?>
                        <button class="btn btn-xs btn-dark1" onclick="$('#frmMP<?php echo $count?>').get(0).submit();"><?php echo GO_TO_STORE?></button>
                        <div style="height:5px"></div>
                    <?php endif; ?>
                    <?php echo $htmlAdd2Cart?>
                </div>
                <div style="margin:0px 25px 0px 155px;">
                    <div class="ProdPrice">
                        <?php echo SHIPPING?>: <b><?php echo  $apiType == API_TYPE_MYSQL && (is_numeric((IS_COMMA_DECIMAL_SEPARATOR==1 ? str_replace(',', '.', $row["SHIPPING"]):$row["SHIPPING"])) || trim($row["SHIPPING"]) == '') ? getFormattedPrice((IS_COMMA_DECIMAL_SEPARATOR==1 ? str_replace(',', '.', $row["SHIPPING"]):$row["SHIPPING"]), $currencySymbol, $currencyRate) : $row['SHIPPING'] ?></b><br>
                        <?php echo TAX?>: <b><?php echo  $row['FORMATTED_TAXAMT'] ?></b><br>
                        <?php echo TOTAL?>: <b><?php echo  $row['FORMATTED_TOTAL'] ?></b><br>
                    </div>
                    <?php if ( IS_CASHBACK_INSTALLED == 1 && $apiType == API_TYPE_MYSQL ) echo '<div style="font:10px/15px Verdana;color:#777;">'.getCashbackMsg($row['PRICE'], $row['USERID'], $productId, $categoryId).'</div>'; ?>
                    <?php if ( $apiType != API_TYPE_MYSQL ) { ?>
                        <?php if ( $row['BUY_URL'] == '' && $pageUrl != '' ) : ?>
                        <form id="frmMP<?php echo $count?>" method="post" action="<?php echo $pageUrl?>" target="_blank"></form>
                        <?php else : ?>
                        <form id="frmMP<?php echo $count?>" method="post" action="<?= getSeoUrl('redirect', 'apiType='.$apiType) ?>" target="_blank" style="margin:0;padding:0"><input type="hidden" name="url" value="<?php echo $row['BUY_URL']?>"></form>
                        <?php endif; ?>
                    <?php } elseif ( $row['ID'] == '' ) { ?>
                        <form id="frmMP<?php echo $count?>" method="post" action="<?php echo $pageUrl?>" target="_blank"></form>
                    <?php } else { ?>
                        <form id="frmMP<?php echo $count?>" method="post" action="<?= getSeoUrl('redirect', 'prod_id='.$row['ID'].'&isBuy=Y') ?>" target="_blank"></form>
                    <?php } ?>

                    <?php if ( $displayStoreInfoInGrid ) : ?>
                    <div class="PriceGridMerchantDetails">
                        <?php
                        // Show merchant languages
                        if ( is_array($row['USER_LANGS']) && count($row['USER_LANGS']) > 0 ) :
                            echo '<div style="height:10px"></div>';
                            foreach ( $row['USER_LANGS'] as $rec ) :
                                echo showUserLanguageImage($rec['ID'], $rec['TITLE'], 24);
                            endforeach;
                        endif;

                        // Show merchant verifiers
                        if ( is_array($row['USER_VERIFIED']) && count($row['USER_VERIFIED']) > 0 ) :
                            echo '<div style="height:10px"></div>';
                            foreach ( $row['USER_VERIFIED'] as $rec ) :
                                echo showUserVerifierImage($rec['ID'], $rec['TITLE'], $rec['DETAIL'], 80);
                            endforeach;
                        endif;
                        ?>
                    </div>
                    <?php endif; ?>
                </div>
                <div style="clear:both;"></div>
            </div>
        <?php
        endforeach;
        ?>
    </div>
    <div id="idPriceGridLoading" style="display:none">
        <div style="clear:both; height:5px;"></div>
        <div class="ProdBoxPriceMid">
            <img src="<?php echo getResourceUrl('loadingsm.gif', 'images')?>" width="16" height="16" border=0 alt="<?php echo FETCHING_PRICES?>">
            <?php echo SHOW_POPUP_FOR_LOADING; ?>
            <div style="clear:both;"></div>
        </div>
    </div>

    <div id="idPriceGridCont_EBAY" style="margin-top:20px;display:none">
        <div class="hidden-xs">
            <div class="row">
                <div class="col-xs-12">
                    <button class="btn btn-dark1 GradDark2" style="border-bottom-left-radius:0px;border-bottom-right-radius:0px;border-bottom:none"><?php echo AUCTIONS_THAT_OFFER?></button>
                </div>
            </div>
            <div style="clear:both"></div>
            <div class="ProdBoxPriceHead GradDark1 hidden-xs" style="border-top-left-radius:0px">
                <div class="row">
                    <div class="col-sm-2"><a href="#" rel="nofollow"><?php echo MERCHANTS?></a></div>
                    <?php if ( !$hideUserReviews ) : ?>
                        <div class="hidden-sm col-md-2"><a href="" rel="nofollow"><?php echo MERCHANT_RATING?></a></div>
                    <?php endif; ?>
                    <?php if ( $hasComments || (DO_HIDE_AVAILABILITY_COLUMN != 1 && $hasAvailability) ) : ?>
                        <div class="hidden-sm col-md-2">
                            <?php if ( $hasComments ) : ?>
                            <a href="#" rel="nofollow"><?php echo COMMENTS?></a>
                            <?php else : ?>
                            <a href="#" rel="nofollow"><?php echo AVAILABILITY?></a>
                            <?php endif; ?>
                        </div>
                    <?php endif; ?>
                    <div class="col-sm-2"><a href="#" rel="nofollow"><?php echo EST_SHIPPING?></a></div>
                    <div class="col-sm-2"><a href="#" rel="nofollow"><?php echo TAX?></a></div>
                    <div class="col-sm-2"><a href="#" rel="nofollow"><?php echo PRICE?></a></div>
                    <div class="col-sm-2"><a href="#" rel="nofollow"><?php echo TOTAL_PRICE?></a></div>
                    <div class="col-sm-2 pull-right">&nbsp;</div>
                </div>
            </div>

            <div id="idPriceGrid_EBAY">
            </div>
        </div>
    </div>

    <?php if ( defined('IS_SELL_YOURS_INSTALLED') && IS_SELL_YOURS_INSTALLED == 1 ) : ?>
    <div style="clear:both; height:15px;"></div>
    <center><button class="btn btn-dark2" onclick="loadLoginBox(sellThisProduct);"> <?php echo I_AM_SELLING_THIS_PRODUCT; ?> <span class="glyphicon glyphicon-bullhorn"></span> </button></center>
    <div style="clear:both; height:5px;"></div>
    <script type="text/javascript">
        <!--
        function sellThisProduct()
        {
            location.href = '<?php echo SCRIPT_ROOT.'member_sell_product.php?productId='.$productId; ?>';
        }
        //-->
    </script>
    <?php endif; ?>

    <div style="clear:both; height:5px;"></div>
    <?php echo  ($exceptionMsg==''?'':$exceptionMsg.'<br><br>')?>
    <?php echo  SHIPPING_DISCLAIMER?>
</div>

<div id="idPriceGridItem" style="display:none">
    <div style="clear:both; height:5px;"></div>
    <div class="hidden-xs ProdBoxPriceMid">
        <div>
            <div class="col-sm-2 col-md-2 col-lg-2">
                {mer_image}
                {is_featured}
                {is_trusted}
                {is_classified}
                <div class="visible-sm">
                    {mer_ratings}<br>
                    {mer_reviews}
                </div>
            </div>

            <?php if ( !$hideUserReviews ) : ?>
            <div class="hidden-sm col-md-2 col-lg-2">
                {mer_ratings}<br>
                {mer_reviews}
            </div>
            <?php endif; ?>

            <?php if ( $hasComments || (DO_HIDE_AVAILABILITY_COLUMN != 1 && $hasAvailability) ) : ?>
            <div class="hidden-sm col-md-2 col-lg-2">
                {comments}
                <?php if ( DO_HIDE_AVAILABILITY_COLUMN != 1 && $hasAvailability ) : ?>
                    <?php echo AVAILABILITY?> : {availability}
                <?php endif; ?>
            </div>
            <?php endif; ?>

            <div class="col-sm-2 col-md-1 col-lg-1">
                {shipping}
            </div>

            <div class="col-sm-2 col-md-1 col-lg-1">
                {tax}
            </div>

            <div class="col-sm-2 col-md-1 col-lg-1">
                <div class="ProdPrice">{price}</div>
            </div>

            <div class="col-sm-2 col-md-1 col-lg-1">
                <div class="ProdPrice">{total}</div>
                {discount}
            </div>

            <div class="col-sm-2 col-md-2 col-lg-2 pull-right">
                {cashback}
                {goto_store}
                {show_coupon}
            </div>
        </div>
        <div style="clear:both;"></div>
    </div>
    <div class="visible-xs ProdBoxPriceMidM">
        <div style="width:150px;margin:10px 5px;float:left">
            {mer_image}
            <?php if ( !$hideUserReviews ) : ?>
            <div style="height:15px;">
                {mer_ratings}
            </div>
            <?php endif; ?>
        </div>
        <div style="width:100px; float:right; text-align:right;">
            <div style="height:12px"></div>
            {goto_store}
        </div>
        <div style="margin:0px 25px 0px 155px;">
            <div class="ProdPrice">
                <?php echo SHIPPING?>: <b>{shipping}</b><br>
                <?php echo TAX?>: <b>{tax}</b><br>
                <?php echo TOTAL?>: <b>{total}</b><br>
            </div>
            {cashback}
            {goto_store_form}
        </div>
        <div style="clear:both;"></div>
    </div>
</div>

<script type="text/javascript">
    <!--
    function showMoreComm(dex)
    {
        $('#idPrComment'+dex+'_sm').hide();
        $('#idPrComment'+dex+'_full').show();
    }
    //-->
</script>
