<div class="ac_container ac_container_modern">
    <div class="ac_grid_container">
        <?php
        foreach ( $arr as $row )
        {
        $pLink = getProductPath($row['ID'], $row['FILENAME'], $row['CATEGORY_ID']);
        ?>
        <div class="ac_grid_box" onclick="location.href='<?php echo $pLink; ?>';">
            <div class="ac_thumb"><?php echo getProductThumbnail($row['ID'], $pLink, $row['TITLE'], $row['CATEGORY_ID'], 100, 100, '', '', '')?></div>
            <div class="ac_details">
                <b><?php echo $row['TITLE']?></b>
                <div class="ac_price"><?php echo FROM . ': ' . getFormattedPrice($row['MIN_PRICE'], $currencySymbol, $currencyRate)?></div>
            </div>
            <div style="clear:both"></div>
        </div>
        <?php
        }
        ?>
    </div>
    <div class="ac_search_stats">
        <?php echo str_replace('{num}', $tot, TOTAL_X_RESULTS_FOUND); ?> &nbsp;
        <a href="<?php echo getSearchUrl($query); ?>"><?php echo VIEW_ALL_RESULTS; ?> <span
                    class="glyphicon glyphicon-chevron-right"></span></a>
    </div>
</div>

<style>
    .ac_search_stats {
        padding: 0;
    }
    @media ( max-width: 1200px ) {
        .ac_container_modern {
            width: 98%;
            margin-left: 0;
            left: 1%;
            height: 270px;
            top: 70px;
            overflow-y: hidden;
        }
        .ac_grid_container {
            width: <?= (count($arr) * 225) + 50 ?>px;
            height: 220px;
        }
        .ac_search_stats {
        }
    }
    @media ( max-width: 992px ) {
        .ac_container_modern {
            top: 0;
        }
    }
    @media ( max-width: 768px ) {
        .ac_container_modern {
            top: 143px;
        }
    }
</style>
